#!/bin/sh
# Use this script to patch ncurses 5.5 to 5.5 (20060128)
# Run this script inside the ncurses 5.5 source directory et voila! Updated.

if ( egrep '^NCURSES_MAJOR = 5$' dist.mk >/dev/null 2>&1 \
  && egrep '^NCURSES_MINOR = 5$' dist.mk >/dev/null 2>&1 \
  && egrep '^NCURSES_PATCH = 20051010$' dist.mk >/dev/null 2>&1 )
then
        echo patching...
else
        echo 'This does not look like ncurses 5.5'
        exit 1
fi

patch -p1 -i $0         # shell command = this script = inputfile for patch
exit

# ------------------------------------------------------------------------------
# INSTALL                                           |   12 
# MANIFEST                                          |    5 
# NEWS                                              |  141 +
# aclocal.m4                                        |   17 
# c++/demo.cc                                       |    6 
# config.guess                                      |   46 
# config.sub                                        |   34 
# configure                                         | 2705 +++++++++----------
# configure.in                                      |   37 
# dist.mk                                           |    4 
# doc/hackguide.doc                                 |    6 
# doc/html/hackguide.html                           |   37 
# doc/html/ncurses-intro.html                       |   31 
# doc/ncurses-intro.doc                             |    2 
# form/frm_data.c                                   |    6 
# form/frm_def.c                                    |    6 
# form/frm_driver.c                                 |   40 
# include/curses.h.in                               |   14 
# include/curses.tail                               |   10 
# include/curses.wide                               |   12 
# include/ncurses_defs                              |   22 
# include/tic.h                                     |   20 
# man/curs_addch.3x                                 |    8 
# man/curs_addchstr.3x                              |    4 
# man/curs_color.3x                                 |   26 
# man/curs_extend.3x                                |    7 
# man/curs_getstr.3x                                |   18 
# man/curs_termcap.3x                               |   11 
# man/curs_util.3x                                  |   33 
# man/tic.1m                                        |   15 
# man/toe.1m                                        |   19 
# man/tput.1                                        |   12 
# menu/m_cursor.c                                   |    8 
# menu/m_driver.c                                   |    4 
# menu/m_global.c                                   |   82 
# menu/mf_common.h                                  |   11 
# misc/jpf-indent                                   |    5 
# misc/ncu-indent                                   |    5 
# misc/terminfo.src                                 |   74 
# ncurses-5.5-20060128/man/legacy_coding.3x         |   82 
# ncurses-5.5-20060128/ncurses/base/legacy_coding.c |   48 
# ncurses-5.5-20060128/test/bulgarian-utf8.txt      |    6 
# ncurses-5.5-20060128/test/demo_altkeys.c          |  142 +
# ncurses-5.5-20060128/test/widechars-utf8.txt      |    7 
# ncurses/base/MKkeyname.awk                        |    3 
# ncurses/base/MKlib_gen.sh                         |    7 
# ncurses/base/MKunctrl.awk                         |   45 
# ncurses/base/keybound.c                           |    5 
# ncurses/base/lib_addch.c                          |   14 
# ncurses/base/lib_bkgd.c                           |   12 
# ncurses/base/lib_box.c                            |    8 
# ncurses/base/lib_color.c                          |   18 
# ncurses/base/lib_dft_fgbg.c                       |    4 
# ncurses/base/lib_erase.c                          |   21 
# ncurses/base/lib_getch.c                          |   10 
# ncurses/base/lib_getstr.c                         |   17 
# ncurses/base/lib_initscr.c                        |   10 
# ncurses/base/lib_instr.c                          |    4 
# ncurses/base/lib_mouse.c                          |   31 
# ncurses/base/lib_newterm.c                        |  181 -
# ncurses/base/lib_restart.c                        |   59 
# ncurses/base/lib_set_term.c                       |   85 
# ncurses/base/tries.c                              |    6 
# ncurses/curses.priv.h                             |   38 
# ncurses/llib-lncurses                             |  111 
# ncurses/llib-lncursesw                            |  133 
# ncurses/modules                                   |    3 
# ncurses/tinfo/add_tries.c                         |    6 
# ncurses/tinfo/captoinfo.c                         |    6 
# ncurses/tinfo/comp_error.c                        |    4 
# ncurses/tinfo/comp_scan.c                         |    4 
# ncurses/tinfo/init_keytry.c                       |    6 
# ncurses/tinfo/lib_acs.c                           |   32 
# ncurses/tinfo/lib_setup.c                         |   54 
# ncurses/tinfo/lib_tparm.c                         |   24 
# ncurses/tinfo/lib_ttyflags.c                      |   49 
# ncurses/tinfo/read_entry.c                        |  262 +
# ncurses/tinfo/read_termcap.c                      |   25 
# ncurses/tinfo/trim_sgr0.c                         |    4 
# ncurses/tty/hashmap.c                             |    6 
# ncurses/tty/lib_mvcur.c                           |   10 
# ncurses/tty/lib_tstp.c                            |   55 
# ncurses/tty/lib_vidattr.c                         |   44 
# ncurses/tty/tty_update.c                          |  137 
# ncurses/widechar/lib_ins_wch.c                    |    4 
# panel/panel.priv.h                                |    8 
# progs/Makefile.in                                 |    7 
# progs/dump_entry.c                                |    6 
# progs/toe.c                                       |  293 +-
# test/Makefile.in                                  |    8 
# test/README                                       |    6 
# test/aclocal.m4                                   |  723 ++++-
# test/blue.c                                       |   13 
# test/bs.c                                         |   37 
# test/configure                                    | 2787 +++++++++++++++++---
# test/configure.in                                 |   63 
# test/demo_defkey.c                                |   15 
# test/demo_forms.c                                 |   29 
# test/demo_termcap.c                               |   17 
# test/dots.c                                       |   15 
# test/filter.c                                     |   32 
# test/inserts.c                                    |   39 
# test/lrtest.c                                     |   34 
# test/modules                                      |    3 
# test/ncurses.c                                    |  534 +++
# test/railroad.c                                   |   18 
# test/test.priv.h                                  |  143 -
# test/testcurs.c                                   |   30 
# 108 files changed, 7492 insertions(+), 2765 deletions(-)
# ------------------------------------------------------------------------------
Index: INSTALL
Prereq:  1.98 
--- ncurses-5.5/INSTALL	2005-10-09 14:09:37.000000000 +0000
+++ ncurses-5.5-20060128/INSTALL	2005-12-03 20:59:42.000000000 +0000
@@ -1,4 +1,4 @@
--- $Id: INSTALL,v 1.98 2005/10/09 14:09:37 tom Exp $
+-- $Id: INSTALL,v 1.100 2005/12/03 20:59:42 tom Exp $
 ---------------------------------------------------------------------
              How to install Ncurses/Terminfo on your system
 ---------------------------------------------------------------------
@@ -594,6 +594,8 @@
 	bind to the at runtime, so it is only necessary that the library be
 	present when ncurses is built.
 
+	See also --without-dlsym
+
     --with-install-prefix=XXX
 	Allows you to specify an alternate location for installing ncurses
 	after building it.  The value you specify is prepended to the "real"
@@ -678,6 +680,11 @@
     --with-normal
 	Generate normal (i.e., static) libraries (default).
 
+	Note:  on Linux, the configure script will attempt to use the GPM
+	library via the dlsym() function call.  Use --without-dlsym to disable
+	this feature, or --without-gpm, depending on whether you wish to use
+	GPM.
+
     --with-profile
 	Generate profile-libraries These are named by adding "_p" to the root,
 	e.g., libncurses_p.a
@@ -772,6 +779,9 @@
 	Suppress the configure script's check for C++, do not build the
 	C++ binding and related demo.
 
+    --without-dlsym
+	Do not use dlsym() to load GPM dynamically.
+
     --without-progs
 	Tell the configure script to suppress the build of ncurses' application
 	programs (e.g., tic).  The test applications will still be built if you
Index: MANIFEST
--- ncurses-5.5/MANIFEST	2005-07-17 00:27:51.000000000 +0000
+++ ncurses-5.5-20060128/MANIFEST	2005-12-18 00:27:59.000000000 +0000
@@ -598,6 +598,7 @@
 ./man/key_defined.3x
 ./man/keybound.3x
 ./man/keyok.3x
+./man/legacy_coding.3x
 ./man/make_sed.sh
 ./man/man_db.renames
 ./man/manlinks.sed
@@ -716,6 +717,7 @@
 ./ncurses/base/key_defined.c
 ./ncurses/base/keybound.c
 ./ncurses/base/keyok.c
+./ncurses/base/legacy_coding.c
 ./ncurses/base/lib_addch.c
 ./ncurses/base/lib_addstr.c
 ./ncurses/base/lib_beep.c
@@ -956,11 +958,13 @@
 ./test/blue.c
 ./test/bs.6
 ./test/bs.c
+./test/bulgarian-utf8.txt
 ./test/cardfile.c
 ./test/cardfile.dat
 ./test/color_set.c
 ./test/configure
 ./test/configure.in
+./test/demo_altkeys.c
 ./test/demo_defkey.c
 ./test/demo_forms.c
 ./test/demo_keyok.c
@@ -998,6 +1002,7 @@
 ./test/testscanw.c
 ./test/tracemunch
 ./test/view.c
+./test/widechars-utf8.txt
 ./test/worm.c
 ./test/xmas.c
 ./test/xterm-16color.dat
Index: NEWS
Prereq:  1.929 
--- ncurses-5.5/NEWS	2005-10-09 14:17:59.000000000 +0000
+++ ncurses-5.5-20060128/NEWS	2006-01-28 23:15:26.000000000 +0000
@@ -1,4 +1,4 @@
--- $Id: NEWS,v 1.929 2005/10/09 14:17:59 tom Exp $
+-- $Id: NEWS,v 1.954 2006/01/28 23:15:26 tom Exp $
 
 This is a log of changes that ncurses has gone through since Zeyd started
 working with Pavel Curtis' original work, pcurses, in 1992.
@@ -6,6 +6,145 @@
 Changes through 1.9.9e are recorded by Zeyd M. Ben-Halim.
 Changes since 1.9.9e are recorded by Thomas Dickey.
 
+20060128
+	+ correct form library Window_To_Buffer() change (cf:  20040516), which
+	  should ignore the video attributes (report by Ricardo Cantu).
+
+20060121
+	+ minor fixes to xmc-glitch experimental code:
+	  + suppress line-drawing
+	  + implement max_attributes
+	  tested with xterm.
+	+ minor fixes for the database iterator.
+	+ fix some buffer limits in c++ demo (comment by Falk Hueffner in
+	  Debian #348117).
+
+20060114
+	+ add toe -a option, to show all databases.  This uses new private
+	  interfaces in the ncurses library for iterating through the list of
+	  databases.
+	+ fix toe from 20000909 changes which made it not look at
+	  $HOME/.terminfo
+	+ make toe's -v option parameter optional as per manpage.
+	+ improve SIGWINCH handling by postponing its effect during newterm(),
+	  etc., when allocating screens.
+
+20060111
+	+ modify wgetnstr() to return KEY_RESIZE if a sigwinch occurs.  Use
+	  this in test/filter.c
+	+ fix an error in filter() modification which caused some applications
+	  to fail.
+
+20060107
+	+ check if filter() was called when getting the screensize.  Keep it
+	  at 1 if so (based on Redhat #174498).
+	+ add extension nofilter().
+	+ refined the workaround for ACS mapping.
+	+ make ifdef's consistent in curses.h for the extended colors so the
+	  header file can be used for the normal curses library.  The header
+	  file installed for extended colors is a variation of the
+	  wide-character configuration (report by Frederic L W Meunier).
+
+20051231
+	+ add a workaround to ACS mapping to allow applications such as
+	  test/blue.c to use the "PC ROM" characters by masking them with
+	  A_ALTCHARSET.  This worked up til 5.5, but was lost in the revision
+	  of legacy coding (report by Michael Deutschmann).
+	+ add a null-pointer check in the wide-character version of
+	  calculate_actual_width() (report by Victor Julien).
+	+ improve test/ncurses 'd' (color-edit) test by allowing the RGB
+	  values to be set independently (patch by William McBrine).
+	+ modify test/configure script to allow building test programs with
+	  PDCurses/X11.
+	+ modified test programs to allow some to work with NetBSD curses. 
+	  Several do not because NetBSD curses implements a subset of X/Open
+	  curses, and also lacks much of SVr4 additions.  But it's enough for
+	  comparison.
+	+ update config.guess and config.sub
+
+20051224
+	+ use BSD-specific fix for return-value from cgetent() from CVS where
+	  an unknown terminal type would be reportd as "database not found".
+	+ make tgetent() return code more readable using new symbols
+	  TGETENT_YES, etc.
+	+ remove references to non-existent "tctest" program.
+	+ remove TESTPROGS from progs/Makefile.in (it was referring to code
+	  that was never built in that directory).
+	+ typos in curs_addchstr.3x, some doc files (noticed in OpenBSD CVS).
+
+20051217
+	+ add use_legacy_coding() function to support lynx's font-switching
+	  feature.
+	+ fix formatting in curs_termcap.3x (report by Mike Frysinger).
+	+ modify MKlib_gen.sh to change preprocessor-expanded _Bool back to
+	  bool.
+
+20051210
+	+ extend test/ncurses.c 's' (overlay window) test to exercise overlay(),
+	  overwrite() and copywin() with different combinations of colors and
+	  attributes (including background color) to make it easy to see the
+	  effect of the different functions.
+	+ corrections to menu/m_global.c for wide-characters (report by
+	  Victor Julien).
+
+20051203
+	+ add configure option --without-dlsym, allowing developers to
+	  configure GPM support without using dlsym() (discussion with Michael
+	  Setzer).
+	+ fix wins_nwstr(), which did not handle single-column non-8bit codes
+	  (Debian #341661).
+
+20051126
+	+ move prototypes for wide-character trace functions from curses.tail
+	  to curses.wide to avoid accidental reference to those if
+	  _XOPEN_SOURCE_EXTENDED is defined without ensuring that <wchar.h> is
+	  included.
+	+ add/use NCURSES_INLINE definition.
+	+ change some internal functions to use int/unsigned rather than the
+	  short equivalents.
+
+20051119
+	+ remove a redundant check in lib_color.c (Debian #335655).
+	+ use ld's -search_paths_first option on Darwin to work around odd
+	  search rules on that platform (report by Christian Gennerat, analysis
+	  by Andrea Govoni).
+	+ remove special case for Darwin in CF_XOPEN_SOURCE configure macro.
+	+ ignore EINTR in tcgetattr/tcsetattr calls (Debian #339518).
+	+ fix several bugs in test/bs.c (patch by Stephen Lindholm).
+
+20051112
+	+ other minor fixes to cygwin based on tack -TD
+	+ correct smacs in cygwin (Debian #338234, report by Baurzhan
+	  Ismagulov, who noted that it was fixed in Cygwin).
+
+20051029
+	+ add shifted up/down arrow codes to xterm-new as kind/kri strings -TD
+	+ modify wbkgrnd() to avoid clearing the A_CHARTEXT attribute bits
+	  since those record the state of multicolumn characters (Debian
+	  #316663).
+	+ modify werase to clear multicolumn characters that extend into
+	  a derived window (Debian #316663).
+
+20051022
+	+ move assignment from environment variable ESCDELAY from initscr()
+	  down to newterm() so the environment variable affects timeouts for
+	  terminals opened with newterm() as well.
+	+ fix a memory leak in keyname().
+	+ add test/demo_altkeys.c
+	+ modify test/demo_defkey.c to exit from loop via 'q' to allow
+	  leak-checking, as well as fix a buffer size in winnstr() call.
+
+20051015
+	+ correct order of use-clauses in rxvt-basic entry which made codes for
+	  f1-f4 vt100-style rather than vt220-style (report by Gabor Z Papp).
+	+ suppress configure check for gnatmake if Ada95/Makefile.in is not
+	  found.
+	+ correct a typo in configure --with-bool option for the case where
+	  --without-cxx is used (report by Daniel Jacobowitz).
+	+ add a note to INSTALL's discussion of --with-normal, pointing out
+	  that one may wish to use --without-gpm to ensure a completely
+	  static link (prompted by report by Felix von Leitner).
+
 20051010 5.5 release for upload to ftp.gnu.org
 
 20051008
Index: aclocal.m4
Prereq:  1.373 
--- ncurses-5.5/aclocal.m4	2005-09-24 21:58:59.000000000 +0000
+++ ncurses-5.5-20060128/aclocal.m4	2005-11-19 21:48:41.000000000 +0000
@@ -28,7 +28,7 @@
 dnl
 dnl Author: Thomas E. Dickey 1995-on
 dnl
-dnl $Id: aclocal.m4,v 1.373 2005/09/24 21:58:59 tom Exp $
+dnl $Id: aclocal.m4,v 1.375 2005/11/19 21:48:41 tom Exp $
 dnl Macros used in NCURSES auto-configuration script.
 dnl
 dnl See http://invisible-island.net/autoconf/ for additional information.
@@ -3390,7 +3390,7 @@
 		-e 's/-[[UD]]$3\(=[[^ 	]]*\)\?[$]//g'`
 ])dnl
 dnl ---------------------------------------------------------------------------
-dnl CF_SHARED_OPTS version: 31 updated: 2005/01/01 16:39:44
+dnl CF_SHARED_OPTS version: 32 updated: 2005/11/19 16:44:37
 dnl --------------
 dnl Attempt to determine the appropriate CC/LD options for creating a shared
 dnl library.
@@ -3476,6 +3476,14 @@
 		MK_SHARED_LIB='$(CC) -dynamiclib -install_name $(DESTDIR)$(libdir)/`basename $[@]` -compatibility_version $(ABI_VERSION) -current_version $(ABI_VERSION) -o $[@]'
 		test "$cf_cv_shlib_version" = auto && cf_cv_shlib_version=abi
 		cf_cv_shlib_version_infix=yes
+		AC_CACHE_CHECK([if ld -search_paths_first works], cf_cv_ldflags_search_paths_first, [
+			cf_save_LDFLAGS=$LDFLAGS
+			LDFLAGS="$LDFLAGS -Wl,-search_paths_first"
+			AC_TRY_LINK(, [int i;], cf_cv_ldflags_search_paths_first=yes, cf_cv_ldflags_search_paths_first=no)
+				LDFLAGS=$cf_save_LDFLAGS])
+		if test $cf_cv_ldflags_search_paths_first = yes; then
+			LDFLAGS="$LDFLAGS -Wl,-search_paths_first"
+		fi
 		;;
 	hpux*)
 		# (tested with gcc 2.7.2 -- I don't have c89)
@@ -4487,7 +4495,7 @@
 fi
 ])dnl
 dnl ---------------------------------------------------------------------------
-dnl CF_XOPEN_SOURCE version: 22 updated: 2005/08/06 18:06:32
+dnl CF_XOPEN_SOURCE version: 23 updated: 2005/10/15 16:39:05
 dnl ---------------
 dnl Try to get _XOPEN_SOURCE defined properly that we can use POSIX functions,
 dnl or adapt to the vendor's definitions to get equivalent functionality.
@@ -4506,9 +4514,6 @@
 aix[[45]]*) #(vi
 	CPPFLAGS="$CPPFLAGS -D_ALL_SOURCE"
 	;;
-darwin*) #(vi
-	# setting _XOPEN_SOURCE breaks things on Darwin
-	;;
 freebsd*) #(vi
 	# 5.x headers associate
 	#	_XOPEN_SOURCE=600 with _POSIX_C_SOURCE=200112L
Index: c++/demo.cc
Prereq:  1.32 
--- ncurses-5.5/c++/demo.cc	2005-08-13 18:14:44.000000000 +0000
+++ ncurses-5.5-20060128/c++/demo.cc	2006-01-15 19:55:40.000000000 +0000
@@ -6,7 +6,7 @@
  *   Demo code for NCursesMenu and NCursesForm written by
  *   Juergen Pfeifer
  *
- * $Id: demo.cc,v 1.32 2005/08/13 18:14:44 tom Exp $
+ * $Id: demo.cc,v 1.33 2006/01/15 19:55:40 tom Exp $
  */
 
 #include "internal.h"
@@ -282,7 +282,7 @@
     TestForm F;
     Soft_Label_Key_Set* S = new Soft_Label_Key_Set;
     for(int i=1; i <= S->labels(); i++) {
-      char buf[5];
+      char buf[8];
       ::sprintf(buf,"Frm%02d",i);
       (*S)[i] = buf;                                      // Text
       (*S)[i] = Soft_Label_Key_Set::Soft_Label_Key::Left; // Justification
@@ -500,7 +500,7 @@
 void TestApplication::init_labels(Soft_Label_Key_Set& S) const
 {
   for(int i=1; i <= S.labels(); i++) {
-    char buf[5];
+    char buf[8];
     ::sprintf(buf,"Key%02d",i);
     S[i] = buf;                                      // Text
     S[i] = Soft_Label_Key_Set::Soft_Label_Key::Left; // Justification
Index: config.guess
--- ncurses-5.5/config.guess	2005-09-24 19:51:40.000000000 +0000
+++ ncurses-5.5-20060128/config.guess	2005-11-12 10:38:42.000000000 +0000
@@ -3,7 +3,7 @@
 #   Copyright (C) 1992, 1993, 1994, 1995, 1996, 1997, 1998, 1999,
 #   2000, 2001, 2002, 2003, 2004, 2005 Free Software Foundation, Inc.
 
-timestamp='2005-09-19'
+timestamp='2005-11-11'
 
 # This file is free software; you can redistribute it and/or modify it
 # under the terms of the GNU General Public License as published by
@@ -214,11 +214,11 @@
 	exit ;;
     alpha:OSF1:*:*)
 	case $UNAME_RELEASE in
-	*4.0)
+	    *4.0)
 		UNAME_RELEASE=`/usr/sbin/sizer -v | awk '{print $3}'`
 		;;
-	*5.*)
-	        UNAME_RELEASE=`/usr/sbin/sizer -v | awk '{print $4}'`
+	    *5.*)
+		UNAME_RELEASE=`/usr/sbin/sizer -v | awk '{print $4}'`
 		;;
 	esac
 	# According to Compaq, /usr/sbin/psrinfo has been available on
@@ -290,7 +290,7 @@
 	echo s390-ibm-zvmoe
 	exit ;;
     *:OS400:*:*)
-        echo powerpc-ibm-os400
+	echo powerpc-ibm-os400
 	exit ;;
     arm:RISC*:1.[012]*:*|arm:riscix:1.[012]*:*)
 	echo arm-acorn-riscix${UNAME_RELEASE}
@@ -745,14 +745,14 @@
 	exit ;;
     F30[01]:UNIX_System_V:*:* | F700:UNIX_System_V:*:*)
 	FUJITSU_PROC=`uname -m | tr 'ABCDEFGHIJKLMNOPQRSTUVWXYZ' 'abcdefghijklmnopqrstuvwxyz'`
-        FUJITSU_SYS=`uname -p | tr 'ABCDEFGHIJKLMNOPQRSTUVWXYZ' 'abcdefghijklmnopqrstuvwxyz' | sed -e 's/\///'`
-        FUJITSU_REL=`echo ${UNAME_RELEASE} | sed -e 's/ /_/'`
-        echo "${FUJITSU_PROC}-fujitsu-${FUJITSU_SYS}${FUJITSU_REL}"
+	FUJITSU_SYS=`uname -p | tr 'ABCDEFGHIJKLMNOPQRSTUVWXYZ' 'abcdefghijklmnopqrstuvwxyz' | sed -e 's/\///'`
+	FUJITSU_REL=`echo ${UNAME_RELEASE} | sed -e 's/ /_/'`
+	echo "${FUJITSU_PROC}-fujitsu-${FUJITSU_SYS}${FUJITSU_REL}"
         exit ;;
     5000:UNIX_System_V:4.*:*)
-        FUJITSU_SYS=`uname -p | tr 'ABCDEFGHIJKLMNOPQRSTUVWXYZ' 'abcdefghijklmnopqrstuvwxyz' | sed -e 's/\///'`
-        FUJITSU_REL=`echo ${UNAME_RELEASE} | tr 'ABCDEFGHIJKLMNOPQRSTUVWXYZ' 'abcdefghijklmnopqrstuvwxyz' | sed -e 's/ /_/'`
-        echo "sparc-fujitsu-${FUJITSU_SYS}${FUJITSU_REL}"
+	FUJITSU_SYS=`uname -p | tr 'ABCDEFGHIJKLMNOPQRSTUVWXYZ' 'abcdefghijklmnopqrstuvwxyz' | sed -e 's/\///'`
+	FUJITSU_REL=`echo ${UNAME_RELEASE} | tr 'ABCDEFGHIJKLMNOPQRSTUVWXYZ' 'abcdefghijklmnopqrstuvwxyz' | sed -e 's/ /_/'`
+	echo "sparc-fujitsu-${FUJITSU_SYS}${FUJITSU_REL}"
 	exit ;;
     i*86:BSD/386:*:* | i*86:BSD/OS:*:* | *:Ascend\ Embedded/OS:*:*)
 	echo ${UNAME_MACHINE}-pc-bsdi${UNAME_RELEASE}
@@ -773,13 +773,13 @@
 	echo ${UNAME_MACHINE}-pc-mingw32
 	exit ;;
     i*:windows32*:*)
-    	# uname -m includes "-pc" on this system.
-    	echo ${UNAME_MACHINE}-mingw32
+	# uname -m includes "-pc" on this system.
+	echo ${UNAME_MACHINE}-mingw32
 	exit ;;
     i*:PW*:*)
 	echo ${UNAME_MACHINE}-pc-pw32
 	exit ;;
-    x86:Interix*:[34]*)
+    x86:Interix*:[345]*)
 	echo i586-pc-interix${UNAME_RELEASE}|sed -e 's/\..*//'
 	exit ;;
     [345]86:Windows_95:* | [345]86:Windows_98:* | [345]86:Windows_NT:*)
@@ -824,7 +824,7 @@
 	echo crisv32-axis-linux-gnu
 	exit ;;
     frv:Linux:*:*)
-    	echo frv-unknown-linux-gnu
+	echo frv-unknown-linux-gnu
 	exit ;;
     ia64:Linux:*:*)
 	echo ${UNAME_MACHINE}-unknown-linux-gnu
@@ -874,8 +874,8 @@
 	test x"${CPU}" != x && { echo "${CPU}-unknown-linux-gnu"; exit; }
 	;;
     or32:Linux:*:*)
-	echo or32-unknown-linux-gnu
-	exit ;;
+    	echo or32-unknown-linux-gnu
+    	exit ;;
     ppc:Linux:*:*)
 	echo powerpc-unknown-linux-gnu
 	exit ;;
@@ -911,7 +911,7 @@
 	echo ${UNAME_MACHINE}-ibm-linux
 	exit ;;
     sh64*:Linux:*:*)
-    	echo ${UNAME_MACHINE}-unknown-linux-gnu
+	echo ${UNAME_MACHINE}-unknown-linux-gnu
 	exit ;;
     sh*:Linux:*:*)
 	echo ${UNAME_MACHINE}-unknown-linux-gnu
@@ -1024,7 +1024,7 @@
 	fi
 	exit ;;
     i*86:*:5:[678]*)
-    	# UnixWare 7.x, OpenUNIX and OpenServer 6.
+	# UnixWare 7.x, OpenUNIX and OpenServer 6.
 	case `/bin/uname -X | grep "^Machine"` in
 	    *486*)	     UNAME_MACHINE=i486 ;;
 	    *Pentium)	     UNAME_MACHINE=i586 ;;
@@ -1192,8 +1192,8 @@
     *:procnto*:*:* | *:QNX:[0123456789]*:*)
 	UNAME_PROCESSOR=`uname -p`
 	if test "$UNAME_PROCESSOR" = "x86"; then
-		UNAME_PROCESSOR=i386
-		UNAME_MACHINE=pc
+	    UNAME_PROCESSOR=i386
+	    UNAME_MACHINE=pc
 	fi
 	echo ${UNAME_PROCESSOR}-${UNAME_MACHINE}-nto-qnx${UNAME_RELEASE}
 	exit ;;
@@ -1245,13 +1245,13 @@
 	echo pdp10-unknown-its
 	exit ;;
     SEI:*:*:SEIUX)
-        echo mips-sei-seiux${UNAME_RELEASE}
+	echo mips-sei-seiux${UNAME_RELEASE}
 	exit ;;
     *:DragonFly:*:*)
 	echo ${UNAME_MACHINE}-unknown-dragonfly`echo ${UNAME_RELEASE}|sed -e 's/[-(].*//'`
 	exit ;;
     *:*VMS:*:*)
-    	UNAME_MACHINE=`(uname -p) 2>/dev/null`
+	UNAME_MACHINE=`(uname -p) 2>/dev/null`
 	case "${UNAME_MACHINE}" in
 	    A*) echo alpha-dec-vms ; exit ;;
 	    I*) echo ia64-dec-vms ; exit ;;
Index: config.sub
--- ncurses-5.5/config.sub	2005-09-24 19:51:26.000000000 +0000
+++ ncurses-5.5-20060128/config.sub	2005-11-13 22:12:32.000000000 +0000
@@ -3,7 +3,7 @@
 #   Copyright (C) 1992, 1993, 1994, 1995, 1996, 1997, 1998, 1999,
 #   2000, 2001, 2002, 2003, 2004, 2005 Free Software Foundation, Inc.
 
-timestamp='2005-07-08'
+timestamp='2005-11-13'
 
 # This file is (in principle) common to ALL GNU software.
 # The presence of a machine in this file suggests that SOME GNU software
@@ -171,6 +171,10 @@
 	-hiux*)
 		os=-hiuxwe2
 		;;
+	-sco6)
+		os=-sco5v6
+		basic_machine=`echo $1 | sed -e 's/86-.*/86-pc/'`
+		;;
 	-sco5)
 		os=-sco3.2v5
 		basic_machine=`echo $1 | sed -e 's/86-.*/86-pc/'`
@@ -187,6 +191,10 @@
 		# Don't forget version if it is 3.2v4 or newer.
 		basic_machine=`echo $1 | sed -e 's/86-.*/86-pc/'`
 		;;
+	-sco5v6*)
+		# Don't forget version if it is 3.2v4 or newer.
+		basic_machine=`echo $1 | sed -e 's/86-.*/86-pc/'`
+		;;
 	-sco*)
 		os=-sco3.2v2
 		basic_machine=`echo $1 | sed -e 's/86-.*/86-pc/'`
@@ -291,8 +299,8 @@
 	# because (1) that's what they normally are, and
 	# (2) the word "unknown" tends to confuse beginning users.
 	i*86 | x86_64)
-	  basic_machine=$basic_machine-pc
-	  ;;
+		basic_machine=$basic_machine-pc
+		;;
 	# Object if more than one company name word.
 	*-*-*)
 		echo Invalid configuration \`$1\': machine \`$basic_machine\' not recognized 1>&2
@@ -377,7 +385,7 @@
 		basic_machine=a29k-amd
 		os=-udi
 		;;
-    	abacus)
+	abacus)
 		basic_machine=abacus-unknown
 		;;
 	adobe68k)
@@ -1145,8 +1153,8 @@
 if [ x"$os" != x"" ]
 then
 case $os in
-        # First match some system type aliases
-        # that might get confused with valid system types.
+	# First match some system type aliases
+	# that might get confused with valid system types.
 	# -solaris* is a basic system type, with this one exception.
 	-solaris1 | -solaris1.*)
 		os=`echo $os | sed -e 's|solaris1|sunos4|'`
@@ -1188,7 +1196,7 @@
 	      | -os2* | -vos* | -palmos* | -uclinux* | -nucleus* \
 	      | -morphos* | -superux* | -rtmk* | -rtmk-nova* | -windiss* \
 	      | -powermax* | -dnix* | -nx6 | -nx7 | -sei* | -dragonfly* \
-	      | -skyos* | -haiku*)
+	      | -skyos* | haiku*)
 	# Remember, each alternative MUST END IN *, to match a version number.
 		;;
 	-qnx*)
@@ -1227,7 +1235,7 @@
 	-opened*)
 		os=-openedition
 		;;
-        -os400*)
+	-os400*)
 		os=-os400
 		;;
 	-wince*)
@@ -1276,7 +1284,7 @@
 	-sinix*)
 		os=-sysv4
 		;;
-        -tpf*)
+	-tpf*)
 		os=-tpf
 		;;
 	-triton*)
@@ -1349,9 +1357,9 @@
 	arm*-semi)
 		os=-aout
 		;;
-    c4x-* | tic4x-*)
-        os=-coff
-        ;;
+	c4x-* | tic4x-*)
+		os=-coff
+		;;
 	# This must come before the *-dec entry.
 	pdp10-*)
 		os=-tops20
@@ -1401,7 +1409,7 @@
 	*-ibm)
 		os=-aix
 		;;
-    	*-knuth)
+	*-knuth)
 		os=-mmixware
 		;;
 	*-wec)
Index: configure
--- ncurses-5.5/configure	2005-09-24 21:50:50.000000000 +0000
+++ ncurses-5.5-20060128/configure	2005-12-03 21:00:30.000000000 +0000
@@ -1,5 +1,5 @@
 #! /bin/sh
-# From configure.in Revision: 1.351 .
+# From configure.in Revision: 1.356 .
 # Guess values for system-dependent variables and create Makefiles.
 # Generated by Autoconf 2.52.20030208.
 #
@@ -681,6 +681,7 @@
   --with-dbmalloc         use Conor Cahill's dbmalloc library
   --with-dmalloc          use Gray Watson's dmalloc library
   --with-gpm              use Alessandro Rubini's GPM library
+  --without-dlsym         do not use dlsym() to load GPM dynamically
   --with-sysmouse         use sysmouse (FreeBSD console)
   --enable-rpath          use rpath option when generating shared libraries
   --with-shlib-version=X  Specify rel or abi version for shared libs
@@ -944,7 +945,7 @@
 fi
 for ac_site_file in $CONFIG_SITE; do
   if test -r "$ac_site_file"; then
-    { echo "$as_me:947: loading site script $ac_site_file" >&5
+    { echo "$as_me:948: loading site script $ac_site_file" >&5
 echo "$as_me: loading site script $ac_site_file" >&6;}
     cat "$ac_site_file" >&5
     . "$ac_site_file"
@@ -955,7 +956,7 @@
   # Some versions of bash will fail to source /dev/null (special
   # files actually), so we avoid doing that.
   if test -f "$cache_file"; then
-    { echo "$as_me:958: loading cache $cache_file" >&5
+    { echo "$as_me:959: loading cache $cache_file" >&5
 echo "$as_me: loading cache $cache_file" >&6;}
     case $cache_file in
       [\\/]* | ?:[\\/]* ) . $cache_file;;
@@ -963,7 +964,7 @@
     esac
   fi
 else
-  { echo "$as_me:966: creating cache $cache_file" >&5
+  { echo "$as_me:967: creating cache $cache_file" >&5
 echo "$as_me: creating cache $cache_file" >&6;}
   >$cache_file
 fi
@@ -979,21 +980,21 @@
   eval ac_new_val="\$ac_env_${ac_var}_value"
   case $ac_old_set,$ac_new_set in
     set,)
-      { echo "$as_me:982: error: \`$ac_var' was set to \`$ac_old_val' in the previous run" >&5
+      { echo "$as_me:983: error: \`$ac_var' was set to \`$ac_old_val' in the previous run" >&5
 echo "$as_me: error: \`$ac_var' was set to \`$ac_old_val' in the previous run" >&2;}
       ac_cache_corrupted=: ;;
     ,set)
-      { echo "$as_me:986: error: \`$ac_var' was not set in the previous run" >&5
+      { echo "$as_me:987: error: \`$ac_var' was not set in the previous run" >&5
 echo "$as_me: error: \`$ac_var' was not set in the previous run" >&2;}
       ac_cache_corrupted=: ;;
     ,);;
     *)
       if test "x$ac_old_val" != "x$ac_new_val"; then
-        { echo "$as_me:992: error: \`$ac_var' has changed since the previous run:" >&5
+        { echo "$as_me:993: error: \`$ac_var' has changed since the previous run:" >&5
 echo "$as_me: error: \`$ac_var' has changed since the previous run:" >&2;}
-        { echo "$as_me:994:   former value:  $ac_old_val" >&5
+        { echo "$as_me:995:   former value:  $ac_old_val" >&5
 echo "$as_me:   former value:  $ac_old_val" >&2;}
-        { echo "$as_me:996:   current value: $ac_new_val" >&5
+        { echo "$as_me:997:   current value: $ac_new_val" >&5
 echo "$as_me:   current value: $ac_new_val" >&2;}
         ac_cache_corrupted=:
       fi;;
@@ -1012,9 +1013,9 @@
   fi
 done
 if $ac_cache_corrupted; then
-  { echo "$as_me:1015: error: changes in the environment can compromise the build" >&5
+  { echo "$as_me:1016: error: changes in the environment can compromise the build" >&5
 echo "$as_me: error: changes in the environment can compromise the build" >&2;}
-  { { echo "$as_me:1017: error: run \`make distclean' and/or \`rm $cache_file' and start over" >&5
+  { { echo "$as_me:1018: error: run \`make distclean' and/or \`rm $cache_file' and start over" >&5
 echo "$as_me: error: run \`make distclean' and/or \`rm $cache_file' and start over" >&2;}
    { (exit 1); exit 1; }; }
 fi
@@ -1034,10 +1035,10 @@
 echo "#! $SHELL" >conftest.sh
 echo  "exit 0"   >>conftest.sh
 chmod +x conftest.sh
-if { (echo "$as_me:1037: PATH=\".;.\"; conftest.sh") >&5
+if { (echo "$as_me:1038: PATH=\".;.\"; conftest.sh") >&5
   (PATH=".;."; conftest.sh) 2>&5
   ac_status=$?
-  echo "$as_me:1040: \$? = $ac_status" >&5
+  echo "$as_me:1041: \$? = $ac_status" >&5
   (exit $ac_status); }; then
   ac_path_separator=';'
 else
@@ -1054,7 +1055,7 @@
 cf_cv_abi_version=${NCURSES_MAJOR}
 cf_cv_rel_version=${NCURSES_MAJOR}.${NCURSES_MINOR}
 cf_cv_timestamp=`date`
-echo "$as_me:1057: result: Configuring NCURSES $cf_cv_rel_version ABI $cf_cv_abi_version ($cf_cv_timestamp)" >&5
+echo "$as_me:1058: result: Configuring NCURSES $cf_cv_rel_version ABI $cf_cv_abi_version ($cf_cv_timestamp)" >&5
 echo "${ECHO_T}Configuring NCURSES $cf_cv_rel_version ABI $cf_cv_abi_version ($cf_cv_timestamp)" >&6
 
 test -z "$cf_cv_rel_version" && cf_cv_rel_version=0.0
@@ -1062,7 +1063,7 @@
 # Check whether --with-rel-version or --without-rel-version was given.
 if test "${with_rel_version+set}" = set; then
   withval="$with_rel_version"
-  { echo "$as_me:1065: WARNING: overriding release version $cf_cv_rel_version to $withval" >&5
+  { echo "$as_me:1066: WARNING: overriding release version $cf_cv_rel_version to $withval" >&5
 echo "$as_me: WARNING: overriding release version $cf_cv_rel_version to $withval" >&2;}
  cf_cv_rel_version=$withval
 fi;
@@ -1075,13 +1076,13 @@
   [0-9]*) #(vi
  	;;
   *)
-	{ { echo "$as_me:1078: error: Release major-version is not a number: $NCURSES_MAJOR" >&5
+	{ { echo "$as_me:1079: error: Release major-version is not a number: $NCURSES_MAJOR" >&5
 echo "$as_me: error: Release major-version is not a number: $NCURSES_MAJOR" >&2;}
    { (exit 1); exit 1; }; }
  	;;
   esac
 else
-  { { echo "$as_me:1084: error: Release major-version value is empty" >&5
+  { { echo "$as_me:1085: error: Release major-version value is empty" >&5
 echo "$as_me: error: Release major-version value is empty" >&2;}
    { (exit 1); exit 1; }; }
 fi
@@ -1091,13 +1092,13 @@
   [0-9]*) #(vi
  	;;
   *)
-	{ { echo "$as_me:1094: error: Release minor-version is not a number: $NCURSES_MINOR" >&5
+	{ { echo "$as_me:1095: error: Release minor-version is not a number: $NCURSES_MINOR" >&5
 echo "$as_me: error: Release minor-version is not a number: $NCURSES_MINOR" >&2;}
    { (exit 1); exit 1; }; }
  	;;
   esac
 else
-  { { echo "$as_me:1100: error: Release minor-version value is empty" >&5
+  { { echo "$as_me:1101: error: Release minor-version value is empty" >&5
 echo "$as_me: error: Release minor-version value is empty" >&2;}
    { (exit 1); exit 1; }; }
 fi
@@ -1107,7 +1108,7 @@
 # Check whether --with-abi-version or --without-abi-version was given.
 if test "${with_abi_version+set}" = set; then
   withval="$with_abi_version"
-  { echo "$as_me:1110: WARNING: overriding ABI version $cf_cv_abi_version to $withval" >&5
+  { echo "$as_me:1111: WARNING: overriding ABI version $cf_cv_abi_version to $withval" >&5
 echo "$as_me: WARNING: overriding ABI version $cf_cv_abi_version to $withval" >&2;}
  cf_cv_abi_version=$withval
 fi;
@@ -1117,13 +1118,13 @@
   [0-9]*) #(vi
  	;;
   *)
-	{ { echo "$as_me:1120: error: ABI version is not a number: $cf_cv_abi_version" >&5
+	{ { echo "$as_me:1121: error: ABI version is not a number: $cf_cv_abi_version" >&5
 echo "$as_me: error: ABI version is not a number: $cf_cv_abi_version" >&2;}
    { (exit 1); exit 1; }; }
  	;;
   esac
 else
-  { { echo "$as_me:1126: error: ABI version value is empty" >&5
+  { { echo "$as_me:1127: error: ABI version value is empty" >&5
 echo "$as_me: error: ABI version value is empty" >&2;}
    { (exit 1); exit 1; }; }
 fi
@@ -1145,7 +1146,7 @@
   fi
 done
 if test -z "$ac_aux_dir"; then
-  { { echo "$as_me:1148: error: cannot find install-sh or install.sh in $srcdir $srcdir/.. $srcdir/../.." >&5
+  { { echo "$as_me:1149: error: cannot find install-sh or install.sh in $srcdir $srcdir/.. $srcdir/../.." >&5
 echo "$as_me: error: cannot find install-sh or install.sh in $srcdir $srcdir/.. $srcdir/../.." >&2;}
    { (exit 1); exit 1; }; }
 fi
@@ -1155,11 +1156,11 @@
 
 # Make sure we can run config.sub.
 $ac_config_sub sun4 >/dev/null 2>&1 ||
-  { { echo "$as_me:1158: error: cannot run $ac_config_sub" >&5
+  { { echo "$as_me:1159: error: cannot run $ac_config_sub" >&5
 echo "$as_me: error: cannot run $ac_config_sub" >&2;}
    { (exit 1); exit 1; }; }
 
-echo "$as_me:1162: checking build system type" >&5
+echo "$as_me:1163: checking build system type" >&5
 echo $ECHO_N "checking build system type... $ECHO_C" >&6
 if test "${ac_cv_build+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -1168,23 +1169,23 @@
 test -z "$ac_cv_build_alias" &&
   ac_cv_build_alias=`$ac_config_guess`
 test -z "$ac_cv_build_alias" &&
-  { { echo "$as_me:1171: error: cannot guess build type; you must specify one" >&5
+  { { echo "$as_me:1172: error: cannot guess build type; you must specify one" >&5
 echo "$as_me: error: cannot guess build type; you must specify one" >&2;}
    { (exit 1); exit 1; }; }
 ac_cv_build=`$ac_config_sub $ac_cv_build_alias` ||
-  { { echo "$as_me:1175: error: $ac_config_sub $ac_cv_build_alias failed." >&5
+  { { echo "$as_me:1176: error: $ac_config_sub $ac_cv_build_alias failed." >&5
 echo "$as_me: error: $ac_config_sub $ac_cv_build_alias failed." >&2;}
    { (exit 1); exit 1; }; }
 
 fi
-echo "$as_me:1180: result: $ac_cv_build" >&5
+echo "$as_me:1181: result: $ac_cv_build" >&5
 echo "${ECHO_T}$ac_cv_build" >&6
 build=$ac_cv_build
 build_cpu=`echo $ac_cv_build | sed 's/^\([^-]*\)-\([^-]*\)-\(.*\)$/\1/'`
 build_vendor=`echo $ac_cv_build | sed 's/^\([^-]*\)-\([^-]*\)-\(.*\)$/\2/'`
 build_os=`echo $ac_cv_build | sed 's/^\([^-]*\)-\([^-]*\)-\(.*\)$/\3/'`
 
-echo "$as_me:1187: checking host system type" >&5
+echo "$as_me:1188: checking host system type" >&5
 echo $ECHO_N "checking host system type... $ECHO_C" >&6
 if test "${ac_cv_host+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -1193,12 +1194,12 @@
 test -z "$ac_cv_host_alias" &&
   ac_cv_host_alias=$ac_cv_build_alias
 ac_cv_host=`$ac_config_sub $ac_cv_host_alias` ||
-  { { echo "$as_me:1196: error: $ac_config_sub $ac_cv_host_alias failed" >&5
+  { { echo "$as_me:1197: error: $ac_config_sub $ac_cv_host_alias failed" >&5
 echo "$as_me: error: $ac_config_sub $ac_cv_host_alias failed" >&2;}
    { (exit 1); exit 1; }; }
 
 fi
-echo "$as_me:1201: result: $ac_cv_host" >&5
+echo "$as_me:1202: result: $ac_cv_host" >&5
 echo "${ECHO_T}$ac_cv_host" >&6
 host=$ac_cv_host
 host_cpu=`echo $ac_cv_host | sed 's/^\([^-]*\)-\([^-]*\)-\(.*\)$/\1/'`
@@ -1206,7 +1207,7 @@
 host_os=`echo $ac_cv_host | sed 's/^\([^-]*\)-\([^-]*\)-\(.*\)$/\3/'`
 
 if test -f $srcdir/config.guess || test -f $ac_aux_dir/config.guess ; then
-	echo "$as_me:1209: checking target system type" >&5
+	echo "$as_me:1210: checking target system type" >&5
 echo $ECHO_N "checking target system type... $ECHO_C" >&6
 if test "${ac_cv_target+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -1215,12 +1216,12 @@
 test "x$ac_cv_target_alias" = "x" &&
   ac_cv_target_alias=$ac_cv_host_alias
 ac_cv_target=`$ac_config_sub $ac_cv_target_alias` ||
-  { { echo "$as_me:1218: error: $ac_config_sub $ac_cv_target_alias failed" >&5
+  { { echo "$as_me:1219: error: $ac_config_sub $ac_cv_target_alias failed" >&5
 echo "$as_me: error: $ac_config_sub $ac_cv_target_alias failed" >&2;}
    { (exit 1); exit 1; }; }
 
 fi
-echo "$as_me:1223: result: $ac_cv_target" >&5
+echo "$as_me:1224: result: $ac_cv_target" >&5
 echo "${ECHO_T}$ac_cv_target" >&6
 target=$ac_cv_target
 target_cpu=`echo $ac_cv_target | sed 's/^\([^-]*\)-\([^-]*\)-\(.*\)$/\1/'`
@@ -1251,13 +1252,13 @@
 fi
 
 test -z "$system_name" && system_name="$cf_cv_system_name"
-test -n "$cf_cv_system_name" && echo "$as_me:1254: result: Configuring for $cf_cv_system_name" >&5
+test -n "$cf_cv_system_name" && echo "$as_me:1255: result: Configuring for $cf_cv_system_name" >&5
 echo "${ECHO_T}Configuring for $cf_cv_system_name" >&6
 
 if test ".$system_name" != ".$cf_cv_system_name" ; then
-	echo "$as_me:1258: result: Cached system name ($system_name) does not agree with actual ($cf_cv_system_name)" >&5
+	echo "$as_me:1259: result: Cached system name ($system_name) does not agree with actual ($cf_cv_system_name)" >&5
 echo "${ECHO_T}Cached system name ($system_name) does not agree with actual ($cf_cv_system_name)" >&6
-	{ { echo "$as_me:1260: error: \"Please remove config.cache and try again.\"" >&5
+	{ { echo "$as_me:1261: error: \"Please remove config.cache and try again.\"" >&5
 echo "$as_me: error: \"Please remove config.cache and try again.\"" >&2;}
    { (exit 1); exit 1; }; }
 fi
@@ -1265,7 +1266,7 @@
 # Check whether --with-system-type or --without-system-type was given.
 if test "${with_system_type+set}" = set; then
   withval="$with_system_type"
-  { echo "$as_me:1268: WARNING: overriding system type to $withval" >&5
+  { echo "$as_me:1269: WARNING: overriding system type to $withval" >&5
 echo "$as_me: WARNING: overriding system type to $withval" >&2;}
  cf_cv_system_name=$withval
 fi;
@@ -1275,7 +1276,7 @@
 
 ###	Default install-location
 
-echo "$as_me:1278: checking for prefix" >&5
+echo "$as_me:1279: checking for prefix" >&5
 echo $ECHO_N "checking for prefix... $ECHO_C" >&6
 if test "x$prefix" = "xNONE" ; then
 	case "$cf_cv_system_name" in
@@ -1287,11 +1288,11 @@
 		;;
 	esac
 fi
-echo "$as_me:1290: result: $prefix" >&5
+echo "$as_me:1291: result: $prefix" >&5
 echo "${ECHO_T}$prefix" >&6
 
 if test "x$prefix" = "xNONE" ; then
-echo "$as_me:1294: checking for default include-directory" >&5
+echo "$as_me:1295: checking for default include-directory" >&5
 echo $ECHO_N "checking for default include-directory... $ECHO_C" >&6
 test -n "$verbose" && echo 1>&6
 for cf_symbol in \
@@ -1314,7 +1315,7 @@
 	fi
 	test -n "$verbose"  && echo "	tested $cf_dir" 1>&6
 done
-echo "$as_me:1317: result: $includedir" >&5
+echo "$as_me:1318: result: $includedir" >&5
 echo "${ECHO_T}$includedir" >&6
 fi
 
@@ -1327,7 +1328,7 @@
 if test -n "$ac_tool_prefix"; then
   # Extract the first word of "${ac_tool_prefix}gcc", so it can be a program name with args.
 set dummy ${ac_tool_prefix}gcc; ac_word=$2
-echo "$as_me:1330: checking for $ac_word" >&5
+echo "$as_me:1331: checking for $ac_word" >&5
 echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
 if test "${ac_cv_prog_CC+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -1342,7 +1343,7 @@
   test -z "$ac_dir" && ac_dir=.
   $as_executable_p "$ac_dir/$ac_word" || continue
 ac_cv_prog_CC="${ac_tool_prefix}gcc"
-echo "$as_me:1345: found $ac_dir/$ac_word" >&5
+echo "$as_me:1346: found $ac_dir/$ac_word" >&5
 break
 done
 
@@ -1350,10 +1351,10 @@
 fi
 CC=$ac_cv_prog_CC
 if test -n "$CC"; then
-  echo "$as_me:1353: result: $CC" >&5
+  echo "$as_me:1354: result: $CC" >&5
 echo "${ECHO_T}$CC" >&6
 else
-  echo "$as_me:1356: result: no" >&5
+  echo "$as_me:1357: result: no" >&5
 echo "${ECHO_T}no" >&6
 fi
 
@@ -1362,7 +1363,7 @@
   ac_ct_CC=$CC
   # Extract the first word of "gcc", so it can be a program name with args.
 set dummy gcc; ac_word=$2
-echo "$as_me:1365: checking for $ac_word" >&5
+echo "$as_me:1366: checking for $ac_word" >&5
 echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
 if test "${ac_cv_prog_ac_ct_CC+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -1377,7 +1378,7 @@
   test -z "$ac_dir" && ac_dir=.
   $as_executable_p "$ac_dir/$ac_word" || continue
 ac_cv_prog_ac_ct_CC="gcc"
-echo "$as_me:1380: found $ac_dir/$ac_word" >&5
+echo "$as_me:1381: found $ac_dir/$ac_word" >&5
 break
 done
 
@@ -1385,10 +1386,10 @@
 fi
 ac_ct_CC=$ac_cv_prog_ac_ct_CC
 if test -n "$ac_ct_CC"; then
-  echo "$as_me:1388: result: $ac_ct_CC" >&5
+  echo "$as_me:1389: result: $ac_ct_CC" >&5
 echo "${ECHO_T}$ac_ct_CC" >&6
 else
-  echo "$as_me:1391: result: no" >&5
+  echo "$as_me:1392: result: no" >&5
 echo "${ECHO_T}no" >&6
 fi
 
@@ -1401,7 +1402,7 @@
   if test -n "$ac_tool_prefix"; then
   # Extract the first word of "${ac_tool_prefix}cc", so it can be a program name with args.
 set dummy ${ac_tool_prefix}cc; ac_word=$2
-echo "$as_me:1404: checking for $ac_word" >&5
+echo "$as_me:1405: checking for $ac_word" >&5
 echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
 if test "${ac_cv_prog_CC+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -1416,7 +1417,7 @@
   test -z "$ac_dir" && ac_dir=.
   $as_executable_p "$ac_dir/$ac_word" || continue
 ac_cv_prog_CC="${ac_tool_prefix}cc"
-echo "$as_me:1419: found $ac_dir/$ac_word" >&5
+echo "$as_me:1420: found $ac_dir/$ac_word" >&5
 break
 done
 
@@ -1424,10 +1425,10 @@
 fi
 CC=$ac_cv_prog_CC
 if test -n "$CC"; then
-  echo "$as_me:1427: result: $CC" >&5
+  echo "$as_me:1428: result: $CC" >&5
 echo "${ECHO_T}$CC" >&6
 else
-  echo "$as_me:1430: result: no" >&5
+  echo "$as_me:1431: result: no" >&5
 echo "${ECHO_T}no" >&6
 fi
 
@@ -1436,7 +1437,7 @@
   ac_ct_CC=$CC
   # Extract the first word of "cc", so it can be a program name with args.
 set dummy cc; ac_word=$2
-echo "$as_me:1439: checking for $ac_word" >&5
+echo "$as_me:1440: checking for $ac_word" >&5
 echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
 if test "${ac_cv_prog_ac_ct_CC+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -1451,7 +1452,7 @@
   test -z "$ac_dir" && ac_dir=.
   $as_executable_p "$ac_dir/$ac_word" || continue
 ac_cv_prog_ac_ct_CC="cc"
-echo "$as_me:1454: found $ac_dir/$ac_word" >&5
+echo "$as_me:1455: found $ac_dir/$ac_word" >&5
 break
 done
 
@@ -1459,10 +1460,10 @@
 fi
 ac_ct_CC=$ac_cv_prog_ac_ct_CC
 if test -n "$ac_ct_CC"; then
-  echo "$as_me:1462: result: $ac_ct_CC" >&5
+  echo "$as_me:1463: result: $ac_ct_CC" >&5
 echo "${ECHO_T}$ac_ct_CC" >&6
 else
-  echo "$as_me:1465: result: no" >&5
+  echo "$as_me:1466: result: no" >&5
 echo "${ECHO_T}no" >&6
 fi
 
@@ -1475,7 +1476,7 @@
 if test -z "$CC"; then
   # Extract the first word of "cc", so it can be a program name with args.
 set dummy cc; ac_word=$2
-echo "$as_me:1478: checking for $ac_word" >&5
+echo "$as_me:1479: checking for $ac_word" >&5
 echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
 if test "${ac_cv_prog_CC+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -1495,7 +1496,7 @@
   continue
 fi
 ac_cv_prog_CC="cc"
-echo "$as_me:1498: found $ac_dir/$ac_word" >&5
+echo "$as_me:1499: found $ac_dir/$ac_word" >&5
 break
 done
 
@@ -1517,10 +1518,10 @@
 fi
 CC=$ac_cv_prog_CC
 if test -n "$CC"; then
-  echo "$as_me:1520: result: $CC" >&5
+  echo "$as_me:1521: result: $CC" >&5
 echo "${ECHO_T}$CC" >&6
 else
-  echo "$as_me:1523: result: no" >&5
+  echo "$as_me:1524: result: no" >&5
 echo "${ECHO_T}no" >&6
 fi
 
@@ -1531,7 +1532,7 @@
   do
     # Extract the first word of "$ac_tool_prefix$ac_prog", so it can be a program name with args.
 set dummy $ac_tool_prefix$ac_prog; ac_word=$2
-echo "$as_me:1534: checking for $ac_word" >&5
+echo "$as_me:1535: checking for $ac_word" >&5
 echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
 if test "${ac_cv_prog_CC+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -1546,7 +1547,7 @@
   test -z "$ac_dir" && ac_dir=.
   $as_executable_p "$ac_dir/$ac_word" || continue
 ac_cv_prog_CC="$ac_tool_prefix$ac_prog"
-echo "$as_me:1549: found $ac_dir/$ac_word" >&5
+echo "$as_me:1550: found $ac_dir/$ac_word" >&5
 break
 done
 
@@ -1554,10 +1555,10 @@
 fi
 CC=$ac_cv_prog_CC
 if test -n "$CC"; then
-  echo "$as_me:1557: result: $CC" >&5
+  echo "$as_me:1558: result: $CC" >&5
 echo "${ECHO_T}$CC" >&6
 else
-  echo "$as_me:1560: result: no" >&5
+  echo "$as_me:1561: result: no" >&5
 echo "${ECHO_T}no" >&6
 fi
 
@@ -1570,7 +1571,7 @@
 do
   # Extract the first word of "$ac_prog", so it can be a program name with args.
 set dummy $ac_prog; ac_word=$2
-echo "$as_me:1573: checking for $ac_word" >&5
+echo "$as_me:1574: checking for $ac_word" >&5
 echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
 if test "${ac_cv_prog_ac_ct_CC+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -1585,7 +1586,7 @@
   test -z "$ac_dir" && ac_dir=.
   $as_executable_p "$ac_dir/$ac_word" || continue
 ac_cv_prog_ac_ct_CC="$ac_prog"
-echo "$as_me:1588: found $ac_dir/$ac_word" >&5
+echo "$as_me:1589: found $ac_dir/$ac_word" >&5
 break
 done
 
@@ -1593,10 +1594,10 @@
 fi
 ac_ct_CC=$ac_cv_prog_ac_ct_CC
 if test -n "$ac_ct_CC"; then
-  echo "$as_me:1596: result: $ac_ct_CC" >&5
+  echo "$as_me:1597: result: $ac_ct_CC" >&5
 echo "${ECHO_T}$ac_ct_CC" >&6
 else
-  echo "$as_me:1599: result: no" >&5
+  echo "$as_me:1600: result: no" >&5
 echo "${ECHO_T}no" >&6
 fi
 
@@ -1608,32 +1609,32 @@
 
 fi
 
-test -z "$CC" && { { echo "$as_me:1611: error: no acceptable cc found in \$PATH" >&5
+test -z "$CC" && { { echo "$as_me:1612: error: no acceptable cc found in \$PATH" >&5
 echo "$as_me: error: no acceptable cc found in \$PATH" >&2;}
    { (exit 1); exit 1; }; }
 
 # Provide some information about the compiler.
-echo "$as_me:1616:" \
+echo "$as_me:1617:" \
      "checking for C compiler version" >&5
 ac_compiler=`set X $ac_compile; echo $2`
-{ (eval echo "$as_me:1619: \"$ac_compiler --version </dev/null >&5\"") >&5
+{ (eval echo "$as_me:1620: \"$ac_compiler --version </dev/null >&5\"") >&5
   (eval $ac_compiler --version </dev/null >&5) 2>&5
   ac_status=$?
-  echo "$as_me:1622: \$? = $ac_status" >&5
+  echo "$as_me:1623: \$? = $ac_status" >&5
   (exit $ac_status); }
-{ (eval echo "$as_me:1624: \"$ac_compiler -v </dev/null >&5\"") >&5
+{ (eval echo "$as_me:1625: \"$ac_compiler -v </dev/null >&5\"") >&5
   (eval $ac_compiler -v </dev/null >&5) 2>&5
   ac_status=$?
-  echo "$as_me:1627: \$? = $ac_status" >&5
+  echo "$as_me:1628: \$? = $ac_status" >&5
   (exit $ac_status); }
-{ (eval echo "$as_me:1629: \"$ac_compiler -V </dev/null >&5\"") >&5
+{ (eval echo "$as_me:1630: \"$ac_compiler -V </dev/null >&5\"") >&5
   (eval $ac_compiler -V </dev/null >&5) 2>&5
   ac_status=$?
-  echo "$as_me:1632: \$? = $ac_status" >&5
+  echo "$as_me:1633: \$? = $ac_status" >&5
   (exit $ac_status); }
 
 cat >conftest.$ac_ext <<_ACEOF
-#line 1636 "configure"
+#line 1637 "configure"
 #include "confdefs.h"
 
 int
@@ -1649,13 +1650,13 @@
 # Try to create an executable without -o first, disregard a.out.
 # It will help us diagnose broken compilers, and finding out an intuition
 # of exeext.
-echo "$as_me:1652: checking for C compiler default output" >&5
+echo "$as_me:1653: checking for C compiler default output" >&5
 echo $ECHO_N "checking for C compiler default output... $ECHO_C" >&6
 ac_link_default=`echo "$ac_link" | sed 's/ -o *conftest[^ ]*//'`
-if { (eval echo "$as_me:1655: \"$ac_link_default\"") >&5
+if { (eval echo "$as_me:1656: \"$ac_link_default\"") >&5
   (eval $ac_link_default) 2>&5
   ac_status=$?
-  echo "$as_me:1658: \$? = $ac_status" >&5
+  echo "$as_me:1659: \$? = $ac_status" >&5
   (exit $ac_status); }; then
   # Find the output, starting from the most likely.  This scheme is
 # not robust to junk in `.', hence go to wildcards (a.*) only as a last
@@ -1678,34 +1679,34 @@
 else
   echo "$as_me: failed program was:" >&5
 cat conftest.$ac_ext >&5
-{ { echo "$as_me:1681: error: C compiler cannot create executables" >&5
+{ { echo "$as_me:1682: error: C compiler cannot create executables" >&5
 echo "$as_me: error: C compiler cannot create executables" >&2;}
    { (exit 77); exit 77; }; }
 fi
 
 ac_exeext=$ac_cv_exeext
-echo "$as_me:1687: result: $ac_file" >&5
+echo "$as_me:1688: result: $ac_file" >&5
 echo "${ECHO_T}$ac_file" >&6
 
 # Check the compiler produces executables we can run.  If not, either
 # the compiler is broken, or we cross compile.
-echo "$as_me:1692: checking whether the C compiler works" >&5
+echo "$as_me:1693: checking whether the C compiler works" >&5
 echo $ECHO_N "checking whether the C compiler works... $ECHO_C" >&6
 # FIXME: These cross compiler hacks should be removed for Autoconf 3.0
 # If not cross compiling, check that we can run a simple program.
 if test "$cross_compiling" != yes; then
   if { ac_try='./$ac_file'
-  { (eval echo "$as_me:1698: \"$ac_try\"") >&5
+  { (eval echo "$as_me:1699: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:1701: \$? = $ac_status" >&5
+  echo "$as_me:1702: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
     cross_compiling=no
   else
     if test "$cross_compiling" = maybe; then
 	cross_compiling=yes
     else
-	{ { echo "$as_me:1708: error: cannot run C compiled programs.
+	{ { echo "$as_me:1709: error: cannot run C compiled programs.
 If you meant to cross compile, use \`--host'." >&5
 echo "$as_me: error: cannot run C compiled programs.
 If you meant to cross compile, use \`--host'." >&2;}
@@ -1713,24 +1714,24 @@
     fi
   fi
 fi
-echo "$as_me:1716: result: yes" >&5
+echo "$as_me:1717: result: yes" >&5
 echo "${ECHO_T}yes" >&6
 
 rm -f a.out a.exe conftest$ac_cv_exeext
 ac_clean_files=$ac_clean_files_save
 # Check the compiler produces executables we can run.  If not, either
 # the compiler is broken, or we cross compile.
-echo "$as_me:1723: checking whether we are cross compiling" >&5
+echo "$as_me:1724: checking whether we are cross compiling" >&5
 echo $ECHO_N "checking whether we are cross compiling... $ECHO_C" >&6
-echo "$as_me:1725: result: $cross_compiling" >&5
+echo "$as_me:1726: result: $cross_compiling" >&5
 echo "${ECHO_T}$cross_compiling" >&6
 
-echo "$as_me:1728: checking for executable suffix" >&5
+echo "$as_me:1729: checking for executable suffix" >&5
 echo $ECHO_N "checking for executable suffix... $ECHO_C" >&6
-if { (eval echo "$as_me:1730: \"$ac_link\"") >&5
+if { (eval echo "$as_me:1731: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:1733: \$? = $ac_status" >&5
+  echo "$as_me:1734: \$? = $ac_status" >&5
   (exit $ac_status); }; then
   # If both `conftest.exe' and `conftest' are `present' (well, observable)
 # catch `conftest.exe'.  For instance with Cygwin, `ls conftest' will
@@ -1746,25 +1747,25 @@
   esac
 done
 else
-  { { echo "$as_me:1749: error: cannot compute EXEEXT: cannot compile and link" >&5
+  { { echo "$as_me:1750: error: cannot compute EXEEXT: cannot compile and link" >&5
 echo "$as_me: error: cannot compute EXEEXT: cannot compile and link" >&2;}
    { (exit 1); exit 1; }; }
 fi
 
 rm -f conftest$ac_cv_exeext
-echo "$as_me:1755: result: $ac_cv_exeext" >&5
+echo "$as_me:1756: result: $ac_cv_exeext" >&5
 echo "${ECHO_T}$ac_cv_exeext" >&6
 
 rm -f conftest.$ac_ext
 EXEEXT=$ac_cv_exeext
 ac_exeext=$EXEEXT
-echo "$as_me:1761: checking for object suffix" >&5
+echo "$as_me:1762: checking for object suffix" >&5
 echo $ECHO_N "checking for object suffix... $ECHO_C" >&6
 if test "${ac_cv_objext+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
   cat >conftest.$ac_ext <<_ACEOF
-#line 1767 "configure"
+#line 1768 "configure"
 #include "confdefs.h"
 
 int
@@ -1776,10 +1777,10 @@
 }
 _ACEOF
 rm -f conftest.o conftest.obj
-if { (eval echo "$as_me:1779: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:1780: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:1782: \$? = $ac_status" >&5
+  echo "$as_me:1783: \$? = $ac_status" >&5
   (exit $ac_status); }; then
   for ac_file in `(ls conftest.o conftest.obj; ls conftest.*) 2>/dev/null`; do
   case $ac_file in
@@ -1791,24 +1792,24 @@
 else
   echo "$as_me: failed program was:" >&5
 cat conftest.$ac_ext >&5
-{ { echo "$as_me:1794: error: cannot compute OBJEXT: cannot compile" >&5
+{ { echo "$as_me:1795: error: cannot compute OBJEXT: cannot compile" >&5
 echo "$as_me: error: cannot compute OBJEXT: cannot compile" >&2;}
    { (exit 1); exit 1; }; }
 fi
 
 rm -f conftest.$ac_cv_objext conftest.$ac_ext
 fi
-echo "$as_me:1801: result: $ac_cv_objext" >&5
+echo "$as_me:1802: result: $ac_cv_objext" >&5
 echo "${ECHO_T}$ac_cv_objext" >&6
 OBJEXT=$ac_cv_objext
 ac_objext=$OBJEXT
-echo "$as_me:1805: checking whether we are using the GNU C compiler" >&5
+echo "$as_me:1806: checking whether we are using the GNU C compiler" >&5
 echo $ECHO_N "checking whether we are using the GNU C compiler... $ECHO_C" >&6
 if test "${ac_cv_c_compiler_gnu+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
   cat >conftest.$ac_ext <<_ACEOF
-#line 1811 "configure"
+#line 1812 "configure"
 #include "confdefs.h"
 
 int
@@ -1823,16 +1824,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:1826: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:1827: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:1829: \$? = $ac_status" >&5
+  echo "$as_me:1830: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:1832: \"$ac_try\"") >&5
+  { (eval echo "$as_me:1833: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:1835: \$? = $ac_status" >&5
+  echo "$as_me:1836: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   ac_compiler_gnu=yes
 else
@@ -1844,19 +1845,19 @@
 ac_cv_c_compiler_gnu=$ac_compiler_gnu
 
 fi
-echo "$as_me:1847: result: $ac_cv_c_compiler_gnu" >&5
+echo "$as_me:1848: result: $ac_cv_c_compiler_gnu" >&5
 echo "${ECHO_T}$ac_cv_c_compiler_gnu" >&6
 GCC=`test $ac_compiler_gnu = yes && echo yes`
 ac_test_CFLAGS=${CFLAGS+set}
 ac_save_CFLAGS=$CFLAGS
 CFLAGS="-g"
-echo "$as_me:1853: checking whether $CC accepts -g" >&5
+echo "$as_me:1854: checking whether $CC accepts -g" >&5
 echo $ECHO_N "checking whether $CC accepts -g... $ECHO_C" >&6
 if test "${ac_cv_prog_cc_g+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
   cat >conftest.$ac_ext <<_ACEOF
-#line 1859 "configure"
+#line 1860 "configure"
 #include "confdefs.h"
 
 int
@@ -1868,16 +1869,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:1871: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:1872: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:1874: \$? = $ac_status" >&5
+  echo "$as_me:1875: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:1877: \"$ac_try\"") >&5
+  { (eval echo "$as_me:1878: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:1880: \$? = $ac_status" >&5
+  echo "$as_me:1881: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   ac_cv_prog_cc_g=yes
 else
@@ -1887,7 +1888,7 @@
 fi
 rm -f conftest.$ac_objext conftest.$ac_ext
 fi
-echo "$as_me:1890: result: $ac_cv_prog_cc_g" >&5
+echo "$as_me:1891: result: $ac_cv_prog_cc_g" >&5
 echo "${ECHO_T}$ac_cv_prog_cc_g" >&6
 if test "$ac_test_CFLAGS" = set; then
   CFLAGS=$ac_save_CFLAGS
@@ -1914,16 +1915,16 @@
 #endif
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:1917: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:1918: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:1920: \$? = $ac_status" >&5
+  echo "$as_me:1921: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:1923: \"$ac_try\"") >&5
+  { (eval echo "$as_me:1924: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:1926: \$? = $ac_status" >&5
+  echo "$as_me:1927: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   for ac_declaration in \
    ''\
@@ -1935,7 +1936,7 @@
    'void exit (int);'
 do
   cat >conftest.$ac_ext <<_ACEOF
-#line 1938 "configure"
+#line 1939 "configure"
 #include "confdefs.h"
 #include <stdlib.h>
 $ac_declaration
@@ -1948,16 +1949,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:1951: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:1952: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:1954: \$? = $ac_status" >&5
+  echo "$as_me:1955: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:1957: \"$ac_try\"") >&5
+  { (eval echo "$as_me:1958: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:1960: \$? = $ac_status" >&5
+  echo "$as_me:1961: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   :
 else
@@ -1967,7 +1968,7 @@
 fi
 rm -f conftest.$ac_objext conftest.$ac_ext
   cat >conftest.$ac_ext <<_ACEOF
-#line 1970 "configure"
+#line 1971 "configure"
 #include "confdefs.h"
 $ac_declaration
 int
@@ -1979,16 +1980,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:1982: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:1983: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:1985: \$? = $ac_status" >&5
+  echo "$as_me:1986: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:1988: \"$ac_try\"") >&5
+  { (eval echo "$as_me:1989: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:1991: \$? = $ac_status" >&5
+  echo "$as_me:1992: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   break
 else
@@ -2017,11 +2018,11 @@
 
 GCC_VERSION=none
 if test "$GCC" = yes ; then
-	echo "$as_me:2020: checking version of $CC" >&5
+	echo "$as_me:2021: checking version of $CC" >&5
 echo $ECHO_N "checking version of $CC... $ECHO_C" >&6
 	GCC_VERSION="`${CC} --version| sed -e '2,$d' -e 's/^.*(GCC) //' -e 's/^[^0-9.]*//' -e 's/[^0-9.].*//'`"
 	test -z "$GCC_VERSION" && GCC_VERSION=unknown
-	echo "$as_me:2024: result: $GCC_VERSION" >&5
+	echo "$as_me:2025: result: $GCC_VERSION" >&5
 echo "${ECHO_T}$GCC_VERSION" >&6
 fi
 
@@ -2030,7 +2031,7 @@
 ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
 ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
 ac_compiler_gnu=$ac_cv_c_compiler_gnu
-echo "$as_me:2033: checking how to run the C preprocessor" >&5
+echo "$as_me:2034: checking how to run the C preprocessor" >&5
 echo $ECHO_N "checking how to run the C preprocessor... $ECHO_C" >&6
 # On Suns, sometimes $CPP names a directory.
 if test -n "$CPP" && test -d "$CPP"; then
@@ -2051,18 +2052,18 @@
   # On the NeXT, cc -E runs the code through the compiler's parser,
   # not just through cpp. "Syntax error" is here to catch this case.
   cat >conftest.$ac_ext <<_ACEOF
-#line 2054 "configure"
+#line 2055 "configure"
 #include "confdefs.h"
 #include <assert.h>
                      Syntax error
 _ACEOF
-if { (eval echo "$as_me:2059: \"$ac_cpp conftest.$ac_ext\"") >&5
+if { (eval echo "$as_me:2060: \"$ac_cpp conftest.$ac_ext\"") >&5
   (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
   ac_status=$?
   egrep -v '^ *\+' conftest.er1 >conftest.err
   rm -f conftest.er1
   cat conftest.err >&5
-  echo "$as_me:2065: \$? = $ac_status" >&5
+  echo "$as_me:2066: \$? = $ac_status" >&5
   (exit $ac_status); } >/dev/null; then
   if test -s conftest.err; then
     ac_cpp_err=$ac_c_preproc_warn_flag
@@ -2085,17 +2086,17 @@
   # OK, works on sane cases.  Now check whether non-existent headers
   # can be detected and how.
   cat >conftest.$ac_ext <<_ACEOF
-#line 2088 "configure"
+#line 2089 "configure"
 #include "confdefs.h"
 #include <ac_nonexistent.h>
 _ACEOF
-if { (eval echo "$as_me:2092: \"$ac_cpp conftest.$ac_ext\"") >&5
+if { (eval echo "$as_me:2093: \"$ac_cpp conftest.$ac_ext\"") >&5
   (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
   ac_status=$?
   egrep -v '^ *\+' conftest.er1 >conftest.err
   rm -f conftest.er1
   cat conftest.err >&5
-  echo "$as_me:2098: \$? = $ac_status" >&5
+  echo "$as_me:2099: \$? = $ac_status" >&5
   (exit $ac_status); } >/dev/null; then
   if test -s conftest.err; then
     ac_cpp_err=$ac_c_preproc_warn_flag
@@ -2132,7 +2133,7 @@
 else
   ac_cv_prog_CPP=$CPP
 fi
-echo "$as_me:2135: result: $CPP" >&5
+echo "$as_me:2136: result: $CPP" >&5
 echo "${ECHO_T}$CPP" >&6
 ac_preproc_ok=false
 for ac_c_preproc_warn_flag in '' yes
@@ -2142,18 +2143,18 @@
   # On the NeXT, cc -E runs the code through the compiler's parser,
   # not just through cpp. "Syntax error" is here to catch this case.
   cat >conftest.$ac_ext <<_ACEOF
-#line 2145 "configure"
+#line 2146 "configure"
 #include "confdefs.h"
 #include <assert.h>
                      Syntax error
 _ACEOF
-if { (eval echo "$as_me:2150: \"$ac_cpp conftest.$ac_ext\"") >&5
+if { (eval echo "$as_me:2151: \"$ac_cpp conftest.$ac_ext\"") >&5
   (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
   ac_status=$?
   egrep -v '^ *\+' conftest.er1 >conftest.err
   rm -f conftest.er1
   cat conftest.err >&5
-  echo "$as_me:2156: \$? = $ac_status" >&5
+  echo "$as_me:2157: \$? = $ac_status" >&5
   (exit $ac_status); } >/dev/null; then
   if test -s conftest.err; then
     ac_cpp_err=$ac_c_preproc_warn_flag
@@ -2176,17 +2177,17 @@
   # OK, works on sane cases.  Now check whether non-existent headers
   # can be detected and how.
   cat >conftest.$ac_ext <<_ACEOF
-#line 2179 "configure"
+#line 2180 "configure"
 #include "confdefs.h"
 #include <ac_nonexistent.h>
 _ACEOF
-if { (eval echo "$as_me:2183: \"$ac_cpp conftest.$ac_ext\"") >&5
+if { (eval echo "$as_me:2184: \"$ac_cpp conftest.$ac_ext\"") >&5
   (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
   ac_status=$?
   egrep -v '^ *\+' conftest.er1 >conftest.err
   rm -f conftest.er1
   cat conftest.err >&5
-  echo "$as_me:2189: \$? = $ac_status" >&5
+  echo "$as_me:2190: \$? = $ac_status" >&5
   (exit $ac_status); } >/dev/null; then
   if test -s conftest.err; then
     ac_cpp_err=$ac_c_preproc_warn_flag
@@ -2214,7 +2215,7 @@
 if $ac_preproc_ok; then
   :
 else
-  { { echo "$as_me:2217: error: C preprocessor \"$CPP\" fails sanity check" >&5
+  { { echo "$as_me:2218: error: C preprocessor \"$CPP\" fails sanity check" >&5
 echo "$as_me: error: C preprocessor \"$CPP\" fails sanity check" >&2;}
    { (exit 1); exit 1; }; }
 fi
@@ -2226,14 +2227,14 @@
 ac_compiler_gnu=$ac_cv_c_compiler_gnu
 
 if test $ac_cv_c_compiler_gnu = yes; then
-    echo "$as_me:2229: checking whether $CC needs -traditional" >&5
+    echo "$as_me:2230: checking whether $CC needs -traditional" >&5
 echo $ECHO_N "checking whether $CC needs -traditional... $ECHO_C" >&6
 if test "${ac_cv_prog_gcc_traditional+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
     ac_pattern="Autoconf.*'x'"
   cat >conftest.$ac_ext <<_ACEOF
-#line 2236 "configure"
+#line 2237 "configure"
 #include "confdefs.h"
 #include <sgtty.h>
 int Autoconf = TIOCGETP;
@@ -2248,7 +2249,7 @@
 
   if test $ac_cv_prog_gcc_traditional = no; then
     cat >conftest.$ac_ext <<_ACEOF
-#line 2251 "configure"
+#line 2252 "configure"
 #include "confdefs.h"
 #include <termio.h>
 int Autoconf = TCGETA;
@@ -2261,14 +2262,14 @@
 
   fi
 fi
-echo "$as_me:2264: result: $ac_cv_prog_gcc_traditional" >&5
+echo "$as_me:2265: result: $ac_cv_prog_gcc_traditional" >&5
 echo "${ECHO_T}$ac_cv_prog_gcc_traditional" >&6
   if test $ac_cv_prog_gcc_traditional = yes; then
     CC="$CC -traditional"
   fi
 fi
 
-echo "$as_me:2271: checking whether $CC understands -c and -o together" >&5
+echo "$as_me:2272: checking whether $CC understands -c and -o together" >&5
 echo $ECHO_N "checking whether $CC understands -c and -o together... $ECHO_C" >&6
 if test "${cf_cv_prog_CC_c_o+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -2284,15 +2285,15 @@
 # We do the test twice because some compilers refuse to overwrite an
 # existing .o file with -o, though they will create one.
 ac_try='$CC -c conftest.$ac_ext -o conftest2.$ac_objext >&5'
-if { (eval echo "$as_me:2287: \"$ac_try\"") >&5
+if { (eval echo "$as_me:2288: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:2290: \$? = $ac_status" >&5
+  echo "$as_me:2291: \$? = $ac_status" >&5
   (exit $ac_status); } &&
-  test -f conftest2.$ac_objext && { (eval echo "$as_me:2292: \"$ac_try\"") >&5
+  test -f conftest2.$ac_objext && { (eval echo "$as_me:2293: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:2295: \$? = $ac_status" >&5
+  echo "$as_me:2296: \$? = $ac_status" >&5
   (exit $ac_status); };
 then
   eval cf_cv_prog_CC_c_o=yes
@@ -2303,19 +2304,19 @@
 
 fi
 if test $cf_cv_prog_CC_c_o = yes; then
-  echo "$as_me:2306: result: yes" >&5
+  echo "$as_me:2307: result: yes" >&5
 echo "${ECHO_T}yes" >&6
 else
-  echo "$as_me:2309: result: no" >&5
+  echo "$as_me:2310: result: no" >&5
 echo "${ECHO_T}no" >&6
 fi
 
-echo "$as_me:2313: checking for POSIXized ISC" >&5
+echo "$as_me:2314: checking for POSIXized ISC" >&5
 echo $ECHO_N "checking for POSIXized ISC... $ECHO_C" >&6
 if test -d /etc/conf/kconfig.d &&
    grep _POSIX_VERSION /usr/include/sys/unistd.h >/dev/null 2>&1
 then
-  echo "$as_me:2318: result: yes" >&5
+  echo "$as_me:2319: result: yes" >&5
 echo "${ECHO_T}yes" >&6
   ISC=yes # If later tests want to check for ISC.
 
@@ -2329,12 +2330,12 @@
     CC="$CC -Xp"
   fi
 else
-  echo "$as_me:2332: result: no" >&5
+  echo "$as_me:2333: result: no" >&5
 echo "${ECHO_T}no" >&6
   ISC=
 fi
 
-echo "$as_me:2337: checking for ${CC-cc} option to accept ANSI C" >&5
+echo "$as_me:2338: checking for ${CC-cc} option to accept ANSI C" >&5
 echo $ECHO_N "checking for ${CC-cc} option to accept ANSI C... $ECHO_C" >&6
 if test "${cf_cv_ansi_cc+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -2428,7 +2429,7 @@
 fi
 
 	cat >conftest.$ac_ext <<_ACEOF
-#line 2431 "configure"
+#line 2432 "configure"
 #include "confdefs.h"
 
 #ifndef CC_HAS_PROTOS
@@ -2449,16 +2450,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:2452: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:2453: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:2455: \$? = $ac_status" >&5
+  echo "$as_me:2456: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:2458: \"$ac_try\"") >&5
+  { (eval echo "$as_me:2459: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:2461: \$? = $ac_status" >&5
+  echo "$as_me:2462: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_ansi_cc="$cf_arg"; break
 else
@@ -2471,7 +2472,7 @@
 CPPFLAGS="$cf_save_CPPFLAGS"
 
 fi
-echo "$as_me:2474: result: $cf_cv_ansi_cc" >&5
+echo "$as_me:2475: result: $cf_cv_ansi_cc" >&5
 echo "${ECHO_T}$cf_cv_ansi_cc" >&6
 
 if test "$cf_cv_ansi_cc" != "no"; then
@@ -2554,7 +2555,7 @@
 fi
 
 if test "$cf_cv_ansi_cc" = "no"; then
-	{ { echo "$as_me:2557: error: Your compiler does not appear to recognize prototypes.
+	{ { echo "$as_me:2558: error: Your compiler does not appear to recognize prototypes.
 You have the following choices:
 	a. adjust your compiler options
 	b. get an up-to-date compiler
@@ -2594,7 +2595,7 @@
 *) LDPATH=$PATH:/sbin:/usr/sbin
   # Extract the first word of "ldconfig", so it can be a program name with args.
 set dummy ldconfig; ac_word=$2
-echo "$as_me:2597: checking for $ac_word" >&5
+echo "$as_me:2598: checking for $ac_word" >&5
 echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
 if test "${ac_cv_path_LDCONFIG+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -2611,7 +2612,7 @@
   test -z "$ac_dir" && ac_dir=.
   if $as_executable_p "$ac_dir/$ac_word"; then
    ac_cv_path_LDCONFIG="$ac_dir/$ac_word"
-   echo "$as_me:2614: found $ac_dir/$ac_word" >&5
+   echo "$as_me:2615: found $ac_dir/$ac_word" >&5
    break
 fi
 done
@@ -2622,10 +2623,10 @@
 LDCONFIG=$ac_cv_path_LDCONFIG
 
 if test -n "$LDCONFIG"; then
-  echo "$as_me:2625: result: $LDCONFIG" >&5
+  echo "$as_me:2626: result: $LDCONFIG" >&5
 echo "${ECHO_T}$LDCONFIG" >&6
 else
-  echo "$as_me:2628: result: no" >&5
+  echo "$as_me:2629: result: no" >&5
 echo "${ECHO_T}no" >&6
 fi
 
@@ -2633,7 +2634,7 @@
 esac
 fi
 
-echo "$as_me:2636: checking if you want to ensure bool is consistent with C++" >&5
+echo "$as_me:2637: checking if you want to ensure bool is consistent with C++" >&5
 echo $ECHO_N "checking if you want to ensure bool is consistent with C++... $ECHO_C" >&6
 
 # Check whether --with-cxx or --without-cxx was given.
@@ -2643,7 +2644,7 @@
 else
   cf_with_cxx=yes
 fi;
-echo "$as_me:2646: result: $cf_with_cxx" >&5
+echo "$as_me:2647: result: $cf_with_cxx" >&5
 echo "${ECHO_T}$cf_with_cxx" >&6
 if test "X$cf_with_cxx" = Xno ; then
 	CXX=""
@@ -2660,7 +2661,7 @@
   do
     # Extract the first word of "$ac_tool_prefix$ac_prog", so it can be a program name with args.
 set dummy $ac_tool_prefix$ac_prog; ac_word=$2
-echo "$as_me:2663: checking for $ac_word" >&5
+echo "$as_me:2664: checking for $ac_word" >&5
 echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
 if test "${ac_cv_prog_CXX+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -2675,7 +2676,7 @@
   test -z "$ac_dir" && ac_dir=.
   $as_executable_p "$ac_dir/$ac_word" || continue
 ac_cv_prog_CXX="$ac_tool_prefix$ac_prog"
-echo "$as_me:2678: found $ac_dir/$ac_word" >&5
+echo "$as_me:2679: found $ac_dir/$ac_word" >&5
 break
 done
 
@@ -2683,10 +2684,10 @@
 fi
 CXX=$ac_cv_prog_CXX
 if test -n "$CXX"; then
-  echo "$as_me:2686: result: $CXX" >&5
+  echo "$as_me:2687: result: $CXX" >&5
 echo "${ECHO_T}$CXX" >&6
 else
-  echo "$as_me:2689: result: no" >&5
+  echo "$as_me:2690: result: no" >&5
 echo "${ECHO_T}no" >&6
 fi
 
@@ -2699,7 +2700,7 @@
 do
   # Extract the first word of "$ac_prog", so it can be a program name with args.
 set dummy $ac_prog; ac_word=$2
-echo "$as_me:2702: checking for $ac_word" >&5
+echo "$as_me:2703: checking for $ac_word" >&5
 echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
 if test "${ac_cv_prog_ac_ct_CXX+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -2714,7 +2715,7 @@
   test -z "$ac_dir" && ac_dir=.
   $as_executable_p "$ac_dir/$ac_word" || continue
 ac_cv_prog_ac_ct_CXX="$ac_prog"
-echo "$as_me:2717: found $ac_dir/$ac_word" >&5
+echo "$as_me:2718: found $ac_dir/$ac_word" >&5
 break
 done
 
@@ -2722,10 +2723,10 @@
 fi
 ac_ct_CXX=$ac_cv_prog_ac_ct_CXX
 if test -n "$ac_ct_CXX"; then
-  echo "$as_me:2725: result: $ac_ct_CXX" >&5
+  echo "$as_me:2726: result: $ac_ct_CXX" >&5
 echo "${ECHO_T}$ac_ct_CXX" >&6
 else
-  echo "$as_me:2728: result: no" >&5
+  echo "$as_me:2729: result: no" >&5
 echo "${ECHO_T}no" >&6
 fi
 
@@ -2737,32 +2738,32 @@
 fi
 
 # Provide some information about the compiler.
-echo "$as_me:2740:" \
+echo "$as_me:2741:" \
      "checking for C++ compiler version" >&5
 ac_compiler=`set X $ac_compile; echo $2`
-{ (eval echo "$as_me:2743: \"$ac_compiler --version </dev/null >&5\"") >&5
+{ (eval echo "$as_me:2744: \"$ac_compiler --version </dev/null >&5\"") >&5
   (eval $ac_compiler --version </dev/null >&5) 2>&5
   ac_status=$?
-  echo "$as_me:2746: \$? = $ac_status" >&5
+  echo "$as_me:2747: \$? = $ac_status" >&5
   (exit $ac_status); }
-{ (eval echo "$as_me:2748: \"$ac_compiler -v </dev/null >&5\"") >&5
+{ (eval echo "$as_me:2749: \"$ac_compiler -v </dev/null >&5\"") >&5
   (eval $ac_compiler -v </dev/null >&5) 2>&5
   ac_status=$?
-  echo "$as_me:2751: \$? = $ac_status" >&5
+  echo "$as_me:2752: \$? = $ac_status" >&5
   (exit $ac_status); }
-{ (eval echo "$as_me:2753: \"$ac_compiler -V </dev/null >&5\"") >&5
+{ (eval echo "$as_me:2754: \"$ac_compiler -V </dev/null >&5\"") >&5
   (eval $ac_compiler -V </dev/null >&5) 2>&5
   ac_status=$?
-  echo "$as_me:2756: \$? = $ac_status" >&5
+  echo "$as_me:2757: \$? = $ac_status" >&5
   (exit $ac_status); }
 
-echo "$as_me:2759: checking whether we are using the GNU C++ compiler" >&5
+echo "$as_me:2760: checking whether we are using the GNU C++ compiler" >&5
 echo $ECHO_N "checking whether we are using the GNU C++ compiler... $ECHO_C" >&6
 if test "${ac_cv_cxx_compiler_gnu+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
   cat >conftest.$ac_ext <<_ACEOF
-#line 2765 "configure"
+#line 2766 "configure"
 #include "confdefs.h"
 
 int
@@ -2777,16 +2778,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:2780: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:2781: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:2783: \$? = $ac_status" >&5
+  echo "$as_me:2784: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:2786: \"$ac_try\"") >&5
+  { (eval echo "$as_me:2787: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:2789: \$? = $ac_status" >&5
+  echo "$as_me:2790: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   ac_compiler_gnu=yes
 else
@@ -2798,19 +2799,19 @@
 ac_cv_cxx_compiler_gnu=$ac_compiler_gnu
 
 fi
-echo "$as_me:2801: result: $ac_cv_cxx_compiler_gnu" >&5
+echo "$as_me:2802: result: $ac_cv_cxx_compiler_gnu" >&5
 echo "${ECHO_T}$ac_cv_cxx_compiler_gnu" >&6
 GXX=`test $ac_compiler_gnu = yes && echo yes`
 ac_test_CXXFLAGS=${CXXFLAGS+set}
 ac_save_CXXFLAGS=$CXXFLAGS
 CXXFLAGS="-g"
-echo "$as_me:2807: checking whether $CXX accepts -g" >&5
+echo "$as_me:2808: checking whether $CXX accepts -g" >&5
 echo $ECHO_N "checking whether $CXX accepts -g... $ECHO_C" >&6
 if test "${ac_cv_prog_cxx_g+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
   cat >conftest.$ac_ext <<_ACEOF
-#line 2813 "configure"
+#line 2814 "configure"
 #include "confdefs.h"
 
 int
@@ -2822,16 +2823,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:2825: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:2826: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:2828: \$? = $ac_status" >&5
+  echo "$as_me:2829: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:2831: \"$ac_try\"") >&5
+  { (eval echo "$as_me:2832: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:2834: \$? = $ac_status" >&5
+  echo "$as_me:2835: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   ac_cv_prog_cxx_g=yes
 else
@@ -2841,7 +2842,7 @@
 fi
 rm -f conftest.$ac_objext conftest.$ac_ext
 fi
-echo "$as_me:2844: result: $ac_cv_prog_cxx_g" >&5
+echo "$as_me:2845: result: $ac_cv_prog_cxx_g" >&5
 echo "${ECHO_T}$ac_cv_prog_cxx_g" >&6
 if test "$ac_test_CXXFLAGS" = set; then
   CXXFLAGS=$ac_save_CXXFLAGS
@@ -2868,7 +2869,7 @@
    'void exit (int);'
 do
   cat >conftest.$ac_ext <<_ACEOF
-#line 2871 "configure"
+#line 2872 "configure"
 #include "confdefs.h"
 #include <stdlib.h>
 $ac_declaration
@@ -2881,16 +2882,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:2884: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:2885: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:2887: \$? = $ac_status" >&5
+  echo "$as_me:2888: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:2890: \"$ac_try\"") >&5
+  { (eval echo "$as_me:2891: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:2893: \$? = $ac_status" >&5
+  echo "$as_me:2894: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   :
 else
@@ -2900,7 +2901,7 @@
 fi
 rm -f conftest.$ac_objext conftest.$ac_ext
   cat >conftest.$ac_ext <<_ACEOF
-#line 2903 "configure"
+#line 2904 "configure"
 #include "confdefs.h"
 $ac_declaration
 int
@@ -2912,16 +2913,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:2915: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:2916: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:2918: \$? = $ac_status" >&5
+  echo "$as_me:2919: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:2921: \"$ac_try\"") >&5
+  { (eval echo "$as_me:2922: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:2924: \$? = $ac_status" >&5
+  echo "$as_me:2925: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   break
 else
@@ -2947,7 +2948,7 @@
 	if test "$CXX" = "g++" ; then
 		# Extract the first word of "g++", so it can be a program name with args.
 set dummy g++; ac_word=$2
-echo "$as_me:2950: checking for $ac_word" >&5
+echo "$as_me:2951: checking for $ac_word" >&5
 echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
 if test "${ac_cv_path_CXX+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -2964,7 +2965,7 @@
   test -z "$ac_dir" && ac_dir=.
   if $as_executable_p "$ac_dir/$ac_word"; then
    ac_cv_path_CXX="$ac_dir/$ac_word"
-   echo "$as_me:2967: found $ac_dir/$ac_word" >&5
+   echo "$as_me:2968: found $ac_dir/$ac_word" >&5
    break
 fi
 done
@@ -2975,16 +2976,16 @@
 CXX=$ac_cv_path_CXX
 
 if test -n "$CXX"; then
-  echo "$as_me:2978: result: $CXX" >&5
+  echo "$as_me:2979: result: $CXX" >&5
 echo "${ECHO_T}$CXX" >&6
 else
-  echo "$as_me:2981: result: no" >&5
+  echo "$as_me:2982: result: no" >&5
 echo "${ECHO_T}no" >&6
 fi
 
 	fi
 	if test "$CXX" = "g++" ; then
-		{ echo "$as_me:2987: WARNING: ignoring hardcoded g++" >&5
+		{ echo "$as_me:2988: WARNING: ignoring hardcoded g++" >&5
 echo "$as_me: WARNING: ignoring hardcoded g++" >&2;}
 		cf_with_cxx=no; CXX=""; GXX="";
 	fi
@@ -2992,11 +2993,11 @@
 
 GXX_VERSION=none
 if test "$GXX" = yes; then
-	echo "$as_me:2995: checking version of g++" >&5
+	echo "$as_me:2996: checking version of g++" >&5
 echo $ECHO_N "checking version of g++... $ECHO_C" >&6
 	GXX_VERSION="`${CXX-g++} --version| sed -e '2,$d' -e 's/^.*(GCC) //' -e 's/^[^0-9.]*//' -e 's/[^0-9.].*//'`"
 	test -z "$GXX_VERSION" && GXX_VERSION=unknown
-	echo "$as_me:2999: result: $GXX_VERSION" >&5
+	echo "$as_me:3000: result: $GXX_VERSION" >&5
 echo "${ECHO_T}$GXX_VERSION" >&6
 fi
 
@@ -3004,12 +3005,12 @@
 1*|2.[0-6]*)
 	GXX=""; CXX=""; ac_cv_cxx_compiler_gnu=no
 	cf_cxx_library=no
-	{ echo "$as_me:3007: WARNING: templates do not work" >&5
+	{ echo "$as_me:3008: WARNING: templates do not work" >&5
 echo "$as_me: WARNING: templates do not work" >&2;}
 	;;
 esac
 
-echo "$as_me:3012: checking if you want to build C++ binding and demo" >&5
+echo "$as_me:3013: checking if you want to build C++ binding and demo" >&5
 echo $ECHO_N "checking if you want to build C++ binding and demo... $ECHO_C" >&6
 
 # Check whether --with-cxx-binding or --without-cxx-binding was given.
@@ -3019,10 +3020,10 @@
 else
   cf_with_cxx_binding=$cf_with_cxx
 fi;
-echo "$as_me:3022: result: $cf_with_cxx_binding" >&5
+echo "$as_me:3023: result: $cf_with_cxx_binding" >&5
 echo "${ECHO_T}$cf_with_cxx_binding" >&6
 
-echo "$as_me:3025: checking if you want to build with Ada95" >&5
+echo "$as_me:3026: checking if you want to build with Ada95" >&5
 echo $ECHO_N "checking if you want to build with Ada95... $ECHO_C" >&6
 
 # Check whether --with-ada or --without-ada was given.
@@ -3032,10 +3033,10 @@
 else
   cf_with_ada=yes
 fi;
-echo "$as_me:3035: result: $cf_with_ada" >&5
+echo "$as_me:3036: result: $cf_with_ada" >&5
 echo "${ECHO_T}$cf_with_ada" >&6
 
-echo "$as_me:3038: checking if you want to build programs such as tic" >&5
+echo "$as_me:3039: checking if you want to build programs such as tic" >&5
 echo $ECHO_N "checking if you want to build programs such as tic... $ECHO_C" >&6
 
 # Check whether --with-progs or --without-progs was given.
@@ -3045,10 +3046,10 @@
 else
   cf_with_progs=yes
 fi;
-echo "$as_me:3048: result: $cf_with_progs" >&5
+echo "$as_me:3049: result: $cf_with_progs" >&5
 echo "${ECHO_T}$cf_with_progs" >&6
 
-echo "$as_me:3051: checking if you wish to install curses.h" >&5
+echo "$as_me:3052: checking if you wish to install curses.h" >&5
 echo $ECHO_N "checking if you wish to install curses.h... $ECHO_C" >&6
 
 # Check whether --with-curses-h or --without-curses-h was given.
@@ -3058,7 +3059,7 @@
 else
   with_curses_h=yes
 fi;
-echo "$as_me:3061: result: $with_curses_h" >&5
+echo "$as_me:3062: result: $with_curses_h" >&5
 echo "${ECHO_T}$with_curses_h" >&6
 
 modules_to_build="ncurses"
@@ -3084,7 +3085,7 @@
 do
   # Extract the first word of "$ac_prog", so it can be a program name with args.
 set dummy $ac_prog; ac_word=$2
-echo "$as_me:3087: checking for $ac_word" >&5
+echo "$as_me:3088: checking for $ac_word" >&5
 echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
 if test "${ac_cv_prog_AWK+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -3099,7 +3100,7 @@
   test -z "$ac_dir" && ac_dir=.
   $as_executable_p "$ac_dir/$ac_word" || continue
 ac_cv_prog_AWK="$ac_prog"
-echo "$as_me:3102: found $ac_dir/$ac_word" >&5
+echo "$as_me:3103: found $ac_dir/$ac_word" >&5
 break
 done
 
@@ -3107,17 +3108,17 @@
 fi
 AWK=$ac_cv_prog_AWK
 if test -n "$AWK"; then
-  echo "$as_me:3110: result: $AWK" >&5
+  echo "$as_me:3111: result: $AWK" >&5
 echo "${ECHO_T}$AWK" >&6
 else
-  echo "$as_me:3113: result: no" >&5
+  echo "$as_me:3114: result: no" >&5
 echo "${ECHO_T}no" >&6
 fi
 
   test -n "$AWK" && break
 done
 
-echo "$as_me:3120: checking whether ${MAKE-make} sets \${MAKE}" >&5
+echo "$as_me:3121: checking whether ${MAKE-make} sets \${MAKE}" >&5
 echo $ECHO_N "checking whether ${MAKE-make} sets \${MAKE}... $ECHO_C" >&6
 set dummy ${MAKE-make}; ac_make=`echo "$2" | sed 'y,./+-,__p_,'`
 if eval "test \"\${ac_cv_prog_make_${ac_make}_set+set}\" = set"; then
@@ -3137,11 +3138,11 @@
 rm -f conftest.make
 fi
 if eval "test \"`echo '$ac_cv_prog_make_'${ac_make}_set`\" = yes"; then
-  echo "$as_me:3140: result: yes" >&5
+  echo "$as_me:3141: result: yes" >&5
 echo "${ECHO_T}yes" >&6
   SET_MAKE=
 else
-  echo "$as_me:3144: result: no" >&5
+  echo "$as_me:3145: result: no" >&5
 echo "${ECHO_T}no" >&6
   SET_MAKE="MAKE=${MAKE-make}"
 fi
@@ -3158,7 +3159,7 @@
 # AFS /usr/afsws/bin/install, which mishandles nonexistent args
 # SVR4 /usr/ucb/install, which tries to use the nonexistent group "staff"
 # ./install, which can be erroneously created by make from ./install.sh.
-echo "$as_me:3161: checking for a BSD compatible install" >&5
+echo "$as_me:3162: checking for a BSD compatible install" >&5
 echo $ECHO_N "checking for a BSD compatible install... $ECHO_C" >&6
 if test -z "$INSTALL"; then
 if test "${ac_cv_path_install+set}" = set; then
@@ -3207,7 +3208,7 @@
     INSTALL=$ac_install_sh
   fi
 fi
-echo "$as_me:3210: result: $INSTALL" >&5
+echo "$as_me:3211: result: $INSTALL" >&5
 echo "${ECHO_T}$INSTALL" >&6
 
 # Use test -z because SunOS4 sh mishandles braces in ${var-val}.
@@ -3228,7 +3229,7 @@
   ;;
 esac
 
-echo "$as_me:3231: checking for long file names" >&5
+echo "$as_me:3232: checking for long file names" >&5
 echo $ECHO_N "checking for long file names... $ECHO_C" >&6
 if test "${ac_cv_sys_long_file_names+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -3267,7 +3268,7 @@
   rm -rf $ac_xdir 2>/dev/null
 done
 fi
-echo "$as_me:3270: result: $ac_cv_sys_long_file_names" >&5
+echo "$as_me:3271: result: $ac_cv_sys_long_file_names" >&5
 echo "${ECHO_T}$ac_cv_sys_long_file_names" >&6
 if test $ac_cv_sys_long_file_names = yes; then
 
@@ -3277,7 +3278,7 @@
 
 fi
 
-echo "$as_me:3280: checking if filesystem supports mixed-case filenames" >&5
+echo "$as_me:3281: checking if filesystem supports mixed-case filenames" >&5
 echo $ECHO_N "checking if filesystem supports mixed-case filenames... $ECHO_C" >&6
 if test "${cf_cv_mixedcase+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -3304,26 +3305,26 @@
 fi
 
 fi
-echo "$as_me:3307: result: $cf_cv_mixedcase" >&5
+echo "$as_me:3308: result: $cf_cv_mixedcase" >&5
 echo "${ECHO_T}$cf_cv_mixedcase" >&6
 test "$cf_cv_mixedcase" = yes && cat >>confdefs.h <<\EOF
 #define MIXEDCASE_FILENAMES 1
 EOF
 
-echo "$as_me:3313: checking whether ln -s works" >&5
+echo "$as_me:3314: checking whether ln -s works" >&5
 echo $ECHO_N "checking whether ln -s works... $ECHO_C" >&6
 LN_S=$as_ln_s
 if test "$LN_S" = "ln -s"; then
-  echo "$as_me:3317: result: yes" >&5
+  echo "$as_me:3318: result: yes" >&5
 echo "${ECHO_T}yes" >&6
 else
-  echo "$as_me:3320: result: no, using $LN_S" >&5
+  echo "$as_me:3321: result: no, using $LN_S" >&5
 echo "${ECHO_T}no, using $LN_S" >&6
 fi
 
 # Extract the first word of "ctags", so it can be a program name with args.
 set dummy ctags; ac_word=$2
-echo "$as_me:3326: checking for $ac_word" >&5
+echo "$as_me:3327: checking for $ac_word" >&5
 echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
 if test "${ac_cv_prog_MAKE_LOWER_TAGS+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -3338,7 +3339,7 @@
   test -z "$ac_dir" && ac_dir=.
   $as_executable_p "$ac_dir/$ac_word" || continue
 ac_cv_prog_MAKE_LOWER_TAGS="yes"
-echo "$as_me:3341: found $ac_dir/$ac_word" >&5
+echo "$as_me:3342: found $ac_dir/$ac_word" >&5
 break
 done
 
@@ -3347,17 +3348,17 @@
 fi
 MAKE_LOWER_TAGS=$ac_cv_prog_MAKE_LOWER_TAGS
 if test -n "$MAKE_LOWER_TAGS"; then
-  echo "$as_me:3350: result: $MAKE_LOWER_TAGS" >&5
+  echo "$as_me:3351: result: $MAKE_LOWER_TAGS" >&5
 echo "${ECHO_T}$MAKE_LOWER_TAGS" >&6
 else
-  echo "$as_me:3353: result: no" >&5
+  echo "$as_me:3354: result: no" >&5
 echo "${ECHO_T}no" >&6
 fi
 
 if test "$cf_cv_mixedcase" = yes ; then
 	# Extract the first word of "etags", so it can be a program name with args.
 set dummy etags; ac_word=$2
-echo "$as_me:3360: checking for $ac_word" >&5
+echo "$as_me:3361: checking for $ac_word" >&5
 echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
 if test "${ac_cv_prog_MAKE_UPPER_TAGS+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -3372,7 +3373,7 @@
   test -z "$ac_dir" && ac_dir=.
   $as_executable_p "$ac_dir/$ac_word" || continue
 ac_cv_prog_MAKE_UPPER_TAGS="yes"
-echo "$as_me:3375: found $ac_dir/$ac_word" >&5
+echo "$as_me:3376: found $ac_dir/$ac_word" >&5
 break
 done
 
@@ -3381,10 +3382,10 @@
 fi
 MAKE_UPPER_TAGS=$ac_cv_prog_MAKE_UPPER_TAGS
 if test -n "$MAKE_UPPER_TAGS"; then
-  echo "$as_me:3384: result: $MAKE_UPPER_TAGS" >&5
+  echo "$as_me:3385: result: $MAKE_UPPER_TAGS" >&5
 echo "${ECHO_T}$MAKE_UPPER_TAGS" >&6
 else
-  echo "$as_me:3387: result: no" >&5
+  echo "$as_me:3388: result: no" >&5
 echo "${ECHO_T}no" >&6
 fi
 
@@ -3408,7 +3409,7 @@
 do
   # Extract the first word of "$ac_prog", so it can be a program name with args.
 set dummy $ac_prog; ac_word=$2
-echo "$as_me:3411: checking for $ac_word" >&5
+echo "$as_me:3412: checking for $ac_word" >&5
 echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
 if test "${ac_cv_prog_LINT+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -3423,7 +3424,7 @@
   test -z "$ac_dir" && ac_dir=.
   $as_executable_p "$ac_dir/$ac_word" || continue
 ac_cv_prog_LINT="$ac_prog"
-echo "$as_me:3426: found $ac_dir/$ac_word" >&5
+echo "$as_me:3427: found $ac_dir/$ac_word" >&5
 break
 done
 
@@ -3431,10 +3432,10 @@
 fi
 LINT=$ac_cv_prog_LINT
 if test -n "$LINT"; then
-  echo "$as_me:3434: result: $LINT" >&5
+  echo "$as_me:3435: result: $LINT" >&5
 echo "${ECHO_T}$LINT" >&6
 else
-  echo "$as_me:3437: result: no" >&5
+  echo "$as_me:3438: result: no" >&5
 echo "${ECHO_T}no" >&6
 fi
 
@@ -3445,7 +3446,7 @@
 do
   # Extract the first word of "$ac_prog", so it can be a program name with args.
 set dummy $ac_prog; ac_word=$2
-echo "$as_me:3448: checking for $ac_word" >&5
+echo "$as_me:3449: checking for $ac_word" >&5
 echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
 if test "${ac_cv_prog_MAN+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -3460,7 +3461,7 @@
   test -z "$ac_dir" && ac_dir=.
   $as_executable_p "$ac_dir/$ac_word" || continue
 ac_cv_prog_MAN="$ac_prog"
-echo "$as_me:3463: found $ac_dir/$ac_word" >&5
+echo "$as_me:3464: found $ac_dir/$ac_word" >&5
 break
 done
 
@@ -3468,10 +3469,10 @@
 fi
 MAN=$ac_cv_prog_MAN
 if test -n "$MAN"; then
-  echo "$as_me:3471: result: $MAN" >&5
+  echo "$as_me:3472: result: $MAN" >&5
 echo "${ECHO_T}$MAN" >&6
 else
-  echo "$as_me:3474: result: no" >&5
+  echo "$as_me:3475: result: no" >&5
 echo "${ECHO_T}no" >&6
 fi
 
@@ -3481,7 +3482,7 @@
 if test -n "$ac_tool_prefix"; then
   # Extract the first word of "${ac_tool_prefix}ranlib", so it can be a program name with args.
 set dummy ${ac_tool_prefix}ranlib; ac_word=$2
-echo "$as_me:3484: checking for $ac_word" >&5
+echo "$as_me:3485: checking for $ac_word" >&5
 echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
 if test "${ac_cv_prog_RANLIB+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -3496,7 +3497,7 @@
   test -z "$ac_dir" && ac_dir=.
   $as_executable_p "$ac_dir/$ac_word" || continue
 ac_cv_prog_RANLIB="${ac_tool_prefix}ranlib"
-echo "$as_me:3499: found $ac_dir/$ac_word" >&5
+echo "$as_me:3500: found $ac_dir/$ac_word" >&5
 break
 done
 
@@ -3504,10 +3505,10 @@
 fi
 RANLIB=$ac_cv_prog_RANLIB
 if test -n "$RANLIB"; then
-  echo "$as_me:3507: result: $RANLIB" >&5
+  echo "$as_me:3508: result: $RANLIB" >&5
 echo "${ECHO_T}$RANLIB" >&6
 else
-  echo "$as_me:3510: result: no" >&5
+  echo "$as_me:3511: result: no" >&5
 echo "${ECHO_T}no" >&6
 fi
 
@@ -3516,7 +3517,7 @@
   ac_ct_RANLIB=$RANLIB
   # Extract the first word of "ranlib", so it can be a program name with args.
 set dummy ranlib; ac_word=$2
-echo "$as_me:3519: checking for $ac_word" >&5
+echo "$as_me:3520: checking for $ac_word" >&5
 echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
 if test "${ac_cv_prog_ac_ct_RANLIB+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -3531,7 +3532,7 @@
   test -z "$ac_dir" && ac_dir=.
   $as_executable_p "$ac_dir/$ac_word" || continue
 ac_cv_prog_ac_ct_RANLIB="ranlib"
-echo "$as_me:3534: found $ac_dir/$ac_word" >&5
+echo "$as_me:3535: found $ac_dir/$ac_word" >&5
 break
 done
 
@@ -3540,10 +3541,10 @@
 fi
 ac_ct_RANLIB=$ac_cv_prog_ac_ct_RANLIB
 if test -n "$ac_ct_RANLIB"; then
-  echo "$as_me:3543: result: $ac_ct_RANLIB" >&5
+  echo "$as_me:3544: result: $ac_ct_RANLIB" >&5
 echo "${ECHO_T}$ac_ct_RANLIB" >&6
 else
-  echo "$as_me:3546: result: no" >&5
+  echo "$as_me:3547: result: no" >&5
 echo "${ECHO_T}no" >&6
 fi
 
@@ -3555,7 +3556,7 @@
 if test -n "$ac_tool_prefix"; then
   # Extract the first word of "${ac_tool_prefix}ld", so it can be a program name with args.
 set dummy ${ac_tool_prefix}ld; ac_word=$2
-echo "$as_me:3558: checking for $ac_word" >&5
+echo "$as_me:3559: checking for $ac_word" >&5
 echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
 if test "${ac_cv_prog_LD+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -3570,7 +3571,7 @@
   test -z "$ac_dir" && ac_dir=.
   $as_executable_p "$ac_dir/$ac_word" || continue
 ac_cv_prog_LD="${ac_tool_prefix}ld"
-echo "$as_me:3573: found $ac_dir/$ac_word" >&5
+echo "$as_me:3574: found $ac_dir/$ac_word" >&5
 break
 done
 
@@ -3578,10 +3579,10 @@
 fi
 LD=$ac_cv_prog_LD
 if test -n "$LD"; then
-  echo "$as_me:3581: result: $LD" >&5
+  echo "$as_me:3582: result: $LD" >&5
 echo "${ECHO_T}$LD" >&6
 else
-  echo "$as_me:3584: result: no" >&5
+  echo "$as_me:3585: result: no" >&5
 echo "${ECHO_T}no" >&6
 fi
 
@@ -3590,7 +3591,7 @@
   ac_ct_LD=$LD
   # Extract the first word of "ld", so it can be a program name with args.
 set dummy ld; ac_word=$2
-echo "$as_me:3593: checking for $ac_word" >&5
+echo "$as_me:3594: checking for $ac_word" >&5
 echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
 if test "${ac_cv_prog_ac_ct_LD+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -3605,7 +3606,7 @@
   test -z "$ac_dir" && ac_dir=.
   $as_executable_p "$ac_dir/$ac_word" || continue
 ac_cv_prog_ac_ct_LD="ld"
-echo "$as_me:3608: found $ac_dir/$ac_word" >&5
+echo "$as_me:3609: found $ac_dir/$ac_word" >&5
 break
 done
 
@@ -3614,10 +3615,10 @@
 fi
 ac_ct_LD=$ac_cv_prog_ac_ct_LD
 if test -n "$ac_ct_LD"; then
-  echo "$as_me:3617: result: $ac_ct_LD" >&5
+  echo "$as_me:3618: result: $ac_ct_LD" >&5
 echo "${ECHO_T}$ac_ct_LD" >&6
 else
-  echo "$as_me:3620: result: no" >&5
+  echo "$as_me:3621: result: no" >&5
 echo "${ECHO_T}no" >&6
 fi
 
@@ -3629,7 +3630,7 @@
 if test -n "$ac_tool_prefix"; then
   # Extract the first word of "${ac_tool_prefix}ar", so it can be a program name with args.
 set dummy ${ac_tool_prefix}ar; ac_word=$2
-echo "$as_me:3632: checking for $ac_word" >&5
+echo "$as_me:3633: checking for $ac_word" >&5
 echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
 if test "${ac_cv_prog_AR+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -3644,7 +3645,7 @@
   test -z "$ac_dir" && ac_dir=.
   $as_executable_p "$ac_dir/$ac_word" || continue
 ac_cv_prog_AR="${ac_tool_prefix}ar"
-echo "$as_me:3647: found $ac_dir/$ac_word" >&5
+echo "$as_me:3648: found $ac_dir/$ac_word" >&5
 break
 done
 
@@ -3652,10 +3653,10 @@
 fi
 AR=$ac_cv_prog_AR
 if test -n "$AR"; then
-  echo "$as_me:3655: result: $AR" >&5
+  echo "$as_me:3656: result: $AR" >&5
 echo "${ECHO_T}$AR" >&6
 else
-  echo "$as_me:3658: result: no" >&5
+  echo "$as_me:3659: result: no" >&5
 echo "${ECHO_T}no" >&6
 fi
 
@@ -3664,7 +3665,7 @@
   ac_ct_AR=$AR
   # Extract the first word of "ar", so it can be a program name with args.
 set dummy ar; ac_word=$2
-echo "$as_me:3667: checking for $ac_word" >&5
+echo "$as_me:3668: checking for $ac_word" >&5
 echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
 if test "${ac_cv_prog_ac_ct_AR+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -3679,7 +3680,7 @@
   test -z "$ac_dir" && ac_dir=.
   $as_executable_p "$ac_dir/$ac_word" || continue
 ac_cv_prog_ac_ct_AR="ar"
-echo "$as_me:3682: found $ac_dir/$ac_word" >&5
+echo "$as_me:3683: found $ac_dir/$ac_word" >&5
 break
 done
 
@@ -3688,10 +3689,10 @@
 fi
 ac_ct_AR=$ac_cv_prog_ac_ct_AR
 if test -n "$ac_ct_AR"; then
-  echo "$as_me:3691: result: $ac_ct_AR" >&5
+  echo "$as_me:3692: result: $ac_ct_AR" >&5
 echo "${ECHO_T}$ac_ct_AR" >&6
 else
-  echo "$as_me:3694: result: no" >&5
+  echo "$as_me:3695: result: no" >&5
 echo "${ECHO_T}no" >&6
 fi
 
@@ -3704,10 +3705,10 @@
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
 
-echo "$as_me:3707: checking for archiver options (symbol AR_OPTS)" >&5
+echo "$as_me:3708: checking for archiver options (symbol AR_OPTS)" >&5
 echo $ECHO_N "checking for archiver options (symbol AR_OPTS)... $ECHO_C" >&6
 test -z "$AR_OPTS" && AR_OPTS=rv
-echo "$as_me:3710: result: $AR_OPTS" >&5
+echo "$as_me:3711: result: $AR_OPTS" >&5
 echo "${ECHO_T}$AR_OPTS" >&6
 
 cf_cv_subst_AR_OPTS=$AR_OPTS
@@ -3715,7 +3716,7 @@
 
 AR_OPTS=${cf_cv_subst_AR_OPTS}
 
-echo "$as_me:3718: checking for makeflags variable" >&5
+echo "$as_me:3719: checking for makeflags variable" >&5
 echo $ECHO_N "checking for makeflags variable... $ECHO_C" >&6
 if test "${cf_cv_makeflags+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -3748,10 +3749,10 @@
 	rm -f cf_makeflags.tmp
 
 fi
-echo "$as_me:3751: result: $cf_cv_makeflags" >&5
+echo "$as_me:3752: result: $cf_cv_makeflags" >&5
 echo "${ECHO_T}$cf_cv_makeflags" >&6
 
-echo "$as_me:3754: checking if you have specified an install-prefix" >&5
+echo "$as_me:3755: checking if you have specified an install-prefix" >&5
 echo $ECHO_N "checking if you have specified an install-prefix... $ECHO_C" >&6
 
 # Check whether --with-install-prefix or --without-install-prefix was given.
@@ -3764,7 +3765,7 @@
 		;;
 	esac
 fi;
-echo "$as_me:3767: result: $DESTDIR" >&5
+echo "$as_me:3768: result: $DESTDIR" >&5
 echo "${ECHO_T}$DESTDIR" >&6
 
 ###############################################################################
@@ -3792,7 +3793,7 @@
 do
   # Extract the first word of "$ac_prog", so it can be a program name with args.
 set dummy $ac_prog; ac_word=$2
-echo "$as_me:3795: checking for $ac_word" >&5
+echo "$as_me:3796: checking for $ac_word" >&5
 echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
 if test "${ac_cv_prog_BUILD_CC+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -3807,7 +3808,7 @@
   test -z "$ac_dir" && ac_dir=.
   $as_executable_p "$ac_dir/$ac_word" || continue
 ac_cv_prog_BUILD_CC="$ac_prog"
-echo "$as_me:3810: found $ac_dir/$ac_word" >&5
+echo "$as_me:3811: found $ac_dir/$ac_word" >&5
 break
 done
 
@@ -3815,10 +3816,10 @@
 fi
 BUILD_CC=$ac_cv_prog_BUILD_CC
 if test -n "$BUILD_CC"; then
-  echo "$as_me:3818: result: $BUILD_CC" >&5
+  echo "$as_me:3819: result: $BUILD_CC" >&5
 echo "${ECHO_T}$BUILD_CC" >&6
 else
-  echo "$as_me:3821: result: no" >&5
+  echo "$as_me:3822: result: no" >&5
 echo "${ECHO_T}no" >&6
 fi
 
@@ -3826,12 +3827,12 @@
 done
 
 fi;
-	echo "$as_me:3829: checking for native build C compiler" >&5
+	echo "$as_me:3830: checking for native build C compiler" >&5
 echo $ECHO_N "checking for native build C compiler... $ECHO_C" >&6
-	echo "$as_me:3831: result: $BUILD_CC" >&5
+	echo "$as_me:3832: result: $BUILD_CC" >&5
 echo "${ECHO_T}$BUILD_CC" >&6
 
-	echo "$as_me:3834: checking for native build C preprocessor" >&5
+	echo "$as_me:3835: checking for native build C preprocessor" >&5
 echo $ECHO_N "checking for native build C preprocessor... $ECHO_C" >&6
 
 # Check whether --with-build-cpp or --without-build-cpp was given.
@@ -3841,10 +3842,10 @@
 else
   BUILD_CPP='$(BUILD_CC) -E'
 fi;
-	echo "$as_me:3844: result: $BUILD_CPP" >&5
+	echo "$as_me:3845: result: $BUILD_CPP" >&5
 echo "${ECHO_T}$BUILD_CPP" >&6
 
-	echo "$as_me:3847: checking for native build C flags" >&5
+	echo "$as_me:3848: checking for native build C flags" >&5
 echo $ECHO_N "checking for native build C flags... $ECHO_C" >&6
 
 # Check whether --with-build-cflags or --without-build-cflags was given.
@@ -3852,10 +3853,10 @@
   withval="$with_build_cflags"
   BUILD_CFLAGS="$withval"
 fi;
-	echo "$as_me:3855: result: $BUILD_CFLAGS" >&5
+	echo "$as_me:3856: result: $BUILD_CFLAGS" >&5
 echo "${ECHO_T}$BUILD_CFLAGS" >&6
 
-	echo "$as_me:3858: checking for native build C preprocessor-flags" >&5
+	echo "$as_me:3859: checking for native build C preprocessor-flags" >&5
 echo $ECHO_N "checking for native build C preprocessor-flags... $ECHO_C" >&6
 
 # Check whether --with-build-cppflags or --without-build-cppflags was given.
@@ -3863,10 +3864,10 @@
   withval="$with_build_cppflags"
   BUILD_CPPFLAGS="$withval"
 fi;
-	echo "$as_me:3866: result: $BUILD_CPPFLAGS" >&5
+	echo "$as_me:3867: result: $BUILD_CPPFLAGS" >&5
 echo "${ECHO_T}$BUILD_CPPFLAGS" >&6
 
-	echo "$as_me:3869: checking for native build linker-flags" >&5
+	echo "$as_me:3870: checking for native build linker-flags" >&5
 echo $ECHO_N "checking for native build linker-flags... $ECHO_C" >&6
 
 # Check whether --with-build-ldflags or --without-build-ldflags was given.
@@ -3874,10 +3875,10 @@
   withval="$with_build_ldflags"
   BUILD_LDFLAGS="$withval"
 fi;
-	echo "$as_me:3877: result: $BUILD_LDFLAGS" >&5
+	echo "$as_me:3878: result: $BUILD_LDFLAGS" >&5
 echo "${ECHO_T}$BUILD_LDFLAGS" >&6
 
-	echo "$as_me:3880: checking for native build linker-libraries" >&5
+	echo "$as_me:3881: checking for native build linker-libraries" >&5
 echo $ECHO_N "checking for native build linker-libraries... $ECHO_C" >&6
 
 # Check whether --with-build-libs or --without-build-libs was given.
@@ -3885,7 +3886,7 @@
   withval="$with_build_libs"
   BUILD_LIBS="$withval"
 fi;
-	echo "$as_me:3888: result: $BUILD_LIBS" >&5
+	echo "$as_me:3889: result: $BUILD_LIBS" >&5
 echo "${ECHO_T}$BUILD_LIBS" >&6
 
 	# this assumes we're on Unix.
@@ -3895,7 +3896,7 @@
 	: ${BUILD_CC:='$(CC)'}
 
 	if ( test "$BUILD_CC" = "$CC" || test "$BUILD_CC" = '$(CC)' ) ; then
-		{ { echo "$as_me:3898: error: Cross-build requires two compilers.
+		{ { echo "$as_me:3899: error: Cross-build requires two compilers.
 Use --with-build-cc to specify the native compiler." >&5
 echo "$as_me: error: Cross-build requires two compilers.
 Use --with-build-cc to specify the native compiler." >&2;}
@@ -3936,7 +3937,7 @@
 LIB_INSTALL=
 LIB_UNINSTALL=
 
-echo "$as_me:3939: checking if you want to build libraries with libtool" >&5
+echo "$as_me:3940: checking if you want to build libraries with libtool" >&5
 echo $ECHO_N "checking if you want to build libraries with libtool... $ECHO_C" >&6
 
 # Check whether --with-libtool or --without-libtool was given.
@@ -3946,7 +3947,7 @@
 else
   with_libtool=no
 fi;
-echo "$as_me:3949: result: $with_libtool" >&5
+echo "$as_me:3950: result: $with_libtool" >&5
 echo "${ECHO_T}$with_libtool" >&6
 if test "$with_libtool" != "no"; then
 
@@ -3971,7 +3972,7 @@
   with_libtool=`echo $with_libtool | sed -e s%NONE%$ac_default_prefix%`
   ;;
 *)
-  { { echo "$as_me:3974: error: expected a pathname, not \"$with_libtool\"" >&5
+  { { echo "$as_me:3975: error: expected a pathname, not \"$with_libtool\"" >&5
 echo "$as_me: error: expected a pathname, not \"$with_libtool\"" >&2;}
    { (exit 1); exit 1; }; }
   ;;
@@ -3981,7 +3982,7 @@
 	else
  		# Extract the first word of "libtool", so it can be a program name with args.
 set dummy libtool; ac_word=$2
-echo "$as_me:3984: checking for $ac_word" >&5
+echo "$as_me:3985: checking for $ac_word" >&5
 echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
 if test "${ac_cv_path_LIBTOOL+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -3998,7 +3999,7 @@
   test -z "$ac_dir" && ac_dir=.
   if $as_executable_p "$ac_dir/$ac_word"; then
    ac_cv_path_LIBTOOL="$ac_dir/$ac_word"
-   echo "$as_me:4001: found $ac_dir/$ac_word" >&5
+   echo "$as_me:4002: found $ac_dir/$ac_word" >&5
    break
 fi
 done
@@ -4009,16 +4010,16 @@
 LIBTOOL=$ac_cv_path_LIBTOOL
 
 if test -n "$LIBTOOL"; then
-  echo "$as_me:4012: result: $LIBTOOL" >&5
+  echo "$as_me:4013: result: $LIBTOOL" >&5
 echo "${ECHO_T}$LIBTOOL" >&6
 else
-  echo "$as_me:4015: result: no" >&5
+  echo "$as_me:4016: result: no" >&5
 echo "${ECHO_T}no" >&6
 fi
 
  	fi
  	if test -z "$LIBTOOL" ; then
- 		{ { echo "$as_me:4021: error: Cannot find libtool" >&5
+ 		{ { echo "$as_me:4022: error: Cannot find libtool" >&5
 echo "$as_me: error: Cannot find libtool" >&2;}
    { (exit 1); exit 1; }; }
  	fi
@@ -4033,17 +4034,17 @@
 	LIB_PREP=:
 
 	# Show the version of libtool
-	echo "$as_me:4036: checking version of libtool" >&5
+	echo "$as_me:4037: checking version of libtool" >&5
 echo $ECHO_N "checking version of libtool... $ECHO_C" >&6
 
 	# Save the version in a cache variable - this is not entirely a good
 	# thing, but the version string from libtool is very ugly, and for
 	# bug reports it might be useful to have the original string.
 	cf_cv_libtool_version=`$LIBTOOL --version 2>&1 | sed -e '2,$d' -e 's/([^)]*)//g' -e 's/^[^1-9]*//' -e 's/[^0-9.].*//'`
-	echo "$as_me:4043: result: $cf_cv_libtool_version" >&5
+	echo "$as_me:4044: result: $cf_cv_libtool_version" >&5
 echo "${ECHO_T}$cf_cv_libtool_version" >&6
 	if test -z "$cf_cv_libtool_version" ; then
-		{ { echo "$as_me:4046: error: This is not libtool" >&5
+		{ { echo "$as_me:4047: error: This is not libtool" >&5
 echo "$as_me: error: This is not libtool" >&2;}
    { (exit 1); exit 1; }; }
 	fi
@@ -4070,7 +4071,7 @@
 
 else
 
-echo "$as_me:4073: checking if you want to build shared libraries" >&5
+echo "$as_me:4074: checking if you want to build shared libraries" >&5
 echo $ECHO_N "checking if you want to build shared libraries... $ECHO_C" >&6
 
 # Check whether --with-shared or --without-shared was given.
@@ -4080,11 +4081,11 @@
 else
   with_shared=no
 fi;
-echo "$as_me:4083: result: $with_shared" >&5
+echo "$as_me:4084: result: $with_shared" >&5
 echo "${ECHO_T}$with_shared" >&6
 test "$with_shared" = "yes" && cf_list_models="$cf_list_models shared"
 
-echo "$as_me:4087: checking if you want to build static libraries" >&5
+echo "$as_me:4088: checking if you want to build static libraries" >&5
 echo $ECHO_N "checking if you want to build static libraries... $ECHO_C" >&6
 
 # Check whether --with-normal or --without-normal was given.
@@ -4094,11 +4095,11 @@
 else
   with_normal=yes
 fi;
-echo "$as_me:4097: result: $with_normal" >&5
+echo "$as_me:4098: result: $with_normal" >&5
 echo "${ECHO_T}$with_normal" >&6
 test "$with_normal" = "yes" && cf_list_models="$cf_list_models normal"
 
-echo "$as_me:4101: checking if you want to build debug libraries" >&5
+echo "$as_me:4102: checking if you want to build debug libraries" >&5
 echo $ECHO_N "checking if you want to build debug libraries... $ECHO_C" >&6
 
 # Check whether --with-debug or --without-debug was given.
@@ -4108,11 +4109,11 @@
 else
   with_debug=yes
 fi;
-echo "$as_me:4111: result: $with_debug" >&5
+echo "$as_me:4112: result: $with_debug" >&5
 echo "${ECHO_T}$with_debug" >&6
 test "$with_debug" = "yes" && cf_list_models="$cf_list_models debug"
 
-echo "$as_me:4115: checking if you want to build profiling libraries" >&5
+echo "$as_me:4116: checking if you want to build profiling libraries" >&5
 echo $ECHO_N "checking if you want to build profiling libraries... $ECHO_C" >&6
 
 # Check whether --with-profile or --without-profile was given.
@@ -4122,7 +4123,7 @@
 else
   with_profile=no
 fi;
-echo "$as_me:4125: result: $with_profile" >&5
+echo "$as_me:4126: result: $with_profile" >&5
 echo "${ECHO_T}$with_profile" >&6
 test "$with_profile" = "yes" && cf_list_models="$cf_list_models profile"
 
@@ -4130,19 +4131,19 @@
 
 ###############################################################################
 
-echo "$as_me:4133: checking for specified models" >&5
+echo "$as_me:4134: checking for specified models" >&5
 echo $ECHO_N "checking for specified models... $ECHO_C" >&6
 test -z "$cf_list_models" && cf_list_models=normal
 test "$with_libtool" != "no" && cf_list_models=libtool
-echo "$as_me:4137: result: $cf_list_models" >&5
+echo "$as_me:4138: result: $cf_list_models" >&5
 echo "${ECHO_T}$cf_list_models" >&6
 
 ### Use the first model as the default, and save its suffix for use in building
 ### up test-applications.
-echo "$as_me:4142: checking for default model" >&5
+echo "$as_me:4143: checking for default model" >&5
 echo $ECHO_N "checking for default model... $ECHO_C" >&6
 DFT_LWR_MODEL=`echo "$cf_list_models" | $AWK '{print $1}'`
-echo "$as_me:4145: result: $DFT_LWR_MODEL" >&5
+echo "$as_me:4146: result: $DFT_LWR_MODEL" >&5
 echo "${ECHO_T}$DFT_LWR_MODEL" >&6
 
 DFT_UPR_MODEL=`echo "$DFT_LWR_MODEL" | sed y%abcdefghijklmnopqrstuvwxyz./-%ABCDEFGHIJKLMNOPQRSTUVWXYZ___%`
@@ -4167,7 +4168,7 @@
 
 ###############################################################################
 
-echo "$as_me:4170: checking if you want to build a separate terminfo library" >&5
+echo "$as_me:4171: checking if you want to build a separate terminfo library" >&5
 echo $ECHO_N "checking if you want to build a separate terminfo library... $ECHO_C" >&6
 
 # Check whether --with-termlib or --without-termlib was given.
@@ -4177,12 +4178,12 @@
 else
   with_termlib=no
 fi;
-echo "$as_me:4180: result: $with_termlib" >&5
+echo "$as_me:4181: result: $with_termlib" >&5
 echo "${ECHO_T}$with_termlib" >&6
 
 ### Checks for special libraries, must be done up-front.
 
-echo "$as_me:4185: checking if you want to link with dbmalloc for testing" >&5
+echo "$as_me:4186: checking if you want to link with dbmalloc for testing" >&5
 echo $ECHO_N "checking if you want to link with dbmalloc for testing... $ECHO_C" >&6
 
 # Check whether --with-dbmalloc or --without-dbmalloc was given.
@@ -4192,26 +4193,26 @@
 else
   with_dbmalloc=no
 fi;
-echo "$as_me:4195: result: $with_dbmalloc" >&5
+echo "$as_me:4196: result: $with_dbmalloc" >&5
 echo "${ECHO_T}$with_dbmalloc" >&6
 if test "$with_dbmalloc" = yes ; then
-	echo "$as_me:4198: checking for dbmalloc.h" >&5
+	echo "$as_me:4199: checking for dbmalloc.h" >&5
 echo $ECHO_N "checking for dbmalloc.h... $ECHO_C" >&6
 if test "${ac_cv_header_dbmalloc_h+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
   cat >conftest.$ac_ext <<_ACEOF
-#line 4204 "configure"
+#line 4205 "configure"
 #include "confdefs.h"
 #include <dbmalloc.h>
 _ACEOF
-if { (eval echo "$as_me:4208: \"$ac_cpp conftest.$ac_ext\"") >&5
+if { (eval echo "$as_me:4209: \"$ac_cpp conftest.$ac_ext\"") >&5
   (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
   ac_status=$?
   egrep -v '^ *\+' conftest.er1 >conftest.err
   rm -f conftest.er1
   cat conftest.err >&5
-  echo "$as_me:4214: \$? = $ac_status" >&5
+  echo "$as_me:4215: \$? = $ac_status" >&5
   (exit $ac_status); } >/dev/null; then
   if test -s conftest.err; then
     ac_cpp_err=$ac_c_preproc_warn_flag
@@ -4230,11 +4231,11 @@
 fi
 rm -f conftest.err conftest.$ac_ext
 fi
-echo "$as_me:4233: result: $ac_cv_header_dbmalloc_h" >&5
+echo "$as_me:4234: result: $ac_cv_header_dbmalloc_h" >&5
 echo "${ECHO_T}$ac_cv_header_dbmalloc_h" >&6
 if test $ac_cv_header_dbmalloc_h = yes; then
 
-echo "$as_me:4237: checking for debug_malloc in -ldbmalloc" >&5
+echo "$as_me:4238: checking for debug_malloc in -ldbmalloc" >&5
 echo $ECHO_N "checking for debug_malloc in -ldbmalloc... $ECHO_C" >&6
 if test "${ac_cv_lib_dbmalloc_debug_malloc+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -4242,7 +4243,7 @@
   ac_check_lib_save_LIBS=$LIBS
 LIBS="-ldbmalloc  $LIBS"
 cat >conftest.$ac_ext <<_ACEOF
-#line 4245 "configure"
+#line 4246 "configure"
 #include "confdefs.h"
 
 /* Override any gcc2 internal prototype to avoid an error.  */
@@ -4261,16 +4262,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:4264: \"$ac_link\"") >&5
+if { (eval echo "$as_me:4265: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:4267: \$? = $ac_status" >&5
+  echo "$as_me:4268: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:4270: \"$ac_try\"") >&5
+  { (eval echo "$as_me:4271: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:4273: \$? = $ac_status" >&5
+  echo "$as_me:4274: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   ac_cv_lib_dbmalloc_debug_malloc=yes
 else
@@ -4281,7 +4282,7 @@
 rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
 LIBS=$ac_check_lib_save_LIBS
 fi
-echo "$as_me:4284: result: $ac_cv_lib_dbmalloc_debug_malloc" >&5
+echo "$as_me:4285: result: $ac_cv_lib_dbmalloc_debug_malloc" >&5
 echo "${ECHO_T}$ac_cv_lib_dbmalloc_debug_malloc" >&6
 if test $ac_cv_lib_dbmalloc_debug_malloc = yes; then
   cat >>confdefs.h <<EOF
@@ -4296,7 +4297,7 @@
 
 fi
 
-echo "$as_me:4299: checking if you want to link with dmalloc for testing" >&5
+echo "$as_me:4300: checking if you want to link with dmalloc for testing" >&5
 echo $ECHO_N "checking if you want to link with dmalloc for testing... $ECHO_C" >&6
 
 # Check whether --with-dmalloc or --without-dmalloc was given.
@@ -4306,26 +4307,26 @@
 else
   with_dmalloc=no
 fi;
-echo "$as_me:4309: result: $with_dmalloc" >&5
+echo "$as_me:4310: result: $with_dmalloc" >&5
 echo "${ECHO_T}$with_dmalloc" >&6
 if test "$with_dmalloc" = yes ; then
-	echo "$as_me:4312: checking for dmalloc.h" >&5
+	echo "$as_me:4313: checking for dmalloc.h" >&5
 echo $ECHO_N "checking for dmalloc.h... $ECHO_C" >&6
 if test "${ac_cv_header_dmalloc_h+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
   cat >conftest.$ac_ext <<_ACEOF
-#line 4318 "configure"
+#line 4319 "configure"
 #include "confdefs.h"
 #include <dmalloc.h>
 _ACEOF
-if { (eval echo "$as_me:4322: \"$ac_cpp conftest.$ac_ext\"") >&5
+if { (eval echo "$as_me:4323: \"$ac_cpp conftest.$ac_ext\"") >&5
   (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
   ac_status=$?
   egrep -v '^ *\+' conftest.er1 >conftest.err
   rm -f conftest.er1
   cat conftest.err >&5
-  echo "$as_me:4328: \$? = $ac_status" >&5
+  echo "$as_me:4329: \$? = $ac_status" >&5
   (exit $ac_status); } >/dev/null; then
   if test -s conftest.err; then
     ac_cpp_err=$ac_c_preproc_warn_flag
@@ -4344,11 +4345,11 @@
 fi
 rm -f conftest.err conftest.$ac_ext
 fi
-echo "$as_me:4347: result: $ac_cv_header_dmalloc_h" >&5
+echo "$as_me:4348: result: $ac_cv_header_dmalloc_h" >&5
 echo "${ECHO_T}$ac_cv_header_dmalloc_h" >&6
 if test $ac_cv_header_dmalloc_h = yes; then
 
-echo "$as_me:4351: checking for dmalloc_debug in -ldmalloc" >&5
+echo "$as_me:4352: checking for dmalloc_debug in -ldmalloc" >&5
 echo $ECHO_N "checking for dmalloc_debug in -ldmalloc... $ECHO_C" >&6
 if test "${ac_cv_lib_dmalloc_dmalloc_debug+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -4356,7 +4357,7 @@
   ac_check_lib_save_LIBS=$LIBS
 LIBS="-ldmalloc  $LIBS"
 cat >conftest.$ac_ext <<_ACEOF
-#line 4359 "configure"
+#line 4360 "configure"
 #include "confdefs.h"
 
 /* Override any gcc2 internal prototype to avoid an error.  */
@@ -4375,16 +4376,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:4378: \"$ac_link\"") >&5
+if { (eval echo "$as_me:4379: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:4381: \$? = $ac_status" >&5
+  echo "$as_me:4382: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:4384: \"$ac_try\"") >&5
+  { (eval echo "$as_me:4385: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:4387: \$? = $ac_status" >&5
+  echo "$as_me:4388: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   ac_cv_lib_dmalloc_dmalloc_debug=yes
 else
@@ -4395,7 +4396,7 @@
 rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
 LIBS=$ac_check_lib_save_LIBS
 fi
-echo "$as_me:4398: result: $ac_cv_lib_dmalloc_dmalloc_debug" >&5
+echo "$as_me:4399: result: $ac_cv_lib_dmalloc_dmalloc_debug" >&5
 echo "${ECHO_T}$ac_cv_lib_dmalloc_dmalloc_debug" >&6
 if test $ac_cv_lib_dmalloc_dmalloc_debug = yes; then
   cat >>confdefs.h <<EOF
@@ -4412,7 +4413,7 @@
 
 SHLIB_LIST=""
 
-echo "$as_me:4415: checking if you want to link with the GPM mouse library" >&5
+echo "$as_me:4416: checking if you want to link with the GPM mouse library" >&5
 echo $ECHO_N "checking if you want to link with the GPM mouse library... $ECHO_C" >&6
 
 # Check whether --with-gpm or --without-gpm was given.
@@ -4422,10 +4423,10 @@
 else
   with_gpm=maybe
 fi;
-echo "$as_me:4425: result: $with_gpm" >&5
+echo "$as_me:4426: result: $with_gpm" >&5
 echo "${ECHO_T}$with_gpm" >&6
 if test "$with_gpm" != no ; then
-	echo "$as_me:4428: checking for Gpm_Open in -lgpm" >&5
+	echo "$as_me:4429: checking for Gpm_Open in -lgpm" >&5
 echo $ECHO_N "checking for Gpm_Open in -lgpm... $ECHO_C" >&6
 if test "${ac_cv_lib_gpm_Gpm_Open+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -4433,7 +4434,7 @@
   ac_check_lib_save_LIBS=$LIBS
 LIBS="-lgpm  $LIBS"
 cat >conftest.$ac_ext <<_ACEOF
-#line 4436 "configure"
+#line 4437 "configure"
 #include "confdefs.h"
 
 /* Override any gcc2 internal prototype to avoid an error.  */
@@ -4452,16 +4453,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:4455: \"$ac_link\"") >&5
+if { (eval echo "$as_me:4456: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:4458: \$? = $ac_status" >&5
+  echo "$as_me:4459: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:4461: \"$ac_try\"") >&5
+  { (eval echo "$as_me:4462: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:4464: \$? = $ac_status" >&5
+  echo "$as_me:4465: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   ac_cv_lib_gpm_Gpm_Open=yes
 else
@@ -4472,27 +4473,27 @@
 rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
 LIBS=$ac_check_lib_save_LIBS
 fi
-echo "$as_me:4475: result: $ac_cv_lib_gpm_Gpm_Open" >&5
+echo "$as_me:4476: result: $ac_cv_lib_gpm_Gpm_Open" >&5
 echo "${ECHO_T}$ac_cv_lib_gpm_Gpm_Open" >&6
 if test $ac_cv_lib_gpm_Gpm_Open = yes; then
 
-		echo "$as_me:4479: checking for gpm.h" >&5
+		echo "$as_me:4480: checking for gpm.h" >&5
 echo $ECHO_N "checking for gpm.h... $ECHO_C" >&6
 if test "${ac_cv_header_gpm_h+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
   cat >conftest.$ac_ext <<_ACEOF
-#line 4485 "configure"
+#line 4486 "configure"
 #include "confdefs.h"
 #include <gpm.h>
 _ACEOF
-if { (eval echo "$as_me:4489: \"$ac_cpp conftest.$ac_ext\"") >&5
+if { (eval echo "$as_me:4490: \"$ac_cpp conftest.$ac_ext\"") >&5
   (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
   ac_status=$?
   egrep -v '^ *\+' conftest.er1 >conftest.err
   rm -f conftest.er1
   cat conftest.err >&5
-  echo "$as_me:4495: \$? = $ac_status" >&5
+  echo "$as_me:4496: \$? = $ac_status" >&5
   (exit $ac_status); } >/dev/null; then
   if test -s conftest.err; then
     ac_cpp_err=$ac_c_preproc_warn_flag
@@ -4511,7 +4512,7 @@
 fi
 rm -f conftest.err conftest.$ac_ext
 fi
-echo "$as_me:4514: result: $ac_cv_header_gpm_h" >&5
+echo "$as_me:4515: result: $ac_cv_header_gpm_h" >&5
 echo "${ECHO_T}$ac_cv_header_gpm_h" >&6
 if test $ac_cv_header_gpm_h = yes; then
 
@@ -4524,7 +4525,7 @@
 else
 
 			if test "$with_gpm" = yes ; then
-				{ { echo "$as_me:4527: error: Cannot find GPM header" >&5
+				{ { echo "$as_me:4528: error: Cannot find GPM header" >&5
 echo "$as_me: error: Cannot find GPM header" >&2;}
    { (exit 1); exit 1; }; }
 			fi
@@ -4534,7 +4535,7 @@
 else
 
 		if test "$with_gpm" = yes ; then
-			{ { echo "$as_me:4537: error: Cannot link with GPM library" >&5
+			{ { echo "$as_me:4538: error: Cannot link with GPM library" >&5
 echo "$as_me: error: Cannot link with GPM library" >&2;}
    { (exit 1); exit 1; }; }
 		fi
@@ -4545,15 +4546,28 @@
 fi
 
 if test "$with_gpm" = yes ; then
+	echo "$as_me:4549: checking if you want to load GPM dynamically" >&5
+echo $ECHO_N "checking if you want to load GPM dynamically... $ECHO_C" >&6
+
+# Check whether --with-dlsym or --without-dlsym was given.
+if test "${with_dlsym+set}" = set; then
+  withval="$with_dlsym"
+  with_dlsym=$withval
+else
+  with_dlsym=yes
+fi;
+	echo "$as_me:4559: result: $with_dlsym" >&5
+echo "${ECHO_T}$with_dlsym" >&6
+	if test "$with_dlsym" = yes ; then
 
 cf_have_dlsym=no
-echo "$as_me:4550: checking for dlsym" >&5
+echo "$as_me:4564: checking for dlsym" >&5
 echo $ECHO_N "checking for dlsym... $ECHO_C" >&6
 if test "${ac_cv_func_dlsym+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
   cat >conftest.$ac_ext <<_ACEOF
-#line 4556 "configure"
+#line 4570 "configure"
 #include "confdefs.h"
 /* System header to define __stub macros and hopefully few prototypes,
     which can conflict with char dlsym (); below.  */
@@ -4584,16 +4598,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:4587: \"$ac_link\"") >&5
+if { (eval echo "$as_me:4601: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:4590: \$? = $ac_status" >&5
+  echo "$as_me:4604: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:4593: \"$ac_try\"") >&5
+  { (eval echo "$as_me:4607: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:4596: \$? = $ac_status" >&5
+  echo "$as_me:4610: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   ac_cv_func_dlsym=yes
 else
@@ -4603,14 +4617,14 @@
 fi
 rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
 fi
-echo "$as_me:4606: result: $ac_cv_func_dlsym" >&5
+echo "$as_me:4620: result: $ac_cv_func_dlsym" >&5
 echo "${ECHO_T}$ac_cv_func_dlsym" >&6
 if test $ac_cv_func_dlsym = yes; then
   cf_have_dlsym=yes
 else
 
 cf_have_libdl=no
-echo "$as_me:4613: checking for dlsym in -ldl" >&5
+echo "$as_me:4627: checking for dlsym in -ldl" >&5
 echo $ECHO_N "checking for dlsym in -ldl... $ECHO_C" >&6
 if test "${ac_cv_lib_dl_dlsym+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -4618,7 +4632,7 @@
   ac_check_lib_save_LIBS=$LIBS
 LIBS="-ldl  $LIBS"
 cat >conftest.$ac_ext <<_ACEOF
-#line 4621 "configure"
+#line 4635 "configure"
 #include "confdefs.h"
 
 /* Override any gcc2 internal prototype to avoid an error.  */
@@ -4637,16 +4651,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:4640: \"$ac_link\"") >&5
+if { (eval echo "$as_me:4654: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:4643: \$? = $ac_status" >&5
+  echo "$as_me:4657: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:4646: \"$ac_try\"") >&5
+  { (eval echo "$as_me:4660: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:4649: \$? = $ac_status" >&5
+  echo "$as_me:4663: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   ac_cv_lib_dl_dlsym=yes
 else
@@ -4657,7 +4671,7 @@
 rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
 LIBS=$ac_check_lib_save_LIBS
 fi
-echo "$as_me:4660: result: $ac_cv_lib_dl_dlsym" >&5
+echo "$as_me:4674: result: $ac_cv_lib_dl_dlsym" >&5
 echo "${ECHO_T}$ac_cv_lib_dl_dlsym" >&6
 if test $ac_cv_lib_dl_dlsym = yes; then
 
@@ -4670,10 +4684,10 @@
 if test "$cf_have_dlsym" = yes ; then
 	test "$cf_have_libdl" = yes && LIBS="-ldl $LIBS"
 
-	echo "$as_me:4673: checking whether able to link to dl*() functions" >&5
+	echo "$as_me:4687: checking whether able to link to dl*() functions" >&5
 echo $ECHO_N "checking whether able to link to dl*() functions... $ECHO_C" >&6
 	cat >conftest.$ac_ext <<_ACEOF
-#line 4676 "configure"
+#line 4690 "configure"
 #include "confdefs.h"
 #include <dlfcn.h>
 int
@@ -4691,16 +4705,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:4694: \"$ac_link\"") >&5
+if { (eval echo "$as_me:4708: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:4697: \$? = $ac_status" >&5
+  echo "$as_me:4711: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:4700: \"$ac_try\"") >&5
+  { (eval echo "$as_me:4714: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:4703: \$? = $ac_status" >&5
+  echo "$as_me:4717: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
 
 		cat >>confdefs.h <<\EOF
@@ -4711,20 +4725,20 @@
   echo "$as_me: failed program was:" >&5
 cat conftest.$ac_ext >&5
 
-		{ { echo "$as_me:4714: error: Cannot link test program for libdl" >&5
+		{ { echo "$as_me:4728: error: Cannot link test program for libdl" >&5
 echo "$as_me: error: Cannot link test program for libdl" >&2;}
    { (exit 1); exit 1; }; }
 fi
 rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
-	echo "$as_me:4719: result: ok" >&5
+	echo "$as_me:4733: result: ok" >&5
 echo "${ECHO_T}ok" >&6
 else
-	{ { echo "$as_me:4722: error: Cannot find dlsym function" >&5
+	{ { echo "$as_me:4736: error: Cannot find dlsym function" >&5
 echo "$as_me: error: Cannot find dlsym function" >&2;}
    { (exit 1); exit 1; }; }
 fi
 
-echo "$as_me:4727: checking for soname of gpm library" >&5
+echo "$as_me:4741: checking for soname of gpm library" >&5
 echo $ECHO_N "checking for soname of gpm library... $ECHO_C" >&6
 if test "${cf_cv_gpm_soname+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -4742,15 +4756,15 @@
 CF_EOF
 cf_save_LIBS="$LIBS"
 	LIBS="-lgpm $LIBS"
-	if { (eval echo "$as_me:4745: \"$ac_compile\"") >&5
+	if { (eval echo "$as_me:4759: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:4748: \$? = $ac_status" >&5
+  echo "$as_me:4762: \$? = $ac_status" >&5
   (exit $ac_status); } ; then
-		if { (eval echo "$as_me:4750: \"$ac_link\"") >&5
+		if { (eval echo "$as_me:4764: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:4753: \$? = $ac_status" >&5
+  echo "$as_me:4767: \$? = $ac_status" >&5
   (exit $ac_status); } ; then
 			cf_cv_gpm_soname=`ldd conftest$ac_exeext 2>/dev/null | sed -e 's,^.*/,,' -e 's, .*$,,' | fgrep libgpm.`
 			test -z "$cf_cv_gpm_soname" && cf_cv_gpm_soname=unknown
@@ -4761,19 +4775,22 @@
 fi
 
 fi
-echo "$as_me:4764: result: $cf_cv_gpm_soname" >&5
+echo "$as_me:4778: result: $cf_cv_gpm_soname" >&5
 echo "${ECHO_T}$cf_cv_gpm_soname" >&6
 
-	test "$cf_cv_gpm_soname" != "unknown" && cat >>confdefs.h <<EOF
+		test "$cf_cv_gpm_soname" != "unknown" && cat >>confdefs.h <<EOF
 #define LIBGPM_SONAME "$cf_cv_gpm_soname"
 EOF
 
-	SHLIB_LIST="-ldl $SHLIB_LIST"
+		SHLIB_LIST="-ldl $SHLIB_LIST"
+	else
+		SHLIB_LIST="-lgpm $SHLIB_LIST"
+	fi
 	cat >>confdefs.h <<\EOF
 #define HAVE_LIBGPM 1
 EOF
 
-	echo "$as_me:4776: checking for Gpm_Wgetch in -lgpm" >&5
+	echo "$as_me:4793: checking for Gpm_Wgetch in -lgpm" >&5
 echo $ECHO_N "checking for Gpm_Wgetch in -lgpm... $ECHO_C" >&6
 if test "${ac_cv_lib_gpm_Gpm_Wgetch+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -4781,7 +4798,7 @@
   ac_check_lib_save_LIBS=$LIBS
 LIBS="-lgpm  $LIBS"
 cat >conftest.$ac_ext <<_ACEOF
-#line 4784 "configure"
+#line 4801 "configure"
 #include "confdefs.h"
 
 /* Override any gcc2 internal prototype to avoid an error.  */
@@ -4800,16 +4817,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:4803: \"$ac_link\"") >&5
+if { (eval echo "$as_me:4820: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:4806: \$? = $ac_status" >&5
+  echo "$as_me:4823: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:4809: \"$ac_try\"") >&5
+  { (eval echo "$as_me:4826: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:4812: \$? = $ac_status" >&5
+  echo "$as_me:4829: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   ac_cv_lib_gpm_Gpm_Wgetch=yes
 else
@@ -4820,11 +4837,11 @@
 rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
 LIBS=$ac_check_lib_save_LIBS
 fi
-echo "$as_me:4823: result: $ac_cv_lib_gpm_Gpm_Wgetch" >&5
+echo "$as_me:4840: result: $ac_cv_lib_gpm_Gpm_Wgetch" >&5
 echo "${ECHO_T}$ac_cv_lib_gpm_Gpm_Wgetch" >&6
 if test $ac_cv_lib_gpm_Gpm_Wgetch = yes; then
 
-		{ echo "$as_me:4827: WARNING: GPM library is already linked with curses - read the FAQ" >&5
+		{ echo "$as_me:4844: WARNING: GPM library is already linked with curses - read the FAQ" >&5
 echo "$as_me: WARNING: GPM library is already linked with curses - read the FAQ" >&2;}
 
 fi
@@ -4833,7 +4850,7 @@
 
 # not everyone has "test -c"
 if test -c /dev/sysmouse 2>/dev/null ; then
-echo "$as_me:4836: checking if you want to use sysmouse" >&5
+echo "$as_me:4853: checking if you want to use sysmouse" >&5
 echo $ECHO_N "checking if you want to use sysmouse... $ECHO_C" >&6
 
 # Check whether --with-sysmouse or --without-sysmouse was given.
@@ -4845,7 +4862,7 @@
 fi;
 	if test "$cf_with_sysmouse" != no ; then
 	cat >conftest.$ac_ext <<_ACEOF
-#line 4848 "configure"
+#line 4865 "configure"
 #include "confdefs.h"
 
 #include <osreldate.h>
@@ -4868,16 +4885,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:4871: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:4888: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:4874: \$? = $ac_status" >&5
+  echo "$as_me:4891: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:4877: \"$ac_try\"") >&5
+  { (eval echo "$as_me:4894: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:4880: \$? = $ac_status" >&5
+  echo "$as_me:4897: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_with_sysmouse=yes
 else
@@ -4887,7 +4904,7 @@
 fi
 rm -f conftest.$ac_objext conftest.$ac_ext
 	fi
-echo "$as_me:4890: result: $cf_with_sysmouse" >&5
+echo "$as_me:4907: result: $cf_with_sysmouse" >&5
 echo "${ECHO_T}$cf_with_sysmouse" >&6
 test "$cf_with_sysmouse" = yes && cat >>confdefs.h <<\EOF
 #define USE_SYSMOUSE 1
@@ -4905,7 +4922,7 @@
 	test -n "$GXX" && test "${ac_cv_prog_cxx_g}" != yes && CXX_G_OPT=''
 fi
 
-echo "$as_me:4908: checking for default loader flags" >&5
+echo "$as_me:4925: checking for default loader flags" >&5
 echo $ECHO_N "checking for default loader flags... $ECHO_C" >&6
 case $DFT_LWR_MODEL in
 libtool) LD_MODEL=''   ;;
@@ -4914,10 +4931,10 @@
 profile) LD_MODEL='-pg';;
 shared)  LD_MODEL=''   ;;
 esac
-echo "$as_me:4917: result: $LD_MODEL" >&5
+echo "$as_me:4934: result: $LD_MODEL" >&5
 echo "${ECHO_T}$LD_MODEL" >&6
 
-echo "$as_me:4920: checking if rpath option should be used" >&5
+echo "$as_me:4937: checking if rpath option should be used" >&5
 echo $ECHO_N "checking if rpath option should be used... $ECHO_C" >&6
 
 # Check whether --enable-rpath or --disable-rpath was given.
@@ -4927,7 +4944,7 @@
 else
   cf_cv_ld_rpath=no
 fi;
-echo "$as_me:4930: result: $cf_cv_ld_rpath" >&5
+echo "$as_me:4947: result: $cf_cv_ld_rpath" >&5
 echo "${ECHO_T}$cf_cv_ld_rpath" >&6
 
 	LOCAL_LDFLAGS=
@@ -4937,7 +4954,7 @@
 
 	cf_cv_do_symlinks=no
 
-	echo "$as_me:4940: checking if release/abi version should be used for shared libs" >&5
+	echo "$as_me:4957: checking if release/abi version should be used for shared libs" >&5
 echo $ECHO_N "checking if release/abi version should be used for shared libs... $ECHO_C" >&6
 
 # Check whether --with-shlib-version or --without-shlib-version was given.
@@ -4952,7 +4969,7 @@
 		cf_cv_shlib_version=$withval
 		;;
 	*)
-		{ { echo "$as_me:4955: error: option value must be one of: rel, abi, auto or no" >&5
+		{ { echo "$as_me:4972: error: option value must be one of: rel, abi, auto or no" >&5
 echo "$as_me: error: option value must be one of: rel, abi, auto or no" >&2;}
    { (exit 1); exit 1; }; }
 		;;
@@ -4961,7 +4978,7 @@
 else
   cf_cv_shlib_version=auto
 fi;
-	echo "$as_me:4964: result: $cf_cv_shlib_version" >&5
+	echo "$as_me:4981: result: $cf_cv_shlib_version" >&5
 echo "${ECHO_T}$cf_cv_shlib_version" >&6
 
 	cf_cv_rm_so_locs=no
@@ -4970,14 +4987,14 @@
 	CC_SHARED_OPTS=
 	if test "$GCC" = yes
 	then
-		echo "$as_me:4973: checking which $CC option to use" >&5
+		echo "$as_me:4990: checking which $CC option to use" >&5
 echo $ECHO_N "checking which $CC option to use... $ECHO_C" >&6
 		cf_save_CFLAGS="$CFLAGS"
 		for CC_SHARED_OPTS in -fPIC -fpic ''
 		do
 			CFLAGS="$cf_save_CFLAGS $CC_SHARED_OPTS"
 			cat >conftest.$ac_ext <<_ACEOF
-#line 4980 "configure"
+#line 4997 "configure"
 #include "confdefs.h"
 #include <stdio.h>
 int
@@ -4989,16 +5006,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:4992: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:5009: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:4995: \$? = $ac_status" >&5
+  echo "$as_me:5012: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:4998: \"$ac_try\"") >&5
+  { (eval echo "$as_me:5015: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:5001: \$? = $ac_status" >&5
+  echo "$as_me:5018: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   break
 else
@@ -5007,7 +5024,7 @@
 fi
 rm -f conftest.$ac_objext conftest.$ac_ext
 		done
-		echo "$as_me:5010: result: $CC_SHARED_OPTS" >&5
+		echo "$as_me:5027: result: $CC_SHARED_OPTS" >&5
 echo "${ECHO_T}$CC_SHARED_OPTS" >&6
 		CFLAGS="$cf_save_CFLAGS"
 	fi
@@ -5030,6 +5047,52 @@
 		MK_SHARED_LIB='$(CC) -dynamiclib -install_name $(DESTDIR)$(libdir)/`basename $@` -compatibility_version $(ABI_VERSION) -current_version $(ABI_VERSION) -o $@'
 		test "$cf_cv_shlib_version" = auto && cf_cv_shlib_version=abi
 		cf_cv_shlib_version_infix=yes
+		echo "$as_me:5050: checking if ld -search_paths_first works" >&5
+echo $ECHO_N "checking if ld -search_paths_first works... $ECHO_C" >&6
+if test "${cf_cv_ldflags_search_paths_first+set}" = set; then
+  echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+
+			cf_save_LDFLAGS=$LDFLAGS
+			LDFLAGS="$LDFLAGS -Wl,-search_paths_first"
+			cat >conftest.$ac_ext <<_ACEOF
+#line 5059 "configure"
+#include "confdefs.h"
+
+int
+main ()
+{
+int i;
+  ;
+  return 0;
+}
+_ACEOF
+rm -f conftest.$ac_objext conftest$ac_exeext
+if { (eval echo "$as_me:5071: \"$ac_link\"") >&5
+  (eval $ac_link) 2>&5
+  ac_status=$?
+  echo "$as_me:5074: \$? = $ac_status" >&5
+  (exit $ac_status); } &&
+         { ac_try='test -s conftest$ac_exeext'
+  { (eval echo "$as_me:5077: \"$ac_try\"") >&5
+  (eval $ac_try) 2>&5
+  ac_status=$?
+  echo "$as_me:5080: \$? = $ac_status" >&5
+  (exit $ac_status); }; }; then
+  cf_cv_ldflags_search_paths_first=yes
+else
+  echo "$as_me: failed program was:" >&5
+cat conftest.$ac_ext >&5
+cf_cv_ldflags_search_paths_first=no
+fi
+rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
+				LDFLAGS=$cf_save_LDFLAGS
+fi
+echo "$as_me:5091: result: $cf_cv_ldflags_search_paths_first" >&5
+echo "${ECHO_T}$cf_cv_ldflags_search_paths_first" >&6
+		if test $cf_cv_ldflags_search_paths_first = yes; then
+			LDFLAGS="$LDFLAGS -Wl,-search_paths_first"
+		fi
 		;;
 	hpux*)
 		# (tested with gcc 2.7.2 -- I don't have c89)
@@ -5196,7 +5259,7 @@
 			test "$cf_cv_do_symlinks" = no && cf_cv_do_symlinks=yes
 			;;
 		*)
-			{ echo "$as_me:5199: WARNING: ignored --with-shlib-version" >&5
+			{ echo "$as_me:5262: WARNING: ignored --with-shlib-version" >&5
 echo "$as_me: WARNING: ignored --with-shlib-version" >&2;}
 			;;
 		esac
@@ -5204,12 +5267,12 @@
 	esac
 
 	if test -n "$cf_ld_rpath_opt" ; then
-		echo "$as_me:5207: checking if we need a space after rpath option" >&5
+		echo "$as_me:5270: checking if we need a space after rpath option" >&5
 echo $ECHO_N "checking if we need a space after rpath option... $ECHO_C" >&6
 		cf_save_LIBS="$LIBS"
 		LIBS="$LIBS ${cf_ld_rpath_opt}$libdir"
 		cat >conftest.$ac_ext <<_ACEOF
-#line 5212 "configure"
+#line 5275 "configure"
 #include "confdefs.h"
 
 int
@@ -5221,16 +5284,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:5224: \"$ac_link\"") >&5
+if { (eval echo "$as_me:5287: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:5227: \$? = $ac_status" >&5
+  echo "$as_me:5290: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:5230: \"$ac_try\"") >&5
+  { (eval echo "$as_me:5293: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:5233: \$? = $ac_status" >&5
+  echo "$as_me:5296: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_rpath_space=no
 else
@@ -5240,7 +5303,7 @@
 fi
 rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
 		LIBS="$cf_save_LIBS"
-		echo "$as_me:5243: result: $cf_rpath_space" >&5
+		echo "$as_me:5306: result: $cf_rpath_space" >&5
 echo "${ECHO_T}$cf_rpath_space" >&6
 		test "$cf_rpath_space" = yes && cf_ld_rpath_opt="$cf_ld_rpath_opt "
 		MK_SHARED_LIB="$MK_SHARED_LIB $cf_ld_rpath_opt\$(libdir)"
@@ -5249,7 +5312,7 @@
 if test "$CC_SHARED_OPTS" = "unknown"; then
 	for model in $cf_list_models; do
 		if test "$model" = "shared"; then
-			{ { echo "$as_me:5252: error: Shared libraries are not supported in this version" >&5
+			{ { echo "$as_me:5315: error: Shared libraries are not supported in this version" >&5
 echo "$as_me: error: Shared libraries are not supported in this version" >&2;}
    { (exit 1); exit 1; }; }
 		fi
@@ -5259,7 +5322,7 @@
 ###############################################################################
 
 ###	use option --disable-overwrite to leave out the link to -lcurses
-echo "$as_me:5262: checking if you wish to install ncurses overwriting curses" >&5
+echo "$as_me:5325: checking if you wish to install ncurses overwriting curses" >&5
 echo $ECHO_N "checking if you wish to install ncurses overwriting curses... $ECHO_C" >&6
 
 # Check whether --enable-overwrite or --disable-overwrite was given.
@@ -5269,10 +5332,10 @@
 else
   if test "$prefix" = "/usr" ; then with_overwrite=yes; else with_overwrite=no; fi
 fi;
-echo "$as_me:5272: result: $with_overwrite" >&5
+echo "$as_me:5335: result: $with_overwrite" >&5
 echo "${ECHO_T}$with_overwrite" >&6
 
-echo "$as_me:5275: checking if external terminfo-database is used" >&5
+echo "$as_me:5338: checking if external terminfo-database is used" >&5
 echo $ECHO_N "checking if external terminfo-database is used... $ECHO_C" >&6
 
 # Check whether --enable-database or --disable-database was given.
@@ -5282,7 +5345,7 @@
 else
   use_database=yes
 fi;
-echo "$as_me:5285: result: $use_database" >&5
+echo "$as_me:5348: result: $use_database" >&5
 echo "${ECHO_T}$use_database" >&6
 
 case $host_os in #(vi
@@ -5304,7 +5367,7 @@
 #define USE_DATABASE 1
 EOF
 
-	echo "$as_me:5307: checking which terminfo source-file will be installed" >&5
+	echo "$as_me:5370: checking which terminfo source-file will be installed" >&5
 echo $ECHO_N "checking which terminfo source-file will be installed... $ECHO_C" >&6
 
 # Check whether --enable-database or --disable-database was given.
@@ -5312,11 +5375,11 @@
   enableval="$enable_database"
   TERMINFO_SRC=$withval
 fi;
-	echo "$as_me:5315: result: $TERMINFO_SRC" >&5
+	echo "$as_me:5378: result: $TERMINFO_SRC" >&5
 echo "${ECHO_T}$TERMINFO_SRC" >&6
 fi
 
-echo "$as_me:5319: checking for list of fallback descriptions" >&5
+echo "$as_me:5382: checking for list of fallback descriptions" >&5
 echo $ECHO_N "checking for list of fallback descriptions... $ECHO_C" >&6
 
 # Check whether --with-fallbacks or --without-fallbacks was given.
@@ -5326,11 +5389,11 @@
 else
   with_fallback=
 fi;
-echo "$as_me:5329: result: $with_fallback" >&5
+echo "$as_me:5392: result: $with_fallback" >&5
 echo "${ECHO_T}$with_fallback" >&6
 FALLBACK_LIST=`echo "$with_fallback" | sed -e 's/,/ /g'`
 
-echo "$as_me:5333: checking if you want modern xterm or antique" >&5
+echo "$as_me:5396: checking if you want modern xterm or antique" >&5
 echo $ECHO_N "checking if you want modern xterm or antique... $ECHO_C" >&6
 
 # Check whether --with-xterm-new or --without-xterm-new was given.
@@ -5344,7 +5407,7 @@
 no)	with_xterm_new=xterm-old;;
 *)	with_xterm_new=xterm-new;;
 esac
-echo "$as_me:5347: result: $with_xterm_new" >&5
+echo "$as_me:5410: result: $with_xterm_new" >&5
 echo "${ECHO_T}$with_xterm_new" >&6
 WHICH_XTERM=$with_xterm_new
 
@@ -5354,7 +5417,7 @@
 	MAKE_TERMINFO="#"
 else
 
-echo "$as_me:5357: checking for list of terminfo directories" >&5
+echo "$as_me:5420: checking for list of terminfo directories" >&5
 echo $ECHO_N "checking for list of terminfo directories... $ECHO_C" >&6
 
 # Check whether --with-terminfo-dirs or --without-terminfo-dirs was given.
@@ -5388,7 +5451,7 @@
   cf_src_path=`echo $cf_src_path | sed -e s%NONE%$ac_default_prefix%`
   ;;
 *)
-  { { echo "$as_me:5391: error: expected a pathname, not \"$cf_src_path\"" >&5
+  { { echo "$as_me:5454: error: expected a pathname, not \"$cf_src_path\"" >&5
 echo "$as_me: error: expected a pathname, not \"$cf_src_path\"" >&2;}
    { (exit 1); exit 1; }; }
   ;;
@@ -5401,13 +5464,13 @@
 
 eval 'TERMINFO_DIRS="$cf_dst_path"'
 
-echo "$as_me:5404: result: $TERMINFO_DIRS" >&5
+echo "$as_me:5467: result: $TERMINFO_DIRS" >&5
 echo "${ECHO_T}$TERMINFO_DIRS" >&6
 test -n "$TERMINFO_DIRS" && cat >>confdefs.h <<EOF
 #define TERMINFO_DIRS "$TERMINFO_DIRS"
 EOF
 
-echo "$as_me:5410: checking for default terminfo directory" >&5
+echo "$as_me:5473: checking for default terminfo directory" >&5
 echo $ECHO_N "checking for default terminfo directory... $ECHO_C" >&6
 
 # Check whether --with-default-terminfo-dir or --without-default-terminfo-dir was given.
@@ -5436,7 +5499,7 @@
   withval=`echo $withval | sed -e s%NONE%$ac_default_prefix%`
   ;;
 *)
-  { { echo "$as_me:5439: error: expected a pathname, not \"$withval\"" >&5
+  { { echo "$as_me:5502: error: expected a pathname, not \"$withval\"" >&5
 echo "$as_me: error: expected a pathname, not \"$withval\"" >&2;}
    { (exit 1); exit 1; }; }
   ;;
@@ -5444,7 +5507,7 @@
 
 eval TERMINFO="$withval"
 
-echo "$as_me:5447: result: $TERMINFO" >&5
+echo "$as_me:5510: result: $TERMINFO" >&5
 echo "${ECHO_T}$TERMINFO" >&6
 cat >>confdefs.h <<EOF
 #define TERMINFO "$TERMINFO"
@@ -5454,7 +5517,7 @@
 
 ###	use option --disable-big-core to make tic run on small machines
 ###	We need 4Mb, check if we can allocate 50% more than that.
-echo "$as_me:5457: checking if big-core option selected" >&5
+echo "$as_me:5520: checking if big-core option selected" >&5
 echo $ECHO_N "checking if big-core option selected... $ECHO_C" >&6
 
 # Check whether --enable-big-core or --disable-big-core was given.
@@ -5466,7 +5529,7 @@
   with_big_core=no
 else
   cat >conftest.$ac_ext <<_ACEOF
-#line 5469 "configure"
+#line 5532 "configure"
 #include "confdefs.h"
 
 #include <stdlib.h>
@@ -5480,15 +5543,15 @@
 }
 _ACEOF
 rm -f conftest$ac_exeext
-if { (eval echo "$as_me:5483: \"$ac_link\"") >&5
+if { (eval echo "$as_me:5546: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:5486: \$? = $ac_status" >&5
+  echo "$as_me:5549: \$? = $ac_status" >&5
   (exit $ac_status); } && { ac_try='./conftest$ac_exeext'
-  { (eval echo "$as_me:5488: \"$ac_try\"") >&5
+  { (eval echo "$as_me:5551: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:5491: \$? = $ac_status" >&5
+  echo "$as_me:5554: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   with_big_core=yes
 else
@@ -5500,14 +5563,14 @@
 rm -f core core.* *.core conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
 fi
 fi;
-echo "$as_me:5503: result: $with_big_core" >&5
+echo "$as_me:5566: result: $with_big_core" >&5
 echo "${ECHO_T}$with_big_core" >&6
 test "$with_big_core" = "yes" && cat >>confdefs.h <<\EOF
 #define HAVE_BIG_CORE 1
 EOF
 
 ###	use option --enable-termcap to compile in the termcap fallback support
-echo "$as_me:5510: checking if you want termcap-fallback support" >&5
+echo "$as_me:5573: checking if you want termcap-fallback support" >&5
 echo $ECHO_N "checking if you want termcap-fallback support... $ECHO_C" >&6
 
 # Check whether --enable-termcap or --disable-termcap was given.
@@ -5517,13 +5580,13 @@
 else
   with_termcap=no
 fi;
-echo "$as_me:5520: result: $with_termcap" >&5
+echo "$as_me:5583: result: $with_termcap" >&5
 echo "${ECHO_T}$with_termcap" >&6
 
 if test "$with_termcap" != "yes" ; then
 	if test "$use_database" = no ; then
 		if test -z "$with_fallback" ; then
-			{ { echo "$as_me:5526: error: You have disabled the database w/o specifying fallbacks" >&5
+			{ { echo "$as_me:5589: error: You have disabled the database w/o specifying fallbacks" >&5
 echo "$as_me: error: You have disabled the database w/o specifying fallbacks" >&2;}
    { (exit 1); exit 1; }; }
 		fi
@@ -5538,7 +5601,7 @@
 #define USE_TERMCAP 1
 EOF
 
-echo "$as_me:5541: checking for list of termcap files" >&5
+echo "$as_me:5604: checking for list of termcap files" >&5
 echo $ECHO_N "checking for list of termcap files... $ECHO_C" >&6
 
 # Check whether --with-termpath or --without-termpath was given.
@@ -5572,7 +5635,7 @@
   cf_src_path=`echo $cf_src_path | sed -e s%NONE%$ac_default_prefix%`
   ;;
 *)
-  { { echo "$as_me:5575: error: expected a pathname, not \"$cf_src_path\"" >&5
+  { { echo "$as_me:5638: error: expected a pathname, not \"$cf_src_path\"" >&5
 echo "$as_me: error: expected a pathname, not \"$cf_src_path\"" >&2;}
    { (exit 1); exit 1; }; }
   ;;
@@ -5585,14 +5648,14 @@
 
 eval 'TERMPATH="$cf_dst_path"'
 
-echo "$as_me:5588: result: $TERMPATH" >&5
+echo "$as_me:5651: result: $TERMPATH" >&5
 echo "${ECHO_T}$TERMPATH" >&6
 test -n "$TERMPATH" && cat >>confdefs.h <<EOF
 #define TERMPATH "$TERMPATH"
 EOF
 
 ###	use option --enable-getcap to use a hacked getcap for reading termcaps
-echo "$as_me:5595: checking if fast termcap-loader is needed" >&5
+echo "$as_me:5658: checking if fast termcap-loader is needed" >&5
 echo $ECHO_N "checking if fast termcap-loader is needed... $ECHO_C" >&6
 
 # Check whether --enable-getcap or --disable-getcap was given.
@@ -5602,13 +5665,13 @@
 else
   with_getcap=no
 fi;
-echo "$as_me:5605: result: $with_getcap" >&5
+echo "$as_me:5668: result: $with_getcap" >&5
 echo "${ECHO_T}$with_getcap" >&6
 test "$with_getcap" = "yes" && cat >>confdefs.h <<\EOF
 #define USE_GETCAP 1
 EOF
 
-echo "$as_me:5611: checking if translated termcaps will be cached in ~/.terminfo" >&5
+echo "$as_me:5674: checking if translated termcaps will be cached in ~/.terminfo" >&5
 echo $ECHO_N "checking if translated termcaps will be cached in ~/.terminfo... $ECHO_C" >&6
 
 # Check whether --enable-getcap-cache or --disable-getcap-cache was given.
@@ -5618,7 +5681,7 @@
 else
   with_getcap_cache=no
 fi;
-echo "$as_me:5621: result: $with_getcap_cache" >&5
+echo "$as_me:5684: result: $with_getcap_cache" >&5
 echo "${ECHO_T}$with_getcap_cache" >&6
 test "$with_getcap_cache" = "yes" && cat >>confdefs.h <<\EOF
 #define USE_GETCAP_CACHE 1
@@ -5627,7 +5690,7 @@
 fi
 
 ###   Use option --disable-home-terminfo to completely remove ~/.terminfo
-echo "$as_me:5630: checking if ~/.terminfo is wanted" >&5
+echo "$as_me:5693: checking if ~/.terminfo is wanted" >&5
 echo $ECHO_N "checking if ~/.terminfo is wanted... $ECHO_C" >&6
 
 # Check whether --enable-home-terminfo or --disable-home-terminfo was given.
@@ -5637,13 +5700,13 @@
 else
   with_home_terminfo=yes
 fi;
-echo "$as_me:5640: result: $with_home_terminfo" >&5
+echo "$as_me:5703: result: $with_home_terminfo" >&5
 echo "${ECHO_T}$with_home_terminfo" >&6
 test "$with_home_terminfo" = "yes" && cat >>confdefs.h <<\EOF
 #define USE_HOME_TERMINFO 1
 EOF
 
-echo "$as_me:5646: checking if you want to use restrict environment when running as root" >&5
+echo "$as_me:5709: checking if you want to use restrict environment when running as root" >&5
 echo $ECHO_N "checking if you want to use restrict environment when running as root... $ECHO_C" >&6
 
 # Check whether --enable-root-environ or --disable-root-environ was given.
@@ -5653,7 +5716,7 @@
 else
   with_root_environ=yes
 fi;
-echo "$as_me:5656: result: $with_root_environ" >&5
+echo "$as_me:5719: result: $with_root_environ" >&5
 echo "${ECHO_T}$with_root_environ" >&6
 test "$with_root_environ" = yes && cat >>confdefs.h <<\EOF
 #define USE_ROOT_ENVIRON 1
@@ -5667,13 +5730,13 @@
 	unlink
 do
 as_ac_var=`echo "ac_cv_func_$ac_func" | $as_tr_sh`
-echo "$as_me:5670: checking for $ac_func" >&5
+echo "$as_me:5733: checking for $ac_func" >&5
 echo $ECHO_N "checking for $ac_func... $ECHO_C" >&6
 if eval "test \"\${$as_ac_var+set}\" = set"; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
   cat >conftest.$ac_ext <<_ACEOF
-#line 5676 "configure"
+#line 5739 "configure"
 #include "confdefs.h"
 /* System header to define __stub macros and hopefully few prototypes,
     which can conflict with char $ac_func (); below.  */
@@ -5704,16 +5767,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:5707: \"$ac_link\"") >&5
+if { (eval echo "$as_me:5770: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:5710: \$? = $ac_status" >&5
+  echo "$as_me:5773: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:5713: \"$ac_try\"") >&5
+  { (eval echo "$as_me:5776: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:5716: \$? = $ac_status" >&5
+  echo "$as_me:5779: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   eval "$as_ac_var=yes"
 else
@@ -5723,7 +5786,7 @@
 fi
 rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
 fi
-echo "$as_me:5726: result: `eval echo '${'$as_ac_var'}'`" >&5
+echo "$as_me:5789: result: `eval echo '${'$as_ac_var'}'`" >&5
 echo "${ECHO_T}`eval echo '${'$as_ac_var'}'`" >&6
 if test `eval echo '${'$as_ac_var'}'` = yes; then
   cat >>confdefs.h <<EOF
@@ -5740,13 +5803,13 @@
 		symlink
 do
 as_ac_var=`echo "ac_cv_func_$ac_func" | $as_tr_sh`
-echo "$as_me:5743: checking for $ac_func" >&5
+echo "$as_me:5806: checking for $ac_func" >&5
 echo $ECHO_N "checking for $ac_func... $ECHO_C" >&6
 if eval "test \"\${$as_ac_var+set}\" = set"; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
   cat >conftest.$ac_ext <<_ACEOF
-#line 5749 "configure"
+#line 5812 "configure"
 #include "confdefs.h"
 /* System header to define __stub macros and hopefully few prototypes,
     which can conflict with char $ac_func (); below.  */
@@ -5777,16 +5840,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:5780: \"$ac_link\"") >&5
+if { (eval echo "$as_me:5843: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:5783: \$? = $ac_status" >&5
+  echo "$as_me:5846: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:5786: \"$ac_try\"") >&5
+  { (eval echo "$as_me:5849: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:5789: \$? = $ac_status" >&5
+  echo "$as_me:5852: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   eval "$as_ac_var=yes"
 else
@@ -5796,7 +5859,7 @@
 fi
 rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
 fi
-echo "$as_me:5799: result: `eval echo '${'$as_ac_var'}'`" >&5
+echo "$as_me:5862: result: `eval echo '${'$as_ac_var'}'`" >&5
 echo "${ECHO_T}`eval echo '${'$as_ac_var'}'`" >&6
 if test `eval echo '${'$as_ac_var'}'` = yes; then
   cat >>confdefs.h <<EOF
@@ -5807,7 +5870,7 @@
 done
 
 else
-	echo "$as_me:5810: checking if link/symlink functions work" >&5
+	echo "$as_me:5873: checking if link/symlink functions work" >&5
 echo $ECHO_N "checking if link/symlink functions work... $ECHO_C" >&6
 if test "${cf_cv_link_funcs+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -5820,7 +5883,7 @@
 			eval 'ac_cv_func_'$cf_func'=error'
 else
   cat >conftest.$ac_ext <<_ACEOF
-#line 5823 "configure"
+#line 5886 "configure"
 #include "confdefs.h"
 
 #include <sys/types.h>
@@ -5850,15 +5913,15 @@
 
 _ACEOF
 rm -f conftest$ac_exeext
-if { (eval echo "$as_me:5853: \"$ac_link\"") >&5
+if { (eval echo "$as_me:5916: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:5856: \$? = $ac_status" >&5
+  echo "$as_me:5919: \$? = $ac_status" >&5
   (exit $ac_status); } && { ac_try='./conftest$ac_exeext'
-  { (eval echo "$as_me:5858: \"$ac_try\"") >&5
+  { (eval echo "$as_me:5921: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:5861: \$? = $ac_status" >&5
+  echo "$as_me:5924: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
 
 			cf_cv_link_funcs="$cf_cv_link_funcs $cf_func"
@@ -5876,7 +5939,7 @@
 		test -z "$cf_cv_link_funcs" && cf_cv_link_funcs=no
 
 fi
-echo "$as_me:5879: result: $cf_cv_link_funcs" >&5
+echo "$as_me:5942: result: $cf_cv_link_funcs" >&5
 echo "${ECHO_T}$cf_cv_link_funcs" >&6
 	test "$ac_cv_func_link"    = yes && cat >>confdefs.h <<\EOF
 #define HAVE_LINK 1
@@ -5892,27 +5955,27 @@
 with_symlinks=no
 
 if test "$ac_cv_func_link" != yes ; then
-    echo "$as_me:5895: checking if tic should use symbolic links" >&5
+    echo "$as_me:5958: checking if tic should use symbolic links" >&5
 echo $ECHO_N "checking if tic should use symbolic links... $ECHO_C" >&6
     if test "$ac_cv_func_symlink" = yes ; then
     	with_symlinks=yes
     else
     	with_symlinks=no
     fi
-    echo "$as_me:5902: result: $with_symlinks" >&5
+    echo "$as_me:5965: result: $with_symlinks" >&5
 echo "${ECHO_T}$with_symlinks" >&6
 elif test "$ac_cv_func_symlink" != yes ; then
-    echo "$as_me:5905: checking if tic should use hard links" >&5
+    echo "$as_me:5968: checking if tic should use hard links" >&5
 echo $ECHO_N "checking if tic should use hard links... $ECHO_C" >&6
     if test "$ac_cv_func_link" = yes ; then
     	with_links=yes
     else
     	with_links=no
     fi
-    echo "$as_me:5912: result: $with_links" >&5
+    echo "$as_me:5975: result: $with_links" >&5
 echo "${ECHO_T}$with_links" >&6
 else
-    echo "$as_me:5915: checking if tic should use symbolic links" >&5
+    echo "$as_me:5978: checking if tic should use symbolic links" >&5
 echo $ECHO_N "checking if tic should use symbolic links... $ECHO_C" >&6
 
 # Check whether --enable-symlinks or --disable-symlinks was given.
@@ -5922,7 +5985,7 @@
 else
   with_symlinks=no
 fi;
-    echo "$as_me:5925: result: $with_symlinks" >&5
+    echo "$as_me:5988: result: $with_symlinks" >&5
 echo "${ECHO_T}$with_symlinks" >&6
 fi
 
@@ -5935,7 +5998,7 @@
 EOF
 
 ###   use option --enable-broken-linker to force on use of broken-linker support
-echo "$as_me:5938: checking if you want broken-linker support code" >&5
+echo "$as_me:6001: checking if you want broken-linker support code" >&5
 echo $ECHO_N "checking if you want broken-linker support code... $ECHO_C" >&6
 
 # Check whether --enable-broken_linker or --disable-broken_linker was given.
@@ -5945,7 +6008,7 @@
 else
   with_broken_linker=${BROKEN_LINKER-no}
 fi;
-echo "$as_me:5948: result: $with_broken_linker" >&5
+echo "$as_me:6011: result: $with_broken_linker" >&5
 echo "${ECHO_T}$with_broken_linker" >&6
 
 BROKEN_LINKER=0
@@ -5980,7 +6043,7 @@
 
 # Check to define _XOPEN_SOURCE "automatically"
 
-echo "$as_me:5983: checking if $CC -U and -D options work together" >&5
+echo "$as_me:6046: checking if $CC -U and -D options work together" >&5
 echo $ECHO_N "checking if $CC -U and -D options work together... $ECHO_C" >&6
 if test "${cf_cv_cc_u_d_options+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -5989,7 +6052,7 @@
 	cf_save_CPPFLAGS="$CPPFLAGS"
 	CPPFLAGS="-UU_D_OPTIONS -DU_D_OPTIONS -DD_U_OPTIONS -UD_U_OPTIONS"
 	cat >conftest.$ac_ext <<_ACEOF
-#line 5992 "configure"
+#line 6055 "configure"
 #include "confdefs.h"
 
 int
@@ -6008,16 +6071,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:6011: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:6074: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:6014: \$? = $ac_status" >&5
+  echo "$as_me:6077: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:6017: \"$ac_try\"") >&5
+  { (eval echo "$as_me:6080: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:6020: \$? = $ac_status" >&5
+  echo "$as_me:6083: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
 
 	cf_cv_cc_u_d_options=yes
@@ -6031,7 +6094,7 @@
 	CPPFLAGS="$cf_save_CPPFLAGS"
 
 fi
-echo "$as_me:6034: result: $cf_cv_cc_u_d_options" >&5
+echo "$as_me:6097: result: $cf_cv_cc_u_d_options" >&5
 echo "${ECHO_T}$cf_cv_cc_u_d_options" >&6
 
 cf_XOPEN_SOURCE=500
@@ -6041,9 +6104,6 @@
 aix[45]*) #(vi
 	CPPFLAGS="$CPPFLAGS -D_ALL_SOURCE"
 	;;
-darwin*) #(vi
-	# setting _XOPEN_SOURCE breaks things on Darwin
-	;;
 freebsd*) #(vi
 	# 5.x headers associate
 	#	_XOPEN_SOURCE=600 with _POSIX_C_SOURCE=200112L
@@ -6060,14 +6120,14 @@
 	;;
 linux*|gnu*) #(vi
 
-echo "$as_me:6063: checking if we must define _GNU_SOURCE" >&5
+echo "$as_me:6123: checking if we must define _GNU_SOURCE" >&5
 echo $ECHO_N "checking if we must define _GNU_SOURCE... $ECHO_C" >&6
 if test "${cf_cv_gnu_source+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
 
 cat >conftest.$ac_ext <<_ACEOF
-#line 6070 "configure"
+#line 6130 "configure"
 #include "confdefs.h"
 #include <sys/types.h>
 int
@@ -6082,16 +6142,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:6085: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:6145: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:6088: \$? = $ac_status" >&5
+  echo "$as_me:6148: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:6091: \"$ac_try\"") >&5
+  { (eval echo "$as_me:6151: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:6094: \$? = $ac_status" >&5
+  echo "$as_me:6154: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_gnu_source=no
 else
@@ -6100,7 +6160,7 @@
 cf_save="$CPPFLAGS"
 	 CPPFLAGS="$CPPFLAGS -D_GNU_SOURCE"
 	 cat >conftest.$ac_ext <<_ACEOF
-#line 6103 "configure"
+#line 6163 "configure"
 #include "confdefs.h"
 #include <sys/types.h>
 int
@@ -6115,16 +6175,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:6118: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:6178: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:6121: \$? = $ac_status" >&5
+  echo "$as_me:6181: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:6124: \"$ac_try\"") >&5
+  { (eval echo "$as_me:6184: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:6127: \$? = $ac_status" >&5
+  echo "$as_me:6187: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_gnu_source=no
 else
@@ -6139,7 +6199,7 @@
 rm -f conftest.$ac_objext conftest.$ac_ext
 
 fi
-echo "$as_me:6142: result: $cf_cv_gnu_source" >&5
+echo "$as_me:6202: result: $cf_cv_gnu_source" >&5
 echo "${ECHO_T}$cf_cv_gnu_source" >&6
 test "$cf_cv_gnu_source" = yes && CPPFLAGS="$CPPFLAGS -D_GNU_SOURCE"
 
@@ -6166,14 +6226,14 @@
 	CPPFLAGS="$CPPFLAGS -D__EXTENSIONS__"
 	;;
 *)
-	echo "$as_me:6169: checking if we should define _XOPEN_SOURCE" >&5
+	echo "$as_me:6229: checking if we should define _XOPEN_SOURCE" >&5
 echo $ECHO_N "checking if we should define _XOPEN_SOURCE... $ECHO_C" >&6
 if test "${cf_cv_xopen_source+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
 
 	cat >conftest.$ac_ext <<_ACEOF
-#line 6176 "configure"
+#line 6236 "configure"
 #include "confdefs.h"
 #include <sys/types.h>
 int
@@ -6188,16 +6248,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:6191: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:6251: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:6194: \$? = $ac_status" >&5
+  echo "$as_me:6254: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:6197: \"$ac_try\"") >&5
+  { (eval echo "$as_me:6257: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:6200: \$? = $ac_status" >&5
+  echo "$as_me:6260: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_xopen_source=no
 else
@@ -6206,7 +6266,7 @@
 cf_save="$CPPFLAGS"
 	 CPPFLAGS="$CPPFLAGS -D_XOPEN_SOURCE=$cf_XOPEN_SOURCE"
 	 cat >conftest.$ac_ext <<_ACEOF
-#line 6209 "configure"
+#line 6269 "configure"
 #include "confdefs.h"
 #include <sys/types.h>
 int
@@ -6221,16 +6281,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:6224: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:6284: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:6227: \$? = $ac_status" >&5
+  echo "$as_me:6287: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:6230: \"$ac_try\"") >&5
+  { (eval echo "$as_me:6290: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:6233: \$? = $ac_status" >&5
+  echo "$as_me:6293: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_xopen_source=no
 else
@@ -6245,7 +6305,7 @@
 rm -f conftest.$ac_objext conftest.$ac_ext
 
 fi
-echo "$as_me:6248: result: $cf_cv_xopen_source" >&5
+echo "$as_me:6308: result: $cf_cv_xopen_source" >&5
 echo "${ECHO_T}$cf_cv_xopen_source" >&6
 	if test "$cf_cv_xopen_source" != no ; then
 
@@ -6279,16 +6339,16 @@
 	sed	-e 's/-[UD]_POSIX_C_SOURCE\(=[^ 	]*\)\?[ 	]/ /g' \
 		-e 's/-[UD]_POSIX_C_SOURCE\(=[^ 	]*\)\?$//g'`
 
-echo "$as_me:6282: checking if we should define _POSIX_C_SOURCE" >&5
+echo "$as_me:6342: checking if we should define _POSIX_C_SOURCE" >&5
 echo $ECHO_N "checking if we should define _POSIX_C_SOURCE... $ECHO_C" >&6
 if test "${cf_cv_posix_c_source+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
 
-echo "(line 6288) testing if the symbol is already defined go no further ..." 1>&5
+echo "(line 6348) testing if the symbol is already defined go no further ..." 1>&5
 
 	cat >conftest.$ac_ext <<_ACEOF
-#line 6291 "configure"
+#line 6351 "configure"
 #include "confdefs.h"
 #include <sys/types.h>
 int
@@ -6303,16 +6363,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:6306: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:6366: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:6309: \$? = $ac_status" >&5
+  echo "$as_me:6369: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:6312: \"$ac_try\"") >&5
+  { (eval echo "$as_me:6372: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:6315: \$? = $ac_status" >&5
+  echo "$as_me:6375: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_posix_c_source=no
 else
@@ -6333,7 +6393,7 @@
 	 esac
 	 if test "$cf_want_posix_source" = yes ; then
 		cat >conftest.$ac_ext <<_ACEOF
-#line 6336 "configure"
+#line 6396 "configure"
 #include "confdefs.h"
 #include <sys/types.h>
 int
@@ -6348,16 +6408,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:6351: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:6411: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:6354: \$? = $ac_status" >&5
+  echo "$as_me:6414: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:6357: \"$ac_try\"") >&5
+  { (eval echo "$as_me:6417: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:6360: \$? = $ac_status" >&5
+  echo "$as_me:6420: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   :
 else
@@ -6368,15 +6428,15 @@
 rm -f conftest.$ac_objext conftest.$ac_ext
 	 fi
 
-echo "(line 6371) testing ifdef from value $cf_POSIX_C_SOURCE ..." 1>&5
+echo "(line 6431) testing ifdef from value $cf_POSIX_C_SOURCE ..." 1>&5
 
 	 CFLAGS="$cf_trim_CFLAGS"
 	 CPPFLAGS="$cf_trim_CPPFLAGS $cf_cv_posix_c_source"
 
-echo "(line 6376) testing if the second compile does not leave our definition intact error ..." 1>&5
+echo "(line 6436) testing if the second compile does not leave our definition intact error ..." 1>&5
 
 	 cat >conftest.$ac_ext <<_ACEOF
-#line 6379 "configure"
+#line 6439 "configure"
 #include "confdefs.h"
 #include <sys/types.h>
 int
@@ -6391,16 +6451,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:6394: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:6454: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:6397: \$? = $ac_status" >&5
+  echo "$as_me:6457: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:6400: \"$ac_try\"") >&5
+  { (eval echo "$as_me:6460: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:6403: \$? = $ac_status" >&5
+  echo "$as_me:6463: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   :
 else
@@ -6416,7 +6476,7 @@
 rm -f conftest.$ac_objext conftest.$ac_ext
 
 fi
-echo "$as_me:6419: result: $cf_cv_posix_c_source" >&5
+echo "$as_me:6479: result: $cf_cv_posix_c_source" >&5
 echo "${ECHO_T}$cf_cv_posix_c_source" >&6
 
 if test "$cf_cv_posix_c_source" != no ; then
@@ -6435,13 +6495,13 @@
 
 # Checks for CODESET support.
 
-  echo "$as_me:6438: checking for nl_langinfo and CODESET" >&5
+  echo "$as_me:6498: checking for nl_langinfo and CODESET" >&5
 echo $ECHO_N "checking for nl_langinfo and CODESET... $ECHO_C" >&6
 if test "${am_cv_langinfo_codeset+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
   cat >conftest.$ac_ext <<_ACEOF
-#line 6444 "configure"
+#line 6504 "configure"
 #include "confdefs.h"
 #include <langinfo.h>
 int
@@ -6453,16 +6513,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:6456: \"$ac_link\"") >&5
+if { (eval echo "$as_me:6516: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:6459: \$? = $ac_status" >&5
+  echo "$as_me:6519: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:6462: \"$ac_try\"") >&5
+  { (eval echo "$as_me:6522: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:6465: \$? = $ac_status" >&5
+  echo "$as_me:6525: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   am_cv_langinfo_codeset=yes
 else
@@ -6473,7 +6533,7 @@
 rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
 
 fi
-echo "$as_me:6476: result: $am_cv_langinfo_codeset" >&5
+echo "$as_me:6536: result: $am_cv_langinfo_codeset" >&5
 echo "${ECHO_T}$am_cv_langinfo_codeset" >&6
   if test $am_cv_langinfo_codeset = yes; then
 
@@ -6487,7 +6547,7 @@
 NCURSES_OK_WCHAR_T=
 NCURSES_OK_WINT_T=
 
-echo "$as_me:6490: checking if you want wide-character code" >&5
+echo "$as_me:6550: checking if you want wide-character code" >&5
 echo $ECHO_N "checking if you want wide-character code... $ECHO_C" >&6
 
 # Check whether --enable-widec or --disable-widec was given.
@@ -6497,7 +6557,7 @@
 else
   with_widec=no
 fi;
-echo "$as_me:6500: result: $with_widec" >&5
+echo "$as_me:6560: result: $with_widec" >&5
 echo "${ECHO_T}$with_widec" >&6
 if test "$with_widec" = yes ; then
 	LIB_SUFFIX="w${LIB_SUFFIX}"
@@ -6505,10 +6565,10 @@
 #define USE_WIDEC_SUPPORT 1
 EOF
 
-echo "$as_me:6508: checking if we must define _XOPEN_SOURCE_EXTENDED" >&5
+echo "$as_me:6568: checking if we must define _XOPEN_SOURCE_EXTENDED" >&5
 echo $ECHO_N "checking if we must define _XOPEN_SOURCE_EXTENDED... $ECHO_C" >&6
 cat >conftest.$ac_ext <<_ACEOF
-#line 6511 "configure"
+#line 6571 "configure"
 #include "confdefs.h"
 #include <sys/types.h>
 
@@ -6524,16 +6584,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:6527: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:6587: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:6530: \$? = $ac_status" >&5
+  echo "$as_me:6590: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:6533: \"$ac_try\"") >&5
+  { (eval echo "$as_me:6593: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:6536: \$? = $ac_status" >&5
+  echo "$as_me:6596: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_result=no
 else
@@ -6542,16 +6602,16 @@
 cf_result=yes
 fi
 rm -f conftest.$ac_objext conftest.$ac_ext
-echo "$as_me:6545: result: $cf_result" >&5
+echo "$as_me:6605: result: $cf_result" >&5
 echo "${ECHO_T}$cf_result" >&6
 
 if test "$cf_result" = yes ; then
 	CPPFLAGS="$CPPFLAGS -D_XOPEN_SOURCE_EXTENDED"
 elif test "x" != "x" ; then
-	echo "$as_me:6551: checking checking for compatible value versus " >&5
+	echo "$as_me:6611: checking checking for compatible value versus " >&5
 echo $ECHO_N "checking checking for compatible value versus ... $ECHO_C" >&6
 	cat >conftest.$ac_ext <<_ACEOF
-#line 6554 "configure"
+#line 6614 "configure"
 #include "confdefs.h"
 #include <sys/types.h>
 
@@ -6567,16 +6627,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:6570: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:6630: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:6573: \$? = $ac_status" >&5
+  echo "$as_me:6633: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:6576: \"$ac_try\"") >&5
+  { (eval echo "$as_me:6636: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:6579: \$? = $ac_status" >&5
+  echo "$as_me:6639: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_result=yes
 else
@@ -6585,7 +6645,7 @@
 cf_result=no
 fi
 rm -f conftest.$ac_objext conftest.$ac_ext
-	echo "$as_me:6588: result: $cf_result" >&5
+	echo "$as_me:6648: result: $cf_result" >&5
 echo "${ECHO_T}$cf_result" >&6
 	if test "$cf_result" = no ; then
 		# perhaps we can override it - try...
@@ -6599,13 +6659,13 @@
 for ac_func in putwc btowc wctob mbtowc wctomb mblen mbrlen mbrtowc
 do
 as_ac_var=`echo "ac_cv_func_$ac_func" | $as_tr_sh`
-echo "$as_me:6602: checking for $ac_func" >&5
+echo "$as_me:6662: checking for $ac_func" >&5
 echo $ECHO_N "checking for $ac_func... $ECHO_C" >&6
 if eval "test \"\${$as_ac_var+set}\" = set"; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
   cat >conftest.$ac_ext <<_ACEOF
-#line 6608 "configure"
+#line 6668 "configure"
 #include "confdefs.h"
 /* System header to define __stub macros and hopefully few prototypes,
     which can conflict with char $ac_func (); below.  */
@@ -6636,16 +6696,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:6639: \"$ac_link\"") >&5
+if { (eval echo "$as_me:6699: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:6642: \$? = $ac_status" >&5
+  echo "$as_me:6702: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:6645: \"$ac_try\"") >&5
+  { (eval echo "$as_me:6705: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:6648: \$? = $ac_status" >&5
+  echo "$as_me:6708: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   eval "$as_ac_var=yes"
 else
@@ -6655,7 +6715,7 @@
 fi
 rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
 fi
-echo "$as_me:6658: result: `eval echo '${'$as_ac_var'}'`" >&5
+echo "$as_me:6718: result: `eval echo '${'$as_ac_var'}'`" >&5
 echo "${ECHO_T}`eval echo '${'$as_ac_var'}'`" >&6
 if test `eval echo '${'$as_ac_var'}'` = yes; then
   cat >>confdefs.h <<EOF
@@ -6667,7 +6727,7 @@
 
 	if test "$ac_cv_func_putwc" != yes ; then
 
-echo "$as_me:6670: checking for putwc in libutf8" >&5
+echo "$as_me:6730: checking for putwc in libutf8" >&5
 echo $ECHO_N "checking for putwc in libutf8... $ECHO_C" >&6
 if test "${cf_cv_libutf8+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -6676,7 +6736,7 @@
 	cf_save_LIBS="$LIBS"
 	LIBS="-lutf8 $LIBS"
 cat >conftest.$ac_ext <<_ACEOF
-#line 6679 "configure"
+#line 6739 "configure"
 #include "confdefs.h"
 
 #include <libutf8.h>
@@ -6689,16 +6749,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:6692: \"$ac_link\"") >&5
+if { (eval echo "$as_me:6752: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:6695: \$? = $ac_status" >&5
+  echo "$as_me:6755: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:6698: \"$ac_try\"") >&5
+  { (eval echo "$as_me:6758: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:6701: \$? = $ac_status" >&5
+  echo "$as_me:6761: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_libutf8=yes
 else
@@ -6710,7 +6770,7 @@
 	LIBS="$cf_save_LIBS"
 
 fi
-echo "$as_me:6713: result: $cf_cv_libutf8" >&5
+echo "$as_me:6773: result: $cf_cv_libutf8" >&5
 echo "${ECHO_T}$cf_cv_libutf8" >&6
 
 if test "$cf_cv_libutf8" = yes ; then
@@ -6727,14 +6787,14 @@
 	fi
 
 # This is needed on Tru64 5.0 to declare mbstate_t
-echo "$as_me:6730: checking if we must include wchar.h to declare mbstate_t" >&5
+echo "$as_me:6790: checking if we must include wchar.h to declare mbstate_t" >&5
 echo $ECHO_N "checking if we must include wchar.h to declare mbstate_t... $ECHO_C" >&6
 if test "${cf_cv_mbstate_t+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
 
 cat >conftest.$ac_ext <<_ACEOF
-#line 6737 "configure"
+#line 6797 "configure"
 #include "confdefs.h"
 
 #include <stdlib.h>
@@ -6752,23 +6812,23 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:6755: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:6815: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:6758: \$? = $ac_status" >&5
+  echo "$as_me:6818: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:6761: \"$ac_try\"") >&5
+  { (eval echo "$as_me:6821: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:6764: \$? = $ac_status" >&5
+  echo "$as_me:6824: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_mbstate_t=no
 else
   echo "$as_me: failed program was:" >&5
 cat conftest.$ac_ext >&5
 cat >conftest.$ac_ext <<_ACEOF
-#line 6771 "configure"
+#line 6831 "configure"
 #include "confdefs.h"
 
 #include <stdlib.h>
@@ -6787,16 +6847,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:6790: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:6850: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:6793: \$? = $ac_status" >&5
+  echo "$as_me:6853: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:6796: \"$ac_try\"") >&5
+  { (eval echo "$as_me:6856: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:6799: \$? = $ac_status" >&5
+  echo "$as_me:6859: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_mbstate_t=yes
 else
@@ -6808,7 +6868,7 @@
 fi
 rm -f conftest.$ac_objext conftest.$ac_ext
 fi
-echo "$as_me:6811: result: $cf_cv_mbstate_t" >&5
+echo "$as_me:6871: result: $cf_cv_mbstate_t" >&5
 echo "${ECHO_T}$cf_cv_mbstate_t" >&6
 
 if test "$cf_cv_mbstate_t" = yes ; then
@@ -6825,14 +6885,14 @@
 fi
 
 # This is needed on Tru64 5.0 to declare wchar_t
-echo "$as_me:6828: checking if we must include wchar.h to declare wchar_t" >&5
+echo "$as_me:6888: checking if we must include wchar.h to declare wchar_t" >&5
 echo $ECHO_N "checking if we must include wchar.h to declare wchar_t... $ECHO_C" >&6
 if test "${cf_cv_wchar_t+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
 
 cat >conftest.$ac_ext <<_ACEOF
-#line 6835 "configure"
+#line 6895 "configure"
 #include "confdefs.h"
 
 #include <stdlib.h>
@@ -6850,23 +6910,23 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:6853: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:6913: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:6856: \$? = $ac_status" >&5
+  echo "$as_me:6916: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:6859: \"$ac_try\"") >&5
+  { (eval echo "$as_me:6919: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:6862: \$? = $ac_status" >&5
+  echo "$as_me:6922: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_wchar_t=no
 else
   echo "$as_me: failed program was:" >&5
 cat conftest.$ac_ext >&5
 cat >conftest.$ac_ext <<_ACEOF
-#line 6869 "configure"
+#line 6929 "configure"
 #include "confdefs.h"
 
 #include <stdlib.h>
@@ -6885,16 +6945,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:6888: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:6948: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:6891: \$? = $ac_status" >&5
+  echo "$as_me:6951: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:6894: \"$ac_try\"") >&5
+  { (eval echo "$as_me:6954: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:6897: \$? = $ac_status" >&5
+  echo "$as_me:6957: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_wchar_t=yes
 else
@@ -6906,7 +6966,7 @@
 fi
 rm -f conftest.$ac_objext conftest.$ac_ext
 fi
-echo "$as_me:6909: result: $cf_cv_wchar_t" >&5
+echo "$as_me:6969: result: $cf_cv_wchar_t" >&5
 echo "${ECHO_T}$cf_cv_wchar_t" >&6
 
 if test "$cf_cv_wchar_t" = yes ; then
@@ -6928,14 +6988,14 @@
 fi
 
 # This is needed on Tru64 5.0 to declare wint_t
-echo "$as_me:6931: checking if we must include wchar.h to declare wint_t" >&5
+echo "$as_me:6991: checking if we must include wchar.h to declare wint_t" >&5
 echo $ECHO_N "checking if we must include wchar.h to declare wint_t... $ECHO_C" >&6
 if test "${cf_cv_wint_t+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
 
 cat >conftest.$ac_ext <<_ACEOF
-#line 6938 "configure"
+#line 6998 "configure"
 #include "confdefs.h"
 
 #include <stdlib.h>
@@ -6953,23 +7013,23 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:6956: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:7016: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:6959: \$? = $ac_status" >&5
+  echo "$as_me:7019: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:6962: \"$ac_try\"") >&5
+  { (eval echo "$as_me:7022: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:6965: \$? = $ac_status" >&5
+  echo "$as_me:7025: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_wint_t=no
 else
   echo "$as_me: failed program was:" >&5
 cat conftest.$ac_ext >&5
 cat >conftest.$ac_ext <<_ACEOF
-#line 6972 "configure"
+#line 7032 "configure"
 #include "confdefs.h"
 
 #include <stdlib.h>
@@ -6988,16 +7048,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:6991: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:7051: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:6994: \$? = $ac_status" >&5
+  echo "$as_me:7054: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:6997: \"$ac_try\"") >&5
+  { (eval echo "$as_me:7057: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:7000: \$? = $ac_status" >&5
+  echo "$as_me:7060: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_wint_t=yes
 else
@@ -7009,7 +7069,7 @@
 fi
 rm -f conftest.$ac_objext conftest.$ac_ext
 fi
-echo "$as_me:7012: result: $cf_cv_wint_t" >&5
+echo "$as_me:7072: result: $cf_cv_wint_t" >&5
 echo "${ECHO_T}$cf_cv_wint_t" >&6
 
 if test "$cf_cv_wint_t" = yes ; then
@@ -7048,7 +7108,7 @@
 	;;
 esac
 
-echo "$as_me:7051: checking whether to enable _LP64 definition in curses.h" >&5
+echo "$as_me:7111: checking whether to enable _LP64 definition in curses.h" >&5
 echo $ECHO_N "checking whether to enable _LP64 definition in curses.h... $ECHO_C" >&6
 
 # Check whether --enable-lp64 or --disable-lp64 was given.
@@ -7058,7 +7118,7 @@
 else
   with_lp64=$default_with_lp64
 fi;
-echo "$as_me:7061: result: $with_lp64" >&5
+echo "$as_me:7121: result: $with_lp64" >&5
 echo "${ECHO_T}$with_lp64" >&6
 
 if test "$with_lp64" = yes ; then
@@ -7067,7 +7127,7 @@
 	cf_cv_enable_lp64=0
 fi
 
-	echo "$as_me:7070: checking for _LARGEFILE_SOURCE value needed for large files" >&5
+	echo "$as_me:7130: checking for _LARGEFILE_SOURCE value needed for large files" >&5
 echo $ECHO_N "checking for _LARGEFILE_SOURCE value needed for large files... $ECHO_C" >&6
 if test "${ac_cv_sys_largefile_source+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -7075,7 +7135,7 @@
   while :; do
   ac_cv_sys_largefile_source=no
   cat >conftest.$ac_ext <<_ACEOF
-#line 7078 "configure"
+#line 7138 "configure"
 #include "confdefs.h"
 #include <stdio.h>
 int
@@ -7087,16 +7147,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:7090: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:7150: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:7093: \$? = $ac_status" >&5
+  echo "$as_me:7153: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:7096: \"$ac_try\"") >&5
+  { (eval echo "$as_me:7156: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:7099: \$? = $ac_status" >&5
+  echo "$as_me:7159: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   break
 else
@@ -7105,7 +7165,7 @@
 fi
 rm -f conftest.$ac_objext conftest.$ac_ext
   cat >conftest.$ac_ext <<_ACEOF
-#line 7108 "configure"
+#line 7168 "configure"
 #include "confdefs.h"
 #define _LARGEFILE_SOURCE 1
 #include <stdio.h>
@@ -7118,16 +7178,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:7121: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:7181: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:7124: \$? = $ac_status" >&5
+  echo "$as_me:7184: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:7127: \"$ac_try\"") >&5
+  { (eval echo "$as_me:7187: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:7130: \$? = $ac_status" >&5
+  echo "$as_me:7190: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   ac_cv_sys_largefile_source=1; break
 else
@@ -7138,7 +7198,7 @@
   break
 done
 fi
-echo "$as_me:7141: result: $ac_cv_sys_largefile_source" >&5
+echo "$as_me:7201: result: $ac_cv_sys_largefile_source" >&5
 echo "${ECHO_T}$ac_cv_sys_largefile_source" >&6
 if test "$ac_cv_sys_largefile_source" != no; then
 
@@ -7152,13 +7212,13 @@
 # We used to try defining _XOPEN_SOURCE=500 too, to work around a bug
 # in glibc 2.1.3, but that breaks too many other things.
 # If you want fseeko and ftello with glibc, upgrade to a fixed glibc.
-echo "$as_me:7155: checking for fseeko" >&5
+echo "$as_me:7215: checking for fseeko" >&5
 echo $ECHO_N "checking for fseeko... $ECHO_C" >&6
 if test "${ac_cv_func_fseeko+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
   cat >conftest.$ac_ext <<_ACEOF
-#line 7161 "configure"
+#line 7221 "configure"
 #include "confdefs.h"
 #include <stdio.h>
 int
@@ -7170,16 +7230,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:7173: \"$ac_link\"") >&5
+if { (eval echo "$as_me:7233: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:7176: \$? = $ac_status" >&5
+  echo "$as_me:7236: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:7179: \"$ac_try\"") >&5
+  { (eval echo "$as_me:7239: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:7182: \$? = $ac_status" >&5
+  echo "$as_me:7242: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   ac_cv_func_fseeko=yes
 else
@@ -7189,7 +7249,7 @@
 fi
 rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
 fi
-echo "$as_me:7192: result: $ac_cv_func_fseeko" >&5
+echo "$as_me:7252: result: $ac_cv_func_fseeko" >&5
 echo "${ECHO_T}$ac_cv_func_fseeko" >&6
 if test $ac_cv_func_fseeko = yes; then
 
@@ -7206,7 +7266,7 @@
 fi;
 if test "$enable_largefile" != no; then
 
-  echo "$as_me:7209: checking for special C compiler options needed for large files" >&5
+  echo "$as_me:7269: checking for special C compiler options needed for large files" >&5
 echo $ECHO_N "checking for special C compiler options needed for large files... $ECHO_C" >&6
 if test "${ac_cv_sys_largefile_CC+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -7218,7 +7278,7 @@
      	 # IRIX 6.2 and later do not support large files by default,
      	 # so use the C compiler's -n32 option if that helps.
          cat >conftest.$ac_ext <<_ACEOF
-#line 7221 "configure"
+#line 7281 "configure"
 #include "confdefs.h"
 #include <sys/types.h>
  /* Check that off_t can represent 2**63 - 1 correctly.
@@ -7238,16 +7298,16 @@
 }
 _ACEOF
      	 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:7241: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:7301: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:7244: \$? = $ac_status" >&5
+  echo "$as_me:7304: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:7247: \"$ac_try\"") >&5
+  { (eval echo "$as_me:7307: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:7250: \$? = $ac_status" >&5
+  echo "$as_me:7310: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   break
 else
@@ -7257,16 +7317,16 @@
 rm -f conftest.$ac_objext
      	 CC="$CC -n32"
      	 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:7260: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:7320: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:7263: \$? = $ac_status" >&5
+  echo "$as_me:7323: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:7266: \"$ac_try\"") >&5
+  { (eval echo "$as_me:7326: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:7269: \$? = $ac_status" >&5
+  echo "$as_me:7329: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   ac_cv_sys_largefile_CC=' -n32'; break
 else
@@ -7280,13 +7340,13 @@
        rm -f conftest.$ac_ext
     fi
 fi
-echo "$as_me:7283: result: $ac_cv_sys_largefile_CC" >&5
+echo "$as_me:7343: result: $ac_cv_sys_largefile_CC" >&5
 echo "${ECHO_T}$ac_cv_sys_largefile_CC" >&6
   if test "$ac_cv_sys_largefile_CC" != no; then
     CC=$CC$ac_cv_sys_largefile_CC
   fi
 
-  echo "$as_me:7289: checking for _FILE_OFFSET_BITS value needed for large files" >&5
+  echo "$as_me:7349: checking for _FILE_OFFSET_BITS value needed for large files" >&5
 echo $ECHO_N "checking for _FILE_OFFSET_BITS value needed for large files... $ECHO_C" >&6
 if test "${ac_cv_sys_file_offset_bits+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -7294,7 +7354,7 @@
   while :; do
   ac_cv_sys_file_offset_bits=no
   cat >conftest.$ac_ext <<_ACEOF
-#line 7297 "configure"
+#line 7357 "configure"
 #include "confdefs.h"
 #include <sys/types.h>
  /* Check that off_t can represent 2**63 - 1 correctly.
@@ -7314,16 +7374,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:7317: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:7377: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:7320: \$? = $ac_status" >&5
+  echo "$as_me:7380: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:7323: \"$ac_try\"") >&5
+  { (eval echo "$as_me:7383: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:7326: \$? = $ac_status" >&5
+  echo "$as_me:7386: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   break
 else
@@ -7332,7 +7392,7 @@
 fi
 rm -f conftest.$ac_objext conftest.$ac_ext
   cat >conftest.$ac_ext <<_ACEOF
-#line 7335 "configure"
+#line 7395 "configure"
 #include "confdefs.h"
 #define _FILE_OFFSET_BITS 64
 #include <sys/types.h>
@@ -7353,16 +7413,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:7356: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:7416: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:7359: \$? = $ac_status" >&5
+  echo "$as_me:7419: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:7362: \"$ac_try\"") >&5
+  { (eval echo "$as_me:7422: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:7365: \$? = $ac_status" >&5
+  echo "$as_me:7425: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   ac_cv_sys_file_offset_bits=64; break
 else
@@ -7373,7 +7433,7 @@
   break
 done
 fi
-echo "$as_me:7376: result: $ac_cv_sys_file_offset_bits" >&5
+echo "$as_me:7436: result: $ac_cv_sys_file_offset_bits" >&5
 echo "${ECHO_T}$ac_cv_sys_file_offset_bits" >&6
 if test "$ac_cv_sys_file_offset_bits" != no; then
 
@@ -7383,7 +7443,7 @@
 
 fi
 rm -f conftest*
-  echo "$as_me:7386: checking for _LARGE_FILES value needed for large files" >&5
+  echo "$as_me:7446: checking for _LARGE_FILES value needed for large files" >&5
 echo $ECHO_N "checking for _LARGE_FILES value needed for large files... $ECHO_C" >&6
 if test "${ac_cv_sys_large_files+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -7391,7 +7451,7 @@
   while :; do
   ac_cv_sys_large_files=no
   cat >conftest.$ac_ext <<_ACEOF
-#line 7394 "configure"
+#line 7454 "configure"
 #include "confdefs.h"
 #include <sys/types.h>
  /* Check that off_t can represent 2**63 - 1 correctly.
@@ -7411,16 +7471,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:7414: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:7474: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:7417: \$? = $ac_status" >&5
+  echo "$as_me:7477: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:7420: \"$ac_try\"") >&5
+  { (eval echo "$as_me:7480: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:7423: \$? = $ac_status" >&5
+  echo "$as_me:7483: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   break
 else
@@ -7429,7 +7489,7 @@
 fi
 rm -f conftest.$ac_objext conftest.$ac_ext
   cat >conftest.$ac_ext <<_ACEOF
-#line 7432 "configure"
+#line 7492 "configure"
 #include "confdefs.h"
 #define _LARGE_FILES 1
 #include <sys/types.h>
@@ -7450,16 +7510,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:7453: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:7513: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:7456: \$? = $ac_status" >&5
+  echo "$as_me:7516: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:7459: \"$ac_try\"") >&5
+  { (eval echo "$as_me:7519: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:7462: \$? = $ac_status" >&5
+  echo "$as_me:7522: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   ac_cv_sys_large_files=1; break
 else
@@ -7470,7 +7530,7 @@
   break
 done
 fi
-echo "$as_me:7473: result: $ac_cv_sys_large_files" >&5
+echo "$as_me:7533: result: $ac_cv_sys_large_files" >&5
 echo "${ECHO_T}$ac_cv_sys_large_files" >&6
 if test "$ac_cv_sys_large_files" != no; then
 
@@ -7492,14 +7552,14 @@
 	test "$ac_cv_sys_large_files"      != no && CPPFLAGS="$CPPFLAGS -D_LARGE_FILES "
 	test "$ac_cv_sys_largefile_source" != no && CPPFLAGS="$CPPFLAGS -D_LARGEFILE_SOURCE "
 
-	echo "$as_me:7495: checking whether to use struct dirent64" >&5
+	echo "$as_me:7555: checking whether to use struct dirent64" >&5
 echo $ECHO_N "checking whether to use struct dirent64... $ECHO_C" >&6
 if test "${cf_cv_struct_dirent64+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
 
 		cat >conftest.$ac_ext <<_ACEOF
-#line 7502 "configure"
+#line 7562 "configure"
 #include "confdefs.h"
 
 #include <sys/types.h>
@@ -7520,16 +7580,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:7523: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:7583: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:7526: \$? = $ac_status" >&5
+  echo "$as_me:7586: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:7529: \"$ac_try\"") >&5
+  { (eval echo "$as_me:7589: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:7532: \$? = $ac_status" >&5
+  echo "$as_me:7592: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_struct_dirent64=yes
 else
@@ -7540,14 +7600,14 @@
 rm -f conftest.$ac_objext conftest.$ac_ext
 
 fi
-echo "$as_me:7543: result: $cf_cv_struct_dirent64" >&5
+echo "$as_me:7603: result: $cf_cv_struct_dirent64" >&5
 echo "${ECHO_T}$cf_cv_struct_dirent64" >&6
 	test "$cf_cv_struct_dirent64" = yes && cat >>confdefs.h <<\EOF
 #define HAVE_STRUCT_DIRENT64 1
 EOF
 
 ###   use option --with-bool to override bool's type
-echo "$as_me:7550: checking for type of bool" >&5
+echo "$as_me:7610: checking for type of bool" >&5
 echo $ECHO_N "checking for type of bool... $ECHO_C" >&6
 
 # Check whether --with-bool or --without-bool was given.
@@ -7557,10 +7617,10 @@
 else
   NCURSES_BOOL=auto
 fi;
-echo "$as_me:7560: result: $NCURSES_BOOL" >&5
+echo "$as_me:7620: result: $NCURSES_BOOL" >&5
 echo "${ECHO_T}$NCURSES_BOOL" >&6
 
-echo "$as_me:7563: checking for alternate terminal capabilities file" >&5
+echo "$as_me:7623: checking for alternate terminal capabilities file" >&5
 echo $ECHO_N "checking for alternate terminal capabilities file... $ECHO_C" >&6
 
 # Check whether --with-caps or --without-caps was given.
@@ -7570,12 +7630,12 @@
 else
   TERMINFO_CAPS=Caps
 fi;
-test -f ${srcdir}/include/${TERMINFO_CAPS} || TERMINFO_CAPS=Caps
-echo "$as_me:7574: result: $TERMINFO_CAPS" >&5
+test -f "${srcdir}/include/${TERMINFO_CAPS}" || TERMINFO_CAPS=Caps
+echo "$as_me:7634: result: $TERMINFO_CAPS" >&5
 echo "${ECHO_T}$TERMINFO_CAPS" >&6
 
 ###   use option --with-chtype to override chtype's type
-echo "$as_me:7578: checking for type of chtype" >&5
+echo "$as_me:7638: checking for type of chtype" >&5
 echo $ECHO_N "checking for type of chtype... $ECHO_C" >&6
 
 # Check whether --with-chtype or --without-chtype was given.
@@ -7585,11 +7645,11 @@
 else
   NCURSES_CHTYPE=auto
 fi;
-echo "$as_me:7588: result: $NCURSES_CHTYPE" >&5
+echo "$as_me:7648: result: $NCURSES_CHTYPE" >&5
 echo "${ECHO_T}$NCURSES_CHTYPE" >&6
 
 ###   use option --with-ospeed to override ospeed's type
-echo "$as_me:7592: checking for type of ospeed" >&5
+echo "$as_me:7652: checking for type of ospeed" >&5
 echo $ECHO_N "checking for type of ospeed... $ECHO_C" >&6
 
 # Check whether --with-ospeed or --without-ospeed was given.
@@ -7599,11 +7659,11 @@
 else
   NCURSES_OSPEED=short
 fi;
-echo "$as_me:7602: result: $NCURSES_OSPEED" >&5
+echo "$as_me:7662: result: $NCURSES_OSPEED" >&5
 echo "${ECHO_T}$NCURSES_OSPEED" >&6
 
 ###   use option --with-mmask-t to override mmask_t's type
-echo "$as_me:7606: checking for type of mmask_t" >&5
+echo "$as_me:7666: checking for type of mmask_t" >&5
 echo $ECHO_N "checking for type of mmask_t... $ECHO_C" >&6
 
 # Check whether --with-mmask-t or --without-mmask-t was given.
@@ -7613,11 +7673,11 @@
 else
   NCURSES_MMASK_T=auto
 fi;
-echo "$as_me:7616: result: $NCURSES_MMASK_T" >&5
+echo "$as_me:7676: result: $NCURSES_MMASK_T" >&5
 echo "${ECHO_T}$NCURSES_MMASK_T" >&6
 
 ###   use option --enable-bsdpad to have tputs process BSD-style prefix padding
-echo "$as_me:7620: checking if tputs should process BSD-style prefix padding" >&5
+echo "$as_me:7680: checking if tputs should process BSD-style prefix padding" >&5
 echo $ECHO_N "checking if tputs should process BSD-style prefix padding... $ECHO_C" >&6
 
 # Check whether --enable-bsdpad or --disable-bsdpad was given.
@@ -7627,14 +7687,14 @@
 else
   with_bsdpad=no
 fi;
-echo "$as_me:7630: result: $with_bsdpad" >&5
+echo "$as_me:7690: result: $with_bsdpad" >&5
 echo "${ECHO_T}$with_bsdpad" >&6
 test "$with_bsdpad" = yes && cat >>confdefs.h <<\EOF
 #define BSD_TPUTS 1
 EOF
 
 ### Enable compiling-in rcs id's
-echo "$as_me:7637: checking if RCS identifiers should be compiled-in" >&5
+echo "$as_me:7697: checking if RCS identifiers should be compiled-in" >&5
 echo $ECHO_N "checking if RCS identifiers should be compiled-in... $ECHO_C" >&6
 
 # Check whether --with-rcs-ids or --without-rcs-ids was given.
@@ -7644,7 +7704,7 @@
 else
   with_rcs_ids=no
 fi;
-echo "$as_me:7647: result: $with_rcs_ids" >&5
+echo "$as_me:7707: result: $with_rcs_ids" >&5
 echo "${ECHO_T}$with_rcs_ids" >&6
 test "$with_rcs_ids" = yes && cat >>confdefs.h <<\EOF
 #define USE_RCS_IDS 1
@@ -7652,7 +7712,7 @@
 
 ###############################################################################
 
-echo "$as_me:7655: checking format of man-pages" >&5
+echo "$as_me:7715: checking format of man-pages" >&5
 echo $ECHO_N "checking format of man-pages... $ECHO_C" >&6
 
 # Check whether --with-manpage-format or --without-manpage-format was given.
@@ -7741,14 +7801,14 @@
   ;;
 esac
 
-echo "$as_me:7744: result: $MANPAGE_FORMAT" >&5
+echo "$as_me:7804: result: $MANPAGE_FORMAT" >&5
 echo "${ECHO_T}$MANPAGE_FORMAT" >&6
 if test -n "$cf_unknown" ; then
-  { echo "$as_me:7747: WARNING: Unexpected manpage-format $cf_unknown" >&5
+  { echo "$as_me:7807: WARNING: Unexpected manpage-format $cf_unknown" >&5
 echo "$as_me: WARNING: Unexpected manpage-format $cf_unknown" >&2;}
 fi
 
-echo "$as_me:7751: checking for manpage renaming" >&5
+echo "$as_me:7811: checking for manpage renaming" >&5
 echo $ECHO_N "checking for manpage renaming... $ECHO_C" >&6
 
 # Check whether --with-manpage-renames or --without-manpage-renames was given.
@@ -7776,7 +7836,7 @@
   if test -f $srcdir/man/$MANPAGE_RENAMES ; then
     MANPAGE_RENAMES=`cd $srcdir/man && pwd`/$MANPAGE_RENAMES
   elif test ! -f $MANPAGE_RENAMES ; then
-    { { echo "$as_me:7779: error: not a filename: $MANPAGE_RENAMES" >&5
+    { { echo "$as_me:7839: error: not a filename: $MANPAGE_RENAMES" >&5
 echo "$as_me: error: not a filename: $MANPAGE_RENAMES" >&2;}
    { (exit 1); exit 1; }; }
   fi
@@ -7790,10 +7850,10 @@
   fi
 fi
 
-echo "$as_me:7793: result: $MANPAGE_RENAMES" >&5
+echo "$as_me:7853: result: $MANPAGE_RENAMES" >&5
 echo "${ECHO_T}$MANPAGE_RENAMES" >&6
 
-echo "$as_me:7796: checking if manpage aliases will be installed" >&5
+echo "$as_me:7856: checking if manpage aliases will be installed" >&5
 echo $ECHO_N "checking if manpage aliases will be installed... $ECHO_C" >&6
 
 # Check whether --with-manpage-aliases or --without-manpage-aliases was given.
@@ -7804,7 +7864,7 @@
   MANPAGE_ALIASES=yes
 fi;
 
-echo "$as_me:7807: result: $MANPAGE_ALIASES" >&5
+echo "$as_me:7867: result: $MANPAGE_ALIASES" >&5
 echo "${ECHO_T}$MANPAGE_ALIASES" >&6
 
 if test "$LN_S" = "ln -s"; then
@@ -7815,7 +7875,7 @@
 
 MANPAGE_SYMLINKS=no
 if test "$MANPAGE_ALIASES" = yes ; then
-echo "$as_me:7818: checking if manpage symlinks should be used" >&5
+echo "$as_me:7878: checking if manpage symlinks should be used" >&5
 echo $ECHO_N "checking if manpage symlinks should be used... $ECHO_C" >&6
 
 # Check whether --with-manpage-symlinks or --without-manpage-symlinks was given.
@@ -7828,17 +7888,17 @@
 
 if test "$$cf_use_symlinks" = no; then
 if test "$MANPAGE_SYMLINKS" = yes ; then
-	{ echo "$as_me:7831: WARNING: cannot make symlinks" >&5
+	{ echo "$as_me:7891: WARNING: cannot make symlinks" >&5
 echo "$as_me: WARNING: cannot make symlinks" >&2;}
 	MANPAGE_SYMLINKS=no
 fi
 fi
 
-echo "$as_me:7837: result: $MANPAGE_SYMLINKS" >&5
+echo "$as_me:7897: result: $MANPAGE_SYMLINKS" >&5
 echo "${ECHO_T}$MANPAGE_SYMLINKS" >&6
 fi
 
-echo "$as_me:7841: checking for manpage tbl" >&5
+echo "$as_me:7901: checking for manpage tbl" >&5
 echo $ECHO_N "checking for manpage tbl... $ECHO_C" >&6
 
 # Check whether --with-manpage-tbl or --without-manpage-tbl was given.
@@ -7849,7 +7909,7 @@
   MANPAGE_TBL=no
 fi;
 
-echo "$as_me:7852: result: $MANPAGE_TBL" >&5
+echo "$as_me:7912: result: $MANPAGE_TBL" >&5
 echo "${ECHO_T}$MANPAGE_TBL" >&6
 
   if test "$prefix" = "NONE" ; then
@@ -8138,7 +8198,7 @@
 ###############################################################################
 
 ### Note that some functions (such as const) are normally disabled anyway.
-echo "$as_me:8141: checking if you want to build with function extensions" >&5
+echo "$as_me:8201: checking if you want to build with function extensions" >&5
 echo $ECHO_N "checking if you want to build with function extensions... $ECHO_C" >&6
 
 # Check whether --enable-ext-funcs or --disable-ext-funcs was given.
@@ -8148,7 +8208,7 @@
 else
   with_ext_funcs=yes
 fi;
-echo "$as_me:8151: result: $with_ext_funcs" >&5
+echo "$as_me:8211: result: $with_ext_funcs" >&5
 echo "${ECHO_T}$with_ext_funcs" >&6
 if test "$with_ext_funcs" = yes ; then
 	NCURSES_EXT_FUNCS=1
@@ -8185,7 +8245,7 @@
 fi
 
 ###   use option --enable-const to turn on use of const beyond that in XSI.
-echo "$as_me:8188: checking for extended use of const keyword" >&5
+echo "$as_me:8248: checking for extended use of const keyword" >&5
 echo $ECHO_N "checking for extended use of const keyword... $ECHO_C" >&6
 
 # Check whether --enable-const or --disable-const was given.
@@ -8195,14 +8255,14 @@
 else
   with_ext_const=no
 fi;
-echo "$as_me:8198: result: $with_ext_const" >&5
+echo "$as_me:8258: result: $with_ext_const" >&5
 echo "${ECHO_T}$with_ext_const" >&6
 NCURSES_CONST='/*nothing*/'
 if test "$with_ext_const" = yes ; then
 	NCURSES_CONST=const
 fi
 
-echo "$as_me:8205: checking if you want \$NCURSES_NO_PADDING code" >&5
+echo "$as_me:8265: checking if you want \$NCURSES_NO_PADDING code" >&5
 echo $ECHO_N "checking if you want \$NCURSES_NO_PADDING code... $ECHO_C" >&6
 
 # Check whether --enable-no-padding or --disable-no-padding was given.
@@ -8212,14 +8272,14 @@
 else
   with_no_padding=$with_ext_funcs
 fi;
-echo "$as_me:8215: result: $with_no_padding" >&5
+echo "$as_me:8275: result: $with_no_padding" >&5
 echo "${ECHO_T}$with_no_padding" >&6
 test "$with_no_padding" = yes && cat >>confdefs.h <<\EOF
 #define NCURSES_NO_PADDING 1
 EOF
 
 ###   use option --enable-sigwinch to turn on use of SIGWINCH logic
-echo "$as_me:8222: checking if you want SIGWINCH handler" >&5
+echo "$as_me:8282: checking if you want SIGWINCH handler" >&5
 echo $ECHO_N "checking if you want SIGWINCH handler... $ECHO_C" >&6
 
 # Check whether --enable-sigwinch or --disable-sigwinch was given.
@@ -8229,14 +8289,14 @@
 else
   with_sigwinch=$with_ext_funcs
 fi;
-echo "$as_me:8232: result: $with_sigwinch" >&5
+echo "$as_me:8292: result: $with_sigwinch" >&5
 echo "${ECHO_T}$with_sigwinch" >&6
 test "$with_sigwinch" = yes && cat >>confdefs.h <<\EOF
 #define USE_SIGWINCH 1
 EOF
 
 ###   use option --enable-tcap-names to allow user to define new capabilities
-echo "$as_me:8239: checking if you want user-definable terminal capabilities like termcap" >&5
+echo "$as_me:8299: checking if you want user-definable terminal capabilities like termcap" >&5
 echo $ECHO_N "checking if you want user-definable terminal capabilities like termcap... $ECHO_C" >&6
 
 # Check whether --enable-tcap-names or --disable-tcap-names was given.
@@ -8246,7 +8306,7 @@
 else
   with_tcap_names=$with_ext_funcs
 fi;
-echo "$as_me:8249: result: $with_tcap_names" >&5
+echo "$as_me:8309: result: $with_tcap_names" >&5
 echo "${ECHO_T}$with_tcap_names" >&6
 NCURSES_XNAMES=0
 test "$with_tcap_names" = yes && NCURSES_XNAMES=1
@@ -8254,7 +8314,7 @@
 ###############################################################################
 # These options are relatively safe to experiment with.
 
-echo "$as_me:8257: checking if you want all development code" >&5
+echo "$as_me:8317: checking if you want all development code" >&5
 echo $ECHO_N "checking if you want all development code... $ECHO_C" >&6
 
 # Check whether --with-develop or --without-develop was given.
@@ -8264,11 +8324,11 @@
 else
   with_develop=no
 fi;
-echo "$as_me:8267: result: $with_develop" >&5
+echo "$as_me:8327: result: $with_develop" >&5
 echo "${ECHO_T}$with_develop" >&6
 
 ###   use option --enable-hard-tabs to turn on use of hard-tabs optimize
-echo "$as_me:8271: checking if you want hard-tabs code" >&5
+echo "$as_me:8331: checking if you want hard-tabs code" >&5
 echo $ECHO_N "checking if you want hard-tabs code... $ECHO_C" >&6
 
 # Check whether --enable-hard-tabs or --disable-hard-tabs was given.
@@ -8278,14 +8338,14 @@
 else
   with_hardtabs=$with_develop
 fi;
-echo "$as_me:8281: result: $with_hardtabs" >&5
+echo "$as_me:8341: result: $with_hardtabs" >&5
 echo "${ECHO_T}$with_hardtabs" >&6
 test "$with_hardtabs" = yes && cat >>confdefs.h <<\EOF
 #define USE_HARD_TABS 1
 EOF
 
 ###   use option --enable-xmc-glitch to turn on use of magic-cookie optimize
-echo "$as_me:8288: checking if you want limited support for xmc" >&5
+echo "$as_me:8348: checking if you want limited support for xmc" >&5
 echo $ECHO_N "checking if you want limited support for xmc... $ECHO_C" >&6
 
 # Check whether --enable-xmc-glitch or --disable-xmc-glitch was given.
@@ -8295,7 +8355,7 @@
 else
   with_xmc_glitch=$with_develop
 fi;
-echo "$as_me:8298: result: $with_xmc_glitch" >&5
+echo "$as_me:8358: result: $with_xmc_glitch" >&5
 echo "${ECHO_T}$with_xmc_glitch" >&6
 test "$with_xmc_glitch" = yes && cat >>confdefs.h <<\EOF
 #define USE_XMC_SUPPORT 1
@@ -8304,7 +8364,7 @@
 ###############################################################################
 # These are just experimental, probably should not be in a package:
 
-echo "$as_me:8307: checking if you do not want to assume colors are white-on-black" >&5
+echo "$as_me:8367: checking if you do not want to assume colors are white-on-black" >&5
 echo $ECHO_N "checking if you do not want to assume colors are white-on-black... $ECHO_C" >&6
 
 # Check whether --enable-assumed-color or --disable-assumed-color was given.
@@ -8314,14 +8374,14 @@
 else
   with_assumed_color=yes
 fi;
-echo "$as_me:8317: result: $with_assumed_color" >&5
+echo "$as_me:8377: result: $with_assumed_color" >&5
 echo "${ECHO_T}$with_assumed_color" >&6
 test "$with_assumed_color" = yes && cat >>confdefs.h <<\EOF
 #define USE_ASSUMED_COLOR 1
 EOF
 
 ###   use option --enable-hashmap to turn on use of hashmap scrolling logic
-echo "$as_me:8324: checking if you want hashmap scrolling-optimization code" >&5
+echo "$as_me:8384: checking if you want hashmap scrolling-optimization code" >&5
 echo $ECHO_N "checking if you want hashmap scrolling-optimization code... $ECHO_C" >&6
 
 # Check whether --enable-hashmap or --disable-hashmap was given.
@@ -8331,14 +8391,14 @@
 else
   with_hashmap=yes
 fi;
-echo "$as_me:8334: result: $with_hashmap" >&5
+echo "$as_me:8394: result: $with_hashmap" >&5
 echo "${ECHO_T}$with_hashmap" >&6
 test "$with_hashmap" = yes && cat >>confdefs.h <<\EOF
 #define USE_HASHMAP 1
 EOF
 
 ###   use option --enable-colorfgbg to turn on use of $COLORFGBG environment
-echo "$as_me:8341: checking if you want colorfgbg code" >&5
+echo "$as_me:8401: checking if you want colorfgbg code" >&5
 echo $ECHO_N "checking if you want colorfgbg code... $ECHO_C" >&6
 
 # Check whether --enable-colorfgbg or --disable-colorfgbg was given.
@@ -8348,14 +8408,14 @@
 else
   with_colorfgbg=no
 fi;
-echo "$as_me:8351: result: $with_colorfgbg" >&5
+echo "$as_me:8411: result: $with_colorfgbg" >&5
 echo "${ECHO_T}$with_colorfgbg" >&6
 test "$with_colorfgbg" = yes && cat >>confdefs.h <<\EOF
 #define USE_COLORFGBG 1
 EOF
 
 ###   use option --enable-ext-colors to turn on use of colors beyond 16.
-echo "$as_me:8358: checking if you want to use experimental extended colors" >&5
+echo "$as_me:8418: checking if you want to use experimental extended colors" >&5
 echo $ECHO_N "checking if you want to use experimental extended colors... $ECHO_C" >&6
 
 # Check whether --enable-ext-colors or --disable-ext-colors was given.
@@ -8365,12 +8425,12 @@
 else
   with_ext_colors=no
 fi;
-echo "$as_me:8368: result: $with_ext_colors" >&5
+echo "$as_me:8428: result: $with_ext_colors" >&5
 echo "${ECHO_T}$with_ext_colors" >&6
 NCURSES_EXT_COLORS=0
 if test "$with_ext_colors" = yes ; then
 	if test "$with_widec" != yes ; then
-		{ echo "$as_me:8373: WARNING: This option applies only to wide-character library" >&5
+		{ echo "$as_me:8433: WARNING: This option applies only to wide-character library" >&5
 echo "$as_me: WARNING: This option applies only to wide-character library" >&2;}
 	else
 		# cannot be ABI 5 since it changes sizeof(cchar_t)
@@ -8380,7 +8440,7 @@
 	5.*)
 		cf_cv_rel_version=6.0
 		cf_cv_abi_version=6
-		{ echo "$as_me:8383: WARNING: Overriding ABI version to $cf_cv_abi_version" >&5
+		{ echo "$as_me:8443: WARNING: Overriding ABI version to $cf_cv_abi_version" >&5
 echo "$as_me: WARNING: Overriding ABI version to $cf_cv_abi_version" >&2;}
 		;;
 	esac
@@ -8395,7 +8455,7 @@
 fi
 
 ###   use option --enable-ext-mouse to modify coding to support 5-button mice
-echo "$as_me:8398: checking if you want to use experimental extended mouse encoding" >&5
+echo "$as_me:8458: checking if you want to use experimental extended mouse encoding" >&5
 echo $ECHO_N "checking if you want to use experimental extended mouse encoding... $ECHO_C" >&6
 
 # Check whether --enable-ext-mouse or --disable-ext-mouse was given.
@@ -8405,7 +8465,7 @@
 else
   with_ext_mouse=no
 fi;
-echo "$as_me:8408: result: $with_ext_mouse" >&5
+echo "$as_me:8468: result: $with_ext_mouse" >&5
 echo "${ECHO_T}$with_ext_mouse" >&6
 NCURSES_MOUSE_VERSION=1
 if test "$with_ext_mouse" = yes ; then
@@ -8416,7 +8476,7 @@
 	5.*)
 		cf_cv_rel_version=6.0
 		cf_cv_abi_version=6
-		{ echo "$as_me:8419: WARNING: Overriding ABI version to $cf_cv_abi_version" >&5
+		{ echo "$as_me:8479: WARNING: Overriding ABI version to $cf_cv_abi_version" >&5
 echo "$as_me: WARNING: Overriding ABI version to $cf_cv_abi_version" >&2;}
 		;;
 	esac
@@ -8424,7 +8484,7 @@
 
 fi
 
-echo "$as_me:8427: checking if you want experimental safe-sprintf code" >&5
+echo "$as_me:8487: checking if you want experimental safe-sprintf code" >&5
 echo $ECHO_N "checking if you want experimental safe-sprintf code... $ECHO_C" >&6
 
 # Check whether --enable-safe-sprintf or --disable-safe-sprintf was given.
@@ -8434,7 +8494,7 @@
 else
   with_safe_sprintf=no
 fi;
-echo "$as_me:8437: result: $with_safe_sprintf" >&5
+echo "$as_me:8497: result: $with_safe_sprintf" >&5
 echo "${ECHO_T}$with_safe_sprintf" >&6
 test "$with_safe_sprintf" = yes && cat >>confdefs.h <<\EOF
 #define USE_SAFE_SPRINTF 1
@@ -8443,7 +8503,7 @@
 ###   use option --disable-scroll-hints to turn off use of scroll-hints scrolling logic
 # when hashmap is used scroll hints are useless
 if test "$with_hashmap" = no ; then
-echo "$as_me:8446: checking if you want to experiment without scrolling-hints code" >&5
+echo "$as_me:8506: checking if you want to experiment without scrolling-hints code" >&5
 echo $ECHO_N "checking if you want to experiment without scrolling-hints code... $ECHO_C" >&6
 
 # Check whether --enable-scroll-hints or --disable-scroll-hints was given.
@@ -8453,7 +8513,7 @@
 else
   with_scroll_hints=yes
 fi;
-echo "$as_me:8456: result: $with_scroll_hints" >&5
+echo "$as_me:8516: result: $with_scroll_hints" >&5
 echo "${ECHO_T}$with_scroll_hints" >&6
 test "$with_scroll_hints" = yes && cat >>confdefs.h <<\EOF
 #define USE_SCROLL_HINTS 1
@@ -8464,7 +8524,7 @@
 ###############################################################################
 
 ###	use option --disable-echo to suppress full display compiling commands
-echo "$as_me:8467: checking if you want to display full commands during build" >&5
+echo "$as_me:8527: checking if you want to display full commands during build" >&5
 echo $ECHO_N "checking if you want to display full commands during build... $ECHO_C" >&6
 
 # Check whether --enable-echo or --disable-echo was given.
@@ -8480,11 +8540,11 @@
 	ECHO_LINK='@ echo linking $@ ... ;'
 	test -n "$LIBTOOL" && LIBTOOL="$LIBTOOL --silent"
 fi
-echo "$as_me:8483: result: $with_echo" >&5
+echo "$as_me:8543: result: $with_echo" >&5
 echo "${ECHO_T}$with_echo" >&6
 
 ###	use option --enable-warnings to turn on all gcc warnings
-echo "$as_me:8487: checking if you want to see compiler warnings" >&5
+echo "$as_me:8547: checking if you want to see compiler warnings" >&5
 echo $ECHO_N "checking if you want to see compiler warnings... $ECHO_C" >&6
 
 # Check whether --enable-warnings or --disable-warnings was given.
@@ -8492,7 +8552,7 @@
   enableval="$enable_warnings"
   with_warnings=$enableval
 fi;
-echo "$as_me:8495: result: $with_warnings" >&5
+echo "$as_me:8555: result: $with_warnings" >&5
 echo "${ECHO_T}$with_warnings" >&6
 
 if test -n "$with_warnings"; then
@@ -8503,12 +8563,12 @@
 if test "$GCC" = yes ; then
 	case $host_os in
 	linux*|gnu*)
-		echo "$as_me:8506: checking if this is really Intel C compiler" >&5
+		echo "$as_me:8566: checking if this is really Intel C compiler" >&5
 echo $ECHO_N "checking if this is really Intel C compiler... $ECHO_C" >&6
 		cf_save_CFLAGS="$CFLAGS"
 		CFLAGS="$CFLAGS -no-gcc"
 		cat >conftest.$ac_ext <<_ACEOF
-#line 8511 "configure"
+#line 8571 "configure"
 #include "confdefs.h"
 
 int
@@ -8525,16 +8585,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:8528: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:8588: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:8531: \$? = $ac_status" >&5
+  echo "$as_me:8591: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:8534: \"$ac_try\"") >&5
+  { (eval echo "$as_me:8594: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:8537: \$? = $ac_status" >&5
+  echo "$as_me:8597: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   INTEL_COMPILER=yes
 cf_save_CFLAGS="$cf_save_CFLAGS -we147 -no-gcc"
@@ -8545,14 +8605,14 @@
 fi
 rm -f conftest.$ac_objext conftest.$ac_ext
 		CFLAGS="$cf_save_CFLAGS"
-		echo "$as_me:8548: result: $INTEL_COMPILER" >&5
+		echo "$as_me:8608: result: $INTEL_COMPILER" >&5
 echo "${ECHO_T}$INTEL_COMPILER" >&6
 		;;
 	esac
 fi
 
 cat > conftest.$ac_ext <<EOF
-#line 8555 "configure"
+#line 8615 "configure"
 int main(int argc, char *argv[]) { return (argv[argc-1] == 0) ; }
 EOF
 
@@ -8570,7 +8630,7 @@
 # remark #981: operands are evaluated in unspecified order
 # warning #269: invalid format string conversion
 
-	{ echo "$as_me:8573: checking for $CC warning options..." >&5
+	{ echo "$as_me:8633: checking for $CC warning options..." >&5
 echo "$as_me: checking for $CC warning options..." >&6;}
 	cf_save_CFLAGS="$CFLAGS"
 	EXTRA_CFLAGS="-Wall"
@@ -8587,12 +8647,12 @@
 		wd981
 	do
 		CFLAGS="$cf_save_CFLAGS $EXTRA_CFLAGS -$cf_opt"
-		if { (eval echo "$as_me:8590: \"$ac_compile\"") >&5
+		if { (eval echo "$as_me:8650: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:8593: \$? = $ac_status" >&5
+  echo "$as_me:8653: \$? = $ac_status" >&5
   (exit $ac_status); }; then
-			test -n "$verbose" && echo "$as_me:8595: result: ... -$cf_opt" >&5
+			test -n "$verbose" && echo "$as_me:8655: result: ... -$cf_opt" >&5
 echo "${ECHO_T}... -$cf_opt" >&6
 			EXTRA_CFLAGS="$EXTRA_CFLAGS -$cf_opt"
 		fi
@@ -8601,7 +8661,7 @@
 
 elif test "$GCC" = yes
 then
-	{ echo "$as_me:8604: checking for $CC warning options..." >&5
+	{ echo "$as_me:8664: checking for $CC warning options..." >&5
 echo "$as_me: checking for $CC warning options..." >&6;}
 	cf_save_CFLAGS="$CFLAGS"
 	EXTRA_CFLAGS="-W -Wall"
@@ -8621,12 +8681,12 @@
 		Wundef $cf_warn_CONST
 	do
 		CFLAGS="$cf_save_CFLAGS $EXTRA_CFLAGS -$cf_opt"
-		if { (eval echo "$as_me:8624: \"$ac_compile\"") >&5
+		if { (eval echo "$as_me:8684: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:8627: \$? = $ac_status" >&5
+  echo "$as_me:8687: \$? = $ac_status" >&5
   (exit $ac_status); }; then
-			test -n "$verbose" && echo "$as_me:8629: result: ... -$cf_opt" >&5
+			test -n "$verbose" && echo "$as_me:8689: result: ... -$cf_opt" >&5
 echo "${ECHO_T}... -$cf_opt" >&6
 			case $cf_opt in #(vi
 			Wcast-qual) #(vi
@@ -8655,12 +8715,12 @@
 if test "$GCC" = yes ; then
 	case $host_os in
 	linux*|gnu*)
-		echo "$as_me:8658: checking if this is really Intel C++ compiler" >&5
+		echo "$as_me:8718: checking if this is really Intel C++ compiler" >&5
 echo $ECHO_N "checking if this is really Intel C++ compiler... $ECHO_C" >&6
 		cf_save_CFLAGS="$CXXFLAGS"
 		CXXFLAGS="$CXXFLAGS -no-gcc"
 		cat >conftest.$ac_ext <<_ACEOF
-#line 8663 "configure"
+#line 8723 "configure"
 #include "confdefs.h"
 
 int
@@ -8677,16 +8737,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:8680: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:8740: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:8683: \$? = $ac_status" >&5
+  echo "$as_me:8743: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:8686: \"$ac_try\"") >&5
+  { (eval echo "$as_me:8746: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:8689: \$? = $ac_status" >&5
+  echo "$as_me:8749: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   INTEL_CPLUSPLUS=yes
 cf_save_CFLAGS="$cf_save_CFLAGS -we147 -no-gcc"
@@ -8697,7 +8757,7 @@
 fi
 rm -f conftest.$ac_objext conftest.$ac_ext
 		CXXFLAGS="$cf_save_CFLAGS"
-		echo "$as_me:8700: result: $INTEL_CPLUSPLUS" >&5
+		echo "$as_me:8760: result: $INTEL_CPLUSPLUS" >&5
 echo "${ECHO_T}$INTEL_CPLUSPLUS" >&6
 		;;
 	esac
@@ -8710,7 +8770,7 @@
 ac_compiler_gnu=$ac_cv_cxx_compiler_gnu
 
 cat > conftest.$ac_ext <<EOF
-#line 8713 "configure"
+#line 8773 "configure"
 int main(int argc, char *argv[]) { return (argv[argc-1] == 0) ; }
 EOF
 
@@ -8728,7 +8788,7 @@
 # remark #981: operands are evaluated in unspecified order
 # warning #269: invalid format string conversion
 
-	{ echo "$as_me:8731: checking for $CC warning options..." >&5
+	{ echo "$as_me:8791: checking for $CC warning options..." >&5
 echo "$as_me: checking for $CC warning options..." >&6;}
 	cf_save_CXXFLAGS="$CXXFLAGS"
 	EXTRA_CXXFLAGS="-Wall"
@@ -8745,12 +8805,12 @@
 		wd981
 	do
 		CXXFLAGS="$cf_save_CXXFLAGS $EXTRA_CXXFLAGS -$cf_opt"
-		if { (eval echo "$as_me:8748: \"$ac_compile\"") >&5
+		if { (eval echo "$as_me:8808: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:8751: \$? = $ac_status" >&5
+  echo "$as_me:8811: \$? = $ac_status" >&5
   (exit $ac_status); }; then
-			test -n "$verbose" && echo "$as_me:8753: result: ... -$cf_opt" >&5
+			test -n "$verbose" && echo "$as_me:8813: result: ... -$cf_opt" >&5
 echo "${ECHO_T}... -$cf_opt" >&6
 			EXTRA_CXXFLAGS="$EXTRA_CXXFLAGS -$cf_opt"
 		fi
@@ -8759,7 +8819,7 @@
 
 elif test "$GXX" = yes
 then
-	{ echo "$as_me:8762: checking for $CXX warning options..." >&5
+	{ echo "$as_me:8822: checking for $CXX warning options..." >&5
 echo "$as_me: checking for $CXX warning options..." >&6;}
 	cf_save_CXXFLAGS="$CXXFLAGS"
 	EXTRA_CXXFLAGS="-W -Wall"
@@ -8788,16 +8848,16 @@
 		Wundef $cf_gxx_extra_warnings Wno-unused
 	do
 		CXXFLAGS="$cf_save_CXXFLAGS $EXTRA_CXXFLAGS -Werror -$cf_opt"
-		if { (eval echo "$as_me:8791: \"$ac_compile\"") >&5
+		if { (eval echo "$as_me:8851: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:8794: \$? = $ac_status" >&5
+  echo "$as_me:8854: \$? = $ac_status" >&5
   (exit $ac_status); }; then
-			test -n "$verbose" && echo "$as_me:8796: result: ... -$cf_opt" >&5
+			test -n "$verbose" && echo "$as_me:8856: result: ... -$cf_opt" >&5
 echo "${ECHO_T}... -$cf_opt" >&6
 			EXTRA_CXXFLAGS="$EXTRA_CXXFLAGS -$cf_opt"
 		else
-			test -n "$verbose" && echo "$as_me:8800: result: ... no -$cf_opt" >&5
+			test -n "$verbose" && echo "$as_me:8860: result: ... no -$cf_opt" >&5
 echo "${ECHO_T}... no -$cf_opt" >&6
 		fi
 	done
@@ -8832,10 +8892,10 @@
 EOF
 if test "$GCC" = yes
 then
-	{ echo "$as_me:8835: checking for $CC __attribute__ directives..." >&5
+	{ echo "$as_me:8895: checking for $CC __attribute__ directives..." >&5
 echo "$as_me: checking for $CC __attribute__ directives..." >&6;}
 cat > conftest.$ac_ext <<EOF
-#line 8838 "configure"
+#line 8898 "configure"
 #include "confdefs.h"
 #include "conftest.h"
 #include "conftest.i"
@@ -8873,12 +8933,12 @@
 EOF
 			;;
 		esac
-		if { (eval echo "$as_me:8876: \"$ac_compile\"") >&5
+		if { (eval echo "$as_me:8936: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:8879: \$? = $ac_status" >&5
+  echo "$as_me:8939: \$? = $ac_status" >&5
   (exit $ac_status); }; then
-			test -n "$verbose" && echo "$as_me:8881: result: ... $cf_attribute" >&5
+			test -n "$verbose" && echo "$as_me:8941: result: ... $cf_attribute" >&5
 echo "${ECHO_T}... $cf_attribute" >&6
 			cat conftest.h >>confdefs.h
 		fi
@@ -8890,7 +8950,7 @@
 fi
 
 ###	use option --enable-assertions to turn on generation of assertion code
-echo "$as_me:8893: checking if you want to enable runtime assertions" >&5
+echo "$as_me:8953: checking if you want to enable runtime assertions" >&5
 echo $ECHO_N "checking if you want to enable runtime assertions... $ECHO_C" >&6
 
 # Check whether --enable-assertions or --disable-assertions was given.
@@ -8900,7 +8960,7 @@
 else
   with_assertions=no
 fi;
-echo "$as_me:8903: result: $with_assertions" >&5
+echo "$as_me:8963: result: $with_assertions" >&5
 echo "${ECHO_T}$with_assertions" >&6
 if test -n "$GCC"
 then
@@ -8961,7 +9021,7 @@
 	;;
 esac
 
-echo "$as_me:8964: checking whether to add trace feature to all models" >&5
+echo "$as_me:9024: checking whether to add trace feature to all models" >&5
 echo $ECHO_N "checking whether to add trace feature to all models... $ECHO_C" >&6
 
 # Check whether --with-trace or --without-trace was given.
@@ -8971,7 +9031,7 @@
 else
   cf_with_trace=$cf_all_traces
 fi;
-echo "$as_me:8974: result: $cf_with_trace" >&5
+echo "$as_me:9034: result: $cf_with_trace" >&5
 echo "${ECHO_T}$cf_with_trace" >&6
 
 if test "$cf_with_trace" = yes ; then
@@ -9052,13 +9112,13 @@
 fi
 
 ###	Checks for libraries.
-echo "$as_me:9055: checking for gettimeofday" >&5
+echo "$as_me:9115: checking for gettimeofday" >&5
 echo $ECHO_N "checking for gettimeofday... $ECHO_C" >&6
 if test "${ac_cv_func_gettimeofday+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
   cat >conftest.$ac_ext <<_ACEOF
-#line 9061 "configure"
+#line 9121 "configure"
 #include "confdefs.h"
 /* System header to define __stub macros and hopefully few prototypes,
     which can conflict with char gettimeofday (); below.  */
@@ -9089,16 +9149,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:9092: \"$ac_link\"") >&5
+if { (eval echo "$as_me:9152: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:9095: \$? = $ac_status" >&5
+  echo "$as_me:9155: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:9098: \"$ac_try\"") >&5
+  { (eval echo "$as_me:9158: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:9101: \$? = $ac_status" >&5
+  echo "$as_me:9161: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   ac_cv_func_gettimeofday=yes
 else
@@ -9108,7 +9168,7 @@
 fi
 rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
 fi
-echo "$as_me:9111: result: $ac_cv_func_gettimeofday" >&5
+echo "$as_me:9171: result: $ac_cv_func_gettimeofday" >&5
 echo "${ECHO_T}$ac_cv_func_gettimeofday" >&6
 if test $ac_cv_func_gettimeofday = yes; then
   cat >>confdefs.h <<\EOF
@@ -9117,7 +9177,7 @@
 
 else
 
-echo "$as_me:9120: checking for gettimeofday in -lbsd" >&5
+echo "$as_me:9180: checking for gettimeofday in -lbsd" >&5
 echo $ECHO_N "checking for gettimeofday in -lbsd... $ECHO_C" >&6
 if test "${ac_cv_lib_bsd_gettimeofday+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -9125,7 +9185,7 @@
   ac_check_lib_save_LIBS=$LIBS
 LIBS="-lbsd  $LIBS"
 cat >conftest.$ac_ext <<_ACEOF
-#line 9128 "configure"
+#line 9188 "configure"
 #include "confdefs.h"
 
 /* Override any gcc2 internal prototype to avoid an error.  */
@@ -9144,16 +9204,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:9147: \"$ac_link\"") >&5
+if { (eval echo "$as_me:9207: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:9150: \$? = $ac_status" >&5
+  echo "$as_me:9210: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:9153: \"$ac_try\"") >&5
+  { (eval echo "$as_me:9213: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:9156: \$? = $ac_status" >&5
+  echo "$as_me:9216: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   ac_cv_lib_bsd_gettimeofday=yes
 else
@@ -9164,7 +9224,7 @@
 rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
 LIBS=$ac_check_lib_save_LIBS
 fi
-echo "$as_me:9167: result: $ac_cv_lib_bsd_gettimeofday" >&5
+echo "$as_me:9227: result: $ac_cv_lib_bsd_gettimeofday" >&5
 echo "${ECHO_T}$ac_cv_lib_bsd_gettimeofday" >&6
 if test $ac_cv_lib_bsd_gettimeofday = yes; then
   cat >>confdefs.h <<\EOF
@@ -9176,14 +9236,14 @@
 
 fi
 
-echo "$as_me:9179: checking if -lm needed for math functions" >&5
+echo "$as_me:9239: checking if -lm needed for math functions" >&5
 echo $ECHO_N "checking if -lm needed for math functions... $ECHO_C" >&6
 if test "${cf_cv_need_libm+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
 
 	cat >conftest.$ac_ext <<_ACEOF
-#line 9186 "configure"
+#line 9246 "configure"
 #include "confdefs.h"
 
 	#include <stdio.h>
@@ -9198,16 +9258,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:9201: \"$ac_link\"") >&5
+if { (eval echo "$as_me:9261: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:9204: \$? = $ac_status" >&5
+  echo "$as_me:9264: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:9207: \"$ac_try\"") >&5
+  { (eval echo "$as_me:9267: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:9210: \$? = $ac_status" >&5
+  echo "$as_me:9270: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_need_libm=no
 else
@@ -9217,7 +9277,7 @@
 fi
 rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
 fi
-echo "$as_me:9220: result: $cf_cv_need_libm" >&5
+echo "$as_me:9280: result: $cf_cv_need_libm" >&5
 echo "${ECHO_T}$cf_cv_need_libm" >&6
 if test "$cf_cv_need_libm" = yes
 then
@@ -9225,13 +9285,13 @@
 fi
 
 ###	Checks for header files.
-echo "$as_me:9228: checking for ANSI C header files" >&5
+echo "$as_me:9288: checking for ANSI C header files" >&5
 echo $ECHO_N "checking for ANSI C header files... $ECHO_C" >&6
 if test "${ac_cv_header_stdc+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
   cat >conftest.$ac_ext <<_ACEOF
-#line 9234 "configure"
+#line 9294 "configure"
 #include "confdefs.h"
 #include <stdlib.h>
 #include <stdarg.h>
@@ -9239,13 +9299,13 @@
 #include <float.h>
 
 _ACEOF
-if { (eval echo "$as_me:9242: \"$ac_cpp conftest.$ac_ext\"") >&5
+if { (eval echo "$as_me:9302: \"$ac_cpp conftest.$ac_ext\"") >&5
   (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
   ac_status=$?
   egrep -v '^ *\+' conftest.er1 >conftest.err
   rm -f conftest.er1
   cat conftest.err >&5
-  echo "$as_me:9248: \$? = $ac_status" >&5
+  echo "$as_me:9308: \$? = $ac_status" >&5
   (exit $ac_status); } >/dev/null; then
   if test -s conftest.err; then
     ac_cpp_err=$ac_c_preproc_warn_flag
@@ -9267,7 +9327,7 @@
 if test $ac_cv_header_stdc = yes; then
   # SunOS 4.x string.h does not declare mem*, contrary to ANSI.
   cat >conftest.$ac_ext <<_ACEOF
-#line 9270 "configure"
+#line 9330 "configure"
 #include "confdefs.h"
 #include <string.h>
 
@@ -9285,7 +9345,7 @@
 if test $ac_cv_header_stdc = yes; then
   # ISC 2.0.2 stdlib.h does not declare free, contrary to ANSI.
   cat >conftest.$ac_ext <<_ACEOF
-#line 9288 "configure"
+#line 9348 "configure"
 #include "confdefs.h"
 #include <stdlib.h>
 
@@ -9306,7 +9366,7 @@
   :
 else
   cat >conftest.$ac_ext <<_ACEOF
-#line 9309 "configure"
+#line 9369 "configure"
 #include "confdefs.h"
 #include <ctype.h>
 #if ((' ' & 0x0FF) == 0x020)
@@ -9332,15 +9392,15 @@
 }
 _ACEOF
 rm -f conftest$ac_exeext
-if { (eval echo "$as_me:9335: \"$ac_link\"") >&5
+if { (eval echo "$as_me:9395: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:9338: \$? = $ac_status" >&5
+  echo "$as_me:9398: \$? = $ac_status" >&5
   (exit $ac_status); } && { ac_try='./conftest$ac_exeext'
-  { (eval echo "$as_me:9340: \"$ac_try\"") >&5
+  { (eval echo "$as_me:9400: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:9343: \$? = $ac_status" >&5
+  echo "$as_me:9403: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   :
 else
@@ -9353,7 +9413,7 @@
 fi
 fi
 fi
-echo "$as_me:9356: result: $ac_cv_header_stdc" >&5
+echo "$as_me:9416: result: $ac_cv_header_stdc" >&5
 echo "${ECHO_T}$ac_cv_header_stdc" >&6
 if test $ac_cv_header_stdc = yes; then
 
@@ -9366,13 +9426,13 @@
 ac_header_dirent=no
 for ac_hdr in dirent.h sys/ndir.h sys/dir.h ndir.h; do
   as_ac_Header=`echo "ac_cv_header_dirent_$ac_hdr" | $as_tr_sh`
-echo "$as_me:9369: checking for $ac_hdr that defines DIR" >&5
+echo "$as_me:9429: checking for $ac_hdr that defines DIR" >&5
 echo $ECHO_N "checking for $ac_hdr that defines DIR... $ECHO_C" >&6
 if eval "test \"\${$as_ac_Header+set}\" = set"; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
   cat >conftest.$ac_ext <<_ACEOF
-#line 9375 "configure"
+#line 9435 "configure"
 #include "confdefs.h"
 #include <sys/types.h>
 #include <$ac_hdr>
@@ -9387,16 +9447,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:9390: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:9450: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:9393: \$? = $ac_status" >&5
+  echo "$as_me:9453: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:9396: \"$ac_try\"") >&5
+  { (eval echo "$as_me:9456: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:9399: \$? = $ac_status" >&5
+  echo "$as_me:9459: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   eval "$as_ac_Header=yes"
 else
@@ -9406,7 +9466,7 @@
 fi
 rm -f conftest.$ac_objext conftest.$ac_ext
 fi
-echo "$as_me:9409: result: `eval echo '${'$as_ac_Header'}'`" >&5
+echo "$as_me:9469: result: `eval echo '${'$as_ac_Header'}'`" >&5
 echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
 if test `eval echo '${'$as_ac_Header'}'` = yes; then
   cat >>confdefs.h <<EOF
@@ -9419,7 +9479,7 @@
 done
 # Two versions of opendir et al. are in -ldir and -lx on SCO Xenix.
 if test $ac_header_dirent = dirent.h; then
-  echo "$as_me:9422: checking for opendir in -ldir" >&5
+  echo "$as_me:9482: checking for opendir in -ldir" >&5
 echo $ECHO_N "checking for opendir in -ldir... $ECHO_C" >&6
 if test "${ac_cv_lib_dir_opendir+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -9427,7 +9487,7 @@
   ac_check_lib_save_LIBS=$LIBS
 LIBS="-ldir  $LIBS"
 cat >conftest.$ac_ext <<_ACEOF
-#line 9430 "configure"
+#line 9490 "configure"
 #include "confdefs.h"
 
 /* Override any gcc2 internal prototype to avoid an error.  */
@@ -9446,16 +9506,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:9449: \"$ac_link\"") >&5
+if { (eval echo "$as_me:9509: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:9452: \$? = $ac_status" >&5
+  echo "$as_me:9512: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:9455: \"$ac_try\"") >&5
+  { (eval echo "$as_me:9515: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:9458: \$? = $ac_status" >&5
+  echo "$as_me:9518: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   ac_cv_lib_dir_opendir=yes
 else
@@ -9466,14 +9526,14 @@
 rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
 LIBS=$ac_check_lib_save_LIBS
 fi
-echo "$as_me:9469: result: $ac_cv_lib_dir_opendir" >&5
+echo "$as_me:9529: result: $ac_cv_lib_dir_opendir" >&5
 echo "${ECHO_T}$ac_cv_lib_dir_opendir" >&6
 if test $ac_cv_lib_dir_opendir = yes; then
   LIBS="$LIBS -ldir"
 fi
 
 else
-  echo "$as_me:9476: checking for opendir in -lx" >&5
+  echo "$as_me:9536: checking for opendir in -lx" >&5
 echo $ECHO_N "checking for opendir in -lx... $ECHO_C" >&6
 if test "${ac_cv_lib_x_opendir+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -9481,7 +9541,7 @@
   ac_check_lib_save_LIBS=$LIBS
 LIBS="-lx  $LIBS"
 cat >conftest.$ac_ext <<_ACEOF
-#line 9484 "configure"
+#line 9544 "configure"
 #include "confdefs.h"
 
 /* Override any gcc2 internal prototype to avoid an error.  */
@@ -9500,16 +9560,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:9503: \"$ac_link\"") >&5
+if { (eval echo "$as_me:9563: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:9506: \$? = $ac_status" >&5
+  echo "$as_me:9566: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:9509: \"$ac_try\"") >&5
+  { (eval echo "$as_me:9569: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:9512: \$? = $ac_status" >&5
+  echo "$as_me:9572: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   ac_cv_lib_x_opendir=yes
 else
@@ -9520,7 +9580,7 @@
 rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
 LIBS=$ac_check_lib_save_LIBS
 fi
-echo "$as_me:9523: result: $ac_cv_lib_x_opendir" >&5
+echo "$as_me:9583: result: $ac_cv_lib_x_opendir" >&5
 echo "${ECHO_T}$ac_cv_lib_x_opendir" >&6
 if test $ac_cv_lib_x_opendir = yes; then
   LIBS="$LIBS -lx"
@@ -9528,13 +9588,13 @@
 
 fi
 
-echo "$as_me:9531: checking whether time.h and sys/time.h may both be included" >&5
+echo "$as_me:9591: checking whether time.h and sys/time.h may both be included" >&5
 echo $ECHO_N "checking whether time.h and sys/time.h may both be included... $ECHO_C" >&6
 if test "${ac_cv_header_time+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
   cat >conftest.$ac_ext <<_ACEOF
-#line 9537 "configure"
+#line 9597 "configure"
 #include "confdefs.h"
 #include <sys/types.h>
 #include <sys/time.h>
@@ -9550,16 +9610,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:9553: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:9613: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:9556: \$? = $ac_status" >&5
+  echo "$as_me:9616: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:9559: \"$ac_try\"") >&5
+  { (eval echo "$as_me:9619: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:9562: \$? = $ac_status" >&5
+  echo "$as_me:9622: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   ac_cv_header_time=yes
 else
@@ -9569,7 +9629,7 @@
 fi
 rm -f conftest.$ac_objext conftest.$ac_ext
 fi
-echo "$as_me:9572: result: $ac_cv_header_time" >&5
+echo "$as_me:9632: result: $ac_cv_header_time" >&5
 echo "${ECHO_T}$ac_cv_header_time" >&6
 if test $ac_cv_header_time = yes; then
 
@@ -9579,14 +9639,14 @@
 
 fi
 
-echo "$as_me:9582: checking for regular-expression headers" >&5
+echo "$as_me:9642: checking for regular-expression headers" >&5
 echo $ECHO_N "checking for regular-expression headers... $ECHO_C" >&6
 if test "${cf_cv_regex+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
 
 cat >conftest.$ac_ext <<_ACEOF
-#line 9589 "configure"
+#line 9649 "configure"
 #include "confdefs.h"
 #include <sys/types.h>
 #include <regex.h>
@@ -9604,16 +9664,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:9607: \"$ac_link\"") >&5
+if { (eval echo "$as_me:9667: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:9610: \$? = $ac_status" >&5
+  echo "$as_me:9670: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:9613: \"$ac_try\"") >&5
+  { (eval echo "$as_me:9673: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:9616: \$? = $ac_status" >&5
+  echo "$as_me:9676: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_regex="regex.h"
 else
@@ -9621,7 +9681,7 @@
 cat conftest.$ac_ext >&5
 
 	cat >conftest.$ac_ext <<_ACEOF
-#line 9624 "configure"
+#line 9684 "configure"
 #include "confdefs.h"
 #include <regexp.h>
 int
@@ -9636,16 +9696,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:9639: \"$ac_link\"") >&5
+if { (eval echo "$as_me:9699: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:9642: \$? = $ac_status" >&5
+  echo "$as_me:9702: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:9645: \"$ac_try\"") >&5
+  { (eval echo "$as_me:9705: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:9648: \$? = $ac_status" >&5
+  echo "$as_me:9708: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_regex="regexp.h"
 else
@@ -9655,7 +9715,7 @@
 		cf_save_LIBS="$LIBS"
 		LIBS="-lgen $LIBS"
 		cat >conftest.$ac_ext <<_ACEOF
-#line 9658 "configure"
+#line 9718 "configure"
 #include "confdefs.h"
 #include <regexpr.h>
 int
@@ -9670,16 +9730,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:9673: \"$ac_link\"") >&5
+if { (eval echo "$as_me:9733: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:9676: \$? = $ac_status" >&5
+  echo "$as_me:9736: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:9679: \"$ac_try\"") >&5
+  { (eval echo "$as_me:9739: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:9682: \$? = $ac_status" >&5
+  echo "$as_me:9742: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_regex="regexpr.h"
 else
@@ -9695,7 +9755,7 @@
 
 fi
 
-echo "$as_me:9698: result: $cf_cv_regex" >&5
+echo "$as_me:9758: result: $cf_cv_regex" >&5
 echo "${ECHO_T}$cf_cv_regex" >&6
 case $cf_cv_regex in
 	regex.h)   cat >>confdefs.h <<\EOF
@@ -9731,23 +9791,23 @@
 
 do
 as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
-echo "$as_me:9734: checking for $ac_header" >&5
+echo "$as_me:9794: checking for $ac_header" >&5
 echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
 if eval "test \"\${$as_ac_Header+set}\" = set"; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
   cat >conftest.$ac_ext <<_ACEOF
-#line 9740 "configure"
+#line 9800 "configure"
 #include "confdefs.h"
 #include <$ac_header>
 _ACEOF
-if { (eval echo "$as_me:9744: \"$ac_cpp conftest.$ac_ext\"") >&5
+if { (eval echo "$as_me:9804: \"$ac_cpp conftest.$ac_ext\"") >&5
   (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
   ac_status=$?
   egrep -v '^ *\+' conftest.er1 >conftest.err
   rm -f conftest.er1
   cat conftest.err >&5
-  echo "$as_me:9750: \$? = $ac_status" >&5
+  echo "$as_me:9810: \$? = $ac_status" >&5
   (exit $ac_status); } >/dev/null; then
   if test -s conftest.err; then
     ac_cpp_err=$ac_c_preproc_warn_flag
@@ -9766,7 +9826,7 @@
 fi
 rm -f conftest.err conftest.$ac_ext
 fi
-echo "$as_me:9769: result: `eval echo '${'$as_ac_Header'}'`" >&5
+echo "$as_me:9829: result: `eval echo '${'$as_ac_Header'}'`" >&5
 echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
 if test `eval echo '${'$as_ac_Header'}'` = yes; then
   cat >>confdefs.h <<EOF
@@ -9780,7 +9840,7 @@
 # Note: even non-Posix ISC needs <sys/bsdtypes.h> to declare fd_set
 if test "$ISC" = yes ; then
 
-echo "$as_me:9783: checking for main in -lcposix" >&5
+echo "$as_me:9843: checking for main in -lcposix" >&5
 echo $ECHO_N "checking for main in -lcposix... $ECHO_C" >&6
 if test "${ac_cv_lib_cposix_main+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -9788,7 +9848,7 @@
   ac_check_lib_save_LIBS=$LIBS
 LIBS="-lcposix  $LIBS"
 cat >conftest.$ac_ext <<_ACEOF
-#line 9791 "configure"
+#line 9851 "configure"
 #include "confdefs.h"
 
 int
@@ -9800,16 +9860,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:9803: \"$ac_link\"") >&5
+if { (eval echo "$as_me:9863: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:9806: \$? = $ac_status" >&5
+  echo "$as_me:9866: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:9809: \"$ac_try\"") >&5
+  { (eval echo "$as_me:9869: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:9812: \$? = $ac_status" >&5
+  echo "$as_me:9872: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   ac_cv_lib_cposix_main=yes
 else
@@ -9820,7 +9880,7 @@
 rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
 LIBS=$ac_check_lib_save_LIBS
 fi
-echo "$as_me:9823: result: $ac_cv_lib_cposix_main" >&5
+echo "$as_me:9883: result: $ac_cv_lib_cposix_main" >&5
 echo "${ECHO_T}$ac_cv_lib_cposix_main" >&6
 if test $ac_cv_lib_cposix_main = yes; then
   cat >>confdefs.h <<EOF
@@ -9831,7 +9891,7 @@
 
 fi
 
-	echo "$as_me:9834: checking for bzero in -linet" >&5
+	echo "$as_me:9894: checking for bzero in -linet" >&5
 echo $ECHO_N "checking for bzero in -linet... $ECHO_C" >&6
 if test "${ac_cv_lib_inet_bzero+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -9839,7 +9899,7 @@
   ac_check_lib_save_LIBS=$LIBS
 LIBS="-linet  $LIBS"
 cat >conftest.$ac_ext <<_ACEOF
-#line 9842 "configure"
+#line 9902 "configure"
 #include "confdefs.h"
 
 /* Override any gcc2 internal prototype to avoid an error.  */
@@ -9858,16 +9918,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:9861: \"$ac_link\"") >&5
+if { (eval echo "$as_me:9921: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:9864: \$? = $ac_status" >&5
+  echo "$as_me:9924: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:9867: \"$ac_try\"") >&5
+  { (eval echo "$as_me:9927: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:9870: \$? = $ac_status" >&5
+  echo "$as_me:9930: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   ac_cv_lib_inet_bzero=yes
 else
@@ -9878,21 +9938,21 @@
 rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
 LIBS=$ac_check_lib_save_LIBS
 fi
-echo "$as_me:9881: result: $ac_cv_lib_inet_bzero" >&5
+echo "$as_me:9941: result: $ac_cv_lib_inet_bzero" >&5
 echo "${ECHO_T}$ac_cv_lib_inet_bzero" >&6
 if test $ac_cv_lib_inet_bzero = yes; then
   LIBS="$LIBS -linet"
 fi
 fi
 
-echo "$as_me:9888: checking if sys/time.h works with sys/select.h" >&5
+echo "$as_me:9948: checking if sys/time.h works with sys/select.h" >&5
 echo $ECHO_N "checking if sys/time.h works with sys/select.h... $ECHO_C" >&6
 if test "${cf_cv_sys_time_select+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
 
 cat >conftest.$ac_ext <<_ACEOF
-#line 9895 "configure"
+#line 9955 "configure"
 #include "confdefs.h"
 
 #include <sys/types.h>
@@ -9912,16 +9972,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:9915: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:9975: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:9918: \$? = $ac_status" >&5
+  echo "$as_me:9978: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:9921: \"$ac_try\"") >&5
+  { (eval echo "$as_me:9981: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:9924: \$? = $ac_status" >&5
+  echo "$as_me:9984: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_sys_time_select=yes
 else
@@ -9933,7 +9993,7 @@
 
 fi
 
-echo "$as_me:9936: result: $cf_cv_sys_time_select" >&5
+echo "$as_me:9996: result: $cf_cv_sys_time_select" >&5
 echo "${ECHO_T}$cf_cv_sys_time_select" >&6
 test "$cf_cv_sys_time_select" = yes && cat >>confdefs.h <<\EOF
 #define HAVE_SYS_TIME_SELECT 1
@@ -9946,7 +10006,7 @@
 ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
 ac_compiler_gnu=$ac_cv_c_compiler_gnu
 
-echo "$as_me:9949: checking for $CC option to accept ANSI C" >&5
+echo "$as_me:10009: checking for $CC option to accept ANSI C" >&5
 echo $ECHO_N "checking for $CC option to accept ANSI C... $ECHO_C" >&6
 if test "${ac_cv_prog_cc_stdc+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -9954,7 +10014,7 @@
   ac_cv_prog_cc_stdc=no
 ac_save_CC=$CC
 cat >conftest.$ac_ext <<_ACEOF
-#line 9957 "configure"
+#line 10017 "configure"
 #include "confdefs.h"
 #include <stdarg.h>
 #include <stdio.h>
@@ -10003,16 +10063,16 @@
 do
   CC="$ac_save_CC $ac_arg"
   rm -f conftest.$ac_objext
-if { (eval echo "$as_me:10006: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:10066: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:10009: \$? = $ac_status" >&5
+  echo "$as_me:10069: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:10012: \"$ac_try\"") >&5
+  { (eval echo "$as_me:10072: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:10015: \$? = $ac_status" >&5
+  echo "$as_me:10075: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   ac_cv_prog_cc_stdc=$ac_arg
 break
@@ -10029,21 +10089,21 @@
 
 case "x$ac_cv_prog_cc_stdc" in
   x|xno)
-    echo "$as_me:10032: result: none needed" >&5
+    echo "$as_me:10092: result: none needed" >&5
 echo "${ECHO_T}none needed" >&6 ;;
   *)
-    echo "$as_me:10035: result: $ac_cv_prog_cc_stdc" >&5
+    echo "$as_me:10095: result: $ac_cv_prog_cc_stdc" >&5
 echo "${ECHO_T}$ac_cv_prog_cc_stdc" >&6
     CC="$CC $ac_cv_prog_cc_stdc" ;;
 esac
 
-echo "$as_me:10040: checking for an ANSI C-conforming const" >&5
+echo "$as_me:10100: checking for an ANSI C-conforming const" >&5
 echo $ECHO_N "checking for an ANSI C-conforming const... $ECHO_C" >&6
 if test "${ac_cv_c_const+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
   cat >conftest.$ac_ext <<_ACEOF
-#line 10046 "configure"
+#line 10106 "configure"
 #include "confdefs.h"
 
 int
@@ -10101,16 +10161,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:10104: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:10164: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:10107: \$? = $ac_status" >&5
+  echo "$as_me:10167: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:10110: \"$ac_try\"") >&5
+  { (eval echo "$as_me:10170: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:10113: \$? = $ac_status" >&5
+  echo "$as_me:10173: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   ac_cv_c_const=yes
 else
@@ -10120,7 +10180,7 @@
 fi
 rm -f conftest.$ac_objext conftest.$ac_ext
 fi
-echo "$as_me:10123: result: $ac_cv_c_const" >&5
+echo "$as_me:10183: result: $ac_cv_c_const" >&5
 echo "${ECHO_T}$ac_cv_c_const" >&6
 if test $ac_cv_c_const = no; then
 
@@ -10130,7 +10190,7 @@
 
 fi
 
-echo "$as_me:10133: checking for inline" >&5
+echo "$as_me:10193: checking for inline" >&5
 echo $ECHO_N "checking for inline... $ECHO_C" >&6
 if test "${ac_cv_c_inline+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -10138,7 +10198,7 @@
   ac_cv_c_inline=no
 for ac_kw in inline __inline__ __inline; do
   cat >conftest.$ac_ext <<_ACEOF
-#line 10141 "configure"
+#line 10201 "configure"
 #include "confdefs.h"
 #ifndef __cplusplus
 static $ac_kw int static_foo () {return 0; }
@@ -10147,16 +10207,16 @@
 
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:10150: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:10210: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:10153: \$? = $ac_status" >&5
+  echo "$as_me:10213: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:10156: \"$ac_try\"") >&5
+  { (eval echo "$as_me:10216: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:10159: \$? = $ac_status" >&5
+  echo "$as_me:10219: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   ac_cv_c_inline=$ac_kw; break
 else
@@ -10167,7 +10227,7 @@
 done
 
 fi
-echo "$as_me:10170: result: $ac_cv_c_inline" >&5
+echo "$as_me:10230: result: $ac_cv_c_inline" >&5
 echo "${ECHO_T}$ac_cv_c_inline" >&6
 case $ac_cv_c_inline in
   inline | yes) ;;
@@ -10182,13 +10242,18 @@
  ;;
 esac
 
-test "$ac_cv_c_inline" != no && cat >>confdefs.h <<\EOF
+NCURSES_INLINE=
+if test "$ac_cv_c_inline" != no ; then
+	cat >>confdefs.h <<\EOF
 #define CC_HAS_INLINE_FUNCS 1
 EOF
 
+	NCURSES_INLINE=inline
+fi
+
 if test $NCURSES_CHTYPE = auto ; then
 
-echo "$as_me:10191: checking for type of chtype" >&5
+echo "$as_me:10256: checking for type of chtype" >&5
 echo $ECHO_N "checking for type of chtype... $ECHO_C" >&6
 if test "${cf_cv_typeof_chtype+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -10198,7 +10263,7 @@
   cf_cv_typeof_chtype=long
 else
   cat >conftest.$ac_ext <<_ACEOF
-#line 10201 "configure"
+#line 10266 "configure"
 #include "confdefs.h"
 
 #define WANT_BITS 31
@@ -10233,15 +10298,15 @@
 
 _ACEOF
 rm -f conftest$ac_exeext
-if { (eval echo "$as_me:10236: \"$ac_link\"") >&5
+if { (eval echo "$as_me:10301: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:10239: \$? = $ac_status" >&5
+  echo "$as_me:10304: \$? = $ac_status" >&5
   (exit $ac_status); } && { ac_try='./conftest$ac_exeext'
-  { (eval echo "$as_me:10241: \"$ac_try\"") >&5
+  { (eval echo "$as_me:10306: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:10244: \$? = $ac_status" >&5
+  echo "$as_me:10309: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_typeof_chtype=`cat cf_test.out`
 else
@@ -10256,7 +10321,7 @@
 
 fi
 
-echo "$as_me:10259: result: $cf_cv_typeof_chtype" >&5
+echo "$as_me:10324: result: $cf_cv_typeof_chtype" >&5
 echo "${ECHO_T}$cf_cv_typeof_chtype" >&6
 
 cat >>confdefs.h <<EOF
@@ -10267,14 +10332,14 @@
 	cf_cv_typeof_chtype=$NCURSES_CHTYPE
 fi
 
-echo "$as_me:10270: checking if unsigned literals are legal" >&5
+echo "$as_me:10335: checking if unsigned literals are legal" >&5
 echo $ECHO_N "checking if unsigned literals are legal... $ECHO_C" >&6
 if test "${cf_cv_unsigned_literals+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
 
 	cat >conftest.$ac_ext <<_ACEOF
-#line 10277 "configure"
+#line 10342 "configure"
 #include "confdefs.h"
 
 int
@@ -10286,16 +10351,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:10289: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:10354: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:10292: \$? = $ac_status" >&5
+  echo "$as_me:10357: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:10295: \"$ac_try\"") >&5
+  { (eval echo "$as_me:10360: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:10298: \$? = $ac_status" >&5
+  echo "$as_me:10363: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_unsigned_literals=yes
 else
@@ -10307,7 +10372,7 @@
 
 fi
 
-echo "$as_me:10310: result: $cf_cv_unsigned_literals" >&5
+echo "$as_me:10375: result: $cf_cv_unsigned_literals" >&5
 echo "${ECHO_T}$cf_cv_unsigned_literals" >&6
 
 cf_cv_1UL="1"
@@ -10322,14 +10387,14 @@
 
 ###	Checks for external-data
 
-echo "$as_me:10325: checking if external errno is declared" >&5
+echo "$as_me:10390: checking if external errno is declared" >&5
 echo $ECHO_N "checking if external errno is declared... $ECHO_C" >&6
 if test "${cf_cv_dcl_errno+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
 
     cat >conftest.$ac_ext <<_ACEOF
-#line 10332 "configure"
+#line 10397 "configure"
 #include "confdefs.h"
 
 #ifdef HAVE_STDLIB_H
@@ -10347,16 +10412,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:10350: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:10415: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:10353: \$? = $ac_status" >&5
+  echo "$as_me:10418: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:10356: \"$ac_try\"") >&5
+  { (eval echo "$as_me:10421: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:10359: \$? = $ac_status" >&5
+  echo "$as_me:10424: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_dcl_errno=yes
 else
@@ -10367,7 +10432,7 @@
 rm -f conftest.$ac_objext conftest.$ac_ext
 
 fi
-echo "$as_me:10370: result: $cf_cv_dcl_errno" >&5
+echo "$as_me:10435: result: $cf_cv_dcl_errno" >&5
 echo "${ECHO_T}$cf_cv_dcl_errno" >&6
 
 if test "$cf_cv_dcl_errno" = no ; then
@@ -10382,14 +10447,14 @@
 
 # It's possible (for near-UNIX clones) that the data doesn't exist
 
-echo "$as_me:10385: checking if external errno exists" >&5
+echo "$as_me:10450: checking if external errno exists" >&5
 echo $ECHO_N "checking if external errno exists... $ECHO_C" >&6
 if test "${cf_cv_have_errno+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
 
     cat >conftest.$ac_ext <<_ACEOF
-#line 10392 "configure"
+#line 10457 "configure"
 #include "confdefs.h"
 
 #undef errno
@@ -10404,16 +10469,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:10407: \"$ac_link\"") >&5
+if { (eval echo "$as_me:10472: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:10410: \$? = $ac_status" >&5
+  echo "$as_me:10475: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:10413: \"$ac_try\"") >&5
+  { (eval echo "$as_me:10478: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:10416: \$? = $ac_status" >&5
+  echo "$as_me:10481: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_have_errno=yes
 else
@@ -10424,7 +10489,7 @@
 rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
 
 fi
-echo "$as_me:10427: result: $cf_cv_have_errno" >&5
+echo "$as_me:10492: result: $cf_cv_have_errno" >&5
 echo "${ECHO_T}$cf_cv_have_errno" >&6
 
 if test "$cf_cv_have_errno" = yes ; then
@@ -10437,7 +10502,7 @@
 
 fi
 
-echo "$as_me:10440: checking if data-only library module links" >&5
+echo "$as_me:10505: checking if data-only library module links" >&5
 echo $ECHO_N "checking if data-only library module links... $ECHO_C" >&6
 if test "${cf_cv_link_dataonly+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -10445,20 +10510,20 @@
 
 	rm -f conftest.a
 	cat >conftest.$ac_ext <<EOF
-#line 10448 "configure"
+#line 10513 "configure"
 int	testdata[3] = { 123, 456, 789 };
 EOF
-	if { (eval echo "$as_me:10451: \"$ac_compile\"") >&5
+	if { (eval echo "$as_me:10516: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:10454: \$? = $ac_status" >&5
+  echo "$as_me:10519: \$? = $ac_status" >&5
   (exit $ac_status); } ; then
 		mv conftest.o data.o && \
 		( $AR $AR_OPTS conftest.a data.o ) 2>&5 1>/dev/null
 	fi
 	rm -f conftest.$ac_ext data.o
 	cat >conftest.$ac_ext <<EOF
-#line 10461 "configure"
+#line 10526 "configure"
 int	testfunc()
 {
 #if defined(NeXT)
@@ -10471,10 +10536,10 @@
 #endif
 }
 EOF
-	if { (eval echo "$as_me:10474: \"$ac_compile\"") >&5
+	if { (eval echo "$as_me:10539: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:10477: \$? = $ac_status" >&5
+  echo "$as_me:10542: \$? = $ac_status" >&5
   (exit $ac_status); }; then
 		mv conftest.o func.o && \
 		( $AR $AR_OPTS conftest.a func.o ) 2>&5 1>/dev/null
@@ -10487,7 +10552,7 @@
   cf_cv_link_dataonly=unknown
 else
   cat >conftest.$ac_ext <<_ACEOF
-#line 10490 "configure"
+#line 10555 "configure"
 #include "confdefs.h"
 
 	int main()
@@ -10498,15 +10563,15 @@
 
 _ACEOF
 rm -f conftest$ac_exeext
-if { (eval echo "$as_me:10501: \"$ac_link\"") >&5
+if { (eval echo "$as_me:10566: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:10504: \$? = $ac_status" >&5
+  echo "$as_me:10569: \$? = $ac_status" >&5
   (exit $ac_status); } && { ac_try='./conftest$ac_exeext'
-  { (eval echo "$as_me:10506: \"$ac_try\"") >&5
+  { (eval echo "$as_me:10571: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:10509: \$? = $ac_status" >&5
+  echo "$as_me:10574: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_link_dataonly=yes
 else
@@ -10521,7 +10586,7 @@
 
 fi
 
-echo "$as_me:10524: result: $cf_cv_link_dataonly" >&5
+echo "$as_me:10589: result: $cf_cv_link_dataonly" >&5
 echo "${ECHO_T}$cf_cv_link_dataonly" >&6
 
 if test "$cf_cv_link_dataonly" = no ; then
@@ -10556,13 +10621,13 @@
 
 do
 as_ac_var=`echo "ac_cv_func_$ac_func" | $as_tr_sh`
-echo "$as_me:10559: checking for $ac_func" >&5
+echo "$as_me:10624: checking for $ac_func" >&5
 echo $ECHO_N "checking for $ac_func... $ECHO_C" >&6
 if eval "test \"\${$as_ac_var+set}\" = set"; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
   cat >conftest.$ac_ext <<_ACEOF
-#line 10565 "configure"
+#line 10630 "configure"
 #include "confdefs.h"
 /* System header to define __stub macros and hopefully few prototypes,
     which can conflict with char $ac_func (); below.  */
@@ -10593,16 +10658,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:10596: \"$ac_link\"") >&5
+if { (eval echo "$as_me:10661: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:10599: \$? = $ac_status" >&5
+  echo "$as_me:10664: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:10602: \"$ac_try\"") >&5
+  { (eval echo "$as_me:10667: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:10605: \$? = $ac_status" >&5
+  echo "$as_me:10670: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   eval "$as_ac_var=yes"
 else
@@ -10612,7 +10677,7 @@
 fi
 rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
 fi
-echo "$as_me:10615: result: `eval echo '${'$as_ac_var'}'`" >&5
+echo "$as_me:10680: result: `eval echo '${'$as_ac_var'}'`" >&5
 echo "${ECHO_T}`eval echo '${'$as_ac_var'}'`" >&6
 if test `eval echo '${'$as_ac_var'}'` = yes; then
   cat >>confdefs.h <<EOF
@@ -10624,14 +10689,14 @@
 
 if test "$with_getcap" = "yes" ; then
 
-echo "$as_me:10627: checking for terminal-capability database functions" >&5
+echo "$as_me:10692: checking for terminal-capability database functions" >&5
 echo $ECHO_N "checking for terminal-capability database functions... $ECHO_C" >&6
 if test "${cf_cv_cgetent+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
 
 cat >conftest.$ac_ext <<_ACEOF
-#line 10634 "configure"
+#line 10699 "configure"
 #include "confdefs.h"
 
 #include <stdlib.h>
@@ -10651,16 +10716,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:10654: \"$ac_link\"") >&5
+if { (eval echo "$as_me:10719: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:10657: \$? = $ac_status" >&5
+  echo "$as_me:10722: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:10660: \"$ac_try\"") >&5
+  { (eval echo "$as_me:10725: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:10663: \$? = $ac_status" >&5
+  echo "$as_me:10728: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_cgetent=yes
 else
@@ -10672,7 +10737,7 @@
 
 fi
 
-echo "$as_me:10675: result: $cf_cv_cgetent" >&5
+echo "$as_me:10740: result: $cf_cv_cgetent" >&5
 echo "${ECHO_T}$cf_cv_cgetent" >&6
 test "$cf_cv_cgetent" = yes && cat >>confdefs.h <<\EOF
 #define HAVE_BSD_CGETENT 1
@@ -10680,14 +10745,14 @@
 
 fi
 
-echo "$as_me:10683: checking for isascii" >&5
+echo "$as_me:10748: checking for isascii" >&5
 echo $ECHO_N "checking for isascii... $ECHO_C" >&6
 if test "${cf_cv_have_isascii+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
 
 	cat >conftest.$ac_ext <<_ACEOF
-#line 10690 "configure"
+#line 10755 "configure"
 #include "confdefs.h"
 #include <ctype.h>
 int
@@ -10699,16 +10764,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:10702: \"$ac_link\"") >&5
+if { (eval echo "$as_me:10767: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:10705: \$? = $ac_status" >&5
+  echo "$as_me:10770: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:10708: \"$ac_try\"") >&5
+  { (eval echo "$as_me:10773: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:10711: \$? = $ac_status" >&5
+  echo "$as_me:10776: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_have_isascii=yes
 else
@@ -10719,17 +10784,17 @@
 rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
 
 fi
-echo "$as_me:10722: result: $cf_cv_have_isascii" >&5
+echo "$as_me:10787: result: $cf_cv_have_isascii" >&5
 echo "${ECHO_T}$cf_cv_have_isascii" >&6
 test "$cf_cv_have_isascii" = yes && cat >>confdefs.h <<\EOF
 #define HAVE_ISASCII 1
 EOF
 
 if test "$ac_cv_func_sigaction" = yes; then
-echo "$as_me:10729: checking whether sigaction needs _POSIX_SOURCE" >&5
+echo "$as_me:10794: checking whether sigaction needs _POSIX_SOURCE" >&5
 echo $ECHO_N "checking whether sigaction needs _POSIX_SOURCE... $ECHO_C" >&6
 cat >conftest.$ac_ext <<_ACEOF
-#line 10732 "configure"
+#line 10797 "configure"
 #include "confdefs.h"
 
 #include <sys/types.h>
@@ -10743,16 +10808,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:10746: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:10811: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:10749: \$? = $ac_status" >&5
+  echo "$as_me:10814: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:10752: \"$ac_try\"") >&5
+  { (eval echo "$as_me:10817: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:10755: \$? = $ac_status" >&5
+  echo "$as_me:10820: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   sigact_bad=no
 else
@@ -10760,7 +10825,7 @@
 cat conftest.$ac_ext >&5
 
 cat >conftest.$ac_ext <<_ACEOF
-#line 10763 "configure"
+#line 10828 "configure"
 #include "confdefs.h"
 
 #define _POSIX_SOURCE
@@ -10775,16 +10840,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:10778: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:10843: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:10781: \$? = $ac_status" >&5
+  echo "$as_me:10846: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:10784: \"$ac_try\"") >&5
+  { (eval echo "$as_me:10849: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:10787: \$? = $ac_status" >&5
+  echo "$as_me:10852: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   sigact_bad=yes
 	 cat >>confdefs.h <<\EOF
@@ -10799,11 +10864,11 @@
 rm -f conftest.$ac_objext conftest.$ac_ext
 fi
 rm -f conftest.$ac_objext conftest.$ac_ext
-echo "$as_me:10802: result: $sigact_bad" >&5
+echo "$as_me:10867: result: $sigact_bad" >&5
 echo "${ECHO_T}$sigact_bad" >&6
 fi
 
-echo "$as_me:10806: checking if nanosleep really works" >&5
+echo "$as_me:10871: checking if nanosleep really works" >&5
 echo $ECHO_N "checking if nanosleep really works... $ECHO_C" >&6
 if test "${cf_cv_func_nanosleep+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -10813,7 +10878,7 @@
   cf_cv_func_nanosleep=unknown
 else
   cat >conftest.$ac_ext <<_ACEOF
-#line 10816 "configure"
+#line 10881 "configure"
 #include "confdefs.h"
 
 #include <stdio.h>
@@ -10838,15 +10903,15 @@
 
 _ACEOF
 rm -f conftest$ac_exeext
-if { (eval echo "$as_me:10841: \"$ac_link\"") >&5
+if { (eval echo "$as_me:10906: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:10844: \$? = $ac_status" >&5
+  echo "$as_me:10909: \$? = $ac_status" >&5
   (exit $ac_status); } && { ac_try='./conftest$ac_exeext'
-  { (eval echo "$as_me:10846: \"$ac_try\"") >&5
+  { (eval echo "$as_me:10911: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:10849: \$? = $ac_status" >&5
+  echo "$as_me:10914: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_func_nanosleep=yes
 else
@@ -10858,7 +10923,7 @@
 rm -f core core.* *.core conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
 fi
 fi
-echo "$as_me:10861: result: $cf_cv_func_nanosleep" >&5
+echo "$as_me:10926: result: $cf_cv_func_nanosleep" >&5
 echo "${ECHO_T}$cf_cv_func_nanosleep" >&6
 
 test "$cf_cv_func_nanosleep" = "yes" && cat >>confdefs.h <<\EOF
@@ -10872,23 +10937,23 @@
 
 do
 as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
-echo "$as_me:10875: checking for $ac_header" >&5
+echo "$as_me:10940: checking for $ac_header" >&5
 echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
 if eval "test \"\${$as_ac_Header+set}\" = set"; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
   cat >conftest.$ac_ext <<_ACEOF
-#line 10881 "configure"
+#line 10946 "configure"
 #include "confdefs.h"
 #include <$ac_header>
 _ACEOF
-if { (eval echo "$as_me:10885: \"$ac_cpp conftest.$ac_ext\"") >&5
+if { (eval echo "$as_me:10950: \"$ac_cpp conftest.$ac_ext\"") >&5
   (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
   ac_status=$?
   egrep -v '^ *\+' conftest.er1 >conftest.err
   rm -f conftest.er1
   cat conftest.err >&5
-  echo "$as_me:10891: \$? = $ac_status" >&5
+  echo "$as_me:10956: \$? = $ac_status" >&5
   (exit $ac_status); } >/dev/null; then
   if test -s conftest.err; then
     ac_cpp_err=$ac_c_preproc_warn_flag
@@ -10907,7 +10972,7 @@
 fi
 rm -f conftest.err conftest.$ac_ext
 fi
-echo "$as_me:10910: result: `eval echo '${'$as_ac_Header'}'`" >&5
+echo "$as_me:10975: result: `eval echo '${'$as_ac_Header'}'`" >&5
 echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
 if test `eval echo '${'$as_ac_Header'}'` = yes; then
   cat >>confdefs.h <<EOF
@@ -10922,23 +10987,23 @@
 for ac_header in sys/termio.h
 do
 as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
-echo "$as_me:10925: checking for $ac_header" >&5
+echo "$as_me:10990: checking for $ac_header" >&5
 echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
 if eval "test \"\${$as_ac_Header+set}\" = set"; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
   cat >conftest.$ac_ext <<_ACEOF
-#line 10931 "configure"
+#line 10996 "configure"
 #include "confdefs.h"
 #include <$ac_header>
 _ACEOF
-if { (eval echo "$as_me:10935: \"$ac_cpp conftest.$ac_ext\"") >&5
+if { (eval echo "$as_me:11000: \"$ac_cpp conftest.$ac_ext\"") >&5
   (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
   ac_status=$?
   egrep -v '^ *\+' conftest.er1 >conftest.err
   rm -f conftest.er1
   cat conftest.err >&5
-  echo "$as_me:10941: \$? = $ac_status" >&5
+  echo "$as_me:11006: \$? = $ac_status" >&5
   (exit $ac_status); } >/dev/null; then
   if test -s conftest.err; then
     ac_cpp_err=$ac_c_preproc_warn_flag
@@ -10957,7 +11022,7 @@
 fi
 rm -f conftest.err conftest.$ac_ext
 fi
-echo "$as_me:10960: result: `eval echo '${'$as_ac_Header'}'`" >&5
+echo "$as_me:11025: result: `eval echo '${'$as_ac_Header'}'`" >&5
 echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
 if test `eval echo '${'$as_ac_Header'}'` = yes; then
   cat >>confdefs.h <<EOF
@@ -10975,10 +11040,10 @@
 	*)	termios_bad=maybe ;;
 	esac
 	if test "$termios_bad" = maybe ; then
-	echo "$as_me:10978: checking whether termios.h needs _POSIX_SOURCE" >&5
+	echo "$as_me:11043: checking whether termios.h needs _POSIX_SOURCE" >&5
 echo $ECHO_N "checking whether termios.h needs _POSIX_SOURCE... $ECHO_C" >&6
 	cat >conftest.$ac_ext <<_ACEOF
-#line 10981 "configure"
+#line 11046 "configure"
 #include "confdefs.h"
 #include <termios.h>
 int
@@ -10990,16 +11055,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:10993: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:11058: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:10996: \$? = $ac_status" >&5
+  echo "$as_me:11061: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:10999: \"$ac_try\"") >&5
+  { (eval echo "$as_me:11064: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:11002: \$? = $ac_status" >&5
+  echo "$as_me:11067: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   termios_bad=no
 else
@@ -11007,7 +11072,7 @@
 cat conftest.$ac_ext >&5
 
 		cat >conftest.$ac_ext <<_ACEOF
-#line 11010 "configure"
+#line 11075 "configure"
 #include "confdefs.h"
 
 #define _POSIX_SOURCE
@@ -11021,16 +11086,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:11024: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:11089: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:11027: \$? = $ac_status" >&5
+  echo "$as_me:11092: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:11030: \"$ac_try\"") >&5
+  { (eval echo "$as_me:11095: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:11033: \$? = $ac_status" >&5
+  echo "$as_me:11098: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   termios_bad=unknown
 else
@@ -11045,19 +11110,19 @@
 
 fi
 rm -f conftest.$ac_objext conftest.$ac_ext
-	echo "$as_me:11048: result: $termios_bad" >&5
+	echo "$as_me:11113: result: $termios_bad" >&5
 echo "${ECHO_T}$termios_bad" >&6
 	fi
 fi
 
-echo "$as_me:11053: checking for tcgetattr" >&5
+echo "$as_me:11118: checking for tcgetattr" >&5
 echo $ECHO_N "checking for tcgetattr... $ECHO_C" >&6
 if test "${cf_cv_have_tcgetattr+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
 
 cat >conftest.$ac_ext <<_ACEOF
-#line 11060 "configure"
+#line 11125 "configure"
 #include "confdefs.h"
 
 #include <sys/types.h>
@@ -11085,16 +11150,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:11088: \"$ac_link\"") >&5
+if { (eval echo "$as_me:11153: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:11091: \$? = $ac_status" >&5
+  echo "$as_me:11156: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:11094: \"$ac_try\"") >&5
+  { (eval echo "$as_me:11159: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:11097: \$? = $ac_status" >&5
+  echo "$as_me:11162: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_have_tcgetattr=yes
 else
@@ -11104,20 +11169,20 @@
 fi
 rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
 fi
-echo "$as_me:11107: result: $cf_cv_have_tcgetattr" >&5
+echo "$as_me:11172: result: $cf_cv_have_tcgetattr" >&5
 echo "${ECHO_T}$cf_cv_have_tcgetattr" >&6
 test "$cf_cv_have_tcgetattr" = yes && cat >>confdefs.h <<\EOF
 #define HAVE_TCGETATTR 1
 EOF
 
-echo "$as_me:11113: checking for vsscanf function or workaround" >&5
+echo "$as_me:11178: checking for vsscanf function or workaround" >&5
 echo $ECHO_N "checking for vsscanf function or workaround... $ECHO_C" >&6
 if test "${cf_cv_func_vsscanf+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
 
 cat >conftest.$ac_ext <<_ACEOF
-#line 11120 "configure"
+#line 11185 "configure"
 #include "confdefs.h"
 
 #include <stdarg.h>
@@ -11133,16 +11198,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:11136: \"$ac_link\"") >&5
+if { (eval echo "$as_me:11201: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:11139: \$? = $ac_status" >&5
+  echo "$as_me:11204: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:11142: \"$ac_try\"") >&5
+  { (eval echo "$as_me:11207: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:11145: \$? = $ac_status" >&5
+  echo "$as_me:11210: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_func_vsscanf=vsscanf
 else
@@ -11150,7 +11215,7 @@
 cat conftest.$ac_ext >&5
 
 cat >conftest.$ac_ext <<_ACEOF
-#line 11153 "configure"
+#line 11218 "configure"
 #include "confdefs.h"
 
 #include <stdarg.h>
@@ -11172,16 +11237,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:11175: \"$ac_link\"") >&5
+if { (eval echo "$as_me:11240: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:11178: \$? = $ac_status" >&5
+  echo "$as_me:11243: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:11181: \"$ac_try\"") >&5
+  { (eval echo "$as_me:11246: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:11184: \$? = $ac_status" >&5
+  echo "$as_me:11249: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_func_vsscanf=vfscanf
 else
@@ -11189,7 +11254,7 @@
 cat conftest.$ac_ext >&5
 
 cat >conftest.$ac_ext <<_ACEOF
-#line 11192 "configure"
+#line 11257 "configure"
 #include "confdefs.h"
 
 #include <stdarg.h>
@@ -11211,16 +11276,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:11214: \"$ac_link\"") >&5
+if { (eval echo "$as_me:11279: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:11217: \$? = $ac_status" >&5
+  echo "$as_me:11282: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:11220: \"$ac_try\"") >&5
+  { (eval echo "$as_me:11285: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:11223: \$? = $ac_status" >&5
+  echo "$as_me:11288: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_func_vsscanf=_doscan
 else
@@ -11235,7 +11300,7 @@
 fi
 rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
 fi
-echo "$as_me:11238: result: $cf_cv_func_vsscanf" >&5
+echo "$as_me:11303: result: $cf_cv_func_vsscanf" >&5
 echo "${ECHO_T}$cf_cv_func_vsscanf" >&6
 
 case $cf_cv_func_vsscanf in #(vi
@@ -11253,7 +11318,7 @@
 ;;
 esac
 
-echo "$as_me:11256: checking for working mkstemp" >&5
+echo "$as_me:11321: checking for working mkstemp" >&5
 echo $ECHO_N "checking for working mkstemp... $ECHO_C" >&6
 if test "${cf_cv_func_mkstemp+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -11261,13 +11326,13 @@
 
 rm -f conftest*
 if test "$cross_compiling" = yes; then
-  echo "$as_me:11264: checking for mkstemp" >&5
+  echo "$as_me:11329: checking for mkstemp" >&5
 echo $ECHO_N "checking for mkstemp... $ECHO_C" >&6
 if test "${ac_cv_func_mkstemp+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
   cat >conftest.$ac_ext <<_ACEOF
-#line 11270 "configure"
+#line 11335 "configure"
 #include "confdefs.h"
 /* System header to define __stub macros and hopefully few prototypes,
     which can conflict with char mkstemp (); below.  */
@@ -11298,16 +11363,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:11301: \"$ac_link\"") >&5
+if { (eval echo "$as_me:11366: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:11304: \$? = $ac_status" >&5
+  echo "$as_me:11369: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:11307: \"$ac_try\"") >&5
+  { (eval echo "$as_me:11372: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:11310: \$? = $ac_status" >&5
+  echo "$as_me:11375: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   ac_cv_func_mkstemp=yes
 else
@@ -11317,12 +11382,12 @@
 fi
 rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
 fi
-echo "$as_me:11320: result: $ac_cv_func_mkstemp" >&5
+echo "$as_me:11385: result: $ac_cv_func_mkstemp" >&5
 echo "${ECHO_T}$ac_cv_func_mkstemp" >&6
 
 else
   cat >conftest.$ac_ext <<_ACEOF
-#line 11325 "configure"
+#line 11390 "configure"
 #include "confdefs.h"
 
 #include <sys/types.h>
@@ -11360,15 +11425,15 @@
 
 _ACEOF
 rm -f conftest$ac_exeext
-if { (eval echo "$as_me:11363: \"$ac_link\"") >&5
+if { (eval echo "$as_me:11428: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:11366: \$? = $ac_status" >&5
+  echo "$as_me:11431: \$? = $ac_status" >&5
   (exit $ac_status); } && { ac_try='./conftest$ac_exeext'
-  { (eval echo "$as_me:11368: \"$ac_try\"") >&5
+  { (eval echo "$as_me:11433: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:11371: \$? = $ac_status" >&5
+  echo "$as_me:11436: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_func_mkstemp=yes
 
@@ -11383,7 +11448,7 @@
 fi
 
 fi
-echo "$as_me:11386: result: $cf_cv_func_mkstemp" >&5
+echo "$as_me:11451: result: $cf_cv_func_mkstemp" >&5
 echo "${ECHO_T}$cf_cv_func_mkstemp" >&6
 if test "$cf_cv_func_mkstemp" = yes ; then
 	cat >>confdefs.h <<\EOF
@@ -11400,21 +11465,21 @@
 fi
 
 if test "$cross_compiling" = yes ; then
-	{ echo "$as_me:11403: WARNING: cross compiling: assume setvbuf params not reversed" >&5
+	{ echo "$as_me:11468: WARNING: cross compiling: assume setvbuf params not reversed" >&5
 echo "$as_me: WARNING: cross compiling: assume setvbuf params not reversed" >&2;}
 else
-	echo "$as_me:11406: checking whether setvbuf arguments are reversed" >&5
+	echo "$as_me:11471: checking whether setvbuf arguments are reversed" >&5
 echo $ECHO_N "checking whether setvbuf arguments are reversed... $ECHO_C" >&6
 if test "${ac_cv_func_setvbuf_reversed+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
   if test "$cross_compiling" = yes; then
-  { { echo "$as_me:11412: error: cannot run test program while cross compiling" >&5
+  { { echo "$as_me:11477: error: cannot run test program while cross compiling" >&5
 echo "$as_me: error: cannot run test program while cross compiling" >&2;}
    { (exit 1); exit 1; }; }
 else
   cat >conftest.$ac_ext <<_ACEOF
-#line 11417 "configure"
+#line 11482 "configure"
 #include "confdefs.h"
 #include <stdio.h>
 /* If setvbuf has the reversed format, exit 0. */
@@ -11431,15 +11496,15 @@
 }
 _ACEOF
 rm -f conftest$ac_exeext
-if { (eval echo "$as_me:11434: \"$ac_link\"") >&5
+if { (eval echo "$as_me:11499: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:11437: \$? = $ac_status" >&5
+  echo "$as_me:11502: \$? = $ac_status" >&5
   (exit $ac_status); } && { ac_try='./conftest$ac_exeext'
-  { (eval echo "$as_me:11439: \"$ac_try\"") >&5
+  { (eval echo "$as_me:11504: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:11442: \$? = $ac_status" >&5
+  echo "$as_me:11507: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   ac_cv_func_setvbuf_reversed=yes
 else
@@ -11452,7 +11517,7 @@
 fi
 rm -f core core.* *.core
 fi
-echo "$as_me:11455: result: $ac_cv_func_setvbuf_reversed" >&5
+echo "$as_me:11520: result: $ac_cv_func_setvbuf_reversed" >&5
 echo "${ECHO_T}$ac_cv_func_setvbuf_reversed" >&6
 if test $ac_cv_func_setvbuf_reversed = yes; then
 
@@ -11463,13 +11528,13 @@
 fi
 
 fi
-echo "$as_me:11466: checking return type of signal handlers" >&5
+echo "$as_me:11531: checking return type of signal handlers" >&5
 echo $ECHO_N "checking return type of signal handlers... $ECHO_C" >&6
 if test "${ac_cv_type_signal+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
   cat >conftest.$ac_ext <<_ACEOF
-#line 11472 "configure"
+#line 11537 "configure"
 #include "confdefs.h"
 #include <sys/types.h>
 #include <signal.h>
@@ -11491,16 +11556,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:11494: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:11559: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:11497: \$? = $ac_status" >&5
+  echo "$as_me:11562: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:11500: \"$ac_try\"") >&5
+  { (eval echo "$as_me:11565: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:11503: \$? = $ac_status" >&5
+  echo "$as_me:11568: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   ac_cv_type_signal=void
 else
@@ -11510,21 +11575,21 @@
 fi
 rm -f conftest.$ac_objext conftest.$ac_ext
 fi
-echo "$as_me:11513: result: $ac_cv_type_signal" >&5
+echo "$as_me:11578: result: $ac_cv_type_signal" >&5
 echo "${ECHO_T}$ac_cv_type_signal" >&6
 
 cat >>confdefs.h <<EOF
 #define RETSIGTYPE $ac_cv_type_signal
 EOF
 
-echo "$as_me:11520: checking for type sigaction_t" >&5
+echo "$as_me:11585: checking for type sigaction_t" >&5
 echo $ECHO_N "checking for type sigaction_t... $ECHO_C" >&6
 if test "${cf_cv_type_sigaction+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
 
 	cat >conftest.$ac_ext <<_ACEOF
-#line 11527 "configure"
+#line 11592 "configure"
 #include "confdefs.h"
 
 #include <signal.h>
@@ -11537,16 +11602,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:11540: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:11605: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:11543: \$? = $ac_status" >&5
+  echo "$as_me:11608: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:11546: \"$ac_try\"") >&5
+  { (eval echo "$as_me:11611: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:11549: \$? = $ac_status" >&5
+  echo "$as_me:11614: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_type_sigaction=yes
 else
@@ -11557,13 +11622,13 @@
 rm -f conftest.$ac_objext conftest.$ac_ext
 fi
 
-echo "$as_me:11560: result: $cf_cv_type_sigaction" >&5
+echo "$as_me:11625: result: $cf_cv_type_sigaction" >&5
 echo "${ECHO_T}$cf_cv_type_sigaction" >&6
 test "$cf_cv_type_sigaction" = yes && cat >>confdefs.h <<\EOF
 #define HAVE_TYPE_SIGACTION 1
 EOF
 
-echo "$as_me:11566: checking declaration of size-change" >&5
+echo "$as_me:11631: checking declaration of size-change" >&5
 echo $ECHO_N "checking declaration of size-change... $ECHO_C" >&6
 if test "${cf_cv_sizechange+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -11578,7 +11643,7 @@
     CPPFLAGS="$cf_save_CPPFLAGS"
     test -n "$cf_opts" && CPPFLAGS="$CPPFLAGS -D$cf_opts"
     cat >conftest.$ac_ext <<_ACEOF
-#line 11581 "configure"
+#line 11646 "configure"
 #include "confdefs.h"
 #include <sys/types.h>
 #ifdef HAVE_TERMIOS_H
@@ -11622,16 +11687,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:11625: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:11690: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:11628: \$? = $ac_status" >&5
+  echo "$as_me:11693: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:11631: \"$ac_try\"") >&5
+  { (eval echo "$as_me:11696: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:11634: \$? = $ac_status" >&5
+  echo "$as_me:11699: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_sizechange=yes
 else
@@ -11650,7 +11715,7 @@
 done
 
 fi
-echo "$as_me:11653: result: $cf_cv_sizechange" >&5
+echo "$as_me:11718: result: $cf_cv_sizechange" >&5
 echo "${ECHO_T}$cf_cv_sizechange" >&6
 if test "$cf_cv_sizechange" != no ; then
 	cat >>confdefs.h <<\EOF
@@ -11667,13 +11732,13 @@
 	esac
 fi
 
-echo "$as_me:11670: checking for memmove" >&5
+echo "$as_me:11735: checking for memmove" >&5
 echo $ECHO_N "checking for memmove... $ECHO_C" >&6
 if test "${ac_cv_func_memmove+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
   cat >conftest.$ac_ext <<_ACEOF
-#line 11676 "configure"
+#line 11741 "configure"
 #include "confdefs.h"
 /* System header to define __stub macros and hopefully few prototypes,
     which can conflict with char memmove (); below.  */
@@ -11704,16 +11769,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:11707: \"$ac_link\"") >&5
+if { (eval echo "$as_me:11772: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:11710: \$? = $ac_status" >&5
+  echo "$as_me:11775: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:11713: \"$ac_try\"") >&5
+  { (eval echo "$as_me:11778: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:11716: \$? = $ac_status" >&5
+  echo "$as_me:11781: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   ac_cv_func_memmove=yes
 else
@@ -11723,19 +11788,19 @@
 fi
 rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
 fi
-echo "$as_me:11726: result: $ac_cv_func_memmove" >&5
+echo "$as_me:11791: result: $ac_cv_func_memmove" >&5
 echo "${ECHO_T}$ac_cv_func_memmove" >&6
 if test $ac_cv_func_memmove = yes; then
   :
 else
 
-echo "$as_me:11732: checking for bcopy" >&5
+echo "$as_me:11797: checking for bcopy" >&5
 echo $ECHO_N "checking for bcopy... $ECHO_C" >&6
 if test "${ac_cv_func_bcopy+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
   cat >conftest.$ac_ext <<_ACEOF
-#line 11738 "configure"
+#line 11803 "configure"
 #include "confdefs.h"
 /* System header to define __stub macros and hopefully few prototypes,
     which can conflict with char bcopy (); below.  */
@@ -11766,16 +11831,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:11769: \"$ac_link\"") >&5
+if { (eval echo "$as_me:11834: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:11772: \$? = $ac_status" >&5
+  echo "$as_me:11837: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:11775: \"$ac_try\"") >&5
+  { (eval echo "$as_me:11840: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:11778: \$? = $ac_status" >&5
+  echo "$as_me:11843: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   ac_cv_func_bcopy=yes
 else
@@ -11785,11 +11850,11 @@
 fi
 rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
 fi
-echo "$as_me:11788: result: $ac_cv_func_bcopy" >&5
+echo "$as_me:11853: result: $ac_cv_func_bcopy" >&5
 echo "${ECHO_T}$ac_cv_func_bcopy" >&6
 if test $ac_cv_func_bcopy = yes; then
 
-	echo "$as_me:11792: checking if bcopy does overlapping moves" >&5
+	echo "$as_me:11857: checking if bcopy does overlapping moves" >&5
 echo $ECHO_N "checking if bcopy does overlapping moves... $ECHO_C" >&6
 if test "${cf_cv_good_bcopy+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -11799,7 +11864,7 @@
   cf_cv_good_bcopy=unknown
 else
   cat >conftest.$ac_ext <<_ACEOF
-#line 11802 "configure"
+#line 11867 "configure"
 #include "confdefs.h"
 
 int main() {
@@ -11813,15 +11878,15 @@
 
 _ACEOF
 rm -f conftest$ac_exeext
-if { (eval echo "$as_me:11816: \"$ac_link\"") >&5
+if { (eval echo "$as_me:11881: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:11819: \$? = $ac_status" >&5
+  echo "$as_me:11884: \$? = $ac_status" >&5
   (exit $ac_status); } && { ac_try='./conftest$ac_exeext'
-  { (eval echo "$as_me:11821: \"$ac_try\"") >&5
+  { (eval echo "$as_me:11886: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:11824: \$? = $ac_status" >&5
+  echo "$as_me:11889: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_good_bcopy=yes
 else
@@ -11834,7 +11899,7 @@
 fi
 
 fi
-echo "$as_me:11837: result: $cf_cv_good_bcopy" >&5
+echo "$as_me:11902: result: $cf_cv_good_bcopy" >&5
 echo "${ECHO_T}$cf_cv_good_bcopy" >&6
 
 else
@@ -11855,7 +11920,7 @@
 
 fi
 
-echo "$as_me:11858: checking if poll really works" >&5
+echo "$as_me:11923: checking if poll really works" >&5
 echo $ECHO_N "checking if poll really works... $ECHO_C" >&6
 if test "${cf_cv_working_poll+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -11865,7 +11930,7 @@
   cf_cv_working_poll=unknown
 else
   cat >conftest.$ac_ext <<_ACEOF
-#line 11868 "configure"
+#line 11933 "configure"
 #include "confdefs.h"
 
 #include <stdio.h>
@@ -11886,15 +11951,15 @@
 }
 _ACEOF
 rm -f conftest$ac_exeext
-if { (eval echo "$as_me:11889: \"$ac_link\"") >&5
+if { (eval echo "$as_me:11954: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:11892: \$? = $ac_status" >&5
+  echo "$as_me:11957: \$? = $ac_status" >&5
   (exit $ac_status); } && { ac_try='./conftest$ac_exeext'
-  { (eval echo "$as_me:11894: \"$ac_try\"") >&5
+  { (eval echo "$as_me:11959: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:11897: \$? = $ac_status" >&5
+  echo "$as_me:11962: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_working_poll=yes
 else
@@ -11906,7 +11971,7 @@
 rm -f core core.* *.core conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
 fi
 fi
-echo "$as_me:11909: result: $cf_cv_working_poll" >&5
+echo "$as_me:11974: result: $cf_cv_working_poll" >&5
 echo "${ECHO_T}$cf_cv_working_poll" >&6
 test "$cf_cv_working_poll" = "yes" && cat >>confdefs.h <<\EOF
 #define HAVE_WORKING_POLL 1
@@ -11919,7 +11984,7 @@
 
 # Just in case, check if the C compiler has a bool type.
 
-echo "$as_me:11922: checking if we should include stdbool.h" >&5
+echo "$as_me:11987: checking if we should include stdbool.h" >&5
 echo $ECHO_N "checking if we should include stdbool.h... $ECHO_C" >&6
 
 if test "${cf_cv_header_stdbool_h+set}" = set; then
@@ -11927,7 +11992,7 @@
 else
 
 	cat >conftest.$ac_ext <<_ACEOF
-#line 11930 "configure"
+#line 11995 "configure"
 #include "confdefs.h"
 
 int
@@ -11939,23 +12004,23 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:11942: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:12007: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:11945: \$? = $ac_status" >&5
+  echo "$as_me:12010: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:11948: \"$ac_try\"") >&5
+  { (eval echo "$as_me:12013: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:11951: \$? = $ac_status" >&5
+  echo "$as_me:12016: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_header_stdbool_h=0
 else
   echo "$as_me: failed program was:" >&5
 cat conftest.$ac_ext >&5
 cat >conftest.$ac_ext <<_ACEOF
-#line 11958 "configure"
+#line 12023 "configure"
 #include "confdefs.h"
 
 #ifndef __BEOS__
@@ -11971,16 +12036,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:11974: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:12039: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:11977: \$? = $ac_status" >&5
+  echo "$as_me:12042: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:11980: \"$ac_try\"") >&5
+  { (eval echo "$as_me:12045: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:11983: \$? = $ac_status" >&5
+  echo "$as_me:12048: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_header_stdbool_h=1
 else
@@ -11994,13 +12059,13 @@
 fi
 
 if test "$cf_cv_header_stdbool_h" = 1
-then	echo "$as_me:11997: result: yes" >&5
+then	echo "$as_me:12062: result: yes" >&5
 echo "${ECHO_T}yes" >&6
-else	echo "$as_me:11999: result: no" >&5
+else	echo "$as_me:12064: result: no" >&5
 echo "${ECHO_T}no" >&6
 fi
 
-echo "$as_me:12003: checking for builtin bool type" >&5
+echo "$as_me:12068: checking for builtin bool type" >&5
 echo $ECHO_N "checking for builtin bool type... $ECHO_C" >&6
 
 if test "${cf_cv_cc_bool_type+set}" = set; then
@@ -12008,7 +12073,7 @@
 else
 
 	cat >conftest.$ac_ext <<_ACEOF
-#line 12011 "configure"
+#line 12076 "configure"
 #include "confdefs.h"
 
 #include <stdio.h>
@@ -12023,16 +12088,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:12026: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:12091: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:12029: \$? = $ac_status" >&5
+  echo "$as_me:12094: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:12032: \"$ac_try\"") >&5
+  { (eval echo "$as_me:12097: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:12035: \$? = $ac_status" >&5
+  echo "$as_me:12100: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_cc_bool_type=1
 else
@@ -12045,9 +12110,9 @@
 fi
 
 if test "$cf_cv_cc_bool_type" = 1
-then	echo "$as_me:12048: result: yes" >&5
+then	echo "$as_me:12113: result: yes" >&5
 echo "${ECHO_T}yes" >&6
-else	echo "$as_me:12050: result: no" >&5
+else	echo "$as_me:12115: result: no" >&5
 echo "${ECHO_T}no" >&6
 fi
 
@@ -12068,7 +12133,7 @@
 	cf_stdcpp_libname=stdc++
 	;;
 esac
-echo "$as_me:12071: checking for library $cf_stdcpp_libname" >&5
+echo "$as_me:12136: checking for library $cf_stdcpp_libname" >&5
 echo $ECHO_N "checking for library $cf_stdcpp_libname... $ECHO_C" >&6
 if test "${cf_cv_libstdcpp+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -12077,7 +12142,7 @@
 	cf_save="$LIBS"
 	LIBS="$LIBS -l$cf_stdcpp_libname"
 cat >conftest.$ac_ext <<_ACEOF
-#line 12080 "configure"
+#line 12145 "configure"
 #include "confdefs.h"
 
 #include <strstream.h>
@@ -12093,16 +12158,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:12096: \"$ac_link\"") >&5
+if { (eval echo "$as_me:12161: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:12099: \$? = $ac_status" >&5
+  echo "$as_me:12164: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:12102: \"$ac_try\"") >&5
+  { (eval echo "$as_me:12167: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:12105: \$? = $ac_status" >&5
+  echo "$as_me:12170: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_libstdcpp=yes
 else
@@ -12114,12 +12179,12 @@
 	LIBS="$cf_save"
 
 fi
-echo "$as_me:12117: result: $cf_cv_libstdcpp" >&5
+echo "$as_me:12182: result: $cf_cv_libstdcpp" >&5
 echo "${ECHO_T}$cf_cv_libstdcpp" >&6
 test "$cf_cv_libstdcpp" = yes && CXXLIBS="$CXXLIBS -l$cf_stdcpp_libname"
 fi
 
-	echo "$as_me:12122: checking whether $CXX understands -c and -o together" >&5
+	echo "$as_me:12187: checking whether $CXX understands -c and -o together" >&5
 echo $ECHO_N "checking whether $CXX understands -c and -o together... $ECHO_C" >&6
 if test "${cf_cv_prog_CXX_c_o+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -12135,15 +12200,15 @@
 # We do the test twice because some compilers refuse to overwrite an
 # existing .o file with -o, though they will create one.
 ac_try='$CXX -c conftest.$ac_ext -o conftest2.$ac_objext >&5'
-if { (eval echo "$as_me:12138: \"$ac_try\"") >&5
+if { (eval echo "$as_me:12203: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:12141: \$? = $ac_status" >&5
+  echo "$as_me:12206: \$? = $ac_status" >&5
   (exit $ac_status); } &&
-  test -f conftest2.$ac_objext && { (eval echo "$as_me:12143: \"$ac_try\"") >&5
+  test -f conftest2.$ac_objext && { (eval echo "$as_me:12208: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:12146: \$? = $ac_status" >&5
+  echo "$as_me:12211: \$? = $ac_status" >&5
   (exit $ac_status); };
 then
   eval cf_cv_prog_CXX_c_o=yes
@@ -12154,10 +12219,10 @@
 
 fi
 if test $cf_cv_prog_CXX_c_o = yes; then
-  echo "$as_me:12157: result: yes" >&5
+  echo "$as_me:12222: result: yes" >&5
 echo "${ECHO_T}yes" >&6
 else
-  echo "$as_me:12160: result: no" >&5
+  echo "$as_me:12225: result: no" >&5
 echo "${ECHO_T}no" >&6
 fi
 
@@ -12177,12 +12242,12 @@
 	;;
 esac
 if test "$GXX" = yes; then
-	echo "$as_me:12180: checking for lib$cf_gpp_libname" >&5
+	echo "$as_me:12245: checking for lib$cf_gpp_libname" >&5
 echo $ECHO_N "checking for lib$cf_gpp_libname... $ECHO_C" >&6
 	cf_save="$LIBS"
 	LIBS="$LIBS -l$cf_gpp_libname"
 	cat >conftest.$ac_ext <<_ACEOF
-#line 12185 "configure"
+#line 12250 "configure"
 #include "confdefs.h"
 
 #include <$cf_gpp_libname/builtin.h>
@@ -12196,16 +12261,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:12199: \"$ac_link\"") >&5
+if { (eval echo "$as_me:12264: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:12202: \$? = $ac_status" >&5
+  echo "$as_me:12267: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:12205: \"$ac_try\"") >&5
+  { (eval echo "$as_me:12270: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:12208: \$? = $ac_status" >&5
+  echo "$as_me:12273: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cxx_library=yes
 	 CXXLIBS="$CXXLIBS -l$cf_gpp_libname"
@@ -12224,7 +12289,7 @@
   echo "$as_me: failed program was:" >&5
 cat conftest.$ac_ext >&5
 cat >conftest.$ac_ext <<_ACEOF
-#line 12227 "configure"
+#line 12292 "configure"
 #include "confdefs.h"
 
 #include <builtin.h>
@@ -12238,16 +12303,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:12241: \"$ac_link\"") >&5
+if { (eval echo "$as_me:12306: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:12244: \$? = $ac_status" >&5
+  echo "$as_me:12309: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:12247: \"$ac_try\"") >&5
+  { (eval echo "$as_me:12312: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:12250: \$? = $ac_status" >&5
+  echo "$as_me:12315: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cxx_library=yes
 	 CXXLIBS="$CXXLIBS -l$cf_gpp_libname"
@@ -12264,7 +12329,7 @@
 fi
 rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
 	LIBS="$cf_save"
-	echo "$as_me:12267: result: $cf_cxx_library" >&5
+	echo "$as_me:12332: result: $cf_cxx_library" >&5
 echo "${ECHO_T}$cf_cxx_library" >&6
 fi
 
@@ -12279,7 +12344,7 @@
 ac_compile='$CXX -c $CXXFLAGS $CPPFLAGS conftest.$ac_ext >&5'
 ac_link='$CXX -o conftest$ac_exeext $CXXFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
 ac_compiler_gnu=$ac_cv_cxx_compiler_gnu
-echo "$as_me:12282: checking how to run the C++ preprocessor" >&5
+echo "$as_me:12347: checking how to run the C++ preprocessor" >&5
 echo $ECHO_N "checking how to run the C++ preprocessor... $ECHO_C" >&6
 if test -z "$CXXCPP"; then
   if test "${ac_cv_prog_CXXCPP+set}" = set; then
@@ -12296,18 +12361,18 @@
   # On the NeXT, cc -E runs the code through the compiler's parser,
   # not just through cpp. "Syntax error" is here to catch this case.
   cat >conftest.$ac_ext <<_ACEOF
-#line 12299 "configure"
+#line 12364 "configure"
 #include "confdefs.h"
 #include <assert.h>
                      Syntax error
 _ACEOF
-if { (eval echo "$as_me:12304: \"$ac_cpp conftest.$ac_ext\"") >&5
+if { (eval echo "$as_me:12369: \"$ac_cpp conftest.$ac_ext\"") >&5
   (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
   ac_status=$?
   egrep -v '^ *\+' conftest.er1 >conftest.err
   rm -f conftest.er1
   cat conftest.err >&5
-  echo "$as_me:12310: \$? = $ac_status" >&5
+  echo "$as_me:12375: \$? = $ac_status" >&5
   (exit $ac_status); } >/dev/null; then
   if test -s conftest.err; then
     ac_cpp_err=$ac_cxx_preproc_warn_flag
@@ -12330,17 +12395,17 @@
   # OK, works on sane cases.  Now check whether non-existent headers
   # can be detected and how.
   cat >conftest.$ac_ext <<_ACEOF
-#line 12333 "configure"
+#line 12398 "configure"
 #include "confdefs.h"
 #include <ac_nonexistent.h>
 _ACEOF
-if { (eval echo "$as_me:12337: \"$ac_cpp conftest.$ac_ext\"") >&5
+if { (eval echo "$as_me:12402: \"$ac_cpp conftest.$ac_ext\"") >&5
   (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
   ac_status=$?
   egrep -v '^ *\+' conftest.er1 >conftest.err
   rm -f conftest.er1
   cat conftest.err >&5
-  echo "$as_me:12343: \$? = $ac_status" >&5
+  echo "$as_me:12408: \$? = $ac_status" >&5
   (exit $ac_status); } >/dev/null; then
   if test -s conftest.err; then
     ac_cpp_err=$ac_cxx_preproc_warn_flag
@@ -12377,7 +12442,7 @@
 else
   ac_cv_prog_CXXCPP=$CXXCPP
 fi
-echo "$as_me:12380: result: $CXXCPP" >&5
+echo "$as_me:12445: result: $CXXCPP" >&5
 echo "${ECHO_T}$CXXCPP" >&6
 ac_preproc_ok=false
 for ac_cxx_preproc_warn_flag in '' yes
@@ -12387,18 +12452,18 @@
   # On the NeXT, cc -E runs the code through the compiler's parser,
   # not just through cpp. "Syntax error" is here to catch this case.
   cat >conftest.$ac_ext <<_ACEOF
-#line 12390 "configure"
+#line 12455 "configure"
 #include "confdefs.h"
 #include <assert.h>
                      Syntax error
 _ACEOF
-if { (eval echo "$as_me:12395: \"$ac_cpp conftest.$ac_ext\"") >&5
+if { (eval echo "$as_me:12460: \"$ac_cpp conftest.$ac_ext\"") >&5
   (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
   ac_status=$?
   egrep -v '^ *\+' conftest.er1 >conftest.err
   rm -f conftest.er1
   cat conftest.err >&5
-  echo "$as_me:12401: \$? = $ac_status" >&5
+  echo "$as_me:12466: \$? = $ac_status" >&5
   (exit $ac_status); } >/dev/null; then
   if test -s conftest.err; then
     ac_cpp_err=$ac_cxx_preproc_warn_flag
@@ -12421,17 +12486,17 @@
   # OK, works on sane cases.  Now check whether non-existent headers
   # can be detected and how.
   cat >conftest.$ac_ext <<_ACEOF
-#line 12424 "configure"
+#line 12489 "configure"
 #include "confdefs.h"
 #include <ac_nonexistent.h>
 _ACEOF
-if { (eval echo "$as_me:12428: \"$ac_cpp conftest.$ac_ext\"") >&5
+if { (eval echo "$as_me:12493: \"$ac_cpp conftest.$ac_ext\"") >&5
   (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
   ac_status=$?
   egrep -v '^ *\+' conftest.er1 >conftest.err
   rm -f conftest.er1
   cat conftest.err >&5
-  echo "$as_me:12434: \$? = $ac_status" >&5
+  echo "$as_me:12499: \$? = $ac_status" >&5
   (exit $ac_status); } >/dev/null; then
   if test -s conftest.err; then
     ac_cpp_err=$ac_cxx_preproc_warn_flag
@@ -12459,7 +12524,7 @@
 if $ac_preproc_ok; then
   :
 else
-  { { echo "$as_me:12462: error: C++ preprocessor \"$CXXCPP\" fails sanity check" >&5
+  { { echo "$as_me:12527: error: C++ preprocessor \"$CXXCPP\" fails sanity check" >&5
 echo "$as_me: error: C++ preprocessor \"$CXXCPP\" fails sanity check" >&2;}
    { (exit 1); exit 1; }; }
 fi
@@ -12473,23 +12538,23 @@
 for ac_header in typeinfo
 do
 as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
-echo "$as_me:12476: checking for $ac_header" >&5
+echo "$as_me:12541: checking for $ac_header" >&5
 echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
 if eval "test \"\${$as_ac_Header+set}\" = set"; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
   cat >conftest.$ac_ext <<_ACEOF
-#line 12482 "configure"
+#line 12547 "configure"
 #include "confdefs.h"
 #include <$ac_header>
 _ACEOF
-if { (eval echo "$as_me:12486: \"$ac_cpp conftest.$ac_ext\"") >&5
+if { (eval echo "$as_me:12551: \"$ac_cpp conftest.$ac_ext\"") >&5
   (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
   ac_status=$?
   egrep -v '^ *\+' conftest.er1 >conftest.err
   rm -f conftest.er1
   cat conftest.err >&5
-  echo "$as_me:12492: \$? = $ac_status" >&5
+  echo "$as_me:12557: \$? = $ac_status" >&5
   (exit $ac_status); } >/dev/null; then
   if test -s conftest.err; then
     ac_cpp_err=$ac_cxx_preproc_warn_flag
@@ -12508,7 +12573,7 @@
 fi
 rm -f conftest.err conftest.$ac_ext
 fi
-echo "$as_me:12511: result: `eval echo '${'$as_ac_Header'}'`" >&5
+echo "$as_me:12576: result: `eval echo '${'$as_ac_Header'}'`" >&5
 echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
 if test `eval echo '${'$as_ac_Header'}'` = yes; then
   cat >>confdefs.h <<EOF
@@ -12518,7 +12583,7 @@
 fi
 done
 
-echo "$as_me:12521: checking if we should include stdbool.h" >&5
+echo "$as_me:12586: checking if we should include stdbool.h" >&5
 echo $ECHO_N "checking if we should include stdbool.h... $ECHO_C" >&6
 
 if test "${cf_cv_header_stdbool_h+set}" = set; then
@@ -12526,7 +12591,7 @@
 else
 
 	cat >conftest.$ac_ext <<_ACEOF
-#line 12529 "configure"
+#line 12594 "configure"
 #include "confdefs.h"
 
 int
@@ -12538,23 +12603,23 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:12541: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:12606: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:12544: \$? = $ac_status" >&5
+  echo "$as_me:12609: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:12547: \"$ac_try\"") >&5
+  { (eval echo "$as_me:12612: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:12550: \$? = $ac_status" >&5
+  echo "$as_me:12615: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_header_stdbool_h=0
 else
   echo "$as_me: failed program was:" >&5
 cat conftest.$ac_ext >&5
 cat >conftest.$ac_ext <<_ACEOF
-#line 12557 "configure"
+#line 12622 "configure"
 #include "confdefs.h"
 
 #ifndef __BEOS__
@@ -12570,16 +12635,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:12573: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:12638: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:12576: \$? = $ac_status" >&5
+  echo "$as_me:12641: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:12579: \"$ac_try\"") >&5
+  { (eval echo "$as_me:12644: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:12582: \$? = $ac_status" >&5
+  echo "$as_me:12647: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_header_stdbool_h=1
 else
@@ -12593,13 +12658,13 @@
 fi
 
 if test "$cf_cv_header_stdbool_h" = 1
-then	echo "$as_me:12596: result: yes" >&5
+then	echo "$as_me:12661: result: yes" >&5
 echo "${ECHO_T}yes" >&6
-else	echo "$as_me:12598: result: no" >&5
+else	echo "$as_me:12663: result: no" >&5
 echo "${ECHO_T}no" >&6
 fi
 
-echo "$as_me:12602: checking for builtin bool type" >&5
+echo "$as_me:12667: checking for builtin bool type" >&5
 echo $ECHO_N "checking for builtin bool type... $ECHO_C" >&6
 
 if test "${cf_cv_builtin_bool+set}" = set; then
@@ -12607,7 +12672,7 @@
 else
 
 	cat >conftest.$ac_ext <<_ACEOF
-#line 12610 "configure"
+#line 12675 "configure"
 #include "confdefs.h"
 
 #include <stdio.h>
@@ -12622,16 +12687,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:12625: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:12690: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:12628: \$? = $ac_status" >&5
+  echo "$as_me:12693: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:12631: \"$ac_try\"") >&5
+  { (eval echo "$as_me:12696: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:12634: \$? = $ac_status" >&5
+  echo "$as_me:12699: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_builtin_bool=1
 else
@@ -12644,13 +12709,13 @@
 fi
 
 if test "$cf_cv_builtin_bool" = 1
-then	echo "$as_me:12647: result: yes" >&5
+then	echo "$as_me:12712: result: yes" >&5
 echo "${ECHO_T}yes" >&6
-else	echo "$as_me:12649: result: no" >&5
+else	echo "$as_me:12714: result: no" >&5
 echo "${ECHO_T}no" >&6
 fi
 
-echo "$as_me:12653: checking for size of bool" >&5
+echo "$as_me:12718: checking for size of bool" >&5
 echo $ECHO_N "checking for size of bool... $ECHO_C" >&6
 if test "${cf_cv_type_of_bool+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -12661,7 +12726,7 @@
   cf_cv_type_of_bool=unknown
 else
   cat >conftest.$ac_ext <<_ACEOF
-#line 12664 "configure"
+#line 12729 "configure"
 #include "confdefs.h"
 
 #include <stdlib.h>
@@ -12703,15 +12768,15 @@
 
 _ACEOF
 rm -f conftest$ac_exeext
-if { (eval echo "$as_me:12706: \"$ac_link\"") >&5
+if { (eval echo "$as_me:12771: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:12709: \$? = $ac_status" >&5
+  echo "$as_me:12774: \$? = $ac_status" >&5
   (exit $ac_status); } && { ac_try='./conftest$ac_exeext'
-  { (eval echo "$as_me:12711: \"$ac_try\"") >&5
+  { (eval echo "$as_me:12776: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:12714: \$? = $ac_status" >&5
+  echo "$as_me:12779: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_type_of_bool=`cat cf_test.out`
 		 if test -z "$cf_cv_type_of_bool"; then
@@ -12729,18 +12794,18 @@
 fi
 
 	rm -f cf_test.out
-echo "$as_me:12732: result: $cf_cv_type_of_bool" >&5
+echo "$as_me:12797: result: $cf_cv_type_of_bool" >&5
 echo "${ECHO_T}$cf_cv_type_of_bool" >&6
 if test "$cf_cv_type_of_bool" = unknown ; then
 	case .$NCURSES_BOOL in #(vi
 	.auto|.) NCURSES_BOOL=unsigned;;
 	esac
-	{ echo "$as_me:12738: WARNING: Assuming $NCURSES_BOOL for type of bool" >&5
+	{ echo "$as_me:12803: WARNING: Assuming $NCURSES_BOOL for type of bool" >&5
 echo "$as_me: WARNING: Assuming $NCURSES_BOOL for type of bool" >&2;}
 	cf_cv_type_of_bool=$NCURSES_BOOL
 fi
 
-echo "$as_me:12743: checking for special defines needed for etip.h" >&5
+echo "$as_me:12808: checking for special defines needed for etip.h" >&5
 echo $ECHO_N "checking for special defines needed for etip.h... $ECHO_C" >&6
 cf_save_CXXFLAGS="$CXXFLAGS"
 cf_result="none"
@@ -12752,7 +12817,7 @@
 	test -n "$cf_math" && CXXFLAGS="$CXXFLAGS -DETIP_NEEDS_${cf_math}"
 	test -n "$cf_excp" && CXXFLAGS="$CXXFLAGS -DETIP_NEEDS_${cf_excp}"
 cat >conftest.$ac_ext <<_ACEOF
-#line 12755 "configure"
+#line 12820 "configure"
 #include "confdefs.h"
 
 #include <etip.h.in>
@@ -12766,16 +12831,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:12769: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:12834: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:12772: \$? = $ac_status" >&5
+  echo "$as_me:12837: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:12775: \"$ac_try\"") >&5
+  { (eval echo "$as_me:12840: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:12778: \$? = $ac_status" >&5
+  echo "$as_me:12843: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
 
 	test -n "$cf_math" && cat >>confdefs.h <<EOF
@@ -12796,12 +12861,12 @@
 rm -f conftest.$ac_objext conftest.$ac_ext
 done
 done
-echo "$as_me:12799: result: $cf_result" >&5
+echo "$as_me:12864: result: $cf_result" >&5
 echo "${ECHO_T}$cf_result" >&6
 CXXFLAGS="$cf_save_CXXFLAGS"
 
 if test -n "$CXX"; then
-echo "$as_me:12804: checking if $CXX accepts parameter initialization" >&5
+echo "$as_me:12869: checking if $CXX accepts parameter initialization" >&5
 echo $ECHO_N "checking if $CXX accepts parameter initialization... $ECHO_C" >&6
 if test "${cf_cv_cpp_param_init+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -12817,7 +12882,7 @@
   cf_cv_cpp_param_init=unknown
 else
   cat >conftest.$ac_ext <<_ACEOF
-#line 12820 "configure"
+#line 12885 "configure"
 #include "confdefs.h"
 
 class TEST {
@@ -12836,15 +12901,15 @@
 
 _ACEOF
 rm -f conftest$ac_exeext
-if { (eval echo "$as_me:12839: \"$ac_link\"") >&5
+if { (eval echo "$as_me:12904: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:12842: \$? = $ac_status" >&5
+  echo "$as_me:12907: \$? = $ac_status" >&5
   (exit $ac_status); } && { ac_try='./conftest$ac_exeext'
-  { (eval echo "$as_me:12844: \"$ac_try\"") >&5
+  { (eval echo "$as_me:12909: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:12847: \$? = $ac_status" >&5
+  echo "$as_me:12912: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_cpp_param_init=yes
 else
@@ -12862,7 +12927,7 @@
 ac_compiler_gnu=$ac_cv_cxx_compiler_gnu
 
 fi
-echo "$as_me:12865: result: $cf_cv_cpp_param_init" >&5
+echo "$as_me:12930: result: $cf_cv_cpp_param_init" >&5
 echo "${ECHO_T}$cf_cv_cpp_param_init" >&6
 fi
 test "$cf_cv_cpp_param_init" = yes && cat >>confdefs.h <<\EOF
@@ -12871,7 +12936,7 @@
 
 if test -n "$CXX"; then
 
-echo "$as_me:12874: checking if $CXX accepts static_cast" >&5
+echo "$as_me:12939: checking if $CXX accepts static_cast" >&5
 echo $ECHO_N "checking if $CXX accepts static_cast... $ECHO_C" >&6
 if test "${cf_cv_cpp_static_cast+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -12884,7 +12949,7 @@
 ac_compiler_gnu=$ac_cv_cxx_compiler_gnu
 
 	cat >conftest.$ac_ext <<_ACEOF
-#line 12887 "configure"
+#line 12952 "configure"
 #include "confdefs.h"
 
 class NCursesPanel
@@ -12928,16 +12993,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:12931: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:12996: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:12934: \$? = $ac_status" >&5
+  echo "$as_me:12999: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:12937: \"$ac_try\"") >&5
+  { (eval echo "$as_me:13002: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:12940: \$? = $ac_status" >&5
+  echo "$as_me:13005: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_cpp_static_cast=yes
 else
@@ -12954,7 +13019,7 @@
 ac_compiler_gnu=$ac_cv_cxx_compiler_gnu
 
 fi
-echo "$as_me:12957: result: $cf_cv_cpp_static_cast" >&5
+echo "$as_me:13022: result: $cf_cv_cpp_static_cast" >&5
 echo "${ECHO_T}$cf_cv_cpp_static_cast" >&6
 
 fi
@@ -12974,23 +13039,23 @@
 for ac_header in strstream.h
 do
 as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
-echo "$as_me:12977: checking for $ac_header" >&5
+echo "$as_me:13042: checking for $ac_header" >&5
 echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
 if eval "test \"\${$as_ac_Header+set}\" = set"; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
   cat >conftest.$ac_ext <<_ACEOF
-#line 12983 "configure"
+#line 13048 "configure"
 #include "confdefs.h"
 #include <$ac_header>
 _ACEOF
-if { (eval echo "$as_me:12987: \"$ac_cpp conftest.$ac_ext\"") >&5
+if { (eval echo "$as_me:13052: \"$ac_cpp conftest.$ac_ext\"") >&5
   (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
   ac_status=$?
   egrep -v '^ *\+' conftest.er1 >conftest.err
   rm -f conftest.er1
   cat conftest.err >&5
-  echo "$as_me:12993: \$? = $ac_status" >&5
+  echo "$as_me:13058: \$? = $ac_status" >&5
   (exit $ac_status); } >/dev/null; then
   if test -s conftest.err; then
     ac_cpp_err=$ac_cxx_preproc_warn_flag
@@ -13009,7 +13074,7 @@
 fi
 rm -f conftest.err conftest.$ac_ext
 fi
-echo "$as_me:13012: result: `eval echo '${'$as_ac_Header'}'`" >&5
+echo "$as_me:13077: result: `eval echo '${'$as_ac_Header'}'`" >&5
 echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
 if test `eval echo '${'$as_ac_Header'}'` = yes; then
   cat >>confdefs.h <<EOF
@@ -13019,7 +13084,7 @@
 fi
 done
 
-echo "$as_me:13022: checking if $CXX supports vscan function" >&5
+echo "$as_me:13087: checking if $CXX supports vscan function" >&5
 echo $ECHO_N "checking if $CXX supports vscan function... $ECHO_C" >&6
 if test "${cf_cv_cpp_vscan_func+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -13033,7 +13098,7 @@
 	strstream_cast)	cf_vscan_defs=USE_STRSTREAM_VSCAN_CAST ;;
 	esac
 	cat >conftest.$ac_ext <<_ACEOF
-#line 13036 "configure"
+#line 13101 "configure"
 #include "confdefs.h"
 
 #include <stdio.h>
@@ -13078,16 +13143,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:13081: \"$ac_link\"") >&5
+if { (eval echo "$as_me:13146: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:13084: \$? = $ac_status" >&5
+  echo "$as_me:13149: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:13087: \"$ac_try\"") >&5
+  { (eval echo "$as_me:13152: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:13090: \$? = $ac_status" >&5
+  echo "$as_me:13155: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_cpp_vscan_func=$cf_vscan_func; break
 else
@@ -13100,7 +13165,7 @@
 	done
 
 fi
-echo "$as_me:13103: result: $cf_cv_cpp_vscan_func" >&5
+echo "$as_me:13168: result: $cf_cv_cpp_vscan_func" >&5
 echo "${ECHO_T}$cf_cv_cpp_vscan_func" >&6
 
 ac_ext=cc
@@ -13178,11 +13243,12 @@
 	# may change.
 
 	if test "$NCURSES_BOOL" != auto ; then
-		cf_cv_type_of_bool=$NCURSES_AUTO
+		cf_cv_type_of_bool=$NCURSES_BOOL
+		cf_cv_header_stdbool_h=0
 	else
 		if test "$cf_cv_header_stdbool_h" = 1 ; then
 
-echo "$as_me:13185: checking for size of bool" >&5
+echo "$as_me:13251: checking for size of bool" >&5
 echo $ECHO_N "checking for size of bool... $ECHO_C" >&6
 if test "${cf_cv_type_of_bool+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -13193,7 +13259,7 @@
   cf_cv_type_of_bool=unknown
 else
   cat >conftest.$ac_ext <<_ACEOF
-#line 13196 "configure"
+#line 13262 "configure"
 #include "confdefs.h"
 
 #include <stdlib.h>
@@ -13235,15 +13301,15 @@
 
 _ACEOF
 rm -f conftest$ac_exeext
-if { (eval echo "$as_me:13238: \"$ac_link\"") >&5
+if { (eval echo "$as_me:13304: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:13241: \$? = $ac_status" >&5
+  echo "$as_me:13307: \$? = $ac_status" >&5
   (exit $ac_status); } && { ac_try='./conftest$ac_exeext'
-  { (eval echo "$as_me:13243: \"$ac_try\"") >&5
+  { (eval echo "$as_me:13309: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:13246: \$? = $ac_status" >&5
+  echo "$as_me:13312: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_type_of_bool=`cat cf_test.out`
 		 if test -z "$cf_cv_type_of_bool"; then
@@ -13261,25 +13327,25 @@
 fi
 
 	rm -f cf_test.out
-echo "$as_me:13264: result: $cf_cv_type_of_bool" >&5
+echo "$as_me:13330: result: $cf_cv_type_of_bool" >&5
 echo "${ECHO_T}$cf_cv_type_of_bool" >&6
 if test "$cf_cv_type_of_bool" = unknown ; then
 	case .$NCURSES_BOOL in #(vi
 	.auto|.) NCURSES_BOOL=unsigned;;
 	esac
-	{ echo "$as_me:13270: WARNING: Assuming $NCURSES_BOOL for type of bool" >&5
+	{ echo "$as_me:13336: WARNING: Assuming $NCURSES_BOOL for type of bool" >&5
 echo "$as_me: WARNING: Assuming $NCURSES_BOOL for type of bool" >&2;}
 	cf_cv_type_of_bool=$NCURSES_BOOL
 fi
 
 		else
-			echo "$as_me:13276: checking for fallback type of bool" >&5
+			echo "$as_me:13342: checking for fallback type of bool" >&5
 echo $ECHO_N "checking for fallback type of bool... $ECHO_C" >&6
 			case "$host_cpu" in #(vi
 			i?86)	cf_cv_type_of_bool=char	;; #(vi
 			*)	cf_cv_type_of_bool=int	;;
 			esac
-			echo "$as_me:13282: result: $cf_cv_type_of_bool" >&5
+			echo "$as_me:13348: result: $cf_cv_type_of_bool" >&5
 echo "${ECHO_T}$cf_cv_type_of_bool" >&6
 		fi
 	fi
@@ -13304,11 +13370,12 @@
 	USE_CXX_BOOL='defined(__cplusplus)'
 fi
 
+if test -f "${srcdir}/Ada95/Makefile.in" ; then
 if test "$cf_with_ada" != "no" ; then
 cf_ada_make=gnatmake
 # Extract the first word of "$cf_ada_make", so it can be a program name with args.
 set dummy $cf_ada_make; ac_word=$2
-echo "$as_me:13311: checking for $ac_word" >&5
+echo "$as_me:13378: checking for $ac_word" >&5
 echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
 if test "${ac_cv_prog_gnat_exists+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -13323,7 +13390,7 @@
   test -z "$ac_dir" && ac_dir=.
   $as_executable_p "$ac_dir/$ac_word" || continue
 ac_cv_prog_gnat_exists="yes"
-echo "$as_me:13326: found $ac_dir/$ac_word" >&5
+echo "$as_me:13393: found $ac_dir/$ac_word" >&5
 break
 done
 
@@ -13332,10 +13399,10 @@
 fi
 gnat_exists=$ac_cv_prog_gnat_exists
 if test -n "$gnat_exists"; then
-  echo "$as_me:13335: result: $gnat_exists" >&5
+  echo "$as_me:13402: result: $gnat_exists" >&5
 echo "${ECHO_T}$gnat_exists" >&6
 else
-  echo "$as_me:13338: result: no" >&5
+  echo "$as_me:13405: result: no" >&5
 echo "${ECHO_T}no" >&6
 fi
 
@@ -13343,11 +13410,11 @@
    cf_ada_make=
 else
 
-echo "$as_me:13346: checking for gnat version" >&5
+echo "$as_me:13413: checking for gnat version" >&5
 echo $ECHO_N "checking for gnat version... $ECHO_C" >&6
 cf_gnat_version=`${cf_ada_make-gnatmake} -v 2>&1 | grep '[0-9].[0-9][0-9]*' |\
   sed -e '2,$d' -e 's/[^0-9 \.]//g' -e 's/^[ ]*//' -e 's/ .*//'`
-echo "$as_me:13350: result: $cf_gnat_version" >&5
+echo "$as_me:13417: result: $cf_gnat_version" >&5
 echo "${ECHO_T}$cf_gnat_version" >&6
 
 case $cf_gnat_version in
@@ -13370,7 +13437,7 @@
 
    # Extract the first word of "m4", so it can be a program name with args.
 set dummy m4; ac_word=$2
-echo "$as_me:13373: checking for $ac_word" >&5
+echo "$as_me:13440: checking for $ac_word" >&5
 echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
 if test "${ac_cv_prog_M4_exists+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -13385,7 +13452,7 @@
   test -z "$ac_dir" && ac_dir=.
   $as_executable_p "$ac_dir/$ac_word" || continue
 ac_cv_prog_M4_exists="yes"
-echo "$as_me:13388: found $ac_dir/$ac_word" >&5
+echo "$as_me:13455: found $ac_dir/$ac_word" >&5
 break
 done
 
@@ -13394,10 +13461,10 @@
 fi
 M4_exists=$ac_cv_prog_M4_exists
 if test -n "$M4_exists"; then
-  echo "$as_me:13397: result: $M4_exists" >&5
+  echo "$as_me:13464: result: $M4_exists" >&5
 echo "${ECHO_T}$M4_exists" >&6
 else
-  echo "$as_me:13400: result: no" >&5
+  echo "$as_me:13467: result: no" >&5
 echo "${ECHO_T}no" >&6
 fi
 
@@ -13406,7 +13473,7 @@
       echo Ada95 binding required program m4 not found. Ada95 binding disabled.
    fi
    if test "$cf_cv_prog_gnat_correct" = yes; then
-      echo "$as_me:13409: checking if GNAT works" >&5
+      echo "$as_me:13476: checking if GNAT works" >&5
 echo $ECHO_N "checking if GNAT works... $ECHO_C" >&6
 
 rm -f conftest*
@@ -13434,14 +13501,14 @@
 fi
 rm -f conftest*
 
-      echo "$as_me:13437: result: $cf_cv_prog_gnat_correct" >&5
+      echo "$as_me:13504: result: $cf_cv_prog_gnat_correct" >&5
 echo "${ECHO_T}$cf_cv_prog_gnat_correct" >&6
    fi
 fi
 if test	"$cf_cv_prog_gnat_correct" = yes; then
    ADAFLAGS="-O3 -gnatpn $ADAFLAGS"
 
-   echo "$as_me:13444: checking if GNAT pragma Unreferenced works" >&5
+   echo "$as_me:13511: checking if GNAT pragma Unreferenced works" >&5
 echo $ECHO_N "checking if GNAT pragma Unreferenced works... $ECHO_C" >&6
 
 rm -f conftest*
@@ -13468,7 +13535,7 @@
 fi
 rm -f conftest*
 
-   echo "$as_me:13471: result: $cf_cv_pragma_unreferenced" >&5
+   echo "$as_me:13538: result: $cf_cv_pragma_unreferenced" >&5
 echo "${ECHO_T}$cf_cv_pragma_unreferenced" >&6
 
    # if the pragma is supported, use it (needed in the Trace code).
@@ -13514,7 +13581,7 @@
   withval=`echo $withval | sed -e s%NONE%$ac_default_prefix%`
   ;;
 *)
-  { { echo "$as_me:13517: error: expected a pathname, not \"$withval\"" >&5
+  { { echo "$as_me:13584: error: expected a pathname, not \"$withval\"" >&5
 echo "$as_me: error: expected a pathname, not \"$withval\"" >&2;}
    { (exit 1); exit 1; }; }
   ;;
@@ -13548,7 +13615,7 @@
   withval=`echo $withval | sed -e s%NONE%$ac_default_prefix%`
   ;;
 *)
-  { { echo "$as_me:13551: error: expected a pathname, not \"$withval\"" >&5
+  { { echo "$as_me:13618: error: expected a pathname, not \"$withval\"" >&5
 echo "$as_me: error: expected a pathname, not \"$withval\"" >&2;}
    { (exit 1); exit 1; }; }
   ;;
@@ -13558,10 +13625,11 @@
 
 fi
 fi
+fi
 
 ### Construct the library-subsets, if any, from this set of keywords:
 ### none, base, ext_funcs, ext_tinfo, termlib, widechar (see CF_LIB_RULES).
-echo "$as_me:13564: checking for library subsets" >&5
+echo "$as_me:13632: checking for library subsets" >&5
 echo $ECHO_N "checking for library subsets... $ECHO_C" >&6
 if test "$with_termlib" != no ; then
 	LIB_SUBSETS="termlib"
@@ -13574,7 +13642,7 @@
 LIB_SUBSETS="${LIB_SUBSETS}base"
 test "$with_widec"     = yes && LIB_SUBSETS="${LIB_SUBSETS}+widechar"
 test "$with_ext_funcs" = yes && LIB_SUBSETS="${LIB_SUBSETS}+ext_funcs"
-echo "$as_me:13577: result: $LIB_SUBSETS" >&5
+echo "$as_me:13645: result: $LIB_SUBSETS" >&5
 echo "${ECHO_T}$LIB_SUBSETS" >&6
 
 ### Construct the list of include-directories to be generated
@@ -13612,7 +13680,7 @@
 fi
 
 ### Build up pieces for makefile rules
-echo "$as_me:13615: checking default library suffix" >&5
+echo "$as_me:13683: checking default library suffix" >&5
 echo $ECHO_N "checking default library suffix... $ECHO_C" >&6
 
 	case $DFT_LWR_MODEL in
@@ -13623,10 +13691,10 @@
 	shared)  DFT_ARG_SUFFIX=''   ;;
 	esac
 	test -n "$LIB_SUFFIX" && DFT_ARG_SUFFIX="${LIB_SUFFIX}${DFT_ARG_SUFFIX}"
-echo "$as_me:13626: result: $DFT_ARG_SUFFIX" >&5
+echo "$as_me:13694: result: $DFT_ARG_SUFFIX" >&5
 echo "${ECHO_T}$DFT_ARG_SUFFIX" >&6
 
-echo "$as_me:13629: checking default library-dependency suffix" >&5
+echo "$as_me:13697: checking default library-dependency suffix" >&5
 echo $ECHO_N "checking default library-dependency suffix... $ECHO_C" >&6
 
 	case $DFT_LWR_MODEL in
@@ -13655,10 +13723,10 @@
 		;;
 	esac
 fi
-echo "$as_me:13658: result: $DFT_DEP_SUFFIX" >&5
+echo "$as_me:13726: result: $DFT_DEP_SUFFIX" >&5
 echo "${ECHO_T}$DFT_DEP_SUFFIX" >&6
 
-echo "$as_me:13661: checking default object directory" >&5
+echo "$as_me:13729: checking default object directory" >&5
 echo $ECHO_N "checking default object directory... $ECHO_C" >&6
 
 	case $DFT_LWR_MODEL in
@@ -13674,12 +13742,12 @@
 			DFT_OBJ_SUBDIR='obj_s' ;;
 		esac
 	esac
-echo "$as_me:13677: result: $DFT_OBJ_SUBDIR" >&5
+echo "$as_me:13745: result: $DFT_OBJ_SUBDIR" >&5
 echo "${ECHO_T}$DFT_OBJ_SUBDIR" >&6
 
 # libtool thinks it can make c++ shared libraries (perhaps only g++)
 if test "$cf_with_cxx" = yes ; then
-echo "$as_me:13682: checking c++ library-dependency suffix" >&5
+echo "$as_me:13750: checking c++ library-dependency suffix" >&5
 echo $ECHO_N "checking c++ library-dependency suffix... $ECHO_C" >&6
 if test "$with_libtool" != "no"; then
 	CXX_LIB_SUFFIX=$DFT_DEP_SUFFIX
@@ -13705,7 +13773,7 @@
 	esac
 	test -n "$LIB_SUFFIX" && CXX_LIB_SUFFIX="${LIB_SUFFIX}${CXX_LIB_SUFFIX}"
 fi
-echo "$as_me:13708: result: $CXX_LIB_SUFFIX" >&5
+echo "$as_me:13776: result: $CXX_LIB_SUFFIX" >&5
 echo "${ECHO_T}$CXX_LIB_SUFFIX" >&6
 
 fi
@@ -13744,12 +13812,12 @@
 # needed for Ada95
 TINFO_ARGS2=`echo "$TINFO_ARGS" | sed -e 's,-L\.\./,-L../../,'`
 
-echo "$as_me:13747: checking where we will install curses.h" >&5
+echo "$as_me:13815: checking where we will install curses.h" >&5
 echo $ECHO_N "checking where we will install curses.h... $ECHO_C" >&6
 test "$with_overwrite" = no && \
 test "x$includedir" = 'x${prefix}/include' && \
 	includedir='$(prefix)/include/ncurses'${LIB_SUFFIX}
-echo "$as_me:13752: result: $includedir" >&5
+echo "$as_me:13820: result: $includedir" >&5
 echo "${ECHO_T}$includedir" >&6
 
 ### Resolve a conflict between normal and wide-curses by forcing applications
@@ -13757,7 +13825,7 @@
 if test "$with_overwrite" != no ; then
 if test "$NCURSES_LIBUTF8" = 1 ; then
 	NCURSES_LIBUTF8='defined(HAVE_LIBUTF8_H)'
-	{ echo "$as_me:13760: WARNING: Wide-character applications must define HAVE_LIBUTF8_H to include curses.h" >&5
+	{ echo "$as_me:13828: WARNING: Wide-character applications must define HAVE_LIBUTF8_H to include curses.h" >&5
 echo "$as_me: WARNING: Wide-character applications must define HAVE_LIBUTF8_H to include curses.h" >&2;}
 fi
 fi
@@ -13770,7 +13838,7 @@
 ### Construct the list of subdirectories for which we'll customize makefiles
 ### with the appropriate compile-rules.
 
-echo "$as_me:13773: checking for src modules" >&5
+echo "$as_me:13841: checking for src modules" >&5
 echo $ECHO_N "checking for src modules... $ECHO_C" >&6
 
 # dependencies and linker-arguments for test-programs
@@ -13833,7 +13901,7 @@
 		fi
 	fi
 done
-echo "$as_me:13836: result: $cf_cv_src_modules" >&5
+echo "$as_me:13904: result: $cf_cv_src_modules" >&5
 echo "${ECHO_T}$cf_cv_src_modules" >&6
 
 TEST_ARGS="-L${LIB_DIR} $TEST_ARGS"
@@ -14058,7 +14126,7 @@
 : ${CONFIG_STATUS=./config.status}
 ac_clean_files_save=$ac_clean_files
 ac_clean_files="$ac_clean_files $CONFIG_STATUS"
-{ echo "$as_me:14061: creating $CONFIG_STATUS" >&5
+{ echo "$as_me:14129: creating $CONFIG_STATUS" >&5
 echo "$as_me: creating $CONFIG_STATUS" >&6;}
 cat >$CONFIG_STATUS <<_ACEOF
 #! $SHELL
@@ -14234,7 +14302,7 @@
     echo "$ac_cs_version"; exit 0 ;;
   --he | --h)
     # Conflict between --help and --header
-    { { echo "$as_me:14237: error: ambiguous option: $1
+    { { echo "$as_me:14305: error: ambiguous option: $1
 Try \`$0 --help' for more information." >&5
 echo "$as_me: error: ambiguous option: $1
 Try \`$0 --help' for more information." >&2;}
@@ -14253,7 +14321,7 @@
     ac_need_defaults=false;;
 
   # This is an error.
-  -*) { { echo "$as_me:14256: error: unrecognized option: $1
+  -*) { { echo "$as_me:14324: error: unrecognized option: $1
 Try \`$0 --help' for more information." >&5
 echo "$as_me: error: unrecognized option: $1
 Try \`$0 --help' for more information." >&2;}
@@ -14339,7 +14407,7 @@
   "Makefile" ) CONFIG_FILES="$CONFIG_FILES Makefile" ;;
   "default" ) CONFIG_COMMANDS="$CONFIG_COMMANDS default" ;;
   "include/ncurses_cfg.h" ) CONFIG_HEADERS="$CONFIG_HEADERS include/ncurses_cfg.h:include/ncurses_cfg.hin" ;;
-  *) { { echo "$as_me:14342: error: invalid argument: $ac_config_target" >&5
+  *) { { echo "$as_me:14410: error: invalid argument: $ac_config_target" >&5
 echo "$as_me: error: invalid argument: $ac_config_target" >&2;}
    { (exit 1); exit 1; }; };;
   esac
@@ -14544,6 +14612,7 @@
 s,@EXTRA_CXXFLAGS@,$EXTRA_CXXFLAGS,;t t
 s,@ADA_TRACE@,$ADA_TRACE,;t t
 s,@MATH_LIB@,$MATH_LIB,;t t
+s,@NCURSES_INLINE@,$NCURSES_INLINE,;t t
 s,@cf_cv_typeof_chtype@,$cf_cv_typeof_chtype,;t t
 s,@cf_cv_1UL@,$cf_cv_1UL,;t t
 s,@cf_cv_typeof_mmask_t@,$cf_cv_typeof_mmask_t,;t t
@@ -14697,7 +14766,7 @@
   esac
 
   if test x"$ac_file" != x-; then
-    { echo "$as_me:14700: creating $ac_file" >&5
+    { echo "$as_me:14769: creating $ac_file" >&5
 echo "$as_me: creating $ac_file" >&6;}
     rm -f "$ac_file"
   fi
@@ -14715,7 +14784,7 @@
       -) echo $tmp/stdin ;;
       [\\/$]*)
          # Absolute (can't be DOS-style, as IFS=:)
-         test -f "$f" || { { echo "$as_me:14718: error: cannot find input file: $f" >&5
+         test -f "$f" || { { echo "$as_me:14787: error: cannot find input file: $f" >&5
 echo "$as_me: error: cannot find input file: $f" >&2;}
    { (exit 1); exit 1; }; }
          echo $f;;
@@ -14728,7 +14797,7 @@
            echo $srcdir/$f
          else
            # /dev/null tree
-           { { echo "$as_me:14731: error: cannot find input file: $f" >&5
+           { { echo "$as_me:14800: error: cannot find input file: $f" >&5
 echo "$as_me: error: cannot find input file: $f" >&2;}
    { (exit 1); exit 1; }; }
          fi;;
@@ -14794,7 +14863,7 @@
   * )   ac_file_in=$ac_file.in ;;
   esac
 
-  test x"$ac_file" != x- && { echo "$as_me:14797: creating $ac_file" >&5
+  test x"$ac_file" != x- && { echo "$as_me:14866: creating $ac_file" >&5
 echo "$as_me: creating $ac_file" >&6;}
 
   # First look for the input files in the build tree, otherwise in the
@@ -14805,7 +14874,7 @@
       -) echo $tmp/stdin ;;
       [\\/$]*)
          # Absolute (can't be DOS-style, as IFS=:)
-         test -f "$f" || { { echo "$as_me:14808: error: cannot find input file: $f" >&5
+         test -f "$f" || { { echo "$as_me:14877: error: cannot find input file: $f" >&5
 echo "$as_me: error: cannot find input file: $f" >&2;}
    { (exit 1); exit 1; }; }
          echo $f;;
@@ -14818,7 +14887,7 @@
            echo $srcdir/$f
          else
            # /dev/null tree
-           { { echo "$as_me:14821: error: cannot find input file: $f" >&5
+           { { echo "$as_me:14890: error: cannot find input file: $f" >&5
 echo "$as_me: error: cannot find input file: $f" >&2;}
    { (exit 1); exit 1; }; }
          fi;;
@@ -14876,7 +14945,7 @@
   rm -f $tmp/in
   if test x"$ac_file" != x-; then
     if cmp -s $ac_file $tmp/config.h 2>/dev/null; then
-      { echo "$as_me:14879: $ac_file is unchanged" >&5
+      { echo "$as_me:14948: $ac_file is unchanged" >&5
 echo "$as_me: $ac_file is unchanged" >&6;}
     else
       ac_dir=`$as_expr X"$ac_file" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
Index: configure.in
Prereq:  1.351 
--- ncurses-5.5/configure.in	2005-09-17 22:41:48.000000000 +0000
+++ ncurses-5.5-20060128/configure.in	2005-12-03 20:57:10.000000000 +0000
@@ -28,14 +28,14 @@
 dnl
 dnl Author: Thomas E. Dickey 1995-on
 dnl
-dnl $Id: configure.in,v 1.351 2005/09/17 22:41:48 tom Exp $
+dnl $Id: configure.in,v 1.356 2005/12/03 20:57:10 tom Exp $
 dnl Process this file with autoconf to produce a configure script.
 dnl
 dnl See http://invisible-island.net/autoconf/ for additional information.
 dnl
 dnl ---------------------------------------------------------------------------
 AC_PREREQ(2.13.20020210)
-AC_REVISION($Revision: 1.351 $)
+AC_REVISION($Revision: 1.356 $)
 AC_INIT(ncurses/base/lib_initscr.c)
 AC_CONFIG_HEADER(include/ncurses_cfg.h:include/ncurses_cfg.hin)
 
@@ -285,10 +285,20 @@
 SHLIB_LIST=""
 CF_WITH_GPM
 if test "$with_gpm" = yes ; then
-	CF_FUNC_DLSYM
-	CF_LIB_SONAME([#include <gpm.h>],[if (Gpm_Open(0,0)) Gpm_Close();],gpm)
-	test "$cf_cv_gpm_soname" != "unknown" && AC_DEFINE_UNQUOTED(LIBGPM_SONAME,"$cf_cv_gpm_soname")
-	SHLIB_LIST="-ldl $SHLIB_LIST"
+	AC_MSG_CHECKING(if you want to load GPM dynamically)
+	AC_ARG_WITH(dlsym,
+		[  --without-dlsym         do not use dlsym() to load GPM dynamically],
+		[with_dlsym=$withval],
+		[with_dlsym=yes])
+	AC_MSG_RESULT($with_dlsym)
+	if test "$with_dlsym" = yes ; then
+		CF_FUNC_DLSYM
+		CF_LIB_SONAME([#include <gpm.h>],[if (Gpm_Open(0,0)) Gpm_Close();],gpm)
+		test "$cf_cv_gpm_soname" != "unknown" && AC_DEFINE_UNQUOTED(LIBGPM_SONAME,"$cf_cv_gpm_soname")
+		SHLIB_LIST="-ldl $SHLIB_LIST"
+	else
+		SHLIB_LIST="-lgpm $SHLIB_LIST"
+	fi
 	AC_DEFINE(HAVE_LIBGPM)
 	AC_CHECK_LIB(gpm,Gpm_Wgetch,[
 		AC_MSG_WARN(GPM library is already linked with curses - read the FAQ)
@@ -666,7 +676,7 @@
 	[  --with-caps=alt         compile with alternate Caps file],
 	[TERMINFO_CAPS=Caps.$withval],
 	[TERMINFO_CAPS=Caps])
-test -f ${srcdir}/include/${TERMINFO_CAPS} || TERMINFO_CAPS=Caps
+test -f "${srcdir}/include/${TERMINFO_CAPS}" || TERMINFO_CAPS=Caps
 AC_MSG_RESULT($TERMINFO_CAPS)
 AC_SUBST(TERMINFO_CAPS)
 
@@ -1037,7 +1047,13 @@
 AC_LANG_C
 AC_C_CONST
 AC_C_INLINE
-test "$ac_cv_c_inline" != no && AC_DEFINE(CC_HAS_INLINE_FUNCS)
+
+NCURSES_INLINE=
+if test "$ac_cv_c_inline" != no ; then
+	AC_DEFINE(CC_HAS_INLINE_FUNCS)
+	NCURSES_INLINE=inline
+fi
+AC_SUBST(NCURSES_INLINE)
 
 if test $NCURSES_CHTYPE = auto ; then
 	CF_TYPEOF_CHTYPE
@@ -1187,7 +1203,8 @@
 	# may change.
 
 	if test "$NCURSES_BOOL" != auto ; then
-		cf_cv_type_of_bool=$NCURSES_AUTO
+		cf_cv_type_of_bool=$NCURSES_BOOL
+		cf_cv_header_stdbool_h=0
 	else
 		if test "$cf_cv_header_stdbool_h" = 1 ; then
 			CF_BOOL_SIZE
@@ -1227,6 +1244,7 @@
 
 dnl Check for availability of GNU Ada Translator (GNAT).
 dnl At the moment we support no other Ada95 compiler.
+if test -f "${srcdir}/Ada95/Makefile.in" ; then
 if test "$cf_with_ada" != "no" ; then
 cf_ada_make=gnatmake
 AC_CHECK_PROG(gnat_exists, $cf_ada_make, yes, no)
@@ -1309,6 +1327,7 @@
 
 fi
 fi
+fi
 
 ### Construct the library-subsets, if any, from this set of keywords:
 ### none, base, ext_funcs, ext_tinfo, termlib, widechar (see CF_LIB_RULES).
Index: dist.mk
Prereq:  1.498 
--- ncurses-5.5/dist.mk	2005-10-09 14:41:57.000000000 +0000
+++ ncurses-5.5-20060128/dist.mk	2006-01-28 14:59:33.000000000 +0000
@@ -1,4 +1,4 @@
-# $Id: dist.mk,v 1.498 2005/10/09 14:41:57 tom Exp $
+# $Id: dist.mk,v 1.514 2006/01/28 14:59:33 tom Exp $
 # Makefile for creating ncurses distributions.
 #
 # This only needs to be used directly as a makefile by developers, but
@@ -10,7 +10,7 @@
 # These define the major/minor/patch versions of ncurses.
 NCURSES_MAJOR = 5
 NCURSES_MINOR = 5
-NCURSES_PATCH = 20051010
+NCURSES_PATCH = 20060128
 
 # We don't append the patch to the version, since this only applies to releases
 VERSION = $(NCURSES_MAJOR).$(NCURSES_MINOR)
Index: doc/hackguide.doc
--- ncurses-5.5/doc/hackguide.doc	2005-08-27 21:15:09.000000000 +0000
+++ ncurses-5.5-20060128/doc/hackguide.doc	2005-12-24 15:44:52.000000000 +0000
@@ -228,10 +228,6 @@
    comments  of hardscroll.c and hashmap.c; then try it out. You can also
    test the hardware-scrolling optimization separately with hardscroll.
 
-   There's   one   other   interactive  tester,  tctest,  that  exercises
-   translation  between  termcap  and  terminfo  formats.  If  you have a
-   serious need to run this, you probably belong on our development team!
-
                          A Tour of the Ncurses Library
 
 Library Overview
@@ -401,7 +397,7 @@
    transformations  of curscr lines to newscr lines. Its main tool is the
    routine  mvcur()  in  lib_mvcur.c.  This  routine does cursor-movement
    optimization,  attempting to get from given screen location A to given
-   location B in the fewest output characters posible.
+   location B in the fewest output characters possible.
 
    If  you  want to work on screen optimizations, you should use the fact
    that  (in  the  trace-enabled  version  of  the  library) enabling the
Index: doc/html/hackguide.html
Prereq:  1.26 
--- ncurses-5.5/doc/html/hackguide.html	2003-10-04 22:34:02.000000000 +0000
+++ ncurses-5.5-20060128/doc/html/hackguide.html	2005-12-24 15:37:13.000000000 +0000
@@ -1,6 +1,33 @@
 <!DOCTYPE HTML PUBLIC "-//IETF//DTD HTML 3.0//EN">
 <!--
-  $Id: hackguide.html,v 1.26 2003/10/04 22:34:02 tom Exp $
+  $Id: hackguide.html,v 1.27 2005/12/24 15:37:13 tom Exp $
+  ****************************************************************************
+  * Copyright (c) 1998-2003,2005 Free Software Foundation, Inc.              *
+  *                                                                          *
+  * Permission is hereby granted, free of charge, to any person obtaining a  *
+  * copy of this software and associated documentation files (the            *
+  * "Software"), to deal in the Software without restriction, including      *
+  * without limitation the rights to use, copy, modify, merge, publish,      *
+  * distribute, distribute with modifications, sublicense, and/or sell       *
+  * copies of the Software, and to permit persons to whom the Software is    *
+  * furnished to do so, subject to the following conditions:                 *
+  *                                                                          *
+  * The above copyright notice and this permission notice shall be included  *
+  * in all copies or substantial portions of the Software.                   *
+  *                                                                          *
+  * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS  *
+  * OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF               *
+  * MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.   *
+  * IN NO EVENT SHALL THE ABOVE COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM,   *
+  * DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR    *
+  * OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR    *
+  * THE USE OR OTHER DEALINGS IN THE SOFTWARE.                               *
+  *                                                                          *
+  * Except as contained in this notice, the name(s) of the above copyright   *
+  * holders shall not be used in advertising or otherwise to promote the     *
+  * sale, use or other dealings in this Software without prior written       *
+  * authorization.                                                           *
+  ****************************************************************************
 -->
 <HTML>
 <HEAD>
@@ -287,10 +314,6 @@
 it out. You can also test the hardware-scrolling optimization separately
 with <CODE>hardscroll</CODE>. <P>
 
-There's one other interactive tester, <CODE>tctest</CODE>, that exercises
-translation between termcap and terminfo formats.  If you have a serious
-need to run this, you probably belong on our development team!
-
 <H1><A NAME="ncurslib">A Tour of the Ncurses Library</A></H1>
 
 <H2><A NAME="loverview">Library Overview</A></H2>
@@ -378,7 +401,7 @@
 </code>
 </blockquote>
 It is rather unlikely you will ever need to change these, unless
-you want to introduce a new debug trace level for some reasoon.<P>
+you want to introduce a new debug trace level for some reason.<P>
 
 There is another group of files that do direct I/O via <EM>tputs()</EM>,
 computations on the terminal capabilities, or queries to the OS
@@ -559,7 +582,7 @@
 transformations of <CODE>curscr</CODE> lines to <CODE>newscr</CODE> lines.  Its main
 tool is the routine <CODE>mvcur()</CODE> in <CODE>lib_mvcur.c</CODE>.  This routine
 does cursor-movement optimization, attempting to get from given screen
-location A to given location B in the fewest output characters posible. <P>
+location A to given location B in the fewest output characters possible. <P>
 
 If you want to work on screen optimizations, you should use the fact
 that (in the trace-enabled version of the library) enabling the
Index: doc/html/ncurses-intro.html
Prereq:  1.40 
--- ncurses-5.5/doc/html/ncurses-intro.html	2004-06-05 19:10:10.000000000 +0000
+++ ncurses-5.5-20060128/doc/html/ncurses-intro.html	2005-12-24 15:47:05.000000000 +0000
@@ -1,6 +1,33 @@
 <!DOCTYPE HTML PUBLIC "-//IETF//DTD HTML 3.0//EN">
 <!--
-  $Id: ncurses-intro.html,v 1.40 2004/06/05 19:10:10 tom Exp $
+  $Id: ncurses-intro.html,v 1.41 2005/12/24 15:47:05 tom Exp $
+  ****************************************************************************
+  * Copyright (c) 1998-2004,2005 Free Software Foundation, Inc.              *
+  *                                                                          *
+  * Permission is hereby granted, free of charge, to any person obtaining a  *
+  * copy of this software and associated documentation files (the            *
+  * "Software"), to deal in the Software without restriction, including      *
+  * without limitation the rights to use, copy, modify, merge, publish,      *
+  * distribute, distribute with modifications, sublicense, and/or sell       *
+  * copies of the Software, and to permit persons to whom the Software is    *
+  * furnished to do so, subject to the following conditions:                 *
+  *                                                                          *
+  * The above copyright notice and this permission notice shall be included  *
+  * in all copies or substantial portions of the Software.                   *
+  *                                                                          *
+  * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS  *
+  * OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF               *
+  * MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.   *
+  * IN NO EVENT SHALL THE ABOVE COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM,   *
+  * DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR    *
+  * OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR    *
+  * THE USE OR OTHER DEALINGS IN THE SOFTWARE.                               *
+  *                                                                          *
+  * Except as contained in this notice, the name(s) of the above copyright   *
+  * holders shall not be used in advertising or otherwise to promote the     *
+  * sale, use or other dealings in this Software without prior written       *
+  * authorization.                                                           *
+  ****************************************************************************
 -->
 <HTML>
 <HEAD>
@@ -979,7 +1006,7 @@
 
 To understand why this is a problem, remember that screen updates are
 calculated between two representations of the <EM>entire</EM> display. The
-documentation says that when you refresh a window, it is first copied to to the
+documentation says that when you refresh a window, it is first copied to the
 virtual screen, and then changes are calculated to update the physical screen
 (and applied to the terminal).  But "copied to" is not very specific, and
 subtle differences in how copying works can produce different behaviors in the
Index: doc/ncurses-intro.doc
--- ncurses-5.5/doc/ncurses-intro.doc	2005-08-27 21:15:09.000000000 +0000
+++ ncurses-5.5-20060128/doc/ncurses-intro.doc	2005-12-24 15:48:44.000000000 +0000
@@ -889,7 +889,7 @@
    To  understand why this is a problem, remember that screen updates are
    calculated  between  two  representations  of  the entire display. The
    documentation  says that when you refresh a window, it is first copied
-   to  to  the  virtual screen, and then changes are calculated to update
+   to  the  virtual screen,  and  then  changes  are calculated to update
    the  physical screen (and applied to the terminal). But "copied to" is
    not  very  specific,  and  subtle differences in how copying works can
    produce  different behaviors in the case where two overlapping windows
Index: form/frm_data.c
Prereq:  1.13 
--- ncurses-5.5/form/frm_data.c	2004-12-11 22:29:28.000000000 +0000
+++ ncurses-5.5-20060128/form/frm_data.c	2005-11-26 15:34:01.000000000 +0000
@@ -1,5 +1,5 @@
 /****************************************************************************
- * Copyright (c) 1998-2003,2004 Free Software Foundation, Inc.              *
+ * Copyright (c) 1998-2004,2005 Free Software Foundation, Inc.              *
  *                                                                          *
  * Permission is hereby granted, free of charge, to any person obtaining a  *
  * copy of this software and associated documentation files (the            *
@@ -32,7 +32,7 @@
 
 #include "form.priv.h"
 
-MODULE_ID("$Id: frm_data.c,v 1.13 2004/12/11 22:29:28 tom Exp $")
+MODULE_ID("$Id: frm_data.c,v 1.14 2005/11/26 15:34:01 tom Exp $")
 
 /*---------------------------------------------------------------------------
 |   Facility      :  libnform  
@@ -80,7 +80,7 @@
 |
 |   Return Values :  true if only padding cells are found
 +--------------------------------------------------------------------------*/
-INLINE static bool
+NCURSES_INLINE static bool
 Only_Padding(WINDOW *w, int len, int pad)
 {
   bool result = TRUE;
Index: form/frm_def.c
Prereq:  1.17 
--- ncurses-5.5/form/frm_def.c	2004-12-25 22:26:01.000000000 +0000
+++ ncurses-5.5-20060128/form/frm_def.c	2005-11-26 15:33:52.000000000 +0000
@@ -1,5 +1,5 @@
 /****************************************************************************
- * Copyright (c) 1998-2003,2004 Free Software Foundation, Inc.              *
+ * Copyright (c) 1998-2004,2005 Free Software Foundation, Inc.              *
  *                                                                          *
  * Permission is hereby granted, free of charge, to any person obtaining a  *
  * copy of this software and associated documentation files (the            *
@@ -32,7 +32,7 @@
 
 #include "form.priv.h"
 
-MODULE_ID("$Id: frm_def.c,v 1.17 2004/12/25 22:26:01 tom Exp $")
+MODULE_ID("$Id: frm_def.c,v 1.18 2005/11/26 15:33:52 tom Exp $")
 
 /* this can't be readonly */
 static FORM default_form =
@@ -249,7 +249,7 @@
 |   Return Values :  E_OK            - success
 |                    any other       - error occurred
 +--------------------------------------------------------------------------*/
-INLINE static int
+NCURSES_INLINE static int
 Associate_Fields(FORM *form, FIELD **fields)
 {
   int res = Connect_Fields(form, fields);
Index: form/frm_driver.c
Prereq:  1.71 
--- ncurses-5.5/form/frm_driver.c	2005-10-01 19:42:40.000000000 +0000
+++ ncurses-5.5-20060128/form/frm_driver.c	2006-01-28 23:09:30.000000000 +0000
@@ -1,5 +1,5 @@
 /****************************************************************************
- * Copyright (c) 1998-2004,2005 Free Software Foundation, Inc.              *
+ * Copyright (c) 1998-2005,2006 Free Software Foundation, Inc.              *
  *                                                                          *
  * Permission is hereby granted, free of charge, to any person obtaining a  *
  * copy of this software and associated documentation files (the            *
@@ -32,7 +32,7 @@
 
 #include "form.priv.h"
 
-MODULE_ID("$Id: frm_driver.c,v 1.71 2005/10/01 19:42:40 tom Exp $")
+MODULE_ID("$Id: frm_driver.c,v 1.73 2006/01/28 23:09:30 tom Exp $")
 
 /*----------------------------------------------------------------------------
   This is the core module of the form library. It contains the majority
@@ -346,7 +346,7 @@
 |
 |   Return Values :  Pointer to first non-blank position in buffer
 +--------------------------------------------------------------------------*/
-INLINE static FIELD_CELL *
+NCURSES_INLINE static FIELD_CELL *
 Get_Start_Of_Data(FIELD_CELL *buf, int blen)
 {
   FIELD_CELL *p = buf;
@@ -368,7 +368,7 @@
 |   Return Values :  Pointer to position after last non-blank position in
 |                    buffer.
 +--------------------------------------------------------------------------*/
-INLINE static FIELD_CELL *
+NCURSES_INLINE static FIELD_CELL *
 After_End_Of_Data(FIELD_CELL *buf, int blen)
 {
   FIELD_CELL *p = &buf[blen];
@@ -388,7 +388,7 @@
 |
 |   Return Values :  Pointer to first whitespace character in buffer.
 +--------------------------------------------------------------------------*/
-INLINE static FIELD_CELL *
+NCURSES_INLINE static FIELD_CELL *
 Get_First_Whitespace_Character(FIELD_CELL *buf, int blen)
 {
   FIELD_CELL *p = buf;
@@ -410,7 +410,7 @@
 |   Return Values :  Pointer to position after last whitespace character in
 |                    buffer.
 +--------------------------------------------------------------------------*/
-INLINE static FIELD_CELL *
+NCURSES_INLINE static FIELD_CELL *
 After_Last_Whitespace_Character(FIELD_CELL *buf, int blen)
 {
   FIELD_CELL *p = &buf[blen];
@@ -439,7 +439,7 @@
 |
 |   Return Values :  -
 +--------------------------------------------------------------------------*/
-INLINE static void
+NCURSES_INLINE static void
 Adjust_Cursor_Position(FORM *form, const FIELD_CELL *pos)
 {
   FIELD *field;
@@ -543,7 +543,7 @@
 #if USE_WIDEC_SUPPORT
 	      && p->chars[1] == 0
 #endif
-	      && AttrOf(*p) == ChAttrOf(pad))
+	    )
 	    *p = myBLANK;
 	}
     }
@@ -560,7 +560,7 @@
 |
 |   Return Values :  -
 +--------------------------------------------------------------------------*/
-INLINE static void
+NCURSES_INLINE static void
 Synchronize_Buffer(FORM *form)
 {
   if (form->status & _WINDOW_MODIFIED)
@@ -2206,7 +2206,7 @@
 |   Return Values :  TRUE   - there is enough space
 |                    FALSE  - there is not enough space
 +--------------------------------------------------------------------------*/
-INLINE static bool
+NCURSES_INLINE static bool
 Is_There_Room_For_A_Line(FORM *form)
 {
   FIELD *field = form->current;
@@ -2228,7 +2228,7 @@
 |   Return Values :  TRUE    - there is room
 |                    FALSE   - there is not enough room (line full)
 +--------------------------------------------------------------------------*/
-INLINE static bool
+NCURSES_INLINE static bool
 Is_There_Room_For_A_Char_In_Line(FORM *form)
 {
   int last_char_in_line;
@@ -2690,7 +2690,7 @@
        * automatically (given the proper options).  But we cannot eat the
        * keystroke to back over the wrapping point, since that would put the
        * cursor past the end of the form field.  In this case, just delete the
-       * character at the end of the field. 
+       * character at the end of the field.
        */
       if (form->currow == this_row && this_row > 0)
 	{
@@ -3110,7 +3110,7 @@
 |
 |   Return Values :  Pointer to the next field.
 +--------------------------------------------------------------------------*/
-INLINE static FIELD *
+NCURSES_INLINE static FIELD *
 Next_Field_On_Page(FIELD *field)
 {
   FORM *form = field->form;
@@ -3192,7 +3192,7 @@
 |
 |   Return Values :  Pointer to the previous field.
 +--------------------------------------------------------------------------*/
-INLINE static FIELD *
+NCURSES_INLINE static FIELD *
 Previous_Field_On_Page(FIELD *field)
 {
   FORM *form = field->form;
@@ -3222,7 +3222,7 @@
 |
 |   Return Values :  Pointer to the next field.
 +--------------------------------------------------------------------------*/
-INLINE static FIELD *
+NCURSES_INLINE static FIELD *
 Sorted_Next_Field(FIELD *field)
 {
   FIELD *field_on_page = field;
@@ -3248,7 +3248,7 @@
 |
 |   Return Values :  Pointer to the previous field.
 +--------------------------------------------------------------------------*/
-INLINE static FIELD *
+NCURSES_INLINE static FIELD *
 Sorted_Previous_Field(FIELD *field)
 {
   FIELD *field_on_page = field;
@@ -3273,7 +3273,7 @@
 |
 |   Return Values :  Pointer to left neighbor field.
 +--------------------------------------------------------------------------*/
-INLINE static FIELD *
+NCURSES_INLINE static FIELD *
 Left_Neighbor_Field(FIELD *field)
 {
   FIELD *field_on_page = field;
@@ -3301,7 +3301,7 @@
 |
 |   Return Values :  Pointer to right neighbor field.
 +--------------------------------------------------------------------------*/
-INLINE static FIELD *
+NCURSES_INLINE static FIELD *
 Right_Neighbor_Field(FIELD *field)
 {
   FIELD *field_on_page = field;
@@ -3734,7 +3734,7 @@
 |
 |   Return Values :  The next page number
 +--------------------------------------------------------------------------*/
-INLINE static int
+NCURSES_INLINE static int
 Next_Page_Number(const FORM *form)
 {
   return (form->curpage + 1) % form->maxpage;
@@ -3750,7 +3750,7 @@
 |
 |   Return Values :  The previous page number
 +--------------------------------------------------------------------------*/
-INLINE static int
+NCURSES_INLINE static int
 Previous_Page_Number(const FORM *form)
 {
   return (form->curpage != 0 ? form->curpage - 1 : form->maxpage - 1);
Index: include/curses.h.in
Prereq:  1.157 
--- ncurses-5.5/include/curses.h.in	2005-07-02 16:58:28.000000000 +0000
+++ ncurses-5.5-20060128/include/curses.h.in	2006-01-07 22:13:59.000000000 +0000
@@ -1,5 +1,5 @@
 /****************************************************************************
- * Copyright (c) 1998-2004,2005 Free Software Foundation, Inc.              *
+ * Copyright (c) 1998-2005,2006 Free Software Foundation, Inc.              *
  *                                                                          *
  * Permission is hereby granted, free of charge, to any person obtaining a  *
  * copy of this software and associated documentation files (the            *
@@ -32,7 +32,7 @@
  *     and: Thomas E. Dickey                        1996-on                 *
  ****************************************************************************/
 
-/* $Id: curses.h.in,v 1.157 2005/07/02 16:58:28 tom Exp $ */
+/* $Id: curses.h.in,v 1.162 2006/01/07 22:13:59 tom Exp $ */
 
 #ifndef __NCURSES_H
 #define __NCURSES_H
@@ -91,6 +91,10 @@
 #undef  NCURSES_CONST
 #define NCURSES_CONST @NCURSES_CONST@
 
+#ifndef NCURSES_INLINE
+#define NCURSES_INLINE @NCURSES_INLINE@
+#endif
+
 /*
  * The internal type used for color values
  */
@@ -429,7 +433,9 @@
 extern NCURSES_EXPORT(int) resizeterm (int, int);
 extern NCURSES_EXPORT(int) use_default_colors (void);
 extern NCURSES_EXPORT(int) use_extended_names (bool);
+extern NCURSES_EXPORT(int) use_legacy_coding (int);
 extern NCURSES_EXPORT(int) wresize (WINDOW *, int, int);
+extern NCURSES_EXPORT(void) nofilter(void);
 #else
 #define curses_version() NCURSES_VERSION
 #endif
@@ -888,7 +894,7 @@
 #define wattron(win,at)		wattr_on(win, NCURSES_CAST(attr_t, at), NULL)
 #define wattroff(win,at)	wattr_off(win, NCURSES_CAST(attr_t, at), NULL)
 
-#if @NCURSES_EXT_COLORS@
+#if defined(_XOPEN_SOURCE_EXTENDED) && @NCURSES_EXT_COLORS@
 #define wattrset(win,at)	((win)->_color = PAIR_NUMBER(at), \
 				 (win)->_attrs = (at))
 #else
@@ -1017,7 +1023,7 @@
 #define slk_attr_off(a,v)		((v) ? ERR : slk_attroff(a))
 #define slk_attr_on(a,v)		((v) ? ERR : slk_attron(a))
 
-#if @NCURSES_EXT_COLORS@
+#if defined(_XOPEN_SOURCE_EXTENDED) && @NCURSES_EXT_COLORS@
 #define wattr_set(win,a,p,opts)		((win)->_attrs = ((a) & ~A_COLOR), \
 					 (win)->_color = (p), \
 					 OK)
Index: include/curses.tail
Prereq:  1.12 
--- ncurses-5.5/include/curses.tail	2005-03-27 00:09:51.000000000 +0000
+++ ncurses-5.5-20060128/include/curses.tail	2005-11-26 15:58:54.000000000 +0000
@@ -1,4 +1,8 @@
-/* $Id: curses.tail,v 1.12 2005/03/27 00:09:51 tom Exp $ */
+/*
+ * This file is part of ncurses, designed to be appended after curses.h.in
+ * (see that file for the relevant copyright).
+ */
+/* $Id: curses.tail,v 1.13 2005/11/26 15:58:54 tom Exp $ */
 
 /* mouse interface */
 
@@ -148,10 +152,6 @@
 
 #if defined(TRACE) || defined(NCURSES_TEST)
 extern NCURSES_EXPORT_VAR(int) _nc_optimize_enable;		/* enable optimizations */
-#ifdef _XOPEN_SOURCE_EXTENDED
-extern NCURSES_EXPORT(const char *) _nc_viswbuf(const wchar_t *);
-extern NCURSES_EXPORT(const char *) _nc_viswibuf(const wint_t *);
-#endif
 extern NCURSES_EXPORT(const char *) _nc_visbuf (const char *);
 #define OPTIMIZE_MVCUR		0x01	/* cursor movement optimization */
 #define OPTIMIZE_HASHMAP	0x02	/* diff hashing to detect scrolls */
Index: include/curses.wide
Prereq:  1.29 
--- ncurses-5.5/include/curses.wide	2005-01-28 21:11:53.000000000 +0000
+++ ncurses-5.5-20060128/include/curses.wide	2005-11-26 15:58:51.000000000 +0000
@@ -1,7 +1,10 @@
-
+/*
+ * This file is part of ncurses, designed to be appended after curses.h.in
+ * (see that file for the relevant copyright).
+ */
 #ifdef _XOPEN_SOURCE_EXTENDED
 
-/* $Id: curses.wide,v 1.29 2005/01/28 21:11:53 tom Exp $ */
+/* $Id: curses.wide,v 1.30 2005/11/26 15:58:51 tom Exp $ */
 
 extern NCURSES_EXPORT_VAR(cchar_t *) _nc_wacs;
 
@@ -234,4 +237,9 @@
 #define mvwinwstr(win,y,x,c)		(wmove(win,y,x) == ERR ? ERR : winwstr(win,c))
 #define mvwvline_set(win,y,x,c,n)	(wmove(win,y,x) == ERR ? ERR : wvline_set(win,c,n))
 
+#if defined(TRACE) || defined(NCURSES_TEST)
+extern NCURSES_EXPORT(const char *) _nc_viswbuf(const wchar_t *);
+extern NCURSES_EXPORT(const char *) _nc_viswibuf(const wint_t *);
+#endif
+
 #endif /* _XOPEN_SOURCE_EXTENDED */
Index: include/ncurses_defs
Prereq:  1.27 
--- ncurses-5.5/include/ncurses_defs	2005-01-28 21:11:53.000000000 +0000
+++ ncurses-5.5-20060128/include/ncurses_defs	2005-12-31 21:14:27.000000000 +0000
@@ -1,4 +1,4 @@
-# $Id: ncurses_defs,v 1.27 2005/01/28 21:11:53 tom Exp $
+# $Id: ncurses_defs,v 1.28 2005/12/31 21:14:27 tom Exp $
 ##############################################################################
 # Copyright (c) 2000-2004,2005 Free Software Foundation, Inc.                #
 #                                                                            #
@@ -51,14 +51,19 @@
 HAVE_DIRENT_H
 HAVE_ERRNO
 HAVE_FCNTL_H
+HAVE_FILTER	1
 HAVE_FORM_H
+HAVE_GETBEGX	1
+HAVE_GETCURX	1
 HAVE_GETCWD
 HAVE_GETEGID
 HAVE_GETEUID
+HAVE_GETMAXX	1
 HAVE_GETNSTR
 HAVE_GETOPT_H
 HAVE_GETTIMEOFDAY
 HAVE_GETTTYNAM
+HAVE_GETWIN	1
 HAVE_GPM_H
 HAVE_GPP_BUILTIN_H
 HAVE_GXX_BUILTIN_H
@@ -84,6 +89,8 @@
 HAVE_MBTOWC
 HAVE_MENU_H
 HAVE_MKSTEMP
+HAVE_MVVLINE	1
+HAVE_MVWVLINE	1
 HAVE_NANOSLEEP
 HAVE_NC_ALLOC_H
 HAVE_PANEL_H
@@ -91,19 +98,24 @@
 HAVE_POLL_H
 HAVE_PURIFY
 HAVE_PUTWC 
+HAVE_PUTWIN	1
 HAVE_REGEXPR_H_FUNCS
 HAVE_REGEXP_H_FUNCS
 HAVE_REGEX_H_FUNCS
 HAVE_REMOVE
 HAVE_RESIZETERM
+HAVE_RESIZE_TERM
+HAVE_RIPOFFLINE	1
 HAVE_SELECT
 HAVE_SETBUF
 HAVE_SETBUFFER
+HAVE_SETUPTERM	1
 HAVE_SETVBUF
 HAVE_SIGACTION
 HAVE_SIGVEC
 HAVE_SIZECHANGE
 HAVE_SLK_COLOR
+HAVE_SLK_INIT	1
 HAVE_STRDUP
 HAVE_STRSTR
 HAVE_SYMLINK
@@ -119,10 +131,17 @@
 HAVE_TCGETATTR
 HAVE_TCGETPGRP
 HAVE_TELL
+HAVE_TERMATTRS	1
 HAVE_TERMIOS_H
 HAVE_TERMIO_H
+HAVE_TERMNAME	1
+HAVE_TERM_H	1
+HAVE_TGETENT	1
+HAVE_TIGETNUM	1
+HAVE_TIGETSTR	1
 HAVE_TIMES
 HAVE_TTYENT_H
+HAVE_TYPEAHEAD	1
 HAVE_TYPEINFO
 HAVE_TYPE_ATTR_T
 HAVE_TYPE_SIGACTION
@@ -135,6 +154,7 @@
 HAVE_WCTOB 
 HAVE_WCTOMB
 HAVE_WCTYPE_H
+HAVE_WINSSTR	1
 HAVE_WORKING_POLL
 HAVE_WRESIZE
 HAVE__DOSCAN
Index: include/tic.h
Prereq:  1.50 
--- ncurses-5.5/include/tic.h	2005-08-20 19:41:40.000000000 +0000
+++ ncurses-5.5-20060128/include/tic.h	2006-01-14 22:25:41.000000000 +0000
@@ -1,5 +1,5 @@
 /****************************************************************************
- * Copyright (c) 1998-2004,2005 Free Software Foundation, Inc.              *
+ * Copyright (c) 1998-2005,2006 Free Software Foundation, Inc.              *
  *                                                                          *
  * Permission is hereby granted, free of charge, to any person obtaining a  *
  * copy of this software and associated documentation files (the            *
@@ -33,7 +33,7 @@
  ****************************************************************************/
 
 /*
- * $Id: tic.h,v 1.50 2005/08/20 19:41:40 tom Exp $
+ * $Id: tic.h,v 1.51 2006/01/14 22:25:41 tom Exp $
  *	tic.h - Global variables and structures for the terminfo
  *			compiler.
  */
@@ -286,6 +286,9 @@
 extern NCURSES_EXPORT(char *) _nc_captoinfo (const char *, const char *, int const);
 extern NCURSES_EXPORT(char *) _nc_infotocap (const char *, const char *, int const);
 
+/* home_terminfo.c */
+extern NCURSES_EXPORT(char *) _nc_home_terminfo (void);
+
 /* lib_tparm.c */
 #define NUM_PARM 9
 
@@ -300,7 +303,20 @@
 extern const char * _nc_progname;
 
 /* read_entry.c */
+typedef enum {
+    dbdTIC = 0,
+    dbdEnvOnce,
+    dbdHome,
+    dbdEnvList,
+    dbdCfgList,
+    dbdCfgOnce,
+    dbdLAST
+} DBDIRS;
+
+extern NCURSES_EXPORT(const char *) _nc_next_db(DBDIRS *, int *);
 extern NCURSES_EXPORT(const char *) _nc_tic_dir (const char *);
+extern NCURSES_EXPORT(void) _nc_first_db(DBDIRS *, int *);
+extern NCURSES_EXPORT(void) _nc_last_db(void);
 
 /* write_entry.c */
 extern NCURSES_EXPORT(int) _nc_tic_written (void);
Index: man/curs_addch.3x
Prereq:  1.23 
--- ncurses-5.5/man/curs_addch.3x	2004-01-31 13:16:21.000000000 +0000
+++ ncurses-5.5-20060128/man/curs_addch.3x	2006-01-01 01:02:05.000000000 +0000
@@ -1,6 +1,6 @@
 '\" t
 .\"***************************************************************************
-.\" Copyright (c) 1998-2003,2004 Free Software Foundation, Inc.              *
+.\" Copyright (c) 1998-2004,2005 Free Software Foundation, Inc.              *
 .\"                                                                          *
 .\" Permission is hereby granted, free of charge, to any person obtaining a  *
 .\" copy of this software and associated documentation files (the            *
@@ -27,7 +27,7 @@
 .\" authorization.                                                           *
 .\"***************************************************************************
 .\"
-.\" $Id: curs_addch.3x,v 1.23 2004/01/31 13:16:21 tom Exp $
+.\" $Id: curs_addch.3x,v 1.24 2006/01/01 01:02:05 tom Exp $
 .TH curs_addch 3X ""
 .SH NAME
 \fBaddch\fR, \fBwaddch\fR, \fBmvaddch\fR, \fBmvwaddch\fR,
@@ -88,8 +88,8 @@
 The following variables may be used to add line drawing characters to the
 screen with routines of the \fBaddch\fR family.  The default character listed
 below is used if the \fBacsc\fR capability doesn't define a terminal-specific
-replacement for it (but see the EXTENSIONS section below).  The names are
-taken from VT100 nomenclature.
+replacement for it.
+The names are taken from VT100 nomenclature.
 .PP
 .TS
 l l l
Index: man/curs_addchstr.3x
Prereq:  1.10 
--- ncurses-5.5/man/curs_addchstr.3x	2005-05-15 16:17:07.000000000 +0000
+++ ncurses-5.5-20060128/man/curs_addchstr.3x	2005-12-24 13:19:59.000000000 +0000
@@ -26,7 +26,7 @@
 .\" authorization.                                                           *
 .\"***************************************************************************
 .\"
-.\" $Id: curs_addchstr.3x,v 1.10 2005/05/15 16:17:07 tom Exp $
+.\" $Id: curs_addchstr.3x,v 1.11 2005/12/24 13:19:59 tom Exp $
 .TH curs_addchstr 3X ""
 .na
 .hy 0
@@ -71,7 +71,7 @@
 (such as for the newline, backspace, or carriage return characters), they do not
 advance the current cursor position, they do not expand other control characters
 to ^-escapes, and they truncate the string if it crosses the right margin,
-rather then wrapping it around to the new line.
+rather than wrapping it around to the new line.
 .SH RETURN VALUES
 All routines return the integer \fBERR\fR upon failure and \fBOK\fR on success
 (the SVr4 manuals specify only "an integer value other than \fBERR\fR") upon
Index: man/curs_color.3x
Prereq:  1.27 
--- ncurses-5.5/man/curs_color.3x	2005-05-15 16:55:36.000000000 +0000
+++ ncurses-5.5-20060128/man/curs_color.3x	2005-12-18 00:00:37.000000000 +0000
@@ -26,7 +26,7 @@
 .\" authorization.                                                           *
 .\"***************************************************************************
 .\"
-.\" $Id: curs_color.3x,v 1.27 2005/05/15 16:55:36 tom Exp $
+.\" $Id: curs_color.3x,v 1.28 2005/12/18 00:00:37 tom Exp $
 .TH curs_color 3X ""
 .na
 .hy 0
@@ -68,7 +68,7 @@
 programmer initializes a color-pair with the routine \fBinit_pair\fR.  After it
 has been initialized, \fBCOLOR_PAIR\fR(\fIn\fR), a macro defined in
 \fB<curses.h>\fR, can be used as a new video attribute.
-.SP
+.PP
 If a terminal is capable of redefining colors, the programmer can use the
 routine \fBinit_color\fR to change the definition of a color.  The routines
 \fBhas_colors\fR and \fBcan_change_color\fR return \fBTRUE\fR or \fBFALSE\fR,
@@ -88,7 +88,7 @@
 and color-pairs the terminal can support).  It also restores the
 colors on the terminal to the values they had when the terminal was
 just turned on.
-.SP
+.PP
 The \fBinit_pair\fR routine changes the definition of a color-pair.  It takes
 three arguments: the number of the color-pair to be changed, the foreground
 color number, and the background color number.
@@ -108,12 +108,12 @@
 If the color-pair was previously
 initialized, the screen is refreshed and all occurrences of that color-pair
 are changed to the new definition.
-.SP
+.PP
 As an extension, ncurses allows you to set color pair 0 via
 the \fBassume_default_colors\fR routine, or to specify the use of
 default colors (color number \fB-1\fR) if you first invoke the
 \fBuse_default_colors\fR routine.
-.SP
+.PP
 The \fBinit_color\fR routine changes the definition of a color.  It takes four
 arguments: the number of the color to be changed followed by three RGB values
 (for the amounts of red, green, and blue components).  The value of the first
@@ -122,18 +122,18 @@
 must be a value between 0 and 1000.  When \fBinit_color\fR is used, all
 occurrences of that color on the screen immediately change to the new
 definition.
-.SP
+.PP
 The \fBhas_colors\fR routine requires no arguments.  It returns \fBTRUE\fR if
 the terminal can manipulate colors; otherwise, it returns \fBFALSE\fR.  This
 routine facilitates writing terminal-independent programs.  For example, a
 programmer can use it to decide whether to use color or some other video
 attribute.
-.SP
+.PP
 The \fBcan_change_color\fR routine requires no arguments.  It returns
 \fBTRUE\fR if the terminal supports colors and can change their definitions;
 other, it returns \fBFALSE\fR.  This routine facilitates writing
 terminal-independent programs.
-.SP
+.PP
 The \fBcolor_content\fR routine gives programmers a way to find the intensity
 of the red, green, and blue (RGB) components in a color.  It requires four
 arguments: the color number, and three addresses of \fBshort\fRs for storing
@@ -142,7 +142,7 @@
 \fBCOLORS\fR.  The values that are stored at the addresses pointed to by the
 last three arguments are between 0 (no component) and 1000 (maximum amount of
 component).
-.SP
+.PP
 The \fBpair_content\fR routine allows programmers to find out what colors a
 given color-pair consists of.  It requires three arguments: the color-pair
 number, and two addresses of \fBshort\fRs for storing the foreground and the
@@ -153,7 +153,7 @@
 In \fB<curses.h>\fR the following macros are defined.  These are the default
 colors.  \fBcurses\fR also assumes that \fBCOLOR_BLACK\fR is the default
 background color for all terminals.
-.SP
+.PP
 .nf
       \fBCOLOR_BLACK\fR
       \fBCOLOR_RED\fR
@@ -167,7 +167,7 @@
 .SH RETURN VALUE
 The routines \fBcan_change_color()\fR and \fBhas_colors()\fR return \fBTRUE\fR
 or \fBFALSE\fR.
-.SP
+.PP
 All other routines return the integer \fBERR\fR upon failure and an \fBOK\fR
 (SVr4 specifies only "an integer value other than \fBERR\fR") upon successful
 completion.
@@ -199,12 +199,12 @@
 for each screen; the \fBstart_color\fR function only affects the current
 screen.  The SVr4/XSI interface is not really designed with this in mind, and
 historical implementations may use a single shared color palette.
-.SP
+.PP
 Note that setting an implicit background color via a color pair affects only
 character cells that a character write operation explicitly touches.  To change
 the background color used when parts of a window are blanked by erasing or
 scrolling operations, see \fBcurs_bkgd\fR(3X).
-.SP
+.PP
 Several caveats apply on 386 and 486 machines with VGA-compatible graphics:
 .TP 5
 -
Index: man/curs_extend.3x
Prereq:  1.13 
--- ncurses-5.5/man/curs_extend.3x	2004-07-05 13:16:08.000000000 +0000
+++ ncurses-5.5-20060128/man/curs_extend.3x	2006-01-07 22:41:42.000000000 +0000
@@ -1,5 +1,5 @@
 .\"***************************************************************************
-.\" Copyright (c) 1999-2003,2004 Free Software Foundation, Inc.              *
+.\" Copyright (c) 1999-2004,2006 Free Software Foundation, Inc.              *
 .\"                                                                          *
 .\" Permission is hereby granted, free of charge, to any person obtaining a  *
 .\" copy of this software and associated documentation files (the            *
@@ -26,9 +26,9 @@
 .\" authorization.                                                           *
 .\"***************************************************************************
 .\"
-.\" Author: Thomas E. Dickey 1999
+.\" Author: Thomas E. Dickey 1999-on
 .\"
-.\" $Id: curs_extend.3x,v 1.13 2004/07/05 13:16:08 tom Exp $
+.\" $Id: curs_extend.3x,v 1.14 2006/01/07 22:41:42 tom Exp $
 .TH curs_extend 3X ""
 .SH NAME
 \fBcurses_version\fP,
@@ -72,6 +72,7 @@
 \fBdefine_key\fR(3X),
 \fBkeybound\fR(3X),
 \fBkeyok\fR(3X),
+\fBnofilter\fR(3X),
 \fBresizeterm\fR(3X),
 \fBwresize\fR(3X).
 .SH AUTHOR
Index: man/curs_getstr.3x
Prereq:  1.14 
--- ncurses-5.5/man/curs_getstr.3x	2005-05-15 16:17:55.000000000 +0000
+++ ncurses-5.5-20060128/man/curs_getstr.3x	2006-01-12 00:30:58.000000000 +0000
@@ -26,7 +26,7 @@
 .\" authorization.                                                           *
 .\"***************************************************************************
 .\"
-.\" $Id: curs_getstr.3x,v 1.14 2005/05/15 16:17:55 tom Exp $
+.\" $Id: curs_getstr.3x,v 1.15 2006/01/12 00:30:58 tom Exp $
 .TH curs_getstr 3X ""
 .na
 .hy 0
@@ -43,7 +43,7 @@
 .hy
 .SH SYNOPSIS
 \fB#include <curses.h>\fR
-
+.sp
 \fBint getstr(char *str);\fR
 .br
 \fBint getnstr(char *str, int n);\fR
@@ -65,17 +65,17 @@
 until a newline or carriage return is received (the terminating character is
 not included in the returned string).  The resulting value is placed in the
 area pointed to by the character pointer \fIstr\fR.
-
+.PP
 \fBwgetnstr\fR reads at most \fIn\fR characters, thus preventing a possible
 overflow of the input buffer.  Any attempt to enter more characters (other
 than the terminating newline or carriage return) causes a beep.  Function
 keys also cause a beep and are ignored.  The \fBgetnstr\fR function reads
 from the \fIstdscr\fR default window.
-
+.PP
 The user's erase and kill characters are interpreted.  If keypad
 mode is on for the window, \fBKEY_LEFT\fR and \fBKEY_BACKSPACE\fR
 are both considered equivalent to the user's kill character.
-
+.PP
 Characters input are echoed only if \fBecho\fR is currently on.  In that case,
 backspace is echoed as deletion of the previous character (typically a left
 motion).
@@ -90,6 +90,10 @@
 these functions return an error
 if the window pointer is null, or
 if its timeout expires without having any data.
+.PP
+This implementation provides an extension as well.
+If a SIGWINCH interrupts the function, it will return \fBKEY_RESIZE\fP
+rather than \fBOK\fP or \fBERR\fP.
 .SH NOTES
 Note that \fBgetstr\fR, \fBmvgetstr\fR, and \fBmvwgetstr\fR may be macros.
 .SH PORTABILITY
@@ -98,14 +102,14 @@
 The standard does not define any error conditions.
 This implementation returns ERR if the window pointer is null,
 or if the lower-level \fBwgetch\fR call returns an ERR.
-
+.PP
 SVr3 and early SVr4 curses implementations did not reject function keys;
 the SVr4.0 documentation claimed that "special keys" (such as function
 keys, "home" key, "clear" key, \fIetc\fR.) are "interpreted", without
 giving details.  It lied.  In fact, the `character' value appended to the
 string by those implementations was predictable but not useful
 (being, in fact, the low-order eight bits of the key's KEY_ value).
-
+.PP
 The functions \fBgetnstr\fR, \fBmvgetnstr\fR, and \fBmvwgetnstr\fR were
 present but not documented in SVr4.
 .SH SEE ALSO
Index: man/curs_termcap.3x
Prereq:  1.18 
--- ncurses-5.5/man/curs_termcap.3x	2003-02-08 22:25:47.000000000 +0000
+++ ncurses-5.5-20060128/man/curs_termcap.3x	2005-12-17 20:22:23.000000000 +0000
@@ -1,5 +1,5 @@
 .\"***************************************************************************
-.\" Copyright (c) 1998-2002,2003 Free Software Foundation, Inc.              *
+.\" Copyright (c) 1998-2003,2005 Free Software Foundation, Inc.              *
 .\"                                                                          *
 .\" Permission is hereby granted, free of charge, to any person obtaining a  *
 .\" copy of this software and associated documentation files (the            *
@@ -26,7 +26,7 @@
 .\" authorization.                                                           *
 .\"***************************************************************************
 .\"
-.\" $Id: curs_termcap.3x,v 1.18 2003/02/08 22:25:47 tom Exp $
+.\" $Id: curs_termcap.3x,v 1.19 2005/12/17 20:22:23 tom Exp $
 .TH curs_termcap 3X ""
 .ds n 5
 .SH NAME
@@ -40,12 +40,15 @@
 \fB#include <curses.h>\fR
 .br
 \fB#include <term.h>\fR
-.br
+.sp
 \fBextern char PC;\fR
+.br
 \fBextern char * UP;\fR
+.br
 \fBextern char * BC;\fR
-\fBextern @NCURSES_OSPEED@ ospeed;\fR
 .br
+\fBextern @NCURSES_OSPEED@ ospeed;\fR
+.sp
 \fBint tgetent(char *bp, const char *name);\fR
 .br
 \fBint tgetflag(char *id);\fR
Index: man/curs_util.3x
Prereq:  1.17 
--- ncurses-5.5/man/curs_util.3x	2005-06-25 21:51:37.000000000 +0000
+++ ncurses-5.5-20060128/man/curs_util.3x	2006-01-07 22:47:45.000000000 +0000
@@ -1,5 +1,5 @@
 .\"***************************************************************************
-.\" Copyright (c) 1998-2004,2005 Free Software Foundation, Inc.              *
+.\" Copyright (c) 1998-2005,2006 Free Software Foundation, Inc.              *
 .\"                                                                          *
 .\" Permission is hereby granted, free of charge, to any person obtaining a  *
 .\" copy of this software and associated documentation files (the            *
@@ -26,7 +26,7 @@
 .\" authorization.                                                           *
 .\"***************************************************************************
 .\"
-.\" $Id: curs_util.3x,v 1.17 2005/06/25 21:51:37 tom Exp $
+.\" $Id: curs_util.3x,v 1.20 2006/01/07 22:47:45 tom Exp $
 .TH curs_util 3X ""
 .na
 .hy 0
@@ -37,6 +37,7 @@
 \fBgetwin\fR,
 \fBkey_name\fR,
 \fBkeyname\fR,
+\fBnofilter\fR,
 \fBputwin\fR,
 \fBunctrl\fR,
 \fBuse_env\fR,
@@ -56,6 +57,8 @@
 .br
 \fBvoid filter(void);\fR
 .br
+\fBvoid nofilter(void);\fR
+.br
 \fBvoid use_env(bool f);\fR
 .br
 \fBint putwin(WINDOW *win, FILE *filep);\fR
@@ -89,6 +92,13 @@
 \fBcuu1\fR, \fBcuu\fR, \fBvpa\fR are disabled; and the \fBhome\fR string is
 set to the value of \fBcr\fR.
 .PP
+The \fBnofilter\fP routine cancels the effect of a preceding \fBfilter\fP
+call.
+That allows the caller to initialize a screen on a different device,
+using a different value of \fB$TERM\fP.
+The limitation arises because the \fBfilter\fP routine modifies the
+in-memory copy of the terminal information.
+.PP
 The \fBuse_env\fR routine, if used, is called before \fBinitscr\fR or
 \fBnewterm\fR are called.  When called with \fBFALSE\fR as an
 argument, the values of \fBlines\fR and \fBcolumns\fR specified in the
@@ -142,17 +152,28 @@
 erroneously fails to describe the disabling of \fBcuu\fR).
 .PP
 The strings returned by \fBunctrl\fR in this implementation are determined
-at compile time, showing C1 controls from the upper-128 codes with a `~'
-prefix rather than `^'.
-Other implementations typically show both sets of control characters with `^',
-and may strip the parameter to 7 bits.
+at compile time,
+showing C1 controls from the upper-128 codes with a `~' prefix rather than `^'.
+Other implementations have different conventions.
+For example, they may show both sets of control characters with `^',
+and strip the parameter to 7 bits.
+Or they may ignore C1 controls and treat all of the upper-1280 codes as
+printable.
 This implementation uses 8 bits but does not modify the string to reflect
 locale.
+The \fBuse_legacy_coding\fP function allows the caller to
+change the output of \fBunctrl\fP.
 .PP
 The \fBkeyname\fP function may return the names of user-defined
 string capabilities which are defined in the terminfo entry via the \fB-x\fP
 option of \fBtic\fP.
+.PP
+The \fBnofilter\fP routine is specific to ncurses.
+It was not supported on Version 7, BSD or System V implementations.
+It is recommended that any code depending on ncurses extensions
+be conditioned using NCURSES_VERSION.
 .SH SEE ALSO
+\fBuse_legacy_coding\fR(3),
 \fBcurses\fR(3X),
 \fBcurs_initscr\fR(3X),
 \fBcurs_kernel\fR(3X),
Index: man/legacy_coding.3x
--- /dev/null	2005-11-19 17:15:46.000000000 +0000
+++ ncurses-5.5-20060128/man/legacy_coding.3x	2005-12-17 23:59:26.000000000 +0000
@@ -0,0 +1,82 @@
+.\"***************************************************************************
+.\" Copyright (c) 2005 Free Software Foundation, Inc.                        *
+.\"                                                                          *
+.\" Permission is hereby granted, free of charge, to any person obtaining a  *
+.\" copy of this software and associated documentation files (the            *
+.\" "Software"), to deal in the Software without restriction, including      *
+.\" without limitation the rights to use, copy, modify, merge, publish,      *
+.\" distribute, distribute with modifications, sublicense, and/or sell       *
+.\" copies of the Software, and to permit persons to whom the Software is    *
+.\" furnished to do so, subject to the following conditions:                 *
+.\"                                                                          *
+.\" The above copyright notice and this permission notice shall be included  *
+.\" in all copies or substantial portions of the Software.                   *
+.\"                                                                          *
+.\" THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS  *
+.\" OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF               *
+.\" MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.   *
+.\" IN NO EVENT SHALL THE ABOVE COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM,   *
+.\" DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR    *
+.\" OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR    *
+.\" THE USE OR OTHER DEALINGS IN THE SOFTWARE.                               *
+.\"                                                                          *
+.\" Except as contained in this notice, the name(s) of the above copyright   *
+.\" holders shall not be used in advertising or otherwise to promote the     *
+.\" sale, use or other dealings in this Software without prior written       *
+.\" authorization.                                                           *
+.\"***************************************************************************
+.\"
+.\" Author: Thomas E. Dickey
+.\"
+.\" $Id: legacy_coding.3x,v 1.1 2005/12/17 23:59:26 tom Exp $
+.TH legacy_coding 3X ""
+.SH NAME
+\fBuse_legacy_coding\fR \- use terminal's default colors
+.SH SYNOPSIS
+\fB#include <curses.h>\fP
+
+\fBint use_legacy_coding(int level);\fP
+.SH DESCRIPTION
+The
+.I use_legacy_coding()
+function is an extension to the curses library.
+It allows the caller to change the result of \fBunctrl\fP,
+and suppress related checks within the library that would normally
+cause nonprinting characters to be rendered in visible form.
+This affects only 8-bit characters.
+.PP
+The \fIlevel\fP parameter controls the result:
+.RS
+.TP 5
+0
+the library functions normally,
+rendering nonprinting characters as described in \fBunctrl\fP(3X).
+.TP
+1
+the library ignores \fBisprintf\fP for codes in the range 160-255.
+.TP
+2
+the library ignores \fBisprintf\fP for codes in the range 128-255.
+It also modifies the output of \fBunctrl\fP, showing codes in the
+range 128-159 as is.
+.RE
+.SH RETURN VALUE
+If the screen has not been initialized,
+or the \fIlevel\fP parameter is out of range,
+the function returns \fBERR\fP.
+Otherwise, it returns the previous level: \fB0\fP, \fB1\fP or \fB2\fP.
+.SH PORTABILITY
+This routine is specific to ncurses.
+It was not supported on Version 7, BSD or System V implementations.
+It is recommended that any code depending on ncurses extensions
+be conditioned using NCURSES_VERSION.
+.SH SEE ALSO
+\fBunctrl\fR.
+.SH AUTHOR
+Thomas Dickey (to support lynx's font-switching feature).
+.\"#
+.\"# The following sets edit modes for GNU EMACS
+.\"# Local Variables:
+.\"# mode:nroff
+.\"# fill-column:79
+.\"# End:
Index: man/tic.1m
Prereq:  1.38 
--- ncurses-5.5/man/tic.1m	2005-04-30 19:39:28.000000000 +0000
+++ ncurses-5.5-20060128/man/tic.1m	2006-01-14 16:33:29.000000000 +0000
@@ -1,5 +1,5 @@
 .\"***************************************************************************
-.\" Copyright (c) 1998-2004,2005 Free Software Foundation, Inc.              *
+.\" Copyright (c) 1998-2005,2006 Free Software Foundation, Inc.              *
 .\"                                                                          *
 .\" Permission is hereby granted, free of charge, to any person obtaining a  *
 .\" copy of this software and associated documentation files (the            *
@@ -26,7 +26,7 @@
 .\" authorization.                                                           *
 .\"***************************************************************************
 .\"
-.\" $Id: tic.1m,v 1.38 2005/04/30 19:39:28 tom Exp $
+.\" $Id: tic.1m,v 1.39 2006/01/14 16:33:29 tom Exp $
 .TH tic 1M ""
 .ds n 5
 .ds d @TERMINFO@
@@ -182,14 +182,17 @@
 .TP
 \fB-v\fR\fIn\fR
 specifies that (verbose) output be written to standard error trace
-information showing \fBtic\fR's progress.  The optional integer
-\fIn\fR is a number from 1 to 10, inclusive, indicating the desired
-level of detail of information.  If \fIn\fR is omitted, the default
-level is 1.  If \fIn\fR is specified and greater than 1, the level of
+information showing \fBtic\fR's progress.
+The optional parameter \fIn\fR is a number from 1 to 10, inclusive,
+indicating the desired level of detail of information.
+If \fIn\fR is omitted, the default level is 1.
+If \fIn\fR is specified and greater than 1, the level of
 detail is increased.
 .TP
 \fB-w\fR\fIn\fR
 specifies the width of the output.
+The parameter is optional.
+If it is omitted, it defaults to 60.
 .TP
 \fB-x\fR
 Treat unknown capabilities as user-defined.
Index: man/toe.1m
Prereq:  1.13 
--- ncurses-5.5/man/toe.1m	2004-07-05 13:16:08.000000000 +0000
+++ ncurses-5.5-20060128/man/toe.1m	2006-01-14 23:04:50.000000000 +0000
@@ -1,5 +1,5 @@
 .\"***************************************************************************
-.\" Copyright (c) 1998-2003,2004 Free Software Foundation, Inc.              *
+.\" Copyright (c) 1998-2004,2006 Free Software Foundation, Inc.              *
 .\"                                                                          *
 .\" Permission is hereby granted, free of charge, to any person obtaining a  *
 .\" copy of this software and associated documentation files (the            *
@@ -26,14 +26,14 @@
 .\" authorization.                                                           *
 .\"***************************************************************************
 .\"
-.\" $Id: toe.1m,v 1.13 2004/07/05 13:16:08 tom Exp $
+.\" $Id: toe.1m,v 1.16 2006/01/14 23:04:50 tom Exp $
 .TH toe 1M ""
 .ds n 5
 .ds d @TERMINFO@
 .SH NAME
 \fBtoe\fR - table of (terminfo) entries
 .SH SYNOPSIS
-\fBtoe\fR [\fB-v\fR[\fIn\fR]] [\fB-huUV\fR] \fIfile...\fR
+\fBtoe\fR [\fB-v\fR[\fIn\fR]] [\fB-ahuUV\fR] \fIfile...\fR
 .br
 .SH DESCRIPTION
 .PP
@@ -45,6 +45,10 @@
 .PP
 There are other options intended for use by terminfo file maintainers:
 .TP
+\fB-a\fR
+report on all of the terminal databases which ncurses would search,
+rather than only the first one that it finds.
+.TP
 \fB-u\fR \fIfile\fR
 says to issue a report on dependencies in the given file. This report condenses
 the `use' relation: each line consists of the primary name of a terminal that
@@ -60,10 +64,11 @@
 followed by a newline.
 .TP
 \fB-v\fR\fIn\fR
-specifies that (verbose) output be written to standard error trace
-information showing \fBtoe\fR's progress.  The optional integer
-\fIn\fR is a number from 1 to 10, interpreted as for \fBtic\fR(1).
-.TP 5
+specifies that (verbose) output be written to standard error,
+showing \fBtoe\fR's progress.
+The optional parameter \fIn\fR is a number from 1 to 10,
+interpreted as for \fBtic\fR(1).
+.TP
 \fB-V\fR
 reports the version of ncurses which was used in this program, and exits.
 .SH FILES
Index: man/tput.1
Prereq:  1.22 
--- ncurses-5.5/man/tput.1	2005-01-08 17:44:26.000000000 +0000
+++ ncurses-5.5-20060128/man/tput.1	2005-11-26 17:03:09.000000000 +0000
@@ -27,7 +27,7 @@
 .\" authorization.                                                           *
 .\"***************************************************************************
 .\"
-.\" $Id: tput.1,v 1.22 2005/01/08 17:44:26 tom Exp $
+.\" $Id: tput.1,v 1.23 2005/11/26 17:03:09 tom Exp $
 .TH tput 1 ""
 .ds d @TERMINFO@
 .ds n 1
@@ -280,9 +280,19 @@
 =
 .TE
 .SH PORTABILITY
+.PP
 The \fBlongname\fR and \fB-S\fR options, and the parameter-substitution
 features used in the \fBcup\fR example, are not supported in BSD curses or in
 AT&T/USL curses before SVr4.
+.PP
+X/Open documents only the operands for \fBclear\fP, \fBinit\fP and \fBreset\fP.
+In this implementation, \fBclear\fP is part of the \fIcapname\fR support.
+Other implementations of \fBtput\fP on
+SVr4-based systems such as Solaris, IRIX64 and HPUX
+as well as others such as AIX and Tru64
+provide support for \fIcapname\fR operands.
+A few platforms such as FreeBSD and NetBSD recognize termcap names rather
+than terminfo capability names in their respective \fBtput\fP commands.
 .SH SEE ALSO
 \fB@CLEAR@\fR(1),
 \fBstty\fR(1),
Index: menu/m_cursor.c
Prereq:  1.19 
--- ncurses-5.5/menu/m_cursor.c	2004-12-25 22:03:00.000000000 +0000
+++ ncurses-5.5-20060128/menu/m_cursor.c	2005-10-22 23:03:32.000000000 +0000
@@ -1,5 +1,5 @@
 /****************************************************************************
- * Copyright (c) 1998-2003,2004 Free Software Foundation, Inc.              *
+ * Copyright (c) 1998-2004,2005 Free Software Foundation, Inc.              *
  *                                                                          *
  * Permission is hereby granted, free of charge, to any person obtaining a  *
  * copy of this software and associated documentation files (the            *
@@ -32,12 +32,12 @@
 
 /***************************************************************************
 * Module m_cursor                                                          *
-* Correctly position a menus cursor                                        *
+* Correctly position a menu's cursor                                       *
 ***************************************************************************/
 
 #include "menu.priv.h"
 
-MODULE_ID("$Id: m_cursor.c,v 1.19 2004/12/25 22:03:00 tom Exp $")
+MODULE_ID("$Id: m_cursor.c,v 1.20 2005/10/22 23:03:32 tom Exp $")
 
 /*---------------------------------------------------------------------------
 |   Facility      :  libnmenu
@@ -83,7 +83,7 @@
 pos_menu_cursor(const MENU * menu)
 {
   WINDOW *win, *sub;
-  int x, y;
+  int x = 0, y = 0;
   int err = _nc_menu_cursor_pos(menu, (ITEM *) 0, &y, &x);
 
   T((T_CALLED("pos_menu_cursor(%p)"), menu));
Index: menu/m_driver.c
Prereq:  1.24 
--- ncurses-5.5/menu/m_driver.c	2005-04-09 20:40:25.000000000 +0000
+++ ncurses-5.5-20060128/menu/m_driver.c	2005-11-26 20:46:59.000000000 +0000
@@ -37,7 +37,7 @@
 
 #include "menu.priv.h"
 
-MODULE_ID("$Id: m_driver.c,v 1.24 2005/04/09 20:40:25 tom Exp $")
+MODULE_ID("$Id: m_driver.c,v 1.25 2005/11/26 20:46:59 tom Exp $")
 
 /* Macros */
 
@@ -157,7 +157,7 @@
 	  if (++idx >= menu->nitems)
 	    idx = 0;
 	}
-      if (Is_Sub_String((menu->opt & O_IGNORECASE) != 0,
+      if (Is_Sub_String((bool)((menu->opt & O_IGNORECASE) != 0),
 			menu->pattern,
 			menu->items[idx]->name.str)
 	)
Index: menu/m_global.c
Prereq:  1.20 
--- ncurses-5.5/menu/m_global.c	2005-04-16 17:30:57.000000000 +0000
+++ ncurses-5.5-20060128/menu/m_global.c	2005-12-31 21:51:52.000000000 +0000
@@ -37,7 +37,7 @@
 
 #include "menu.priv.h"
 
-MODULE_ID("$Id: m_global.c,v 1.20 2005/04/16 17:30:57 tom Exp $")
+MODULE_ID("$Id: m_global.c,v 1.23 2005/12/31 21:51:52 tom Exp $")
 
 static char mark[] = "-";
 /* *INDENT-OFF* */
@@ -106,21 +106,24 @@
 |
 |   Return Values :  -
 +--------------------------------------------------------------------------*/
-INLINE static void
+NCURSES_INLINE static void
 ComputeMaximum_NameDesc_Lengths(MENU * menu)
 {
   unsigned MaximumNameLength = 0;
   unsigned MaximumDescriptionLength = 0;
   ITEM **items;
+  unsigned check;
 
   assert(menu && menu->items);
   for (items = menu->items; *items; items++)
     {
-      if (items[0]->name.length > MaximumNameLength)
-	MaximumNameLength = items[0]->name.length;
-
-      if (items[0]->description.length > MaximumDescriptionLength)
-	MaximumDescriptionLength = items[0]->description.length;
+      check = _nc_Calculate_Text_Width(&((*items)->name));
+      if (check > MaximumNameLength)
+	MaximumNameLength = check;
+
+      check = _nc_Calculate_Text_Width(&((*items)->description));
+      if (check > MaximumDescriptionLength)
+	MaximumDescriptionLength = check;
     }
 
   menu->namelen = MaximumNameLength;
@@ -137,7 +140,7 @@
 |
 |   Return Values :  -
 +--------------------------------------------------------------------------*/
-INLINE static void
+NCURSES_INLINE static void
 ResetConnectionInfo(MENU * menu, ITEM ** items)
 {
   ITEM **item;
@@ -249,26 +252,30 @@
 {
 #if USE_WIDEC_SUPPORT
   int result = item->length;
-  int count = mbstowcs(0, item->str, 0);
-  wchar_t *temp = 0;
 
   T((T_CALLED("_nc_menu_text_width(%p)"), item));
-  if (count > 0
-      && (temp = typeMalloc(wchar_t, 2 + count)) != 0)
+  if (result != 0 && item->str != 0)
     {
-      int n;
+      int count = mbstowcs(0, item->str, 0);
+      wchar_t *temp = 0;
 
-      result = 0;
-      mbstowcs(temp, item->str, (unsigned)count);
-      for (n = 0; n < count; ++n)
+      if (count > 0
+	  && (temp = typeMalloc(wchar_t, 2 + count)) != 0)
 	{
-	  int test = wcwidth(temp[n]);
+	  int n;
+
+	  result = 0;
+	  mbstowcs(temp, item->str, (unsigned)count);
+	  for (n = 0; n < count; ++n)
+	    {
+	      int test = wcwidth(temp[n]);
 
-	  if (test <= 0)
-	    test = 1;
-	  result += test;
+	      if (test <= 0)
+		test = 1;
+	      result += test;
+	    }
+	  free(temp);
 	}
-      free(temp);
     }
   returnCode(result);
 #else
@@ -276,10 +283,10 @@
 #endif
 }
 
-/* FIXME: this is experimental, should cache the results but don't want to
- * modify the MENU struct to do this until it's complete.
+/*
+ * Calculate the actual width of a menu entry for wide-characters.
  */
-#if 0				/* USE_WIDEC_SUPPORT */
+#if USE_WIDEC_SUPPORT
 static int
 calculate_actual_width(MENU * menu, bool name)
 {
@@ -288,25 +295,32 @@
   ITEM **items;
 
   assert(menu && menu->items);
-  for (items = menu->items; *items; items++)
+
+  if (menu->items != 0)
     {
-      if (name)
+      for (items = menu->items; *items; items++)
 	{
-	  check = _nc_Calculate_Text_Width(&((*items)->name));
-	}
-      else
-	{
-	  check = _nc_Calculate_Text_Width(&((*items)->description));
+	  if (name)
+	    {
+	      check = _nc_Calculate_Text_Width(&((*items)->name));
+	    }
+	  else
+	    {
+	      check = _nc_Calculate_Text_Width(&((*items)->description));
+	    }
+	  if (check > width)
+	    width = check;
 	}
-      if (check > width)
-	width = check;
+    }
+  else
+    {
+      width = (name ? menu->namelen : menu->desclen);
     }
 
   T(("calculate_actual_width %s = %d/%d",
      name ? "name" : "desc",
      width,
      name ? menu->namelen : menu->desclen));
-  width += 2;			/* FIXME - need this? */
   return width;
 }
 #else
Index: menu/mf_common.h
Prereq:  0.21 
--- ncurses-5.5/menu/mf_common.h	2004-12-11 22:40:40.000000000 +0000
+++ ncurses-5.5-20060128/menu/mf_common.h	2005-11-26 15:26:52.000000000 +0000
@@ -30,7 +30,7 @@
  *   Author:  Juergen Pfeifer, 1995,1997                                    *
  ****************************************************************************/
 
-/* $Id: mf_common.h,v 0.21 2004/12/11 22:40:40 tom Exp $ */
+/* $Id: mf_common.h,v 0.22 2005/11/26 15:26:52 tom Exp $ */
 
 /* Common internal header for menu and form library */
 
@@ -92,13 +92,4 @@
 	(object)->status &= ~_IN_DRIVER;\
    }
 
-#define INLINE
-
-#ifndef TRACE
-#  if CC_HAS_INLINE_FUNCS
-#    undef INLINE
-#    define INLINE inline
-#  endif
-#endif
-
 #endif /* MF_COMMON_H_incl */
Index: misc/jpf-indent
Prereq:  1.3 
--- ncurses-5.5/misc/jpf-indent	2004-05-29 19:14:45.000000000 +0000
+++ ncurses-5.5-20060128/misc/jpf-indent	2005-11-26 15:30:00.000000000 +0000
@@ -1,5 +1,5 @@
 #!/bin/sh
-# $Id: jpf-indent,v 1.3 2004/05/29 19:14:45 tom Exp $
+# $Id: jpf-indent,v 1.4 2005/11/26 15:30:00 tom Exp $
 # indent ncurses source written by Juergen Pfeifer
 NOOP=no
 OPTS='
@@ -16,11 +16,12 @@
 --parameter-indentation4
 --swallow-optional-blank-lines
 --tab-size8
+
 -T FIELD
 -T FIELDTYPE
 -T FIELD_CELL
 -T FORM
--T INLINE
+-T NCURSES_INLINE
 -T RegExp_Arg 
 -T TypeArgument 
 -T WINDOW
Index: misc/ncu-indent
Prereq:  1.12 
--- ncurses-5.5/misc/ncu-indent	2004-11-23 00:45:48.000000000 +0000
+++ ncurses-5.5-20060128/misc/ncu-indent	2006-01-04 22:54:17.000000000 +0000
@@ -1,5 +1,5 @@
 #!/bin/sh
-# $Id: ncu-indent,v 1.12 2004/11/23 00:45:48 tom Exp $
+# $Id: ncu-indent,v 1.14 2006/01/04 22:54:17 tom Exp $
 NOOP=no
 OPTS='
 --blank-lines-after-procedures
@@ -18,6 +18,7 @@
 --tab-size8
 
 -T NCURSES_EXPORT_VAR
+-T NCURSES_INLINE
 -T SCREEN
 -T TERMTYPE
 -T attr_t
@@ -53,7 +54,7 @@
 	-*)
 		OPTS="$OPTS $name"
 		;;
-	*.[ch])
+	*.[ch]|*.cc|*.cpp)
 		save="${name}".a$$
 		test="${name}".b$$
 		rm -f "$save" "$test"
Index: misc/terminfo.src
--- ncurses-5.5/misc/terminfo.src	2005-07-24 00:22:25.000000000 +0000
+++ ncurses-5.5-20060128/misc/terminfo.src	2006-01-14 16:25:30.000000000 +0000
@@ -4,8 +4,8 @@
 # Report bugs and new terminal descriptions to
 #	bug-ncurses@gnu.org
 #
-#	$Revision: 1.268 $
-#	$Date: 2005/07/24 00:22:25 $
+#	$Revision: 1.271 $
+#	$Date: 2005/11/12 23:01:03 $
 #
 # The original header is preserved below for reference.  It is noted that there
 # is a "newer" version which differs in some cosmetic details (but actually
@@ -2981,8 +2981,9 @@
 	kIC=\E[2;2~, kLFT=\E[1;2D, kNXT=\E[6;2~, kPRV=\E[5;2~, 
 	kRIT=\E[1;2C, kb2=\EOE, kcbt=\E[Z, kcub1=\EOD, kcud1=\EOB, 
 	kcuf1=\EOC, kcuu1=\EOA, kend=\EOF, kent=\EOM, khome=\EOH, 
-	kich1=\E[2~, kmous=\E[M, knp=\E[6~, kpp=\E[5~, 
-	rin=\E[%p1%dT, use=xterm+pcfkeys, use=xterm-basic, 
+	kich1=\E[2~, kind=\E[1;2B, kmous=\E[M, knp=\E[6~, 
+	kpp=\E[5~, kri=\E[1;2A, rin=\E[%p1%dT, use=xterm+pcfkeys, 
+	use=xterm-basic, 
 #
 # This fragment describes as much of XFree86 xterm's "pc-style" function
 # keys as will fit into terminfo's 60 function keys.
@@ -3493,7 +3494,7 @@
 	sgr=\E[0%?%p6%t;1%;%?%p2%t;4%;%?%p1%p3%|%t;7%;%?%p4%t;5%;m%?%p9%t\016%e\017%;, 
 	sgr0=\E[0m\017, smacs=^N, smcup=\E7\E[?47h, smir=\E[4h, 
 	smkx=\E=, smso=\E[7m, smul=\E[4m, tbc=\E[3g, 
-	use=vt220+keypad, use=rxvt+pcfkeys, 
+	use=rxvt+pcfkeys, use=vt220+keypad, 
 # Key Codes from rxvt reference:
 # 
 # Note: Shift + F1-F10 generates F11-F20
@@ -4730,32 +4731,35 @@
 #   civis [make cursor invisible] causes everything to stackdump? \E[?25l\E[?1c
 #   ech   [erase characters param] broken \E[%p1%dX
 #   kcbt  [back-tab key] not implemented in cygwin?  \E[Z
+#
+# 2005/11/12 -TD
+#	Remove cbt since it does not work in current cygwin
+#	Add 'mir' and 'in' flags based on tack
 cygwin|ansi emulation for Cygwin, 
-	am, hs, in, msgr, xon, 
+	am, hs, mir, msgr, xon, 
 	colors#8, it#8, pairs#64, 
 	acsc=+\020\,\021-\030.^Y0\333`\004a\261f\370g\361h\260j\331k\277l\332m\300n\305o~p\304q\304r\304s_t\303u\264v\301w\302x\263y\363z\362{\343|\330}\234~\376, 
-	bel=^G, bold=\E[1m, cbt=\E[Z, clear=\E[H\E[J, cr=^M, 
-	cub=\E[%p1%dD, cub1=^H, cud=\E[%p1%dB, cud1=\E[B, 
-	cuf=\E[%p1%dC, cuf1=\E[C, cup=\E[%i%p1%d;%p2%dH, 
-	cuu=\E[%p1%dA, cuu1=\E[A, dch=\E[%p1%dP, dch1=\E[P, 
-	dl=\E[%p1%dM, dl1=\E[M, ed=\E[J, el=\E[K, el1=\E[1K, fsl=^G, 
-	home=\E[H, hpa=\E[%i%p1%dG, ht=^I, ich=\E[%p1%d@, 
-	ich1=\E[@, il=\E[%p1%dL, il1=\E[L, ind=^J, invis=\E[8m, 
-	kb2=\E[G, kbs=^H, kcub1=\E[D, kcud1=\E[B, kcuf1=\E[C, 
-	kcuu1=\E[A, kdch1=\E[3~, kend=\E[4~, kf1=\E[[A, 
-	kf10=\E[21~, kf11=\E[23~, kf12=\E[24~, kf13=\E[25~, 
-	kf14=\E[26~, kf15=\E[28~, kf16=\E[29~, kf17=\E[31~, 
-	kf18=\E[32~, kf19=\E[33~, kf2=\E[[B, kf20=\E[34~, 
-	kf3=\E[[C, kf4=\E[[D, kf5=\E[[E, kf6=\E[17~, kf7=\E[18~, 
-	kf8=\E[19~, kf9=\E[20~, khome=\E[1~, kich1=\E[2~, 
-	knp=\E[6~, kpp=\E[5~, kspd=^Z, nel=^M^J, op=\E[39;49m, 
-	rc=\E8, rev=\E[7m, ri=\EM, rmacs=\E[10m, 
-	rmcup=\E[2J\E[?47l\E8, rmir=\E[4l, rmpch=\E[10m, 
-	rmso=\E[27m, rmul=\E[24m, rs1=\Ec\E]R, sc=\E7, 
-	setab=\E[4%p1%dm, setaf=\E[3%p1%dm, 
+	bel=^G, bold=\E[1m, clear=\E[H\E[J, cr=^M, cub=\E[%p1%dD, 
+	cub1=^H, cud=\E[%p1%dB, cud1=\E[B, cuf=\E[%p1%dC, 
+	cuf1=\E[C, cup=\E[%i%p1%d;%p2%dH, cuu=\E[%p1%dA, 
+	cuu1=\E[A, dch=\E[%p1%dP, dch1=\E[P, dl=\E[%p1%dM, 
+	dl1=\E[M, ed=\E[J, el=\E[K, el1=\E[1K, fsl=^G, home=\E[H, 
+	hpa=\E[%i%p1%dG, ht=^I, ich=\E[%p1%d@, ich1=\E[@, 
+	il=\E[%p1%dL, il1=\E[L, ind=^J, invis=\E[8m, kb2=\E[G, 
+	kbs=^H, kcub1=\E[D, kcud1=\E[B, kcuf1=\E[C, kcuu1=\E[A, 
+	kdch1=\E[3~, kend=\E[4~, kf1=\E[[A, kf10=\E[21~, 
+	kf11=\E[23~, kf12=\E[24~, kf13=\E[25~, kf14=\E[26~, 
+	kf15=\E[28~, kf16=\E[29~, kf17=\E[31~, kf18=\E[32~, 
+	kf19=\E[33~, kf2=\E[[B, kf20=\E[34~, kf3=\E[[C, kf4=\E[[D, 
+	kf5=\E[[E, kf6=\E[17~, kf7=\E[18~, kf8=\E[19~, kf9=\E[20~, 
+	khome=\E[1~, kich1=\E[2~, knp=\E[6~, kpp=\E[5~, kspd=^Z, 
+	nel=^M^J, op=\E[39;49m, rc=\E8, rev=\E[7m, ri=\EM, 
+	rmacs=\E[10m, rmcup=\E[2J\E[?47l\E8, rmir=\E[4l, 
+	rmpch=\E[10m, rmso=\E[27m, rmul=\E[24m, rs1=\Ec\E]R, 
+	sc=\E7, setab=\E[4%p1%dm, setaf=\E[3%p1%dm, 
 	sgr=\E[0;10%?%p1%t;7%;%?%p2%t;4%;%?%p3%t;7%;%?%p4%t;5%;%?%p6%t;1%;%?%p7%t;8%;%?%p9%t;11%;m, 
-	sgr0=\E[0;10m, smacs=\E11m, smcup=\E7\E[?47h, smir=\E[4h, 
-	smpch=\E[11m, smso=\E[7m, smul=\E[4m, tsl=\E];, 
+	sgr0=\E[0;10m, smacs=\E[11m, smcup=\E7\E[?47h, 
+	smir=\E[4h, smpch=\E[11m, smso=\E[7m, smul=\E[4m, tsl=\E];, 
 	u6=\E[%i%d;%dR, u7=\E[6n, u8=\E[?6c, u9=\E[c, 
 	vpa=\E[%i%p1%dd, 
 
@@ -9115,13 +9119,13 @@
 # NOTE: calling 'beep' turns on the backlight (bell)
 # NOTE: calling 'flash' turns it on and back off (visual bell)
 #
-MtxOrb| Generic Matrix Orbital LCD display, 
+MtxOrb|Generic Matrix Orbital LCD display, 
 	bel=\376B^A, clear=\376X\376C\376R\376K\376T, 
 	cnorm=\376K\376T, cub1=\376L, cuf1=\376M, 
 	flash=\376B\001$<200>\376F, home=\376H, 
-MtxOrb204| 20x4 Matrix Orbital LCD display, 
+MtxOrb204|20x4 Matrix Orbital LCD display, 
 	cols#20, lines#4, use=MtxOrb, 
-MtxOrb162| 16x2 Matrix Orbital LCD display, 
+MtxOrb162|16x2 Matrix Orbital LCD display, 
 	cols#16, lines#2, use=MtxOrb, 
 # The end
 
@@ -21009,6 +21013,16 @@
 #	* modify sgr string of prism9 to better match the individual
 #	  attributes -TD
 #
+# 2005-10-15
+#	* correct order of use= in rxvt-basic -TD
+#
+# 2005-10-26
+#	* use kind/kri as shifted up/down cursor keys for xterm-new -TD
+#
+# 2005-11-12
+#	* other minor fixes to cygwin based on tack -TD
+#	* correct smacs in cygwin (report by Baurzhan Ismagulov).
+#
 # The following sets edit modes for GNU EMACS.
 # Local Variables:
 # fill-prefix:"\t"
Index: ncurses/base/MKkeyname.awk
Prereq:  1.28 
--- ncurses-5.5/ncurses/base/MKkeyname.awk	2005-04-30 19:26:25.000000000 +0000
+++ ncurses-5.5-20060128/ncurses/base/MKkeyname.awk	2005-10-22 19:01:23.000000000 +0000
@@ -1,4 +1,4 @@
-# $Id: MKkeyname.awk,v 1.28 2005/04/30 19:26:25 tom Exp $
+# $Id: MKkeyname.awk,v 1.29 2005/10/22 19:01:23 tom Exp $
 ##############################################################################
 # Copyright (c) 1999-2002,2005 Free Software Foundation, Inc.                #
 #                                                                            #
@@ -97,6 +97,7 @@
 	print "						break;"
 	print "					}"
 	print "				}"
+	print "				free(bound);"
 	print "				if (result != 0)"
 	print "					break;"
 	print "			}"
Index: ncurses/base/MKlib_gen.sh
Prereq:  1.24 
--- ncurses-5.5/ncurses/base/MKlib_gen.sh	2005-06-11 19:26:05.000000000 +0000
+++ ncurses-5.5-20060128/ncurses/base/MKlib_gen.sh	2005-12-17 17:52:14.000000000 +0000
@@ -2,7 +2,7 @@
 #
 # MKlib_gen.sh -- generate sources from curses.h macro definitions
 #
-# ($Id: MKlib_gen.sh,v 1.24 2005/06/11 19:26:05 tom Exp $)
+# ($Id: MKlib_gen.sh,v 1.25 2005/12/17 17:52:14 tom Exp $)
 #
 ##############################################################################
 # Copyright (c) 1998-2004,2005 Free Software Foundation, Inc.                #
@@ -407,7 +407,10 @@
 | sed -e 's/^\([a-z_][a-z_]*[ *]*\)/\1 gen_/' -e 's/  / /g' >>$TMP
 
 $preprocessor $TMP 2>/dev/null \
-| sed -e 's/  / /g' -e 's/^ //' \
+| sed \
+	-e 's/  / /g' \
+	-e 's/^ //' \
+	-e 's/^_Bool/bool/' \
 | $AWK -f $AW2 \
 | sed -f $ED3 \
 | sed \
Index: ncurses/base/MKunctrl.awk
Prereq:  1.10 
--- ncurses-5.5/ncurses/base/MKunctrl.awk	2004-04-03 22:50:37.000000000 +0000
+++ ncurses-5.5-20060128/ncurses/base/MKunctrl.awk	2005-12-17 22:48:37.000000000 +0000
@@ -1,6 +1,6 @@
-# $Id: MKunctrl.awk,v 1.10 2004/04/03 22:50:37 tom Exp $
+# $Id: MKunctrl.awk,v 1.11 2005/12/17 22:48:37 tom Exp $
 ##############################################################################
-# Copyright (c) 1998,2001,2004 Free Software Foundation, Inc.                #
+# Copyright (c) 1998-2004,2005 Free Software Foundation, Inc.                #
 #                                                                            #
 # Permission is hereby granted, free of charge, to any person obtaining a    #
 # copy of this software and associated documentation files (the "Software"), #
@@ -41,6 +41,7 @@
 END	{
 		print "NCURSES_EXPORT(NCURSES_CONST char *) unctrl (register chtype ch)"
 		print "{"
+
 		printf "static const char* const table[] = {"
 		for ( ch = 0; ch < 256; ch++ ) {
 			gap = ","
@@ -63,10 +64,44 @@
 			printf "%s", gap
 		}
 		print "};"
-		print "int check = ChCharOf(ch);"
+
+		print ""
+		print "#if NCURSES_EXT_FUNCS"
+		printf "static const char* const table2[] = {"
+		for ( ch = 128; ch < 160; ch++ ) {
+			gap = ","
+			if ((ch % 8) == 0)
+				printf "\n    "
+			if (ch >= 128 && ch < 160) {
+				printf "\"\\%03o\"", ch
+				gap = gap " "
+			}
+			if (ch == 255)
+				gap = "\n"
+			else if (((ch + 1) % 8) != 0)
+				gap = gap " "
+			printf "%s", gap
+		}
+		print "};"
+		print "#endif /* NCURSES_EXT_FUNCS */"
+
 		print ""
-		print "\tif (check < 0 || check >= (int)SIZEOF(table)) return 0;"
+		print "\tint check = ChCharOf(ch);"
+		print "\tconst char *result;"
 		print ""
-		print "\treturn (NCURSES_CONST char *)table[check];"
+		print "\tif (check >= 0 && check < (int)SIZEOF(table)) {"
+		print "#if NCURSES_EXT_FUNCS"
+		print "\t\tif ((SP != 0)"
+		print "\t\t && (SP->_legacy_coding > 1)"
+		print "\t\t && (check >= 128)"
+		print "\t\t && (check < 160))"
+		print "\t\t\tresult = table2[check - 128];"
+		print "\t\telse"
+		print "#endif /* NCURSES_EXT_FUNCS */"
+		print "\t\t\tresult = table[check];"
+		print "\t} else {"
+		print "\t\tresult = 0;"
+		print "\t}"
+		print "\treturn (NCURSES_CONST char *)result;"
 		print "}"
 	}
Index: ncurses/base/keybound.c
Prereq:  1.5 
--- ncurses-5.5/ncurses/base/keybound.c	2005-04-30 16:53:42.000000000 +0000
+++ ncurses-5.5-20060128/ncurses/base/keybound.c	2005-11-26 20:08:50.000000000 +0000
@@ -32,20 +32,19 @@
 
 #include <curses.priv.h>
 
-MODULE_ID("$Id: keybound.c,v 1.5 2005/04/30 16:53:42 tom Exp $")
+MODULE_ID("$Id: keybound.c,v 1.6 2005/11/26 20:08:50 tom Exp $")
 
 /*
  * Returns the count'th string definition which is associated with the
  * given keycode.  The result is malloc'd, must be freed by the caller.
  */
-
 NCURSES_EXPORT(char *)
 keybound(int code, int count)
 {
     char *result = 0;
 
     T((T_CALLED("keybound(%d,%d)"), code, count));
-    if (SP != 0) {
+    if (SP != 0 && code >= 0) {
 	result = _nc_expand_try(SP->_keytry, code, &count, 0);
     }
     returnPtr(result);
Index: ncurses/base/legacy_coding.c
--- /dev/null	2005-11-19 17:15:46.000000000 +0000
+++ ncurses-5.5-20060128/ncurses/base/legacy_coding.c	2005-12-17 23:38:17.000000000 +0000
@@ -0,0 +1,48 @@
+/****************************************************************************
+ * Copyright (c) 2005 Free Software Foundation, Inc.                        *
+ *                                                                          *
+ * Permission is hereby granted, free of charge, to any person obtaining a  *
+ * copy of this software and associated documentation files (the            *
+ * "Software"), to deal in the Software without restriction, including      *
+ * without limitation the rights to use, copy, modify, merge, publish,      *
+ * distribute, distribute with modifications, sublicense, and/or sell       *
+ * copies of the Software, and to permit persons to whom the Software is    *
+ * furnished to do so, subject to the following conditions:                 *
+ *                                                                          *
+ * The above copyright notice and this permission notice shall be included  *
+ * in all copies or substantial portions of the Software.                   *
+ *                                                                          *
+ * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS  *
+ * OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF               *
+ * MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.   *
+ * IN NO EVENT SHALL THE ABOVE COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM,   *
+ * DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR    *
+ * OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR    *
+ * THE USE OR OTHER DEALINGS IN THE SOFTWARE.                               *
+ *                                                                          *
+ * Except as contained in this notice, the name(s) of the above copyright   *
+ * holders shall not be used in advertising or otherwise to promote the     *
+ * sale, use or other dealings in this Software without prior written       *
+ * authorization.                                                           *
+ ****************************************************************************/
+
+/****************************************************************************
+ *  Author: Thomas E. Dickey                                                *
+ ****************************************************************************/
+
+#include <curses.priv.h>
+
+MODULE_ID("$Id: legacy_coding.c,v 1.2 2005/12/17 23:38:17 tom Exp $")
+
+NCURSES_EXPORT(int)
+use_legacy_coding(int level)
+{
+    int result = ERR;
+
+    T((T_CALLED("use_legacy_coding(%d)"), level));
+    if (level >= 0 && level <= 2 && SP != 0) {
+	result = SP->_legacy_coding;
+	SP->_legacy_coding = level;
+    }
+    returnCode(result);
+}
Index: ncurses/base/lib_addch.c
Prereq:  1.95 
--- ncurses-5.5/ncurses/base/lib_addch.c	2005-03-27 16:52:16.000000000 +0000
+++ ncurses-5.5-20060128/ncurses/base/lib_addch.c	2005-11-20 01:22:47.000000000 +0000
@@ -36,7 +36,7 @@
 #include <curses.priv.h>
 #include <ctype.h>
 
-MODULE_ID("$Id: lib_addch.c,v 1.95 2005/03/27 16:52:16 tom Exp $")
+MODULE_ID("$Id: lib_addch.c,v 1.97 2005/11/20 01:22:47 tom Exp $")
 
 /*
  * Ugly microtweaking alert.  Everything from here to end of module is
@@ -51,7 +51,7 @@
 /* Return bit mask for clearing color pair number if given ch has color */
 #define COLOR_MASK(ch) (~(attr_t)((ch) & A_COLOR ? A_COLOR : 0))
 
-static inline NCURSES_CH_T
+static NCURSES_INLINE NCURSES_CH_T
 render_char(WINDOW *win, NCURSES_CH_T ch)
 /* compute a rendition of the given char correct for the current context */
 {
@@ -222,7 +222,7 @@
 
 static
 #if !USE_WIDEC_SUPPORT		/* cannot be inline if it is recursive */
-inline
+NCURSES_INLINE
 #endif
 int
 waddch_literal(WINDOW *win, NCURSES_CH_T ch)
@@ -315,7 +315,7 @@
 	     * setup though.
 	     */
 	    for (i = 0; i < len; ++i) {
-		if (isWidecBase(win->_line[y].text[i])) {
+		if (isWidecBase(win->_line[y].text[x + i])) {
 		    break;
 		} else if (isWidecExt(win->_line[y].text[x + i])) {
 		    for (j = i; x + j <= win->_maxx; ++j) {
@@ -334,7 +334,9 @@
 	    for (i = 0; i < len; ++i) {
 		NCURSES_CH_T value = ch;
 		SetWidecExt(value, i);
-		TR(TRACE_VIRTPUT, ("multicolumn %d:%d", i + 1, len));
+		TR(TRACE_VIRTPUT, ("multicolumn %d:%d (%d,%d)",
+				   i + 1, len,
+				   win->_begy + y, win->_begx + x));
 		line->text[x] = value;
 		CHANGED_CELL(line, x);
 		++x;
@@ -365,7 +367,7 @@
     return OK;
 }
 
-static inline int
+static NCURSES_INLINE int
 waddch_nosync(WINDOW *win, const NCURSES_CH_T ch)
 /* the workhorse function -- add a character to the given window */
 {
Index: ncurses/base/lib_bkgd.c
Prereq:  1.32 
--- ncurses-5.5/ncurses/base/lib_bkgd.c	2005-04-16 18:03:48.000000000 +0000
+++ ncurses-5.5-20060128/ncurses/base/lib_bkgd.c	2005-11-20 01:23:46.000000000 +0000
@@ -36,7 +36,7 @@
 
 #include <curses.priv.h>
 
-MODULE_ID("$Id: lib_bkgd.c,v 1.32 2005/04/16 18:03:48 tom Exp $")
+MODULE_ID("$Id: lib_bkgd.c,v 1.34 2005/11/20 01:23:46 tom Exp $")
 
 /*
  * Set the window's background information.
@@ -44,7 +44,7 @@
 #if USE_WIDEC_SUPPORT
 NCURSES_EXPORT(void)
 #else
-static inline void
+static NCURSES_INLINE void
 #endif
 wbkgrndset(WINDOW *win, const ARG_CH_T ch)
 {
@@ -111,7 +111,7 @@
 #if USE_WIDEC_SUPPORT
 NCURSES_EXPORT(int)
 #else
-static inline int
+static NCURSES_INLINE int
 #undef wbkgrnd
 #endif
 wbkgrnd(WINDOW *win, const ARG_CH_T ch)
@@ -131,11 +131,11 @@
 
 	for (y = 0; y <= win->_maxy; y++) {
 	    for (x = 0; x <= win->_maxx; x++) {
-		if (CharEq(win->_line[y].text[x], old_bkgrnd))
+		if (CharEq(win->_line[y].text[x], old_bkgrnd)) {
 		    win->_line[y].text[x] = win->_nc_bkgd;
-		else {
+		} else {
 		    NCURSES_CH_T wch = win->_line[y].text[x];
-		    RemAttr(wch, (~A_ALTCHARSET));
+		    RemAttr(wch, (~(A_ALTCHARSET | A_CHARTEXT)));
 		    win->_line[y].text[x] = _nc_render(win, wch);
 		}
 	    }
Index: ncurses/base/lib_box.c
Prereq:  1.21 
--- ncurses-5.5/ncurses/base/lib_box.c	2002-09-15 01:04:27.000000000 +0000
+++ ncurses-5.5-20060128/ncurses/base/lib_box.c	2005-11-26 15:39:42.000000000 +0000
@@ -1,5 +1,5 @@
 /****************************************************************************
- * Copyright (c) 1998-2001,2002 Free Software Foundation, Inc.              *
+ * Copyright (c) 1998-2002,2005 Free Software Foundation, Inc.              *
  *                                                                          *
  * Permission is hereby granted, free of charge, to any person obtaining a  *
  * copy of this software and associated documentation files (the            *
@@ -29,6 +29,8 @@
 /****************************************************************************
  *  Author: Zeyd M. Ben-Halim <zmbenhal@netcom.com> 1992,1995               *
  *     and: Eric S. Raymond <esr@snark.thyrsus.com>                         *
+ *     and: Thomas E. Dickey                        1996-on                 *
+ *     and: Sven Verdoolaege                        2001                    *
  ****************************************************************************/
 
 /*
@@ -40,10 +42,10 @@
 
 #include <curses.priv.h>
 
-MODULE_ID("$Id: lib_box.c,v 1.21 2002/09/15 01:04:27 tom Exp $")
+MODULE_ID("$Id: lib_box.c,v 1.22 2005/11/26 15:39:42 tom Exp $")
 
 #if USE_WIDEC_SUPPORT
-static inline chtype
+static NCURSES_INLINE chtype
 _my_render(WINDOW *win, chtype ch)
 {
     NCURSES_CH_T wch;
Index: ncurses/base/lib_color.c
Prereq:  1.75 
--- ncurses-5.5/ncurses/base/lib_color.c	2005-06-18 20:19:08.000000000 +0000
+++ ncurses-5.5-20060128/ncurses/base/lib_color.c	2005-11-26 20:05:22.000000000 +0000
@@ -42,7 +42,7 @@
 #include <term.h>
 #include <tic.h>
 
-MODULE_ID("$Id: lib_color.c,v 1.75 2005/06/18 20:19:08 tom Exp $")
+MODULE_ID("$Id: lib_color.c,v 1.77 2005/11/26 20:05:22 tom Exp $")
 
 /*
  * These should be screen structure members.  They need to be globals for
@@ -371,13 +371,11 @@
 	   tp[f].red, tp[f].green, tp[f].blue,
 	   tp[b].red, tp[b].green, tp[b].blue));
 
-	if (initialize_pair) {
-	    TPUTS_TRACE("initialize_pair");
-	    putp(tparm(initialize_pair,
-		       pair,
-		       tp[f].red, tp[f].green, tp[f].blue,
-		       tp[b].red, tp[b].green, tp[b].blue));
-	}
+	TPUTS_TRACE("initialize_pair");
+	putp(tparm(initialize_pair,
+		   pair,
+		   tp[f].red, tp[f].green, tp[f].blue,
+		   tp[b].red, tp[b].green, tp[b].blue));
     }
 
     returnCode(OK);
@@ -499,7 +497,7 @@
 }
 
 NCURSES_EXPORT(void)
-_nc_do_color(int old_pair, int pair, bool reverse, int (*outc) (int))
+_nc_do_color(short old_pair, short pair, bool reverse, int (*outc) (int))
 {
     NCURSES_COLOR_T fg = COLOR_DEFAULT;
     NCURSES_COLOR_T bg = COLOR_DEFAULT;
@@ -513,7 +511,7 @@
 	    tputs(tparm(set_color_pair, pair), 1, outc);
 	    return;
 	} else if (SP != 0) {
-	    pair_content(pair, &fg, &bg);
+	    pair_content((short) pair, &fg, &bg);
 	}
     }
 
Index: ncurses/base/lib_dft_fgbg.c
Prereq:  1.17 
--- ncurses-5.5/ncurses/base/lib_dft_fgbg.c	2005-01-29 21:42:15.000000000 +0000
+++ ncurses-5.5-20060128/ncurses/base/lib_dft_fgbg.c	2005-11-26 20:03:38.000000000 +0000
@@ -33,7 +33,7 @@
 #include <curses.priv.h>
 #include <term.h>
 
-MODULE_ID("$Id: lib_dft_fgbg.c,v 1.17 2005/01/29 21:42:15 tom Exp $")
+MODULE_ID("$Id: lib_dft_fgbg.c,v 1.18 2005/11/26 20:03:38 tom Exp $")
 
 /*
  * Modify the behavior of color-pair 0 so that the library doesn't assume that
@@ -68,7 +68,7 @@
     if (SP->_color_pairs != 0) {
 	bool save = SP->_default_color;
 	SP->_default_color = TRUE;
-	init_pair(0, fg, bg);
+	init_pair(0, (short) fg, (short) bg);
 	SP->_default_color = save;
     }
     returnCode(OK);
Index: ncurses/base/lib_erase.c
Prereq:  1.15 
--- ncurses-5.5/ncurses/base/lib_erase.c	2001-12-19 01:06:13.000000000 +0000
+++ ncurses-5.5-20060128/ncurses/base/lib_erase.c	2005-10-30 00:36:36.000000000 +0000
@@ -29,6 +29,7 @@
 /****************************************************************************
  *  Author: Zeyd M. Ben-Halim <zmbenhal@netcom.com> 1992,1995               *
  *     and: Eric S. Raymond <esr@snark.thyrsus.com>                         *
+ *     and: Thomas E. Dickey                        1996-on                 *
  ****************************************************************************/
 
 /*
@@ -40,7 +41,7 @@
 
 #include <curses.priv.h>
 
-MODULE_ID("$Id: lib_erase.c,v 1.15 2001/12/19 01:06:13 tom Exp $")
+MODULE_ID("$Id: lib_erase.c,v 1.16 2005/10/30 00:36:36 tom Exp $")
 
 NCURSES_EXPORT(int)
 werase(WINDOW *win)
@@ -58,6 +59,24 @@
 	    start = win->_line[y].text;
 	    end = &start[win->_maxx];
 
+	    /*
+	     * If this is a derived window, we have to handle the case where
+	     * a multicolumn character extends into the window that we are
+	     * erasing.
+	     */
+	    if_WIDEC({
+		if (isWidecExt(start[0])) {
+		    int x = (win->_parent != 0) ? (win->_begx) : 0;
+		    while (x-- > 0) {
+			if (isWidecBase(start[-1])) {
+			    --start;
+			    break;
+			}
+			--start;
+		    }
+		}
+	    });
+
 	    for (sp = start; sp <= end; sp++)
 		*sp = blank;
 
Index: ncurses/base/lib_getch.c
Prereq:  1.73 
--- ncurses-5.5/ncurses/base/lib_getch.c	2005-06-11 18:08:57.000000000 +0000
+++ ncurses-5.5-20060128/ncurses/base/lib_getch.c	2005-11-20 01:24:32.000000000 +0000
@@ -41,7 +41,7 @@
 
 #include <curses.priv.h>
 
-MODULE_ID("$Id: lib_getch.c,v 1.73 2005/06/11 18:08:57 tom Exp $")
+MODULE_ID("$Id: lib_getch.c,v 1.74 2005/11/20 01:24:32 tom Exp $")
 
 #include <fifo_defs.h>
 
@@ -80,7 +80,7 @@
     return rc;
 }
 
-static inline int
+static NCURSES_INLINE int
 fifo_peek(void)
 {
     int ch = SP->_fifo[peek];
@@ -90,7 +90,7 @@
     return ch;
 }
 
-static inline int
+static NCURSES_INLINE int
 fifo_pull(void)
 {
     int ch;
@@ -110,7 +110,7 @@
     return ch;
 }
 
-static inline int
+static NCURSES_INLINE int
 fifo_push(EVENTLIST_0th(_nc_eventlist * evl))
 {
     int n;
@@ -206,7 +206,7 @@
     return ch;
 }
 
-static inline void
+static NCURSES_INLINE void
 fifo_clear(void)
 {
     memset(SP->_fifo, 0, sizeof(SP->_fifo));
Index: ncurses/base/lib_getstr.c
Prereq:  1.24 
--- ncurses-5.5/ncurses/base/lib_getstr.c	2002-09-01 17:31:12.000000000 +0000
+++ ncurses-5.5-20060128/ncurses/base/lib_getstr.c	2006-01-12 00:33:52.000000000 +0000
@@ -1,5 +1,5 @@
 /****************************************************************************
- * Copyright (c) 1998-2000,2002 Free Software Foundation, Inc.              *
+ * Copyright (c) 1998-2002,2006 Free Software Foundation, Inc.              *
  *                                                                          *
  * Permission is hereby granted, free of charge, to any person obtaining a  *
  * copy of this software and associated documentation files (the            *
@@ -41,7 +41,7 @@
 #include <curses.priv.h>
 #include <term.h>
 
-MODULE_ID("$Id: lib_getstr.c,v 1.24 2002/09/01 17:31:12 tom Exp $")
+MODULE_ID("$Id: lib_getstr.c,v 1.25 2006/01/12 00:33:52 tom Exp $")
 
 /*
  * This wipes out the last character, no matter whether it was a tab, control
@@ -129,6 +129,10 @@
 	if (ch == KEY_EVENT)
 	    break;
 #endif
+#ifdef KEY_RESIZE
+	if (ch == KEY_RESIZE)
+	    break;
+#endif
 	if (ch == erasec || ch == KEY_LEFT || ch == KEY_BACKSPACE) {
 	    if (str > oldstr) {
 		str = WipeOut(win, y, x, oldstr, str, oldecho);
@@ -193,12 +197,17 @@
     *str = '\0';
     if (ch == ERR)
 	returnCode(ch);
+
+    T(("wgetnstr returns %s", _nc_visbuf(oldstr)));
+
 #ifdef KEY_EVENT
     if (ch == KEY_EVENT)
 	returnCode(ch);
 #endif
-
-    T(("wgetnstr returns %s", _nc_visbuf(oldstr)));
+#ifdef KEY_RESIZE
+    if (ch == KEY_RESIZE)
+	returnCode(ch);
+#endif
 
     returnCode(OK);
 }
Index: ncurses/base/lib_initscr.c
Prereq:  1.33 
--- ncurses-5.5/ncurses/base/lib_initscr.c	2003-12-27 19:13:51.000000000 +0000
+++ ncurses-5.5-20060128/ncurses/base/lib_initscr.c	2005-10-22 20:30:38.000000000 +0000
@@ -1,5 +1,5 @@
 /****************************************************************************
- * Copyright (c) 1998-2002,2003 Free Software Foundation, Inc.              *
+ * Copyright (c) 1998-2003,2005 Free Software Foundation, Inc.              *
  *                                                                          *
  * Permission is hereby granted, free of charge, to any person obtaining a  *
  * copy of this software and associated documentation files (the            *
@@ -45,14 +45,13 @@
 #include <sys/termio.h>		/* needed for ISC */
 #endif
 
-MODULE_ID("$Id: lib_initscr.c,v 1.33 2003/12/27 19:13:51 tom Exp $")
+MODULE_ID("$Id: lib_initscr.c,v 1.34 2005/10/22 20:30:38 tom Exp $")
 
 NCURSES_EXPORT(WINDOW *)
 initscr(void)
 {
     static bool initialized = FALSE;
     NCURSES_CONST char *name;
-    int value;
 
     START_TRACE();
     T((T_CALLED("initscr()")));
@@ -85,11 +84,6 @@
 	    exit(EXIT_FAILURE);
 	}
 
-	/* allow user to set maximum escape delay from the environment */
-	if ((value = _nc_getenv_num("ESCDELAY")) >= 0) {
-	    ESCDELAY = value;
-	}
-
 	/* def_shell_mode - done in newterm/_nc_setupscreen */
 	def_prog_mode();
     }
Index: ncurses/base/lib_instr.c
Prereq:  1.14 
--- ncurses-5.5/ncurses/base/lib_instr.c	2005-04-16 17:51:12.000000000 +0000
+++ ncurses-5.5-20060128/ncurses/base/lib_instr.c	2005-11-20 01:38:03.000000000 +0000
@@ -41,7 +41,7 @@
 
 #include <curses.priv.h>
 
-MODULE_ID("$Id: lib_instr.c,v 1.14 2005/04/16 17:51:12 tom Exp $")
+MODULE_ID("$Id: lib_instr.c,v 1.15 2005/11/20 01:38:03 tom Exp $")
 
 NCURSES_EXPORT(int)
 winnstr(WINDOW *win, char *str, int n)
@@ -99,7 +99,7 @@
 		}
 	    }
 #else
-	    str[i++] = CharOf(win->_line[row].text[col]);
+	    str[i++] = (char) CharOf(win->_line[row].text[col]);
 #endif
 	    if (++col > win->_maxx) {
 		col = 0;
Index: ncurses/base/lib_mouse.c
Prereq:  1.77 
--- ncurses-5.5/ncurses/base/lib_mouse.c	2005-09-10 22:58:57.000000000 +0000
+++ ncurses-5.5-20060128/ncurses/base/lib_mouse.c	2005-12-03 20:45:28.000000000 +0000
@@ -79,7 +79,7 @@
 
 #include <curses.priv.h>
 
-MODULE_ID("$Id: lib_mouse.c,v 1.77 2005/09/10 22:58:57 tom Exp $")
+MODULE_ID("$Id: lib_mouse.c,v 1.79 2005/12/03 20:45:28 tom Exp $")
 
 #include <term.h>
 #include <tic.h>
@@ -89,8 +89,11 @@
 #undef buttons			/* term.h defines this, and gpm uses it! */
 #include <gpm.h>
 #include <linux/keyboard.h>	/* defines KG_* macros */
+
+#ifdef HAVE_LIBDL
 /* use dynamic loader to avoid linkage dependency */
 #include <dlfcn.h>
+
 #ifdef RTLD_NOW
 #define my_RTLD RTLD_NOW
 #else
@@ -99,8 +102,10 @@
 #else
 make an error
 #endif
-#endif
-#endif
+#endif				/* RTLD_NOW */
+#endif				/* HAVE_LIBDL */
+
+#endif				/* !LINT */
 #endif				/* USE_GPM_SUPPORT */
 
 #if USE_SYSMOUSE
@@ -150,10 +155,10 @@
 #define LIBGPM_SONAME "libgpm.so"
 #endif
 
+#ifdef HAVE_LIBDL
+/* link dynamically to GPM */
 #define GET_DLSYM(name) (my_##name = (TYPE_##name) dlsym(obj, #name))
 
-static Gpm_Connect gpm_connect;
-
 typedef int *TYPE_gpm_fd;
 typedef int (*TYPE_Gpm_Open) (Gpm_Connect *, int);
 typedef int (*TYPE_Gpm_Close) (void);
@@ -163,6 +168,15 @@
 static TYPE_Gpm_Open my_Gpm_Open;
 static TYPE_Gpm_Close my_Gpm_Close;
 static TYPE_Gpm_GetEvent my_Gpm_GetEvent;
+#else
+/* link statically to GPM */
+#define my_gpm_fd       &gpm_fd
+#define my_Gpm_Open     Gpm_Open
+#define my_Gpm_Close    Gpm_Close
+#define my_Gpm_GetEvent Gpm_GetEvent
+#endif
+
+static Gpm_Connect gpm_connect;
 
 #endif /* LINT */
 #endif /* USE_GPM_SUPPORT */
@@ -441,6 +455,7 @@
 	static bool found = FALSE;
 
 	if (first) {
+#ifdef HAVE_LIBDL
 	    void *obj;
 	    first = FALSE;
 
@@ -455,6 +470,10 @@
 		    found = TRUE;
 		}
 	    }
+#else /* !HAVE_LIBDL */
+	    first = FALSE;
+	    found = TRUE;
+#endif
 	}
 
 	/*
@@ -1272,7 +1291,7 @@
 	     | BUTTON_DOUBLE_CLICKED
 	     | BUTTON_TRIPLE_CLICKED);
 
-	mouse_activate(eventmask != 0);
+	mouse_activate((bool) (eventmask != 0));
 
 	result = eventmask;
     }
Index: ncurses/base/lib_newterm.c
Prereq:  1.58 
--- ncurses-5.5/ncurses/base/lib_newterm.c	2004-08-14 20:36:39.000000000 +0000
+++ ncurses-5.5-20060128/ncurses/base/lib_newterm.c	2006-01-14 15:36:24.000000000 +0000
@@ -1,5 +1,5 @@
 /****************************************************************************
- * Copyright (c) 1998-2002,2004 Free Software Foundation, Inc.              *
+ * Copyright (c) 1998-2005,2006 Free Software Foundation, Inc.              *
  *                                                                          *
  * Permission is hereby granted, free of charge, to any person obtaining a  *
  * copy of this software and associated documentation files (the            *
@@ -48,7 +48,7 @@
 #include <term.h>		/* clear_screen, cup & friends, cur_term */
 #include <tic.h>
 
-MODULE_ID("$Id: lib_newterm.c,v 1.58 2004/08/14 20:36:39 tom Exp $")
+MODULE_ID("$Id: lib_newterm.c,v 1.64 2006/01/14 15:36:24 tom Exp $")
 
 #ifndef ONLCR			/* Allows compilation under the QNX 4.2 OS */
 #define ONLCR 0
@@ -62,7 +62,7 @@
  * The newterm function also initializes terminal settings, and since initscr
  * is supposed to behave as if it calls newterm, we do it here.
  */
-static inline int
+static NCURSES_INLINE int
 _nc_initscr(void)
 {
     int result = ERR;
@@ -77,8 +77,10 @@
 	buf.c_lflag &= ~(ECHO | ECHONL);
 	buf.c_iflag &= ~(ICRNL | INLCR | IGNCR);
 	buf.c_oflag &= ~(ONLCR);
-#else
+#elif HAVE_SGTTY_H
 	buf.sg_flags &= ~(ECHO | CRMOD);
+#else
+	memset(&buf, 0, sizeof(buf));
 #endif
 	if ((result = _nc_set_tty_mode(&buf)) == OK)
 	    cur_term->Nttyb = buf;
@@ -92,120 +94,123 @@
  * aside from possibly delaying a filter() call until some terminals have been
  * initialized.
  */
-static int filter_mode = FALSE;
+static bool filter_mode = FALSE;
 
 NCURSES_EXPORT(void)
 filter(void)
 {
+    START_TRACE();
     T((T_CALLED("filter")));
     filter_mode = TRUE;
     returnVoid;
 }
 
+#if NCURSES_EXT_FUNCS
+/*
+ * An extension, allowing the application to open a new screen without
+ * requiring it to also be filtered.
+ */
+NCURSES_EXPORT(void)
+nofilter(void)
+{
+    START_TRACE();
+    T((T_CALLED("nofilter")));
+    filter_mode = FALSE;
+    returnVoid;
+}
+#endif
+
 NCURSES_EXPORT(SCREEN *)
 newterm(NCURSES_CONST char *name, FILE *ofp, FILE *ifp)
 {
+    int value;
     int errret;
     int slk_format = _nc_slk_format;
     SCREEN *current;
+    SCREEN *result = 0;
 
     START_TRACE();
     T((T_CALLED("newterm(\"%s\",%p,%p)"), name, ofp, ifp));
 
-    /* this loads the capability entry, then sets LINES and COLS */
-    if (setupterm(name, fileno(ofp), &errret) == ERR)
-	returnSP(0);
-
-    /* implement filter mode */
-    if (filter_mode) {
-	LINES = 1;
-
-	clear_screen = 0;
-	cursor_down = parm_down_cursor = 0;
-	cursor_address = 0;
-	cursor_up = parm_up_cursor = 0;
-	row_address = 0;
+    _nc_handle_sigwinch(0);
 
-	cursor_home = carriage_return;
-    }
-
-    /* If we must simulate soft labels, grab off the line to be used.
-       We assume that we must simulate, if it is none of the standard
-       formats (4-4  or 3-2-3) for which there may be some hardware
-       support. */
-    if (num_labels <= 0 || !SLK_STDFMT(slk_format))
-	if (slk_format) {
-	    if (ERR == _nc_ripoffline(-SLK_LINES(slk_format),
-				      _nc_slk_initialize))
-		returnSP(0);
-	}
-    /* this actually allocates the screen structure, and saves the
-     * original terminal settings.
-     */
-    current = SP;
-    _nc_set_screen(0);
-    if (_nc_setupscreen(LINES, COLS, ofp) == ERR) {
-	_nc_set_screen(current);
-	returnSP(0);
+    /* allow user to set maximum escape delay from the environment */
+    if ((value = _nc_getenv_num("ESCDELAY")) >= 0) {
+	ESCDELAY = value;
     }
 
-    /* if the terminal type has real soft labels, set those up */
-    if (slk_format && num_labels > 0 && SLK_STDFMT(slk_format))
-	_nc_slk_initialize(stdscr, COLS);
+    /* this loads the capability entry, then sets LINES and COLS */
+    if (setupterm(name, fileno(ofp), &errret) == ERR) {
+	result = 0;
+    } else {
+	/*
+	 * This actually allocates the screen structure, and saves the original
+	 * terminal settings.
+	 */
+	current = SP;
+	_nc_set_screen(0);
+	if (_nc_setupscreen(LINES, COLS, ofp, filter_mode, slk_format) == ERR) {
+	    _nc_set_screen(current);
+	    result = 0;
+	} else {
+	    /* if the terminal type has real soft labels, set those up */
+	    if (slk_format && num_labels > 0 && SLK_STDFMT(slk_format))
+		_nc_slk_initialize(stdscr, COLS);
 
-    SP->_ifd = fileno(ifp);
-    typeahead(fileno(ifp));
+	    SP->_ifd = fileno(ifp);
+	    typeahead(fileno(ifp));
 #ifdef TERMIOS
-    SP->_use_meta = ((cur_term->Ottyb.c_cflag & CSIZE) == CS8 &&
-		     !(cur_term->Ottyb.c_iflag & ISTRIP));
+	    SP->_use_meta = ((cur_term->Ottyb.c_cflag & CSIZE) == CS8 &&
+			     !(cur_term->Ottyb.c_iflag & ISTRIP));
 #else
-    SP->_use_meta = FALSE;
+	    SP->_use_meta = FALSE;
 #endif
-    SP->_endwin = FALSE;
+	    SP->_endwin = FALSE;
 
-    /* Check whether we can optimize scrolling under dumb terminals in case
-     * we do not have any of these capabilities, scrolling optimization
-     * will be useless.
-     */
-    SP->_scrolling = ((scroll_forward && scroll_reverse) ||
-		      ((parm_rindex || parm_insert_line || insert_line) &&
-		       (parm_index || parm_delete_line || delete_line)));
-
-    baudrate();			/* sets a field in the SP structure */
-
-    SP->_keytry = 0;
-
-    /*
-     * Check for mismatched graphic-rendition capabilities.  Most SVr4
-     * terminfo trees contain entries that have rmul or rmso equated to
-     * sgr0 (Solaris curses copes with those entries).  We do this only for
-     * curses, since many termcap applications assume that smso/rmso and
-     * smul/rmul are paired, and will not function properly if we remove
-     * rmso or rmul.  Curses applications shouldn't be looking at this
-     * detail.
-     */
+	    /*
+	     * Check whether we can optimize scrolling under dumb terminals in
+	     * case we do not have any of these capabilities, scrolling
+	     * optimization will be useless.
+	     */
+	    SP->_scrolling = ((scroll_forward && scroll_reverse) ||
+			      ((parm_rindex ||
+				parm_insert_line ||
+				insert_line) &&
+			       (parm_index ||
+				parm_delete_line ||
+				delete_line)));
+
+	    baudrate();		/* sets a field in the SP structure */
+
+	    SP->_keytry = 0;
+
+	    /*
+	     * Check for mismatched graphic-rendition capabilities.  Most SVr4
+	     * terminfo trees contain entries that have rmul or rmso equated to
+	     * sgr0 (Solaris curses copes with those entries).  We do this only
+	     * for curses, since many termcap applications assume that
+	     * smso/rmso and smul/rmul are paired, and will not function
+	     * properly if we remove rmso or rmul.  Curses applications
+	     * shouldn't be looking at this detail.
+	     */
 #define SGR0_TEST(mode) (mode != 0) && (exit_attribute_mode == 0 || strcmp(mode, exit_attribute_mode))
-    SP->_use_rmso = SGR0_TEST(exit_standout_mode);
-    SP->_use_rmul = SGR0_TEST(exit_underline_mode);
+	    SP->_use_rmso = SGR0_TEST(exit_standout_mode);
+	    SP->_use_rmul = SGR0_TEST(exit_underline_mode);
 
-    /* compute movement costs so we can do better move optimization */
-    _nc_mvcur_init();
+	    /* compute movement costs so we can do better move optimization */
+	    _nc_mvcur_init();
 
-    /* initialize terminal to a sane state */
-    _nc_screen_init();
+	    /* initialize terminal to a sane state */
+	    _nc_screen_init();
 
-    /* Initialize the terminal line settings. */
-    _nc_initscr();
-
-    _nc_signal_handler(TRUE);
-
-#if USE_SIZECHANGE
-    /*
-     * Pretend we received a SIGWINCH, just in case we're starting up in a
-     * terminal that cannot initialize its size properly (Debian #265631).
-     */
-    SP->_sig_winch = TRUE;
-#endif
+	    /* Initialize the terminal line settings. */
+	    _nc_initscr();
+
+	    _nc_signal_handler(TRUE);
 
-    returnSP(SP);
+	    result = SP;
+	}
+    }
+    _nc_handle_sigwinch(1);
+    returnSP(result);
 }
Index: ncurses/base/lib_restart.c
Prereq:  1.5 
--- ncurses-5.5/ncurses/base/lib_restart.c	2002-08-31 22:30:10.000000000 +0000
+++ ncurses-5.5-20060128/ncurses/base/lib_restart.c	2006-01-14 15:58:23.000000000 +0000
@@ -1,5 +1,5 @@
 /****************************************************************************
- * Copyright (c) 1998-2000,2002 Free Software Foundation, Inc.              *
+ * Copyright (c) 1998-2002,2006 Free Software Foundation, Inc.              *
  *                                                                          *
  * Permission is hereby granted, free of charge, to any person obtaining a  *
  * copy of this software and associated documentation files (the            *
@@ -29,6 +29,7 @@
 /****************************************************************************
  *  Author: Zeyd M. Ben-Halim <zmbenhal@netcom.com> 1992,1995               *
  *     and: Eric S. Raymond <esr@snark.thyrsus.com>                         *
+ *     and: Thomas E. Dickey                        1996-on                 *
  ****************************************************************************/
 
 /*
@@ -47,7 +48,7 @@
 
 #include <term.h>		/* lines, columns, cur_term */
 
-MODULE_ID("$Id: lib_restart.c,v 1.5 2002/08/31 22:30:10 Philippe.Blain Exp $")
+MODULE_ID("$Id: lib_restart.c,v 1.6 2006/01/14 15:58:23 tom Exp $")
 
 NCURSES_EXPORT(int)
 restartterm(NCURSES_CONST char *termp, int filenum, int *errret)
@@ -56,37 +57,43 @@
     int savecbreak = SP->_cbreak;
     int saveraw = SP->_raw;
     int savenl = SP->_nl;
+    int result;
 
     T((T_CALLED("restartterm(%s,%d,%p)"), termp, filenum, errret));
 
-    if (setupterm(termp, filenum, errret) != OK)
-	returnCode(ERR);
-
-    if (saveecho)
-	echo();
-    else
-	noecho();
-
-    if (savecbreak) {
-	cbreak();
-	noraw();
-    } else if (saveraw) {
-	nocbreak();
-	raw();
+    _nc_handle_sigwinch(0);
+    if (setupterm(termp, filenum, errret) != OK) {
+	result = ERR;
     } else {
-	nocbreak();
-	noraw();
-    }
-    if (savenl)
-	nl();
-    else
-	nonl();
 
-    reset_prog_mode();
+	if (saveecho)
+	    echo();
+	else
+	    noecho();
+
+	if (savecbreak) {
+	    cbreak();
+	    noraw();
+	} else if (saveraw) {
+	    nocbreak();
+	    raw();
+	} else {
+	    nocbreak();
+	    noraw();
+	}
+	if (savenl)
+	    nl();
+	else
+	    nonl();
+
+	reset_prog_mode();
 
 #if USE_SIZECHANGE
-    _nc_update_screensize();
+	_nc_update_screensize();
 #endif
 
-    returnCode(OK);
+	result = OK;
+    }
+    _nc_handle_sigwinch(1);
+    returnCode(result);
 }
Index: ncurses/base/lib_set_term.c
Prereq:  1.85 
--- ncurses-5.5/ncurses/base/lib_set_term.c	2005-01-22 17:36:01.000000000 +0000
+++ ncurses-5.5-20060128/ncurses/base/lib_set_term.c	2006-01-21 23:45:52.000000000 +0000
@@ -1,5 +1,5 @@
 /****************************************************************************
- * Copyright (c) 1998-2004,2005 Free Software Foundation, Inc.              *
+ * Copyright (c) 1998-2005,2006 Free Software Foundation, Inc.              *
  *                                                                          *
  * Permission is hereby granted, free of charge, to any person obtaining a  *
  * copy of this software and associated documentation files (the            *
@@ -44,7 +44,7 @@
 #include <term.h>		/* cur_term */
 #include <tic.h>
 
-MODULE_ID("$Id: lib_set_term.c,v 1.85 2005/01/22 17:36:01 tom Exp $")
+MODULE_ID("$Id: lib_set_term.c,v 1.89 2006/01/21 23:45:52 tom Exp $")
 
 NCURSES_EXPORT(SCREEN *)
 set_term(SCREEN *screenp)
@@ -211,14 +211,20 @@
 }
 #endif
 
-NCURSES_EXPORT(int)
-_nc_setupscreen(short slines, short const scolumns, FILE *output)
 /* OS-independent screen initializations */
+NCURSES_EXPORT(int)
+_nc_setupscreen(int slines,
+		int scolumns,
+		FILE *output,
+		bool filtered,
+		int slk_format)
 {
     int bottom_stolen = 0;
     int i;
 
-    T((T_CALLED("_nc_setupscreen(%d, %d, %p)"), slines, scolumns, output));
+    T((T_CALLED("_nc_setupscreen(%d, %d, %p, %d, %d)"),
+       slines, scolumns, output, filtered, slk_format));
+
     assert(SP == 0);		/* has been reset in newterm() ! */
     if (!_nc_alloc_screen())
 	returnCode(ERR);
@@ -230,6 +236,33 @@
     if ((SP->_current_attr = typeCalloc(NCURSES_CH_T, 1)) == 0)
 	returnCode(ERR);
 
+    SP->_filtered = filtered;
+
+    /* implement filter mode */
+    if (filtered) {
+	slines = LINES = 1;
+
+	clear_screen = 0;
+	cursor_down = parm_down_cursor = 0;
+	cursor_address = 0;
+	cursor_up = parm_up_cursor = 0;
+	row_address = 0;
+
+	cursor_home = carriage_return;
+	T(("filter screensize %dx%d", LINES, COLS));
+    }
+
+    /* If we must simulate soft labels, grab off the line to be used.
+       We assume that we must simulate, if it is none of the standard
+       formats (4-4  or 3-2-3) for which there may be some hardware
+       support. */
+    if (num_labels <= 0 || !SLK_STDFMT(slk_format)) {
+	if (slk_format) {
+	    if (ERR == _nc_ripoffline(-SLK_LINES(slk_format),
+				      _nc_slk_initialize))
+		returnCode(ERR);
+	}
+    }
 #ifdef __DJGPP__
     T(("setting output mode to binary"));
     fflush(output);
@@ -360,22 +393,45 @@
     /*
      * If we've no magic cookie support, we suppress attributes that xmc
      * would affect, i.e., the attributes that affect the rendition of a
-     * space.  Note that this impacts the alternate character set mapping
-     * as well.
+     * space.
      */
+    SP->_ok_attributes = termattrs();
+    if (has_colors()) {
+	SP->_ok_attributes |= A_COLOR;
+    }
     if (magic_cookie_glitch > 0) {
 
-	SP->_xmc_triggers = termattrs() & (
-					      A_ALTCHARSET |
-					      A_BLINK |
-					      A_BOLD |
-					      A_REVERSE |
-					      A_STANDOUT |
-					      A_UNDERLINE
+	SP->_xmc_triggers = SP->_ok_attributes & (
+						     A_STANDOUT |
+						     A_UNDERLINE |
+						     A_REVERSE |
+						     A_BLINK |
+						     A_DIM |
+						     A_BOLD |
+						     A_INVIS |
+						     A_PROTECT
 	    );
+#if 0
+	/*
+	 * We "should" treat colors as an attribute.  The wyse350 (and its
+	 * clones) appear to be the only ones that have colors and magic
+	 * cookies.
+	 */
+	if (has_colors()) {
+	    SP->_xmc_triggers |= A_COLOR;
+	}
+#endif
 	SP->_xmc_suppress = SP->_xmc_triggers & (chtype) ~(A_BOLD);
 
 	T(("magic cookie attributes %s", _traceattr(SP->_xmc_suppress)));
+	/*
+	 * Supporting line-drawing may be possible.  But make the regular
+	 * video attributes work first.
+	 */
+	acs_chars = 0;
+	ena_acs = 0;
+	enter_alt_charset_mode = 0;
+	exit_alt_charset_mode = 0;
 #if USE_XMC_SUPPORT
 	/*
 	 * To keep this simple, suppress all of the optimization hooks
@@ -386,7 +442,6 @@
 	set_attributes = 0;
 #else
 	magic_cookie_glitch = ABSENT_NUMERIC;
-	acs_chars = 0;
 #endif
     }
 
Index: ncurses/base/tries.c
Prereq:  1.20 
--- ncurses-5.5/ncurses/base/tries.c	2005-04-30 19:14:18.000000000 +0000
+++ ncurses-5.5-20060128/ncurses/base/tries.c	2005-11-26 20:09:18.000000000 +0000
@@ -39,14 +39,14 @@
 
 #include <curses.priv.h>
 
-MODULE_ID("$Id: tries.c,v 1.20 2005/04/30 19:14:18 tom Exp $")
+MODULE_ID("$Id: tries.c,v 1.22 2005/11/26 20:09:18 tom Exp $")
 
 /*
  * Expand a keycode into the string that it corresponds to, returning null if
  * no match was found, otherwise allocating a string of the result.
  */
 NCURSES_EXPORT(char *)
-_nc_expand_try(struct tries *tree, unsigned short code, int *count, size_t len)
+_nc_expand_try(struct tries *tree, unsigned code, int *count, size_t len)
 {
     struct tries *ptr = tree;
     char *result = 0;
@@ -83,7 +83,7 @@
  * true if the code was found/removed.
  */
 NCURSES_EXPORT(int)
-_nc_remove_key(struct tries **tree, unsigned short code)
+_nc_remove_key(struct tries **tree, unsigned code)
 {
     T((T_CALLED("_nc_remove_key(%p,%d)"), tree, code));
 
Index: ncurses/curses.priv.h
Prereq:  1.286 
--- ncurses-5.5/ncurses/curses.priv.h	2005-09-10 22:34:50.000000000 +0000
+++ ncurses-5.5-20060128/ncurses/curses.priv.h	2006-01-21 23:46:43.000000000 +0000
@@ -1,5 +1,5 @@
 /****************************************************************************
- * Copyright (c) 1998-2004,2005 Free Software Foundation, Inc.              *
+ * Copyright (c) 1998-2005,2006 Free Software Foundation, Inc.              *
  *                                                                          *
  * Permission is hereby granted, free of charge, to any person obtaining a  *
  * copy of this software and associated documentation files (the            *
@@ -34,7 +34,7 @@
 
 
 /*
- * $Id: curses.priv.h,v 1.286 2005/09/10 22:34:50 tom Exp $
+ * $Id: curses.priv.h,v 1.295 2006/01/21 23:46:43 tom Exp $
  *
  *	curses.priv.h
  *
@@ -374,7 +374,8 @@
 	int             _ifd;           /* input file ptr for screen        */
 	FILE            *_ofp;          /* output file ptr for screen       */
 	char            *_setbuf;       /* buffered I/O for output          */
-	int		_buffered;      /* setvbuf uses _setbuf data        */
+	bool		_filtered;	/* filter() was called		    */
+	bool		_buffered;      /* setvbuf uses _setbuf data        */
 	int             _checkfd;       /* filedesc for typeahead check     */
 	TERMINAL        *_term;         /* terminal type information        */
 	short           _lines;         /* screen lines                     */
@@ -473,6 +474,7 @@
 	int             _default_fg;    /* assumed default foreground        */
 	int             _default_bg;    /* assumed default background        */
 #endif
+	chtype          _ok_attributes; /* valid attributes for terminal     */
 	chtype          _xmc_suppress;  /* attributes to suppress if xmc     */
 	chtype          _xmc_triggers;  /* attributes to process if xmc      */
 	chtype          _acs_map[ACS_LEN]; /* the real alternate-charset map */
@@ -546,11 +548,12 @@
 	bool            _cleanup;	/* cleanup after int/quit signal */
 	int             (*_outch)(int);	/* output handler if not putc */
 
+	int		_legacy_coding;	/* see use_legacy_coding() */
+
 	/* recent versions of 'screen' have partially-working support for
 	 * UTF-8, but do not permit ACS at the same time (see tty_update.c).
 	 */
 #if USE_WIDEC_SUPPORT
-	bool		_legacy_coding;
 	bool		_screen_acs_fix;
 #endif
 	bool		_screen_acs_map[ACS_LEN];
@@ -890,6 +893,13 @@
 
 #endif /* TRACE/!TRACE */
 
+/*
+ * Return-codes for tgetent() and friends.
+ */
+#define TGETENT_YES  1		/* entry is found */
+#define TGETENT_NO   0		/* entry is not found */
+#define TGETENT_ERR -1		/* an error occurred */
+
 extern NCURSES_EXPORT(const char *) _nc_visbuf2 (int, const char *);
 extern NCURSES_EXPORT(const char *) _nc_visbufn (const char *, int);
 
@@ -1061,7 +1071,14 @@
 extern NCURSES_EXPORT(char *) _nc_get_locale(void);
 extern NCURSES_EXPORT(int) _nc_unicode_locale(void);
 extern NCURSES_EXPORT(int) _nc_locale_breaks_acs(void);
-extern NCURSES_EXPORT(int) _nc_setupterm(NCURSES_CONST char *, int , int *, bool);
+extern NCURSES_EXPORT(int) _nc_setupterm(NCURSES_CONST char *, int, int *, bool);
+
+/* lib_tstp.c */
+#if USE_SIGWINCH
+extern NCURSES_EXPORT(int) _nc_handle_sigwinch(int);
+#else
+#define _nc_handle_sigwinch(a) /* nothing */
+#endif
 
 /* lib_wacs.c */
 #if USE_WIDEC_SUPPORT
@@ -1091,15 +1108,14 @@
 extern NCURSES_EXPORT(char *) _nc_printf_string (const char *, va_list);
 
 /* tries.c */
-extern NCURSES_EXPORT(void) _nc_add_to_try (struct tries **, const char *, unsigned short);
-extern NCURSES_EXPORT(char *) _nc_expand_try (struct tries *, unsigned short, int *, size_t);
-extern NCURSES_EXPORT(int) _nc_remove_key (struct tries **, unsigned short);
+extern NCURSES_EXPORT(void) _nc_add_to_try (struct tries **, const char *, unsigned);
+extern NCURSES_EXPORT(char *) _nc_expand_try (struct tries *, unsigned, int *, size_t);
+extern NCURSES_EXPORT(int) _nc_remove_key (struct tries **, unsigned);
 extern NCURSES_EXPORT(int) _nc_remove_string (struct tries **, const char *);
 
 /* elsewhere ... */
 extern NCURSES_EXPORT(ENTRY *) _nc_delink_entry(ENTRY *, TERMTYPE *);
 extern NCURSES_EXPORT(WINDOW *) _nc_makenew (int, int, int, int, int);
-extern NCURSES_EXPORT(char *) _nc_home_terminfo (void);
 extern NCURSES_EXPORT(char *) _nc_trace_buf (int, size_t);
 extern NCURSES_EXPORT(char *) _nc_trace_bufcat (int, const char *);
 extern NCURSES_EXPORT(int) _nc_access (const char *, int);
@@ -1109,9 +1125,9 @@
 extern NCURSES_EXPORT(int) _nc_keypad (bool);
 extern NCURSES_EXPORT(int) _nc_ospeed (int);
 extern NCURSES_EXPORT(int) _nc_outch (int);
-extern NCURSES_EXPORT(int) _nc_setupscreen (short, short const, FILE *);
+extern NCURSES_EXPORT(int) _nc_setupscreen (int, int, FILE *, bool, int);
 extern NCURSES_EXPORT(int) _nc_timed_wait(int, int, int * EVENTLIST_2nd(_nc_eventlist *));
-extern NCURSES_EXPORT(void) _nc_do_color (int, int, bool, int (*)(int));
+extern NCURSES_EXPORT(void) _nc_do_color (short, short, bool, int (*)(int));
 extern NCURSES_EXPORT(void) _nc_flush (void);
 extern NCURSES_EXPORT(void) _nc_free_entry(ENTRY *, TERMTYPE *);
 extern NCURSES_EXPORT(void) _nc_freeall (void);
Index: ncurses/llib-lncurses
--- ncurses-5.5/ncurses/llib-lncurses	2005-08-20 18:30:45.000000000 +0000
+++ ncurses-5.5-20060128/ncurses/llib-lncurses	2006-01-01 00:36:40.000000000 +0000
@@ -242,8 +242,8 @@
 
 #undef _nc_do_color
 void	_nc_do_color(
-		int	old_pair, 
-		int	pair, 
+		short	old_pair, 
+		short	pair, 
 		NCURSES_BOOL reverse, 
 		int	(*outc)(
 		int	p1))
@@ -1018,7 +1018,7 @@
 		{ return(*(int *)0); }
 
 #undef mouse_trafo
-NCURSES_BOOL	mouse_trafo(
+NCURSES_BOOL mouse_trafo(
 		int	*a1, 
 		int	*a2, 
 		NCURSES_BOOL	z)
@@ -1555,8 +1555,8 @@
 
 #undef _nc_setupscreen
 int	_nc_setupscreen(
-		short	slines, 
-		short const scolumns, 
+		int	slines, 
+		int const scolumns, 
 		FILE	*output)
 		{ return(*(int *)0); }
 
@@ -1700,46 +1700,6 @@
 		int	changed)
 		{ return(*(int *)0); }
 
-/* ./trace/lib_traceatr.c */
-
-#undef _traceattr2
-char	*_traceattr2(
-		int	bufnum, 
-		attr_t	newmode)
-		{ return(*(char **)0); }
-
-#undef _traceattr
-char	*_traceattr(
-		attr_t	newmode)
-		{ return(*(char **)0); }
-
-#undef _nc_retrace_attr_t
-attr_t	_nc_retrace_attr_t(
-		attr_t	code)
-		{ return(*(attr_t *)0); }
-
-#undef _nc_altcharset_name
-const char *_nc_altcharset_name(
-		attr_t	attr, 
-		chtype	ch)
-		{ return(*(const char **)0); }
-
-#undef _tracechtype2
-char	*_tracechtype2(
-		int	bufnum, 
-		chtype	ch)
-		{ return(*(char **)0); }
-
-#undef _tracechtype
-char	*_tracechtype(
-		chtype	ch)
-		{ return(*(char **)0); }
-
-#undef _nc_retrace_chtype
-chtype	_nc_retrace_chtype(
-		chtype	code)
-		{ return(*(chtype *)0); }
-
 /* ./trace/lib_tracedmp.c */
 
 #undef _tracedump
@@ -1976,6 +1936,13 @@
 		chtype	c)
 		{ /* void */ }
 
+/* ./base/legacy_coding.c */
+
+#undef use_legacy_coding
+int	use_legacy_coding(
+		int	level)
+		{ return(*(int *)0); }
+
 /* ./base/lib_dft_fgbg.c */
 
 #undef use_default_colors
@@ -2067,7 +2034,7 @@
 void	_nc_add_to_try(
 		struct tries **tree, 
 		const char *str, 
-		unsigned short code)
+		unsigned code)
 		{ /* void */ }
 
 /* ./tinfo/alloc_entry.c */
@@ -2170,6 +2137,10 @@
 #undef _nc_curr_col
 int	_nc_curr_col;
 
+#undef _nc_get_source
+const char *_nc_get_source(void)
+		{ return(*(const char **)0); }
+
 #undef _nc_set_source
 void	_nc_set_source(
 		const char *const name)
@@ -2721,8 +2692,8 @@
 
 typedef struct {
     union {
-        int num;
-        char *str;
+ int num;
+ char *str;
     } data;
     NCURSES_BOOL num_type;
 } stack_frame;
@@ -2844,6 +2815,46 @@
 		WINDOW	*code)
 		{ return(*(WINDOW **)0); }
 
+/* ./trace/lib_traceatr.c */
+
+#undef _traceattr2
+char	*_traceattr2(
+		int	bufnum, 
+		attr_t	newmode)
+		{ return(*(char **)0); }
+
+#undef _traceattr
+char	*_traceattr(
+		attr_t	newmode)
+		{ return(*(char **)0); }
+
+#undef _nc_retrace_attr_t
+attr_t	_nc_retrace_attr_t(
+		attr_t	code)
+		{ return(*(attr_t *)0); }
+
+#undef _nc_altcharset_name
+const char *_nc_altcharset_name(
+		attr_t	attr, 
+		chtype	ch)
+		{ return(*(const char **)0); }
+
+#undef _tracechtype2
+char	*_tracechtype2(
+		int	bufnum, 
+		chtype	ch)
+		{ return(*(char **)0); }
+
+#undef _tracechtype
+char	*_tracechtype(
+		chtype	ch)
+		{ return(*(char **)0); }
+
+#undef _nc_retrace_chtype
+chtype	_nc_retrace_chtype(
+		chtype	code)
+		{ return(*(chtype *)0); }
+
 /* ./trace/lib_tracebits.c */
 
 typedef struct {
@@ -3069,7 +3080,7 @@
 #undef _nc_expand_try
 char	*_nc_expand_try(
 		struct tries *tree, 
-		unsigned short code, 
+		unsigned code, 
 		int	*count, 
 		size_t	len)
 		{ return(*(char **)0); }
@@ -3077,7 +3088,7 @@
 #undef _nc_remove_key
 int	_nc_remove_key(
 		struct tries **tree, 
-		unsigned short code)
+		unsigned code)
 		{ return(*(int *)0); }
 
 #undef _nc_remove_string
Index: ncurses/llib-lncursesw
--- ncurses-5.5/ncurses/llib-lncursesw	2005-08-20 18:45:16.000000000 +0000
+++ ncurses-5.5-20060128/ncurses/llib-lncursesw	2006-01-01 00:39:45.000000000 +0000
@@ -279,8 +279,8 @@
 
 #undef _nc_do_color
 void	_nc_do_color(
-		int	old_pair, 
-		int	pair, 
+		short	old_pair, 
+		short	pair, 
 		NCURSES_BOOL reverse, 
 		int	(*outc)(
 		int	p1))
@@ -1520,7 +1520,7 @@
 		{ return(*(int *)0); }
 
 #undef mouse_trafo
-NCURSES_BOOL	mouse_trafo(
+NCURSES_BOOL mouse_trafo(
 		int	*a1, 
 		int	*a2, 
 		NCURSES_BOOL	z)
@@ -2057,8 +2057,8 @@
 
 #undef _nc_setupscreen
 int	_nc_setupscreen(
-		short	slines, 
-		short const scolumns, 
+		int	slines, 
+		int const scolumns, 
 		FILE	*output)
 		{ return(*(int *)0); }
 
@@ -2204,57 +2204,6 @@
 		int	changed)
 		{ return(*(int *)0); }
 
-/* ./trace/lib_traceatr.c */
-
-#undef _traceattr2
-char	*_traceattr2(
-		int	bufnum, 
-		attr_t	newmode)
-		{ return(*(char **)0); }
-
-#undef _traceattr
-char	*_traceattr(
-		attr_t	newmode)
-		{ return(*(char **)0); }
-
-#undef _nc_retrace_attr_t
-attr_t	_nc_retrace_attr_t(
-		attr_t	code)
-		{ return(*(attr_t *)0); }
-
-#undef _nc_altcharset_name
-const char *_nc_altcharset_name(
-		attr_t	attr, 
-		chtype	ch)
-		{ return(*(const char **)0); }
-
-#undef _tracechtype2
-char	*_tracechtype2(
-		int	bufnum, 
-		chtype	ch)
-		{ return(*(char **)0); }
-
-#undef _tracechtype
-char	*_tracechtype(
-		chtype	ch)
-		{ return(*(char **)0); }
-
-#undef _nc_retrace_chtype
-chtype	_nc_retrace_chtype(
-		chtype	code)
-		{ return(*(chtype *)0); }
-
-#undef _tracecchar_t2
-char	*_tracecchar_t2(
-		int	bufnum, 
-		const cchar_t *ch)
-		{ return(*(char **)0); }
-
-#undef _tracecchar_t
-char	*_tracecchar_t(
-		const cchar_t *ch)
-		{ return(*(char **)0); }
-
 /* ./trace/lib_tracedmp.c */
 
 #undef _tracedump
@@ -2720,6 +2669,13 @@
 		cchar_t	c)
 		{ /* void */ }
 
+/* ./base/legacy_coding.c */
+
+#undef use_legacy_coding
+int	use_legacy_coding(
+		int	level)
+		{ return(*(int *)0); }
+
 /* ./base/lib_dft_fgbg.c */
 
 #undef use_default_colors
@@ -2811,7 +2767,7 @@
 void	_nc_add_to_try(
 		struct tries **tree, 
 		const char *str, 
-		unsigned short code)
+		unsigned code)
 		{ /* void */ }
 
 /* ./tinfo/alloc_entry.c */
@@ -2914,6 +2870,10 @@
 #undef _nc_curr_col
 int	_nc_curr_col;
 
+#undef _nc_get_source
+const char *_nc_get_source(void)
+		{ return(*(const char **)0); }
+
 #undef _nc_set_source
 void	_nc_set_source(
 		const char *const name)
@@ -3470,8 +3430,8 @@
 
 typedef struct {
     union {
-        int num;
-        char *str;
+ int num;
+ char *str;
     } data;
     NCURSES_BOOL num_type;
 } stack_frame;
@@ -3593,6 +3553,57 @@
 		WINDOW	*code)
 		{ return(*(WINDOW **)0); }
 
+/* ./trace/lib_traceatr.c */
+
+#undef _traceattr2
+char	*_traceattr2(
+		int	bufnum, 
+		attr_t	newmode)
+		{ return(*(char **)0); }
+
+#undef _traceattr
+char	*_traceattr(
+		attr_t	newmode)
+		{ return(*(char **)0); }
+
+#undef _nc_retrace_attr_t
+attr_t	_nc_retrace_attr_t(
+		attr_t	code)
+		{ return(*(attr_t *)0); }
+
+#undef _nc_altcharset_name
+const char *_nc_altcharset_name(
+		attr_t	attr, 
+		chtype	ch)
+		{ return(*(const char **)0); }
+
+#undef _tracechtype2
+char	*_tracechtype2(
+		int	bufnum, 
+		chtype	ch)
+		{ return(*(char **)0); }
+
+#undef _tracechtype
+char	*_tracechtype(
+		chtype	ch)
+		{ return(*(char **)0); }
+
+#undef _nc_retrace_chtype
+chtype	_nc_retrace_chtype(
+		chtype	code)
+		{ return(*(chtype *)0); }
+
+#undef _tracecchar_t2
+char	*_tracecchar_t2(
+		int	bufnum, 
+		const cchar_t *ch)
+		{ return(*(char **)0); }
+
+#undef _tracecchar_t
+char	*_tracecchar_t(
+		const cchar_t *ch)
+		{ return(*(char **)0); }
+
 /* ./trace/lib_tracebits.c */
 
 typedef struct {
@@ -3818,7 +3829,7 @@
 #undef _nc_expand_try
 char	*_nc_expand_try(
 		struct tries *tree, 
-		unsigned short code, 
+		unsigned code, 
 		int	*count, 
 		size_t	len)
 		{ return(*(char **)0); }
@@ -3826,7 +3837,7 @@
 #undef _nc_remove_key
 int	_nc_remove_key(
 		struct tries **tree, 
-		unsigned short code)
+		unsigned code)
 		{ return(*(int *)0); }
 
 #undef _nc_remove_string
Index: ncurses/modules
Prereq:  1.104 
--- ncurses-5.5/ncurses/modules	2005-08-20 20:02:44.000000000 +0000
+++ ncurses-5.5-20060128/ncurses/modules	2005-12-17 20:14:36.000000000 +0000
@@ -1,4 +1,4 @@
-# $Id: modules,v 1.104 2005/08/20 20:02:44 tom Exp $
+# $Id: modules,v 1.105 2005/12/17 20:14:36 tom Exp $
 ##############################################################################
 # Copyright (c) 1998-2004,2005 Free Software Foundation, Inc.                #
 #                                                                            #
@@ -146,6 +146,7 @@
 # Extensions to the base library
 @ ext_funcs
 expanded	lib		.
+legacy_coding	lib		$(base)		../include/term.h
 lib_dft_fgbg	lib		$(base)		../include/term.h
 lib_print	lib		$(tinfo)	../include/term.h
 resizeterm	lib		$(base)		../include/term.h
Index: ncurses/tinfo/add_tries.c
Prereq:  1.4 
--- ncurses-5.5/ncurses/tinfo/add_tries.c	2000-12-10 02:55:07.000000000 +0000
+++ ncurses-5.5-20060128/ncurses/tinfo/add_tries.c	2005-11-20 01:32:48.000000000 +0000
@@ -1,5 +1,5 @@
 /****************************************************************************
- * Copyright (c) 1998,2000 Free Software Foundation, Inc.                   *
+ * Copyright (c) 1998-2000,2005 Free Software Foundation, Inc.              *
  *                                                                          *
  * Permission is hereby granted, free of charge, to any person obtaining a  *
  * copy of this software and associated documentation files (the            *
@@ -39,13 +39,13 @@
 
 #include <curses.priv.h>
 
-MODULE_ID("$Id: add_tries.c,v 1.4 2000/12/10 02:55:07 tom Exp $")
+MODULE_ID("$Id: add_tries.c,v 1.5 2005/11/20 01:32:48 tom Exp $")
 
 #define SET_TRY(dst,src) if ((dst->ch = *src++) == 128) dst->ch = '\0'
 #define CMP_TRY(a,b) ((a)? (a == b) : (b == 128))
 
 NCURSES_EXPORT(void)
-_nc_add_to_try(struct tries **tree, const char *str, unsigned short code)
+_nc_add_to_try(struct tries **tree, const char *str, unsigned code)
 {
     static bool out_of_memory = FALSE;
     struct tries *ptr, *savedptr;
Index: ncurses/tinfo/captoinfo.c
Prereq:  1.47 
--- ncurses-5.5/ncurses/tinfo/captoinfo.c	2005-06-04 22:06:43.000000000 +0000
+++ ncurses-5.5-20060128/ncurses/tinfo/captoinfo.c	2005-11-26 15:40:31.000000000 +0000
@@ -1,5 +1,5 @@
 /****************************************************************************
- * Copyright (c) 1998-2003,2004 Free Software Foundation, Inc.              *
+ * Copyright (c) 1998-2004,2005 Free Software Foundation, Inc.              *
  *                                                                          *
  * Permission is hereby granted, free of charge, to any person obtaining a  *
  * copy of this software and associated documentation files (the            *
@@ -93,7 +93,7 @@
 #include <ctype.h>
 #include <tic.h>
 
-MODULE_ID("$Id: captoinfo.c,v 1.47 2005/06/04 22:06:43 tom Exp $")
+MODULE_ID("$Id: captoinfo.c,v 1.48 2005/11/26 15:40:31 tom Exp $")
 
 #define MAX_PUSHED	16	/* max # args we can push onto the stack */
 
@@ -137,7 +137,7 @@
     return d + strlen(d);
 }
 
-static inline char *
+static NCURSES_INLINE char *
 save_char(char *s, int c)
 {
     static char temp[2];
Index: ncurses/tinfo/comp_error.c
Prereq:  1.29 
--- ncurses-5.5/ncurses/tinfo/comp_error.c	2005-08-20 19:22:36.000000000 +0000
+++ ncurses-5.5-20060128/ncurses/tinfo/comp_error.c	2005-11-26 15:28:47.000000000 +0000
@@ -41,7 +41,7 @@
 
 #include <tic.h>
 
-MODULE_ID("$Id: comp_error.c,v 1.29 2005/08/20 19:22:36 tom Exp $")
+MODULE_ID("$Id: comp_error.c,v 1.30 2005/11/26 15:28:47 tom Exp $")
 
 NCURSES_EXPORT_VAR(bool) _nc_suppress_warnings = FALSE;
 NCURSES_EXPORT_VAR(int) _nc_curr_line = 0; /* current line # in input */
@@ -87,7 +87,7 @@
 	strcpy(name, termtype != 0 ? termtype : "");
 }
 
-static inline void
+static NCURSES_INLINE void
 where_is_problem(void)
 {
     fprintf(stderr, "\"%s\"", sourcename);
Index: ncurses/tinfo/comp_scan.c
Prereq:  1.76 
--- ncurses-5.5/ncurses/tinfo/comp_scan.c	2005-06-04 22:04:45.000000000 +0000
+++ ncurses-5.5-20060128/ncurses/tinfo/comp_scan.c	2005-11-26 15:28:47.000000000 +0000
@@ -51,7 +51,7 @@
 #include <term_entry.h>
 #include <tic.h>
 
-MODULE_ID("$Id: comp_scan.c,v 1.76 2005/06/04 22:04:45 tom Exp $")
+MODULE_ID("$Id: comp_scan.c,v 1.77 2005/11/26 15:28:47 tom Exp $")
 
 /*
  * Maximum length of string capability we'll accept before raising an error.
@@ -284,7 +284,7 @@
 }
 
 /* Assume we may be looking at a termcap-style continuation */
-static inline int
+static NCURSES_INLINE int
 eat_escaped_newline(int ch)
 {
     if (ch == '\\')
Index: ncurses/tinfo/init_keytry.c
Prereq:  1.7 
--- ncurses-5.5/ncurses/tinfo/init_keytry.c	2005-04-30 19:32:03.000000000 +0000
+++ ncurses-5.5-20060128/ncurses/tinfo/init_keytry.c	2006-01-21 23:43:28.000000000 +0000
@@ -1,5 +1,5 @@
 /****************************************************************************
- * Copyright (c) 1999-2000,2005 Free Software Foundation, Inc.              *
+ * Copyright (c) 1999-2005,2006 Free Software Foundation, Inc.              *
  *                                                                          *
  * Permission is hereby granted, free of charge, to any person obtaining a  *
  * copy of this software and associated documentation files (the            *
@@ -36,7 +36,7 @@
 
 #include <term_entry.h>
 
-MODULE_ID("$Id: init_keytry.c,v 1.7 2005/04/30 19:32:03 tom Exp $")
+MODULE_ID("$Id: init_keytry.c,v 1.8 2006/01/21 23:43:28 tom Exp $")
 
 /*
 **      _nc_init_keytry()
@@ -90,7 +90,7 @@
 	{
 	    TERMTYPE *tp = &(SP->_term->type);
 	    for (n = STRCOUNT; n < NUM_STRINGS(tp); ++n) {
-		char *name = ExtStrname(tp, n, strnames);
+		const char *name = ExtStrname(tp, n, strnames);
 		char *value = tp->Strings[n];
 		if (name != 0
 		    && *name == 'k'
Index: ncurses/tinfo/lib_acs.c
Prereq:  1.27 
--- ncurses-5.5/ncurses/tinfo/lib_acs.c	2004-10-16 15:42:40.000000000 +0000
+++ ncurses-5.5-20060128/ncurses/tinfo/lib_acs.c	2006-01-07 21:27:15.000000000 +0000
@@ -1,5 +1,5 @@
 /****************************************************************************
- * Copyright (c) 1998-2002,2004 Free Software Foundation, Inc.              *
+ * Copyright (c) 1998-2005,2006 Free Software Foundation, Inc.              *
  *                                                                          *
  * Permission is hereby granted, free of charge, to any person obtaining a  *
  * copy of this software and associated documentation files (the            *
@@ -35,7 +35,7 @@
 #include <curses.priv.h>
 #include <term.h>		/* ena_acs, acs_chars */
 
-MODULE_ID("$Id: lib_acs.c,v 1.27 2004/10/16 15:42:40 tom Exp $")
+MODULE_ID("$Id: lib_acs.c,v 1.30 2006/01/07 21:27:15 tom Exp $")
 
 #if BROKEN_LINKER
 NCURSES_EXPORT_VAR(chtype *)
@@ -131,6 +131,32 @@
 	TPUTS_TRACE("ena_acs");
 	putp(ena_acs);
     }
+#if NCURSES_EXT_FUNCS
+    /*
+     * Linux console "supports" the "PC ROM" character set by the coincidence
+     * that smpch/rmpch and smacs/rmacs have the same values.  ncurses has
+     * no codepage support (see SCO Merge for an example).  Outside of the
+     * values defined in acsc, there are no definitions for the "PC ROM"
+     * character set (assumed by some applications to be codepage 437), but we
+     * allow those applications to use those codepoints.
+     *
+     * test/blue.c uses this feature.
+     */
+#define PCH_KLUDGE(a,b) (a != 0 && b != 0 && !strcmp(a,b))
+    if (PCH_KLUDGE(enter_pc_charset_mode, enter_alt_charset_mode) &&
+	PCH_KLUDGE(exit_pc_charset_mode, exit_alt_charset_mode)) {
+	size_t i;
+	for (i = 1; i < ACS_LEN; ++i) {
+	    if (real_map[i] == 0) {
+		real_map[i] = i;
+		if (real_map != fake_map) {
+		    if (SP != 0)
+			SP->_screen_acs_map[i] = TRUE;
+		}
+	    }
+	}
+    }
+#endif
 
     if (acs_chars != NULL) {
 	size_t i = 0;
@@ -151,7 +177,7 @@
      */
     if (_nc_tracing & TRACE_CALLS) {
 	size_t n, m;
-	char show[ACS_LEN + 1];
+	char show[ACS_LEN * 2 + 1];
 	for (n = 1, m = 0; n < ACS_LEN; n++) {
 	    if (real_map[n] != 0) {
 		show[m++] = (char) n;
Index: ncurses/tinfo/lib_setup.c
Prereq:  1.88 
--- ncurses-5.5/ncurses/tinfo/lib_setup.c	2005-03-12 19:41:45.000000000 +0000
+++ ncurses-5.5-20060128/ncurses/tinfo/lib_setup.c	2006-01-14 15:17:51.000000000 +0000
@@ -1,5 +1,5 @@
 /****************************************************************************
- * Copyright (c) 1998-2004,2005 Free Software Foundation, Inc.              *
+ * Copyright (c) 1998-2005,2006 Free Software Foundation, Inc.              *
  *                                                                          *
  * Permission is hereby granted, free of charge, to any person obtaining a  *
  * copy of this software and associated documentation files (the            *
@@ -53,7 +53,7 @@
 
 #include <term.h>		/* lines, columns, cur_term */
 
-MODULE_ID("$Id: lib_setup.c,v 1.88 2005/03/12 19:41:45 tom Exp $")
+MODULE_ID("$Id: lib_setup.c,v 1.93 2006/01/14 15:17:51 tom Exp $")
 
 /****************************************************************************
  *
@@ -121,6 +121,7 @@
     /* figure out the size of the screen */
     T(("screen size: terminfo lines = %d columns = %d", lines, columns));
 
+    _nc_handle_sigwinch(0);
     if (!_use_env) {
 	*linep = (int) lines;
 	*colp = (int) columns;
@@ -167,7 +168,7 @@
 		 * environment variable.
 		 */
 		if (*linep <= 0)
-		    *linep = WINSIZE_ROWS(size);
+		    *linep = (SP != 0 && SP->_filtered) ? 1 : WINSIZE_ROWS(size);
 		if (*colp <= 0)
 		    *colp = WINSIZE_COLS(size);
 	    }
@@ -199,6 +200,7 @@
 	lines = (short) (*linep);
 	columns = (short) (*colp);
     }
+    _nc_handle_sigwinch(1);
 
     T(("screen size is %dx%d", *linep, *colp));
 
@@ -257,9 +259,12 @@
 					}
 
 #if USE_DATABASE || USE_TERMCAP
+/*
+ * Return 1 if entry found, 0 if not found, -1 if database not accessible,
+ * just like tgetent().
+ */
 static int
 grab_entry(const char *const tn, TERMTYPE *const tp)
-/* return 1 if entry found, 0 if not found, -1 if database not accessible */
 {
 #if USE_DATABASE
     char filename[PATH_MAX];
@@ -270,10 +275,10 @@
      * $TERM shouldn't contain pathname delimiters.
      */
     if (strchr(tn, '/'))
-	return 0;
+	return TGETENT_NO;
 
 #if USE_DATABASE
-    if ((status = _nc_read_entry(tn, filename, tp)) != 1) {
+    if ((status = _nc_read_entry(tn, filename, tp)) != TGETENT_YES) {
 
 #if !PURE_TERMINFO
 	/*
@@ -296,7 +301,7 @@
      * (The terminfo compiler bypasses this logic, since it must know if
      * a string is cancelled, for merging entries).
      */
-    if (status == 1) {
+    if (status == TGETENT_YES) {
 	unsigned n;
 	for_each_boolean(n, tp) {
 	    if (!VALID_BOOLEAN(tp->Booleans[n]))
@@ -316,7 +321,6 @@
 **
 **	Take the real command character out of the CC environment variable
 **	and substitute it in for the prototype given in 'command_character'.
-**
 */
 static void
 do_prototype(void)
@@ -417,7 +421,7 @@
 }
 
 /*
- * This entrypoint is called from tgetent() to allow special a case of reusing
+ * This entrypoint is called from tgetent() to allow a special case of reusing
  * the same TERMINAL data (see comment).
  */
 NCURSES_EXPORT(int)
@@ -431,11 +435,13 @@
     if (tname == 0) {
 	tname = getenv("TERM");
 	if (tname == 0 || *tname == '\0') {
-	    ret_error0(-1, "TERM environment variable not set.\n");
+	    ret_error0(TGETENT_ERR, "TERM environment variable not set.\n");
 	}
     }
+
     if (strlen(tname) > MAX_NAME_SIZE) {
-	ret_error(-1, "TERM environment must be <= %d characters.\n",
+	ret_error(TGETENT_ERR,
+		  "TERM environment must be <= %d characters.\n",
 		  MAX_NAME_SIZE);
     }
 
@@ -477,31 +483,31 @@
 	term_ptr = typeCalloc(TERMINAL, 1);
 
 	if (term_ptr == 0) {
-	    ret_error0(-1,
+	    ret_error0(TGETENT_ERR,
 		       "Not enough memory to create terminal structure.\n");
 	}
 #if USE_DATABASE || USE_TERMCAP
 	status = grab_entry(tname, &term_ptr->type);
 #else
-	status = 0;
+	status = TGETENT_NO;
 #endif
 
 	/* try fallback list if entry on disk */
-	if (status != 1) {
+	if (status != TGETENT_YES) {
 	    const TERMTYPE *fallback = _nc_fallback(tname);
 
 	    if (fallback) {
 		term_ptr->type = *fallback;
-		status = 1;
+		status = TGETENT_YES;
 	    }
 	}
 
-	if (status <= 0) {
+	if (status != TGETENT_YES) {
 	    del_curterm(term_ptr);
-	    if (status == -1) {
-		ret_error0(-1, "terminals database is inaccessible\n");
-	    } else if (status == 0) {
-		ret_error(0, "'%s': unknown terminal type.\n", tname);
+	    if (status == TGETENT_ERR) {
+		ret_error0(status, "terminals database is inaccessible\n");
+	    } else if (status == TGETENT_NO) {
+		ret_error(status, "'%s': unknown terminal type.\n", tname);
 	    }
 	}
 
@@ -534,15 +540,15 @@
     _nc_get_screensize(&LINES, &COLS);
 
     if (errret)
-	*errret = 1;
+	*errret = TGETENT_YES;
 
     T((T_CREATE("screen %s %dx%d"), tname, LINES, COLS));
 
     if (generic_type) {
-	ret_error(0, "'%s': I need something more specific.\n", tname);
+	ret_error(TGETENT_NO, "'%s': I need something more specific.\n", tname);
     }
     if (hard_copy) {
-	ret_error(1, "'%s': I can't handle hardcopy terminals.\n", tname);
+	ret_error(TGETENT_YES, "'%s': I can't handle hardcopy terminals.\n", tname);
     }
     returnCode(OK);
 }
@@ -552,9 +558,7 @@
  *
  *	Find and read the appropriate object file for the terminal
  *	Make cur_term point to the structure.
- *
  */
-
 NCURSES_EXPORT(int)
 setupterm(NCURSES_CONST char *tname, int Filedes, int *errret)
 {
Index: ncurses/tinfo/lib_tparm.c
Prereq:  1.68 
--- ncurses-5.5/ncurses/tinfo/lib_tparm.c	2004-02-07 20:52:51.000000000 +0000
+++ ncurses-5.5-20060128/ncurses/tinfo/lib_tparm.c	2005-11-26 15:41:24.000000000 +0000
@@ -1,5 +1,5 @@
 /****************************************************************************
- * Copyright (c) 1998-2003,2004 Free Software Foundation, Inc.              *
+ * Copyright (c) 1998-2004,2005 Free Software Foundation, Inc.              *
  *                                                                          *
  * Permission is hereby granted, free of charge, to any person obtaining a  *
  * copy of this software and associated documentation files (the            *
@@ -43,7 +43,7 @@
 #include <term.h>
 #include <tic.h>
 
-MODULE_ID("$Id: lib_tparm.c,v 1.68 2004/02/07 20:52:51 tom Exp $")
+MODULE_ID("$Id: lib_tparm.c,v 1.69 2005/11/26 15:41:24 tom Exp $")
 
 /*
  *	char *
@@ -146,7 +146,7 @@
 }
 #endif
 
-static inline void
+static NCURSES_INLINE void
 get_space(size_t need)
 {
     need += out_used;
@@ -158,7 +158,7 @@
     }
 }
 
-static inline void
+static NCURSES_INLINE void
 save_text(const char *fmt, const char *s, int len)
 {
     size_t s_len = strlen(s);
@@ -171,7 +171,7 @@
     out_used += strlen(out_buff + out_used);
 }
 
-static inline void
+static NCURSES_INLINE void
 save_number(const char *fmt, int number, int len)
 {
     if (len < 30)
@@ -183,7 +183,7 @@
     out_used += strlen(out_buff + out_used);
 }
 
-static inline void
+static NCURSES_INLINE void
 save_char(int c)
 {
     if (c == 0)
@@ -192,7 +192,7 @@
     out_buff[out_used++] = c;
 }
 
-static inline void
+static NCURSES_INLINE void
 npush(int x)
 {
     if (stack_ptr < STACKSIZE) {
@@ -205,7 +205,7 @@
     }
 }
 
-static inline int
+static NCURSES_INLINE int
 npop(void)
 {
     int result = 0;
@@ -220,7 +220,7 @@
     return result;
 }
 
-static inline void
+static NCURSES_INLINE void
 spush(char *x)
 {
     if (stack_ptr < STACKSIZE) {
@@ -233,7 +233,7 @@
     }
 }
 
-static inline char *
+static NCURSES_INLINE char *
 spop(void)
 {
     static char dummy[] = "";	/* avoid const-cast */
@@ -249,7 +249,7 @@
     return result;
 }
 
-static inline const char *
+static NCURSES_INLINE const char *
 parse_format(const char *s, char *format, int *len)
 {
     *len = 0;
@@ -471,7 +471,7 @@
     return number;
 }
 
-static inline char *
+static NCURSES_INLINE char *
 tparam_internal(const char *string, va_list ap)
 {
 #define NUM_VARS 26
Index: ncurses/tinfo/lib_ttyflags.c
Prereq:  1.11 
--- ncurses-5.5/ncurses/tinfo/lib_ttyflags.c	2003-05-17 23:50:37.000000000 +0000
+++ ncurses-5.5-20060128/ncurses/tinfo/lib_ttyflags.c	2005-11-19 20:36:23.000000000 +0000
@@ -1,5 +1,5 @@
 /****************************************************************************
- * Copyright (c) 1998-2002,2003 Free Software Foundation, Inc.              *
+ * Copyright (c) 1998-2003,2005 Free Software Foundation, Inc.              *
  *                                                                          *
  * Permission is hereby granted, free of charge, to any person obtaining a  *
  * copy of this software and associated documentation files (the            *
@@ -38,7 +38,7 @@
 #include <curses.priv.h>
 #include <term.h>		/* cur_term */
 
-MODULE_ID("$Id: lib_ttyflags.c,v 1.11 2003/05/17 23:50:37 tom Exp $")
+MODULE_ID("$Id: lib_ttyflags.c,v 1.12 2005/11/19 20:36:23 tom Exp $")
 
 #undef tabs
 
@@ -59,28 +59,51 @@
 NCURSES_EXPORT(int)
 _nc_get_tty_mode(TTY * buf)
 {
-    if (cur_term == 0
-	|| GET_TTY(cur_term->Filedes, buf) != 0) {
-	memset(buf, 0, sizeof(*buf));
-	return (ERR);
+    int result = OK;
+
+    if (cur_term == 0) {
+	result = ERR;
+    } else {
+	for (;;) {
+	    if (GET_TTY(cur_term->Filedes, buf) != 0) {
+		if (errno == EINTR)
+		    continue;
+		result = ERR;
+	    }
+	    break;
+	}
     }
+
+    if (result == ERR)
+	memset(buf, 0, sizeof(*buf));
+
     TR(TRACE_BITS, ("_nc_get_tty_mode(%d): %s",
 		    cur_term->Filedes, _nc_trace_ttymode(buf)));
-    return (OK);
+    return (result);
 }
 
 NCURSES_EXPORT(int)
 _nc_set_tty_mode(TTY * buf)
 {
-    if (cur_term == 0
-	|| SET_TTY(cur_term->Filedes, buf) != 0) {
-	if ((errno == ENOTTY) && (SP != 0))
-	    SP->_notty = TRUE;
-	return (ERR);
+    int result = OK;
+
+    if (cur_term == 0) {
+	result = ERR;
+    } else {
+	for (;;) {
+	    if (SET_TTY(cur_term->Filedes, buf) != 0) {
+		if (errno == EINTR)
+		    continue;
+		if ((errno == ENOTTY) && (SP != 0))
+		    SP->_notty = TRUE;
+		result = ERR;
+	    }
+	    break;
+	}
     }
     TR(TRACE_BITS, ("_nc_set_tty_mode(%d): %s",
 		    cur_term->Filedes, _nc_trace_ttymode(buf)));
-    return (OK);
+    return (result);
 }
 
 NCURSES_EXPORT(int)
Index: ncurses/tinfo/read_entry.c
Prereq:  1.81 
--- ncurses-5.5/ncurses/tinfo/read_entry.c	2005-06-02 22:04:32.000000000 +0000
+++ ncurses-5.5-20060128/ncurses/tinfo/read_entry.c	2006-01-21 17:25:55.000000000 +0000
@@ -1,5 +1,5 @@
 /****************************************************************************
- * Copyright (c) 1998-2004,2005 Free Software Foundation, Inc.              *
+ * Copyright (c) 1998-2005,2006 Free Software Foundation, Inc.              *
  *                                                                          *
  * Permission is hereby granted, free of charge, to any person obtaining a  *
  * copy of this software and associated documentation files (the            *
@@ -42,7 +42,7 @@
 #include <tic.h>
 #include <term_entry.h>
 
-MODULE_ID("$Id: read_entry.c,v 1.81 2005/06/02 22:04:32 tom Exp $")
+MODULE_ID("$Id: read_entry.c,v 1.86 2006/01/21 17:25:55 tom Exp $")
 
 #if !HAVE_TELL
 #define tell(fd) lseek(fd, 0, SEEK_CUR)		/* lseek() is POSIX, but not tell() */
@@ -170,7 +170,7 @@
     /* grab the header */
     if (!read_shorts(fd, buf, 6)
 	|| LOW_MSB(buf) != MAGIC) {
-	return (0);
+	return (TGETENT_NO);
     }
 
     name_size = LOW_MSB(buf + 2);
@@ -188,14 +188,14 @@
 	|| num_count < 0
 	|| str_count < 0
 	|| str_size < 0) {
-	return (0);
+	return (TGETENT_NO);
     }
 
     if (str_size) {
 	/* try to allocate space for the string table */
 	if (str_count * 2 >= (int) sizeof(buf)
 	    || (ptr->str_table = typeMalloc(char, (unsigned) str_size)) == 0) {
-	    return (0);
+	    return (TGETENT_NO);
 	}
     } else {
 	str_count = 0;
@@ -209,7 +209,7 @@
     buf[want] = '\0';
     ptr->term_names = TYPE_CALLOC(char, strlen(buf) + 1);
     if (ptr->term_names == NULL) {
-	return (0);
+	return (TGETENT_NO);
     }
     (void) strcpy(ptr->term_names, buf);
     if (have > MAX_NAME_SIZE)
@@ -218,7 +218,7 @@
     /* grab the booleans */
     if ((ptr->Booleans = TYPE_CALLOC(char, max(BOOLCOUNT, bool_count))) == 0
 	|| read(fd, ptr->Booleans, (unsigned) bool_count) < bool_count) {
-	return (0);
+	return (TGETENT_NO);
     }
 
     /*
@@ -232,21 +232,21 @@
     /* grab the numbers */
     if ((ptr->Numbers = TYPE_CALLOC(short, max(NUMCOUNT, num_count))) == 0
 	|| !read_shorts(fd, buf, num_count)) {
-	return (0);
+	return (TGETENT_NO);
     }
     convert_shorts(buf, ptr->Numbers, num_count);
 
     if ((ptr->Strings = TYPE_CALLOC(char *, max(STRCOUNT, str_count))) == 0)
-	  return (0);
+	  return (TGETENT_NO);
 
     if (str_count) {
 	/* grab the string offsets */
 	if (!read_shorts(fd, buf, str_count)) {
-	    return (0);
+	    return (TGETENT_NO);
 	}
 	/* finally, grab the string table itself */
 	if (read(fd, ptr->str_table, (unsigned) str_size) != str_size)
-	    return (0);
+	    return (TGETENT_NO);
 	convert_strings(buf, ptr->Strings, str_count, str_size, ptr->str_table);
     }
 #if NCURSES_XNAMES
@@ -277,7 +277,7 @@
 	    || ext_str_count < 0
 	    || ext_str_size < 0
 	    || ext_str_limit < 0)
-	    return (0);
+	    return (TGETENT_NO);
 
 	ptr->num_Booleans = BOOLCOUNT + ext_bool_count;
 	ptr->num_Numbers = NUMCOUNT + ext_num_count;
@@ -296,7 +296,7 @@
 	if ((ptr->ext_Booleans = ext_bool_count) != 0) {
 	    if (read(fd, ptr->Booleans + BOOLCOUNT, (unsigned)
 		     ext_bool_count) != ext_bool_count)
-		return (0);
+		return (TGETENT_NO);
 	}
 	even_boundary(ext_bool_count);
 
@@ -304,7 +304,7 @@
 			    ext_num_count, (long) tell(fd)));
 	if ((ptr->ext_Numbers = ext_num_count) != 0) {
 	    if (!read_shorts(fd, buf, ext_num_count))
-		return (0);
+		return (TGETENT_NO);
 	    TR(TRACE_DATABASE, ("Before converting extended-numbers"));
 	    convert_shorts(buf, ptr->Numbers + NUMCOUNT, ext_num_count);
 	}
@@ -312,16 +312,16 @@
 	TR(TRACE_DATABASE, ("READ extended-offsets @%ld", (long) tell(fd)));
 	if ((ext_str_count || need)
 	    && !read_shorts(fd, buf, ext_str_count + need))
-	    return (0);
+	    return (TGETENT_NO);
 
 	TR(TRACE_DATABASE, ("READ %d bytes of extended-strings @%ld",
 			    ext_str_limit, (long) tell(fd)));
 
 	if (ext_str_limit) {
 	    if ((ptr->ext_str_table = typeMalloc(char, ext_str_limit)) == 0)
-		  return (0);
+		  return (TGETENT_NO);
 	    if (read(fd, ptr->ext_str_table, (unsigned) ext_str_limit) != ext_str_limit)
-		return (0);
+		return (TGETENT_NO);
 	    TR(TRACE_DATABASE, ("first extended-string is %s", _nc_visbuf(ptr->ext_str_table)));
 	}
 
@@ -346,7 +346,7 @@
 
 	if (need) {
 	    if ((ptr->ext_Names = TYPE_CALLOC(char *, need)) == 0)
-		  return (0);
+		  return (TGETENT_NO);
 	    TR(TRACE_DATABASE,
 	       ("ext_NAMES starting @%d in extended_strings, first = %s",
 		base, _nc_visbuf(ptr->ext_str_table + base)));
@@ -379,7 +379,7 @@
     for (i = str_count; i < STRCOUNT; i++)
 	ptr->Strings[i] = ABSENT_STRING;
 
-    return (1);
+    return (TGETENT_YES);
 }
 
 NCURSES_EXPORT(int)
@@ -391,7 +391,7 @@
     if (_nc_access(filename, R_OK) < 0
 	|| (fd = open(filename, O_RDONLY | O_BINARY)) < 0) {
 	T(("cannot open terminfo %s (errno=%d)", filename, errno));
-	code = 0;
+	code = TGETENT_NO;
     } else {
 	T(("read terminfo %s", filename));
 	if ((code = read_termtype(fd, ptr)) == 0) {
@@ -408,14 +408,18 @@
  * 0 on failure.
  */
 static int
-_nc_read_tic_entry(char *const filename,
-		   const char *const dir, const char *ttn, TERMTYPE *const tp)
+_nc_read_tic_entry(char *filename,
+		   unsigned limit,
+		   const char *const dir,
+		   const char *name,
+		   TERMTYPE *const tp)
 {
-    int need = 2 + strlen(dir) + strlen(ttn);
+    unsigned need = 4 + strlen(dir) + strlen(name);
 
-    if (need > PATH_MAX)
-	return 0;
-    (void) sprintf(filename, "%s/%s", dir, ttn);
+    if (need > limit)
+	return TGETENT_NO;
+
+    (void) sprintf(filename, "%s/%c/%s", dir, *name, name);
     return _nc_read_file_entry(filename, tp);
 }
 
@@ -423,41 +427,131 @@
  * Process the list of :-separated directories, looking for the terminal type.
  * We don't use strtok because it does not show us empty tokens.
  */
-static int
-_nc_read_terminfo_dirs(const char *dirs, char *const filename, const char *const
-		       ttn, TERMTYPE *const tp)
+
+static char *this_db_list = 0;
+static int size_db_list;
+
+/*
+ * Cleanup.
+ */
+NCURSES_EXPORT(void)
+_nc_last_db(void)
+{
+    FreeAndNull(this_db_list);
+    size_db_list = 0;
+}
+
+/* The TERMINFO_DIRS value, if defined by the configure script, begins with a
+ * ":", which will be interpreted as TERMINFO.
+ */
+static const char *
+next_list_item(const char *source, int *offset)
+{
+    if (source != 0) {
+	FreeIfNeeded(this_db_list);
+	this_db_list = strdup(source);
+	size_db_list = strlen(source);
+    }
+
+    if (this_db_list != 0 && size_db_list && *offset < size_db_list) {
+	static char system_db[] = TERMINFO;
+	char *result = this_db_list + *offset;
+	char *marker = strchr(result, NCURSES_PATHSEP);
+
+	/*
+	 * Put a null on the marker if a separator was found.  Set the offset
+	 * to the next position after the marker so we can call this function
+	 * again, using the data at the offset.
+	 */
+	if (marker == 0) {
+	    *offset += strlen(result) + 1;
+	    marker = result + *offset;
+	} else {
+	    *marker++ = 0;
+	    *offset = marker - this_db_list;
+	}
+	if (*result == 0 && result != (this_db_list + size_db_list))
+	    result = system_db;
+	return result;
+    }
+    return 0;
+}
+
+#define NEXT_DBD(var, offset) next_list_item((*offset == 0) ? var : 0, offset)
+
+/*
+ * This is a simple iterator which allows the caller to step through the
+ * possible locations for a terminfo directory.  ncurses uses this to find
+ * terminfo files to read.
+ */
+NCURSES_EXPORT(const char *)
+_nc_next_db(DBDIRS * state, int *offset)
 {
-    char *list, *a;
-    const char *b;
-    int code = 0;
-
-    /* we'll modify the argument, so we must copy */
-    if ((b = a = list = strdup(dirs)) == NULL)
-	return (0);
-
-    for (;;) {
-	int c = *a;
-	if (c == 0 || c == NCURSES_PATHSEP) {
-	    *a = 0;
-	    if ((b + 1) >= a)
-		b = TERMINFO;
-	    if (_nc_read_tic_entry(filename, b, ttn, tp) == 1) {
-		code = 1;
-		break;
+    const char *result;
+    char *envp;
+
+    while (*state < dbdLAST) {
+	DBDIRS next = *state + 1;
+
+	result = 0;
+
+	switch (*state) {
+	case dbdTIC:
+	    if (have_tic_directory)
+		result = _nc_tic_dir(0);
+	    break;
+	case dbdEnvOnce:
+	    if (use_terminfo_vars()) {
+		if ((envp = getenv("TERMINFO")) != 0)
+		    result = _nc_tic_dir(envp);
+	    }
+	    break;
+	case dbdHome:
+	    if (use_terminfo_vars()) {
+		result = _nc_home_terminfo();
+	    }
+	    break;
+	case dbdEnvList:
+	    if (use_terminfo_vars()) {
+		if ((result = NEXT_DBD(getenv("TERMINFO_DIRS"), offset)) != 0)
+		    next = *state;
 	    }
-	    b = a + 1;
-	    if (c == 0)
-		break;
+	    break;
+	case dbdCfgList:
+#ifdef TERMINFO_DIRS
+	    if ((result = NEXT_DBD(TERMINFO_DIRS, offset)) != 0)
+		next = *state;
+#endif
+	    break;
+	case dbdCfgOnce:
+#ifndef TERMINFO_DIRS
+	    result = TERMINFO;
+#endif
+	    break;
+	case dbdLAST:
+	    break;
+	}
+	if (*state != next) {
+	    *state = next;
+	    *offset = 0;
+	    _nc_last_db();
+	}
+	if (result != 0) {
+	    return result;
 	}
-	a++;
     }
+    return 0;
+}
 
-    free(list);
-    return (code);
+NCURSES_EXPORT(void)
+_nc_first_db(DBDIRS * state, int *offset)
+{
+    *state = dbdTIC;
+    *offset = 0;
 }
 
 /*
- *	_nc_read_entry(char *tn, char *filename, TERMTYPE *tp)
+ *	_nc_read_entry(char *name, char *filename, TERMTYPE *tp)
  *
  *	Find and read the compiled entry for a given terminal type,
  *	if it exists.  We take pains here to make sure no combination
@@ -466,53 +560,25 @@
  */
 
 NCURSES_EXPORT(int)
-_nc_read_entry(const char *const tn, char *const filename, TERMTYPE *const tp)
+_nc_read_entry(const char *const name, char *const filename, TERMTYPE *const tp)
 {
-    char *envp;
-    char ttn[PATH_MAX];
-
-    if (strlen(tn) == 0
-	|| strcmp(tn, ".") == 0
-	|| strcmp(tn, "..") == 0
-	|| _nc_pathlast(tn) != 0) {
-	T(("illegal or missing entry name '%s'", tn));
-	return 0;
-    }
-
-    /* truncate the terminal name to prevent buffer overflow */
-    (void) sprintf(ttn, "%c/%.*s", *tn, (int) sizeof(ttn) - 3, tn);
-
-    /* This is System V behavior, in conjunction with our requirements for
-     * writing terminfo entries.
-     */
-    if (have_tic_directory
-	&& _nc_read_tic_entry(filename, _nc_tic_dir(0), ttn, tp) == 1)
-	return 1;
-
-    if (use_terminfo_vars()) {
-	if ((envp = getenv("TERMINFO")) != 0
-	    && _nc_read_tic_entry(filename, _nc_tic_dir(envp), ttn, tp) == 1)
-	    return 1;
-
-	/* this is an ncurses extension */
-	if ((envp = _nc_home_terminfo()) != 0) {
-	    if (_nc_read_tic_entry(filename, envp, ttn, tp) == 1) {
-		return 1;
+    if (strlen(name) == 0
+	|| strcmp(name, ".") == 0
+	|| strcmp(name, "..") == 0
+	|| _nc_pathlast(name) != 0) {
+	T(("illegal or missing entry name '%s'", name));
+	return TGETENT_NO;
+    } else {
+	DBDIRS state = dbdTIC;
+	int offset = 0;
+	const char *path;
+
+	while ((path = _nc_next_db(&state, &offset)) != 0) {
+	    if (_nc_read_tic_entry(filename, PATH_MAX, path, name, tp) == 1) {
+		_nc_last_db();
+		return TGETENT_YES;
 	    }
 	}
-
-	/* this is an ncurses extension */
-	if ((envp = getenv("TERMINFO_DIRS")) != 0)
-	    return _nc_read_terminfo_dirs(envp, filename, ttn, tp);
     }
-
-    /* Try the system directory.  Note that the TERMINFO_DIRS value, if
-     * defined by the configure script, begins with a ":", which will be
-     * interpreted as TERMINFO.
-     */
-#ifdef TERMINFO_DIRS
-    return _nc_read_terminfo_dirs(TERMINFO_DIRS, filename, ttn, tp);
-#else
-    return _nc_read_tic_entry(filename, TERMINFO, ttn, tp);
-#endif
+    return TGETENT_NO;
 }
Index: ncurses/tinfo/read_termcap.c
Prereq:  1.67 
--- ncurses-5.5/ncurses/tinfo/read_termcap.c	2005-06-04 21:49:20.000000000 +0000
+++ ncurses-5.5-20060128/ncurses/tinfo/read_termcap.c	2005-12-24 19:33:25.000000000 +0000
@@ -58,7 +58,7 @@
 #include <tic.h>
 #include <term_entry.h>
 
-MODULE_ID("$Id: read_termcap.c,v 1.67 2005/06/04 21:49:20 tom Exp $")
+MODULE_ID("$Id: read_termcap.c,v 1.69 2005/12/24 19:33:25 tom Exp $")
 
 #if !PURE_TERMINFO
 
@@ -70,10 +70,10 @@
 #endif
 
 #define TC_SUCCESS     0
-#define TC_UNRESOLVED -1
-#define TC_NOT_FOUND  -2
-#define TC_SYS_ERR    -3
-#define TC_REF_LOOP   -4
+#define TC_NOT_FOUND  -1
+#define TC_SYS_ERR    -2
+#define TC_REF_LOOP   -3
+#define TC_UNRESOLVED -4	/* this is not returned by BSD cgetent */
 
 static NCURSES_CONST char *
 get_termpath(void)
@@ -232,10 +232,10 @@
  * Returns:
  *
  * positive #    on success (i.e., the index in db_array)
- * TC_UNRESOLVED if we had too many recurrences to resolve
  * TC_NOT_FOUND  if the requested record couldn't be found
  * TC_SYS_ERR    if a system error was encountered (e.g.,couldn't open a file)
  * TC_REF_LOOP   if a potential reference loop is detected
+ * TC_UNRESOLVED if we had too many recurrences to resolve
  */
 static int
 _nc_cgetent(char **buf, int *oline, char **db_array, const char *name)
@@ -935,13 +935,14 @@
 NCURSES_EXPORT(int)
 _nc_read_termcap_entry(const char *const tn, TERMTYPE *const tp)
 {
-    int found = FALSE;
+    int found = TGETENT_NO;
     ENTRY *ep;
 #if USE_GETCAP_CACHE
     char cwd_buf[PATH_MAX];
 #endif
 #if USE_GETCAP
     char *p, tc[TBUFSIZ];
+    int status;
     static char *source;
     static int lineno;
 
@@ -952,7 +953,7 @@
 	|| strcmp(tn, "..") == 0
 	|| _nc_pathlast(tn) != 0) {
 	T(("illegal or missing entry name '%s'", tn));
-	return 0;
+	return TGETENT_NO;
     }
 
     if (use_terminfo_vars() && (p = getenv("TERMCAP")) != 0
@@ -963,8 +964,8 @@
 	_nc_set_source("TERMCAP");
     } else {
 	/* we're using getcap(3) */
-	if (_nc_tgetent(tc, &source, &lineno, tn) < 0)
-	    return (ERR);
+	if ((status = _nc_tgetent(tc, &source, &lineno, tn)) < 0)
+	    return (status == TC_NOT_FOUND ? TGETENT_NO : TGETENT_ERR);
 
 	_nc_curr_line = lineno;
 	_nc_set_source(source);
@@ -1110,7 +1111,7 @@
 #endif /* USE_GETCAP */
 
     if (_nc_head == 0)
-	return (ERR);
+	return (TGETENT_ERR);
 
     /* resolve all use references */
     _nc_resolve_uses2(TRUE, FALSE);
@@ -1145,7 +1146,7 @@
 #if USE_GETCAP_CACHE
 		(void) _nc_write_entry(tp);
 #endif
-		found = TRUE;
+		found = TGETENT_YES;
 		break;
 	    }
 	}
Index: ncurses/tinfo/trim_sgr0.c
Prereq:  1.5 
--- ncurses-5.5/ncurses/tinfo/trim_sgr0.c	2005-07-17 00:13:24.000000000 +0000
+++ ncurses-5.5-20060128/ncurses/tinfo/trim_sgr0.c	2005-12-17 17:05:05.000000000 +0000
@@ -37,7 +37,7 @@
 #include <tic.h>
 #include <term_entry.h>
 
-MODULE_ID("$Id: trim_sgr0.c,v 1.5 2005/07/17 00:13:24 tom Exp $")
+MODULE_ID("$Id: trim_sgr0.c,v 1.6 2005/12/17 17:05:05 tom Exp $")
 
 #undef CUR
 #define CUR tp->
@@ -83,7 +83,7 @@
 {
     if (s[0] == '$' && s[1] == '<') {
 	s += 2;
-	while ((*s != '\0') && (isdigit(*s) || *s == '/'))
+	while ((*s != '\0') && (isdigit(UChar(*s)) || *s == '/'))
 	    ++s;
 	if (*s == '>')
 	    ++s;
Index: ncurses/tty/hashmap.c
Prereq:  1.47 
--- ncurses-5.5/ncurses/tty/hashmap.c	2005-01-29 21:27:58.000000000 +0000
+++ ncurses-5.5-20060128/ncurses/tty/hashmap.c	2005-11-26 15:28:47.000000000 +0000
@@ -70,7 +70,7 @@
 #include <curses.priv.h>
 #include <term.h>		/* for back_color_erase */
 
-MODULE_ID("$Id: hashmap.c,v 1.47 2005/01/29 21:27:58 tom Exp $")
+MODULE_ID("$Id: hashmap.c,v 1.48 2005/11/26 15:28:47 tom Exp $")
 
 #ifdef HASHDEBUG
 
@@ -108,7 +108,7 @@
 #define HASH_VAL(ch) (ch)
 #endif
 
-static inline unsigned long
+static NCURSES_INLINE unsigned long
 hash(NCURSES_CH_T * text)
 {
     int i;
@@ -156,7 +156,7 @@
  * Returns true when moving line 'from' to line 'to' seems to be cost
  * effective. 'blank' indicates whether the line 'to' would become blank.
  */
-static inline bool
+static NCURSES_INLINE bool
 cost_effective(const int from, const int to, const bool blank)
 {
     int new_from;
Index: ncurses/tty/lib_mvcur.c
Prereq:  1.103 
--- ncurses-5.5/ncurses/tty/lib_mvcur.c	2005-06-11 19:30:15.000000000 +0000
+++ ncurses-5.5-20060128/ncurses/tty/lib_mvcur.c	2006-01-11 23:58:53.000000000 +0000
@@ -1,5 +1,5 @@
 /****************************************************************************
- * Copyright (c) 1998-2004,2005 Free Software Foundation, Inc.              *
+ * Copyright (c) 1998-2005,2006 Free Software Foundation, Inc.              *
  *                                                                          *
  * Permission is hereby granted, free of charge, to any person obtaining a  *
  * copy of this software and associated documentation files (the            *
@@ -155,7 +155,7 @@
 #include <term.h>
 #include <ctype.h>
 
-MODULE_ID("$Id: lib_mvcur.c,v 1.103 2005/06/11 19:30:15 tom Exp $")
+MODULE_ID("$Id: lib_mvcur.c,v 1.105 2006/01/11 23:58:53 tom Exp $")
 
 #define WANT_CHAR(y, x)	SP->_newscr->_line[y].text[x]	/* desired state */
 #define BAUDRATE	cur_term->_baudrate	/* bits per second */
@@ -448,7 +448,7 @@
 /*
  * Perform repeated-append, returning cost
  */
-static inline int
+static NCURSES_INLINE int
 repeated_append(string_desc * target, int total, int num, int repeat, const char *src)
 {
     size_t need = repeat * strlen(src);
@@ -695,7 +695,7 @@
  * the simpler method below.
  */
 
-static inline int
+static NCURSES_INLINE int
 onscreen_mvcur(int yold, int xold, int ynew, int xnew, bool ovw)
 /* onscreen move from (yold, xold) to (ynew, xnew) */
 {
@@ -1014,7 +1014,7 @@
 {
     (void) strcpy(tname, termname());
     load_term();
-    _nc_setupscreen(lines, columns, stdout);
+    _nc_setupscreen(lines, columns, stdout, FALSE, 0);
     baudrate();
 
     _nc_mvcur_init();
Index: ncurses/tty/lib_tstp.c
Prereq:  1.30 
--- ncurses-5.5/ncurses/tty/lib_tstp.c	2002-05-18 19:55:38.000000000 +0000
+++ ncurses-5.5-20060128/ncurses/tty/lib_tstp.c	2006-01-14 15:25:13.000000000 +0000
@@ -1,5 +1,5 @@
 /****************************************************************************
- * Copyright (c) 1998-2001,2002 Free Software Foundation, Inc.              *
+ * Copyright (c) 1998-2002,2006 Free Software Foundation, Inc.              *
  *                                                                          *
  * Permission is hereby granted, free of charge, to any person obtaining a  *
  * copy of this software and associated documentation files (the            *
@@ -29,7 +29,7 @@
 /****************************************************************************
  *  Author: Zeyd M. Ben-Halim <zmbenhal@netcom.com> 1992,1995               *
  *     and: Eric S. Raymond <esr@snark.thyrsus.com>                         *
- *     and: Thomas Dickey 1995-2001                                         *
+ *     and: Thomas E. Dickey                        1995-on                 *
  ****************************************************************************/
 
 /*
@@ -46,7 +46,7 @@
 #define _POSIX_SOURCE
 #endif
 
-MODULE_ID("$Id: lib_tstp.c,v 1.30 2002/05/18 19:55:38 tom Exp $")
+MODULE_ID("$Id: lib_tstp.c,v 1.31 2006/01/14 15:25:13 tom Exp $")
 
 #if defined(SIGTSTP) && (HAVE_SIGACTION || HAVE_SIGVEC)
 #define USE_SIGTSTP 1
@@ -274,14 +274,53 @@
 }
 
 #if USE_SIGWINCH
+int
+_nc_handle_sigwinch(int enable)
+{
+    static int have_sigwinch = 0;	/* initially no SIGWINCH's */
+    static int can_resizeall = 1;	/* initially enabled */
+    SCREEN *scan;
+    int result;
+
+    switch (enable) {
+    default:
+	/* record a SIGWINCH */
+	have_sigwinch = 1;
+	break;
+    case 0:
+	/* temporarily disable the next block */
+	--can_resizeall;
+	break;
+    case 1:
+	/* temporarily enable the next block */
+	++can_resizeall;
+	break;
+    }
+
+    /*
+     * If we have a pending SIGWINCH, set the flag in each screen.
+     * But do this only if the block is enabled.
+     */
+    if (can_resizeall-- >= 0) {	/* test and disable */
+	if (have_sigwinch) {
+	    scan = _nc_screen_chain;
+	    while (scan) {
+		scan->_sig_winch = TRUE;
+		scan = scan->_next_screen;
+	    }
+	    have_sigwinch = 0;
+	}
+    }
+    result = can_resizeall + 1;	/* reenable (unless disables are nested) */
+    can_resizeall = result;
+
+    return result;
+}
+
 static void
 sigwinch(int sig GCC_UNUSED)
 {
-    SCREEN *scan = _nc_screen_chain;
-    while (scan) {
-	scan->_sig_winch = TRUE;
-	scan = scan->_next_screen;
-    }
+    _nc_handle_sigwinch(-1);
 }
 #endif /* USE_SIGWINCH */
 
Index: ncurses/tty/lib_vidattr.c
Prereq:  1.44 
--- ncurses-5.5/ncurses/tty/lib_vidattr.c	2005-01-22 22:15:44.000000000 +0000
+++ ncurses-5.5-20060128/ncurses/tty/lib_vidattr.c	2006-01-21 23:39:40.000000000 +0000
@@ -1,5 +1,5 @@
 /****************************************************************************
- * Copyright (c) 1998-2004,2005 Free Software Foundation, Inc.              *
+ * Copyright (c) 1998-2005,2006 Free Software Foundation, Inc.              *
  *                                                                          *
  * Permission is hereby granted, free of charge, to any person obtaining a  *
  * copy of this software and associated documentation files (the            *
@@ -65,7 +65,7 @@
 #include <curses.priv.h>
 #include <term.h>
 
-MODULE_ID("$Id: lib_vidattr.c,v 1.44 2005/01/22 22:15:44 tom Exp $")
+MODULE_ID("$Id: lib_vidattr.c,v 1.46 2006/01/21 23:39:40 tom Exp $")
 
 #define doPut(mode) TPUTS_TRACE(#mode); tputs(mode, 1, outc)
 
@@ -109,11 +109,47 @@
 
     TR(TRACE_ATTRS, ("previous attribute was %s", _traceattr(previous_attr)));
 
-#if !USE_XMC_SUPPORT
     if ((SP != 0)
-	&& (magic_cookie_glitch > 0))
+	&& (magic_cookie_glitch > 0)) {
+#if USE_XMC_SUPPORT
+	static chtype table[] =
+	{
+	    A_STANDOUT,
+	    A_UNDERLINE,
+	    A_REVERSE,
+	    A_BLINK,
+	    A_DIM,
+	    A_BOLD,
+	    A_INVIS,
+	    A_PROTECT,
+	};
+	unsigned n;
+	int used = 0;
+	int limit = (max_attributes <= 0) ? 1 : max_attributes;
+	chtype retain = 0;
+
+	/*
+	 * Limit the number of attribute bits set in the newmode according to
+	 * the terminfo max_attributes value.
+	 */
+	for (n = 0; n < SIZEOF(table); ++n) {
+	    if ((table[n] & SP->_ok_attributes) == 0) {
+		newmode &= ~table[n];
+	    } else if ((table[n] & newmode) != 0) {
+		if (used++ >= limit) {
+		    newmode &= ~table[n];
+		    if (newmode == retain)
+			break;
+		} else {
+		    retain = newmode;
+		}
+	    }
+	}
+#else
 	newmode &= ~(SP->_xmc_suppress);
 #endif
+	TR(TRACE_ATTRS, ("suppressed attribute is %s", _traceattr(newmode)));
+    }
 
     /*
      * If we have a terminal that cannot combine color with video
Index: ncurses/tty/tty_update.c
Prereq:  1.220 
--- ncurses-5.5/ncurses/tty/tty_update.c	2005-08-13 17:12:32.000000000 +0000
+++ ncurses-5.5-20060128/ncurses/tty/tty_update.c	2006-01-21 23:20:38.000000000 +0000
@@ -1,5 +1,5 @@
 /****************************************************************************
- * Copyright (c) 1998-2004,2005 Free Software Foundation, Inc.              *
+ * Copyright (c) 1998-2005,2006 Free Software Foundation, Inc.              *
  *                                                                          *
  * Permission is hereby granted, free of charge, to any person obtaining a  *
  * copy of this software and associated documentation files (the            *
@@ -74,7 +74,7 @@
 #include <ctype.h>
 #include <term.h>
 
-MODULE_ID("$Id: tty_update.c,v 1.220 2005/08/13 17:12:32 tom Exp $")
+MODULE_ID("$Id: tty_update.c,v 1.229 2006/01/21 23:20:38 tom Exp $")
 
 /*
  * This define controls the line-breakout optimization.  Every once in a
@@ -98,7 +98,7 @@
  */
 /* #define POSITION_DEBUG */
 
-static inline NCURSES_CH_T ClrBlank(WINDOW *win);
+static NCURSES_INLINE NCURSES_CH_T ClrBlank(WINDOW *win);
 static int ClrBottom(int total);
 static void ClearScreen(NCURSES_CH_T blank);
 static void ClrUpdate(void);
@@ -166,7 +166,7 @@
  *
  ****************************************************************************/
 
-static inline void
+static NCURSES_INLINE void
 GoTo(int const row, int const col)
 {
     TR(TRACE_MOVE, ("GoTo(%d, %d) from (%d, %d)",
@@ -178,7 +178,7 @@
     position_check(SP->_cursrow, SP->_curscol, "GoTo2");
 }
 
-static inline void
+static NCURSES_INLINE void
 PutAttrChar(CARG_CH_T ch)
 {
     int chlen = 1;
@@ -205,9 +205,27 @@
     if ((chlen = wcwidth(CharOf(CHDEREF(ch)))) <= 0) {
 	static NCURSES_CH_T blank = NewChar(BLANK_TEXT);
 
+	/*
+	 * If the character falls into any of these special cases, do
+	 * not force the result to a blank:
+	 *
+	 * a) it is printable (this works around a bug in wcwidth()).
+	 * b) use_legacy_coding() has been called to modify the treatment
+	 *    of codes 128-255.
+	 * c) the acs_map[] has been initialized to allow codes 0-31
+	 *    to be rendered.  This supports Linux console's "PC"
+	 *    characters.  Codes 128-255 are allowed though this is
+	 *    not checked.
+	 */
 	if (is8bits(CharOf(CHDEREF(ch)))
 	    && (isprint(CharOf(CHDEREF(ch)))
-		|| (SP->_legacy_coding && CharOf(CHDEREF(ch)) >= 160))) {
+		|| (SP->_legacy_coding > 0 && CharOf(CHDEREF(ch)) >= 160)
+		|| (SP->_legacy_coding > 1 && CharOf(CHDEREF(ch)) >= 128)
+		|| (AttrOf(attr) & A_ALTCHARSET
+		    && ((CharOfD(ch) < ACS_LEN
+			 && SP->_acs_map != 0
+			 && SP->_acs_map[CharOfD(ch)] != 0)
+			|| (CharOfD(ch) >= 128))))) {
 	    ;
 	} else {
 	    ch = CHREF(blank);
@@ -244,8 +262,11 @@
 	    int j = CharOfD(ch);
 	    chtype temp = UChar(SP->_acs_map[j]);
 
-	    if (!(SP->_screen_acs_map[j]))
+	    if (!(SP->_screen_acs_map[j])) {
 		RemAttr(attr, A_ALTCHARSET);
+		if (temp == 0)
+		    temp = ' ';
+	    }
 	    if (temp != 0)
 		SetChar(my_ch, temp, AttrOf(attr));
 	}
@@ -392,7 +413,7 @@
     position_check(SP->_cursrow, SP->_curscol, "wrap_cursor");
 }
 
-static inline void
+static NCURSES_INLINE void
 PutChar(const ARG_CH_T ch)
 /* insert character, handling automargin stuff */
 {
@@ -413,7 +434,7 @@
  * as A_REVERSE.  All attribute flags which don't affect appearance of a space
  * or can be output by clearing (A_COLOR in case of bce-terminal) are excluded.
  */
-static inline bool
+static NCURSES_INLINE bool
 can_clear_with(ARG_CH_T ch)
 {
     if (!back_color_erase && SP->_coloron) {
@@ -637,17 +658,15 @@
 #endif /* USE_TRACE_TIMES */
 
     /*
-     * This is the support for magic-cookie terminals.  The
-     * theory: we scan the virtual screen looking for attribute
-     * turnons.  Where we find one, check to make sure it's
-     * realizable by seeing if the required number of
-     * un-attributed blanks are present before and after the
-     * attributed range; try to shift the range boundaries over
-     * blanks (not changing the screen display) so this becomes
-     * true.  If it is, shift the beginning attribute change
-     * appropriately (the end one, if we've gotten this far, is
-     * guaranteed room for its cookie). If not, nuke the added
-     * attributes out of the span.
+     * This is the support for magic-cookie terminals.  The theory:  we scan
+     * the virtual screen looking for attribute turnons.  Where we find one,
+     * check to make sure it's realizable by seeing if the required number of
+     * un-attributed blanks are present before and after the attributed range;
+     * try to shift the range boundaries over blanks (not changing the screen
+     * display) so this becomes true.  If it is, shift the beginning attribute
+     * change appropriately (the end one, if we've gotten this far, is
+     * guaranteed room for its cookie).  If not, nuke the added attributes out
+     * of the span.
      */
 #if USE_XMC_SUPPORT
     if (magic_cookie_glitch > 0) {
@@ -657,11 +676,13 @@
 	for (i = 0; i < screen_lines; i++) {
 	    for (j = 0; j < screen_columns; j++) {
 		bool failed = FALSE;
-		attr_t turnon = AttrOf(newscr->_line[i].text[j]) & ~rattr;
+		NCURSES_CH_T *thisline = newscr->_line[i].text;
+		attr_t thisattr = AttrOf(thisline[j]) & SP->_xmc_triggers;
+		attr_t turnon = thisattr & ~rattr;
 
 		/* is an attribute turned on here? */
 		if (turnon == 0) {
-		    rattr = AttrOf(newscr->_line[i].text[j]);
+		    rattr = thisattr;
 		    continue;
 		}
 
@@ -669,23 +690,33 @@
 		TR(TRACE_ATTRS, ("...to %s", _traceattr(turnon)));
 
 		/*
-		 * If the attribute change location is a blank with a
-		 * "safe" attribute, undo the attribute turnon.  This may
-		 * ensure there's enough room to set the attribute before
-		 * the first non-blank in the run.
+		 * If the attribute change location is a blank with a "safe"
+		 * attribute, undo the attribute turnon.  This may ensure
+		 * there's enough room to set the attribute before the first
+		 * non-blank in the run.
 		 */
-#define SAFE(a)	(!((a) & (attr_t)~NONBLANK_ATTR))
-		if (ISBLANK(newscr->_line[i].text[j]) && SAFE(turnon)) {
-		    RemAttr(newscr->_line[i].text[j], turnon);
+#define SAFE(a)	(!((a) & SP->_xmc_triggers))
+		if (ISBLANK(thisline[j]) && SAFE(turnon)) {
+		    RemAttr(thisline[j], turnon);
 		    continue;
 		}
 
 		/* check that there's enough room at start of span */
 		for (k = 1; k <= magic_cookie_glitch; k++) {
 		    if (j - k < 0
-			|| !ISBLANK(newscr->_line[i].text[j - k])
-			|| !SAFE(AttrOf(newscr->_line[i].text[j - k])))
+			|| !ISBLANK(thisline[j - k])
+			|| !SAFE(AttrOf(thisline[j - k]))) {
 			failed = TRUE;
+			TR(TRACE_ATTRS, ("No room at start in %d,%d%s%s",
+					 i, j - k,
+					 (ISBLANK(thisline[j - k])
+					  ? ""
+					  : ":nonblank"),
+					 (SAFE(AttrOf(thisline[j - k]))
+					  ? ""
+					  : ":unsafe")));
+			break;
+		    }
 		}
 		if (!failed) {
 		    bool end_onscreen = FALSE;
@@ -694,7 +725,8 @@
 		    /* find end of span, if it's onscreen */
 		    for (m = i; m < screen_lines; m++) {
 			for (; n < screen_columns; n++) {
-			    if (AttrOf(newscr->_line[m].text[n]) == rattr) {
+			    attr_t testattr = AttrOf(newscr->_line[m].text[n]);
+			    if ((testattr & SP->_xmc_triggers) == rattr) {
 				end_onscreen = TRUE;
 				TR(TRACE_ATTRS,
 				   ("Range attributed with %s ends at (%d, %d)",
@@ -713,22 +745,34 @@
 			NCURSES_CH_T *lastline = newscr->_line[m].text;
 
 			/*
-			 * If there are safely-attributed blanks at the
-			 * end of the range, shorten the range.  This will
-			 * help ensure that there is enough room at end
-			 * of span.
+			 * If there are safely-attributed blanks at the end of
+			 * the range, shorten the range.  This will help ensure
+			 * that there is enough room at end of span.
 			 */
 			while (n >= 0
 			       && ISBLANK(lastline[n])
-			       && SAFE(AttrOf(lastline[n])))
+			       && SAFE(AttrOf(lastline[n]))) {
 			    RemAttr(lastline[n--], turnon);
+			}
 
 			/* check that there's enough room at end of span */
-			for (k = 1; k <= magic_cookie_glitch; k++)
+			for (k = 1; k <= magic_cookie_glitch; k++) {
 			    if (n + k >= screen_columns
 				|| !ISBLANK(lastline[n + k])
-				|| !SAFE(AttrOf(lastline[n + k])))
+				|| !SAFE(AttrOf(lastline[n + k]))) {
 				failed = TRUE;
+				TR(TRACE_ATTRS,
+				   ("No room at end in %d,%d%s%s",
+				    i, j - k,
+				    (ISBLANK(lastline[n + k])
+				     ? ""
+				     : ":nonblank"),
+				    (SAFE(AttrOf(lastline[n + k]))
+				     ? ""
+				     : ":unsafe")));
+				break;
+			    }
+			}
 		    }
 		}
 
@@ -742,7 +786,8 @@
 		    /* turn off new attributes over span */
 		    for (p = i; p < screen_lines; p++) {
 			for (; q < screen_columns; q++) {
-			    if (AttrOf(newscr->_line[p].text[q]) == rattr)
+			    attr_t testattr = AttrOf(newscr->_line[p].text[q]);
+			    if ((testattr & SP->_xmc_triggers) == rattr)
 				goto foundend;
 			    RemAttr(newscr->_line[p].text[q], turnon);
 			}
@@ -755,14 +800,14 @@
 			_traceattr(turnon), i, j));
 
 		    /*
-		     * back up the start of range so there's room
-		     * for cookies before the first nonblank character
+		     * Back up the start of range so there's room for cookies
+		     * before the first nonblank character.
 		     */
 		    for (k = 1; k <= magic_cookie_glitch; k++)
-			AddAttr(newscr->_line[i].text[j - k], turnon);
+			AddAttr(thisline[j - k], turnon);
 		}
 
-		rattr = AttrOf(newscr->_line[i].text[j]);
+		rattr = thisattr;
 	    }
 	}
 
@@ -881,7 +926,7 @@
 #define BCE_ATTRS (A_NORMAL|A_COLOR)
 #define BCE_BKGD(win) (((win) == curscr ? stdscr : (win))->_nc_bkgd)
 
-static inline NCURSES_CH_T
+static NCURSES_INLINE NCURSES_CH_T
 ClrBlank(WINDOW *win)
 {
     NCURSES_CH_T blank = NewChar(BLANK_TEXT);
@@ -1031,7 +1076,7 @@
 
 #if USE_XMC_SUPPORT
 #if USE_WIDEC_SUPPORT
-static inline bool
+static NCURSES_INLINE bool
 check_xmc_transition(NCURSES_CH_T * a, NCURSES_CH_T * b)
 {
     if (((a->attr ^ b->attr) & ~(a->attr) & SP->_xmc_triggers) != 0) {
Index: ncurses/widechar/lib_ins_wch.c
Prereq:  1.7 
--- ncurses-5.5/ncurses/widechar/lib_ins_wch.c	2005-09-17 19:25:13.000000000 +0000
+++ ncurses-5.5-20060128/ncurses/widechar/lib_ins_wch.c	2005-12-03 20:24:19.000000000 +0000
@@ -39,7 +39,7 @@
 
 #include <curses.priv.h>
 
-MODULE_ID("$Id: lib_ins_wch.c,v 1.7 2005/09/17 19:25:13 tom Exp $")
+MODULE_ID("$Id: lib_ins_wch.c,v 1.8 2005/12/03 20:24:19 tom Exp $")
 
 /*
  * Insert the given character, updating the current location to simplify
@@ -117,7 +117,7 @@
 	    for (cp = wstr; *cp && ((cp - wstr) < n); cp++) {
 		int len = wcwidth(*cp);
 
-		if (len != 1) {
+		if (len != 1 || !is8bits(*cp)) {
 		    cchar_t tmp_cchar;
 		    wchar_t tmp_wchar = *cp;
 		    memset(&tmp_cchar, 0, sizeof(tmp_cchar));
Index: panel/panel.priv.h
Prereq:  1.20 
--- ncurses-5.5/panel/panel.priv.h	2005-02-19 17:16:54.000000000 +0000
+++ ncurses-5.5-20060128/panel/panel.priv.h	2005-11-26 15:27:00.000000000 +0000
@@ -26,7 +26,7 @@
  * authorization.                                                           *
  ****************************************************************************/
 
-/* $Id: panel.priv.h,v 1.20 2005/02/19 17:16:54 tom Exp $ */
+/* $Id: panel.priv.h,v 1.21 2005/11/26 15:27:00 tom Exp $ */
 
 #ifndef NCURSES_PANEL_PRIV_H
 #define NCURSES_PANEL_PRIV_H 1
@@ -51,12 +51,6 @@
 #include "panel.h"
 #include <nc_panel.h>
 
-#if ( CC_HAS_INLINE_FUNCS && !defined(TRACE) )
-#  define INLINE inline
-#else
-#  define INLINE
-#endif
-
 #if USE_RCS_IDS
 #  define MODULE_ID(id) static const char Ident[] = id;
 #else
Index: progs/Makefile.in
Prereq:  1.65 
--- ncurses-5.5/progs/Makefile.in	2005-09-25 00:42:08.000000000 +0000
+++ ncurses-5.5-20060128/progs/Makefile.in	2005-12-24 15:29:21.000000000 +0000
@@ -1,4 +1,4 @@
-# $Id: Makefile.in,v 1.65 2005/09/25 00:42:08 tom Exp $
+# $Id: Makefile.in,v 1.66 2005/12/24 15:29:21 tom Exp $
 ##############################################################################
 # Copyright (c) 1998-2003,2005 Free Software Foundation, Inc.                #
 #                                                                            #
@@ -27,7 +27,7 @@
 # authorization.                                                             #
 ##############################################################################
 #
-# Author: Thomas E. Dickey 1996-2003
+# Author: Thomas E. Dickey 1996-on
 #
 # Makefile for ncurses source code.
 #
@@ -119,8 +119,6 @@
 PUT_PROGS = @MAKE_TERMINFO@ tic$x toe$x
 PROGS = $(PUT_PROGS) $(GET_PROGS)
 
-TESTPROGS = mvcur$x tctest$x hardscroll$x hashmap$x
-
 # Default library, for linking applications
 DEPS_CURSES = ../lib/@LIB_PREFIX@ncurses@DFT_DEP_SUFFIX@
 
@@ -252,7 +250,6 @@
 
 mostlyclean ::
 	-rm -f core tags TAGS *~ *.bak *.i *.ln *.atac trace
-	-rm -f $(TESTPROGS)
 
 clean :: mostlyclean
 	-sh -c "if test -n '$x' ; then $(MAKE) clean x=''; fi"
Index: progs/dump_entry.c
Prereq:  1.70 
--- ncurses-5.5/progs/dump_entry.c	2005-07-23 20:03:30.000000000 +0000
+++ ncurses-5.5-20060128/progs/dump_entry.c	2006-01-21 23:43:39.000000000 +0000
@@ -1,5 +1,5 @@
 /****************************************************************************
- * Copyright (c) 1998-2004,2005 Free Software Foundation, Inc.              *
+ * Copyright (c) 1998-2005,2006 Free Software Foundation, Inc.              *
  *                                                                          *
  * Permission is hereby granted, free of charge, to any person obtaining a  *
  * copy of this software and associated documentation files (the            *
@@ -39,7 +39,7 @@
 #include "termsort.c"		/* this C file is generated */
 #include <parametrized.h>	/* so is this */
 
-MODULE_ID("$Id: dump_entry.c,v 1.70 2005/07/23 20:03:30 tom Exp $")
+MODULE_ID("$Id: dump_entry.c,v 1.71 2006/01/21 23:43:39 tom Exp $")
 
 #define INDENT			8
 #define DISCARD(string) string = ABSENT_STRING
@@ -960,7 +960,7 @@
 	     */
 	    int n;
 	    for (n = STRCOUNT; n < NUM_STRINGS(tterm); n++) {
-		char *name = ExtStrname(tterm, n, strnames);
+		const char *name = ExtStrname(tterm, n, strnames);
 
 		if (VALID_STRING(tterm->Strings[n])) {
 		    set_attributes = ABSENT_STRING;
Index: progs/toe.c
Prereq:  1.29 
--- ncurses-5.5/progs/toe.c	2005-09-25 00:39:43.000000000 +0000
+++ ncurses-5.5-20060128/progs/toe.c	2006-01-21 16:59:36.000000000 +0000
@@ -1,5 +1,5 @@
 /****************************************************************************
- * Copyright (c) 1998-2002,2005 Free Software Foundation, Inc.              *
+ * Copyright (c) 1998-2005,2006 Free Software Foundation, Inc.              *
  *                                                                          *
  * Permission is hereby granted, free of charge, to any person obtaining a  *
  * copy of this software and associated documentation files (the            *
@@ -34,7 +34,6 @@
 
 /*
  *	toe.c --- table of entries report generator
- *
  */
 
 #include <progs.priv.h>
@@ -43,21 +42,17 @@
 
 #include <dump_entry.h>
 
-MODULE_ID("$Id: toe.c,v 1.29 2005/09/25 00:39:43 tom Exp $")
+MODULE_ID("$Id: toe.c,v 1.34 2006/01/21 16:59:36 tom Exp $")
 
 #define isDotname(name) (!strcmp(name, ".") || !strcmp(name, ".."))
 
 const char *_nc_progname;
 
-static int typelist(int eargc, char *eargv[], bool,
-		    void (*)(const char *, TERMTYPE *));
-static void deschook(const char *, TERMTYPE *);
-
 #if NO_LEAKS
 #undef ExitProgram
+static void ExitProgram(int code) GCC_NORETURN;
 static void
-ExitProgram(int code) GCC_NORETURN;
-     static void ExitProgram(int code)
+ExitProgram(int code)
 {
     _nc_free_entries(_nc_head);
     _nc_leaks_dump_entry();
@@ -92,19 +87,142 @@
     return path;
 }
 
+static void
+deschook(const char *cn, TERMTYPE *tp)
+/* display a description for the type */
+{
+    const char *desc;
+
+    if ((desc = strrchr(tp->term_names, '|')) == 0)
+	desc = "(No description)";
+    else
+	++desc;
+
+    (void) printf("%-10s\t%s\n", cn, desc);
+}
+
+static int
+typelist(int eargc, char *eargv[],
+	 bool verbosity,
+	 void (*hook) (const char *, TERMTYPE *tp))
+/* apply a function to each entry in given terminfo directories */
+{
+    int i;
+
+    for (i = 0; i < eargc; i++) {
+	DIR *termdir;
+	DIRENT *subdir;
+
+	if ((termdir = opendir(eargv[i])) == 0) {
+	    (void) fflush(stdout);
+	    (void) fprintf(stderr,
+			   "%s: can't open terminfo directory %s\n",
+			   _nc_progname, eargv[i]);
+	    return (EXIT_FAILURE);
+	} else if (verbosity)
+	    (void) printf("#\n#%s:\n#\n", eargv[i]);
+
+	while ((subdir = readdir(termdir)) != 0) {
+	    size_t len = NAMLEN(subdir);
+	    char buf[PATH_MAX];
+	    char name_1[PATH_MAX];
+	    DIR *entrydir;
+	    DIRENT *entry;
+
+	    strncpy(name_1, subdir->d_name, len)[len] = '\0';
+	    if (isDotname(name_1))
+		continue;
+
+	    (void) sprintf(buf, "%s/%s/", eargv[i], name_1);
+	    if (chdir(buf) != 0)
+		continue;
+
+	    entrydir = opendir(".");
+	    while ((entry = readdir(entrydir)) != 0) {
+		char name_2[PATH_MAX];
+		TERMTYPE lterm;
+		char *cn;
+		int status;
+
+		len = NAMLEN(entry);
+		strncpy(name_2, entry->d_name, len)[len] = '\0';
+		if (isDotname(name_2) || !is_a_file(name_2))
+		    continue;
+
+		status = _nc_read_file_entry(name_2, &lterm);
+		if (status <= 0) {
+		    (void) fflush(stdout);
+		    (void) fprintf(stderr,
+				   "toe: couldn't open terminfo file %s.\n",
+				   name_2);
+		    return (EXIT_FAILURE);
+		}
+
+		/* only visit things once, by primary name */
+		cn = _nc_first_name(lterm.term_names);
+		if (!strcmp(cn, name_2)) {
+		    /* apply the selected hook function */
+		    (*hook) (cn, &lterm);
+		}
+		if (lterm.term_names) {
+		    free(lterm.term_names);
+		    lterm.term_names = 0;
+		}
+		if (lterm.str_table) {
+		    free(lterm.str_table);
+		    lterm.str_table = 0;
+		}
+	    }
+	    closedir(entrydir);
+	}
+	closedir(termdir);
+    }
+
+    return (EXIT_SUCCESS);
+}
+
+static void
+usage(void)
+{
+    (void) fprintf(stderr, "usage: toe [-ahuUV] [-v n] [file...]\n");
+    ExitProgram(EXIT_FAILURE);
+}
+
 int
 main(int argc, char *argv[])
 {
+    bool all_dirs = FALSE;
     bool direct_dependencies = FALSE;
     bool invert_dependencies = FALSE;
     bool header = FALSE;
-    int i, c;
+    int i;
     int code;
+    int this_opt, last_opt = '?';
+    int v_opt = 0;
 
     _nc_progname = _nc_rootname(argv[0]);
 
-    while ((c = getopt(argc, argv, "huv:UV")) != EOF)
-	switch (c) {
+    while ((this_opt = getopt(argc, argv, "0123456789ahuvUV")) != EOF) {
+	/* handle optional parameter */
+	if (isdigit(this_opt)) {
+	    switch (last_opt) {
+	    case 'v':
+		v_opt = (this_opt - '0');
+		break;
+	    default:
+		if (isdigit(last_opt))
+		    v_opt *= 10;
+		else
+		    v_opt = 0;
+		v_opt += (this_opt - '0');
+		last_opt = this_opt;
+	    }
+	    continue;
+	}
+	switch (this_opt) {
+	case 'a':
+	    all_dirs = TRUE;
+	    break;
 	case 'h':
 	    header = TRUE;
 	    break;
@@ -112,7 +230,7 @@
 	    direct_dependencies = TRUE;
 	    break;
 	case 'v':
-	    set_trace_level(atoi(optarg));
+	    v_opt = 1;
 	    break;
 	case 'U':
 	    invert_dependencies = TRUE;
@@ -121,9 +239,10 @@
 	    puts(curses_version());
 	    ExitProgram(EXIT_SUCCESS);
 	default:
-	    (void) fprintf(stderr, "usage: toe [-huUV] [-v n] [file...]\n");
-	    ExitProgram(EXIT_FAILURE);
+	    usage();
 	}
+    }
+    set_trace_level(v_opt);
 
     if (direct_dependencies || invert_dependencies) {
 	if (freopen(argv[optind], "r", stdin) == 0) {
@@ -188,21 +307,55 @@
      */
     if (optind < argc) {
 	code = typelist(argc - optind, argv + optind, header, deschook);
+    } else if (all_dirs) {
+	DBDIRS state;
+	int offset;
+	int pass;
+	const char *path;
+	char **eargv = 0;
+
+	code = EXIT_FAILURE;
+	for (pass = 0; pass < 2; ++pass) {
+	    int count = 0;
+
+	    _nc_first_db(&state, &offset);
+	    while ((path = _nc_next_db(&state, &offset)) != 0) {
+		if (eargv != 0) {
+		    int n, found = FALSE;
+
+		    /* eliminate duplicates */
+		    for (n = 0; n < count; ++n) {
+			if (!strcmp(path, eargv[n])) {
+			    found = TRUE;
+			    break;
+			}
+		    }
+		    if (!found) {
+			eargv[count] = strdup(path);
+			++count;
+		    }
+		} else {
+		    ++count;
+		}
+	    }
+	    if (!pass) {
+		eargv = typeCalloc(char *, count + 1);
+	    } else {
+		code = typelist(count, eargv, header, deschook);
+	    }
+	}
     } else {
-	char *home, *eargv[3];
-	char personal[PATH_MAX];
+	static char system_db[] = TERMINFO;
+	char *eargv[3];
 	int j;
 
 	j = 0;
 	if ((eargv[j] = get_directory(getenv("TERMINFO"))) != 0) {
 	    j++;
 	} else {
-	    if ((home = getenv("HOME")) != 0) {
-		(void) sprintf(personal, PRIVATE_INFO, home);
-		if ((eargv[j] = get_directory(personal)) != 0)
-		    j++;
-	    }
-	    if ((eargv[j] = get_directory(strcpy(personal, TERMINFO))) != 0)
+	    if ((eargv[j] = get_directory(_nc_home_terminfo())) != 0)
+		j++;
+	    if ((eargv[j] = get_directory(system_db)) != 0)
 		j++;
 	}
 	eargv[j] = 0;
@@ -212,97 +365,3 @@
 
     ExitProgram(code);
 }
-
-static void
-deschook(const char *cn, TERMTYPE * tp)
-/* display a description for the type */
-{
-    const char *desc;
-
-    if ((desc = strrchr(tp->term_names, '|')) == 0)
-	desc = "(No description)";
-    else
-	++desc;
-
-    (void) printf("%-10s\t%s\n", cn, desc);
-}
-
-static int
-typelist(int eargc, char *eargv[],
-	 bool verbosity,
-	 void (*hook) (const char *, TERMTYPE * tp))
-/* apply a function to each entry in given terminfo directories */
-{
-    int i;
-
-    for (i = 0; i < eargc; i++) {
-	DIR *termdir;
-	DIRENT *subdir;
-
-	if ((termdir = opendir(eargv[i])) == 0) {
-	    (void) fflush(stdout);
-	    (void) fprintf(stderr,
-			   "%s: can't open terminfo directory %s\n",
-			   _nc_progname, eargv[i]);
-	    return (EXIT_FAILURE);
-	} else if (verbosity)
-	    (void) printf("#\n#%s:\n#\n", eargv[i]);
-
-	while ((subdir = readdir(termdir)) != 0) {
-	    size_t len = NAMLEN(subdir);
-	    char buf[PATH_MAX];
-	    char name_1[PATH_MAX];
-	    DIR *entrydir;
-	    DIRENT *entry;
-
-	    strncpy(name_1, subdir->d_name, len)[len] = '\0';
-	    if (isDotname(name_1))
-		continue;
-
-	    (void) sprintf(buf, "%s/%s/", eargv[i], name_1);
-	    if (chdir(buf) != 0)
-		continue;
-
-	    entrydir = opendir(".");
-	    while ((entry = readdir(entrydir)) != 0) {
-		char name_2[PATH_MAX];
-		TERMTYPE lterm;
-		char *cn;
-		int status;
-
-		len = NAMLEN(entry);
-		strncpy(name_2, entry->d_name, len)[len] = '\0';
-		if (isDotname(name_2) || !is_a_file(name_2))
-		    continue;
-
-		status = _nc_read_file_entry(name_2, &lterm);
-		if (status <= 0) {
-		    (void) fflush(stdout);
-		    (void) fprintf(stderr,
-				   "toe: couldn't open terminfo file %s.\n",
-				   name_2);
-		    return (EXIT_FAILURE);
-		}
-
-		/* only visit things once, by primary name */
-		cn = _nc_first_name(lterm.term_names);
-		if (!strcmp(cn, name_2)) {
-		    /* apply the selected hook function */
-		    (*hook) (cn, &lterm);
-		}
-		if (lterm.term_names) {
-		    free(lterm.term_names);
-		    lterm.term_names = 0;
-		}
-		if (lterm.str_table) {
-		    free(lterm.str_table);
-		    lterm.str_table = 0;
-		}
-	    }
-	    closedir(entrydir);
-	}
-	closedir(termdir);
-    }
-
-    return (EXIT_SUCCESS);
-}
Index: test/Makefile.in
Prereq:  1.84 
--- ncurses-5.5/test/Makefile.in	2005-09-24 23:05:14.000000000 +0000
+++ ncurses-5.5-20060128/test/Makefile.in	2005-12-31 20:01:12.000000000 +0000
@@ -1,4 +1,4 @@
-# $Id: Makefile.in,v 1.84 2005/09/24 23:05:14 tom Exp $
+# $Id: Makefile.in,v 1.86 2005/12/31 20:01:12 tom Exp $
 ##############################################################################
 # Copyright (c) 1998-2003,2005 Free Software Foundation, Inc.                #
 #                                                                            #
@@ -56,7 +56,7 @@
 CC		= @CC@
 CPP		= @CPP@
 
-CFLAGS		= @CFLAGS@
+CFLAGS		= @CFLAGS@ @EXTRA_CFLAGS@
 CPPFLAGS	=  -I../test -I$(srcdir) -DHAVE_CONFIG_H @CPPFLAGS@
 
 CCFLAGS		= $(CPPFLAGS) $(CFLAGS)
@@ -111,6 +111,7 @@
 	bs$x \
 	cardfile$x \
 	color_set$x \
+	demo_altkeys$x \
 	demo_defkey$x \
 	demo_forms$x \
 	demo_keyok$x \
@@ -164,6 +165,9 @@
 color_set$x: $(MODEL)/color_set$o $(LOCAL_LIBS)
 	@ECHO_LINK@ $(LINK) -o $@ $(MODEL)/color_set$o $(LDFLAGS_CURSES)
 
+demo_altkeys$x: $(MODEL)/demo_altkeys$o $(LOCAL_LIBS)
+	@ECHO_LINK@ $(LINK) -o $@ $(MODEL)/demo_altkeys$o $(LDFLAGS_CURSES)
+
 demo_defkey$x: $(MODEL)/demo_defkey$o $(LOCAL_LIBS)
 	@ECHO_LINK@ $(LINK) -o $@ $(MODEL)/demo_defkey$o $(LDFLAGS_CURSES)
 
Index: test/README
Prereq:  1.24 
--- ncurses-5.5/test/README	2005-10-01 22:01:07.000000000 +0000
+++ ncurses-5.5-20060128/test/README	2005-12-10 22:45:34.000000000 +0000
@@ -1,4 +1,4 @@
--- $Id: README,v 1.24 2005/10/01 22:01:07 tom Exp $
+-- $Id: README,v 1.25 2005/12/10 22:45:34 tom Exp $
 -------------------------------------------------------------------------------
 
 The programs in this directory are designed to test your newest toy :-)
@@ -235,7 +235,7 @@
 clrtoeol			test: blue bs hanoi hashtest ncurses view
 color_content			test: ncurses
 color_set			test: color_set ncurses
-copywin				test: testcurs
+copywin				test: ncurses testcurs
 cur_term			test: dots lrtest progs: clear tic tput tset
 curs_set			test: firework gdc hanoi lrtest newdemo rain tclock testcurs worm xmas
 curscr				test: edit_field knight lrtest ncurses tclock view
@@ -425,7 +425,7 @@
 numfnames			progs: dump_entry
 numnames			progs: dump_entry infocmp
 ospeed				progs: tset
-overlay				test: testcurs xmas
+overlay				test: ncurses testcurs xmas
 overwrite			test: ncurses
 pair_content			test: background color_set
 pecho_wchar			-
Index: test/aclocal.m4
Prereq:  1.8 
--- ncurses-5.5/test/aclocal.m4	2005-02-27 00:02:01.000000000 +0000
+++ ncurses-5.5-20060128/test/aclocal.m4	2005-12-31 20:07:34.000000000 +0000
@@ -1,4 +1,11 @@
-dnl $Id: aclocal.m4,v 1.8 2005/02/27 00:02:01 tom Exp $
+dnl $Id: aclocal.m4,v 1.12 2005/12/31 20:07:34 tom Exp $
+dnl
+dnl Author: Thomas E. Dickey
+dnl
+dnl Macros used in NCURSES test programs auto-configuration script.
+dnl
+dnl See http://invisible-island.net/autoconf/ for additional information.
+dnl
 dnl ---------------------------------------------------------------------------
 dnl ---------------------------------------------------------------------------
 dnl CF_ADD_CFLAGS version: 7 updated: 2004/04/25 17:48:30
@@ -191,6 +198,35 @@
 fi
 ])dnl
 dnl ---------------------------------------------------------------------------
+dnl CF_ARG_ENABLE version: 3 updated: 1999/03/30 17:24:31
+dnl -------------
+dnl Allow user to enable a normally-off option.
+AC_DEFUN([CF_ARG_ENABLE],
+[CF_ARG_OPTION($1,[$2],[$3],[$4],no)])dnl
+dnl ---------------------------------------------------------------------------
+dnl CF_ARG_OPTION version: 3 updated: 1997/10/18 14:42:41
+dnl -------------
+dnl Restricted form of AC_ARG_ENABLE that ensures user doesn't give bogus
+dnl values.
+dnl
+dnl Parameters:
+dnl $1 = option name
+dnl $2 = help-string
+dnl $3 = action to perform if option is not default
+dnl $4 = action if perform if option is default
+dnl $5 = default option value (either 'yes' or 'no')
+AC_DEFUN([CF_ARG_OPTION],
+[AC_ARG_ENABLE($1,[$2],[test "$enableval" != ifelse($5,no,yes,no) && enableval=ifelse($5,no,no,yes)
+  if test "$enableval" != "$5" ; then
+ifelse($3,,[    :]dnl
+,[    $3]) ifelse($4,,,[
+  else
+    $4])
+  fi],[enableval=$5 ifelse($4,,,[
+  $4
+])dnl
+  ])])dnl
+dnl ---------------------------------------------------------------------------
 dnl CF_CHECK_CACHE version: 10 updated: 2004/05/23 13:03:31
 dnl --------------
 dnl Check if we're accidentally using a cache from a different machine.
@@ -226,6 +262,28 @@
 fi
 ])dnl
 dnl ---------------------------------------------------------------------------
+dnl CF_CHECK_CFLAGS version: 2 updated: 2001/12/30 19:09:58
+dnl ---------------
+dnl Conditionally add to $CFLAGS and $CPPFLAGS values which are derived from
+dnl a build-configuration such as imake.  These have the pitfall that they
+dnl often contain compiler-specific options which we cannot use, mixed with
+dnl preprocessor options that we usually can.
+AC_DEFUN([CF_CHECK_CFLAGS],
+[
+CF_VERBOSE(checking additions to CFLAGS)
+cf_check_cflags="$CFLAGS"
+cf_check_cppflags="$CPPFLAGS"
+CF_ADD_CFLAGS($1,yes)
+if test "$cf_check_cflags" != "$CFLAGS" ; then
+AC_TRY_LINK([#include <stdio.h>],[printf("Hello world");],,
+	[CF_VERBOSE(test-compile failed.  Undoing change to \$CFLAGS)
+	 if test "$cf_check_cppflags" != "$CPPFLAGS" ; then
+		 CF_VERBOSE(but keeping change to \$CPPFLAGS)
+	 fi
+	 CFLAGS="$cf_check_flags"])
+fi
+])dnl
+dnl ---------------------------------------------------------------------------
 dnl CF_CURSES_ACS_MAP version: 3 updated: 2003/05/17 22:19:02
 dnl -----------------
 dnl Check for likely values of acs_map[]:
@@ -268,7 +326,7 @@
 fi
 ])dnl
 dnl ---------------------------------------------------------------------------
-dnl CF_CURSES_CPPFLAGS version: 7 updated: 2003/06/06 00:48:41
+dnl CF_CURSES_CPPFLAGS version: 8 updated: 2005/12/31 13:26:39
 dnl ------------------
 dnl Look for the curses headers.
 AC_DEFUN([CF_CURSES_CPPFLAGS],[
@@ -289,6 +347,17 @@
 ])
 test "$cf_cv_curses_incdir" != no && CPPFLAGS="$cf_cv_curses_incdir $CPPFLAGS"
 
+CF_CURSES_HEADER
+CF_TERM_HEADER
+])dnl
+dnl ---------------------------------------------------------------------------
+dnl CF_CURSES_HEADER version: 1 updated: 2005/12/31 13:28:25
+dnl ----------------
+dnl Find a "curses" header file, e.g,. "curses.h", or one of the more common
+dnl variations of ncurses' installs.
+dnl
+dnl See also CF_NCURSES_HEADER, which sets the same cache variable.
+AC_DEFUN([CF_CURSES_HEADER],[
 AC_CACHE_CHECK(if we have identified curses headers,cf_cv_ncurses_header,[
 cf_cv_ncurses_header=none
 for cf_header in \
@@ -309,7 +378,6 @@
 
 # cheat, to get the right #define's for HAVE_NCURSES_H, etc.
 AC_CHECK_HEADERS($cf_cv_ncurses_header)
-
 ])dnl
 dnl ---------------------------------------------------------------------------
 dnl CF_CURSES_LIBS version: 23 updated: 2003/11/06 19:59:57
@@ -437,6 +505,25 @@
 dnl "dirname" is not portable, so we fake it with a shell script.
 AC_DEFUN([CF_DIRNAME],[$1=`echo $2 | sed -e 's%/[[^/]]*$%%'`])dnl
 dnl ---------------------------------------------------------------------------
+dnl CF_ENABLE_WARNINGS version: 3 updated: 2003/05/24 14:24:29
+dnl ------------------
+dnl Configure-option to enable gcc warnings
+AC_DEFUN([CF_ENABLE_WARNINGS],[
+if ( test "$GCC" = yes || test "$GXX" = yes )
+then
+AC_MSG_CHECKING(if you want to turn on gcc warnings)
+CF_ARG_ENABLE(warnings,
+	[  --enable-warnings       test: turn on gcc compiler warnings],
+	[with_warnings=yes],
+	[with_warnings=no])
+AC_MSG_RESULT($with_warnings)
+if test "$with_warnings" = "yes"
+then
+	CF_GCC_WARNINGS
+fi
+fi
+])dnl
+dnl ---------------------------------------------------------------------------
 dnl CF_FIND_LIBRARY version: 8 updated: 2004/11/23 20:14:58
 dnl ---------------
 dnl Look for a non-standard library, given parameters for AC_TRY_LINK.  We
@@ -509,7 +596,207 @@
 test "$cf_cv_func_curses_version" = yes && AC_DEFINE(HAVE_CURSES_VERSION)
 ])
 dnl ---------------------------------------------------------------------------
-dnl CF_GNU_SOURCE version: 4 updated: 2004/12/03 20:43:00
+dnl CF_GCC_ATTRIBUTES version: 10 updated: 2005/05/28 13:16:28
+dnl -----------------
+dnl Test for availability of useful gcc __attribute__ directives to quiet
+dnl compiler warnings.  Though useful, not all are supported -- and contrary
+dnl to documentation, unrecognized directives cause older compilers to barf.
+AC_DEFUN([CF_GCC_ATTRIBUTES],
+[
+if test "$GCC" = yes
+then
+cat > conftest.i <<EOF
+#ifndef GCC_PRINTF
+#define GCC_PRINTF 0
+#endif
+#ifndef GCC_SCANF
+#define GCC_SCANF 0
+#endif
+#ifndef GCC_NORETURN
+#define GCC_NORETURN /* nothing */
+#endif
+#ifndef GCC_UNUSED
+#define GCC_UNUSED /* nothing */
+#endif
+EOF
+if test "$GCC" = yes
+then
+	AC_CHECKING([for $CC __attribute__ directives])
+cat > conftest.$ac_ext <<EOF
+#line __oline__ "configure"
+#include "confdefs.h"
+#include "conftest.h"
+#include "conftest.i"
+#if	GCC_PRINTF
+#define GCC_PRINTFLIKE(fmt,var) __attribute__((format(printf,fmt,var)))
+#else
+#define GCC_PRINTFLIKE(fmt,var) /*nothing*/
+#endif
+#if	GCC_SCANF
+#define GCC_SCANFLIKE(fmt,var)  __attribute__((format(scanf,fmt,var)))
+#else
+#define GCC_SCANFLIKE(fmt,var)  /*nothing*/
+#endif
+extern void wow(char *,...) GCC_SCANFLIKE(1,2);
+extern void oops(char *,...) GCC_PRINTFLIKE(1,2) GCC_NORETURN;
+extern void foo(void) GCC_NORETURN;
+int main(int argc GCC_UNUSED, char *argv[[]] GCC_UNUSED) { return 0; }
+EOF
+	for cf_attribute in scanf printf unused noreturn
+	do
+		CF_UPPER(cf_ATTRIBUTE,$cf_attribute)
+		cf_directive="__attribute__(($cf_attribute))"
+		echo "checking for $CC $cf_directive" 1>&AC_FD_CC
+		case $cf_attribute in
+		scanf|printf)
+		cat >conftest.h <<EOF
+#define GCC_$cf_ATTRIBUTE 1
+EOF
+			;;
+		*)
+		cat >conftest.h <<EOF
+#define GCC_$cf_ATTRIBUTE $cf_directive
+EOF
+			;;
+		esac
+		if AC_TRY_EVAL(ac_compile); then
+			test -n "$verbose" && AC_MSG_RESULT(... $cf_attribute)
+			cat conftest.h >>confdefs.h
+		fi
+	done
+else
+	fgrep define conftest.i >>confdefs.h
+fi
+rm -rf conftest*
+fi
+])dnl
+dnl ---------------------------------------------------------------------------
+dnl CF_GCC_VERSION version: 4 updated: 2005/08/27 09:53:42
+dnl --------------
+dnl Find version of gcc
+AC_DEFUN([CF_GCC_VERSION],[
+AC_REQUIRE([AC_PROG_CC])
+GCC_VERSION=none
+if test "$GCC" = yes ; then
+	AC_MSG_CHECKING(version of $CC)
+	GCC_VERSION="`${CC} --version| sed -e '2,$d' -e 's/^.*(GCC) //' -e 's/^[[^0-9.]]*//' -e 's/[[^0-9.]].*//'`"
+	test -z "$GCC_VERSION" && GCC_VERSION=unknown
+	AC_MSG_RESULT($GCC_VERSION)
+fi
+])dnl
+dnl ---------------------------------------------------------------------------
+dnl CF_GCC_WARNINGS version: 20 updated: 2005/08/06 18:37:29
+dnl ---------------
+dnl Check if the compiler supports useful warning options.  There's a few that
+dnl we don't use, simply because they're too noisy:
+dnl
+dnl	-Wconversion (useful in older versions of gcc, but not in gcc 2.7.x)
+dnl	-Wredundant-decls (system headers make this too noisy)
+dnl	-Wtraditional (combines too many unrelated messages, only a few useful)
+dnl	-Wwrite-strings (too noisy, but should review occasionally).  This
+dnl		is enabled for ncurses using "--enable-const".
+dnl	-pedantic
+dnl
+dnl Parameter:
+dnl	$1 is an optional list of gcc warning flags that a particular
+dnl		application might want to use, e.g., "no-unused" for
+dnl		-Wno-unused
+dnl Special:
+dnl	If $with_ext_const is "yes", add a check for -Wwrite-strings
+dnl
+AC_DEFUN([CF_GCC_WARNINGS],
+[
+AC_REQUIRE([CF_GCC_VERSION])
+CF_INTEL_COMPILER(GCC,INTEL_COMPILER,CFLAGS)
+
+cat > conftest.$ac_ext <<EOF
+#line __oline__ "configure"
+int main(int argc, char *argv[[]]) { return (argv[[argc-1]] == 0) ; }
+EOF
+
+if test "$INTEL_COMPILER" = yes
+then
+# The "-wdXXX" options suppress warnings:
+# remark #1419: external declaration in primary source file
+# remark #1682: implicit conversion of a 64-bit integral type to a smaller integral type (potential portability problem)
+# remark #1683: explicit conversion of a 64-bit integral type to a smaller integral type (potential portability problem)
+# remark #1684: conversion from pointer to same-sized integral type (potential portability problem)
+# remark #193: zero used for undefined preprocessing identifier
+# remark #593: variable "curs_sb_left_arrow" was set but never used
+# remark #810: conversion from "int" to "Dimension={unsigned short}" may lose significant bits
+# remark #869: parameter "tw" was never referenced
+# remark #981: operands are evaluated in unspecified order
+# warning #269: invalid format string conversion
+
+	AC_CHECKING([for $CC warning options])
+	cf_save_CFLAGS="$CFLAGS"
+	EXTRA_CFLAGS="-Wall"
+	for cf_opt in $1 \
+		wd1419 \
+		wd1682 \
+		wd1683 \
+		wd1684 \
+		wd193 \
+		wd279 \
+		wd593 \
+		wd810 \
+		wd869 \
+		wd981
+	do
+		CFLAGS="$cf_save_CFLAGS $EXTRA_CFLAGS -$cf_opt"
+		if AC_TRY_EVAL(ac_compile); then
+			test -n "$verbose" && AC_MSG_RESULT(... -$cf_opt)
+			EXTRA_CFLAGS="$EXTRA_CFLAGS -$cf_opt"
+		fi
+	done
+	CFLAGS="$cf_save_CFLAGS"
+
+elif test "$GCC" = yes
+then
+	AC_CHECKING([for $CC warning options])
+	cf_save_CFLAGS="$CFLAGS"
+	EXTRA_CFLAGS="-W -Wall"
+	cf_warn_CONST=""
+	test "$with_ext_const" = yes && cf_warn_CONST="Wwrite-strings"
+	for cf_opt in \
+		Wbad-function-cast \
+		Wcast-align \
+		Wcast-qual \
+		Winline \
+		Wmissing-declarations \
+		Wmissing-prototypes \
+		Wnested-externs \
+		Wpointer-arith \
+		Wshadow \
+		Wstrict-prototypes \
+		Wundef $cf_warn_CONST $1
+	do
+		CFLAGS="$cf_save_CFLAGS $EXTRA_CFLAGS -$cf_opt"
+		if AC_TRY_EVAL(ac_compile); then
+			test -n "$verbose" && AC_MSG_RESULT(... -$cf_opt)
+			case $cf_opt in #(vi
+			Wcast-qual) #(vi
+				CPPFLAGS="$CPPFLAGS -DXTSTRINGDEFINES"
+				;;
+			Winline) #(vi
+				case $GCC_VERSION in
+				3.3*)
+					CF_VERBOSE(feature is broken in gcc $GCC_VERSION)
+					continue;;
+				esac
+				;;
+			esac
+			EXTRA_CFLAGS="$EXTRA_CFLAGS -$cf_opt"
+		fi
+	done
+	CFLAGS="$cf_save_CFLAGS"
+fi
+rm -f conftest*
+
+AC_SUBST(EXTRA_CFLAGS)
+])dnl
+dnl ---------------------------------------------------------------------------
+dnl CF_GNU_SOURCE version: 6 updated: 2005/07/09 13:23:07
 dnl -------------
 dnl Check if we must define _GNU_SOURCE to get a reasonable value for
 dnl _XOPEN_SOURCE, upon which many POSIX definitions depend.  This is a defect
@@ -519,9 +806,6 @@
 dnl Well, yes we could work around it...
 AC_DEFUN([CF_GNU_SOURCE],
 [
-AC_REQUIRE([CF_INTEL_COMPILER])
-
-if test "$INTEL_COMPILER" = no ; then
 AC_CACHE_CHECK(if we must define _GNU_SOURCE,cf_cv_gnu_source,[
 AC_TRY_COMPILE([#include <sys/types.h>],[
 #ifndef _XOPEN_SOURCE
@@ -540,7 +824,6 @@
 	])
 ])
 test "$cf_cv_gnu_source" = yes && CPPFLAGS="$CPPFLAGS -D_GNU_SOURCE"
-fi
 ])dnl
 dnl ---------------------------------------------------------------------------
 dnl CF_HEADER_PATH version: 8 updated: 2002/11/10 14:46:59
@@ -572,35 +855,38 @@
 test -f $1 || ( test -f ../$1 && cp ../$1 ./ )
 ])dnl
 dnl ---------------------------------------------------------------------------
-dnl CF_INTEL_COMPILER version: 1 updated: 2004/12/03 20:27:48
+dnl CF_INTEL_COMPILER version: 3 updated: 2005/08/06 18:37:29
 dnl -----------------
-dnl Check if the given compiler is really the Intel compiler for Linux.
-dnl It tries to imitate gcc, but does not return an error when it finds a
-dnl mismatch between prototypes, e.g., as exercised by CF_MISSING_CHECK.
+dnl Check if the given compiler is really the Intel compiler for Linux.  It
+dnl tries to imitate gcc, but does not return an error when it finds a mismatch
+dnl between prototypes, e.g., as exercised by CF_MISSING_CHECK.
 dnl
-dnl This macro should be run "soon" after AC_PROG_CC, to ensure that it is
-dnl not mistaken for gcc.
+dnl This macro should be run "soon" after AC_PROG_CC or AC_PROG_CPLUSPLUS, to
+dnl ensure that it is not mistaken for gcc/g++.  It is normally invoked from
+dnl the wrappers for gcc and g++ warnings.
+dnl
+dnl $1 = GCC (default) or GXX
+dnl $2 = INTEL_COMPILER (default) or INTEL_CPLUSPLUS
+dnl $3 = CFLAGS (default) or CXXFLAGS
 AC_DEFUN([CF_INTEL_COMPILER],[
-AC_REQUIRE([AC_PROG_CC])
-
-INTEL_COMPILER=no
+ifelse($2,,INTEL_COMPILER,[$2])=no
 
-if test "$GCC" = yes ; then
+if test "$ifelse($1,,[$1],GCC)" = yes ; then
 	case $host_os in
 	linux*|gnu*)
-		AC_MSG_CHECKING(if this is really Intel compiler)
-		cf_save_CFLAGS="$CFLAGS"
-		CFLAGS="$CFLAGS -no-gcc"
+		AC_MSG_CHECKING(if this is really Intel ifelse($1,GXX,C++,C) compiler)
+		cf_save_CFLAGS="$ifelse($3,,CFLAGS,[$3])"
+		ifelse($3,,CFLAGS,[$3])="$ifelse($3,,CFLAGS,[$3]) -no-gcc"
 		AC_TRY_COMPILE([],[
 #ifdef __INTEL_COMPILER
 #else
 make an error
 #endif
-],[INTEL_COMPILER=yes
+],[ifelse($2,,INTEL_COMPILER,[$2])=yes
 cf_save_CFLAGS="$cf_save_CFLAGS -we147 -no-gcc"
 ],[])
-		CFLAGS="$cf_save_CFLAGS"
-		AC_MSG_RESULT($INTEL_COMPILER)
+		ifelse($3,,CFLAGS,[$3])="$cf_save_CFLAGS"
+		AC_MSG_RESULT($ifelse($2,,INTEL_COMPILER,[$2]))
 		;;
 	esac
 fi
@@ -653,7 +939,7 @@
 	,[$1=no])
 ])dnl
 dnl ---------------------------------------------------------------------------
-dnl CF_NCURSES_CPPFLAGS version: 17 updated: 2003/11/06 19:59:57
+dnl CF_NCURSES_CPPFLAGS version: 18 updated: 2005/12/31 13:26:39
 dnl -------------------
 dnl Look for the SVr4 curses clone 'ncurses' in the standard places, adjusting
 dnl the CPPFLAGS variable so we can include its header.
@@ -694,9 +980,27 @@
 	done
 ])
 
+CF_NCURSES_HEADER
+CF_TERM_HEADER
+
+# some applications need this, but should check for NCURSES_VERSION
+AC_DEFINE(NCURSES)
+
+CF_NCURSES_VERSION
+])dnl
+dnl ---------------------------------------------------------------------------
+dnl CF_NCURSES_HEADER version: 1 updated: 2005/12/31 13:28:37
+dnl -----------------
+dnl Find a "curses" header file, e.g,. "curses.h", or one of the more common
+dnl variations of ncurses' installs.
+dnl
+dnl See also CF_CURSES_HEADER, which sets the same cache variable.
+AC_DEFUN([CF_NCURSES_HEADER],[
+
 if test "$cf_cv_ncurses_h" != no ; then
 	cf_cv_ncurses_header=$cf_cv_ncurses_h
 else
+
 AC_CACHE_CHECK(for $cf_ncuhdr_root include-path, cf_cv_ncurses_h2,[
 	test -n "$verbose" && echo
 	CF_HEADER_PATH(cf_search,$cf_ncuhdr_root)
@@ -732,7 +1036,7 @@
 
 fi
 
-AC_DEFINE(NCURSES)
+# Set definitions to allow ifdef'ing for ncurses.h
 
 case $cf_cv_ncurses_header in # (vi
 *ncurses.h)
@@ -749,7 +1053,6 @@
 	;;
 esac
 
-CF_NCURSES_VERSION
 ])dnl
 dnl ---------------------------------------------------------------------------
 dnl CF_NCURSES_LIBS version: 12 updated: 2004/04/27 16:26:05
@@ -913,7 +1216,35 @@
 esac
 ])dnl
 dnl ---------------------------------------------------------------------------
-dnl CF_POSIX_C_SOURCE version: 3 updated: 2005/02/04 06:56:22
+dnl CF_PDCURSES_X11 version: 6 updated: 2002/10/27 18:21:42
+dnl ---------------
+dnl Configure for PDCurses' X11 library
+AC_DEFUN([CF_PDCURSES_X11],[
+AC_REQUIRE([CF_X_ATHENA])
+LDFLAGS="$LDFLAGS $X_LIBS"
+CF_CHECK_CFLAGS($X_CFLAGS)
+AC_CHECK_LIB(X11,XOpenDisplay,
+	[LIBS="-lX11 $LIBS"],,
+	[$X_PRE_LIBS $LIBS $X_EXTRA_LIBS])
+AC_CACHE_CHECK(for XCurses library,cf_cv_lib_XCurses,[
+LIBS="-lXCurses $LIBS"
+AC_TRY_LINK([
+#include <xcurses.h>
+char *XCursesProgramName = "test";
+],[XCursesExit();],
+[cf_cv_lib_XCurses=yes],
+[cf_cv_lib_XCurses=no])
+])
+if test $cf_cv_lib_XCurses = yes ; then
+	AC_DEFINE(UNIX)
+	AC_DEFINE(XCURSES)
+	AC_DEFINE(HAVE_XCURSES)
+else
+	AC_ERROR(Cannot link with XCurses)
+fi
+])dnl
+dnl ---------------------------------------------------------------------------
+dnl CF_POSIX_C_SOURCE version: 6 updated: 2005/07/14 20:25:10
 dnl -----------------
 dnl Define _POSIX_C_SOURCE to the given level, and _POSIX_SOURCE if needed.
 dnl
@@ -930,6 +1261,13 @@
 AC_DEFUN([CF_POSIX_C_SOURCE],
 [
 cf_POSIX_C_SOURCE=ifelse($1,,199506L,$1)
+
+cf_save_CFLAGS="$CFLAGS"
+cf_save_CPPFLAGS="$CPPFLAGS"
+
+CF_REMOVE_DEFINE(cf_trim_CFLAGS,$cf_save_CFLAGS,_POSIX_C_SOURCE)
+CF_REMOVE_DEFINE(cf_trim_CPPFLAGS,$cf_save_CPPFLAGS,_POSIX_C_SOURCE)
+
 AC_CACHE_CHECK(if we should define _POSIX_C_SOURCE,cf_cv_posix_c_source,[
 	CF_MSG_LOG(if the symbol is already defined go no further)
 	AC_TRY_COMPILE([#include <sys/types.h>],[
@@ -938,12 +1276,12 @@
 #endif],
 	[cf_cv_posix_c_source=no],
 	[cf_want_posix_source=no
-	 case .$cf_POSIX_C_SOURCE in
-	 .[[12]]??*)
-		cf_cv_posix_c_source="-U_POSIX_C_SOURCE -D_POSIX_C_SOURCE=$cf_POSIX_C_SOURCE"
+	 case .$cf_POSIX_C_SOURCE in #(vi
+	 .[[12]]??*) #(vi
+		cf_cv_posix_c_source="-D_POSIX_C_SOURCE=$cf_POSIX_C_SOURCE"
 		;;
-	 .2)
-		cf_cv_posix_c_source="-U_POSIX_C_SOURCE -D_POSIX_C_SOURCE=$cf_POSIX_C_SOURCE"
+	 .2) #(vi
+		cf_cv_posix_c_source="-D_POSIX_C_SOURCE=$cf_POSIX_C_SOURCE"
 		cf_want_posix_source=yes
 		;;
 	 .*)
@@ -955,21 +1293,76 @@
 #ifdef _POSIX_SOURCE
 make an error
 #endif],[],
-		cf_cv_posix_c_source="$cf_cv_posix_c_source -U_POSIX_SOURCE -D_POSIX_SOURCE")
+		cf_cv_posix_c_source="$cf_cv_posix_c_source -D_POSIX_SOURCE")
 	 fi
 	 CF_MSG_LOG(ifdef from value $cf_POSIX_C_SOURCE)
-	 cf_save="$CPPFLAGS"
-	 CPPFLAGS="$CPPFLAGS $cf_cv_posix_c_source"
+	 CFLAGS="$cf_trim_CFLAGS"
+	 CPPFLAGS="$cf_trim_CPPFLAGS $cf_cv_posix_c_source"
 	 CF_MSG_LOG(if the second compile does not leave our definition intact error)
 	 AC_TRY_COMPILE([#include <sys/types.h>],[
 #ifndef _POSIX_C_SOURCE
 make an error
 #endif],,
-	[cf_cv_posix_c_source=no])
-	CPPFLAGS="$cf_save"
+	 [cf_cv_posix_c_source=no])
+	 CFLAGS="$cf_save_CFLAGS"
+	 CPPFLAGS="$cf_save_CPPFLAGS"
 	])
 ])
-test "$cf_cv_posix_c_source" != no && CPPFLAGS="$CPPFLAGS $cf_cv_posix_c_source"
+
+if test "$cf_cv_posix_c_source" != no ; then
+	CFLAGS="$cf_trim_CFLAGS"
+	CPPFLAGS="$cf_trim_CPPFLAGS"
+	if test "$cf_cv_cc_u_d_options" = yes ; then
+		cf_temp_posix_c_source=`echo "$cf_cv_posix_c_source" | \
+				sed -e 's/-D/-U/g' -e 's/=[[^ 	]]*//g'`
+		CPPFLAGS="$CPPFLAGS $cf_temp_posix_c_source"
+	fi
+	CPPFLAGS="$CPPFLAGS $cf_cv_posix_c_source"
+fi
+
+])dnl
+dnl ---------------------------------------------------------------------------
+dnl CF_PROG_CC_U_D version: 1 updated: 2005/07/14 16:59:30
+dnl --------------
+dnl Check if C (preprocessor) -U and -D options are processed in the order
+dnl given rather than by type of option.  Some compilers insist on apply all
+dnl of the -U options after all of the -D options.  Others allow mixing them,
+dnl and may predefine symbols that conflict with those we define.
+AC_DEFUN([CF_PROG_CC_U_D],
+[
+AC_CACHE_CHECK(if $CC -U and -D options work together,cf_cv_cc_u_d_options,[
+	cf_save_CPPFLAGS="$CPPFLAGS"
+	CPPFLAGS="-UU_D_OPTIONS -DU_D_OPTIONS -DD_U_OPTIONS -UD_U_OPTIONS"
+	AC_TRY_COMPILE([],[
+#ifndef U_D_OPTIONS
+make an undefined-error
+#endif
+#ifdef  D_U_OPTIONS
+make a defined-error
+#endif
+	],[
+	cf_cv_cc_u_d_options=yes],[
+	cf_cv_cc_u_d_options=no])
+	CPPFLAGS="$cf_save_CPPFLAGS"
+])
+])dnl
+dnl ---------------------------------------------------------------------------
+dnl CF_REMOVE_DEFINE version: 2 updated: 2005/07/09 16:12:18
+dnl ----------------
+dnl Remove all -U and -D options that refer to the given symbol from a list
+dnl of C compiler options.  This works around the problem that not all
+dnl compilers process -U and -D options from left-to-right, so a -U option
+dnl cannot be used to cancel the effect of a preceding -D option.
+dnl
+dnl $1 = target (which could be the same as the source variable)
+dnl $2 = source (including '$')
+dnl $3 = symbol to remove
+define([CF_REMOVE_DEFINE],
+[
+# remove $3 symbol from $2
+$1=`echo "$2" | \
+	sed	-e 's/-[[UD]]$3\(=[[^ 	]]*\)\?[[ 	]]/ /g' \
+		-e 's/-[[UD]]$3\(=[[^ 	]]*\)\?[$]//g'`
 ])dnl
 dnl ---------------------------------------------------------------------------
 dnl CF_SUBDIR_PATH version: 3 updated: 2002/12/29 18:30:46
@@ -1059,6 +1452,53 @@
 test "$cf_cv_sys_time_select" = yes && AC_DEFINE(HAVE_SYS_TIME_SELECT)
 ])dnl
 dnl ---------------------------------------------------------------------------
+dnl CF_TERM_HEADER version: 1 updated: 2005/12/31 13:26:39
+dnl --------------
+dnl Look for term.h, which is part of X/Open curses.  It defines the interface
+dnl to terminfo database.  Usually it is in the same include-path as curses.h,
+dnl but some packagers change this, breaking various applications.
+AC_DEFUN([CF_TERM_HEADER],[
+AC_CACHE_CHECK(for terminfo header, cf_cv_term_header,[
+case ${cf_cv_ncurses_header} in #(vi
+*/ncurses.h|*/ncursesw.h) #(vi
+	cf_term_header=`echo "$cf_cv_ncurses_header" | sed -e 's%ncurses[[^.]]*\.h$%term.h%'`
+	;;
+*)
+	cf_term_header=term.h
+	;;
+esac
+
+for cf_test in $cf_term_header "ncurses/term.h" "ncursesw/term.h"
+do
+AC_TRY_COMPILE([#include <stdio.h>
+#include <${cf_cv_ncurses_header-curses.h}>
+#include <$cf_test>
+],[int x = auto_left_margin],[
+	cf_cv_term_header="$cf_test"],[
+	cf_cv_term_header=unknown
+	])
+	test "$cf_cv_term_header" != unknown && break
+done
+])
+
+# Set definitions to allow ifdef'ing to accommodate subdirectories
+
+case $cf_cv_term_header in # (vi
+*term.h)
+	AC_DEFINE(HAVE_TERM_H)
+	;;
+esac
+
+case $cf_cv_term_header in # (vi
+ncurses/term.h) #(vi
+	AC_DEFINE(HAVE_NCURSES_TERM_H)
+	;;
+ncursesw/term.h)
+	AC_DEFINE(HAVE_NCURSESW_TERM_H)
+	;;
+esac
+])dnl
+dnl ---------------------------------------------------------------------------
 dnl CF_UPPER version: 5 updated: 2001/01/29 23:40:59
 dnl --------
 dnl Make an uppercase version of a variable
@@ -1113,7 +1553,7 @@
 	[cf_cv_curses_dir=no])
 ])dnl
 dnl ---------------------------------------------------------------------------
-dnl CF_XOPEN_SOURCE version: 17 updated: 2005/02/06 12:07:45
+dnl CF_XOPEN_SOURCE version: 23 updated: 2005/10/15 16:39:05
 dnl ---------------
 dnl Try to get _XOPEN_SOURCE defined properly that we can use POSIX functions,
 dnl or adapt to the vendor's definitions to get equivalent functionality.
@@ -1123,6 +1563,8 @@
 dnl	$2 is the nominal value for _POSIX_C_SOURCE
 AC_DEFUN([CF_XOPEN_SOURCE],[
 
+AC_REQUIRE([CF_PROG_CC_U_D])
+
 cf_XOPEN_SOURCE=ifelse($1,,500,$1)
 cf_POSIX_C_SOURCE=ifelse($2,,199506L,$2)
 
@@ -1159,6 +1601,9 @@
 osf[[45]]*) #(vi
 	CPPFLAGS="$CPPFLAGS -D_OSF_SOURCE"
 	;;
+nto-qnx*) #(vi
+	CPPFLAGS="$CPPFLAGS -D_QNX_SOURCE"
+	;;
 sco*) #(vi
 	# setting _XOPEN_SOURCE breaks Lynx on SCO Unix / OpenServer
 	;;
@@ -1183,8 +1628,204 @@
 	CPPFLAGS="$cf_save"
 	])
 ])
-test "$cf_cv_xopen_source" != no && CPPFLAGS="$CPPFLAGS -U_XOPEN_SOURCE -D_XOPEN_SOURCE=$cf_cv_xopen_source"
+	if test "$cf_cv_xopen_source" != no ; then
+		CF_REMOVE_DEFINE(CFLAGS,$CFLAGS,_XOPEN_SOURCE)
+		CF_REMOVE_DEFINE(CPPFLAGS,$CPPFLAGS,_XOPEN_SOURCE)
+		test "$cf_cv_cc_u_d_options" = yes && \
+			CPPFLAGS="$CPPFLAGS -U_XOPEN_SOURCE"
+		CPPFLAGS="$CPPFLAGS -D_XOPEN_SOURCE=$cf_cv_xopen_source"
+	fi
 	CF_POSIX_C_SOURCE($cf_POSIX_C_SOURCE)
 	;;
 esac
 ])
+dnl ---------------------------------------------------------------------------
+dnl CF_X_ATHENA version: 12 updated: 2004/06/15 21:14:41
+dnl -----------
+dnl Check for Xaw (Athena) libraries
+dnl
+dnl Sets $cf_x_athena according to the flavor of Xaw which is used.
+AC_DEFUN([CF_X_ATHENA],
+[AC_REQUIRE([CF_X_TOOLKIT])
+cf_x_athena=${cf_x_athena-Xaw}
+
+AC_MSG_CHECKING(if you want to link with Xaw 3d library)
+withval=
+AC_ARG_WITH(Xaw3d,
+	[  --with-Xaw3d            link with Xaw 3d library])
+if test "$withval" = yes ; then
+	cf_x_athena=Xaw3d
+	AC_MSG_RESULT(yes)
+else
+	AC_MSG_RESULT(no)
+fi
+
+AC_MSG_CHECKING(if you want to link with neXT Athena library)
+withval=
+AC_ARG_WITH(neXtaw,
+	[  --with-neXtaw           link with neXT Athena library])
+if test "$withval" = yes ; then
+	cf_x_athena=neXtaw
+	AC_MSG_RESULT(yes)
+else
+	AC_MSG_RESULT(no)
+fi
+
+AC_MSG_CHECKING(if you want to link with Athena-Plus library)
+withval=
+AC_ARG_WITH(XawPlus,
+	[  --with-XawPlus          link with Athena-Plus library])
+if test "$withval" = yes ; then
+	cf_x_athena=XawPlus
+	AC_MSG_RESULT(yes)
+else
+	AC_MSG_RESULT(no)
+fi
+
+AC_CHECK_LIB(Xext,XextCreateExtension,
+	[LIBS="-lXext $LIBS"])
+
+cf_x_athena_lib=""
+
+CF_X_ATHENA_CPPFLAGS($cf_x_athena)
+CF_X_ATHENA_LIBS($cf_x_athena)
+])dnl
+dnl ---------------------------------------------------------------------------
+dnl CF_X_ATHENA_CPPFLAGS version: 2 updated: 2002/10/09 20:00:37
+dnl --------------------
+dnl Normally invoked by CF_X_ATHENA, with $1 set to the appropriate flavor of
+dnl the Athena widgets, e.g., Xaw, Xaw3d, neXtaw.
+AC_DEFUN([CF_X_ATHENA_CPPFLAGS],
+[
+cf_x_athena_root=ifelse($1,,Xaw,$1)
+cf_x_athena_include=""
+
+for cf_path in default \
+	/usr/contrib/X11R6 \
+	/usr/contrib/X11R5 \
+	/usr/lib/X11R5 \
+	/usr/local
+do
+	if test -z "$cf_x_athena_include" ; then
+		cf_save="$CPPFLAGS"
+		cf_test=X11/$cf_x_athena_root/SimpleMenu.h
+		if test $cf_path != default ; then
+			CPPFLAGS="-I$cf_path/include $cf_save"
+			AC_MSG_CHECKING(for $cf_test in $cf_path)
+		else
+			AC_MSG_CHECKING(for $cf_test)
+		fi
+		AC_TRY_COMPILE([
+#include <X11/Intrinsic.h>
+#include <$cf_test>],[],
+			[cf_result=yes],
+			[cf_result=no])
+		AC_MSG_RESULT($cf_result)
+		if test "$cf_result" = yes ; then
+			cf_x_athena_include=$cf_path
+			break
+		else
+			CPPFLAGS="$cf_save"
+		fi
+	fi
+done
+
+if test -z "$cf_x_athena_include" ; then
+	AC_MSG_WARN(
+[Unable to successfully find Athena header files with test program])
+elif test "$cf_x_athena_include" != default ; then
+	CPPFLAGS="$CPPFLAGS -I$cf_x_athena_include"
+fi
+])
+dnl ---------------------------------------------------------------------------
+dnl CF_X_ATHENA_LIBS version: 3 updated: 2003/02/16 15:24:54
+dnl ----------------
+dnl Normally invoked by CF_X_ATHENA, with $1 set to the appropriate flavor of
+dnl the Athena widgets, e.g., Xaw, Xaw3d, neXtaw.
+AC_DEFUN([CF_X_ATHENA_LIBS],
+[AC_REQUIRE([CF_X_TOOLKIT])
+cf_x_athena_root=ifelse($1,,Xaw,$1)
+cf_x_athena_lib=""
+
+for cf_path in default \
+	/usr/contrib/X11R6 \
+	/usr/contrib/X11R5 \
+	/usr/lib/X11R5 \
+	/usr/local
+do
+	for cf_lib in \
+		"-l$cf_x_athena_root -lXmu" \
+		"-l$cf_x_athena_root -lXpm -lXmu" \
+		"-l${cf_x_athena_root}_s -lXmu_s"
+	do
+		if test -z "$cf_x_athena_lib" ; then
+			cf_save="$LIBS"
+			cf_test=XawSimpleMenuAddGlobalActions
+			if test $cf_path != default ; then
+				LIBS="-L$cf_path/lib $cf_lib $LIBS"
+				AC_MSG_CHECKING(for $cf_lib in $cf_path)
+			else
+				LIBS="$cf_lib $LIBS"
+				AC_MSG_CHECKING(for $cf_test in $cf_lib)
+			fi
+			cf_SAVE="$LIBS"
+			LIBS="$X_PRE_LIBS $LIBS $X_EXTRA_LIBS"
+			AC_TRY_LINK([],[$cf_test()],
+				[cf_result=yes],
+				[cf_result=no])
+			AC_MSG_RESULT($cf_result)
+			if test "$cf_result" = yes ; then
+				cf_x_athena_lib="$cf_lib"
+				LIBS="$cf_SAVE"
+				break
+			else
+				LIBS="$cf_save"
+			fi
+		fi
+	done
+done
+
+if test -z "$cf_x_athena_lib" ; then
+	AC_ERROR(
+[Unable to successfully link Athena library (-l$cf_x_athena_root) with test program])
+fi
+
+CF_UPPER(cf_x_athena_LIBS,HAVE_LIB_$cf_x_athena)
+AC_DEFINE_UNQUOTED($cf_x_athena_LIBS)
+])
+dnl ---------------------------------------------------------------------------
+dnl CF_X_TOOLKIT version: 10 updated: 2004/04/25 15:37:17
+dnl ------------
+dnl Check for X Toolkit libraries
+dnl
+AC_DEFUN([CF_X_TOOLKIT],
+[
+AC_REQUIRE([AC_PATH_XTRA])
+AC_REQUIRE([CF_CHECK_CACHE])
+
+# SYSTEM_NAME=`echo "$cf_cv_system_name"|tr ' ' -`
+
+cf_have_X_LIBS=no
+
+LDFLAGS="$X_LIBS $LDFLAGS"
+CF_CHECK_CFLAGS($X_CFLAGS)
+
+AC_CHECK_FUNC(XOpenDisplay,,[
+AC_CHECK_LIB(X11,XOpenDisplay,
+	[LIBS="-lX11 $LIBS"],,
+	[$X_PRE_LIBS $LIBS $X_EXTRA_LIBS])])
+
+AC_CHECK_FUNC(XtAppInitialize,,[
+AC_CHECK_LIB(Xt, XtAppInitialize,
+	[AC_DEFINE(HAVE_LIBXT)
+	 cf_have_X_LIBS=Xt
+	 LIBS="-lXt $X_PRE_LIBS $LIBS"],,
+	[$X_PRE_LIBS $LIBS $X_EXTRA_LIBS])])
+
+if test $cf_have_X_LIBS = no ; then
+	AC_WARN(
+[Unable to successfully link X Toolkit library (-lXt) with
+test program.  You will have to check and add the proper libraries by hand
+to makefile.])
+fi
+])dnl
Index: test/blue.c
Prereq:  1.25 
--- ncurses-5.5/test/blue.c	2005-05-28 21:38:03.000000000 +0000
+++ ncurses-5.5-20060128/test/blue.c	2005-12-31 20:22:27.000000000 +0000
@@ -13,7 +13,7 @@
  * results, use the ncurses(3) library.  On non-Intel machines, SVr4 curses is
  * just as good.
  *
- * $Id: blue.c,v 1.25 2005/05/28 21:38:03 tom Exp $
+ * $Id: blue.c,v 1.27 2005/12/31 20:22:27 tom Exp $
  */
 
 #include <test.priv.h>
@@ -90,7 +90,7 @@
     OR_COLORS('c', BLACK_ON_WHITE),	/* clubs */
 };
 
-#if defined(__i386__)
+#if defined(__i386__) && defined(A_ALTCHARSET) && HAVE_TIGETSTR
 static chtype glyphs[] =
 {
     PC_COLORS('\003', RED_ON_WHITE),	/* hearts */
@@ -98,6 +98,9 @@
     PC_COLORS('\004', RED_ON_WHITE),	/* diamonds */
     PC_COLORS('\005', BLACK_ON_WHITE),	/* clubs */
 };
+#define USE_CP437 1
+#else
+#define USE_CP437 0
 #endif /* __i386__ */
 
 static chtype *suits = letters;	/* this may change to glyphs below */
@@ -391,7 +394,7 @@
     letters[1] = OR_COLORS('s', BLACK_ON_WHITE);	/* spades */
     letters[2] = OR_COLORS('d', RED_ON_WHITE);	/* diamonds */
     letters[3] = OR_COLORS('c', BLACK_ON_WHITE);	/* clubs */
-#if defined(__i386__) && defined(A_ALTCHARSET)
+#if USE_CP437
     glyphs[0] = PC_COLORS('\003', RED_ON_WHITE);	/* hearts */
     glyphs[1] = PC_COLORS('\006', BLACK_ON_WHITE);	/* spades */
     glyphs[2] = PC_COLORS('\004', RED_ON_WHITE);	/* diamonds */
@@ -399,10 +402,10 @@
 #endif
 #endif
 
-#if defined(__i386__) && defined(A_ALTCHARSET)
+#if USE_CP437
     if (tigetstr("smpch"))
 	suits = glyphs;
-#endif /* __i386__ && A_ALTCHARSET */
+#endif /* USE_CP437 */
 
     cbreak();
 
Index: test/bs.c
Prereq:  1.41 
--- ncurses-5.5/test/bs.c	2005-05-28 21:38:24.000000000 +0000
+++ ncurses-5.5-20060128/test/bs.c	2005-11-19 19:20:50.000000000 +0000
@@ -7,7 +7,7 @@
  * v2.0 featuring strict ANSI/POSIX conformance, November 1993.
  * v2.1 with ncurses mouse support, September 1995
  *
- * $Id: bs.c,v 1.41 2005/05/28 21:38:24 tom Exp $
+ * $Id: bs.c,v 1.42 2005/11/19 19:20:50 Stephen.Lindholm Exp $
  */
 
 #include <test.priv.h>
@@ -149,7 +149,8 @@
 
 static RETSIGTYPE uninitgame(int sig) GCC_NORETURN;
 
-static RETSIGTYPE uninitgame(int sig GCC_UNUSED)
+static RETSIGTYPE
+uninitgame(int sig GCC_UNUSED)
 /* end the game, either normally or due to signal */
 {
     clear();
@@ -839,7 +840,6 @@
 	}
 	(void) printw(m, ss->name);
 	(void) beep();
-	return (awinna() == -1);
     }
     return (hit);
 }
@@ -949,13 +949,17 @@
     attrset(0);
 #endif /* A_COLOR */
 
-    return ((hit ? (sunk ? S_SUNK : S_HIT) : S_MISS) ? TRUE : FALSE);
+    return hit ? (sunk ? S_SUNK : S_HIT) : S_MISS;
 }
 
 /*
  * This code implements a fairly irregular FSM, so please forgive the rampant
  * unstructuredness below. The five labels are states which need to be held
  * between computer turns.
+ *
+ * The FSM is not externally reset to RANDOM_FIRE if the player wins. Instead,
+ * the other states check for "impossible" conditions which signify a new
+ * game, then if found transition to RANDOM_FIRE.
  */
 static bool
 cputurn(void)
@@ -1003,13 +1007,17 @@
 	if (navail == 0)	/* no valid places for shots adjacent... */
 	    goto refire;	/* ...so we must random-fire */
 	else {
-	    for (d = 0, n = rnd(navail) + 1; n; n--)
-		while (used[d])
-		    d++;
+	    n = rnd(navail) + 1;
+	    for (d = 0; used[d]; d++) ;
+	    /* used[d] is first that == 0 */
+	    for (; n > 1; n--)
+		while (used[++d]) ;
+	    /* used[d] is next that == 0 */
 
-	    assert(d <= 4);
+	    assert(d < 4);
+	    assert(used[d] == FALSE);
 
-	    used[d] = FALSE;
+	    used[d] = TRUE;
 	    x = ts.x + xincr[d * 2];
 	    y = ts.y + yincr[d * 2];
 
@@ -1040,7 +1048,7 @@
 	break;
 
     case REVERSE_JUMP:		/* nail down the ship's other end */
-	d = ts.dir + 4;
+	d = (ts.dir + 4) % 8;
 	x = ts.x + ts.hits * xincr[d];
 	y = ts.y + ts.hits * yincr[d];
 	if (POSSIBLE(x, y) && (hit = cpufire(x, y))) {
@@ -1053,7 +1061,7 @@
 	    next = RANDOM_FIRE;
 	break;
 
-    case SECOND_PASS:		/* kill squares not caught on first pass */
+    case SECOND_PASS:		/* continue shooting after reversing */
 	x = ts.x + xincr[ts.dir];
 	y = ts.y + yincr[ts.dir];
 	if (POSSIBLE(x, y) && (hit = cpufire(x, y))) {
@@ -1067,14 +1075,11 @@
 	break;
     }
 
-    /* check for continuation and/or winner */
+    /* pause between shots in salvo */
     if (salvo) {
 	(void) refresh();
 	(void) sleep(1);
     }
-    if (awinna() != -1)
-	return (FALSE);
-
 #ifdef DEBUG
     (void) mvprintw(PROMPTLINE + 2, 0,
 		    "New state %d, x=%d, y=%d, d=%d",
@@ -1213,7 +1218,7 @@
 		    }
 		}
 	    } else
-		while (turn ? cputurn() : plyturn())
+		while ((turn ? cputurn() : plyturn()) && awinna() == -1)
 		    continue;
 	    turn = OTHER;
 	}
Index: test/bulgarian-utf8.txt
--- /dev/null	2005-11-19 17:15:46.000000000 +0000
+++ ncurses-5.5-20060128/test/bulgarian-utf8.txt	2005-12-10 16:40:24.000000000 +0000
@@ -0,0 +1,6 @@
+Показване на помощна информация -- 1
+Създаване на дялове             -- 2
+Избор на дял и форматиране      -- 3
+Записване в избрания дял        -- 4
+Инсталиране на LILO             -- 5
+Изход от програмата             -- 6
Index: test/configure
--- ncurses-5.5/test/configure	2005-02-27 00:02:25.000000000 +0000
+++ ncurses-5.5-20060128/test/configure	2005-12-31 20:37:58.000000000 +0000
@@ -183,10 +183,16 @@
 EOF
 cat <<\EOF
 --enable and --with options recognized:
+  --enable-warnings       test: turn on gcc compiler warnings
   --with-curses-dir=DIR   directory in which (n)curses is installed
   --with-5lib             use SunOS sysv-libraries
   --with-ncursesw         use wide ncurses-libraries (installed)
   --with-ncurses          use ncurses-libraries (installed)
+  --with-pdcurses         compile/link with pdcurses X11 library
+  --with-x                use the X Window System
+  --with-Xaw3d            link with Xaw 3d library
+  --with-neXtaw           link with neXT Athena library
+  --with-XawPlus          link with Athena-Plus library
 EOF
     exit 0 ;;
 
@@ -524,6 +530,241 @@
   ac_n= ac_c='\c' ac_t=
 fi
 
+# If we find X, set shell vars x_includes and x_libraries to the
+# paths, otherwise set no_x=yes.
+# Uses ac_ vars as temps to allow command line to override cache and checks.
+# --without-x overrides everything else, but does not touch the cache.
+echo $ac_n "checking for X""... $ac_c" 1>&6
+echo "configure:539: checking for X" >&5
+
+
+# Check whether --with-x or --without-x was given.
+if test "${with_x+set}" = set; then
+  withval="$with_x"
+  :
+fi
+
+# $have_x is `yes', `no', `disabled', or empty when we do not yet know.
+if test "x$with_x" = xno; then
+  # The user explicitly disabled X.
+  have_x=disabled
+else
+  if test "x$x_includes" != xNONE && test "x$x_libraries" != xNONE; then
+    # Both variables are already set.
+    have_x=yes
+  else
+if eval "test \"`echo '$''{'ac_cv_have_x'+set}'`\" = set"; then
+  echo $ac_n "(cached) $ac_c" 1>&6
+else
+  # One or both of the vars are not set, and there is no cached value.
+ac_x_includes=NO ac_x_libraries=NO
+rm -fr conftestdir
+if mkdir conftestdir; then
+  cd conftestdir
+  # Make sure to not put "make" in the Imakefile rules, since we grep it out.
+  cat > Imakefile <<'EOF'
+acfindx:
+	@echo 'ac_im_incroot="${INCROOT}"; ac_im_usrlibdir="${USRLIBDIR}"; ac_im_libdir="${LIBDIR}"'
+EOF
+  if (xmkmf) >/dev/null 2>/dev/null && test -f Makefile; then
+    # GNU make sometimes prints "make[1]: Entering...", which would confuse us.
+    eval `${MAKE-make} acfindx 2>/dev/null | grep -v make`
+    # Open Windows xmkmf reportedly sets LIBDIR instead of USRLIBDIR.
+    for ac_extension in a so sl; do
+      if test ! -f $ac_im_usrlibdir/libX11.$ac_extension &&
+        test -f $ac_im_libdir/libX11.$ac_extension; then
+        ac_im_usrlibdir=$ac_im_libdir; break
+      fi
+    done
+    # Screen out bogus values from the imake configuration.  They are
+    # bogus both because they are the default anyway, and because
+    # using them would break gcc on systems where it needs fixed includes.
+    case "$ac_im_incroot" in
+	/usr/include) ;;
+	*) test -f "$ac_im_incroot/X11/Xos.h" && ac_x_includes="$ac_im_incroot" ;;
+    esac
+    case "$ac_im_usrlibdir" in
+	/usr/lib | /lib) ;;
+	*) test -d "$ac_im_usrlibdir" && ac_x_libraries="$ac_im_usrlibdir" ;;
+    esac
+  fi
+  cd ..
+  rm -fr conftestdir
+fi
+
+if test "$ac_x_includes" = NO; then
+  # Guess where to find include files, by looking for this one X11 .h file.
+  test -z "$x_direct_test_include" && x_direct_test_include=X11/Intrinsic.h
+
+  # First, try using that file with no special directory specified.
+cat > conftest.$ac_ext <<EOF
+#line 602 "configure"
+#include "confdefs.h"
+#include <$x_direct_test_include>
+EOF
+ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
+{ (eval echo configure:607: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
+ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
+if test -z "$ac_err"; then
+  rm -rf conftest*
+  # We can compile using X headers with no special include directory.
+ac_x_includes=
+else
+  echo "$ac_err" >&5
+  echo "configure: failed program was:" >&5
+  cat conftest.$ac_ext >&5
+  rm -rf conftest*
+  # Look for the header file in a standard set of common directories.
+# Check X11 before X11Rn because it is often a symlink to the current release.
+  for ac_dir in               \
+    /usr/X11/include          \
+    /usr/X11R6/include        \
+    /usr/X11R5/include        \
+    /usr/X11R4/include        \
+                              \
+    /usr/include/X11          \
+    /usr/include/X11R6        \
+    /usr/include/X11R5        \
+    /usr/include/X11R4        \
+                              \
+    /usr/local/X11/include    \
+    /usr/local/X11R6/include  \
+    /usr/local/X11R5/include  \
+    /usr/local/X11R4/include  \
+                              \
+    /usr/local/include/X11    \
+    /usr/local/include/X11R6  \
+    /usr/local/include/X11R5  \
+    /usr/local/include/X11R4  \
+                              \
+    /usr/X386/include         \
+    /usr/x386/include         \
+    /usr/XFree86/include/X11  \
+                              \
+    /usr/include              \
+    /usr/local/include        \
+    /usr/unsupported/include  \
+    /usr/athena/include       \
+    /usr/local/x11r5/include  \
+    /usr/lpp/Xamples/include  \
+                              \
+    /usr/openwin/include      \
+    /usr/openwin/share/include \
+    ; \
+  do
+    if test -r "$ac_dir/$x_direct_test_include"; then
+      ac_x_includes=$ac_dir
+      break
+    fi
+  done
+fi
+rm -f conftest*
+fi # $ac_x_includes = NO
+
+if test "$ac_x_libraries" = NO; then
+  # Check for the libraries.
+
+  test -z "$x_direct_test_library" && x_direct_test_library=Xt
+  test -z "$x_direct_test_function" && x_direct_test_function=XtMalloc
+
+  # See if we find them without any special options.
+  # Don't add to $LIBS permanently.
+  ac_save_LIBS="$LIBS"
+  LIBS="-l$x_direct_test_library $LIBS"
+cat > conftest.$ac_ext <<EOF
+#line 676 "configure"
+#include "confdefs.h"
+
+int main() {
+${x_direct_test_function}()
+; return 0; }
+EOF
+if { (eval echo configure:683: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+  rm -rf conftest*
+  LIBS="$ac_save_LIBS"
+# We can link X programs with no special library path.
+ac_x_libraries=
+else
+  echo "configure: failed program was:" >&5
+  cat conftest.$ac_ext >&5
+  rm -rf conftest*
+  LIBS="$ac_save_LIBS"
+# First see if replacing the include by lib works.
+# Check X11 before X11Rn because it is often a symlink to the current release.
+for ac_dir in `echo "$ac_x_includes" | sed s/include/lib/` \
+    /usr/X11/lib          \
+    /usr/X11R6/lib        \
+    /usr/X11R5/lib        \
+    /usr/X11R4/lib        \
+                          \
+    /usr/lib/X11          \
+    /usr/lib/X11R6        \
+    /usr/lib/X11R5        \
+    /usr/lib/X11R4        \
+                          \
+    /usr/local/X11/lib    \
+    /usr/local/X11R6/lib  \
+    /usr/local/X11R5/lib  \
+    /usr/local/X11R4/lib  \
+                          \
+    /usr/local/lib/X11    \
+    /usr/local/lib/X11R6  \
+    /usr/local/lib/X11R5  \
+    /usr/local/lib/X11R4  \
+                          \
+    /usr/X386/lib         \
+    /usr/x386/lib         \
+    /usr/XFree86/lib/X11  \
+                          \
+    /usr/lib              \
+    /usr/local/lib        \
+    /usr/unsupported/lib  \
+    /usr/athena/lib       \
+    /usr/local/x11r5/lib  \
+    /usr/lpp/Xamples/lib  \
+    /lib/usr/lib/X11	  \
+                          \
+    /usr/openwin/lib      \
+    /usr/openwin/share/lib \
+    ; \
+do
+  for ac_extension in a so sl; do
+    if test -r $ac_dir/lib${x_direct_test_library}.$ac_extension; then
+      ac_x_libraries=$ac_dir
+      break 2
+    fi
+  done
+done
+fi
+rm -f conftest*
+fi # $ac_x_libraries = NO
+
+if test "$ac_x_includes" = NO || test "$ac_x_libraries" = NO; then
+  # Didn't find X anywhere.  Cache the known absence of X.
+  ac_cv_have_x="have_x=no"
+else
+  # Record where we found X for the cache.
+  ac_cv_have_x="have_x=yes \
+	        ac_x_includes=$ac_x_includes ac_x_libraries=$ac_x_libraries"
+fi
+fi
+  fi
+  eval "$ac_cv_have_x"
+fi # $with_x != no
+
+if test "$have_x" != yes; then
+  echo "$ac_t""$have_x" 1>&6
+  no_x=yes
+else
+  # If each of the values was on the command line, it overrides each guess.
+  test "x$x_includes" = xNONE && x_includes=$ac_x_includes
+  test "x$x_libraries" = xNONE && x_libraries=$ac_x_libraries
+  # Update the cache value to reflect the command line values.
+  ac_cv_have_x="have_x=yes \
+		ac_x_includes=$x_includes ac_x_libraries=$x_libraries"
+  echo "$ac_t""libraries $x_libraries, headers $x_includes" 1>&6
+fi
+
 
 
 
@@ -561,7 +802,7 @@
 fi
 
 echo $ac_n "checking host system type""... $ac_c" 1>&6
-echo "configure:565: checking host system type" >&5
+echo "configure:806: checking host system type" >&5
 
 host_alias=$host
 case "$host_alias" in
@@ -609,7 +850,7 @@
 
 
 echo $ac_n "checking whether ${MAKE-make} sets \${MAKE}""... $ac_c" 1>&6
-echo "configure:613: checking whether ${MAKE-make} sets \${MAKE}" >&5
+echo "configure:854: checking whether ${MAKE-make} sets \${MAKE}" >&5
 set dummy ${MAKE-make}; ac_make=`echo "$2" | sed 'y%./+-%__p_%'`
 if eval "test \"`echo '$''{'ac_cv_prog_make_${ac_make}_set'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
@@ -638,7 +879,7 @@
 # Extract the first word of "gcc", so it can be a program name with args.
 set dummy gcc; ac_word=$2
 echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
-echo "configure:642: checking for $ac_word" >&5
+echo "configure:883: checking for $ac_word" >&5
 if eval "test \"`echo '$''{'ac_cv_prog_CC'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
@@ -668,7 +909,7 @@
   # Extract the first word of "cc", so it can be a program name with args.
 set dummy cc; ac_word=$2
 echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
-echo "configure:672: checking for $ac_word" >&5
+echo "configure:913: checking for $ac_word" >&5
 if eval "test \"`echo '$''{'ac_cv_prog_CC'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
@@ -719,7 +960,7 @@
       # Extract the first word of "cl", so it can be a program name with args.
 set dummy cl; ac_word=$2
 echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
-echo "configure:723: checking for $ac_word" >&5
+echo "configure:964: checking for $ac_word" >&5
 if eval "test \"`echo '$''{'ac_cv_prog_CC'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
@@ -751,7 +992,7 @@
 fi
 
 echo $ac_n "checking whether the C compiler ($CC $CFLAGS $LDFLAGS) works""... $ac_c" 1>&6
-echo "configure:755: checking whether the C compiler ($CC $CFLAGS $LDFLAGS) works" >&5
+echo "configure:996: checking whether the C compiler ($CC $CFLAGS $LDFLAGS) works" >&5
 
 ac_ext=c
 # CFLAGS is not in ac_cpp because -g, -O, etc. are not valid cpp options.
@@ -762,12 +1003,12 @@
 
 cat > conftest.$ac_ext << EOF
 
-#line 766 "configure"
+#line 1007 "configure"
 #include "confdefs.h"
 
 main(){return(0);}
 EOF
-if { (eval echo configure:771: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+if { (eval echo configure:1012: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
   ac_cv_prog_cc_works=yes
   # If we can't run a trivial program, we are probably using a cross compiler.
   if (./conftest; exit) 2>/dev/null; then
@@ -793,12 +1034,12 @@
   { echo "configure: error: installation or configuration problem: C compiler cannot create executables." 1>&2; exit 1; }
 fi
 echo $ac_n "checking whether the C compiler ($CC $CFLAGS $LDFLAGS) is a cross-compiler""... $ac_c" 1>&6
-echo "configure:797: checking whether the C compiler ($CC $CFLAGS $LDFLAGS) is a cross-compiler" >&5
+echo "configure:1038: checking whether the C compiler ($CC $CFLAGS $LDFLAGS) is a cross-compiler" >&5
 echo "$ac_t""$ac_cv_prog_cc_cross" 1>&6
 cross_compiling=$ac_cv_prog_cc_cross
 
 echo $ac_n "checking whether we are using GNU C""... $ac_c" 1>&6
-echo "configure:802: checking whether we are using GNU C" >&5
+echo "configure:1043: checking whether we are using GNU C" >&5
 if eval "test \"`echo '$''{'ac_cv_prog_gcc'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
@@ -807,7 +1048,7 @@
   yes;
 #endif
 EOF
-if { ac_try='${CC-cc} -E conftest.c'; { (eval echo configure:811: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }; } | egrep yes >/dev/null 2>&1; then
+if { ac_try='${CC-cc} -E conftest.c'; { (eval echo configure:1052: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }; } | egrep yes >/dev/null 2>&1; then
   ac_cv_prog_gcc=yes
 else
   ac_cv_prog_gcc=no
@@ -826,7 +1067,7 @@
 ac_save_CFLAGS="$CFLAGS"
 CFLAGS=
 echo $ac_n "checking whether ${CC-cc} accepts -g""... $ac_c" 1>&6
-echo "configure:830: checking whether ${CC-cc} accepts -g" >&5
+echo "configure:1071: checking whether ${CC-cc} accepts -g" >&5
 if eval "test \"`echo '$''{'ac_cv_prog_cc_g'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
@@ -858,7 +1099,7 @@
 fi
 
 echo $ac_n "checking how to run the C preprocessor""... $ac_c" 1>&6
-echo "configure:862: checking how to run the C preprocessor" >&5
+echo "configure:1103: checking how to run the C preprocessor" >&5
 # On Suns, sometimes $CPP names a directory.
 if test -n "$CPP" && test -d "$CPP"; then
   CPP=
@@ -873,13 +1114,13 @@
   # On the NeXT, cc -E runs the code through the compiler's parser,
   # not just through cpp.
   cat > conftest.$ac_ext <<EOF
-#line 877 "configure"
+#line 1118 "configure"
 #include "confdefs.h"
 #include <assert.h>
 Syntax Error
 EOF
 ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
-{ (eval echo configure:883: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
+{ (eval echo configure:1124: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
 ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
 if test -z "$ac_err"; then
   :
@@ -890,13 +1131,13 @@
   rm -rf conftest*
   CPP="${CC-cc} -E -traditional-cpp"
   cat > conftest.$ac_ext <<EOF
-#line 894 "configure"
+#line 1135 "configure"
 #include "confdefs.h"
 #include <assert.h>
 Syntax Error
 EOF
 ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
-{ (eval echo configure:900: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
+{ (eval echo configure:1141: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
 ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
 if test -z "$ac_err"; then
   :
@@ -907,13 +1148,13 @@
   rm -rf conftest*
   CPP="${CC-cc} -nologo -E"
   cat > conftest.$ac_ext <<EOF
-#line 911 "configure"
+#line 1152 "configure"
 #include "confdefs.h"
 #include <assert.h>
 Syntax Error
 EOF
 ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
-{ (eval echo configure:917: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
+{ (eval echo configure:1158: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
 ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
 if test -z "$ac_err"; then
   :
@@ -953,8 +1194,6 @@
 LIB_CLEAN=""				
 LIB_COMPILE=""				
 LIB_LINK=""				
-LIB_NAME=curses				
-LIB_PREFIX="-l"				
 LINK_TESTS=""				
 LINT=lint				
 LINT_OPTS=""				
@@ -970,12 +1209,12 @@
 cf_cv_libtype=
 
 echo $ac_n "checking for Cygwin environment""... $ac_c" 1>&6
-echo "configure:974: checking for Cygwin environment" >&5
+echo "configure:1213: checking for Cygwin environment" >&5
 if eval "test \"`echo '$''{'ac_cv_cygwin'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
   cat > conftest.$ac_ext <<EOF
-#line 979 "configure"
+#line 1218 "configure"
 #include "confdefs.h"
 
 int main() {
@@ -986,7 +1225,7 @@
 return __CYGWIN__;
 ; return 0; }
 EOF
-if { (eval echo configure:990: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
+if { (eval echo configure:1229: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
   rm -rf conftest*
   ac_cv_cygwin=yes
 else
@@ -1003,19 +1242,19 @@
 CYGWIN=
 test "$ac_cv_cygwin" = yes && CYGWIN=yes
 echo $ac_n "checking for mingw32 environment""... $ac_c" 1>&6
-echo "configure:1007: checking for mingw32 environment" >&5
+echo "configure:1246: checking for mingw32 environment" >&5
 if eval "test \"`echo '$''{'ac_cv_mingw32'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
   cat > conftest.$ac_ext <<EOF
-#line 1012 "configure"
+#line 1251 "configure"
 #include "confdefs.h"
 
 int main() {
 return __MINGW32__;
 ; return 0; }
 EOF
-if { (eval echo configure:1019: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
+if { (eval echo configure:1258: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
   rm -rf conftest*
   ac_cv_mingw32=yes
 else
@@ -1034,7 +1273,7 @@
 
 
 echo $ac_n "checking for executable suffix""... $ac_c" 1>&6
-echo "configure:1038: checking for executable suffix" >&5
+echo "configure:1277: checking for executable suffix" >&5
 if eval "test \"`echo '$''{'ac_cv_exeext'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
@@ -1044,7 +1283,7 @@
   rm -f conftest*
   echo 'int main () { return 0; }' > conftest.$ac_ext
   ac_cv_exeext=
-  if { (eval echo configure:1048: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; }; then
+  if { (eval echo configure:1287: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; }; then
     for file in conftest.*; do
       case $file in
       *.c | *.o | *.obj) ;;
@@ -1065,13 +1304,13 @@
 ac_exeext=$EXEEXT
 
 echo $ac_n "checking for object suffix""... $ac_c" 1>&6
-echo "configure:1069: checking for object suffix" >&5
+echo "configure:1308: checking for object suffix" >&5
 if eval "test \"`echo '$''{'ac_cv_objext'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
   rm -f conftest*
 echo 'int i = 1;' > conftest.$ac_ext
-if { (eval echo configure:1075: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
+if { (eval echo configure:1314: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
   for ac_file in conftest.*; do
     case $ac_file in
     *.c) ;;
@@ -1091,7 +1330,7 @@
 
 
 echo $ac_n "checking for ${CC-cc} option to accept ANSI C""... $ac_c" 1>&6
-echo "configure:1095: checking for ${CC-cc} option to accept ANSI C" >&5
+echo "configure:1334: checking for ${CC-cc} option to accept ANSI C" >&5
 if eval "test \"`echo '$''{'cf_cv_ansi_cc'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
@@ -1187,7 +1426,7 @@
 
 
 	cat > conftest.$ac_ext <<EOF
-#line 1191 "configure"
+#line 1430 "configure"
 #include "confdefs.h"
 
 #ifndef CC_HAS_PROTOS
@@ -1203,7 +1442,7 @@
 	struct s2 {int (*f) (double a);};
 ; return 0; }
 EOF
-if { (eval echo configure:1207: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
+if { (eval echo configure:1446: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
   rm -rf conftest*
   cf_cv_ansi_cc="$cf_arg"; break
 else
@@ -1312,18 +1551,53 @@
 
 
 
+GCC_VERSION=none
+if test "$GCC" = yes ; then
+	echo $ac_n "checking version of $CC""... $ac_c" 1>&6
+echo "configure:1558: checking version of $CC" >&5
+	GCC_VERSION="`${CC} --version| sed -e '2,$d' -e 's/^.*(GCC) //' -e 's/^[^0-9.]*//' -e 's/[^0-9.].*//'`"
+	test -z "$GCC_VERSION" && GCC_VERSION=unknown
+	echo "$ac_t""$GCC_VERSION" 1>&6
+fi
+
+
+if ( test "$GCC" = yes || test "$GXX" = yes )
+then
+echo $ac_n "checking if you want to turn on gcc warnings""... $ac_c" 1>&6
+echo "configure:1568: checking if you want to turn on gcc warnings" >&5
+
+# Check whether --enable-warnings or --disable-warnings was given.
+if test "${enable_warnings+set}" = set; then
+  enableval="$enable_warnings"
+  test "$enableval" != yes && enableval=no
+  if test "$enableval" != "no" ; then
+    with_warnings=yes 
+  else
+    with_warnings=no
+  fi
+else
+  enableval=no 
+  with_warnings=no
+  
+fi
+
+echo "$ac_t""$with_warnings" 1>&6
+if test "$with_warnings" = "yes"
+then
+	
+
 
 INTEL_COMPILER=no
 
 if test "$GCC" = yes ; then
 	case $host_os in
 	linux*|gnu*)
-		echo $ac_n "checking if this is really Intel compiler""... $ac_c" 1>&6
-echo "configure:1323: checking if this is really Intel compiler" >&5
+		echo $ac_n "checking if this is really Intel C compiler""... $ac_c" 1>&6
+echo "configure:1597: checking if this is really Intel C compiler" >&5
 		cf_save_CFLAGS="$CFLAGS"
 		CFLAGS="$CFLAGS -no-gcc"
 		cat > conftest.$ac_ext <<EOF
-#line 1327 "configure"
+#line 1601 "configure"
 #include "confdefs.h"
 
 int main() {
@@ -1335,7 +1609,7 @@
 
 ; return 0; }
 EOF
-if { (eval echo configure:1339: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
+if { (eval echo configure:1613: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
   rm -rf conftest*
   INTEL_COMPILER=yes
 cf_save_CFLAGS="$cf_save_CFLAGS -we147 -no-gcc"
@@ -1352,6 +1626,214 @@
 fi
 
 
+cat > conftest.$ac_ext <<EOF
+#line 1631 "configure"
+int main(int argc, char *argv[]) { return (argv[argc-1] == 0) ; }
+EOF
+
+if test "$INTEL_COMPILER" = yes
+then
+# The "-wdXXX" options suppress warnings:
+# remark #1419: external declaration in primary source file
+# remark #1682: implicit conversion of a 64-bit integral type to a smaller integral type (potential portability problem)
+# remark #1683: explicit conversion of a 64-bit integral type to a smaller integral type (potential portability problem)
+# remark #1684: conversion from pointer to same-sized integral type (potential portability problem)
+# remark #193: zero used for undefined preprocessing identifier
+# remark #593: variable "curs_sb_left_arrow" was set but never used
+# remark #810: conversion from "int" to "Dimension={unsigned short}" may lose significant bits
+# remark #869: parameter "tw" was never referenced
+# remark #981: operands are evaluated in unspecified order
+# warning #269: invalid format string conversion
+
+	echo "checking for $CC warning options" 1>&6
+echo "configure:1650: checking for $CC warning options" >&5
+	cf_save_CFLAGS="$CFLAGS"
+	EXTRA_CFLAGS="-Wall"
+	for cf_opt in  \
+		wd1419 \
+		wd1682 \
+		wd1683 \
+		wd1684 \
+		wd193 \
+		wd279 \
+		wd593 \
+		wd810 \
+		wd869 \
+		wd981
+	do
+		CFLAGS="$cf_save_CFLAGS $EXTRA_CFLAGS -$cf_opt"
+		if { (eval echo configure:1666: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
+			test -n "$verbose" && echo "$ac_t""... -$cf_opt" 1>&6
+			EXTRA_CFLAGS="$EXTRA_CFLAGS -$cf_opt"
+		fi
+	done
+	CFLAGS="$cf_save_CFLAGS"
+
+elif test "$GCC" = yes
+then
+	echo "checking for $CC warning options" 1>&6
+echo "configure:1676: checking for $CC warning options" >&5
+	cf_save_CFLAGS="$CFLAGS"
+	EXTRA_CFLAGS="-W -Wall"
+	cf_warn_CONST=""
+	test "$with_ext_const" = yes && cf_warn_CONST="Wwrite-strings"
+	for cf_opt in \
+		Wbad-function-cast \
+		Wcast-align \
+		Wcast-qual \
+		Winline \
+		Wmissing-declarations \
+		Wmissing-prototypes \
+		Wnested-externs \
+		Wpointer-arith \
+		Wshadow \
+		Wstrict-prototypes \
+		Wundef $cf_warn_CONST 
+	do
+		CFLAGS="$cf_save_CFLAGS $EXTRA_CFLAGS -$cf_opt"
+		if { (eval echo configure:1695: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
+			test -n "$verbose" && echo "$ac_t""... -$cf_opt" 1>&6
+			case $cf_opt in #(vi
+			Wcast-qual) #(vi
+				CPPFLAGS="$CPPFLAGS -DXTSTRINGDEFINES"
+				;;
+			Winline) #(vi
+				case $GCC_VERSION in
+				3.3*)
+					test -n "$verbose" && echo "	feature is broken in gcc $GCC_VERSION" 1>&6
+
+					continue;;
+				esac
+				;;
+			esac
+			EXTRA_CFLAGS="$EXTRA_CFLAGS -$cf_opt"
+		fi
+	done
+	CFLAGS="$cf_save_CFLAGS"
+fi
+rm -f conftest*
+
+
+
+fi
+fi
+
+
+if test "$GCC" = yes
+then
+cat > conftest.i <<EOF
+#ifndef GCC_PRINTF
+#define GCC_PRINTF 0
+#endif
+#ifndef GCC_SCANF
+#define GCC_SCANF 0
+#endif
+#ifndef GCC_NORETURN
+#define GCC_NORETURN /* nothing */
+#endif
+#ifndef GCC_UNUSED
+#define GCC_UNUSED /* nothing */
+#endif
+EOF
+if test "$GCC" = yes
+then
+	echo "checking for $CC __attribute__ directives" 1>&6
+echo "configure:1742: checking for $CC __attribute__ directives" >&5
+cat > conftest.$ac_ext <<EOF
+#line 1744 "configure"
+#include "confdefs.h"
+#include "conftest.h"
+#include "conftest.i"
+#if	GCC_PRINTF
+#define GCC_PRINTFLIKE(fmt,var) __attribute__((format(printf,fmt,var)))
+#else
+#define GCC_PRINTFLIKE(fmt,var) /*nothing*/
+#endif
+#if	GCC_SCANF
+#define GCC_SCANFLIKE(fmt,var)  __attribute__((format(scanf,fmt,var)))
+#else
+#define GCC_SCANFLIKE(fmt,var)  /*nothing*/
+#endif
+extern void wow(char *,...) GCC_SCANFLIKE(1,2);
+extern void oops(char *,...) GCC_PRINTFLIKE(1,2) GCC_NORETURN;
+extern void foo(void) GCC_NORETURN;
+int main(int argc GCC_UNUSED, char *argv[] GCC_UNUSED) { return 0; }
+EOF
+	for cf_attribute in scanf printf unused noreturn
+	do
+		
+cf_ATTRIBUTE=`echo "$cf_attribute" | sed y%abcdefghijklmnopqrstuvwxyz./-%ABCDEFGHIJKLMNOPQRSTUVWXYZ___%`
+
+		cf_directive="__attribute__(($cf_attribute))"
+		echo "checking for $CC $cf_directive" 1>&5
+		case $cf_attribute in
+		scanf|printf)
+		cat >conftest.h <<EOF
+#define GCC_$cf_ATTRIBUTE 1
+EOF
+			;;
+		*)
+		cat >conftest.h <<EOF
+#define GCC_$cf_ATTRIBUTE $cf_directive
+EOF
+			;;
+		esac
+		if { (eval echo configure:1782: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
+			test -n "$verbose" && echo "$ac_t""... $cf_attribute" 1>&6
+			cat conftest.h >>confdefs.h
+		fi
+	done
+else
+	fgrep define conftest.i >>confdefs.h
+fi
+rm -rf conftest*
+fi
+
+
+echo $ac_n "checking if $CC -U and -D options work together""... $ac_c" 1>&6
+echo "configure:1795: checking if $CC -U and -D options work together" >&5
+if eval "test \"`echo '$''{'cf_cv_cc_u_d_options'+set}'`\" = set"; then
+  echo $ac_n "(cached) $ac_c" 1>&6
+else
+  
+	cf_save_CPPFLAGS="$CPPFLAGS"
+	CPPFLAGS="-UU_D_OPTIONS -DU_D_OPTIONS -DD_U_OPTIONS -UD_U_OPTIONS"
+	cat > conftest.$ac_ext <<EOF
+#line 1803 "configure"
+#include "confdefs.h"
+
+int main() {
+
+#ifndef U_D_OPTIONS
+make an undefined-error
+#endif
+#ifdef  D_U_OPTIONS
+make a defined-error
+#endif
+	
+; return 0; }
+EOF
+if { (eval echo configure:1817: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
+  rm -rf conftest*
+  
+	cf_cv_cc_u_d_options=yes
+else
+  echo "configure: failed program was:" >&5
+  cat conftest.$ac_ext >&5
+  rm -rf conftest*
+  
+	cf_cv_cc_u_d_options=no
+fi
+rm -f conftest*
+	CPPFLAGS="$cf_save_CPPFLAGS"
+
+fi
+
+echo "$ac_t""$cf_cv_cc_u_d_options" 1>&6
+
+
+
+
 
 cf_XOPEN_SOURCE=500
 cf_POSIX_C_SOURCE=199506L
@@ -1376,17 +1858,14 @@
 	;;
 linux*|gnu*) #(vi
 	
-
-
-if test "$INTEL_COMPILER" = no ; then
 echo $ac_n "checking if we must define _GNU_SOURCE""... $ac_c" 1>&6
-echo "configure:1384: checking if we must define _GNU_SOURCE" >&5
+echo "configure:1863: checking if we must define _GNU_SOURCE" >&5
 if eval "test \"`echo '$''{'cf_cv_gnu_source'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
   
 cat > conftest.$ac_ext <<EOF
-#line 1390 "configure"
+#line 1869 "configure"
 #include "confdefs.h"
 #include <sys/types.h>
 int main() {
@@ -1396,7 +1875,7 @@
 #endif
 ; return 0; }
 EOF
-if { (eval echo configure:1400: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
+if { (eval echo configure:1879: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
   rm -rf conftest*
   cf_cv_gnu_source=no
 else
@@ -1406,7 +1885,7 @@
   cf_save="$CPPFLAGS"
 	 CPPFLAGS="$CPPFLAGS -D_GNU_SOURCE"
 	 cat > conftest.$ac_ext <<EOF
-#line 1410 "configure"
+#line 1889 "configure"
 #include "confdefs.h"
 #include <sys/types.h>
 int main() {
@@ -1416,7 +1895,7 @@
 #endif
 ; return 0; }
 EOF
-if { (eval echo configure:1420: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
+if { (eval echo configure:1899: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
   rm -rf conftest*
   cf_cv_gnu_source=no
 else
@@ -1435,7 +1914,6 @@
 
 echo "$ac_t""$cf_cv_gnu_source" 1>&6
 test "$cf_cv_gnu_source" = yes && CPPFLAGS="$CPPFLAGS -D_GNU_SOURCE"
-fi
 
 	;;
 mirbsd*) #(vi
@@ -1450,6 +1928,9 @@
 osf[45]*) #(vi
 	CPPFLAGS="$CPPFLAGS -D_OSF_SOURCE"
 	;;
+nto-qnx*) #(vi
+	CPPFLAGS="$CPPFLAGS -D_QNX_SOURCE"
+	;;
 sco*) #(vi
 	# setting _XOPEN_SOURCE breaks Lynx on SCO Unix / OpenServer
 	;;
@@ -1458,13 +1939,13 @@
 	;;
 *)
 	echo $ac_n "checking if we should define _XOPEN_SOURCE""... $ac_c" 1>&6
-echo "configure:1462: checking if we should define _XOPEN_SOURCE" >&5
+echo "configure:1943: checking if we should define _XOPEN_SOURCE" >&5
 if eval "test \"`echo '$''{'cf_cv_xopen_source'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
   
 	cat > conftest.$ac_ext <<EOF
-#line 1468 "configure"
+#line 1949 "configure"
 #include "confdefs.h"
 #include <sys/types.h>
 int main() {
@@ -1474,7 +1955,7 @@
 #endif
 ; return 0; }
 EOF
-if { (eval echo configure:1478: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
+if { (eval echo configure:1959: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
   rm -rf conftest*
   cf_cv_xopen_source=no
 else
@@ -1484,7 +1965,7 @@
   cf_save="$CPPFLAGS"
 	 CPPFLAGS="$CPPFLAGS -D_XOPEN_SOURCE=$cf_XOPEN_SOURCE"
 	 cat > conftest.$ac_ext <<EOF
-#line 1488 "configure"
+#line 1969 "configure"
 #include "confdefs.h"
 #include <sys/types.h>
 int main() {
@@ -1494,7 +1975,7 @@
 #endif
 ; return 0; }
 EOF
-if { (eval echo configure:1498: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
+if { (eval echo configure:1979: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
   rm -rf conftest*
   cf_cv_xopen_source=no
 else
@@ -1512,20 +1993,53 @@
 fi
 
 echo "$ac_t""$cf_cv_xopen_source" 1>&6
-test "$cf_cv_xopen_source" != no && CPPFLAGS="$CPPFLAGS -U_XOPEN_SOURCE -D_XOPEN_SOURCE=$cf_cv_xopen_source"
+	if test "$cf_cv_xopen_source" != no ; then
+		
+# remove _XOPEN_SOURCE symbol from $CFLAGS
+CFLAGS=`echo "$CFLAGS" | \
+	sed	-e 's/-[UD]_XOPEN_SOURCE\(=[^ 	]*\)\?[ 	]/ /g' \
+		-e 's/-[UD]_XOPEN_SOURCE\(=[^ 	]*\)\?$//g'`
+
+		
+# remove _XOPEN_SOURCE symbol from $CPPFLAGS
+CPPFLAGS=`echo "$CPPFLAGS" | \
+	sed	-e 's/-[UD]_XOPEN_SOURCE\(=[^ 	]*\)\?[ 	]/ /g' \
+		-e 's/-[UD]_XOPEN_SOURCE\(=[^ 	]*\)\?$//g'`
+
+		test "$cf_cv_cc_u_d_options" = yes && \
+			CPPFLAGS="$CPPFLAGS -U_XOPEN_SOURCE"
+		CPPFLAGS="$CPPFLAGS -D_XOPEN_SOURCE=$cf_cv_xopen_source"
+	fi
 	
 cf_POSIX_C_SOURCE=$cf_POSIX_C_SOURCE
+
+cf_save_CFLAGS="$CFLAGS"
+cf_save_CPPFLAGS="$CPPFLAGS"
+
+
+# remove _POSIX_C_SOURCE symbol from $cf_save_CFLAGS
+cf_trim_CFLAGS=`echo "$cf_save_CFLAGS" | \
+	sed	-e 's/-[UD]_POSIX_C_SOURCE\(=[^ 	]*\)\?[ 	]/ /g' \
+		-e 's/-[UD]_POSIX_C_SOURCE\(=[^ 	]*\)\?$//g'`
+
+
+# remove _POSIX_C_SOURCE symbol from $cf_save_CPPFLAGS
+cf_trim_CPPFLAGS=`echo "$cf_save_CPPFLAGS" | \
+	sed	-e 's/-[UD]_POSIX_C_SOURCE\(=[^ 	]*\)\?[ 	]/ /g' \
+		-e 's/-[UD]_POSIX_C_SOURCE\(=[^ 	]*\)\?$//g'`
+
+
 echo $ac_n "checking if we should define _POSIX_C_SOURCE""... $ac_c" 1>&6
-echo "configure:1520: checking if we should define _POSIX_C_SOURCE" >&5
+echo "configure:2034: checking if we should define _POSIX_C_SOURCE" >&5
 if eval "test \"`echo '$''{'cf_cv_posix_c_source'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
   
 	
-echo "(line 1526) testing if the symbol is already defined go no further ..." 1>&5
+echo "(line 2040) testing if the symbol is already defined go no further ..." 1>&5
 
 	cat > conftest.$ac_ext <<EOF
-#line 1529 "configure"
+#line 2043 "configure"
 #include "confdefs.h"
 #include <sys/types.h>
 int main() {
@@ -1535,7 +2049,7 @@
 #endif
 ; return 0; }
 EOF
-if { (eval echo configure:1539: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
+if { (eval echo configure:2053: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
   rm -rf conftest*
   cf_cv_posix_c_source=no
 else
@@ -1543,12 +2057,12 @@
   cat conftest.$ac_ext >&5
   rm -rf conftest*
   cf_want_posix_source=no
-	 case .$cf_POSIX_C_SOURCE in
-	 .[12]??*)
-		cf_cv_posix_c_source="-U_POSIX_C_SOURCE -D_POSIX_C_SOURCE=$cf_POSIX_C_SOURCE"
+	 case .$cf_POSIX_C_SOURCE in #(vi
+	 .[12]??*) #(vi
+		cf_cv_posix_c_source="-D_POSIX_C_SOURCE=$cf_POSIX_C_SOURCE"
 		;;
-	 .2)
-		cf_cv_posix_c_source="-U_POSIX_C_SOURCE -D_POSIX_C_SOURCE=$cf_POSIX_C_SOURCE"
+	 .2) #(vi
+		cf_cv_posix_c_source="-D_POSIX_C_SOURCE=$cf_POSIX_C_SOURCE"
 		cf_want_posix_source=yes
 		;;
 	 .*)
@@ -1557,7 +2071,7 @@
 	 esac
 	 if test "$cf_want_posix_source" = yes ; then
 		cat > conftest.$ac_ext <<EOF
-#line 1561 "configure"
+#line 2075 "configure"
 #include "confdefs.h"
 #include <sys/types.h>
 int main() {
@@ -1567,26 +2081,26 @@
 #endif
 ; return 0; }
 EOF
-if { (eval echo configure:1571: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
+if { (eval echo configure:2085: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
   :
 else
   echo "configure: failed program was:" >&5
   cat conftest.$ac_ext >&5
   rm -rf conftest*
-  cf_cv_posix_c_source="$cf_cv_posix_c_source -U_POSIX_SOURCE -D_POSIX_SOURCE"
+  cf_cv_posix_c_source="$cf_cv_posix_c_source -D_POSIX_SOURCE"
 fi
 rm -f conftest*
 	 fi
 	 
-echo "(line 1582) testing ifdef from value $cf_POSIX_C_SOURCE ..." 1>&5
+echo "(line 2096) testing ifdef from value $cf_POSIX_C_SOURCE ..." 1>&5
 
-	 cf_save="$CPPFLAGS"
-	 CPPFLAGS="$CPPFLAGS $cf_cv_posix_c_source"
+	 CFLAGS="$cf_trim_CFLAGS"
+	 CPPFLAGS="$cf_trim_CPPFLAGS $cf_cv_posix_c_source"
 	 
-echo "(line 1587) testing if the second compile does not leave our definition intact error ..." 1>&5
+echo "(line 2101) testing if the second compile does not leave our definition intact error ..." 1>&5
 
 	 cat > conftest.$ac_ext <<EOF
-#line 1590 "configure"
+#line 2104 "configure"
 #include "confdefs.h"
 #include <sys/types.h>
 int main() {
@@ -1596,7 +2110,7 @@
 #endif
 ; return 0; }
 EOF
-if { (eval echo configure:1600: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
+if { (eval echo configure:2114: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
   :
 else
   echo "configure: failed program was:" >&5
@@ -1605,7 +2119,8 @@
   cf_cv_posix_c_source=no
 fi
 rm -f conftest*
-	CPPFLAGS="$cf_save"
+	 CFLAGS="$cf_save_CFLAGS"
+	 CPPFLAGS="$cf_save_CPPFLAGS"
 	
 fi
 rm -f conftest*
@@ -1613,7 +2128,18 @@
 fi
 
 echo "$ac_t""$cf_cv_posix_c_source" 1>&6
-test "$cf_cv_posix_c_source" != no && CPPFLAGS="$CPPFLAGS $cf_cv_posix_c_source"
+
+if test "$cf_cv_posix_c_source" != no ; then
+	CFLAGS="$cf_trim_CFLAGS"
+	CPPFLAGS="$cf_trim_CPPFLAGS"
+	if test "$cf_cv_cc_u_d_options" = yes ; then
+		cf_temp_posix_c_source=`echo "$cf_cv_posix_c_source" | \
+				sed -e 's/-D/-U/g' -e 's/=[^ 	]*//g'`
+		CPPFLAGS="$CPPFLAGS $cf_temp_posix_c_source"
+	fi
+	CPPFLAGS="$CPPFLAGS $cf_cv_posix_c_source"
+fi
+
 
 	;;
 esac
@@ -1669,14 +2195,26 @@
 if test "${with_ncursesw+set}" = set; then
   withval="$with_ncursesw"
   cf_cv_screen=ncursesw
-fi
-
+else
+  
 
 
 # Check whether --with-ncurses or --without-ncurses was given.
 if test "${with_ncurses+set}" = set; then
   withval="$with_ncurses"
   cf_cv_screen=ncurses
+else
+  
+
+
+# Check whether --with-pdcurses or --without-pdcurses was given.
+if test "${with_pdcurses+set}" = set; then
+  withval="$with_pdcurses"
+  cf_cv_screen=pdcurses
+fi
+
+fi
+
 fi
 
 
@@ -1685,7 +2223,7 @@
 	
 
 echo $ac_n "checking for extra include directories""... $ac_c" 1>&6
-echo "configure:1689: checking for extra include directories" >&5
+echo "configure:2227: checking for extra include directories" >&5
 if eval "test \"`echo '$''{'cf_cv_curses_incdir'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
@@ -1708,8 +2246,9 @@
 echo "$ac_t""$cf_cv_curses_incdir" 1>&6
 test "$cf_cv_curses_incdir" != no && CPPFLAGS="$cf_cv_curses_incdir $CPPFLAGS"
 
+
 echo $ac_n "checking if we have identified curses headers""... $ac_c" 1>&6
-echo "configure:1713: checking if we have identified curses headers" >&5
+echo "configure:2252: checking if we have identified curses headers" >&5
 if eval "test \"`echo '$''{'cf_cv_ncurses_header'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
@@ -1722,14 +2261,14 @@
 	ncurses/ncurses.h
 do
 cat > conftest.$ac_ext <<EOF
-#line 1726 "configure"
+#line 2265 "configure"
 #include "confdefs.h"
 #include <${cf_header}>
 int main() {
 initscr(); tgoto("?", 0,0)
 ; return 0; }
 EOF
-if { (eval echo configure:1733: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
+if { (eval echo configure:2272: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
   rm -rf conftest*
   cf_cv_ncurses_header=$cf_header; break
 else
@@ -1752,17 +2291,17 @@
 do
 ac_safe=`echo "$ac_hdr" | sed 'y%./+-%__p_%'`
 echo $ac_n "checking for $ac_hdr""... $ac_c" 1>&6
-echo "configure:1756: checking for $ac_hdr" >&5
+echo "configure:2295: checking for $ac_hdr" >&5
 if eval "test \"`echo '$''{'ac_cv_header_$ac_safe'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
   cat > conftest.$ac_ext <<EOF
-#line 1761 "configure"
+#line 2300 "configure"
 #include "confdefs.h"
 #include <$ac_hdr>
 EOF
 ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
-{ (eval echo configure:1766: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
+{ (eval echo configure:2305: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
 ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
 if test -z "$ac_err"; then
   rm -rf conftest*
@@ -1790,9 +2329,84 @@
 
 
 
+echo $ac_n "checking for terminfo header""... $ac_c" 1>&6
+echo "configure:2334: checking for terminfo header" >&5
+if eval "test \"`echo '$''{'cf_cv_term_header'+set}'`\" = set"; then
+  echo $ac_n "(cached) $ac_c" 1>&6
+else
+  
+case ${cf_cv_ncurses_header} in #(vi
+*/ncurses.h|*/ncursesw.h) #(vi
+	cf_term_header=`echo "$cf_cv_ncurses_header" | sed -e 's%ncurses[^.]*\.h$%term.h%'`
+	;;
+*)
+	cf_term_header=term.h
+	;;
+esac
+
+for cf_test in $cf_term_header "ncurses/term.h" "ncursesw/term.h"
+do
+cat > conftest.$ac_ext <<EOF
+#line 2351 "configure"
+#include "confdefs.h"
+#include <stdio.h>
+#include <${cf_cv_ncurses_header-curses.h}>
+#include <$cf_test>
+
+int main() {
+int x = auto_left_margin
+; return 0; }
+EOF
+if { (eval echo configure:2361: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
+  rm -rf conftest*
+  
+	cf_cv_term_header="$cf_test"
+else
+  echo "configure: failed program was:" >&5
+  cat conftest.$ac_ext >&5
+  rm -rf conftest*
+  
+	cf_cv_term_header=unknown
+	
+fi
+rm -f conftest*
+	test "$cf_cv_term_header" != unknown && break
+done
+
+fi
+
+echo "$ac_t""$cf_cv_term_header" 1>&6
+
+# Set definitions to allow ifdef'ing to accommodate subdirectories
+
+case $cf_cv_term_header in # (vi
+*term.h)
+	cat >> confdefs.h <<\EOF
+#define HAVE_TERM_H 1
+EOF
+
+	;;
+esac
+
+case $cf_cv_term_header in # (vi
+ncurses/term.h) #(vi
+	cat >> confdefs.h <<\EOF
+#define HAVE_NCURSES_TERM_H 1
+EOF
+
+	;;
+ncursesw/term.h)
+	cat >> confdefs.h <<\EOF
+#define HAVE_NCURSESW_TERM_H 1
+EOF
+
+	;;
+esac
+
+
 	
 echo $ac_n "checking for ncurses version""... $ac_c" 1>&6
-echo "configure:1796: checking for ncurses version" >&5
+echo "configure:2410: checking for ncurses version" >&5
 if eval "test \"`echo '$''{'cf_cv_ncurses_version'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
@@ -1818,7 +2432,7 @@
 #endif
 EOF
 	cf_try="$ac_cpp conftest.$ac_ext 2>&5 | grep '^Autoconf ' >conftest.out"
-	{ (eval echo configure:1822: \"$cf_try\") 1>&5; (eval $cf_try) 2>&5; }
+	{ (eval echo configure:2436: \"$cf_try\") 1>&5; (eval $cf_try) 2>&5; }
 	if test -f conftest.out ; then
 		cf_out=`cat conftest.out | sed -e 's%^Autoconf %%' -e 's%^[^"]*"%%' -e 's%".*%%'`
 		test -n "$cf_out" && cf_cv_ncurses_version="$cf_out"
@@ -1827,7 +2441,7 @@
 
 else
   cat > conftest.$ac_ext <<EOF
-#line 1831 "configure"
+#line 2445 "configure"
 #include "confdefs.h"
 
 #include <${cf_cv_ncurses_header-curses.h}>
@@ -1851,7 +2465,7 @@
 	exit(0);
 }
 EOF
-if { (eval echo configure:1855: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext} && (./conftest; exit) 2>/dev/null
+if { (eval echo configure:2469: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext} && (./conftest; exit) 2>/dev/null
 then
   
 	cf_cv_ncurses_version=`cat $cf_tempfile`
@@ -1875,16 +2489,16 @@
 	
 
 echo $ac_n "checking if we have identified curses libraries""... $ac_c" 1>&6
-echo "configure:1879: checking if we have identified curses libraries" >&5
+echo "configure:2493: checking if we have identified curses libraries" >&5
 cat > conftest.$ac_ext <<EOF
-#line 1881 "configure"
+#line 2495 "configure"
 #include "confdefs.h"
 #include <${cf_cv_ncurses_header-curses.h}>
 int main() {
 initscr(); tgoto("?", 0,0)
 ; return 0; }
 EOF
-if { (eval echo configure:1888: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+if { (eval echo configure:2502: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
   rm -rf conftest*
   cf_result=yes
 else
@@ -1900,7 +2514,7 @@
 case $host_os in #(vi
 freebsd*) #(vi
 	echo $ac_n "checking for tgoto in -lmytinfo""... $ac_c" 1>&6
-echo "configure:1904: checking for tgoto in -lmytinfo" >&5
+echo "configure:2518: checking for tgoto in -lmytinfo" >&5
 ac_lib_var=`echo mytinfo'_'tgoto | sed 'y%./+-%__p_%'`
 if eval "test \"`echo '$''{'ac_cv_lib_$ac_lib_var'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
@@ -1908,7 +2522,7 @@
   ac_save_LIBS="$LIBS"
 LIBS="-lmytinfo  $LIBS"
 cat > conftest.$ac_ext <<EOF
-#line 1912 "configure"
+#line 2526 "configure"
 #include "confdefs.h"
 /* Override any gcc2 internal prototype to avoid an error.  */
 /* We use char because int might match the return type of a gcc2
@@ -1919,7 +2533,7 @@
 tgoto()
 ; return 0; }
 EOF
-if { (eval echo configure:1923: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+if { (eval echo configure:2537: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
   rm -rf conftest*
   eval "ac_cv_lib_$ac_lib_var=yes"
 else
@@ -1942,7 +2556,7 @@
 	;;
 hpux10.*|hpux11.*) #(vi
 	echo $ac_n "checking for initscr in -lcur_colr""... $ac_c" 1>&6
-echo "configure:1946: checking for initscr in -lcur_colr" >&5
+echo "configure:2560: checking for initscr in -lcur_colr" >&5
 ac_lib_var=`echo cur_colr'_'initscr | sed 'y%./+-%__p_%'`
 if eval "test \"`echo '$''{'ac_cv_lib_$ac_lib_var'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
@@ -1950,7 +2564,7 @@
   ac_save_LIBS="$LIBS"
 LIBS="-lcur_colr  $LIBS"
 cat > conftest.$ac_ext <<EOF
-#line 1954 "configure"
+#line 2568 "configure"
 #include "confdefs.h"
 /* Override any gcc2 internal prototype to avoid an error.  */
 /* We use char because int might match the return type of a gcc2
@@ -1961,7 +2575,7 @@
 initscr()
 ; return 0; }
 EOF
-if { (eval echo configure:1965: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+if { (eval echo configure:2579: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
   rm -rf conftest*
   eval "ac_cv_lib_$ac_lib_var=yes"
 else
@@ -1984,7 +2598,7 @@
   echo "$ac_t""no" 1>&6
 
 	echo $ac_n "checking for initscr in -lHcurses""... $ac_c" 1>&6
-echo "configure:1988: checking for initscr in -lHcurses" >&5
+echo "configure:2602: checking for initscr in -lHcurses" >&5
 ac_lib_var=`echo Hcurses'_'initscr | sed 'y%./+-%__p_%'`
 if eval "test \"`echo '$''{'ac_cv_lib_$ac_lib_var'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
@@ -1992,7 +2606,7 @@
   ac_save_LIBS="$LIBS"
 LIBS="-lHcurses  $LIBS"
 cat > conftest.$ac_ext <<EOF
-#line 1996 "configure"
+#line 2610 "configure"
 #include "confdefs.h"
 /* Override any gcc2 internal prototype to avoid an error.  */
 /* We use char because int might match the return type of a gcc2
@@ -2003,7 +2617,7 @@
 initscr()
 ; return 0; }
 EOF
-if { (eval echo configure:2007: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+if { (eval echo configure:2621: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
   rm -rf conftest*
   eval "ac_cv_lib_$ac_lib_var=yes"
 else
@@ -2056,12 +2670,12 @@
 	# Check for library containing tgoto.  Do this before curses library
 	# because it may be needed to link the test-case for initscr.
 	echo $ac_n "checking for tgoto""... $ac_c" 1>&6
-echo "configure:2060: checking for tgoto" >&5
+echo "configure:2674: checking for tgoto" >&5
 if eval "test \"`echo '$''{'ac_cv_func_tgoto'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
   cat > conftest.$ac_ext <<EOF
-#line 2065 "configure"
+#line 2679 "configure"
 #include "confdefs.h"
 /* System header to define __stub macros and hopefully few prototypes,
     which can conflict with char tgoto(); below.  */
@@ -2084,7 +2698,7 @@
 
 ; return 0; }
 EOF
-if { (eval echo configure:2088: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+if { (eval echo configure:2702: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
   rm -rf conftest*
   eval "ac_cv_func_tgoto=yes"
 else
@@ -2105,7 +2719,7 @@
 		for cf_term_lib in $cf_check_list termcap termlib unknown
 		do
 			echo $ac_n "checking for tgoto in -l$cf_term_lib""... $ac_c" 1>&6
-echo "configure:2109: checking for tgoto in -l$cf_term_lib" >&5
+echo "configure:2723: checking for tgoto in -l$cf_term_lib" >&5
 ac_lib_var=`echo $cf_term_lib'_'tgoto | sed 'y%./+-%__p_%'`
 if eval "test \"`echo '$''{'ac_cv_lib_$ac_lib_var'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
@@ -2113,7 +2727,7 @@
   ac_save_LIBS="$LIBS"
 LIBS="-l$cf_term_lib  $LIBS"
 cat > conftest.$ac_ext <<EOF
-#line 2117 "configure"
+#line 2731 "configure"
 #include "confdefs.h"
 /* Override any gcc2 internal prototype to avoid an error.  */
 /* We use char because int might match the return type of a gcc2
@@ -2124,7 +2738,7 @@
 tgoto()
 ; return 0; }
 EOF
-if { (eval echo configure:2128: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+if { (eval echo configure:2742: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
   rm -rf conftest*
   eval "ac_cv_lib_$ac_lib_var=yes"
 else
@@ -2154,7 +2768,7 @@
 	for cf_curs_lib in $cf_check_list xcurses jcurses unknown
 	do
 		echo $ac_n "checking for initscr in -l$cf_curs_lib""... $ac_c" 1>&6
-echo "configure:2158: checking for initscr in -l$cf_curs_lib" >&5
+echo "configure:2772: checking for initscr in -l$cf_curs_lib" >&5
 ac_lib_var=`echo $cf_curs_lib'_'initscr | sed 'y%./+-%__p_%'`
 if eval "test \"`echo '$''{'ac_cv_lib_$ac_lib_var'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
@@ -2162,7 +2776,7 @@
   ac_save_LIBS="$LIBS"
 LIBS="-l$cf_curs_lib  $LIBS"
 cat > conftest.$ac_ext <<EOF
-#line 2166 "configure"
+#line 2780 "configure"
 #include "confdefs.h"
 /* Override any gcc2 internal prototype to avoid an error.  */
 /* We use char because int might match the return type of a gcc2
@@ -2173,7 +2787,7 @@
 initscr()
 ; return 0; }
 EOF
-if { (eval echo configure:2177: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+if { (eval echo configure:2791: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
   rm -rf conftest*
   eval "ac_cv_lib_$ac_lib_var=yes"
 else
@@ -2199,16 +2813,16 @@
 	LIBS="-l$cf_curs_lib $cf_save_LIBS"
 	if test "$cf_term_lib" = unknown ; then
 		echo $ac_n "checking if we can link with $cf_curs_lib library""... $ac_c" 1>&6
-echo "configure:2203: checking if we can link with $cf_curs_lib library" >&5
+echo "configure:2817: checking if we can link with $cf_curs_lib library" >&5
 		cat > conftest.$ac_ext <<EOF
-#line 2205 "configure"
+#line 2819 "configure"
 #include "confdefs.h"
 #include <${cf_cv_ncurses_header-curses.h}>
 int main() {
 initscr()
 ; return 0; }
 EOF
-if { (eval echo configure:2212: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+if { (eval echo configure:2826: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
   rm -rf conftest*
   cf_result=yes
 else
@@ -2224,16 +2838,16 @@
 		:
 	elif test "$cf_term_lib" != predefined ; then
 		echo $ac_n "checking if we need both $cf_curs_lib and $cf_term_lib libraries""... $ac_c" 1>&6
-echo "configure:2228: checking if we need both $cf_curs_lib and $cf_term_lib libraries" >&5
+echo "configure:2842: checking if we need both $cf_curs_lib and $cf_term_lib libraries" >&5
 		cat > conftest.$ac_ext <<EOF
-#line 2230 "configure"
+#line 2844 "configure"
 #include "confdefs.h"
 #include <${cf_cv_ncurses_header-curses.h}>
 int main() {
 initscr(); tgoto((char *)0, 0, 0);
 ; return 0; }
 EOF
-if { (eval echo configure:2237: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+if { (eval echo configure:2851: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
   rm -rf conftest*
   cf_result=no
 else
@@ -2243,14 +2857,14 @@
   
 			LIBS="-l$cf_curs_lib -l$cf_term_lib $cf_save_LIBS"
 			cat > conftest.$ac_ext <<EOF
-#line 2247 "configure"
+#line 2861 "configure"
 #include "confdefs.h"
 #include <${cf_cv_ncurses_header-curses.h}>
 int main() {
 initscr()
 ; return 0; }
 EOF
-if { (eval echo configure:2254: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+if { (eval echo configure:2868: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
   rm -rf conftest*
   cf_result=yes
 else
@@ -2280,7 +2894,7 @@
 CPPFLAGS="-I$cf_cv_curses_dir/include -I$cf_cv_curses_dir/include/$cf_ncuhdr_root $CPPFLAGS"
 
 echo $ac_n "checking for $cf_ncuhdr_root header in include-path""... $ac_c" 1>&6
-echo "configure:2284: checking for $cf_ncuhdr_root header in include-path" >&5
+echo "configure:2898: checking for $cf_ncuhdr_root header in include-path" >&5
 if eval "test \"`echo '$''{'cf_cv_ncurses_h'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
@@ -2291,7 +2905,7 @@
 	do
 		
 	cat > conftest.$ac_ext <<EOF
-#line 2295 "configure"
+#line 2909 "configure"
 #include "confdefs.h"
 
 
@@ -2312,7 +2926,7 @@
 	
 ; return 0; }
 EOF
-if { (eval echo configure:2316: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
+if { (eval echo configure:2930: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
   rm -rf conftest*
   cf_cv_ncurses_h=$cf_header
 	
@@ -2331,11 +2945,14 @@
 
 echo "$ac_t""$cf_cv_ncurses_h" 1>&6
 
+
+
 if test "$cf_cv_ncurses_h" != no ; then
 	cf_cv_ncurses_header=$cf_cv_ncurses_h
 else
+
 echo $ac_n "checking for $cf_ncuhdr_root include-path""... $ac_c" 1>&6
-echo "configure:2339: checking for $cf_ncuhdr_root include-path" >&5
+echo "configure:2956: checking for $cf_ncuhdr_root include-path" >&5
 if eval "test \"`echo '$''{'cf_cv_ncurses_h2'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
@@ -2430,14 +3047,14 @@
 				cf_save_CPPFLAGS="$CPPFLAGS"
 				CPPFLAGS="$CPPFLAGS -I$cf_add_incdir"
 				cat > conftest.$ac_ext <<EOF
-#line 2434 "configure"
+#line 3051 "configure"
 #include "confdefs.h"
 #include <stdio.h>
 int main() {
 printf("Hello")
 ; return 0; }
 EOF
-if { (eval echo configure:2441: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
+if { (eval echo configure:3058: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
   :
 else
   echo "configure: failed program was:" >&5
@@ -2464,7 +3081,7 @@
 		do
 			
 	cat > conftest.$ac_ext <<EOF
-#line 2468 "configure"
+#line 3085 "configure"
 #include "confdefs.h"
 
 
@@ -2485,7 +3102,7 @@
 	
 ; return 0; }
 EOF
-if { (eval echo configure:2489: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
+if { (eval echo configure:3106: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
   rm -rf conftest*
   cf_cv_ncurses_h2=$cf_header
 	
@@ -2532,14 +3149,14 @@
 				cf_save_CPPFLAGS="$CPPFLAGS"
 				CPPFLAGS="$CPPFLAGS -I$cf_add_incdir"
 				cat > conftest.$ac_ext <<EOF
-#line 2536 "configure"
+#line 3153 "configure"
 #include "confdefs.h"
 #include <stdio.h>
 int main() {
 printf("Hello")
 ; return 0; }
 EOF
-if { (eval echo configure:2543: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
+if { (eval echo configure:3160: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
   :
 else
   echo "configure: failed program was:" >&5
@@ -2563,10 +3180,7 @@
 
 fi
 
-cat >> confdefs.h <<\EOF
-#define NCURSES 1
-EOF
-
+# Set definitions to allow ifdef'ing for ncurses.h
 
 case $cf_cv_ncurses_header in # (vi
 *ncurses.h)
@@ -2593,16 +3207,99 @@
 esac
 
 
-echo $ac_n "checking for ncurses version""... $ac_c" 1>&6
-echo "configure:2598: checking for ncurses version" >&5
-if eval "test \"`echo '$''{'cf_cv_ncurses_version'+set}'`\" = set"; then
+
+echo $ac_n "checking for terminfo header""... $ac_c" 1>&6
+echo "configure:3213: checking for terminfo header" >&5
+if eval "test \"`echo '$''{'cf_cv_term_header'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
   
-	cf_cv_ncurses_version=no
-	cf_tempfile=out$$
-	rm -f $cf_tempfile
-	if test "$cross_compiling" = yes; then
+case ${cf_cv_ncurses_header} in #(vi
+*/ncurses.h|*/ncursesw.h) #(vi
+	cf_term_header=`echo "$cf_cv_ncurses_header" | sed -e 's%ncurses[^.]*\.h$%term.h%'`
+	;;
+*)
+	cf_term_header=term.h
+	;;
+esac
+
+for cf_test in $cf_term_header "ncurses/term.h" "ncursesw/term.h"
+do
+cat > conftest.$ac_ext <<EOF
+#line 3230 "configure"
+#include "confdefs.h"
+#include <stdio.h>
+#include <${cf_cv_ncurses_header-curses.h}>
+#include <$cf_test>
+
+int main() {
+int x = auto_left_margin
+; return 0; }
+EOF
+if { (eval echo configure:3240: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
+  rm -rf conftest*
+  
+	cf_cv_term_header="$cf_test"
+else
+  echo "configure: failed program was:" >&5
+  cat conftest.$ac_ext >&5
+  rm -rf conftest*
+  
+	cf_cv_term_header=unknown
+	
+fi
+rm -f conftest*
+	test "$cf_cv_term_header" != unknown && break
+done
+
+fi
+
+echo "$ac_t""$cf_cv_term_header" 1>&6
+
+# Set definitions to allow ifdef'ing to accommodate subdirectories
+
+case $cf_cv_term_header in # (vi
+*term.h)
+	cat >> confdefs.h <<\EOF
+#define HAVE_TERM_H 1
+EOF
+
+	;;
+esac
+
+case $cf_cv_term_header in # (vi
+ncurses/term.h) #(vi
+	cat >> confdefs.h <<\EOF
+#define HAVE_NCURSES_TERM_H 1
+EOF
+
+	;;
+ncursesw/term.h)
+	cat >> confdefs.h <<\EOF
+#define HAVE_NCURSESW_TERM_H 1
+EOF
+
+	;;
+esac
+
+
+# some applications need this, but should check for NCURSES_VERSION
+cat >> confdefs.h <<\EOF
+#define NCURSES 1
+EOF
+
+
+
+echo $ac_n "checking for ncurses version""... $ac_c" 1>&6
+echo "configure:3295: checking for ncurses version" >&5
+if eval "test \"`echo '$''{'cf_cv_ncurses_version'+set}'`\" = set"; then
+  echo $ac_n "(cached) $ac_c" 1>&6
+else
+  
+	cf_cv_ncurses_version=no
+	cf_tempfile=out$$
+	rm -f $cf_tempfile
+	if test "$cross_compiling" = yes; then
   
 
 	# This will not work if the preprocessor splits the line after the
@@ -2620,7 +3317,7 @@
 #endif
 EOF
 	cf_try="$ac_cpp conftest.$ac_ext 2>&5 | grep '^Autoconf ' >conftest.out"
-	{ (eval echo configure:2624: \"$cf_try\") 1>&5; (eval $cf_try) 2>&5; }
+	{ (eval echo configure:3321: \"$cf_try\") 1>&5; (eval $cf_try) 2>&5; }
 	if test -f conftest.out ; then
 		cf_out=`cat conftest.out | sed -e 's%^Autoconf %%' -e 's%^[^"]*"%%' -e 's%".*%%'`
 		test -n "$cf_out" && cf_cv_ncurses_version="$cf_out"
@@ -2629,7 +3326,7 @@
 
 else
   cat > conftest.$ac_ext <<EOF
-#line 2633 "configure"
+#line 3330 "configure"
 #include "confdefs.h"
 
 #include <${cf_cv_ncurses_header-curses.h}>
@@ -2653,7 +3350,7 @@
 	exit(0);
 }
 EOF
-if { (eval echo configure:2657: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext} && (./conftest; exit) 2>/dev/null
+if { (eval echo configure:3354: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext} && (./conftest; exit) 2>/dev/null
 then
   
 	cf_cv_ncurses_version=`cat $cf_tempfile`
@@ -2684,7 +3381,7 @@
 cf_ncurses_LIBS=""
 cf_ncurses_SAVE="$LIBS"
 echo $ac_n "checking for Gpm_Open in -lgpm""... $ac_c" 1>&6
-echo "configure:2688: checking for Gpm_Open in -lgpm" >&5
+echo "configure:3385: checking for Gpm_Open in -lgpm" >&5
 ac_lib_var=`echo gpm'_'Gpm_Open | sed 'y%./+-%__p_%'`
 if eval "test \"`echo '$''{'ac_cv_lib_$ac_lib_var'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
@@ -2692,7 +3389,7 @@
   ac_save_LIBS="$LIBS"
 LIBS="-lgpm  $LIBS"
 cat > conftest.$ac_ext <<EOF
-#line 2696 "configure"
+#line 3393 "configure"
 #include "confdefs.h"
 /* Override any gcc2 internal prototype to avoid an error.  */
 /* We use char because int might match the return type of a gcc2
@@ -2703,7 +3400,7 @@
 Gpm_Open()
 ; return 0; }
 EOF
-if { (eval echo configure:2707: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+if { (eval echo configure:3404: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
   rm -rf conftest*
   eval "ac_cv_lib_$ac_lib_var=yes"
 else
@@ -2719,7 +3416,7 @@
 if eval "test \"`echo '$ac_cv_lib_'$ac_lib_var`\" = yes"; then
   echo "$ac_t""yes" 1>&6
   echo $ac_n "checking for initscr in -lgpm""... $ac_c" 1>&6
-echo "configure:2723: checking for initscr in -lgpm" >&5
+echo "configure:3420: checking for initscr in -lgpm" >&5
 ac_lib_var=`echo gpm'_'initscr | sed 'y%./+-%__p_%'`
 if eval "test \"`echo '$''{'ac_cv_lib_$ac_lib_var'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
@@ -2727,7 +3424,7 @@
   ac_save_LIBS="$LIBS"
 LIBS="-lgpm  $LIBS"
 cat > conftest.$ac_ext <<EOF
-#line 2731 "configure"
+#line 3428 "configure"
 #include "confdefs.h"
 /* Override any gcc2 internal prototype to avoid an error.  */
 /* We use char because int might match the return type of a gcc2
@@ -2738,7 +3435,7 @@
 initscr()
 ; return 0; }
 EOF
-if { (eval echo configure:2742: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+if { (eval echo configure:3439: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
   rm -rf conftest*
   eval "ac_cv_lib_$ac_lib_var=yes"
 else
@@ -2770,7 +3467,7 @@
 	# version of ncurses (but it should do no harm, since it's static).
 	if test "$cf_nculib_root" = ncurses ; then
 		echo $ac_n "checking for tgoto in -lmytinfo""... $ac_c" 1>&6
-echo "configure:2774: checking for tgoto in -lmytinfo" >&5
+echo "configure:3471: checking for tgoto in -lmytinfo" >&5
 ac_lib_var=`echo mytinfo'_'tgoto | sed 'y%./+-%__p_%'`
 if eval "test \"`echo '$''{'ac_cv_lib_$ac_lib_var'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
@@ -2778,7 +3475,7 @@
   ac_save_LIBS="$LIBS"
 LIBS="-lmytinfo  $LIBS"
 cat > conftest.$ac_ext <<EOF
-#line 2782 "configure"
+#line 3479 "configure"
 #include "confdefs.h"
 /* Override any gcc2 internal prototype to avoid an error.  */
 /* We use char because int might match the return type of a gcc2
@@ -2789,7 +3486,7 @@
 tgoto()
 ; return 0; }
 EOF
-if { (eval echo configure:2793: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+if { (eval echo configure:3490: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
   rm -rf conftest*
   eval "ac_cv_lib_$ac_lib_var=yes"
 else
@@ -2823,12 +3520,12 @@
 	eval 'cf_cv_have_lib_'$cf_nculib_root'=no'
 	cf_libdir=""
 	echo $ac_n "checking for initscr""... $ac_c" 1>&6
-echo "configure:2827: checking for initscr" >&5
+echo "configure:3524: checking for initscr" >&5
 if eval "test \"`echo '$''{'ac_cv_func_initscr'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
   cat > conftest.$ac_ext <<EOF
-#line 2832 "configure"
+#line 3529 "configure"
 #include "confdefs.h"
 /* System header to define __stub macros and hopefully few prototypes,
     which can conflict with char initscr(); below.  */
@@ -2851,7 +3548,7 @@
 
 ; return 0; }
 EOF
-if { (eval echo configure:2855: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+if { (eval echo configure:3552: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
   rm -rf conftest*
   eval "ac_cv_func_initscr=yes"
 else
@@ -2871,17 +3568,17 @@
 
 		cf_save_LIBS="$LIBS"
 		echo $ac_n "checking for initscr in -l$cf_nculib_root""... $ac_c" 1>&6
-echo "configure:2875: checking for initscr in -l$cf_nculib_root" >&5
+echo "configure:3572: checking for initscr in -l$cf_nculib_root" >&5
 		LIBS="-l$cf_nculib_root $LIBS"
 		cat > conftest.$ac_ext <<EOF
-#line 2878 "configure"
+#line 3575 "configure"
 #include "confdefs.h"
 #include <${cf_cv_ncurses_header-curses.h}>
 int main() {
 initscr()
 ; return 0; }
 EOF
-if { (eval echo configure:2885: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+if { (eval echo configure:3582: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
   rm -rf conftest*
   echo "$ac_t""yes" 1>&6
 			 eval 'cf_cv_have_lib_'$cf_nculib_root'=yes'
@@ -2950,17 +3647,17 @@
 			for cf_libdir in $cf_search
 			do
 				echo $ac_n "checking for -l$cf_nculib_root in $cf_libdir""... $ac_c" 1>&6
-echo "configure:2954: checking for -l$cf_nculib_root in $cf_libdir" >&5
+echo "configure:3651: checking for -l$cf_nculib_root in $cf_libdir" >&5
 				LIBS="-L$cf_libdir -l$cf_nculib_root $cf_save_LIBS"
 				cat > conftest.$ac_ext <<EOF
-#line 2957 "configure"
+#line 3654 "configure"
 #include "confdefs.h"
 #include <${cf_cv_ncurses_header-curses.h}>
 int main() {
 initscr()
 ; return 0; }
 EOF
-if { (eval echo configure:2964: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+if { (eval echo configure:3661: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
   rm -rf conftest*
   echo "$ac_t""yes" 1>&6
 			 		 eval 'cf_cv_have_lib_'$cf_nculib_root'=yes'
@@ -2991,7 +3688,7 @@
 
 if test -n "$cf_ncurses_LIBS" ; then
 	echo $ac_n "checking if we can link $cf_nculib_root without $cf_ncurses_LIBS""... $ac_c" 1>&6
-echo "configure:2995: checking if we can link $cf_nculib_root without $cf_ncurses_LIBS" >&5
+echo "configure:3692: checking if we can link $cf_nculib_root without $cf_ncurses_LIBS" >&5
 	cf_ncurses_SAVE="$LIBS"
 	for p in $cf_ncurses_LIBS ; do
 		q=`echo $LIBS | sed -e "s%$p %%" -e "s%$p$%%"`
@@ -3000,14 +3697,14 @@
 		fi
 	done
 	cat > conftest.$ac_ext <<EOF
-#line 3004 "configure"
+#line 3701 "configure"
 #include "confdefs.h"
 #include <${cf_cv_ncurses_header-curses.h}>
 int main() {
 initscr(); mousemask(0,0); tgoto((char *)0, 0, 0);
 ; return 0; }
 EOF
-if { (eval echo configure:3011: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+if { (eval echo configure:3708: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
   rm -rf conftest*
   echo "$ac_t""yes" 1>&6
 else
@@ -3028,20 +3725,19 @@
 EOF
 
 
-	LIB_NAME=ncurses
 	;;
 ncursesw)
 	cf_cv_libtype=w
 	
 echo $ac_n "checking for multibyte character support""... $ac_c" 1>&6
-echo "configure:3038: checking for multibyte character support" >&5
+echo "configure:3734: checking for multibyte character support" >&5
 if eval "test \"`echo '$''{'cf_cv_utf8_lib'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
   
 	cf_save_LIBS="$LIBS"
 	cat > conftest.$ac_ext <<EOF
-#line 3045 "configure"
+#line 3741 "configure"
 #include "confdefs.h"
 
 #include <stdlib.h>
@@ -3049,7 +3745,7 @@
 putwc(0,0);
 ; return 0; }
 EOF
-if { (eval echo configure:3053: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+if { (eval echo configure:3749: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
   rm -rf conftest*
   cf_cv_utf8_lib=yes
 else
@@ -3058,7 +3754,7 @@
   rm -rf conftest*
   LIBS="-lutf8 $LIBS"
 	 cat > conftest.$ac_ext <<EOF
-#line 3062 "configure"
+#line 3758 "configure"
 #include "confdefs.h"
 
 #include <libutf8.h>
@@ -3066,7 +3762,7 @@
 putwc(0,0);
 ; return 0; }
 EOF
-if { (eval echo configure:3070: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+if { (eval echo configure:3766: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
   rm -rf conftest*
   cf_cv_utf8_lib=add-on
 else
@@ -3103,7 +3799,7 @@
 CPPFLAGS="-I$cf_cv_curses_dir/include -I$cf_cv_curses_dir/include/$cf_ncuhdr_root $CPPFLAGS"
 
 echo $ac_n "checking for $cf_ncuhdr_root header in include-path""... $ac_c" 1>&6
-echo "configure:3107: checking for $cf_ncuhdr_root header in include-path" >&5
+echo "configure:3803: checking for $cf_ncuhdr_root header in include-path" >&5
 if eval "test \"`echo '$''{'cf_cv_ncurses_h'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
@@ -3114,7 +3810,7 @@
 	do
 		
 	cat > conftest.$ac_ext <<EOF
-#line 3118 "configure"
+#line 3814 "configure"
 #include "confdefs.h"
 
 
@@ -3143,7 +3839,7 @@
 	
 ; return 0; }
 EOF
-if { (eval echo configure:3147: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
+if { (eval echo configure:3843: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
   rm -rf conftest*
   cf_cv_ncurses_h=$cf_header
 	
@@ -3162,11 +3858,14 @@
 
 echo "$ac_t""$cf_cv_ncurses_h" 1>&6
 
+
+
 if test "$cf_cv_ncurses_h" != no ; then
 	cf_cv_ncurses_header=$cf_cv_ncurses_h
 else
+
 echo $ac_n "checking for $cf_ncuhdr_root include-path""... $ac_c" 1>&6
-echo "configure:3170: checking for $cf_ncuhdr_root include-path" >&5
+echo "configure:3869: checking for $cf_ncuhdr_root include-path" >&5
 if eval "test \"`echo '$''{'cf_cv_ncurses_h2'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
@@ -3261,14 +3960,14 @@
 				cf_save_CPPFLAGS="$CPPFLAGS"
 				CPPFLAGS="$CPPFLAGS -I$cf_add_incdir"
 				cat > conftest.$ac_ext <<EOF
-#line 3265 "configure"
+#line 3964 "configure"
 #include "confdefs.h"
 #include <stdio.h>
 int main() {
 printf("Hello")
 ; return 0; }
 EOF
-if { (eval echo configure:3272: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
+if { (eval echo configure:3971: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
   :
 else
   echo "configure: failed program was:" >&5
@@ -3295,23 +3994,15 @@
 		do
 			
 	cat > conftest.$ac_ext <<EOF
-#line 3299 "configure"
+#line 3998 "configure"
 #include "confdefs.h"
 
 
-#define _XOPEN_SOURCE_EXTENDED
-#undef  HAVE_LIBUTF8_H	/* in case we used CF_UTF8_LIB */
-#define HAVE_LIBUTF8_H	/* to force ncurses' header file to use cchar_t */
-
 #include <$cf_header>
 int main() {
 
 #ifdef NCURSES_VERSION
 
-#ifndef WACS_BSSB
-	make an error
-#endif
-
 printf("%s\n", NCURSES_VERSION);
 #else
 #ifdef __NCURSES_H
@@ -3324,7 +4015,7 @@
 	
 ; return 0; }
 EOF
-if { (eval echo configure:3328: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
+if { (eval echo configure:4019: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
   rm -rf conftest*
   cf_cv_ncurses_h2=$cf_header
 	
@@ -3371,14 +4062,14 @@
 				cf_save_CPPFLAGS="$CPPFLAGS"
 				CPPFLAGS="$CPPFLAGS -I$cf_add_incdir"
 				cat > conftest.$ac_ext <<EOF
-#line 3375 "configure"
+#line 4066 "configure"
 #include "confdefs.h"
 #include <stdio.h>
 int main() {
 printf("Hello")
 ; return 0; }
 EOF
-if { (eval echo configure:3382: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
+if { (eval echo configure:4073: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
   :
 else
   echo "configure: failed program was:" >&5
@@ -3402,10 +4093,7 @@
 
 fi
 
-cat >> confdefs.h <<\EOF
-#define NCURSES 1
-EOF
-
+# Set definitions to allow ifdef'ing for ncurses.h
 
 case $cf_cv_ncurses_header in # (vi
 *ncurses.h)
@@ -3432,8 +4120,91 @@
 esac
 
 
+
+echo $ac_n "checking for terminfo header""... $ac_c" 1>&6
+echo "configure:4126: checking for terminfo header" >&5
+if eval "test \"`echo '$''{'cf_cv_term_header'+set}'`\" = set"; then
+  echo $ac_n "(cached) $ac_c" 1>&6
+else
+  
+case ${cf_cv_ncurses_header} in #(vi
+*/ncurses.h|*/ncursesw.h) #(vi
+	cf_term_header=`echo "$cf_cv_ncurses_header" | sed -e 's%ncurses[^.]*\.h$%term.h%'`
+	;;
+*)
+	cf_term_header=term.h
+	;;
+esac
+
+for cf_test in $cf_term_header "ncurses/term.h" "ncursesw/term.h"
+do
+cat > conftest.$ac_ext <<EOF
+#line 4143 "configure"
+#include "confdefs.h"
+#include <stdio.h>
+#include <${cf_cv_ncurses_header-curses.h}>
+#include <$cf_test>
+
+int main() {
+int x = auto_left_margin
+; return 0; }
+EOF
+if { (eval echo configure:4153: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
+  rm -rf conftest*
+  
+	cf_cv_term_header="$cf_test"
+else
+  echo "configure: failed program was:" >&5
+  cat conftest.$ac_ext >&5
+  rm -rf conftest*
+  
+	cf_cv_term_header=unknown
+	
+fi
+rm -f conftest*
+	test "$cf_cv_term_header" != unknown && break
+done
+
+fi
+
+echo "$ac_t""$cf_cv_term_header" 1>&6
+
+# Set definitions to allow ifdef'ing to accommodate subdirectories
+
+case $cf_cv_term_header in # (vi
+*term.h)
+	cat >> confdefs.h <<\EOF
+#define HAVE_TERM_H 1
+EOF
+
+	;;
+esac
+
+case $cf_cv_term_header in # (vi
+ncurses/term.h) #(vi
+	cat >> confdefs.h <<\EOF
+#define HAVE_NCURSES_TERM_H 1
+EOF
+
+	;;
+ncursesw/term.h)
+	cat >> confdefs.h <<\EOF
+#define HAVE_NCURSESW_TERM_H 1
+EOF
+
+	;;
+esac
+
+
+# some applications need this, but should check for NCURSES_VERSION
+cat >> confdefs.h <<\EOF
+#define NCURSES 1
+EOF
+
+
+
 echo $ac_n "checking for ncurses version""... $ac_c" 1>&6
-echo "configure:3437: checking for ncurses version" >&5
+echo "configure:4208: checking for ncurses version" >&5
 if eval "test \"`echo '$''{'cf_cv_ncurses_version'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
@@ -3459,7 +4230,7 @@
 #endif
 EOF
 	cf_try="$ac_cpp conftest.$ac_ext 2>&5 | grep '^Autoconf ' >conftest.out"
-	{ (eval echo configure:3463: \"$cf_try\") 1>&5; (eval $cf_try) 2>&5; }
+	{ (eval echo configure:4234: \"$cf_try\") 1>&5; (eval $cf_try) 2>&5; }
 	if test -f conftest.out ; then
 		cf_out=`cat conftest.out | sed -e 's%^Autoconf %%' -e 's%^[^"]*"%%' -e 's%".*%%'`
 		test -n "$cf_out" && cf_cv_ncurses_version="$cf_out"
@@ -3468,7 +4239,7 @@
 
 else
   cat > conftest.$ac_ext <<EOF
-#line 3472 "configure"
+#line 4243 "configure"
 #include "confdefs.h"
 
 #include <${cf_cv_ncurses_header-curses.h}>
@@ -3492,7 +4263,7 @@
 	exit(0);
 }
 EOF
-if { (eval echo configure:3496: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext} && (./conftest; exit) 2>/dev/null
+if { (eval echo configure:4267: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext} && (./conftest; exit) 2>/dev/null
 then
   
 	cf_cv_ncurses_version=`cat $cf_tempfile`
@@ -3523,7 +4294,7 @@
 cf_ncurses_LIBS=""
 cf_ncurses_SAVE="$LIBS"
 echo $ac_n "checking for Gpm_Open in -lgpm""... $ac_c" 1>&6
-echo "configure:3527: checking for Gpm_Open in -lgpm" >&5
+echo "configure:4298: checking for Gpm_Open in -lgpm" >&5
 ac_lib_var=`echo gpm'_'Gpm_Open | sed 'y%./+-%__p_%'`
 if eval "test \"`echo '$''{'ac_cv_lib_$ac_lib_var'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
@@ -3531,7 +4302,7 @@
   ac_save_LIBS="$LIBS"
 LIBS="-lgpm  $LIBS"
 cat > conftest.$ac_ext <<EOF
-#line 3535 "configure"
+#line 4306 "configure"
 #include "confdefs.h"
 /* Override any gcc2 internal prototype to avoid an error.  */
 /* We use char because int might match the return type of a gcc2
@@ -3542,7 +4313,7 @@
 Gpm_Open()
 ; return 0; }
 EOF
-if { (eval echo configure:3546: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+if { (eval echo configure:4317: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
   rm -rf conftest*
   eval "ac_cv_lib_$ac_lib_var=yes"
 else
@@ -3558,7 +4329,7 @@
 if eval "test \"`echo '$ac_cv_lib_'$ac_lib_var`\" = yes"; then
   echo "$ac_t""yes" 1>&6
   echo $ac_n "checking for initscr in -lgpm""... $ac_c" 1>&6
-echo "configure:3562: checking for initscr in -lgpm" >&5
+echo "configure:4333: checking for initscr in -lgpm" >&5
 ac_lib_var=`echo gpm'_'initscr | sed 'y%./+-%__p_%'`
 if eval "test \"`echo '$''{'ac_cv_lib_$ac_lib_var'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
@@ -3566,7 +4337,7 @@
   ac_save_LIBS="$LIBS"
 LIBS="-lgpm  $LIBS"
 cat > conftest.$ac_ext <<EOF
-#line 3570 "configure"
+#line 4341 "configure"
 #include "confdefs.h"
 /* Override any gcc2 internal prototype to avoid an error.  */
 /* We use char because int might match the return type of a gcc2
@@ -3577,7 +4348,7 @@
 initscr()
 ; return 0; }
 EOF
-if { (eval echo configure:3581: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+if { (eval echo configure:4352: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
   rm -rf conftest*
   eval "ac_cv_lib_$ac_lib_var=yes"
 else
@@ -3609,7 +4380,7 @@
 	# version of ncurses (but it should do no harm, since it's static).
 	if test "$cf_nculib_root" = ncurses ; then
 		echo $ac_n "checking for tgoto in -lmytinfo""... $ac_c" 1>&6
-echo "configure:3613: checking for tgoto in -lmytinfo" >&5
+echo "configure:4384: checking for tgoto in -lmytinfo" >&5
 ac_lib_var=`echo mytinfo'_'tgoto | sed 'y%./+-%__p_%'`
 if eval "test \"`echo '$''{'ac_cv_lib_$ac_lib_var'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
@@ -3617,7 +4388,7 @@
   ac_save_LIBS="$LIBS"
 LIBS="-lmytinfo  $LIBS"
 cat > conftest.$ac_ext <<EOF
-#line 3621 "configure"
+#line 4392 "configure"
 #include "confdefs.h"
 /* Override any gcc2 internal prototype to avoid an error.  */
 /* We use char because int might match the return type of a gcc2
@@ -3628,7 +4399,7 @@
 tgoto()
 ; return 0; }
 EOF
-if { (eval echo configure:3632: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+if { (eval echo configure:4403: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
   rm -rf conftest*
   eval "ac_cv_lib_$ac_lib_var=yes"
 else
@@ -3662,12 +4433,12 @@
 	eval 'cf_cv_have_lib_'$cf_nculib_root'=no'
 	cf_libdir=""
 	echo $ac_n "checking for initscr""... $ac_c" 1>&6
-echo "configure:3666: checking for initscr" >&5
+echo "configure:4437: checking for initscr" >&5
 if eval "test \"`echo '$''{'ac_cv_func_initscr'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
   cat > conftest.$ac_ext <<EOF
-#line 3671 "configure"
+#line 4442 "configure"
 #include "confdefs.h"
 /* System header to define __stub macros and hopefully few prototypes,
     which can conflict with char initscr(); below.  */
@@ -3690,7 +4461,7 @@
 
 ; return 0; }
 EOF
-if { (eval echo configure:3694: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+if { (eval echo configure:4465: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
   rm -rf conftest*
   eval "ac_cv_func_initscr=yes"
 else
@@ -3710,17 +4481,17 @@
 
 		cf_save_LIBS="$LIBS"
 		echo $ac_n "checking for initscr in -l$cf_nculib_root""... $ac_c" 1>&6
-echo "configure:3714: checking for initscr in -l$cf_nculib_root" >&5
+echo "configure:4485: checking for initscr in -l$cf_nculib_root" >&5
 		LIBS="-l$cf_nculib_root $LIBS"
 		cat > conftest.$ac_ext <<EOF
-#line 3717 "configure"
+#line 4488 "configure"
 #include "confdefs.h"
 #include <${cf_cv_ncurses_header-curses.h}>
 int main() {
 initscr()
 ; return 0; }
 EOF
-if { (eval echo configure:3724: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+if { (eval echo configure:4495: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
   rm -rf conftest*
   echo "$ac_t""yes" 1>&6
 			 eval 'cf_cv_have_lib_'$cf_nculib_root'=yes'
@@ -3789,17 +4560,17 @@
 			for cf_libdir in $cf_search
 			do
 				echo $ac_n "checking for -l$cf_nculib_root in $cf_libdir""... $ac_c" 1>&6
-echo "configure:3793: checking for -l$cf_nculib_root in $cf_libdir" >&5
+echo "configure:4564: checking for -l$cf_nculib_root in $cf_libdir" >&5
 				LIBS="-L$cf_libdir -l$cf_nculib_root $cf_save_LIBS"
 				cat > conftest.$ac_ext <<EOF
-#line 3796 "configure"
+#line 4567 "configure"
 #include "confdefs.h"
 #include <${cf_cv_ncurses_header-curses.h}>
 int main() {
 initscr()
 ; return 0; }
 EOF
-if { (eval echo configure:3803: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+if { (eval echo configure:4574: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
   rm -rf conftest*
   echo "$ac_t""yes" 1>&6
 			 		 eval 'cf_cv_have_lib_'$cf_nculib_root'=yes'
@@ -3830,7 +4601,7 @@
 
 if test -n "$cf_ncurses_LIBS" ; then
 	echo $ac_n "checking if we can link $cf_nculib_root without $cf_ncurses_LIBS""... $ac_c" 1>&6
-echo "configure:3834: checking if we can link $cf_nculib_root without $cf_ncurses_LIBS" >&5
+echo "configure:4605: checking if we can link $cf_nculib_root without $cf_ncurses_LIBS" >&5
 	cf_ncurses_SAVE="$LIBS"
 	for p in $cf_ncurses_LIBS ; do
 		q=`echo $LIBS | sed -e "s%$p %%" -e "s%$p$%%"`
@@ -3839,14 +4610,14 @@
 		fi
 	done
 	cat > conftest.$ac_ext <<EOF
-#line 3843 "configure"
+#line 4614 "configure"
 #include "confdefs.h"
 #include <${cf_cv_ncurses_header-curses.h}>
 int main() {
 initscr(); mousemask(0,0); tgoto((char *)0, 0, 0);
 ; return 0; }
 EOF
-if { (eval echo configure:3850: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+if { (eval echo configure:4621: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
   rm -rf conftest*
   echo "$ac_t""yes" 1>&6
 else
@@ -3867,33 +4638,113 @@
 EOF
 
 
-	LIB_NAME=ncursesw
 	;;
-esac
+pdcurses) #(vi
+	if test "$no_x" = yes; then
+  # Not all programs may use this symbol, but it does not hurt to define it.
+  cat >> confdefs.h <<\EOF
+#define X_DISPLAY_MISSING 1
+EOF
 
+  X_CFLAGS= X_PRE_LIBS= X_LIBS= X_EXTRA_LIBS=
+else
+  if test -n "$x_includes"; then
+    X_CFLAGS="$X_CFLAGS -I$x_includes"
+  fi
 
+  # It would also be nice to do this for all -L options, not just this one.
+  if test -n "$x_libraries"; then
+    X_LIBS="$X_LIBS -L$x_libraries"
+    # For Solaris; some versions of Sun CC require a space after -R and
+    # others require no space.  Words are not sufficient . . . .
+    case "`(uname -sr) 2>/dev/null`" in
+    "SunOS 5"*)
+      echo $ac_n "checking whether -R must be followed by a space""... $ac_c" 1>&6
+echo "configure:4664: checking whether -R must be followed by a space" >&5
+      ac_xsave_LIBS="$LIBS"; LIBS="$LIBS -R$x_libraries"
+      cat > conftest.$ac_ext <<EOF
+#line 4667 "configure"
+#include "confdefs.h"
 
-echo $ac_n "checking for new_panel in -lpanel$cf_cv_libtype""... $ac_c" 1>&6
-echo "configure:3878: checking for new_panel in -lpanel$cf_cv_libtype" >&5
-ac_lib_var=`echo panel$cf_cv_libtype'_'new_panel | sed 'y%./+-%__p_%'`
+int main() {
+
+; return 0; }
+EOF
+if { (eval echo configure:4674: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+  rm -rf conftest*
+  ac_R_nospace=yes
+else
+  echo "configure: failed program was:" >&5
+  cat conftest.$ac_ext >&5
+  rm -rf conftest*
+  ac_R_nospace=no
+fi
+rm -f conftest*
+      if test $ac_R_nospace = yes; then
+	echo "$ac_t""no" 1>&6
+	X_LIBS="$X_LIBS -R$x_libraries"
+      else
+	LIBS="$ac_xsave_LIBS -R $x_libraries"
+	cat > conftest.$ac_ext <<EOF
+#line 4690 "configure"
+#include "confdefs.h"
+
+int main() {
+
+; return 0; }
+EOF
+if { (eval echo configure:4697: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+  rm -rf conftest*
+  ac_R_space=yes
+else
+  echo "configure: failed program was:" >&5
+  cat conftest.$ac_ext >&5
+  rm -rf conftest*
+  ac_R_space=no
+fi
+rm -f conftest*
+	if test $ac_R_space = yes; then
+	  echo "$ac_t""yes" 1>&6
+	  X_LIBS="$X_LIBS -R $x_libraries"
+	else
+	  echo "$ac_t""neither works" 1>&6
+	fi
+      fi
+      LIBS="$ac_xsave_LIBS"
+    esac
+  fi
+
+  # Check for system-dependent libraries X programs must link with.
+  # Do this before checking for the system-independent R6 libraries
+  # (-lICE), since we may need -lsocket or whatever for X linking.
+
+  if test "$ISC" = yes; then
+    X_EXTRA_LIBS="$X_EXTRA_LIBS -lnsl_s -linet"
+  else
+    # Martyn.Johnson@cl.cam.ac.uk says this is needed for Ultrix, if the X
+    # libraries were built with DECnet support.  And karl@cs.umb.edu says
+    # the Alpha needs dnet_stub (dnet does not exist).
+    echo $ac_n "checking for dnet_ntoa in -ldnet""... $ac_c" 1>&6
+echo "configure:4729: checking for dnet_ntoa in -ldnet" >&5
+ac_lib_var=`echo dnet'_'dnet_ntoa | sed 'y%./+-%__p_%'`
 if eval "test \"`echo '$''{'ac_cv_lib_$ac_lib_var'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
   ac_save_LIBS="$LIBS"
-LIBS="-lpanel$cf_cv_libtype  $LIBS"
+LIBS="-ldnet  $LIBS"
 cat > conftest.$ac_ext <<EOF
-#line 3886 "configure"
+#line 4737 "configure"
 #include "confdefs.h"
 /* Override any gcc2 internal prototype to avoid an error.  */
 /* We use char because int might match the return type of a gcc2
     builtin and then its argument prototype would still apply.  */
-char new_panel();
+char dnet_ntoa();
 
 int main() {
-new_panel()
+dnet_ntoa()
 ; return 0; }
 EOF
-if { (eval echo configure:3897: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+if { (eval echo configure:4748: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
   rm -rf conftest*
   eval "ac_cv_lib_$ac_lib_var=yes"
 else
@@ -3908,39 +4759,33 @@
 fi
 if eval "test \"`echo '$ac_cv_lib_'$ac_lib_var`\" = yes"; then
   echo "$ac_t""yes" 1>&6
-    ac_tr_lib=HAVE_LIB`echo panel$cf_cv_libtype | sed -e 's/[^a-zA-Z0-9_]/_/g' \
-    -e 'y/abcdefghijklmnopqrstuvwxyz/ABCDEFGHIJKLMNOPQRSTUVWXYZ/'`
-  cat >> confdefs.h <<EOF
-#define $ac_tr_lib 1
-EOF
-
-  LIBS="-lpanel$cf_cv_libtype $LIBS"
-
+  X_EXTRA_LIBS="$X_EXTRA_LIBS -ldnet"
 else
   echo "$ac_t""no" 1>&6
 fi
 
-echo $ac_n "checking for menu_driver in -lmenu$cf_cv_libtype""... $ac_c" 1>&6
-echo "configure:3925: checking for menu_driver in -lmenu$cf_cv_libtype" >&5
-ac_lib_var=`echo menu$cf_cv_libtype'_'menu_driver | sed 'y%./+-%__p_%'`
+    if test $ac_cv_lib_dnet_dnet_ntoa = no; then
+      echo $ac_n "checking for dnet_ntoa in -ldnet_stub""... $ac_c" 1>&6
+echo "configure:4770: checking for dnet_ntoa in -ldnet_stub" >&5
+ac_lib_var=`echo dnet_stub'_'dnet_ntoa | sed 'y%./+-%__p_%'`
 if eval "test \"`echo '$''{'ac_cv_lib_$ac_lib_var'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
   ac_save_LIBS="$LIBS"
-LIBS="-lmenu$cf_cv_libtype  $LIBS"
+LIBS="-ldnet_stub  $LIBS"
 cat > conftest.$ac_ext <<EOF
-#line 3933 "configure"
+#line 4778 "configure"
 #include "confdefs.h"
 /* Override any gcc2 internal prototype to avoid an error.  */
 /* We use char because int might match the return type of a gcc2
     builtin and then its argument prototype would still apply.  */
-char menu_driver();
+char dnet_ntoa();
 
 int main() {
-menu_driver()
+dnet_ntoa()
 ; return 0; }
 EOF
-if { (eval echo configure:3944: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+if { (eval echo configure:4789: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
   rm -rf conftest*
   eval "ac_cv_lib_$ac_lib_var=yes"
 else
@@ -3955,39 +4800,89 @@
 fi
 if eval "test \"`echo '$ac_cv_lib_'$ac_lib_var`\" = yes"; then
   echo "$ac_t""yes" 1>&6
-    ac_tr_lib=HAVE_LIB`echo menu$cf_cv_libtype | sed -e 's/[^a-zA-Z0-9_]/_/g' \
-    -e 'y/abcdefghijklmnopqrstuvwxyz/ABCDEFGHIJKLMNOPQRSTUVWXYZ/'`
-  cat >> confdefs.h <<EOF
-#define $ac_tr_lib 1
-EOF
+  X_EXTRA_LIBS="$X_EXTRA_LIBS -ldnet_stub"
+else
+  echo "$ac_t""no" 1>&6
+fi
 
-  LIBS="-lmenu$cf_cv_libtype $LIBS"
+    fi
+
+    # msh@cis.ufl.edu says -lnsl (and -lsocket) are needed for his 386/AT,
+    # to get the SysV transport functions.
+    # chad@anasazi.com says the Pyramis MIS-ES running DC/OSx (SVR4)
+    # needs -lnsl.
+    # The nsl library prevents programs from opening the X display
+    # on Irix 5.2, according to dickey@clark.net.
+    echo $ac_n "checking for gethostbyname""... $ac_c" 1>&6
+echo "configure:4818: checking for gethostbyname" >&5
+if eval "test \"`echo '$''{'ac_cv_func_gethostbyname'+set}'`\" = set"; then
+  echo $ac_n "(cached) $ac_c" 1>&6
+else
+  cat > conftest.$ac_ext <<EOF
+#line 4823 "configure"
+#include "confdefs.h"
+/* System header to define __stub macros and hopefully few prototypes,
+    which can conflict with char gethostbyname(); below.  */
+#include <assert.h>
+/* Override any gcc2 internal prototype to avoid an error.  */
+/* We use char because int might match the return type of a gcc2
+    builtin and then its argument prototype would still apply.  */
+char gethostbyname();
+
+int main() {
+
+/* The GNU C library defines this for functions which it implements
+    to always fail with ENOSYS.  Some functions are actually named
+    something starting with __ and the normal name is an alias.  */
+#if defined (__stub_gethostbyname) || defined (__stub___gethostbyname)
+choke me
+#else
+gethostbyname();
+#endif
+
+; return 0; }
+EOF
+if { (eval echo configure:4846: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+  rm -rf conftest*
+  eval "ac_cv_func_gethostbyname=yes"
+else
+  echo "configure: failed program was:" >&5
+  cat conftest.$ac_ext >&5
+  rm -rf conftest*
+  eval "ac_cv_func_gethostbyname=no"
+fi
+rm -f conftest*
+fi
 
+if eval "test \"`echo '$ac_cv_func_'gethostbyname`\" = yes"; then
+  echo "$ac_t""yes" 1>&6
+  :
 else
   echo "$ac_t""no" 1>&6
 fi
 
-echo $ac_n "checking for form_driver in -lform$cf_cv_libtype""... $ac_c" 1>&6
-echo "configure:3972: checking for form_driver in -lform$cf_cv_libtype" >&5
-ac_lib_var=`echo form$cf_cv_libtype'_'form_driver | sed 'y%./+-%__p_%'`
+    if test $ac_cv_func_gethostbyname = no; then
+      echo $ac_n "checking for gethostbyname in -lnsl""... $ac_c" 1>&6
+echo "configure:4867: checking for gethostbyname in -lnsl" >&5
+ac_lib_var=`echo nsl'_'gethostbyname | sed 'y%./+-%__p_%'`
 if eval "test \"`echo '$''{'ac_cv_lib_$ac_lib_var'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
   ac_save_LIBS="$LIBS"
-LIBS="-lform$cf_cv_libtype  $LIBS"
+LIBS="-lnsl  $LIBS"
 cat > conftest.$ac_ext <<EOF
-#line 3980 "configure"
+#line 4875 "configure"
 #include "confdefs.h"
 /* Override any gcc2 internal prototype to avoid an error.  */
 /* We use char because int might match the return type of a gcc2
     builtin and then its argument prototype would still apply.  */
-char form_driver();
+char gethostbyname();
 
 int main() {
-form_driver()
+gethostbyname()
 ; return 0; }
 EOF
-if { (eval echo configure:3991: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+if { (eval echo configure:4886: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
   rm -rf conftest*
   eval "ac_cv_lib_$ac_lib_var=yes"
 else
@@ -4002,26 +4897,1289 @@
 fi
 if eval "test \"`echo '$ac_cv_lib_'$ac_lib_var`\" = yes"; then
   echo "$ac_t""yes" 1>&6
-    ac_tr_lib=HAVE_LIB`echo form$cf_cv_libtype | sed -e 's/[^a-zA-Z0-9_]/_/g' \
-    -e 'y/abcdefghijklmnopqrstuvwxyz/ABCDEFGHIJKLMNOPQRSTUVWXYZ/'`
-  cat >> confdefs.h <<EOF
-#define $ac_tr_lib 1
-EOF
-
-  LIBS="-lform$cf_cv_libtype $LIBS"
-
+  X_EXTRA_LIBS="$X_EXTRA_LIBS -lnsl"
 else
   echo "$ac_t""no" 1>&6
 fi
 
+    fi
+
+    # lieder@skyler.mavd.honeywell.com says without -lsocket,
+    # socket/setsockopt and other routines are undefined under SCO ODT
+    # 2.0.  But -lsocket is broken on IRIX 5.2 (and is not necessary
+    # on later versions), says simon@lia.di.epfl.ch: it contains
+    # gethostby* variants that don't use the nameserver (or something).
+    # -lsocket must be given before -lnsl if both are needed.
+    # We assume that if connect needs -lnsl, so does gethostbyname.
+    echo $ac_n "checking for connect""... $ac_c" 1>&6
+echo "configure:4916: checking for connect" >&5
+if eval "test \"`echo '$''{'ac_cv_func_connect'+set}'`\" = set"; then
+  echo $ac_n "(cached) $ac_c" 1>&6
+else
+  cat > conftest.$ac_ext <<EOF
+#line 4921 "configure"
+#include "confdefs.h"
+/* System header to define __stub macros and hopefully few prototypes,
+    which can conflict with char connect(); below.  */
+#include <assert.h>
+/* Override any gcc2 internal prototype to avoid an error.  */
+/* We use char because int might match the return type of a gcc2
+    builtin and then its argument prototype would still apply.  */
+char connect();
+
+int main() {
+
+/* The GNU C library defines this for functions which it implements
+    to always fail with ENOSYS.  Some functions are actually named
+    something starting with __ and the normal name is an alias.  */
+#if defined (__stub_connect) || defined (__stub___connect)
+choke me
+#else
+connect();
+#endif
+
+; return 0; }
+EOF
+if { (eval echo configure:4944: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+  rm -rf conftest*
+  eval "ac_cv_func_connect=yes"
+else
+  echo "configure: failed program was:" >&5
+  cat conftest.$ac_ext >&5
+  rm -rf conftest*
+  eval "ac_cv_func_connect=no"
+fi
+rm -f conftest*
+fi
+
+if eval "test \"`echo '$ac_cv_func_'connect`\" = yes"; then
+  echo "$ac_t""yes" 1>&6
+  :
+else
+  echo "$ac_t""no" 1>&6
+fi
+
+    if test $ac_cv_func_connect = no; then
+      echo $ac_n "checking for connect in -lsocket""... $ac_c" 1>&6
+echo "configure:4965: checking for connect in -lsocket" >&5
+ac_lib_var=`echo socket'_'connect | sed 'y%./+-%__p_%'`
+if eval "test \"`echo '$''{'ac_cv_lib_$ac_lib_var'+set}'`\" = set"; then
+  echo $ac_n "(cached) $ac_c" 1>&6
+else
+  ac_save_LIBS="$LIBS"
+LIBS="-lsocket $X_EXTRA_LIBS $LIBS"
+cat > conftest.$ac_ext <<EOF
+#line 4973 "configure"
+#include "confdefs.h"
+/* Override any gcc2 internal prototype to avoid an error.  */
+/* We use char because int might match the return type of a gcc2
+    builtin and then its argument prototype would still apply.  */
+char connect();
+
+int main() {
+connect()
+; return 0; }
+EOF
+if { (eval echo configure:4984: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+  rm -rf conftest*
+  eval "ac_cv_lib_$ac_lib_var=yes"
+else
+  echo "configure: failed program was:" >&5
+  cat conftest.$ac_ext >&5
+  rm -rf conftest*
+  eval "ac_cv_lib_$ac_lib_var=no"
+fi
+rm -f conftest*
+LIBS="$ac_save_LIBS"
+
+fi
+if eval "test \"`echo '$ac_cv_lib_'$ac_lib_var`\" = yes"; then
+  echo "$ac_t""yes" 1>&6
+  X_EXTRA_LIBS="-lsocket $X_EXTRA_LIBS"
+else
+  echo "$ac_t""no" 1>&6
+fi
+
+    fi
+
+    # gomez@mi.uni-erlangen.de says -lposix is necessary on A/UX.
+    echo $ac_n "checking for remove""... $ac_c" 1>&6
+echo "configure:5008: checking for remove" >&5
+if eval "test \"`echo '$''{'ac_cv_func_remove'+set}'`\" = set"; then
+  echo $ac_n "(cached) $ac_c" 1>&6
+else
+  cat > conftest.$ac_ext <<EOF
+#line 5013 "configure"
+#include "confdefs.h"
+/* System header to define __stub macros and hopefully few prototypes,
+    which can conflict with char remove(); below.  */
+#include <assert.h>
+/* Override any gcc2 internal prototype to avoid an error.  */
+/* We use char because int might match the return type of a gcc2
+    builtin and then its argument prototype would still apply.  */
+char remove();
+
+int main() {
+
+/* The GNU C library defines this for functions which it implements
+    to always fail with ENOSYS.  Some functions are actually named
+    something starting with __ and the normal name is an alias.  */
+#if defined (__stub_remove) || defined (__stub___remove)
+choke me
+#else
+remove();
+#endif
+
+; return 0; }
+EOF
+if { (eval echo configure:5036: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+  rm -rf conftest*
+  eval "ac_cv_func_remove=yes"
+else
+  echo "configure: failed program was:" >&5
+  cat conftest.$ac_ext >&5
+  rm -rf conftest*
+  eval "ac_cv_func_remove=no"
+fi
+rm -f conftest*
+fi
+
+if eval "test \"`echo '$ac_cv_func_'remove`\" = yes"; then
+  echo "$ac_t""yes" 1>&6
+  :
+else
+  echo "$ac_t""no" 1>&6
+fi
+
+    if test $ac_cv_func_remove = no; then
+      echo $ac_n "checking for remove in -lposix""... $ac_c" 1>&6
+echo "configure:5057: checking for remove in -lposix" >&5
+ac_lib_var=`echo posix'_'remove | sed 'y%./+-%__p_%'`
+if eval "test \"`echo '$''{'ac_cv_lib_$ac_lib_var'+set}'`\" = set"; then
+  echo $ac_n "(cached) $ac_c" 1>&6
+else
+  ac_save_LIBS="$LIBS"
+LIBS="-lposix  $LIBS"
+cat > conftest.$ac_ext <<EOF
+#line 5065 "configure"
+#include "confdefs.h"
+/* Override any gcc2 internal prototype to avoid an error.  */
+/* We use char because int might match the return type of a gcc2
+    builtin and then its argument prototype would still apply.  */
+char remove();
+
+int main() {
+remove()
+; return 0; }
+EOF
+if { (eval echo configure:5076: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+  rm -rf conftest*
+  eval "ac_cv_lib_$ac_lib_var=yes"
+else
+  echo "configure: failed program was:" >&5
+  cat conftest.$ac_ext >&5
+  rm -rf conftest*
+  eval "ac_cv_lib_$ac_lib_var=no"
+fi
+rm -f conftest*
+LIBS="$ac_save_LIBS"
+
+fi
+if eval "test \"`echo '$ac_cv_lib_'$ac_lib_var`\" = yes"; then
+  echo "$ac_t""yes" 1>&6
+  X_EXTRA_LIBS="$X_EXTRA_LIBS -lposix"
+else
+  echo "$ac_t""no" 1>&6
+fi
+
+    fi
+
+    # BSDI BSD/OS 2.1 needs -lipc for XOpenDisplay.
+    echo $ac_n "checking for shmat""... $ac_c" 1>&6
+echo "configure:5100: checking for shmat" >&5
+if eval "test \"`echo '$''{'ac_cv_func_shmat'+set}'`\" = set"; then
+  echo $ac_n "(cached) $ac_c" 1>&6
+else
+  cat > conftest.$ac_ext <<EOF
+#line 5105 "configure"
+#include "confdefs.h"
+/* System header to define __stub macros and hopefully few prototypes,
+    which can conflict with char shmat(); below.  */
+#include <assert.h>
+/* Override any gcc2 internal prototype to avoid an error.  */
+/* We use char because int might match the return type of a gcc2
+    builtin and then its argument prototype would still apply.  */
+char shmat();
+
+int main() {
+
+/* The GNU C library defines this for functions which it implements
+    to always fail with ENOSYS.  Some functions are actually named
+    something starting with __ and the normal name is an alias.  */
+#if defined (__stub_shmat) || defined (__stub___shmat)
+choke me
+#else
+shmat();
+#endif
+
+; return 0; }
+EOF
+if { (eval echo configure:5128: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+  rm -rf conftest*
+  eval "ac_cv_func_shmat=yes"
+else
+  echo "configure: failed program was:" >&5
+  cat conftest.$ac_ext >&5
+  rm -rf conftest*
+  eval "ac_cv_func_shmat=no"
+fi
+rm -f conftest*
+fi
+
+if eval "test \"`echo '$ac_cv_func_'shmat`\" = yes"; then
+  echo "$ac_t""yes" 1>&6
+  :
+else
+  echo "$ac_t""no" 1>&6
+fi
+
+    if test $ac_cv_func_shmat = no; then
+      echo $ac_n "checking for shmat in -lipc""... $ac_c" 1>&6
+echo "configure:5149: checking for shmat in -lipc" >&5
+ac_lib_var=`echo ipc'_'shmat | sed 'y%./+-%__p_%'`
+if eval "test \"`echo '$''{'ac_cv_lib_$ac_lib_var'+set}'`\" = set"; then
+  echo $ac_n "(cached) $ac_c" 1>&6
+else
+  ac_save_LIBS="$LIBS"
+LIBS="-lipc  $LIBS"
+cat > conftest.$ac_ext <<EOF
+#line 5157 "configure"
+#include "confdefs.h"
+/* Override any gcc2 internal prototype to avoid an error.  */
+/* We use char because int might match the return type of a gcc2
+    builtin and then its argument prototype would still apply.  */
+char shmat();
+
+int main() {
+shmat()
+; return 0; }
+EOF
+if { (eval echo configure:5168: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+  rm -rf conftest*
+  eval "ac_cv_lib_$ac_lib_var=yes"
+else
+  echo "configure: failed program was:" >&5
+  cat conftest.$ac_ext >&5
+  rm -rf conftest*
+  eval "ac_cv_lib_$ac_lib_var=no"
+fi
+rm -f conftest*
+LIBS="$ac_save_LIBS"
+
+fi
+if eval "test \"`echo '$ac_cv_lib_'$ac_lib_var`\" = yes"; then
+  echo "$ac_t""yes" 1>&6
+  X_EXTRA_LIBS="$X_EXTRA_LIBS -lipc"
+else
+  echo "$ac_t""no" 1>&6
+fi
+
+    fi
+  fi
+
+  # Check for libraries that X11R6 Xt/Xaw programs need.
+  ac_save_LDFLAGS="$LDFLAGS"
+  test -n "$x_libraries" && LDFLAGS="$LDFLAGS -L$x_libraries"
+  # SM needs ICE to (dynamically) link under SunOS 4.x (so we have to
+  # check for ICE first), but we must link in the order -lSM -lICE or
+  # we get undefined symbols.  So assume we have SM if we have ICE.
+  # These have to be linked with before -lX11, unlike the other
+  # libraries we check for below, so use a different variable.
+  #  --interran@uluru.Stanford.EDU, kb@cs.umb.edu.
+  echo $ac_n "checking for IceConnectionNumber in -lICE""... $ac_c" 1>&6
+echo "configure:5201: checking for IceConnectionNumber in -lICE" >&5
+ac_lib_var=`echo ICE'_'IceConnectionNumber | sed 'y%./+-%__p_%'`
+if eval "test \"`echo '$''{'ac_cv_lib_$ac_lib_var'+set}'`\" = set"; then
+  echo $ac_n "(cached) $ac_c" 1>&6
+else
+  ac_save_LIBS="$LIBS"
+LIBS="-lICE $X_EXTRA_LIBS $LIBS"
+cat > conftest.$ac_ext <<EOF
+#line 5209 "configure"
+#include "confdefs.h"
+/* Override any gcc2 internal prototype to avoid an error.  */
+/* We use char because int might match the return type of a gcc2
+    builtin and then its argument prototype would still apply.  */
+char IceConnectionNumber();
+
+int main() {
+IceConnectionNumber()
+; return 0; }
+EOF
+if { (eval echo configure:5220: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+  rm -rf conftest*
+  eval "ac_cv_lib_$ac_lib_var=yes"
+else
+  echo "configure: failed program was:" >&5
+  cat conftest.$ac_ext >&5
+  rm -rf conftest*
+  eval "ac_cv_lib_$ac_lib_var=no"
+fi
+rm -f conftest*
+LIBS="$ac_save_LIBS"
+
+fi
+if eval "test \"`echo '$ac_cv_lib_'$ac_lib_var`\" = yes"; then
+  echo "$ac_t""yes" 1>&6
+  X_PRE_LIBS="$X_PRE_LIBS -lSM -lICE"
+else
+  echo "$ac_t""no" 1>&6
+fi
+
+  LDFLAGS="$ac_save_LDFLAGS"
+
+fi
+
+
+
+
+
+# SYSTEM_NAME=`echo "$cf_cv_system_name"|tr ' ' -`
+
+cf_have_X_LIBS=no
+
+LDFLAGS="$X_LIBS $LDFLAGS"
+
+test -n "$verbose" && echo "	checking additions to CFLAGS" 1>&6
+
+cf_check_cflags="$CFLAGS"
+cf_check_cppflags="$CPPFLAGS"
+
+cf_fix_cppflags=no
+cf_new_cflags=
+cf_new_cppflags=
+cf_new_extra_cppflags=
+
+for cf_add_cflags in $X_CFLAGS
+do
+case $cf_fix_cppflags in
+no)
+	case $cf_add_cflags in #(vi
+	-undef|-nostdinc*|-I*|-D*|-U*|-E|-P|-C) #(vi
+		case $cf_add_cflags in
+		-D*)
+			cf_tst_cflags=`echo ${cf_add_cflags} |sed -e 's/^-D[^=]*='\''\"[^"]*//'`
+
+			test "${cf_add_cflags}" != "${cf_tst_cflags}" \
+			&& test -z "${cf_tst_cflags}" \
+			&& cf_fix_cppflags=yes
+
+			if test $cf_fix_cppflags = yes ; then
+				cf_new_extra_cppflags="$cf_new_extra_cppflags $cf_add_cflags"
+				continue
+			elif test "${cf_tst_cflags}" = "\"'" ; then
+				cf_new_extra_cppflags="$cf_new_extra_cppflags $cf_add_cflags"
+				continue
+			fi
+			;;
+		esac
+		case "$CPPFLAGS" in
+		*$cf_add_cflags) #(vi
+			;;
+		*) #(vi
+			cf_new_cppflags="$cf_new_cppflags $cf_add_cflags"
+			;;
+		esac
+		;;
+	*)
+		cf_new_cflags="$cf_new_cflags $cf_add_cflags"
+		;;
+	esac
+	;;
+yes)
+	cf_new_extra_cppflags="$cf_new_extra_cppflags $cf_add_cflags"
+
+	cf_tst_cflags=`echo ${cf_add_cflags} |sed -e 's/^[^"]*"'\''//'`
+
+	test "${cf_add_cflags}" != "${cf_tst_cflags}" \
+	&& test -z "${cf_tst_cflags}" \
+	&& cf_fix_cppflags=no
+	;;
+esac
+done
+
+if test -n "$cf_new_cflags" ; then
+	test -n "$verbose" && echo "	add to \$CFLAGS $cf_new_cflags" 1>&6
+
+	CFLAGS="$CFLAGS $cf_new_cflags"
+fi
+
+if test -n "$cf_new_cppflags" ; then
+	test -n "$verbose" && echo "	add to \$CPPFLAGS $cf_new_cppflags" 1>&6
+
+	CPPFLAGS="$cf_new_cppflags $CPPFLAGS"
+fi
+
+if test -n "$cf_new_extra_cppflags" ; then
+	test -n "$verbose" && echo "	add to \$EXTRA_CPPFLAGS $cf_new_extra_cppflags" 1>&6
+
+	EXTRA_CPPFLAGS="$cf_new_extra_cppflags $EXTRA_CPPFLAGS"
+fi
+
+
+
+
+if test "$cf_check_cflags" != "$CFLAGS" ; then
+cat > conftest.$ac_ext <<EOF
+#line 5335 "configure"
+#include "confdefs.h"
+#include <stdio.h>
+int main() {
+printf("Hello world");
+; return 0; }
+EOF
+if { (eval echo configure:5342: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+  :
+else
+  echo "configure: failed program was:" >&5
+  cat conftest.$ac_ext >&5
+  rm -rf conftest*
+  test -n "$verbose" && echo "	test-compile failed.  Undoing change to \$CFLAGS" 1>&6
+
+	 if test "$cf_check_cppflags" != "$CPPFLAGS" ; then
+		 test -n "$verbose" && echo "	but keeping change to \$CPPFLAGS" 1>&6
+
+	 fi
+	 CFLAGS="$cf_check_flags"
+fi
+rm -f conftest*
+fi
+
+
+echo $ac_n "checking for XOpenDisplay""... $ac_c" 1>&6
+echo "configure:5361: checking for XOpenDisplay" >&5
+if eval "test \"`echo '$''{'ac_cv_func_XOpenDisplay'+set}'`\" = set"; then
+  echo $ac_n "(cached) $ac_c" 1>&6
+else
+  cat > conftest.$ac_ext <<EOF
+#line 5366 "configure"
+#include "confdefs.h"
+/* System header to define __stub macros and hopefully few prototypes,
+    which can conflict with char XOpenDisplay(); below.  */
+#include <assert.h>
+/* Override any gcc2 internal prototype to avoid an error.  */
+/* We use char because int might match the return type of a gcc2
+    builtin and then its argument prototype would still apply.  */
+char XOpenDisplay();
+
+int main() {
+
+/* The GNU C library defines this for functions which it implements
+    to always fail with ENOSYS.  Some functions are actually named
+    something starting with __ and the normal name is an alias.  */
+#if defined (__stub_XOpenDisplay) || defined (__stub___XOpenDisplay)
+choke me
+#else
+XOpenDisplay();
+#endif
+
+; return 0; }
+EOF
+if { (eval echo configure:5389: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+  rm -rf conftest*
+  eval "ac_cv_func_XOpenDisplay=yes"
+else
+  echo "configure: failed program was:" >&5
+  cat conftest.$ac_ext >&5
+  rm -rf conftest*
+  eval "ac_cv_func_XOpenDisplay=no"
+fi
+rm -f conftest*
+fi
+
+if eval "test \"`echo '$ac_cv_func_'XOpenDisplay`\" = yes"; then
+  echo "$ac_t""yes" 1>&6
+  :
+else
+  echo "$ac_t""no" 1>&6
+
+echo $ac_n "checking for XOpenDisplay in -lX11""... $ac_c" 1>&6
+echo "configure:5408: checking for XOpenDisplay in -lX11" >&5
+ac_lib_var=`echo X11'_'XOpenDisplay | sed 'y%./+-%__p_%'`
+if eval "test \"`echo '$''{'ac_cv_lib_$ac_lib_var'+set}'`\" = set"; then
+  echo $ac_n "(cached) $ac_c" 1>&6
+else
+  ac_save_LIBS="$LIBS"
+LIBS="-lX11 $X_PRE_LIBS $LIBS $X_EXTRA_LIBS $LIBS"
+cat > conftest.$ac_ext <<EOF
+#line 5416 "configure"
+#include "confdefs.h"
+/* Override any gcc2 internal prototype to avoid an error.  */
+/* We use char because int might match the return type of a gcc2
+    builtin and then its argument prototype would still apply.  */
+char XOpenDisplay();
+
+int main() {
+XOpenDisplay()
+; return 0; }
+EOF
+if { (eval echo configure:5427: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+  rm -rf conftest*
+  eval "ac_cv_lib_$ac_lib_var=yes"
+else
+  echo "configure: failed program was:" >&5
+  cat conftest.$ac_ext >&5
+  rm -rf conftest*
+  eval "ac_cv_lib_$ac_lib_var=no"
+fi
+rm -f conftest*
+LIBS="$ac_save_LIBS"
+
+fi
+if eval "test \"`echo '$ac_cv_lib_'$ac_lib_var`\" = yes"; then
+  echo "$ac_t""yes" 1>&6
+  LIBS="-lX11 $LIBS"
+else
+  echo "$ac_t""no" 1>&6
+fi
+
+fi
+
+
+echo $ac_n "checking for XtAppInitialize""... $ac_c" 1>&6
+echo "configure:5451: checking for XtAppInitialize" >&5
+if eval "test \"`echo '$''{'ac_cv_func_XtAppInitialize'+set}'`\" = set"; then
+  echo $ac_n "(cached) $ac_c" 1>&6
+else
+  cat > conftest.$ac_ext <<EOF
+#line 5456 "configure"
+#include "confdefs.h"
+/* System header to define __stub macros and hopefully few prototypes,
+    which can conflict with char XtAppInitialize(); below.  */
+#include <assert.h>
+/* Override any gcc2 internal prototype to avoid an error.  */
+/* We use char because int might match the return type of a gcc2
+    builtin and then its argument prototype would still apply.  */
+char XtAppInitialize();
+
+int main() {
+
+/* The GNU C library defines this for functions which it implements
+    to always fail with ENOSYS.  Some functions are actually named
+    something starting with __ and the normal name is an alias.  */
+#if defined (__stub_XtAppInitialize) || defined (__stub___XtAppInitialize)
+choke me
+#else
+XtAppInitialize();
+#endif
+
+; return 0; }
+EOF
+if { (eval echo configure:5479: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+  rm -rf conftest*
+  eval "ac_cv_func_XtAppInitialize=yes"
+else
+  echo "configure: failed program was:" >&5
+  cat conftest.$ac_ext >&5
+  rm -rf conftest*
+  eval "ac_cv_func_XtAppInitialize=no"
+fi
+rm -f conftest*
+fi
+
+if eval "test \"`echo '$ac_cv_func_'XtAppInitialize`\" = yes"; then
+  echo "$ac_t""yes" 1>&6
+  :
+else
+  echo "$ac_t""no" 1>&6
+
+echo $ac_n "checking for XtAppInitialize in -lXt""... $ac_c" 1>&6
+echo "configure:5498: checking for XtAppInitialize in -lXt" >&5
+ac_lib_var=`echo Xt'_'XtAppInitialize | sed 'y%./+-%__p_%'`
+if eval "test \"`echo '$''{'ac_cv_lib_$ac_lib_var'+set}'`\" = set"; then
+  echo $ac_n "(cached) $ac_c" 1>&6
+else
+  ac_save_LIBS="$LIBS"
+LIBS="-lXt $X_PRE_LIBS $LIBS $X_EXTRA_LIBS $LIBS"
+cat > conftest.$ac_ext <<EOF
+#line 5506 "configure"
+#include "confdefs.h"
+/* Override any gcc2 internal prototype to avoid an error.  */
+/* We use char because int might match the return type of a gcc2
+    builtin and then its argument prototype would still apply.  */
+char XtAppInitialize();
+
+int main() {
+XtAppInitialize()
+; return 0; }
+EOF
+if { (eval echo configure:5517: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+  rm -rf conftest*
+  eval "ac_cv_lib_$ac_lib_var=yes"
+else
+  echo "configure: failed program was:" >&5
+  cat conftest.$ac_ext >&5
+  rm -rf conftest*
+  eval "ac_cv_lib_$ac_lib_var=no"
+fi
+rm -f conftest*
+LIBS="$ac_save_LIBS"
+
+fi
+if eval "test \"`echo '$ac_cv_lib_'$ac_lib_var`\" = yes"; then
+  echo "$ac_t""yes" 1>&6
+  cat >> confdefs.h <<\EOF
+#define HAVE_LIBXT 1
+EOF
+
+	 cf_have_X_LIBS=Xt
+	 LIBS="-lXt $X_PRE_LIBS $LIBS"
+else
+  echo "$ac_t""no" 1>&6
+fi
+
+fi
+
+
+if test $cf_have_X_LIBS = no ; then
+	echo "configure: warning: Unable to successfully link X Toolkit library (-lXt) with
+test program.  You will have to check and add the proper libraries by hand
+to makefile." 1>&2
+fi
+
+
+cf_x_athena=${cf_x_athena-Xaw}
+
+echo $ac_n "checking if you want to link with Xaw 3d library""... $ac_c" 1>&6
+echo "configure:5555: checking if you want to link with Xaw 3d library" >&5
+withval=
+
+# Check whether --with-Xaw3d or --without-Xaw3d was given.
+if test "${with_Xaw3d+set}" = set; then
+  withval="$with_Xaw3d"
+  :
+fi
+
+if test "$withval" = yes ; then
+	cf_x_athena=Xaw3d
+	echo "$ac_t""yes" 1>&6
+else
+	echo "$ac_t""no" 1>&6
+fi
+
+echo $ac_n "checking if you want to link with neXT Athena library""... $ac_c" 1>&6
+echo "configure:5572: checking if you want to link with neXT Athena library" >&5
+withval=
+
+# Check whether --with-neXtaw or --without-neXtaw was given.
+if test "${with_neXtaw+set}" = set; then
+  withval="$with_neXtaw"
+  :
+fi
+
+if test "$withval" = yes ; then
+	cf_x_athena=neXtaw
+	echo "$ac_t""yes" 1>&6
+else
+	echo "$ac_t""no" 1>&6
+fi
+
+echo $ac_n "checking if you want to link with Athena-Plus library""... $ac_c" 1>&6
+echo "configure:5589: checking if you want to link with Athena-Plus library" >&5
+withval=
+
+# Check whether --with-XawPlus or --without-XawPlus was given.
+if test "${with_XawPlus+set}" = set; then
+  withval="$with_XawPlus"
+  :
+fi
+
+if test "$withval" = yes ; then
+	cf_x_athena=XawPlus
+	echo "$ac_t""yes" 1>&6
+else
+	echo "$ac_t""no" 1>&6
+fi
+
+echo $ac_n "checking for XextCreateExtension in -lXext""... $ac_c" 1>&6
+echo "configure:5606: checking for XextCreateExtension in -lXext" >&5
+ac_lib_var=`echo Xext'_'XextCreateExtension | sed 'y%./+-%__p_%'`
+if eval "test \"`echo '$''{'ac_cv_lib_$ac_lib_var'+set}'`\" = set"; then
+  echo $ac_n "(cached) $ac_c" 1>&6
+else
+  ac_save_LIBS="$LIBS"
+LIBS="-lXext  $LIBS"
+cat > conftest.$ac_ext <<EOF
+#line 5614 "configure"
+#include "confdefs.h"
+/* Override any gcc2 internal prototype to avoid an error.  */
+/* We use char because int might match the return type of a gcc2
+    builtin and then its argument prototype would still apply.  */
+char XextCreateExtension();
+
+int main() {
+XextCreateExtension()
+; return 0; }
+EOF
+if { (eval echo configure:5625: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+  rm -rf conftest*
+  eval "ac_cv_lib_$ac_lib_var=yes"
+else
+  echo "configure: failed program was:" >&5
+  cat conftest.$ac_ext >&5
+  rm -rf conftest*
+  eval "ac_cv_lib_$ac_lib_var=no"
+fi
+rm -f conftest*
+LIBS="$ac_save_LIBS"
+
+fi
+if eval "test \"`echo '$ac_cv_lib_'$ac_lib_var`\" = yes"; then
+  echo "$ac_t""yes" 1>&6
+  LIBS="-lXext $LIBS"
+else
+  echo "$ac_t""no" 1>&6
+fi
+
+
+cf_x_athena_lib=""
+
+
+cf_x_athena_root=$cf_x_athena
+cf_x_athena_include=""
+
+for cf_path in default \
+	/usr/contrib/X11R6 \
+	/usr/contrib/X11R5 \
+	/usr/lib/X11R5 \
+	/usr/local
+do
+	if test -z "$cf_x_athena_include" ; then
+		cf_save="$CPPFLAGS"
+		cf_test=X11/$cf_x_athena_root/SimpleMenu.h
+		if test $cf_path != default ; then
+			CPPFLAGS="-I$cf_path/include $cf_save"
+			echo $ac_n "checking for $cf_test in $cf_path""... $ac_c" 1>&6
+echo "configure:5664: checking for $cf_test in $cf_path" >&5
+		else
+			echo $ac_n "checking for $cf_test""... $ac_c" 1>&6
+echo "configure:5667: checking for $cf_test" >&5
+		fi
+		cat > conftest.$ac_ext <<EOF
+#line 5670 "configure"
+#include "confdefs.h"
+
+#include <X11/Intrinsic.h>
+#include <$cf_test>
+int main() {
+
+; return 0; }
+EOF
+if { (eval echo configure:5679: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
+  rm -rf conftest*
+  cf_result=yes
+else
+  echo "configure: failed program was:" >&5
+  cat conftest.$ac_ext >&5
+  rm -rf conftest*
+  cf_result=no
+fi
+rm -f conftest*
+		echo "$ac_t""$cf_result" 1>&6
+		if test "$cf_result" = yes ; then
+			cf_x_athena_include=$cf_path
+			break
+		else
+			CPPFLAGS="$cf_save"
+		fi
+	fi
+done
+
+if test -z "$cf_x_athena_include" ; then
+	echo "configure: warning: Unable to successfully find Athena header files with test program" 1>&2
+elif test "$cf_x_athena_include" != default ; then
+	CPPFLAGS="$CPPFLAGS -I$cf_x_athena_include"
+fi
+
+
+cf_x_athena_root=$cf_x_athena
+cf_x_athena_lib=""
+
+for cf_path in default \
+	/usr/contrib/X11R6 \
+	/usr/contrib/X11R5 \
+	/usr/lib/X11R5 \
+	/usr/local
+do
+	for cf_lib in \
+		"-l$cf_x_athena_root -lXmu" \
+		"-l$cf_x_athena_root -lXpm -lXmu" \
+		"-l${cf_x_athena_root}_s -lXmu_s"
+	do
+		if test -z "$cf_x_athena_lib" ; then
+			cf_save="$LIBS"
+			cf_test=XawSimpleMenuAddGlobalActions
+			if test $cf_path != default ; then
+				LIBS="-L$cf_path/lib $cf_lib $LIBS"
+				echo $ac_n "checking for $cf_lib in $cf_path""... $ac_c" 1>&6
+echo "configure:5726: checking for $cf_lib in $cf_path" >&5
+			else
+				LIBS="$cf_lib $LIBS"
+				echo $ac_n "checking for $cf_test in $cf_lib""... $ac_c" 1>&6
+echo "configure:5730: checking for $cf_test in $cf_lib" >&5
+			fi
+			cf_SAVE="$LIBS"
+			LIBS="$X_PRE_LIBS $LIBS $X_EXTRA_LIBS"
+			cat > conftest.$ac_ext <<EOF
+#line 5735 "configure"
+#include "confdefs.h"
+
+int main() {
+$cf_test()
+; return 0; }
+EOF
+if { (eval echo configure:5742: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+  rm -rf conftest*
+  cf_result=yes
+else
+  echo "configure: failed program was:" >&5
+  cat conftest.$ac_ext >&5
+  rm -rf conftest*
+  cf_result=no
+fi
+rm -f conftest*
+			echo "$ac_t""$cf_result" 1>&6
+			if test "$cf_result" = yes ; then
+				cf_x_athena_lib="$cf_lib"
+				LIBS="$cf_SAVE"
+				break
+			else
+				LIBS="$cf_save"
+			fi
+		fi
+	done
+done
+
+if test -z "$cf_x_athena_lib" ; then
+	{ echo "configure: error: Unable to successfully link Athena library (-l$cf_x_athena_root) with test program" 1>&2; exit 1; }
+fi
+
+
+cf_x_athena_LIBS=`echo "HAVE_LIB_$cf_x_athena" | sed y%abcdefghijklmnopqrstuvwxyz./-%ABCDEFGHIJKLMNOPQRSTUVWXYZ___%`
+
+cat >> confdefs.h <<EOF
+#define $cf_x_athena_LIBS 1
+EOF
+
+
+
+
+
+LDFLAGS="$LDFLAGS $X_LIBS"
+
+test -n "$verbose" && echo "	checking additions to CFLAGS" 1>&6
+
+cf_check_cflags="$CFLAGS"
+cf_check_cppflags="$CPPFLAGS"
+
+cf_fix_cppflags=no
+cf_new_cflags=
+cf_new_cppflags=
+cf_new_extra_cppflags=
+
+for cf_add_cflags in $X_CFLAGS
+do
+case $cf_fix_cppflags in
+no)
+	case $cf_add_cflags in #(vi
+	-undef|-nostdinc*|-I*|-D*|-U*|-E|-P|-C) #(vi
+		case $cf_add_cflags in
+		-D*)
+			cf_tst_cflags=`echo ${cf_add_cflags} |sed -e 's/^-D[^=]*='\''\"[^"]*//'`
+
+			test "${cf_add_cflags}" != "${cf_tst_cflags}" \
+			&& test -z "${cf_tst_cflags}" \
+			&& cf_fix_cppflags=yes
+
+			if test $cf_fix_cppflags = yes ; then
+				cf_new_extra_cppflags="$cf_new_extra_cppflags $cf_add_cflags"
+				continue
+			elif test "${cf_tst_cflags}" = "\"'" ; then
+				cf_new_extra_cppflags="$cf_new_extra_cppflags $cf_add_cflags"
+				continue
+			fi
+			;;
+		esac
+		case "$CPPFLAGS" in
+		*$cf_add_cflags) #(vi
+			;;
+		*) #(vi
+			cf_new_cppflags="$cf_new_cppflags $cf_add_cflags"
+			;;
+		esac
+		;;
+	*)
+		cf_new_cflags="$cf_new_cflags $cf_add_cflags"
+		;;
+	esac
+	;;
+yes)
+	cf_new_extra_cppflags="$cf_new_extra_cppflags $cf_add_cflags"
+
+	cf_tst_cflags=`echo ${cf_add_cflags} |sed -e 's/^[^"]*"'\''//'`
+
+	test "${cf_add_cflags}" != "${cf_tst_cflags}" \
+	&& test -z "${cf_tst_cflags}" \
+	&& cf_fix_cppflags=no
+	;;
+esac
+done
+
+if test -n "$cf_new_cflags" ; then
+	test -n "$verbose" && echo "	add to \$CFLAGS $cf_new_cflags" 1>&6
+
+	CFLAGS="$CFLAGS $cf_new_cflags"
+fi
+
+if test -n "$cf_new_cppflags" ; then
+	test -n "$verbose" && echo "	add to \$CPPFLAGS $cf_new_cppflags" 1>&6
+
+	CPPFLAGS="$cf_new_cppflags $CPPFLAGS"
+fi
+
+if test -n "$cf_new_extra_cppflags" ; then
+	test -n "$verbose" && echo "	add to \$EXTRA_CPPFLAGS $cf_new_extra_cppflags" 1>&6
+
+	EXTRA_CPPFLAGS="$cf_new_extra_cppflags $EXTRA_CPPFLAGS"
+fi
+
+
+
+
+if test "$cf_check_cflags" != "$CFLAGS" ; then
+cat > conftest.$ac_ext <<EOF
+#line 5862 "configure"
+#include "confdefs.h"
+#include <stdio.h>
+int main() {
+printf("Hello world");
+; return 0; }
+EOF
+if { (eval echo configure:5869: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+  :
+else
+  echo "configure: failed program was:" >&5
+  cat conftest.$ac_ext >&5
+  rm -rf conftest*
+  test -n "$verbose" && echo "	test-compile failed.  Undoing change to \$CFLAGS" 1>&6
+
+	 if test "$cf_check_cppflags" != "$CPPFLAGS" ; then
+		 test -n "$verbose" && echo "	but keeping change to \$CPPFLAGS" 1>&6
+
+	 fi
+	 CFLAGS="$cf_check_flags"
+fi
+rm -f conftest*
+fi
+
+echo $ac_n "checking for XOpenDisplay in -lX11""... $ac_c" 1>&6
+echo "configure:5887: checking for XOpenDisplay in -lX11" >&5
+ac_lib_var=`echo X11'_'XOpenDisplay | sed 'y%./+-%__p_%'`
+if eval "test \"`echo '$''{'ac_cv_lib_$ac_lib_var'+set}'`\" = set"; then
+  echo $ac_n "(cached) $ac_c" 1>&6
+else
+  ac_save_LIBS="$LIBS"
+LIBS="-lX11 $X_PRE_LIBS $LIBS $X_EXTRA_LIBS $LIBS"
+cat > conftest.$ac_ext <<EOF
+#line 5895 "configure"
+#include "confdefs.h"
+/* Override any gcc2 internal prototype to avoid an error.  */
+/* We use char because int might match the return type of a gcc2
+    builtin and then its argument prototype would still apply.  */
+char XOpenDisplay();
+
+int main() {
+XOpenDisplay()
+; return 0; }
+EOF
+if { (eval echo configure:5906: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+  rm -rf conftest*
+  eval "ac_cv_lib_$ac_lib_var=yes"
+else
+  echo "configure: failed program was:" >&5
+  cat conftest.$ac_ext >&5
+  rm -rf conftest*
+  eval "ac_cv_lib_$ac_lib_var=no"
+fi
+rm -f conftest*
+LIBS="$ac_save_LIBS"
+
+fi
+if eval "test \"`echo '$ac_cv_lib_'$ac_lib_var`\" = yes"; then
+  echo "$ac_t""yes" 1>&6
+  LIBS="-lX11 $LIBS"
+else
+  echo "$ac_t""no" 1>&6
+fi
+
+echo $ac_n "checking for XCurses library""... $ac_c" 1>&6
+echo "configure:5927: checking for XCurses library" >&5
+if eval "test \"`echo '$''{'cf_cv_lib_XCurses'+set}'`\" = set"; then
+  echo $ac_n "(cached) $ac_c" 1>&6
+else
+  
+LIBS="-lXCurses $LIBS"
+cat > conftest.$ac_ext <<EOF
+#line 5934 "configure"
+#include "confdefs.h"
+
+#include <xcurses.h>
+char *XCursesProgramName = "test";
+
+int main() {
+XCursesExit();
+; return 0; }
+EOF
+if { (eval echo configure:5944: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+  rm -rf conftest*
+  cf_cv_lib_XCurses=yes
+else
+  echo "configure: failed program was:" >&5
+  cat conftest.$ac_ext >&5
+  rm -rf conftest*
+  cf_cv_lib_XCurses=no
+fi
+rm -f conftest*
+
+fi
+
+echo "$ac_t""$cf_cv_lib_XCurses" 1>&6
+if test $cf_cv_lib_XCurses = yes ; then
+	cat >> confdefs.h <<\EOF
+#define UNIX 1
+EOF
+
+	cat >> confdefs.h <<\EOF
+#define XCURSES 1
+EOF
+
+	cat >> confdefs.h <<\EOF
+#define HAVE_XCURSES 1
+EOF
+
+else
+	{ echo "configure: error: Cannot link with XCurses" 1>&2; exit 1; }
+fi
+
+	;;
+esac
+
+
+
+case $cf_cv_screen in #(vi
+pdcurses) #(vi
+	;;
+*)
+	# look for curses-related libraries
+	echo $ac_n "checking for new_panel in -lpanel$cf_cv_libtype""... $ac_c" 1>&6
+echo "configure:5986: checking for new_panel in -lpanel$cf_cv_libtype" >&5
+ac_lib_var=`echo panel$cf_cv_libtype'_'new_panel | sed 'y%./+-%__p_%'`
+if eval "test \"`echo '$''{'ac_cv_lib_$ac_lib_var'+set}'`\" = set"; then
+  echo $ac_n "(cached) $ac_c" 1>&6
+else
+  ac_save_LIBS="$LIBS"
+LIBS="-lpanel$cf_cv_libtype  $LIBS"
+cat > conftest.$ac_ext <<EOF
+#line 5994 "configure"
+#include "confdefs.h"
+/* Override any gcc2 internal prototype to avoid an error.  */
+/* We use char because int might match the return type of a gcc2
+    builtin and then its argument prototype would still apply.  */
+char new_panel();
+
+int main() {
+new_panel()
+; return 0; }
+EOF
+if { (eval echo configure:6005: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+  rm -rf conftest*
+  eval "ac_cv_lib_$ac_lib_var=yes"
+else
+  echo "configure: failed program was:" >&5
+  cat conftest.$ac_ext >&5
+  rm -rf conftest*
+  eval "ac_cv_lib_$ac_lib_var=no"
+fi
+rm -f conftest*
+LIBS="$ac_save_LIBS"
+
+fi
+if eval "test \"`echo '$ac_cv_lib_'$ac_lib_var`\" = yes"; then
+  echo "$ac_t""yes" 1>&6
+    ac_tr_lib=HAVE_LIB`echo panel$cf_cv_libtype | sed -e 's/[^a-zA-Z0-9_]/_/g' \
+    -e 'y/abcdefghijklmnopqrstuvwxyz/ABCDEFGHIJKLMNOPQRSTUVWXYZ/'`
+  cat >> confdefs.h <<EOF
+#define $ac_tr_lib 1
+EOF
+
+  LIBS="-lpanel$cf_cv_libtype $LIBS"
+
+else
+  echo "$ac_t""no" 1>&6
+fi
+
+	echo $ac_n "checking for menu_driver in -lmenu$cf_cv_libtype""... $ac_c" 1>&6
+echo "configure:6033: checking for menu_driver in -lmenu$cf_cv_libtype" >&5
+ac_lib_var=`echo menu$cf_cv_libtype'_'menu_driver | sed 'y%./+-%__p_%'`
+if eval "test \"`echo '$''{'ac_cv_lib_$ac_lib_var'+set}'`\" = set"; then
+  echo $ac_n "(cached) $ac_c" 1>&6
+else
+  ac_save_LIBS="$LIBS"
+LIBS="-lmenu$cf_cv_libtype  $LIBS"
+cat > conftest.$ac_ext <<EOF
+#line 6041 "configure"
+#include "confdefs.h"
+/* Override any gcc2 internal prototype to avoid an error.  */
+/* We use char because int might match the return type of a gcc2
+    builtin and then its argument prototype would still apply.  */
+char menu_driver();
+
+int main() {
+menu_driver()
+; return 0; }
+EOF
+if { (eval echo configure:6052: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+  rm -rf conftest*
+  eval "ac_cv_lib_$ac_lib_var=yes"
+else
+  echo "configure: failed program was:" >&5
+  cat conftest.$ac_ext >&5
+  rm -rf conftest*
+  eval "ac_cv_lib_$ac_lib_var=no"
+fi
+rm -f conftest*
+LIBS="$ac_save_LIBS"
+
+fi
+if eval "test \"`echo '$ac_cv_lib_'$ac_lib_var`\" = yes"; then
+  echo "$ac_t""yes" 1>&6
+    ac_tr_lib=HAVE_LIB`echo menu$cf_cv_libtype | sed -e 's/[^a-zA-Z0-9_]/_/g' \
+    -e 'y/abcdefghijklmnopqrstuvwxyz/ABCDEFGHIJKLMNOPQRSTUVWXYZ/'`
+  cat >> confdefs.h <<EOF
+#define $ac_tr_lib 1
+EOF
+
+  LIBS="-lmenu$cf_cv_libtype $LIBS"
+
+else
+  echo "$ac_t""no" 1>&6
+fi
+
+	echo $ac_n "checking for form_driver in -lform$cf_cv_libtype""... $ac_c" 1>&6
+echo "configure:6080: checking for form_driver in -lform$cf_cv_libtype" >&5
+ac_lib_var=`echo form$cf_cv_libtype'_'form_driver | sed 'y%./+-%__p_%'`
+if eval "test \"`echo '$''{'ac_cv_lib_$ac_lib_var'+set}'`\" = set"; then
+  echo $ac_n "(cached) $ac_c" 1>&6
+else
+  ac_save_LIBS="$LIBS"
+LIBS="-lform$cf_cv_libtype  $LIBS"
+cat > conftest.$ac_ext <<EOF
+#line 6088 "configure"
+#include "confdefs.h"
+/* Override any gcc2 internal prototype to avoid an error.  */
+/* We use char because int might match the return type of a gcc2
+    builtin and then its argument prototype would still apply.  */
+char form_driver();
+
+int main() {
+form_driver()
+; return 0; }
+EOF
+if { (eval echo configure:6099: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+  rm -rf conftest*
+  eval "ac_cv_lib_$ac_lib_var=yes"
+else
+  echo "configure: failed program was:" >&5
+  cat conftest.$ac_ext >&5
+  rm -rf conftest*
+  eval "ac_cv_lib_$ac_lib_var=no"
+fi
+rm -f conftest*
+LIBS="$ac_save_LIBS"
+
+fi
+if eval "test \"`echo '$ac_cv_lib_'$ac_lib_var`\" = yes"; then
+  echo "$ac_t""yes" 1>&6
+    ac_tr_lib=HAVE_LIB`echo form$cf_cv_libtype | sed -e 's/[^a-zA-Z0-9_]/_/g' \
+    -e 'y/abcdefghijklmnopqrstuvwxyz/ABCDEFGHIJKLMNOPQRSTUVWXYZ/'`
+  cat >> confdefs.h <<EOF
+#define $ac_tr_lib 1
+EOF
+
+  LIBS="-lform$cf_cv_libtype $LIBS"
+
+else
+  echo "$ac_t""no" 1>&6
+fi
+
+
+	# look for curses-related headers
+	for ac_hdr in \
+		nc_alloc.h \
+		nomacros.h \
+		form.h \
+		menu.h \
+		panel.h \
+		
+do
+ac_safe=`echo "$ac_hdr" | sed 'y%./+-%__p_%'`
+echo $ac_n "checking for $ac_hdr""... $ac_c" 1>&6
+echo "configure:6138: checking for $ac_hdr" >&5
+if eval "test \"`echo '$''{'ac_cv_header_$ac_safe'+set}'`\" = set"; then
+  echo $ac_n "(cached) $ac_c" 1>&6
+else
+  cat > conftest.$ac_ext <<EOF
+#line 6143 "configure"
+#include "confdefs.h"
+#include <$ac_hdr>
+EOF
+ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
+{ (eval echo configure:6148: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
+ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
+if test -z "$ac_err"; then
+  rm -rf conftest*
+  eval "ac_cv_header_$ac_safe=yes"
+else
+  echo "$ac_err" >&5
+  echo "configure: failed program was:" >&5
+  cat conftest.$ac_ext >&5
+  rm -rf conftest*
+  eval "ac_cv_header_$ac_safe=no"
+fi
+rm -f conftest*
+fi
+if eval "test \"`echo '$ac_cv_header_'$ac_safe`\" = yes"; then
+  echo "$ac_t""yes" 1>&6
+    ac_tr_hdr=HAVE_`echo $ac_hdr | sed 'y%abcdefghijklmnopqrstuvwxyz./-%ABCDEFGHIJKLMNOPQRSTUVWXYZ___%'`
+  cat >> confdefs.h <<EOF
+#define $ac_tr_hdr 1
+EOF
+ 
+else
+  echo "$ac_t""no" 1>&6
+fi
+done
+
+	;;
+esac
 
 echo $ac_n "checking return type of signal handlers""... $ac_c" 1>&6
-echo "configure:4020: checking return type of signal handlers" >&5
+echo "configure:6178: checking return type of signal handlers" >&5
 if eval "test \"`echo '$''{'ac_cv_type_signal'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
   cat > conftest.$ac_ext <<EOF
-#line 4025 "configure"
+#line 6183 "configure"
 #include "confdefs.h"
 #include <sys/types.h>
 #include <signal.h>
@@ -4038,7 +6196,7 @@
 int i;
 ; return 0; }
 EOF
-if { (eval echo configure:4042: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
+if { (eval echo configure:6200: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
   rm -rf conftest*
   ac_cv_type_signal=void
 else
@@ -4058,12 +6216,12 @@
 
 
 echo $ac_n "checking for ANSI C header files""... $ac_c" 1>&6
-echo "configure:4062: checking for ANSI C header files" >&5
+echo "configure:6220: checking for ANSI C header files" >&5
 if eval "test \"`echo '$''{'ac_cv_header_stdc'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
   cat > conftest.$ac_ext <<EOF
-#line 4067 "configure"
+#line 6225 "configure"
 #include "confdefs.h"
 #include <stdlib.h>
 #include <stdarg.h>
@@ -4071,7 +6229,7 @@
 #include <float.h>
 EOF
 ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
-{ (eval echo configure:4075: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
+{ (eval echo configure:6233: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
 ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
 if test -z "$ac_err"; then
   rm -rf conftest*
@@ -4088,7 +6246,7 @@
 if test $ac_cv_header_stdc = yes; then
   # SunOS 4.x string.h does not declare mem*, contrary to ANSI.
 cat > conftest.$ac_ext <<EOF
-#line 4092 "configure"
+#line 6250 "configure"
 #include "confdefs.h"
 #include <string.h>
 EOF
@@ -4106,7 +6264,7 @@
 if test $ac_cv_header_stdc = yes; then
   # ISC 2.0.2 stdlib.h does not declare free, contrary to ANSI.
 cat > conftest.$ac_ext <<EOF
-#line 4110 "configure"
+#line 6268 "configure"
 #include "confdefs.h"
 #include <stdlib.h>
 EOF
@@ -4127,7 +6285,7 @@
   :
 else
   cat > conftest.$ac_ext <<EOF
-#line 4131 "configure"
+#line 6289 "configure"
 #include "confdefs.h"
 #include <ctype.h>
 #define ISLOWER(c) ('a' <= (c) && (c) <= 'z')
@@ -4138,7 +6296,7 @@
 exit (0); }
 
 EOF
-if { (eval echo configure:4142: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext} && (./conftest; exit) 2>/dev/null
+if { (eval echo configure:6300: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext} && (./conftest; exit) 2>/dev/null
 then
   :
 else
@@ -4162,12 +6320,12 @@
 fi
 
 echo $ac_n "checking whether time.h and sys/time.h may both be included""... $ac_c" 1>&6
-echo "configure:4166: checking whether time.h and sys/time.h may both be included" >&5
+echo "configure:6324: checking whether time.h and sys/time.h may both be included" >&5
 if eval "test \"`echo '$''{'ac_cv_header_time'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
   cat > conftest.$ac_ext <<EOF
-#line 4171 "configure"
+#line 6329 "configure"
 #include "confdefs.h"
 #include <sys/types.h>
 #include <sys/time.h>
@@ -4176,7 +6334,7 @@
 struct tm *tp;
 ; return 0; }
 EOF
-if { (eval echo configure:4180: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
+if { (eval echo configure:6338: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
   rm -rf conftest*
   ac_cv_header_time=yes
 else
@@ -4197,13 +6355,8 @@
 fi
 
 for ac_hdr in \
-form.h \
 getopt.h \
 locale.h \
-menu.h \
-nc_alloc.h \
-nomacros.h \
-panel.h \
 sys/ioctl.h \
 sys/select.h \
 sys/time.h \
@@ -4213,17 +6366,17 @@
 do
 ac_safe=`echo "$ac_hdr" | sed 'y%./+-%__p_%'`
 echo $ac_n "checking for $ac_hdr""... $ac_c" 1>&6
-echo "configure:4217: checking for $ac_hdr" >&5
+echo "configure:6370: checking for $ac_hdr" >&5
 if eval "test \"`echo '$''{'ac_cv_header_$ac_safe'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
   cat > conftest.$ac_ext <<EOF
-#line 4222 "configure"
+#line 6375 "configure"
 #include "confdefs.h"
 #include <$ac_hdr>
 EOF
 ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
-{ (eval echo configure:4227: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
+{ (eval echo configure:6380: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
 ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
 if test -z "$ac_err"; then
   rm -rf conftest*
@@ -4252,26 +6405,43 @@
 
 for ac_func in \
 color_set \
+filter \
+getbegx \
+getcurx \
+getmaxx \
 getnstr \
 gettimeofday \
+getwin \
+mvvline \
+mvwvline \
 napms \
+putwin \
 resize_term \
 resizeterm \
+ripoffline \
+setupterm \
 slk_color \
+slk_init \
 strdup \
+termattrs \
+tgetent \
+tigetnum \
+tigetstr \
+typeahead \
 use_default_colors \
 vsscanf \
 wchgat \
+winsstr \
 wresize \
 
 do
 echo $ac_n "checking for $ac_func""... $ac_c" 1>&6
-echo "configure:4270: checking for $ac_func" >&5
+echo "configure:6440: checking for $ac_func" >&5
 if eval "test \"`echo '$''{'ac_cv_func_$ac_func'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
   cat > conftest.$ac_ext <<EOF
-#line 4275 "configure"
+#line 6445 "configure"
 #include "confdefs.h"
 /* System header to define __stub macros and hopefully few prototypes,
     which can conflict with char $ac_func(); below.  */
@@ -4294,7 +6464,7 @@
 
 ; return 0; }
 EOF
-if { (eval echo configure:4298: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+if { (eval echo configure:6468: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
   rm -rf conftest*
   eval "ac_cv_func_$ac_func=yes"
 else
@@ -4320,7 +6490,7 @@
 
 
 cat > conftest.$ac_ext <<EOF
-#line 4324 "configure"
+#line 6494 "configure"
 #include "confdefs.h"
 
 #include <${cf_cv_ncurses_header-curses.h}>
@@ -4341,7 +6511,7 @@
 	
 ; return 0; }
 EOF
-if { (eval echo configure:4345: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+if { (eval echo configure:6515: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
   rm -rf conftest*
   cat >> confdefs.h <<\EOF
 #define NCURSES_EXT_FUNCS 1
@@ -4355,13 +6525,13 @@
 
 
 echo $ac_n "checking if sys/time.h works with sys/select.h""... $ac_c" 1>&6
-echo "configure:4359: checking if sys/time.h works with sys/select.h" >&5
+echo "configure:6529: checking if sys/time.h works with sys/select.h" >&5
 if eval "test \"`echo '$''{'cf_cv_sys_time_select'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
   
 cat > conftest.$ac_ext <<EOF
-#line 4365 "configure"
+#line 6535 "configure"
 #include "confdefs.h"
 
 #include <sys/types.h>
@@ -4376,7 +6546,7 @@
 
 ; return 0; }
 EOF
-if { (eval echo configure:4380: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
+if { (eval echo configure:6550: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
   rm -rf conftest*
   cf_cv_sys_time_select=yes
 else
@@ -4397,7 +6567,7 @@
 
 
 echo $ac_n "checking for function curses_version""... $ac_c" 1>&6
-echo "configure:4401: checking for function curses_version" >&5
+echo "configure:6571: checking for function curses_version" >&5
 if eval "test \"`echo '$''{'cf_cv_func_curses_version'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
@@ -4406,7 +6576,7 @@
   cf_cv_func_curses_version=unknown
 else
   cat > conftest.$ac_ext <<EOF
-#line 4410 "configure"
+#line 6580 "configure"
 #include "confdefs.h"
 
 #include <${cf_cv_ncurses_header-curses.h}>
@@ -4418,7 +6588,7 @@
 }
 
 EOF
-if { (eval echo configure:4422: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext} && (./conftest; exit) 2>/dev/null
+if { (eval echo configure:6592: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext} && (./conftest; exit) 2>/dev/null
 then
   cf_cv_func_curses_version=yes
 
@@ -4443,7 +6613,7 @@
 
 
 echo $ac_n "checking for alternate character set array""... $ac_c" 1>&6
-echo "configure:4447: checking for alternate character set array" >&5
+echo "configure:6617: checking for alternate character set array" >&5
 if eval "test \"`echo '$''{'cf_cv_curses_acs_map'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
@@ -4452,7 +6622,7 @@
 for name in acs_map _acs_map __acs_map _nc_acs_map
 do
 cat > conftest.$ac_ext <<EOF
-#line 4456 "configure"
+#line 6626 "configure"
 #include "confdefs.h"
 
 #include <${cf_cv_ncurses_header-curses.h}>
@@ -4463,7 +6633,7 @@
 
 ; return 0; }
 EOF
-if { (eval echo configure:4467: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+if { (eval echo configure:6637: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
   rm -rf conftest*
   cf_cv_curses_acs_map=$name; break
 else
@@ -4484,7 +6654,7 @@
 
 
 echo $ac_n "checking for wide alternate character set array""... $ac_c" 1>&6
-echo "configure:4488: checking for wide alternate character set array" >&5
+echo "configure:6658: checking for wide alternate character set array" >&5
 if eval "test \"`echo '$''{'cf_cv_curses_wacs_map'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
@@ -4493,7 +6663,7 @@
 	for name in wacs_map _wacs_map __wacs_map _nc_wacs
 	do
 	cat > conftest.$ac_ext <<EOF
-#line 4497 "configure"
+#line 6667 "configure"
 #include "confdefs.h"
 
 #ifndef _XOPEN_SOURCE_EXTENDED
@@ -4504,7 +6674,7 @@
 $name['k'] = *WACS_PLUS
 ; return 0; }
 EOF
-if { (eval echo configure:4508: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+if { (eval echo configure:6678: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
   rm -rf conftest*
   cf_cv_curses_wacs_map=$name
 	 break
@@ -4520,9 +6690,9 @@
 
 
 echo $ac_n "checking for type attr_t in ${cf_cv_ncurses_header-curses.h}""... $ac_c" 1>&6
-echo "configure:4524: checking for type attr_t in ${cf_cv_ncurses_header-curses.h}" >&5
+echo "configure:6694: checking for type attr_t in ${cf_cv_ncurses_header-curses.h}" >&5
 cat > conftest.$ac_ext <<EOF
-#line 4526 "configure"
+#line 6696 "configure"
 #include "confdefs.h"
 
 #ifndef _XOPEN_SOURCE_EXTENDED
@@ -4535,7 +6705,7 @@
 
 ; return 0; }
 EOF
-if { (eval echo configure:4539: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
+if { (eval echo configure:6709: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
   rm -rf conftest*
   cf_result=yes
 else
@@ -4563,9 +6733,9 @@
 
 
 echo $ac_n "checking for type mbstate_t in ${cf_cv_ncurses_header-curses.h}""... $ac_c" 1>&6
-echo "configure:4567: checking for type mbstate_t in ${cf_cv_ncurses_header-curses.h}" >&5
+echo "configure:6737: checking for type mbstate_t in ${cf_cv_ncurses_header-curses.h}" >&5
 cat > conftest.$ac_ext <<EOF
-#line 4569 "configure"
+#line 6739 "configure"
 #include "confdefs.h"
 
 #ifndef _XOPEN_SOURCE_EXTENDED
@@ -4578,7 +6748,7 @@
 
 ; return 0; }
 EOF
-if { (eval echo configure:4582: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
+if { (eval echo configure:6752: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
   rm -rf conftest*
   cf_result=yes
 else
@@ -4763,8 +6933,6 @@
 s%@LIB_CLEAN@%$LIB_CLEAN%g
 s%@LIB_COMPILE@%$LIB_COMPILE%g
 s%@LIB_LINK@%$LIB_LINK%g
-s%@LIB_NAME@%$LIB_NAME%g
-s%@LIB_PREFIX@%$LIB_PREFIX%g
 s%@LINK_TESTS@%$LINK_TESTS%g
 s%@LINT@%$LINT%g
 s%@LINT_OPTS@%$LINT_OPTS%g
@@ -4778,6 +6946,11 @@
 s%@EXEEXT@%$EXEEXT%g
 s%@OBJEXT@%$OBJEXT%g
 s%@EXTRA_CPPFLAGS@%$EXTRA_CPPFLAGS%g
+s%@EXTRA_CFLAGS@%$EXTRA_CFLAGS%g
+s%@X_CFLAGS@%$X_CFLAGS%g
+s%@X_PRE_LIBS@%$X_PRE_LIBS%g
+s%@X_LIBS@%$X_LIBS%g
+s%@X_EXTRA_LIBS@%$X_EXTRA_LIBS%g
 
 CEOF
 EOF
Index: test/configure.in
Prereq:  1.51 
--- ncurses-5.5/test/configure.in	2005-02-26 23:58:27.000000000 +0000
+++ ncurses-5.5-20060128/test/configure.in	2005-12-31 20:07:07.000000000 +0000
@@ -28,7 +28,7 @@
 dnl
 dnl Author: Thomas E. Dickey 1996, etc.
 dnl
-dnl $Id: configure.in,v 1.51 2005/02/26 23:58:27 tom Exp $
+dnl $Id: configure.in,v 1.55 2005/12/31 20:07:07 tom Exp $
 dnl This is a simple configuration-script for the ncurses test programs that
 dnl allows the test-directory to be separately configured against a reference
 dnl system (i.e., sysvr4 curses)
@@ -66,8 +66,6 @@
 LIB_CLEAN=""				AC_SUBST(LIB_CLEAN)
 LIB_COMPILE=""				AC_SUBST(LIB_COMPILE)
 LIB_LINK=""				AC_SUBST(LIB_LINK)
-LIB_NAME=curses				AC_SUBST(LIB_NAME)
-LIB_PREFIX="-l"				AC_SUBST(LIB_PREFIX)
 LINK_TESTS=""				AC_SUBST(LINK_TESTS)
 LINT=lint				AC_SUBST(LINT)
 LINT_OPTS=""				AC_SUBST(LINT_OPTS)
@@ -86,6 +84,8 @@
 AC_OBJEXT
 
 CF_ANSI_CC_REQD
+CF_ENABLE_WARNINGS
+CF_GCC_ATTRIBUTES
 CF_XOPEN_SOURCE
 
 CF_WITH_CURSES_DIR
@@ -100,12 +100,16 @@
 dnl NcursesW, installed in conventional location
 AC_ARG_WITH(ncursesw,
 	[  --with-ncursesw         use wide ncurses-libraries (installed)],
-	[cf_cv_screen=ncursesw])
+	[cf_cv_screen=ncursesw],[
 
 dnl Ncurses, installed in conventional location
 AC_ARG_WITH(ncurses,
 	[  --with-ncurses          use ncurses-libraries (installed)],
-	[cf_cv_screen=ncurses])
+	[cf_cv_screen=ncurses],[
+
+AC_ARG_WITH(pdcurses,
+	[  --with-pdcurses         compile/link with pdcurses X11 library],
+	[cf_cv_screen=pdcurses])])])
 
 case $cf_cv_screen in
 curses)
@@ -116,14 +120,15 @@
 ncurses)
 	CF_NCURSES_CPPFLAGS
 	CF_NCURSES_LIBS
-	LIB_NAME=ncurses
 	;;
 ncursesw)
 	cf_cv_libtype=w
 	CF_UTF8_LIB
 	CF_NCURSES_CPPFLAGS(ncursesw)
 	CF_NCURSES_LIBS(ncursesw)
-	LIB_NAME=ncursesw
+	;;
+pdcurses) #(vi
+	CF_PDCURSES_X11
 	;;
 esac
 
@@ -132,22 +137,33 @@
 
 dnl Autoconf builds up the $LIBS in reverse order
 
-AC_CHECK_LIB(panel$cf_cv_libtype,new_panel)
-AC_CHECK_LIB(menu$cf_cv_libtype,menu_driver)
-AC_CHECK_LIB(form$cf_cv_libtype,form_driver)
+case $cf_cv_screen in #(vi
+pdcurses) #(vi
+	;;
+*)
+	# look for curses-related libraries
+	AC_CHECK_LIB(panel$cf_cv_libtype,new_panel)
+	AC_CHECK_LIB(menu$cf_cv_libtype,menu_driver)
+	AC_CHECK_LIB(form$cf_cv_libtype,form_driver)
+
+	# look for curses-related headers
+	AC_CHECK_HEADERS( \
+		nc_alloc.h \
+		nomacros.h \
+		form.h \
+		menu.h \
+		panel.h \
+		)
+	;;
+esac
 
 AC_TYPE_SIGNAL
 
 AC_STDC_HEADERS
 AC_HEADER_TIME
 AC_CHECK_HEADERS( \
-form.h \
 getopt.h \
 locale.h \
-menu.h \
-nc_alloc.h \
-nomacros.h \
-panel.h \
 sys/ioctl.h \
 sys/select.h \
 sys/time.h \
@@ -157,16 +173,33 @@
 
 AC_CHECK_FUNCS( \
 color_set \
+filter \
+getbegx \
+getcurx \
+getmaxx \
 getnstr \
 gettimeofday \
+getwin \
+mvvline \
+mvwvline \
 napms \
+putwin \
 resize_term \
 resizeterm \
+ripoffline \
+setupterm \
 slk_color \
+slk_init \
 strdup \
+termattrs \
+tgetent \
+tigetnum \
+tigetstr \
+typeahead \
 use_default_colors \
 vsscanf \
 wchgat \
+winsstr \
 wresize \
 )
 
Index: test/demo_altkeys.c
--- /dev/null	2005-11-19 17:15:46.000000000 +0000
+++ ncurses-5.5-20060128/test/demo_altkeys.c	2005-10-22 18:59:42.000000000 +0000
@@ -0,0 +1,142 @@
+/*
+ * $Id: demo_altkeys.c,v 1.2 2005/10/22 18:59:42 tom Exp $
+ *
+ * Demonstrate the define_key() function.
+ * Thomas Dickey - 2005/10/22
+ */
+
+#include <test.priv.h>
+
+#if defined(NCURSES_VERSION) && NCURSES_EXT_FUNCS
+
+#if TIME_WITH_SYS_TIME
+# include <sys/time.h>
+# include <time.h>
+#else
+# if HAVE_SYS_TIME_H
+#  include <sys/time.h>
+# else
+#  include <time.h>
+# endif
+#endif
+
+#include <term.h>
+
+#define MY_LOGFILE "demo_altkeys.log"
+#define MY_KEYS (KEY_MAX + 1)
+
+/*
+ * Log the most recently-written line to our logfile
+ */
+static void
+log_last_line(WINDOW *win)
+{
+    FILE *fp;
+    int y, x, n;
+    char temp[256];
+
+    if ((fp = fopen(MY_LOGFILE, "a")) != 0) {
+	int need = sizeof(temp) - 1;
+	if (need > COLS)
+	    need = COLS;
+	getyx(win, y, x);
+	wmove(win, y - 1, 0);
+	n = winnstr(win, temp, need);
+	while (n-- > 0) {
+	    if (isspace(UChar(temp[n])))
+		temp[n] = '\0';
+	    else
+		break;
+	}
+	wmove(win, y, x);
+	fprintf(fp, "%s\n", temp);
+	fclose(fp);
+    }
+}
+
+int
+main(int argc GCC_UNUSED, char *argv[]GCC_UNUSED)
+{
+    int n;
+    int ch;
+    SCREEN *sp;
+#if HAVE_GETTIMEOFDAY
+    int secs, msecs;
+    struct timeval current, previous;
+#endif
+
+    unlink(MY_LOGFILE);
+
+    sp = newterm(0, stdout, stdin);
+    (void) cbreak();		/* take input chars one at a time, no wait for \n */
+    (void) noecho();		/* don't echo input */
+
+    scrollok(stdscr, TRUE);
+    keypad(stdscr, TRUE);
+    move(0, 0);
+
+    /* we do the define_key() calls after keypad(), since the first call to
+     * keypad() initializes the corresponding data.
+     */
+    for (n = 0; n < 255; ++n) {
+	char temp[10];
+	sprintf(temp, "\033%c", n);
+	define_key(temp, n + MY_KEYS);
+    }
+    for (n = KEY_MIN; n < KEY_MAX; ++n) {
+	char *value;
+	if ((value = keybound(n, 0)) != 0) {
+	    char *temp = malloc(strlen(value) + 2);
+	    sprintf(temp, "\033%s", value);
+	    define_key(temp, n + MY_KEYS);
+	    free(temp);
+	    free(value);
+	}
+    }
+
+#if HAVE_GETTIMEOFDAY
+    gettimeofday(&previous, 0);
+#endif
+
+    while ((ch = getch()) != ERR) {
+	bool escaped = (ch >= MY_KEYS);
+	const char *name = keyname(escaped ? (ch - MY_KEYS) : ch);
+
+#if HAVE_GETTIMEOFDAY
+	gettimeofday(&current, 0);
+	secs = current.tv_sec - previous.tv_sec;
+	msecs = (current.tv_usec - previous.tv_usec) / 1000;
+	if (msecs < 0) {
+	    msecs += 1000;
+	    --secs;
+	}
+	if (msecs >= 1000) {
+	    secs += msecs / 1000;
+	    msecs %= 1000;
+	}
+	printw("%6d.%03d ", secs, msecs);
+	previous = current;
+#endif
+	printw("Keycode %d, name %s%s\n",
+	       ch,
+	       escaped ? "ESC-" : "",
+	       name != 0 ? name : "<null>");
+	log_last_line(stdscr);
+	clrtoeol();
+	if (ch == 'q')
+	    break;
+    }
+    endwin();
+#if NO_LEAKS
+    delscreen(sp);
+#endif
+    ExitProgram(EXIT_FAILURE);
+}
+#else
+int
+main(void)
+{
+    printf("This program requires the ncurses library\n");
+    ExitProgram(EXIT_FAILURE);
+}
+#endif
Index: test/demo_defkey.c
Prereq:  1.13 
--- ncurses-5.5/test/demo_defkey.c	2004-01-04 00:01:13.000000000 +0000
+++ ncurses-5.5-20060128/test/demo_defkey.c	2005-10-22 15:11:38.000000000 +0000
@@ -1,5 +1,5 @@
 /*
- * $Id: demo_defkey.c,v 1.13 2004/01/04 00:01:13 tom Exp $
+ * $Id: demo_defkey.c,v 1.14 2005/10/22 15:11:38 tom Exp $
  *
  * Demonstrate the define_key() function.
  * Thomas Dickey - 2002/11/23
@@ -24,9 +24,12 @@
     char temp[256];
 
     if ((fp = fopen(MY_LOGFILE, "a")) != 0) {
+	int need = sizeof(temp) - 1;
+	if (need > COLS)
+	    need = COLS;
 	getyx(win, y, x);
 	wmove(win, y - 1, 0);
-	n = winnstr(win, temp, sizeof(temp));
+	n = winnstr(win, temp, need);
 	while (n-- > 0) {
 	    if (isspace(UChar(temp[n])))
 		temp[n] = '\0';
@@ -120,6 +123,8 @@
 	vis_string = 0;
     }
 
+    if (vis_string != 0)
+	free(vis_string);
     vis_string = visible(new_string);
     if ((rc = key_defined(new_string)) > 0) {
 	wprintw(win, "%s was bound to %s\n", vis_string, keyname(rc));
@@ -141,7 +146,7 @@
 	wprintw(win, "%s deleted\n", code_name);
 	log_last_line(win);
     }
-    if (vis_string != 0 && *vis_string != 0)
+    if (vis_string != 0)
 	free(vis_string);
     if (old_string != 0)
 	free(old_string);
@@ -236,9 +241,11 @@
 		name != 0 ? name : "<null>");
 	log_last_line(win);
 	wclrtoeol(win);
+	if (ch == 'q')
+	    break;
     }
     endwin();
-    return EXIT_SUCCESS;
+    ExitProgram(EXIT_FAILURE);
 }
 #else
 int
Index: test/demo_forms.c
Prereq:  1.18 
--- ncurses-5.5/test/demo_forms.c	2005-10-08 21:54:20.000000000 +0000
+++ ncurses-5.5-20060128/test/demo_forms.c	2005-12-31 16:55:09.000000000 +0000
@@ -1,5 +1,32 @@
+/****************************************************************************
+ * Copyright (c) 1993-2004,2005 Free Software Foundation, Inc.              *
+ *                                                                          *
+ * Permission is hereby granted, free of charge, to any person obtaining a  *
+ * copy of this software and associated documentation files (the            *
+ * "Software"), to deal in the Software without restriction, including      *
+ * without limitation the rights to use, copy, modify, merge, publish,      *
+ * distribute, distribute with modifications, sublicense, and/or sell       *
+ * copies of the Software, and to permit persons to whom the Software is    *
+ * furnished to do so, subject to the following conditions:                 *
+ *                                                                          *
+ * The above copyright notice and this permission notice shall be included  *
+ * in all copies or substantial portions of the Software.                   *
+ *                                                                          *
+ * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS  *
+ * OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF               *
+ * MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.   *
+ * IN NO EVENT SHALL THE ABOVE COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM,   *
+ * DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR    *
+ * OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR    *
+ * THE USE OR OTHER DEALINGS IN THE SOFTWARE.                               *
+ *                                                                          *
+ * Except as contained in this notice, the name(s) of the above copyright   *
+ * holders shall not be used in advertising or otherwise to promote the     *
+ * sale, use or other dealings in this Software without prior written       *
+ * authorization.                                                           *
+ ****************************************************************************/
 /*
- * $Id: demo_forms.c,v 1.18 2005/10/08 21:54:20 tom Exp $
+ * $Id: demo_forms.c,v 1.19 2005/12/31 16:55:09 tom Exp $
  *
  * Demonstrate a variety of functions from the form library.
  * Thomas Dickey - 2003/4/26
Index: test/demo_termcap.c
Prereq:  1.2 
--- ncurses-5.5/test/demo_termcap.c	2005-04-30 14:57:54.000000000 +0000
+++ ncurses-5.5-20060128/test/demo_termcap.c	2006-01-21 23:43:53.000000000 +0000
@@ -1,5 +1,5 @@
 /****************************************************************************
- * Copyright (c) 2005 Free Software Foundation, Inc.                        *
+ * Copyright (c) 2005,2006 Free Software Foundation, Inc.                   *
  *                                                                          *
  * Permission is hereby granted, free of charge, to any person obtaining a  *
  * copy of this software and associated documentation files (the            *
@@ -29,12 +29,14 @@
 /*
  * Author: Thomas E. Dickey
  *
- * $Id: demo_termcap.c,v 1.2 2005/04/30 14:57:54 tom Exp $
+ * $Id: demo_termcap.c,v 1.4 2006/01/21 23:43:53 tom Exp $
  *
  * A simple demo of the termcap interface.
  */
 #include <test.priv.h>
 
+#if HAVE_TGETENT
+
 #define isCapName(c) (isgraph(c) && strchr("^#=:\\", c) == 0)
 
 static void
@@ -113,7 +115,7 @@
 }
 
 static void
-demo_termcap(char *name)
+demo_termcap(const char *name)
 {
     char buffer[1024];
 
@@ -155,3 +157,12 @@
 
     ExitProgram(EXIT_SUCCESS);
 }
+#else
+int
+main(int argc GCC_UNUSED,
+     char *argv[]GCC_UNUSED)
+{
+    printf("This program requires termcap\n");
+    exit(EXIT_FAILURE);
+}
+#endif
Index: test/dots.c
Prereq:  1.11 
--- ncurses-5.5/test/dots.c	2005-05-28 21:38:45.000000000 +0000
+++ ncurses-5.5-20060128/test/dots.c	2005-12-31 17:02:15.000000000 +0000
@@ -1,5 +1,5 @@
 /****************************************************************************
- * Copyright (c) 1999-2002,2004 Free Software Foundation, Inc.              *
+ * Copyright (c) 1999-2004,2005 Free Software Foundation, Inc.              *
  *                                                                          *
  * Permission is hereby granted, free of charge, to any person obtaining a  *
  * copy of this software and associated documentation files (the            *
@@ -29,12 +29,14 @@
 /*
  * Author: Thomas E. Dickey <dickey@clark.net> 1999
  *
- * $Id: dots.c,v 1.11 2005/05/28 21:38:45 tom Exp $
+ * $Id: dots.c,v 1.12 2005/12/31 17:02:15 tom Exp $
  *
  * A simple demo of the terminfo interface.
  */
 #include <test.priv.h>
 
+#if HAVE_SETUPTERM
+
 #include <time.h>
 
 #define valid(s) ((s != 0) && s != (char *)-1)
@@ -142,3 +144,12 @@
 	fflush(stdout);
     }
 }
+#else
+int
+main(int argc GCC_UNUSED,
+     char *argv[]GCC_UNUSED)
+{
+    fprintf(stderr, "This program requires terminfo\n");
+    exit(EXIT_FAILURE);
+}
+#endif
Index: test/filter.c
Prereq:  1.8 
--- ncurses-5.5/test/filter.c	2004-06-05 21:57:30.000000000 +0000
+++ ncurses-5.5-20060128/test/filter.c	2006-01-12 00:24:13.000000000 +0000
@@ -1,5 +1,5 @@
 /****************************************************************************
- * Copyright (c) 1998-2001,2002 Free Software Foundation, Inc.              *
+ * Copyright (c) 1998-2005,2006 Free Software Foundation, Inc.              *
  *                                                                          *
  * Permission is hereby granted, free of charge, to any person obtaining a  *
  * copy of this software and associated documentation files (the            *
@@ -29,10 +29,12 @@
 /*
  * Author:  Thomas E. Dickey <dickey@clark.net> 1998
  *
- * $Id: filter.c,v 1.8 2004/06/05 21:57:30 tom Exp $
+ * $Id: filter.c,v 1.10 2006/01/12 00:24:13 tom Exp $
  */
 #include <test.priv.h>
 
+#if HAVE_FILTER
+
 /*
  * An example of the 'filter()' function in ncurses, this program prompts
  * for commands and executes them (like a command shell).  It illustrates
@@ -54,6 +56,21 @@
     printw("Command: ");
     attron(underline);
     code = getnstr(buffer, length);
+    /*
+     * If this returns anything except ERR/OK, it would be one of ncurses's
+     * extensions.  Fill the buffer with something harmless that the shell
+     * will execute as a comment.
+     */
+#ifdef KEY_EVENT
+    if (code == KEY_EVENT)
+	strcpy(buffer, "# event!");
+#endif
+#ifdef KEY_RESIZE
+    if (code == KEY_RESIZE) {
+	strcpy(buffer, "# resize!");
+	getch();
+    }
+#endif
     attroff(underline);
     attroff(A_BOLD);
     printw("\n");
@@ -66,6 +83,7 @@
 {
     char buffer[80];
     attr_t underline;
+    int code;
 
     setlocale(LC_ALL, "");
 
@@ -87,7 +105,7 @@
 	underline = A_UNDERLINE;
     }
 
-    while (new_command(buffer, sizeof(buffer) - 1, underline) != ERR
+    while ((code = new_command(buffer, sizeof(buffer) - 1, underline)) != ERR
 	   && strlen(buffer) != 0) {
 	reset_shell_mode();
 	printf("\n");
@@ -103,3 +121,11 @@
     endwin();
     ExitProgram(EXIT_SUCCESS);
 }
+#else
+int
+main(void)
+{
+    printf("This program requires the filter function\n");
+    ExitProgram(EXIT_FAILURE);
+}
+#endif /* HAVE_FILTER */
Index: test/inserts.c
Prereq:  1.13 
--- ncurses-5.5/test/inserts.c	2005-04-16 15:56:42.000000000 +0000
+++ ncurses-5.5-20060128/test/inserts.c	2005-12-31 16:56:41.000000000 +0000
@@ -1,5 +1,32 @@
+/****************************************************************************
+ * Copyright (c) 2002-2004,2005 Free Software Foundation, Inc.              *
+ *                                                                          *
+ * Permission is hereby granted, free of charge, to any person obtaining a  *
+ * copy of this software and associated documentation files (the            *
+ * "Software"), to deal in the Software without restriction, including      *
+ * without limitation the rights to use, copy, modify, merge, publish,      *
+ * distribute, distribute with modifications, sublicense, and/or sell       *
+ * copies of the Software, and to permit persons to whom the Software is    *
+ * furnished to do so, subject to the following conditions:                 *
+ *                                                                          *
+ * The above copyright notice and this permission notice shall be included  *
+ * in all copies or substantial portions of the Software.                   *
+ *                                                                          *
+ * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS  *
+ * OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF               *
+ * MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.   *
+ * IN NO EVENT SHALL THE ABOVE COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM,   *
+ * DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR    *
+ * OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR    *
+ * THE USE OR OTHER DEALINGS IN THE SOFTWARE.                               *
+ *                                                                          *
+ * Except as contained in this notice, the name(s) of the above copyright   *
+ * holders shall not be used in advertising or otherwise to promote the     *
+ * sale, use or other dealings in this Software without prior written       *
+ * authorization.                                                           *
+ ****************************************************************************/
 /*
- * $Id: inserts.c,v 1.13 2005/04/16 15:56:42 tom Exp $
+ * $Id: inserts.c,v 1.14 2005/12/31 16:56:41 tom Exp $
  *
  * Demonstrate the winsstr() and winsch functions.
  * Thomas Dickey - 2002/10/19
@@ -7,6 +34,8 @@
 
 #include <test.priv.h>
 
+#if HAVE_WINSSTR
+
 #define InsNStr    insnstr
 #define InsStr     insstr
 #define MvInsNStr  mvinsnstr
@@ -397,3 +426,11 @@
     endwin();
     ExitProgram(EXIT_SUCCESS);
 }
+#else
+int
+main(void)
+{
+    printf("This program requires the winsstr function\n");
+    ExitProgram(EXIT_FAILURE);
+}
+#endif /* HAVE_WINSSTR */
Index: test/lrtest.c
Prereq:  1.20 
--- ncurses-5.5/test/lrtest.c	2004-08-07 16:08:01.000000000 +0000
+++ ncurses-5.5-20060128/test/lrtest.c	2005-12-31 16:51:53.000000000 +0000
@@ -1,3 +1,30 @@
+/****************************************************************************
+ * Copyright (c) 1998-2004,2005 Free Software Foundation, Inc.              *
+ *                                                                          *
+ * Permission is hereby granted, free of charge, to any person obtaining a  *
+ * copy of this software and associated documentation files (the            *
+ * "Software"), to deal in the Software without restriction, including      *
+ * without limitation the rights to use, copy, modify, merge, publish,      *
+ * distribute, distribute with modifications, sublicense, and/or sell       *
+ * copies of the Software, and to permit persons to whom the Software is    *
+ * furnished to do so, subject to the following conditions:                 *
+ *                                                                          *
+ * The above copyright notice and this permission notice shall be included  *
+ * in all copies or substantial portions of the Software.                   *
+ *                                                                          *
+ * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS  *
+ * OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF               *
+ * MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.   *
+ * IN NO EVENT SHALL THE ABOVE COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM,   *
+ * DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR    *
+ * OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR    *
+ * THE USE OR OTHER DEALINGS IN THE SOFTWARE.                               *
+ *                                                                          *
+ * Except as contained in this notice, the name(s) of the above copyright   *
+ * holders shall not be used in advertising or otherwise to promote the     *
+ * sale, use or other dealings in this Software without prior written       *
+ * authorization.                                                           *
+ ****************************************************************************/
 /*
  * Test lower-right-hand corner access
  *
@@ -7,7 +34,7 @@
  * This can't be part of the ncurses test-program, because ncurses rips off the
  * bottom line to do labels.
  *
- * $Id: lrtest.c,v 1.20 2004/08/07 16:08:01 tom Exp $
+ * $Id: lrtest.c,v 1.21 2005/12/31 16:51:53 tom Exp $
  */
 
 #include <test.priv.h>
@@ -84,9 +111,12 @@
 #endif
     move(LINES / 2 - 1, 4);
     if (!(has_ic()
+#if HAVE_SETUPTERM
     /* see PutCharLR() */
 	  || auto_right_margin
-	  || (enter_am_mode && exit_am_mode))) {
+	  || (enter_am_mode && exit_am_mode)
+#endif
+	)) {
 	addstr("Your terminal lacks the capabilities needed to address the\n");
 	move(LINES / 2, 4);
 	addstr("lower-right-hand corner of the screen.\n");
Index: test/modules
Prereq:  1.23 
--- ncurses-5.5/test/modules	2005-09-25 00:56:17.000000000 +0000
+++ ncurses-5.5-20060128/test/modules	2005-10-22 14:19:30.000000000 +0000
@@ -1,5 +1,5 @@
 # Test-Program modules
-# $Id: modules,v 1.23 2005/09/25 00:56:17 tom Exp $
+# $Id: modules,v 1.24 2005/10/22 14:19:30 tom Exp $
 ##############################################################################
 # Copyright (c) 1998-2003,2005 Free Software Foundation, Inc.                #
 #                                                                            #
@@ -37,6 +37,7 @@
 bs		progs		$(srcdir)	$(HEADER_DEPS)
 cardfile	progs		$(srcdir)	$(HEADER_DEPS)	../include/panel.h ../include/form.h
 color_set	progs		$(srcdir)	$(HEADER_DEPS)
+demo_altkeys	progs		$(srcdir)	$(HEADER_DEPS)
 demo_defkey	progs		$(srcdir)	$(HEADER_DEPS)
 demo_keyok	progs		$(srcdir)	$(HEADER_DEPS)
 demo_forms	progs		$(srcdir)	$(HEADER_DEPS)	../include/form.h $(srcdir)/edit_field.h
Index: test/ncurses.c
Prereq:  1.253 
--- ncurses-5.5/test/ncurses.c	2005-10-01 16:00:56.000000000 +0000
+++ ncurses-5.5-20060128/test/ncurses.c	2006-01-21 18:06:40.000000000 +0000
@@ -1,5 +1,5 @@
 /****************************************************************************
- * Copyright (c) 1998-2004,2005 Free Software Foundation, Inc.              *
+ * Copyright (c) 1998-2005,2006 Free Software Foundation, Inc.              *
  *                                                                          *
  * Permission is hereby granted, free of charge, to any person obtaining a  *
  * copy of this software and associated documentation files (the            *
@@ -40,7 +40,7 @@
    Author: Eric S. Raymond <esr@snark.thyrsus.com> 1993
            Thomas E. Dickey (beginning revision 1.27 in 1996).
 
-$Id: ncurses.c,v 1.253 2005/10/01 16:00:56 tom Exp $
+$Id: ncurses.c,v 1.266 2006/01/21 18:06:40 tom Exp $
 
 ***************************************************************************/
 
@@ -69,6 +69,8 @@
 
 #ifdef NCURSES_VERSION
 
+#define NCURSES_CONST_PARAM const void
+
 #ifdef TRACE
 static unsigned save_trace = TRACE_ORDINARY | TRACE_CALLS;
 extern unsigned _nc_tracing;
@@ -76,8 +78,11 @@
 
 #else
 
+#define NCURSES_CONST_PARAM char
+
 #define mmask_t chtype		/* not specified in XSI */
 
+#ifndef ACS_S3
 #ifdef CURSES_ACS_ARRAY
 #define ACS_S3          (CURSES_ACS_ARRAY['p'])		/* scan line 3 */
 #define ACS_S7          (CURSES_ACS_ARRAY['r'])		/* scan line 7 */
@@ -95,6 +100,7 @@
 #define ACS_NEQUAL      (A_ALTCHARSET + '|')	/* not equal */
 #define ACS_STERLING    (A_ALTCHARSET + '}')	/* UK pound sign */
 #endif
+#endif /* ACS_S3 */
 
 #ifdef CURSES_WACS_ARRAY
 #define WACS_S3         (&(CURSES_WACS_ARRAY['p']))	/* scan line 3 */
@@ -565,6 +571,16 @@
 static unsigned len_winstack = 0;
 
 static void
+forget_boxes(void)
+{
+    if (winstack != 0) {
+	free(winstack);
+    }
+    winstack = 0;
+    len_winstack = 0;
+}
+
+static void
 remember_boxes(unsigned level, WINDOW *txt_win, WINDOW *box_win)
 {
     unsigned need = (level + 1) * 2;
@@ -595,10 +611,12 @@
     touchwin(stdscr);
     wnoutrefresh(stdscr);
 
+#if USE_SOFTKEYS
     /* FIXME: this chunk should be done in resizeterm() */
     slk_touch();
     slk_clear();
     slk_noutrefresh();
+#endif
 
     for (n = 0; n < level; ++n) {
 	wresize(winstack[n].frame, high, wide);
@@ -619,6 +637,7 @@
     doupdate();
 }
 #else
+#define forget_boxes()		/* nothing */
 #define remember_boxes(level,text,frame)	/* nothing */
 #endif
 
@@ -799,6 +818,7 @@
 {
     int delay = begin_getch_test();
     wgetch_test(0, stdscr, delay);
+    forget_boxes();
     finish_getch_test();
 }
 
@@ -819,10 +839,12 @@
     touchwin(stdscr);
     wnoutrefresh(stdscr);
 
+#if USE_SOFTKEYS
     /* FIXME: this chunk should be done in resizeterm() */
     slk_touch();
     slk_clear();
     slk_noutrefresh();
+#endif
 
     for (n = 0; n < level; ++n) {
 	wresize(winstack[n].frame, high, wide);
@@ -1011,6 +1033,7 @@
 {
     int delay = begin_getch_test();
     wget_wch_test(0, stdscr, delay);
+    forget_boxes();
     finish_getch_test();
 }
 #endif
@@ -1021,6 +1044,52 @@
  *
  ****************************************************************************/
 
+#if HAVE_SETUPTERM || HAVE_TGETENT
+#define get_ncv() TIGETNUM("ncv","NC")
+#define get_xmc() TIGETNUM("xmc","sg")
+#else
+#define get_ncv() -1
+#define get_xmc() -1
+#endif
+
+#if !HAVE_TERMATTRS
+static chtype
+my_termattrs(void)
+{
+    static int first = TRUE;
+    static chtype result = 0;
+
+    if (first) {
+#if !HAVE_TIGETSTR
+	char buffer[4096];
+	char parsed[4096];
+	char *area_pointer = parsed;
+
+	tgetent(buffer, getenv("TERM"));
+#endif
+
+	if (TIGETSTR("smso", "so"))
+	    result |= A_STANDOUT;
+	if (TIGETSTR("smul", "us"))
+	    result |= A_UNDERLINE;
+	if (TIGETSTR("rev", "mr"))
+	    result |= A_REVERSE;
+	if (TIGETSTR("blink", "mb"))
+	    result |= A_BLINK;
+	if (TIGETSTR("dim", "mh"))
+	    result |= A_DIM;
+	if (TIGETSTR("bold", "md"))
+	    result |= A_BOLD;
+	if (TIGETSTR("smacs", "ac"))
+	    result |= A_ALTCHARSET;
+
+	first = FALSE;
+    }
+    return result;
+}
+#define termattrs() my_termattrs()
+#endif
+
 #define MAX_ATTRSTRING 31
 #define LEN_ATTRSTRING 26
 
@@ -1070,7 +1139,7 @@
 }
 
 static bool
-cycle_color_attr(int ch, int *fg, int *bg, int *tx)
+cycle_color_attr(int ch, short *fg, short *bg, short *tx)
 {
     bool error = FALSE;
 
@@ -1152,7 +1221,7 @@
 static int
 show_attr(int row, int skip, bool arrow, chtype attr, const char *name)
 {
-    int ncv = tigetnum("ncv");
+    int ncv = get_ncv();
     chtype test = attr & (chtype) (~A_ALTCHARSET);
 
     if (arrow)
@@ -1195,7 +1264,9 @@
 		    A_BLINK,
 		    A_DIM,
 		    A_BOLD,
+#ifdef A_INVIS
 		    A_INVIS,
+#endif
 		    A_PROTECT,
 		    A_ALTCHARSET
 		};
@@ -1229,13 +1300,15 @@
     { A_DIM,		"DIM" },
     { A_BLINK,		"BLINK" },
     { A_PROTECT,	"PROTECT" },
+#ifdef A_INVIS
     { A_INVIS,		"INVISIBLE" },
+#endif
     { A_NORMAL,		"NORMAL" },
 };
 /* *INDENT-ON* */
 
 static bool
-attr_getc(int *skip, int *fg, int *bg, int *tx, int *ac, unsigned *kc)
+attr_getc(int *skip, short *fg, short *bg, short *tx, int *ac, unsigned *kc)
 {
     bool result = TRUE;
     bool error = FALSE;
@@ -1301,10 +1374,10 @@
 /* test text attributes */
 {
     int n;
-    int skip = tigetnum("xmc");
-    int fg = COLOR_BLACK;	/* color pair 0 is special */
-    int bg = COLOR_BLACK;
-    int tx = -1;
+    int skip = get_xmc();
+    short fg = COLOR_BLACK;	/* color pair 0 is special */
+    short bg = COLOR_BLACK;
+    short tx = -1;
     int ac = 0;
     unsigned j, k;
 
@@ -1321,7 +1394,7 @@
 	chtype extras = ac;
 
 	if (has_colors()) {
-	    int pair = (fg != COLOR_BLACK || bg != COLOR_BLACK);
+	    short pair = (fg != COLOR_BLACK || bg != COLOR_BLACK);
 	    if (pair != 0) {
 		pair = 1;
 		if (init_pair(pair, fg, bg) == ERR) {
@@ -1347,7 +1420,8 @@
 	mvaddstr(0, 20, "Character attribute test display");
 
 	for (j = 0; j < SIZEOF(attrs_to_test); ++j) {
-	    row = show_attr(row, n, j == k,
+	    bool arrow = (j == k);
+	    row = show_attr(row, n, arrow,
 			    extras |
 			    attrs_to_test[j].attr |
 			    attrs_to_test[k].attr,
@@ -1356,7 +1430,7 @@
 
 	mvprintw(row, 8,
 		 "This terminal does %shave the magic-cookie glitch",
-		 tigetnum("xmc") > -1 ? "" : "not ");
+		 get_xmc() > -1 ? "" : "not ");
 	mvprintw(row + 1, 8, "Enter '?' for help.");
 	show_color_attr(fg, bg, tx);
 	printw("  ACS (%d)", ac != 0);
@@ -1436,7 +1510,7 @@
 static int
 wide_show_attr(int row, int skip, bool arrow, chtype attr, short pair, const char *name)
 {
-    int ncv = tigetnum("ncv");
+    int ncv = get_ncv();
     chtype test = attr & ~WA_ALTCHARSET;
 
     if (arrow)
@@ -1511,7 +1585,7 @@
 }
 
 static bool
-wide_attr_getc(int *skip, int *fg, int *bg, int *tx, int *ac, unsigned *kc)
+wide_attr_getc(int *skip, short *fg, short *bg, short *tx, int *ac, unsigned *kc)
 {
     bool result = TRUE;
     bool error = FALSE;
@@ -1577,10 +1651,10 @@
 /* test text attributes using wide-character calls */
 {
     int n;
-    int skip = tigetnum("xmc");
-    int fg = COLOR_BLACK;	/* color pair 0 is special */
-    int bg = COLOR_BLACK;
-    int tx = -1;
+    int skip = get_xmc();
+    short fg = COLOR_BLACK;	/* color pair 0 is special */
+    short bg = COLOR_BLACK;
+    short tx = -1;
     int ac = 0;
     unsigned j, k;
 
@@ -1629,7 +1703,7 @@
 
 	mvprintw(row, 8,
 		 "This terminal does %shave the magic-cookie glitch",
-		 tigetnum("xmc") > -1 ? "" : "not ");
+		 get_xmc() > -1 ? "" : "not ");
 	mvprintw(row + 1, 8, "Enter '?' for help.");
 	show_color_attr(fg, bg, tx);
 	printw("  ACS (%d)", ac != 0);
@@ -1723,7 +1797,7 @@
 color_test(void)
 {
     int c;
-    int i;
+    short i;
     int top = 0, width;
     int base_row = 0;
     int grid_top = top + 3;
@@ -1777,10 +1851,13 @@
 	for (i = (base_row * per_row); i < pairs_max; i++) {
 	    int row = grid_top + (i / per_row) - base_row;
 	    int col = (i % per_row + 1) * width;
-	    int pair = i;
+	    short pair = i;
 
 	    if (row >= 0 && move(row, col) != ERR) {
-		init_pair(pair, i % COLORS, i / COLORS);
+		short fg = i % COLORS;
+		short bg = i / COLORS;
+
+		init_pair(pair, fg, bg);
 		attron((attr_t) COLOR_PAIR(pair));
 		if (opt_bold)
 		    attron((attr_t) A_BOLD);
@@ -2044,24 +2121,21 @@
 #endif /* USE_WIDEC_SUPPORT */
 
 static void
-change_color(int current, int field, int value, int usebase)
+change_color(short current, int field, int value, int usebase)
 {
     short red, green, blue;
 
-    if (usebase)
-	color_content(current, &red, &green, &blue);
-    else
-	red = green = blue = 0;
+    color_content(current, &red, &green, &blue);
 
     switch (field) {
     case 0:
-	red += value;
+	red = usebase ? red + value : value;
 	break;
     case 1:
-	green += value;
+	green = usebase ? green + value : value;
 	break;
     case 2:
-	blue += value;
+	blue = usebase ? blue + value : value;
 	break;
     }
 
@@ -2072,7 +2146,8 @@
 static void
 init_all_colors(void)
 {
-    int c;
+    short c;
+
     for (c = 0; c < COLORS; ++c)
 	init_color(c,
 		   all_colors[c].red,
@@ -2086,7 +2161,9 @@
 color_edit(void)
 /* display the color test pattern, without trying to edit colors */
 {
-    int i, this_c = 0, value = 0, current = 0, field = 0;
+    short i;
+    short current = 0;
+    int this_c = 0, value = 0, field = 0;
     int last_c;
     int top_color = 0;
     int page_size = (LINES - 6);
@@ -2110,6 +2187,7 @@
 	     (i - top_color < page_size)
 	     && (i < max_colors); i++) {
 	    char numeric[80];
+
 	    sprintf(numeric, "[%d]", i);
 	    mvprintw(2 + i - top_color, 0, "%c %-8s:",
 		     (i == current ? '>' : ' '),
@@ -2282,6 +2360,8 @@
  *
  ****************************************************************************/
 
+#if USE_SOFTKEYS
+
 #define SLK_HELP 17
 #define SLK_WORK (SLK_HELP + 3)
 
@@ -2575,6 +2655,7 @@
     endwin();
 }
 #endif
+#endif /* SLK_INIT */
 
 /****************************************************************************
  *
@@ -2621,6 +2702,44 @@
 }
 
 static void
+show_pc_chars(void)
+{
+    unsigned code;
+
+    erase();
+    attron(A_BOLD);
+    mvprintw(0, 20, "Display of PC Character Codes");
+    attroff(A_BOLD);
+    refresh();
+
+    for (code = 0; code < 16; ++code) {
+	mvprintw(2, code * 3 + 8, "%X", code);
+    }
+    for (code = 0; code < 256; code++) {
+	int row = 3 + (code / 16) + (code >= 128);
+	int col = 8 + (code % 16) * 3;
+	if ((code % 16) == 0)
+	    mvprintw(row, 0, "0x%02x:", code);
+	move(row, col);
+	switch (code) {
+	case '\n':
+	case '\r':
+	case '\b':
+	case '\f':
+	case '\033':
+	case 0x9b:
+	    /*
+	     * Skip the ones that do not work.
+	     */
+	    break;
+	default:
+	    addch(code | A_ALTCHARSET);
+	    break;
+	}
+    }
+}
+
+static void
 show_box_chars(void)
 {
     erase();
@@ -2710,6 +2829,10 @@
 acs_display(void)
 {
     int c = 'a';
+    char *term = getenv("TERM");
+    const char *pch_kludge = ((term != 0 && strstr(term, "linux"))
+			      ? "p=PC, "
+			      : "");
 
     do {
 	switch (c) {
@@ -2728,11 +2851,18 @@
 	case '3':
 	    show_upper_chars((unsigned) ((c - '0') * 32 + 128));
 	    break;
+	case 'p':
+	    show_pc_chars();
+	    break;
+	default:
+	    beep();
+	    break;
 	}
 	mvprintw(LINES - 3, 0,
 		 "Note: ANSI terminals may not display C1 characters.");
 	mvprintw(LINES - 2, 0,
-		 "Select: a=ACS, b=box, 0=C1, 1,2,3=GR characters, q=quit");
+		 "Select: a=ACS, b=box, %s0=C1, 1,2,3=GR characters, q=quit",
+		 pch_kludge);
 	refresh();
     } while ((c = Getchar()) != 'x' && c != 'q');
 
@@ -3385,9 +3515,11 @@
 /* Demonstrate windows */
 {
     int c, i;
-    FILE *fp;
     FRAME *current = (FRAME *) 0, *neww;
     WINDOW *usescr = stdscr;
+#if HAVE_PUTWIN && HAVE_GETWIN
+    FILE *fp;
+#endif
 
 #define DUMPFILE	"screendump"
 
@@ -3457,6 +3589,7 @@
 	    }
 	    break;
 
+#if HAVE_PUTWIN && HAVE_GETWIN
 	case CTRL('W'):	/* save and delete window */
 	    if (current == current->next) {
 		transient(current, "Will not save/delete ONLY window");
@@ -3488,6 +3621,7 @@
 		wrefresh(neww->wind);
 	    }
 	    break;
+#endif
 
 #if HAVE_WRESIZE
 	case CTRL('X'):	/* resize window */
@@ -3668,7 +3802,7 @@
 	mkpanel(rows,cols,tly,tlx) - alloc a win and panel and associate them
 --------------------------------------------------------------------------*/
 static PANEL *
-mkpanel(unsigned color, int rows, int cols, int tly, int tlx)
+mkpanel(short color, int rows, int cols, int tly, int tlx)
 {
     WINDOW *win;
     PANEL *pan = 0;
@@ -3677,8 +3811,9 @@
 	if ((pan = new_panel(win)) == 0) {
 	    delwin(win);
 	} else if (has_colors()) {
-	    int fg = (color == COLOR_BLUE) ? COLOR_WHITE : COLOR_BLACK;
-	    int bg = color;
+	    short fg = (color == COLOR_BLUE) ? COLOR_WHITE : COLOR_BLACK;
+	    short bg = color;
+
 	    init_pair(color, fg, bg);
 	    wbkgdset(win, COLOR_PAIR(color) | ' ');
 	} else {
@@ -3950,6 +4085,7 @@
     erase();
     endwin();
 }
+#endif /* USE_LIBPANEL */
 
 /****************************************************************************
  *
@@ -4392,7 +4528,6 @@
     endwin();
     erase();
 }
-#endif /* USE_LIBPANEL */
 
 /****************************************************************************
  *
@@ -5090,11 +5225,19 @@
     }
 }
 
+#ifdef NCURSES_VERSION
+#define FIELDCHECK_CB(func) bool func(FIELD * fld, const void * data GCC_UNUSED)
+#define CHAR_CHECK_CB(func) bool func(int ch, const void *data GCC_UNUSED)
+#else
+#define FIELDCHECK_CB(func) int func(FIELD * fld, char * data GCC_UNUSED)
+#define CHAR_CHECK_CB(func) int func(int ch, char *data GCC_UNUSED)
+#endif
+
 /*
  * Allow a middle initial, optionally with a '.' to end it.
  */
-static bool
-mi_field_check(FIELD * fld, const void *data GCC_UNUSED)
+static
+FIELDCHECK_CB(mi_field_check)
 {
     char *s = field_buffer(fld, 0);
     int state = 0;
@@ -5126,8 +5269,8 @@
     return TRUE;
 }
 
-static bool
-mi_char_check(int ch, const void *data GCC_UNUSED)
+static
+CHAR_CHECK_CB(mi_char_check)
 {
     return ((isalpha(ch) || ch == '.') ? TRUE : FALSE);
 }
@@ -5135,8 +5278,8 @@
 /*
  * Passwords should be at least 6 characters.
  */
-static bool
-pw_field_check(FIELD * fld, const void *data GCC_UNUSED)
+static
+FIELDCHECK_CB(pw_field_check)
 {
     char *s = field_buffer(fld, 0);
     int n;
@@ -5150,8 +5293,8 @@
     return TRUE;
 }
 
-static bool
-pw_char_check(int ch, const void *data GCC_UNUSED)
+static
+CHAR_CHECK_CB(pw_char_check)
 {
     return (isgraph(ch) ? TRUE : FALSE);
 }
@@ -5280,15 +5423,226 @@
     }
 }
 
+#define OVERLAP_FLAVORS 5
+
 static void
-overlap_test(void)
+overlap_helpitem(int state, int item, char *message)
+{
+    int row = (item / 2);
+    int col = ((item % 2) ? COLS / 2 : 0);
+
+    move(LINES - 6 + row, col);
+    printw("%c%c = %s", state == row ? '>' : ' ', 'a' + item, message);
+    clrtoeol();
+}
+
+static void
+overlap_test_1_attr(WINDOW *win, int flavor, int col)
+{
+    short cpair = 1 + (flavor * 2) + col;
+
+    switch (flavor) {
+    case 0:
+	wattrset(win, A_NORMAL);
+	break;
+    case 1:
+	wattrset(win, A_BOLD);
+	break;
+    case 2:
+	init_pair(cpair, COLOR_BLUE, COLOR_WHITE);
+	wattrset(win, COLOR_PAIR(cpair) | A_NORMAL);
+	break;
+    case 3:
+	init_pair(cpair, COLOR_WHITE, COLOR_BLUE);
+	wattrset(win, COLOR_PAIR(cpair) | A_BOLD);
+	break;
+    }
+}
+
+static void
+overlap_test_2_attr(WINDOW *win, int flavor, int col)
+{
+    short cpair = 9 + (flavor * 2) + col;
+
+    switch (flavor) {
+    case 0:
+	/* no effect */
+	break;
+    case 1:
+	/* no effect */
+	break;
+    case 2:
+	init_pair(cpair, COLOR_RED, COLOR_GREEN);
+	wbkgdset(win, ' ' | A_BLINK | COLOR_PAIR(cpair));
+	break;
+    case 3:
+	wbkgdset(win, ' ' | A_NORMAL);
+	break;
+    }
+}
+
+static int
+overlap_help(int state, int flavors[OVERLAP_FLAVORS])
+{
+    int row;
+    int col;
+    int item;
+    const char *ths, *tht;
+    char msg[80];
+
+    if (state < 0)
+	state += OVERLAP_FLAVORS;
+    state = state % OVERLAP_FLAVORS;
+
+    for (item = 0; item < (2 * OVERLAP_FLAVORS); ++item) {
+	row = item / 2;
+	col = item % 2;
+	ths = col ? "B" : "A";
+	tht = col ? "A" : "B";
+
+	switch (row) {
+	case 0:
+	    flavors[row] = 0;
+	    sprintf(msg, "refresh %s, then %s, then doupdate.", ths, tht);
+	    break;
+	case 1:
+	    if (has_colors()) {
+		flavors[row] %= 4;
+	    } else {
+		flavors[row] %= 2;
+	    }
+	    overlap_test_1_attr(stdscr, flavors[row], col);
+	    sprintf(msg, "fill window %s with letter %s.", ths, ths);
+	    break;
+	case 2:
+	    if (has_colors()) {
+		flavors[row] %= 4;
+	    } else {
+		flavors[row] %= 2;
+	    }
+	    switch (flavors[row]) {
+	    case 0:
+		sprintf(msg, "cross pattern in window %s.", ths);
+		break;
+	    case 1:
+		sprintf(msg, "draw box in window %s.", ths);
+		break;
+	    case 2:
+		sprintf(msg, "set background of window %s.", ths);
+		break;
+	    case 3:
+		sprintf(msg, "reset background of window %s.", ths);
+		break;
+	    }
+	    break;
+	case 3:
+	    flavors[row] = 0;
+	    sprintf(msg, "clear window %s.", ths);
+	    break;
+	case 4:
+	    flavors[row] %= 4;
+	    switch (flavors[row]) {
+	    case 0:
+		sprintf(msg, "overwrite %s onto %s.", ths, tht);
+		break;
+	    case 1:
+		sprintf(msg, "copywin(FALSE) %s onto %s.", ths, tht);
+		break;
+	    case 2:
+		sprintf(msg, "copywin(TRUE) %s onto %s.", ths, tht);
+		break;
+	    case 3:
+		sprintf(msg, "overlay %s onto %s.", ths, tht);
+		break;
+	    }
+	    break;
+	}
+	overlap_helpitem(state, item, msg);
+	wattrset(stdscr, A_NORMAL);
+	wbkgdset(stdscr, ' ' | A_NORMAL);
+    }
+    move(LINES - 1, 0);
+    printw("^Q/ESC = terminate test.  Up/down/space select test variations (%d %d).",
+	   state, flavors[state]);
+
+    return state;
+}
+
+static void
+overlap_test_0(WINDOW *a, WINDOW *b)
+{
+    touchwin(a);
+    touchwin(b);
+    wnoutrefresh(a);
+    wnoutrefresh(b);
+    doupdate();
+}
+
+static void
+overlap_test_1(int flavor, int col, WINDOW *a, char fill)
+{
+    overlap_test_1_attr(a, flavor, col);
+    fillwin(a, fill);
+    wattrset(a, A_NORMAL);
+}
+
+static void
+overlap_test_2(int flavor, int col, WINDOW *a, char fill)
+{
+    overlap_test_2_attr(a, flavor, col);
+    switch (flavor) {
+    case 0:
+	crosswin(a, fill);
+	break;
+    case 1:
+	box(a, 0, 0);
+	break;
+    case 2:
+	/* done in overlap_test_2_attr */
+	break;
+    case 3:
+	/* done in overlap_test_2_attr */
+	break;
+    }
+}
+
+static void
+overlap_test_3(WINDOW *a)
+{
+    wclear(a);
+    wmove(a, 0, 0);
+}
+
+static void
+overlap_test_4(int flavor, WINDOW *a, WINDOW *b)
+{
+    switch (flavor) {
+    case 0:
+	overwrite(a, b);
+	break;
+    case 1:
+	copywin(a, b, 0, 0, 0, 0, getmaxy(b), getmaxx(b), FALSE);
+	break;
+    case 2:
+	copywin(a, b, 0, 0, 0, 0, getmaxy(b), getmaxx(b), TRUE);
+	break;
+    case 3:
+	overlay(a, b);
+	break;
+    }
+}
+
 /* test effects of overlapping windows */
+static void
+overlap_test(void)
 {
     int ch;
+    int state, flavor[OVERLAP_FLAVORS];
 
     WINDOW *win1 = newwin(9, 20, 3, 3);
     WINDOW *win2 = newwin(9, 20, 9, 16);
 
+    curs_set(0);
     raw();
     refresh();
     move(0, 0);
@@ -5296,66 +5650,79 @@
     printw("the shared region of two overlapping windows A and B.  The cross\n");
     printw("pattern in each window does not overlap the other.\n");
 
-    move(18, 0);
-    printw("a = refresh A, then B, then doupdate. b = refresh B, then A, then doupdaute\n");
-    printw("c = fill window A with letter A.      d = fill window B with letter B.\n");
-    printw("e = cross pattern in window A.        f = cross pattern in window B.\n");
-    printw("g = clear window A.                   h = clear window B.\n");
-    printw("i = overwrite A onto B.               j = overwrite B onto A.\n");
-    printw("^Q/ESC = terminate test.");
+    memset(flavor, 0, sizeof(flavor));
+    state = overlap_help(0, flavor);
 
     while ((ch = Getchar()) != QUIT && ch != ESCAPE)
 	switch (ch) {
 	case 'a':		/* refresh window A first, then B */
-	    wnoutrefresh(win1);
-	    wnoutrefresh(win2);
-	    doupdate();
+	    overlap_test_0(win1, win2);
 	    break;
 
 	case 'b':		/* refresh window B first, then A */
-	    wnoutrefresh(win2);
-	    wnoutrefresh(win1);
-	    doupdate();
+	    overlap_test_0(win2, win1);
 	    break;
 
 	case 'c':		/* fill window A so it's visible */
-	    fillwin(win1, 'A');
+	    overlap_test_1(flavor[1], 0, win1, 'A');
 	    break;
 
 	case 'd':		/* fill window B so it's visible */
-	    fillwin(win2, 'B');
+	    overlap_test_1(flavor[1], 1, win2, 'B');
 	    break;
 
 	case 'e':		/* cross test pattern in window A */
-	    crosswin(win1, 'A');
+	    overlap_test_2(flavor[2], 0, win1, 'A');
 	    break;
 
 	case 'f':		/* cross test pattern in window A */
-	    crosswin(win2, 'B');
+	    overlap_test_2(flavor[2], 1, win2, 'B');
 	    break;
 
 	case 'g':		/* clear window A */
-	    wclear(win1);
-	    wmove(win1, 0, 0);
+	    overlap_test_3(win1);
 	    break;
 
 	case 'h':		/* clear window B */
-	    wclear(win2);
-	    wmove(win2, 0, 0);
+	    overlap_test_3(win2);
 	    break;
 
 	case 'i':		/* overwrite A onto B */
-	    overwrite(win1, win2);
+	    overlap_test_4(flavor[4], win1, win2);
 	    break;
 
 	case 'j':		/* overwrite B onto A */
-	    overwrite(win2, win1);
+	    overlap_test_4(flavor[4], win2, win1);
+	    break;
+
+	case CTRL('n'):
+	case KEY_DOWN:
+	    state = overlap_help(state + 1, flavor);
+	    break;
+
+	case CTRL('p'):
+	case KEY_UP:
+	    state = overlap_help(state - 1, flavor);
+	    break;
+
+	case ' ':
+	    flavor[state] += 1;
+	    state = overlap_help(state, flavor);
+	    break;
+
+	case '?':
+	    state = overlap_help(state, flavor);
+	    break;
+
+	default:
+	    beep();
 	    break;
 	}
 
     delwin(win2);
     delwin(win1);
     erase();
+    curs_set(1);
     endwin();
 }
 
@@ -5415,9 +5782,11 @@
 	    color_edit();
 	break;
 
+#if USE_SOFTKEYS
     case 'e':
 	slk_test();
 	break;
+#endif
 
 #if USE_WIDEC_SUPPORT
     case 'E':
@@ -5458,11 +5827,9 @@
 	break;
 #endif
 
-#if USE_LIBPANEL
     case 'p':
 	demo_pad();
 	break;
-#endif
 
 #if USE_LIBFORM
     case 'r':
@@ -5502,7 +5869,9 @@
 	,"  -a f,b   set default-colors (assumed white-on-black)"
 	,"  -d       use default-colors if terminal supports them"
 #endif
+#if USE_SOFTKEYS
 	,"  -e fmt   specify format for soft-keys test (e)"
+#endif
 	,"  -f       rip-off footer line (can repeat)"
 	,"  -h       rip-off header line (can repeat)"
 	,"  -p file  rgb values to use in 'd' rather than ncurses's builtin"
@@ -5538,6 +5907,7 @@
 }
 #endif
 
+#if HAVE_RIPOFFLINE
 static int
 rip_footer(WINDOW *win, int cols)
 {
@@ -5559,11 +5929,12 @@
     wnoutrefresh(win);
     return OK;
 }
+#endif /* HAVE_RIPOFFLINE */
 
 static void
 main_menu(bool top)
 {
-    int command;
+    char command;
 
     do {
 	(void) puts("This is the ncurses main menu");
@@ -5581,10 +5952,12 @@
 #endif
 	if (top)
 	    (void) puts("d = edit RGB color values");
+#if USE_SOFTKEYS
 	(void) puts("e = exercise soft keys");
 #if USE_WIDEC_SUPPORT
 	(void) puts("E = exercise soft keys using wide-characters");
 #endif
+#endif
 	(void) puts("f = display ACS characters");
 #if USE_WIDEC_SUPPORT
 	(void) puts("F = display Wide-ACS characters");
@@ -5708,12 +6081,14 @@
 		usage();
 #endif
 	    break;
+#if HAVE_RIPOFFLINE
 	case 'f':
 	    ripoffline(-1, rip_footer);
 	    break;
 	case 'h':
 	    ripoffline(1, rip_header);
 	    break;
+#endif /* HAVE_RIPOFFLINE */
 	case 'p':
 	    palette_file = optarg;
 	    break;
@@ -5747,8 +6122,10 @@
 #endif /* USE_LIBMENU */
 #endif /* TRACE */
 
+#if USE_SOFTKEYS
     /* tell it we're going to play with soft keys */
     slk_init(my_e_param);
+#endif
 
 #ifdef SIGUSR1
     /* set up null signal catcher so we can see what interrupts to getch do */
@@ -5780,12 +6157,13 @@
 	max_pairs = COLOR_PAIRS;	/* was > 256 ? 256 : COLOR_PAIRS */
 
 	if (can_change_color()) {
+	    short cp;
 	    all_colors = (RGB_DATA *) malloc(max_colors * sizeof(RGB_DATA));
-	    for (c = 0; c < max_colors; ++c) {
-		color_content(c,
-			      &all_colors[c].red,
-			      &all_colors[c].green,
-			      &all_colors[c].blue);
+	    for (cp = 0; cp < max_colors; ++cp) {
+		color_content(cp,
+			      &all_colors[cp].red,
+			      &all_colors[cp].green,
+			      &all_colors[cp].blue);
 	    }
 	    if (palette_file != 0) {
 		FILE *fp = fopen(palette_file, "r");
Index: test/railroad.c
Prereq:  1.11 
--- ncurses-5.5/test/railroad.c	2002-10-19 22:11:24.000000000 +0000
+++ ncurses-5.5-20060128/test/railroad.c	2005-12-31 19:38:14.000000000 +0000
@@ -1,5 +1,5 @@
 /****************************************************************************
- * Copyright (c) 2000-2001,2002 Free Software Foundation, Inc.              *
+ * Copyright (c) 2000-2002,2005 Free Software Foundation, Inc.              *
  *                                                                          *
  * Permission is hereby granted, free of charge, to any person obtaining a  *
  * copy of this software and associated documentation files (the            *
@@ -27,14 +27,16 @@
  ****************************************************************************/
 
 /*
- * Author: Thomas E. Dickey <dickey@clark.net> 2000
+ * Author: Thomas E. Dickey - 2000
  *
- * $Id: railroad.c,v 1.11 2002/10/19 22:11:24 tom Exp $
+ * $Id: railroad.c,v 1.12 2005/12/31 19:38:14 tom Exp $
  *
  * A simple demo of the termcap interface.
  */
 #include <test.priv.h>
 
+#if HAVE_TGETENT
+
 static char *wipeit;
 static char *moveit;
 static int length;
@@ -238,3 +240,13 @@
     }
     ExitProgram(EXIT_SUCCESS);
 }
+
+#else
+int
+main(int argc GCC_UNUSED,
+     char *argv[]GCC_UNUSED)
+{
+    printf("This program requires termcap\n");
+    exit(EXIT_FAILURE);
+}
+#endif
Index: test/test.priv.h
Prereq:  1.48 
--- ncurses-5.5/test/test.priv.h	2004-04-10 20:11:37.000000000 +0000
+++ ncurses-5.5-20060128/test/test.priv.h	2005-12-31 20:51:02.000000000 +0000
@@ -1,5 +1,5 @@
 /****************************************************************************
- * Copyright (c) 1998-2002,2003 Free Software Foundation, Inc.              *
+ * Copyright (c) 1998-2004,2005 Free Software Foundation, Inc.              *
  *                                                                          *
  * Permission is hereby granted, free of charge, to any person obtaining a  *
  * copy of this software and associated documentation files (the            *
@@ -29,7 +29,7 @@
 /****************************************************************************
  *  Author: Thomas E. Dickey <dickey@clark.net> 1996                        *
  ****************************************************************************/
-/* $Id: test.priv.h,v 1.48 2004/04/10 20:11:37 tom Exp $ */
+/* $Id: test.priv.h,v 1.53 2005/12/31 20:51:02 tom Exp $ */
 
 #ifndef __TEST_PRIV_H
 #define __TEST_PRIV_H 1
@@ -53,16 +53,36 @@
 #endif
 
 /*
- * Fallback definitions to accommodate broken compilers
+ * Fallback definitions to accommodate broken compilers.
  */
 #ifndef HAVE_CURSES_VERSION
 #define HAVE_CURSES_VERSION 0
 #endif
 
+#ifndef HAVE_FILTER
+#define HAVE_FILTER 0
+#endif
+
 #ifndef HAVE_FORM_H
 #define HAVE_FORM_H 0
 #endif
 
+#ifndef HAVE_GETBEGX
+#define HAVE_GETBEGX 0
+#endif
+
+#ifndef HAVE_GETCURX
+#define HAVE_GETCURX 0
+#endif
+
+#ifndef HAVE_GETMAXX
+#define HAVE_GETMAXX 0
+#endif
+
+#ifndef HAVE_GETWIN
+#define HAVE_GETWIN 0
+#endif
+
 #ifndef HAVE_LIBFORM
 #define HAVE_LIBFORM 0
 #endif
@@ -83,6 +103,14 @@
 #define HAVE_MENU_H 0
 #endif
 
+#ifndef HAVE_MVVLINE
+#define HAVE_MVVLINE 0
+#endif
+
+#ifndef HAVE_MVWVLINE
+#define HAVE_MVWVLINE 0
+#endif
+
 #ifndef HAVE_NAPMS
 #define HAVE_NAPMS 1
 #endif
@@ -95,10 +123,58 @@
 #define HAVE_PANEL_H 0
 #endif
 
+#ifndef HAVE_PUTWIN
+#define HAVE_PUTWIN 0
+#endif
+
+#ifndef HAVE_RESIZE_TERM
+#define HAVE_RESIZE_TERM 0
+#endif
+
+#ifndef HAVE_RIPOFFLINE
+#define HAVE_RIPOFFLINE 0
+#endif
+
+#ifndef HAVE_SETUPTERM
+#define HAVE_SETUPTERM 0
+#endif
+
 #ifndef HAVE_SLK_COLOR
 #define HAVE_SLK_COLOR 0
 #endif
 
+#ifndef HAVE_SLK_INIT
+#define HAVE_SLK_INIT 0
+#endif
+
+#ifndef HAVE_TERMATTRS
+#define HAVE_TERMATTRS 0
+#endif
+
+#ifndef HAVE_TERMNAME
+#define HAVE_TERMNAME 0
+#endif
+
+#ifndef HAVE_TGETENT
+#define HAVE_TGETENT 0
+#endif
+
+#ifndef HAVE_TIGETNUM
+#define HAVE_TIGETNUM 0
+#endif
+
+#ifndef HAVE_TYPEAHEAD
+#define HAVE_TYPEAHEAD 0
+#endif
+
+#ifndef HAVE_TIGETSTR
+#define HAVE_TIGETSTR 0
+#endif
+
+#ifndef HAVE_WINSSTR
+#define HAVE_WINSSTR 0
+#endif
+
 #ifndef HAVE_WRESIZE
 #define HAVE_WRESIZE 0
 #endif
@@ -115,6 +191,10 @@
 #define NEED_PTEM_H 0
 #endif
 
+#ifndef NO_LEAKS
+#define NO_LEAKS 0
+#endif
+
 #include <stdlib.h>
 #include <string.h>
 #include <sys/types.h>
@@ -125,14 +205,23 @@
 
 #include <signal.h>	/* include before curses.h to work around glibc bug */
 
-#if defined(HAVE_NCURSESW_NCURSES_H)
+#if defined(HAVE_XCURSES)
+#include <xcurses.h>
+#elif defined(HAVE_NCURSESW_NCURSES_H)
 #include <ncursesw/curses.h>
-#include <ncursesw/term.h>
 #elif defined(HAVE_NCURSES_NCURSES_H)
 #include <ncurses/curses.h>
-#include <ncurses/term.h>
 #else
 #include <curses.h>
+#endif
+
+#if defined(HAVE_XCURSES)
+/* no other headers */
+#elif defined(HAVE_NCURSESW_TERM_H)
+#include <ncursesw/term.h>
+#elif defined(HAVE_NCURSES_TERM_H)
+#include <ncurses/term.h>
+#elif defined(HAVE_TERM_H)
 #include <term.h>
 #endif
 
@@ -174,6 +263,14 @@
 #define getnstr(s,n) getstr(s)
 #endif
 
+#ifndef USE_SOFTKEYS
+#if HAVE_SLK_INIT
+#define USE_SOFTKEYS 1
+#else
+#define USE_SOFTKEYS 0
+#endif
+#endif
+
 #ifndef USE_WIDEC_SUPPORT
 #if defined(_XOPEN_SOURCE_EXTENDED) && defined(WACS_ULCORNER)
 #define USE_WIDEC_SUPPORT 1
@@ -228,21 +325,49 @@
 #define KEY_MIN 256	/* not defined in Solaris 8 */
 #endif
 
-#ifndef getcurx
+/*
+ * These usually are implemented as macros, but may be functions.
+ */
+#if !defined(getcurx) && !HAVE_GETCURX
 #define getcurx(win)            ((win)?(win)->_curx:ERR)
 #define getcury(win)            ((win)?(win)->_cury:ERR)
 #endif
 
-#ifndef getbegx
+#if !defined(getbegx) && !HAVE_GETBEGX
 #define getbegx(win)            ((win)?(win)->_begx:ERR)
 #define getbegy(win)            ((win)?(win)->_begy:ERR)
 #endif
 
-#ifndef getmaxx
+#if !defined(getmaxx) && !HAVE_GETMAXX
 #define getmaxx(win)            ((win)?((win)->_maxx + 1):ERR)
 #define getmaxy(win)            ((win)?((win)->_maxy + 1):ERR)
 #endif
 
+#if !defined(mvwvline) && !HAVE_MVWVLINE
+#define mvwvline(w,y,x,ch,n)    (move(y,x) == ERR ? ERR : wvline(w,ch,n))
+#define mvwhline(w,y,x,ch,n)    (move(y,x) == ERR ? ERR : whline(w,ch,n))
+#endif
+
+#if !defined(mvvline) && !HAVE_MVVLINE
+#define mvvline(y,x,ch,n)       (move(y,x) == ERR ? ERR : vline(ch,n))
+#define mvhline(y,x,ch,n)       (move(y,x) == ERR ? ERR : hline(ch,n))
+#endif
+
+/*
+ * Try to accommodate curses implementations that have no terminfo support.
+ */
+#if HAVE_TIGETNUM
+#define TIGETNUM(ti,tc) tigetnum(ti)
+#else
+#define TIGETNUM(ti,tc) tgetnum(tc)
+#endif
+
+#if HAVE_TIGETSTR
+#define TIGETSTR(ti,tc) tigetstr(ti)
+#else
+#define TIGETSTR(ti,tc) tgetstr(tc,&area_pointer)
+#endif
+
 /* ncurses implements tparm() with varargs, X/Open with a fixed-parameter list
  * (which is incompatible with legacy usage, doesn't solve any problems).
  */
Index: test/testcurs.c
Prereq:  1.34 
--- ncurses-5.5/test/testcurs.c	2005-04-16 16:19:12.000000000 +0000
+++ ncurses-5.5-20060128/test/testcurs.c	2005-12-31 20:23:09.000000000 +0000
@@ -7,7 +7,7 @@
  *  wrs(5/28/93) -- modified to be consistent (perform identically) with either
  *                  PDCurses or under Unix System V, R4
  *
- * $Id: testcurs.c,v 1.34 2005/04/16 16:19:12 tom Exp $
+ * $Id: testcurs.c,v 1.37 2005/12/31 20:23:09 tom Exp $
  */
 
 #include <test.priv.h>
@@ -342,13 +342,19 @@
     mvwaddstr(win, 1, 1, "Press keys (or mouse buttons) to show their names");
     mvwaddstr(win, 2, 1, "Press spacebar to finish");
     wrefresh(win);
+
     keypad(win, TRUE);
     raw();
     noecho();
+
+#if HAVE_TYPEAHEAD
     typeahead(-1);
+#endif
+
 #if defined(PDCURSES)
     mouse_set(ALL_MOUSE_EVENTS);
 #endif
+
     for (;;) {
 	wmove(win, 3, 5);
 	c = wgetch(win);
@@ -440,6 +446,17 @@
     chtype ch;
     int by, bx;
 
+#if !HAVE_TIGETSTR
+#if HAVE_TGETENT
+    char tc_buffer[4096];
+    char tc_parsed[4096];
+    char *area_pointer = tc_parsed;
+    tgetent(tc_buffer, getenv("TERM"));
+#else
+#define tgetstr(a,b) 0
+#endif
+#endif /* !HAVE_TIGETSTR */
+
     nl();
     wclear(win);
     mvwaddstr(win, 1, 1,
@@ -530,8 +547,10 @@
     winsch(win, ch);
     Continue(win);
 
+#if HAVE_WINSSTR
     mvwinsstr(win, 6, 2, "A1B2C3D4E5");
     Continue(win);
+#endif
 
     wmove(win, 5, 1);
     winsertln(win);
@@ -554,14 +573,14 @@
     *Buffer = 0;
     scanw("%s", Buffer);
 
-    if (tigetstr("cvvis") != 0) {
+    if (TIGETSTR("cvvis", "vs") != 0) {
 	wclear(win);
 	curs_set(2);
 	mvwaddstr(win, 1, 1, "The cursor should appear as a block (visible)");
 	Continue(win);
     }
 
-    if (tigetstr("civis") != 0) {
+    if (TIGETSTR("civis", "vi") != 0) {
 	wclear(win);
 	curs_set(0);
 	mvwaddstr(win, 1, 1,
@@ -569,7 +588,7 @@
 	Continue(win);
     }
 
-    if (tigetstr("cnorm") != 0) {
+    if (TIGETSTR("cnorm", "ve") != 0) {
 	wclear(win);
 	curs_set(1);
 	mvwaddstr(win, 1, 1, "The cursor should be an underline (normal)");
@@ -586,6 +605,8 @@
 #endif
 
     werase(win);
+
+#if HAVE_TERMNAME
     mvwaddstr(win, 1, 1, "Information About Your Terminal");
     mvwaddstr(win, 3, 1, termname());
     mvwaddstr(win, 4, 1, longname());
@@ -593,6 +614,7 @@
 	mvwaddstr(win, 5, 1, "This terminal supports blinking.");
     else
 	mvwaddstr(win, 5, 1, "This terminal does NOT support blinking.");
+#endif
 
     mvwaddnstr(win, 7, 5, "Have a nice day!ok", 16);
     wrefresh(win);
Index: test/widechars-utf8.txt
--- /dev/null	2005-11-19 17:15:46.000000000 +0000
+++ ncurses-5.5-20060128/test/widechars-utf8.txt	2005-12-10 16:37:43.000000000 +0000
@@ -0,0 +1,7 @@
+ＡＰＰＬＥ     -- It's an ＡＰＰＬＥ.
+ＤＯＧ         -- No, that's not my ＤＯＧ.
+ＯＲＡＮＧＥ   -- Yeah, that's ＪＵＩＣＹ.
+ＣＨＩＣＫＥＮ -- Normally not a ＰＥＴ.
+ＣＡＴ         -- No, never put a ＤＯＧ and a ＣＡＴ together!
+ＦＩＳＨ       -- Cats like ＦＩＳＨ.
+ＬＥＭＯＮ     -- You ＫＮＯＷ how it ＴＡＳＴＥＳ.
